/*
 Navicat Premium Data Transfer

 Source Server         : 120.46.159.163
 Source Server Type    : MySQL
 Source Server Version : 110102
 Source Host           : 120.46.159.163:3306
 Source Schema         : ezhizao_tenant_template

 Target Server Type    : MySQL
 Target Server Version : 110102
 File Encoding         : 65001

 Date: 12/10/2023 16:28:45
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for biz_area
-- ----------------------------
DROP TABLE IF EXISTS `biz_area`;
CREATE TABLE `biz_area`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '区划信息id',
  `parent_id` int NULL DEFAULT NULL COMMENT '父级挂接id',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区划编码',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区划名称',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '状态 0 正常 -2 删除 -1 停用',
  `level` tinyint(1) NULL DEFAULT NULL COMMENT '级次id 0:省/自治区/直辖市 1:市级 2:县级',
  `center` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经纬度',
  `city_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '城市编码（无用）',
  `creator_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建者',
  `updater_id` bigint NOT NULL DEFAULT 0 COMMENT '更新者',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '软删除标记',
  `version` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '乐观锁标记',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `pk_id`(`id` ASC) USING BTREE,
  INDEX `idx_parent_id`(`parent_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 45786 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '四级地域表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of biz_area
-- ----------------------------
INSERT INTO `biz_area` VALUES (1, 0, '230000', '黑龙江省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '126.642464,45.756967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2, 0, '440000', '广东省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '113.280637,23.125178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3, 0, '410000', '河南省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '113.665412,34.757975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4, 0, '150000', '内蒙古自治区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '111.670801,40.818311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5, 0, '650000', '新疆维吾尔自治区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '87.617733,43.792818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6, 0, '210000', '辽宁省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '123.429096,41.796767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7, 0, '420000', '湖北省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '114.298572,30.584355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8, 0, '610000', '陕西省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '108.948024,34.263161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9, 0, '520000', '贵州省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '106.713478,26.578343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10, 0, '310000', '上海', NULL, NULL, '2020-09-20 11:00:59', 0, 0, '121.472644,31.231706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11, 0, '370000', '山东省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '117.000923,36.675807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12, 0, '340000', '安徽省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '117.283042,31.86119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13, 0, '500000', '重庆', NULL, NULL, '2020-09-20 10:59:27', 0, 0, '106.504962,29.533155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14, 0, '540000', '西藏自治区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '91.132212,29.660361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15, 0, '430000', '湖南省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '112.982279,28.19409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16, 0, '460000', '海南省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '110.33119,20.031971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17, 0, '630000', '青海省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '101.778916,36.623178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18, 0, '350000', '福建省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '119.306239,26.075302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19, 0, '640000', '宁夏回族自治区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '106.278179,38.46637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20, 0, '450000', '广西壮族自治区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '108.320004,22.82402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21, 0, '320000', '江苏省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '118.767413,32.041544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22, 0, '330000', '浙江省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '120.153576,30.287459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23, 0, '360000', '江西省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '115.892151,28.676493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24, 0, '710000', '台湾省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '121.509062,25.044332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25, 0, '130000', '河北省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '114.502461,38.045474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26, 0, '810000', '香港特别行政区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '114.173355,22.320048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27, 0, '820000', '澳门特别行政区', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '113.54909,22.198951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28, 0, '620000', '甘肃省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '103.823557,36.058039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29, 0, '510000', '四川省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '104.065735,30.659462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30, 0, '220000', '吉林省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '125.3245,43.886841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31, 0, '120000', '天津', NULL, NULL, '2020-09-20 10:58:10', 0, 0, '117.190182,39.125596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32, 0, '140000', '山西省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '112.549248,37.857014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33, 0, '530000', '云南省', NULL, NULL, '2020-09-20 10:40:28', 0, 0, '102.712251,25.040609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34, 0, '110000', '北京', NULL, NULL, '2020-09-20 10:56:19', 0, 0, '116.405285,39.904989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35, 1, '230900', '七台河市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '131.015584,45.771266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36, 1, '230400', '鹤岗市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '130.277487,47.332085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37, 1, '230700', '伊春市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '128.899396,47.724775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38, 1, '232700', '大兴安岭地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '124.711526,52.335262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39, 1, '231200', '绥化市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '126.99293,46.637393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40, 1, '230100', '哈尔滨市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '126.642464,45.756967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41, 1, '230200', '齐齐哈尔市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '123.95792,47.342081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42, 1, '231100', '黑河市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '127.499023,50.249585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43, 1, '231000', '牡丹江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '129.618602,44.582962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44, 1, '230300', '鸡西市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '130.975966,45.300046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45, 1, '230800', '佳木斯市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '130.361634,46.809606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (46, 1, '230600', '大庆市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '125.11272,46.590734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (47, 1, '230500', '双鸭山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '131.157304,46.643442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (48, 2, '440500', '汕头市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.708463,23.37102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (49, 2, '440600', '佛山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.122717,23.028762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (50, 2, '441200', '肇庆市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.472529,23.051546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (51, 2, '441300', '惠州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.412599,23.079404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (52, 2, '440300', '深圳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.085947,22.547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (53, 2, '440800', '湛江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.364977,21.274898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (54, 2, '440400', '珠海市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.553986,22.224979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (55, 2, '445100', '潮州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.632301,23.661701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (56, 2, '440900', '茂名市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.919229,21.659751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (57, 2, '440700', '江门市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.094942,22.590431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (58, 2, '441600', '河源市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.697802,23.746266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (59, 2, '445300', '云浮市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.044439,22.929801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (60, 2, '441500', '汕尾市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.364238,22.774485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (61, 2, '441700', '阳江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.975107,21.859222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (62, 2, '445200', '揭阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.355733,23.543778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (63, 2, '441400', '梅州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.117582,24.299112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (64, 2, '440100', '广州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.280637,23.125178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (65, 2, '440200', '韶关市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.591544,24.801322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (66, 2, '441800', '清远市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.051227,23.685022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (67, 2, '442000', '中山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.382391,22.521113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (68, 2, '441900', '东莞市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.746262,23.046237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (69, 3, '410300', '洛阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.434468,34.663041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (70, 3, '411200', '三门峡市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.194099,34.777338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (71, 3, '411100', '漯河市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.026405,33.575855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (72, 3, '411000', '许昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.826063,34.022956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (73, 3, '411300', '南阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.540918,32.999082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (74, 3, '411500', '信阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.075031,32.123274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (75, 3, '419001', '济源市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.590047,35.090378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (76, 3, '411700', '驻马店市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.024736,32.980169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (77, 3, '410900', '濮阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.041299,35.768234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (78, 3, '410800', '焦作市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.238266,35.23904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (79, 3, '410100', '郑州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.665412,34.757975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (80, 3, '410500', '安阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.352482,36.103442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (81, 3, '410700', '新乡市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.883991,35.302616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (82, 3, '410600', '鹤壁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.295444,35.748236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (83, 3, '410200', '开封市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.341447,34.797049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (84, 3, '411600', '周口市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.649653,33.620357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (85, 3, '410400', '平顶山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.307718,33.735241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (86, 3, '411400', '商丘市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.650497,34.437054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (87, 4, '150600', '鄂尔多斯市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.99029,39.817179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (88, 4, '150200', '包头市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.840405,40.658168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (89, 4, '150800', '巴彦淖尔市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.416959,40.757402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (90, 4, '150300', '乌海市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.825563,39.673734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (91, 4, '150700', '呼伦贝尔市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.758168,49.215333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (92, 4, '152900', '阿拉善盟', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.706422,38.844814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (93, 4, '150500', '通辽市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.263119,43.617429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (94, 4, '152200', '兴安盟', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.070317,46.076268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (95, 4, '152500', '锡林郭勒盟', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.090996,43.944018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (96, 4, '150100', '呼和浩特市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.670801,40.818311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (97, 4, '150400', '赤峰市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.956806,42.275317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (98, 4, '150900', '乌兰察布市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.114543,41.034126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (99, 5, '659007', '双河市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '82.353656,44.840524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (100, 5, '659005', '北屯市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '87.824932,47.353177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (101, 5, '652700', '博尔塔拉蒙古自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '82.074778,44.903258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (102, 5, '659006', '铁门关市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '85.501218,41.827251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (103, 5, '659008', '可克达拉市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '80.63579,43.6832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (104, 5, '650100', '乌鲁木齐市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '87.617733,43.792818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (105, 5, '659009', '昆玉市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '79.287372,37.207994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (106, 5, '652800', '巴音郭楞蒙古自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '86.150969,41.768552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (107, 5, '653200', '和田地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '79.92533,37.110687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (108, 5, '654200', '塔城地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '82.985732,46.746301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (109, 5, '654300', '阿勒泰地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '88.13963,47.848393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (110, 5, '652300', '昌吉回族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '87.304012,44.014577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (111, 5, '659001', '石河子市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '86.041075,44.305886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (112, 5, '659004', '五家渠市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '87.526884,44.167401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (113, 5, '654000', '伊犁哈萨克自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '81.317946,43.92186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (114, 5, '659002', '阿拉尔市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '81.285884,40.541914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (115, 5, '650400', '吐鲁番市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '89.184078,42.947613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (116, 5, '653100', '喀什地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '75.989138,39.467664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (117, 5, '650500', '哈密市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '93.51316,42.833248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (118, 5, '659003', '图木舒克市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '79.077978,39.867316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (119, 5, '653000', '克孜勒苏柯尔克孜自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '76.172825,39.713431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (120, 5, '652900', '阿克苏地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '80.265068,41.170712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (121, 5, '650200', '克拉玛依市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '84.873946,45.595886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (122, 5, '659010', '胡杨河市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '84.8275959,44.69288853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (123, 6, '210700', '锦州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '121.135742,41.119269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (124, 6, '210200', '大连市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '121.618622,38.91459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (125, 6, '210600', '丹东市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '124.383044,40.124296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (126, 6, '210400', '抚顺市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '123.921109,41.875956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (127, 6, '211400', '葫芦岛市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.856394,40.755572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (128, 6, '211200', '铁岭市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '123.844279,42.290585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (129, 6, '210100', '沈阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '123.429096,41.796767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (130, 6, '210800', '营口市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.235151,40.667432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (131, 6, '211100', '盘锦市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.06957,41.124484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (132, 6, '210900', '阜新市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '121.648962,42.011796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (133, 6, '210500', '本溪市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '123.770519,41.297909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (134, 6, '211000', '辽阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '123.18152,41.269402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (135, 6, '210300', '鞍山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.995632,41.110626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (136, 6, '211300', '朝阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.451176,41.576758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (137, 7, '420300', '十堰市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.787916,32.646907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (138, 7, '420600', '襄阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.144146,32.042426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (139, 7, '420500', '宜昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.290843,30.702636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (140, 7, '420800', '荆门市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.204251,31.03542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (141, 7, '421100', '黄冈市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.879365,30.447711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (142, 7, '429006', '天门市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.165862,30.653061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (143, 7, '420900', '孝感市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.926655,30.926423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (144, 7, '429005', '潜江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.896866,30.421215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (145, 7, '422800', '恩施土家族苗族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.48699,30.283114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (146, 7, '420100', '武汉市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.298572,30.584355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (147, 7, '429004', '仙桃市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.453974,30.364953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (148, 7, '421000', '荆州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.23813,30.326857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (149, 7, '421300', '随州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.37377,31.717497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (150, 7, '429021', '神农架林区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.671525,31.744449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (151, 7, '421200', '咸宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.328963,29.832798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (152, 7, '420700', '鄂州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.890593,30.396536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (153, 7, '420200', '黄石市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.077048,30.220074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (154, 8, '611000', '商洛市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.939776,33.868319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (155, 8, '610200', '铜川市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.979608,34.916582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (156, 8, '610100', '西安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.948024,34.263161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (157, 8, '610700', '汉中市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.028621,33.077668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (158, 8, '610800', '榆林市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.741193,38.290162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (159, 8, '610600', '延安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.49081,36.596537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (160, 8, '610300', '宝鸡市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.14487,34.369315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (161, 8, '610500', '渭南市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.502882,34.499381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (162, 8, '610400', '咸阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.705117,34.333439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (163, 8, '610900', '安康市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.029273,32.6903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (164, 9, '520200', '六盘水市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.846743,26.584643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (165, 9, '520600', '铜仁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.191555,27.718346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (166, 9, '520300', '遵义市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.937265,27.706626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (167, 9, '520400', '安顺市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.932188,26.245544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (168, 9, '522700', '黔南布依族苗族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.517156,26.258219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (169, 9, '520500', '毕节市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.28501,27.301693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (170, 9, '522600', '黔东南苗族侗族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.977488,26.583352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (171, 9, '522300', '黔西南布依族苗族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.897971,25.08812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (172, 9, '520100', '贵阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.713478,26.578343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (173, 10, '310100', '上海', NULL, NULL, '2020-09-20 10:59:44', 0, 1, '121.472644,31.231706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (174, 11, '371500', '聊城市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.980367,36.456013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (175, 11, '370300', '淄博市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.047648,36.814939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (176, 11, '371300', '临沂市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.326443,35.065282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (177, 11, '370200', '青岛市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.355173,36.082982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (178, 11, '371000', '威海市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.116394,37.509691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (179, 11, '370600', '烟台市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '121.391382,37.539297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (180, 11, '370700', '潍坊市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.107078,36.70925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (181, 11, '370500', '东营市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.66471,37.434564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (182, 11, '371600', '滨州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.016974,37.383542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (183, 11, '371100', '日照市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.461208,35.428588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (184, 11, '370400', '枣庄市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.557964,34.856424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (185, 11, '371400', '德州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.307428,37.453968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (186, 11, '370100', '济南市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.000923,36.675807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (187, 11, '371700', '菏泽市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.469381,35.246531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (188, 11, '370900', '泰安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.129063,36.194968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (189, 11, '370800', '济宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.587245,35.415393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (190, 12, '340600', '淮北市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.794664,33.971707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (191, 12, '340700', '铜陵市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.816576,30.929935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (192, 12, '340800', '安庆市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.043551,30.50883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (193, 12, '341700', '池州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.489157,30.656037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (194, 12, '340500', '马鞍山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.507906,31.689362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (195, 12, '341200', '阜阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.819729,32.896969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (196, 12, '341000', '黄山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.317325,29.709239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (197, 12, '341500', '六安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.507676,31.752889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (198, 12, '340400', '淮南市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.018329,32.647574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (199, 12, '340300', '蚌埠市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.363228,32.939667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (200, 12, '340200', '芜湖市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.376451,31.326319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (201, 12, '341100', '滁州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.316264,32.303627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (202, 12, '340100', '合肥市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.283042,31.86119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (203, 12, '341800', '宣城市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.757995,30.945667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (204, 12, '341600', '亳州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.782939,33.869338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (205, 12, '341300', '宿州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.984084,33.633891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (206, 13, '500200', '重庆郊县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.170255,29.291965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (207, 13, '500100', '重庆', NULL, NULL, '2020-09-20 10:59:25', 0, 1, '106.504962,29.533155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (208, 14, '540200', '日喀则市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '88.885148,29.267519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (209, 14, '540500', '山南市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '91.766529,29.236023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (210, 14, '540600', '那曲市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '92.060214,31.476004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (211, 14, '540300', '昌都市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '97.178452,31.136875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (212, 14, '540100', '拉萨市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '91.132212,29.660361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (213, 14, '540400', '林芝市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '94.362348,29.654693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (214, 14, '542500', '阿里地区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '80.105498,32.503187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (215, 15, '430600', '岳阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.132855,29.37029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (216, 15, '430900', '益阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.355042,28.570066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (217, 15, '430400', '衡阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.607693,26.900358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (218, 15, '431300', '娄底市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.008497,27.728136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (219, 15, '430700', '常德市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.691347,29.040225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (220, 15, '430800', '张家界市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.479921,29.127401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (221, 15, '431200', '怀化市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.97824,27.550082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (222, 15, '433100', '湘西土家族苗族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.739735,28.314296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (223, 15, '430100', '长沙市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.982279,28.19409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (224, 15, '430300', '湘潭市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.944052,27.82973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (225, 15, '430200', '株洲市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.151737,27.835806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (226, 15, '430500', '邵阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.46923,27.237842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (227, 15, '431000', '郴州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.032067,25.793589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (228, 15, '431100', '永州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.608019,26.434516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (229, 16, '469007', '东方市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.653789,19.10198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (230, 16, '469022', '屯昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.102773,19.362916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (231, 16, '469006', '万宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.388793,18.796216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (232, 16, '469024', '临高县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.687697,19.908293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (233, 16, '469026', '昌江黎族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.053351,19.260968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (234, 16, '469021', '定安县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.349235,19.684966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (235, 16, '469025', '白沙黎族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.452606,19.224584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (236, 16, '469002', '琼海市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.466785,19.246011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (237, 16, '469030', '琼中黎族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.839996,19.03557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (238, 16, '460400', '儋州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.576782,19.517486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (239, 16, '469027', '乐东黎族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.175444,18.74758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (240, 16, '469023', '澄迈县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.007147,19.737095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (241, 16, '460200', '三亚市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.508268,18.247872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (242, 16, '469028', '陵水黎族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.037218,18.505006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (243, 16, '469005', '文昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.753975,19.612986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (244, 16, '460300', '三沙市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.34882,16.831039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (245, 16, '460100', '海口市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.33119,20.031971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (246, 16, '469029', '保亭黎族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.70245,18.636371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (247, 16, '469001', '五指山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.516662,18.776921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (248, 17, '632600', '果洛藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.242143,34.4736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (249, 17, '632500', '海南藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.619542,36.280353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (250, 17, '632700', '玉树藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '97.008522,33.004049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (251, 17, '632300', '黄南藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.019988,35.517744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (252, 17, '632800', '海西蒙古族藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '97.370785,37.374663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (253, 17, '630200', '海东市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.10327,36.502916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (254, 17, '630100', '西宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '101.778916,36.623178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (255, 17, '632200', '海北藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.901059,36.959435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (256, 18, '350900', '宁德市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.527082,26.65924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (257, 18, '350700', '南平市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.178459,26.635627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (258, 18, '350300', '莆田市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.007558,25.431011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (259, 18, '350800', '龙岩市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.02978,25.091603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (260, 18, '350100', '福州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.306239,26.075302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (261, 18, '350400', '三明市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.635001,26.265444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (262, 18, '350500', '泉州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.589421,24.908853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (263, 18, '350200', '厦门市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.11022,24.490474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (264, 18, '350600', '漳州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.661801,24.510897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (265, 19, '640200', '石嘴山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.376173,39.01333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (266, 19, '640500', '中卫市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.189568,37.514951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (267, 19, '640400', '固原市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.285241,36.004561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (268, 19, '640100', '银川市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.278179,38.46637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (269, 19, '640300', '吴忠市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.199409,37.986165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (270, 20, '451000', '百色市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.616285,23.897742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (271, 20, '450500', '北海市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.119254,21.473343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (272, 20, '450700', '钦州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.624175,21.967127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (273, 20, '450200', '柳州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.411703,24.314617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (274, 20, '451300', '来宾市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.229772,23.733766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (275, 20, '450100', '南宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.320004,22.82402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (276, 20, '450400', '梧州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.297604,23.474803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (277, 20, '450300', '桂林市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.299121,25.274215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (278, 20, '451400', '崇左市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.353926,22.404108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (279, 20, '450600', '防城港市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.345478,21.614631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (280, 20, '451100', '贺州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.552056,24.414141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (281, 20, '450900', '玉林市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '110.154393,22.63136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (282, 20, '450800', '贵港市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '109.602146,23.0936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (283, 20, '451200', '河池市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '108.062105,24.695899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (284, 21, '320700', '连云港市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.178821,34.600018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (285, 21, '321300', '宿迁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.275162,33.963008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (286, 21, '320100', '南京市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.767413,32.041544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (287, 21, '320600', '南通市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.864608,32.016212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (288, 21, '320800', '淮安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.021265,33.597506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (289, 21, '321000', '扬州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.421003,32.393159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (290, 21, '321200', '泰州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.915176,32.484882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (291, 21, '320900', '盐城市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.139998,33.377631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (292, 21, '321100', '镇江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.452753,32.204402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (293, 21, '320500', '苏州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.619585,31.299379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (294, 21, '320200', '无锡市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.301663,31.574729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (295, 21, '320400', '常州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.946973,31.772752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (296, 21, '320300', '徐州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.184811,34.261792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (297, 22, '330900', '舟山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.106863,30.016028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (298, 22, '330400', '嘉兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.750865,30.762653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (299, 22, '330300', '温州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.672111,28.000575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (300, 22, '331000', '台州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '121.428599,28.661378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (301, 22, '330200', '宁波市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '121.549792,29.868388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (302, 22, '331100', '丽水市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.921786,28.451993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (303, 22, '330500', '湖州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.102398,30.867198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (304, 22, '330800', '衢州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.87263,28.941708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (305, 22, '330100', '杭州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.153576,30.287459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (306, 22, '330700', '金华市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.649506,29.089524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (307, 22, '330600', '绍兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '120.582112,29.997117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (308, 23, '361000', '抚州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.358351,27.98385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (309, 23, '360400', '九江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.992811,29.712034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (310, 23, '360700', '赣州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.940278,25.85097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (311, 23, '360600', '鹰潭市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.033838,28.238638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (312, 23, '360200', '景德镇市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.214664,29.29256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (313, 23, '361100', '上饶市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.971185,28.44442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (314, 23, '360300', '萍乡市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.852186,27.622946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (315, 23, '360900', '宜春市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.391136,27.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (316, 23, '360100', '南昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.892151,28.676493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (317, 23, '360800', '吉安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.986373,27.111699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (318, 23, '360500', '新余市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.930835,27.810834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (319, 25, '130200', '唐山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '118.175393,39.635113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (320, 25, '131000', '廊坊市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.704441,39.523927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (321, 25, '130300', '秦皇岛市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '119.586579,39.942531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (322, 25, '130700', '张家口市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.884091,40.811901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (323, 25, '130900', '沧州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '116.857461,38.310582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (324, 25, '130400', '邯郸市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.490686,36.612273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (325, 25, '130500', '邢台市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.508851,37.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (326, 25, '130100', '石家庄市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.502461,38.045474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (327, 25, '131100', '衡水市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.665993,37.735097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (328, 25, '130600', '保定市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '115.482331,38.867657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (329, 25, '130800', '承德市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '117.939152,40.976204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (330, 26, '810016', '沙田区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1953653,22.37953167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (331, 26, '810005', '油尖旺区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1733317,22.31170389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (332, 26, '810009', '观塘区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.2140542,22.32083778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (333, 26, '810011', '屯门区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.9765742,22.39384417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (334, 26, '810014', '大埔区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1717431,22.44565306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (335, 26, '810004', '南区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1600117,22.24589667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (336, 26, '810007', '九龙城区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1928467,22.31251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (337, 26, '810015', '西贡区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.264645,22.31421306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (338, 26, '810006', '深水埗区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1632417,22.33385417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (339, 26, '810008', '黄大仙区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.2038856,22.33632056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (340, 26, '810001', '中西区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1543731,22.28198083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (341, 26, '810013', '北区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1473639,22.49610389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (342, 26, '810012', '元朗区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.0324381,22.44142833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (343, 26, '810002', '湾仔区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1829153,22.27638889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (344, 26, '810018', '离岛区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.94612,22.28640778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (345, 26, '810003', '东区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.2260031,22.27969306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (346, 26, '810010', '荃湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1210792,22.36830667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (347, 26, '810017', '葵青区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '114.1393194,22.36387667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (348, 27, '820001', '花地玛堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5528956,22.20787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (349, 27, '820007', '路凼填海区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5695992,22.13663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (350, 27, '820003', '望德堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5501828,22.19372083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (351, 27, '820002', '花王堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5489608,22.1992075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (352, 27, '820004', '大堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5536475,22.18853944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (353, 27, '820008', '圣方济各堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5599542,22.12348639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (354, 27, '820006', '嘉模堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5587044,22.15375944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (355, 27, '820005', '风顺堂区', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.5419278,22.18736806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (356, 28, '620300', '金昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.187888,38.514238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (357, 28, '620400', '白银市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.173606,36.54568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (358, 28, '620900', '酒泉市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '98.510795,39.744023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (359, 28, '621200', '陇南市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.929379,33.388598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (360, 28, '620800', '平凉市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.684691,35.54279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (361, 28, '620600', '武威市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.634697,37.929996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (362, 28, '620100', '兰州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.823557,36.058039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (363, 28, '620200', '嘉峪关市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '98.277304,39.786529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (364, 28, '623000', '甘南藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.911008,34.986354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (365, 28, '622900', '临夏回族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.212006,35.599446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (366, 28, '620700', '张掖市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.455472,38.932897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (367, 28, '621000', '庆阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.638372,35.734218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (368, 28, '621100', '定西市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.626294,35.579578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (369, 28, '620500', '天水市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.724998,34.578529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (370, 29, '511900', '巴中市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.753669,31.858809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (371, 29, '510100', '成都市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.065735,30.659462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (372, 29, '510600', '德阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.398651,31.127991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (373, 29, '510800', '广元市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.829757,32.433668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (374, 29, '510900', '遂宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.571331,30.513311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (375, 29, '512000', '资阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.641917,30.122211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (376, 29, '510700', '绵阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.741722,31.46402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (377, 29, '511600', '广安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.633369,30.456398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (378, 29, '511700', '达州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '107.502262,31.209484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (379, 29, '511300', '南充市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '106.082974,30.795281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (380, 29, '511000', '内江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.066138,29.58708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (381, 29, '511500', '宜宾市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.630825,28.760189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (382, 29, '510500', '泸州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '105.443348,28.889138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (383, 29, '513200', '阿坝藏族羌族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.221374,31.899792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (384, 29, '510300', '自贡市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.773447,29.352765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (385, 29, '511800', '雅安市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.001033,29.987722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (386, 29, '511400', '眉山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.831788,30.048318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (387, 29, '511100', '乐山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.761263,29.582024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (388, 29, '510400', '攀枝花市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '101.716007,26.580446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (389, 29, '513400', '凉山彝族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.258746,27.886762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (390, 29, '513300', '甘孜藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '101.963815,30.050663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (391, 30, '220800', '白城市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '122.841114,45.619026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (392, 30, '220100', '长春市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '125.3245,43.886841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (393, 30, '220200', '吉林市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '126.55302,43.843577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (394, 30, '220700', '松原市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '124.823608,45.118243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (395, 30, '220400', '辽源市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '125.145349,42.902692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (396, 30, '222400', '延边朝鲜族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '129.513228,42.904823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (397, 30, '220600', '白山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '126.427839,41.942505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (398, 30, '220500', '通化市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '125.936501,41.721177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (399, 30, '220300', '四平市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '124.370785,43.170344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (400, 31, '120100', '天津', NULL, NULL, '2020-09-20 10:58:02', 0, 1, '117.190182,39.125596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (401, 32, '140800', '运城市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.003957,35.022778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (402, 32, '141000', '临汾市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.517973,36.08415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (403, 32, '140100', '太原市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.549248,37.857014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (404, 32, '140300', '阳泉市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.583285,37.861188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (405, 32, '140600', '朔州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.433387,39.331261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (406, 32, '140900', '忻州市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.733538,38.41769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (407, 32, '140700', '晋中市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.736465,37.696495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (408, 32, '141100', '吕梁市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '111.134335,37.524366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (409, 32, '140200', '大同市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.295259,40.09031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (410, 32, '140400', '长治市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '113.113556,36.191112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (411, 32, '140500', '晋城市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '112.851274,35.497553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (412, 33, '530600', '昭通市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.717216,27.336999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (413, 33, '532500', '红河哈尼族彝族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.384182,23.366775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (414, 33, '530300', '曲靖市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '103.797851,25.501557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (415, 33, '533300', '怒江傈僳族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '98.854304,25.850949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (416, 33, '530400', '玉溪市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.543907,24.350461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (417, 33, '530500', '保山市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '99.167133,25.111802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (418, 33, '532900', '大理白族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.225668,25.589449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (419, 33, '530700', '丽江市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.233026,26.872108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (420, 33, '533400', '迪庆藏族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '99.706463,27.826853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (421, 33, '532800', '西双版纳傣族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.797941,22.001724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (422, 33, '530100', '昆明市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '102.712251,25.040609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (423, 33, '530800', '普洱市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.972344,22.777321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (424, 33, '532600', '文山壮族苗族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '104.24401,23.36951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (425, 33, '532300', '楚雄彝族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '101.546046,25.041988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (426, 33, '530900', '临沧市', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '100.08697,23.886567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (427, 33, '533100', '德宏傣族景颇族自治州', NULL, NULL, '2020-09-20 10:40:28', 0, 1, '98.578363,24.436694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (428, 34, '110100', '北京', NULL, NULL, '2020-09-20 10:56:35', 0, 1, '116.405285,39.904989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (429, 35, '230903', '桃山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.015848,45.771217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (430, 35, '230921', '勃利县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.575025,45.751573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (431, 35, '230902', '新兴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.889482,45.794258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (432, 35, '230904', '茄子河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.071561,45.776587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (433, 36, '230422', '绥滨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.860526,47.289892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (434, 36, '230403', '工农区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.276652,47.331678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (435, 36, '230407', '兴山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.30534,47.35997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (436, 36, '230402', '向阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.292478,47.345372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (437, 36, '230404', '南山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.275533,47.31324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (438, 36, '230421', '萝北县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.829087,47.577577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (439, 36, '230405', '兴安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.236169,47.252911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (440, 36, '230406', '东山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.31714,47.337385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (441, 37, '230722', '嘉荫县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.397684,48.891378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (442, 37, '230726', '南岔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.28246,47.137314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (443, 37, '230718', '乌翠区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.669859,47.726728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (444, 37, '230717', '伊美区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.907303,47.728171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (445, 37, '230719', '友好区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.84075,47.853778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (446, 37, '230751', '金林区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.429117,47.413074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (447, 37, '230723', '汤旺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.571108,48.454651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (448, 37, '230724', '丰林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.5336,48.290455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (449, 37, '230781', '铁力市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.030561,46.985772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (450, 37, '230725', '大箐山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.020793,47.028397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (451, 38, '232701', '漠河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.536256,52.972074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (452, 38, '232722', '塔河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.710516,52.335229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (453, 38, '232721', '呼玛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.662105,51.726998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (454, 38, '232718', '加格达奇区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.126716,50.424654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (455, 39, '231226', '绥棱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.111121,47.247195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (456, 39, '231283', '海伦市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.969383,47.460428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (457, 39, '231224', '庆安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.510024,46.879203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (458, 39, '231221', '望奎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.484191,46.83352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (459, 39, '231202', '北林区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.990665,46.634912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (460, 39, '231223', '青冈县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.112268,46.686596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (461, 39, '231222', '兰西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.289315,46.259037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (462, 39, '231225', '明水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.907544,47.183527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (463, 39, '231282', '肇东市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.991402,46.069471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (464, 39, '231281', '安达市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.329926,46.410614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (465, 40, '230126', '巴彦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.403602,46.081889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (466, 40, '230123', '依兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.565594,46.315105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (467, 40, '230128', '通河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.747786,45.977618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (468, 40, '230127', '木兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.042675,45.949826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (469, 40, '230125', '宾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.48594,45.759369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (470, 40, '230124', '方正县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.836131,45.839536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (471, 40, '230108', '平房区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.629257,45.605567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (472, 40, '230129', '延寿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.331886,45.455648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (473, 40, '230183', '尚志市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.968539,45.214953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (474, 40, '230113', '双城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.308784,45.377942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (475, 40, '230110', '香坊区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.667049,45.713067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (476, 40, '230102', '道里区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.612532,45.762035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (477, 40, '230184', '五常市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.15759,44.919418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (478, 40, '230112', '阿城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.972726,45.538372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (479, 40, '230111', '呼兰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.603302,45.98423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (480, 40, '230109', '松北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.563066,45.814656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (481, 40, '230103', '南岗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.652098,45.755971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (482, 40, '230104', '道外区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.648838,45.78454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (483, 41, '230281', '讷河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.882172,48.481133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (484, 41, '230225', '甘南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.506034,47.917838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (485, 41, '230229', '克山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.874355,48.034342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (486, 41, '230230', '克东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.249094,48.03732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (487, 41, '230223', '依安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.307561,47.890098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (488, 41, '230227', '富裕县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.469106,47.797172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (489, 41, '230207', '碾子山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.887972,47.51401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (490, 41, '230204', '铁锋区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.973555,47.339499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (491, 41, '230203', '建华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.955888,47.354494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (492, 41, '230208', '梅里斯达斡尔族区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.754599,47.311113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (493, 41, '230221', '龙江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.187225,47.336388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (494, 41, '230202', '龙沙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.957338,47.341736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (495, 41, '230206', '富拉尔基区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.638873,47.20697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (496, 41, '230205', '昂昂溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.813181,47.156867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (497, 41, '230231', '拜泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.091911,47.607363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (498, 41, '230224', '泰来县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.41953,46.39233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (499, 42, '231183', '嫩江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.229904,49.177461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (500, 42, '231102', '爱辉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.497639,50.249027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (501, 42, '231181', '北安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.508737,48.245437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (502, 42, '231124', '孙吴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.327315,49.423941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (503, 42, '231123', '逊克县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.476152,49.582974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (504, 42, '231182', '五大连池市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.197694,48.512688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (505, 43, '231004', '爱民区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.601232,44.595443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (506, 43, '231081', '绥芬河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.164856,44.396864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (507, 43, '231002', '东安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.623292,44.582399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (508, 43, '231084', '宁安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.470019,44.346836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (509, 43, '231086', '东宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.125296,44.063578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (510, 43, '231003', '阳明区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.634645,44.596328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (511, 43, '231025', '林口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.268402,45.286645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (512, 43, '231085', '穆棱市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.527085,44.91967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (513, 43, '231005', '西安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.61311,44.581032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (514, 43, '231083', '海林市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.387902,44.574149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (515, 44, '230306', '城子河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.010501,45.338248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (516, 44, '230304', '滴道区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.846823,45.348812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (517, 44, '230305', '梨树区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.697781,45.092195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (518, 44, '230303', '恒山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.910636,45.213242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (519, 44, '230302', '鸡冠区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.974374,45.30034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (520, 44, '230307', '麻山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.481126,45.209607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (521, 44, '230382', '密山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.874137,45.54725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (522, 44, '230321', '鸡东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.148907,45.250892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (523, 44, '230381', '虎林市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '132.973881,45.767985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (524, 45, '230881', '同江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '132.510119,47.651131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (525, 45, '230826', '桦川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.723713,47.023039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (526, 45, '230828', '汤原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.904463,46.730048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (527, 45, '230805', '东风区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.403297,46.822476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (528, 45, '230803', '向阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.361786,46.809645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (529, 45, '230804', '前进区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.377684,46.812345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (530, 45, '230811', '郊区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.351588,46.80712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (531, 45, '230822', '桦南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.570112,46.240118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (532, 45, '230883', '抚远市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '134.294501,48.364707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (533, 45, '230882', '富锦市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '132.037951,47.250747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (534, 46, '230604', '让胡路区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.868341,46.653254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (535, 46, '230605', '红岗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.889528,46.403049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (536, 46, '230622', '肇源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.081974,45.518832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (537, 46, '230606', '大同区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.818509,46.034304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (538, 46, '230623', '林甸县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.877742,47.186411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (539, 46, '230624', '杜尔伯特蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.446259,46.865973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (540, 46, '230603', '龙凤区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.145794,46.573948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (541, 46, '230602', '萨尔图区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.114643,46.596356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (542, 46, '230621', '肇州县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.273254,45.708685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (543, 47, '230502', '尖山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.15896,46.642961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (544, 47, '230522', '友谊县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.810622,46.775159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (545, 47, '230506', '宝山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.404294,46.573366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (546, 47, '230505', '四方台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.333181,46.594347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (547, 47, '230503', '岭东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.163675,46.591076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (548, 47, '230523', '宝清县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '132.206415,46.328781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (549, 47, '230524', '饶河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '134.021162,46.801288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (550, 47, '230521', '集贤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '131.13933,46.72898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (551, 48, '440515', '澄海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.76336,23.46844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (552, 48, '440514', '潮南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.423607,23.249798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (553, 48, '440523', '南澳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.027105,23.419562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (554, 48, '440512', '濠江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.729528,23.279345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (555, 48, '440513', '潮阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.602602,23.262336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (556, 48, '440511', '金平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.703583,23.367071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (557, 48, '440507', '龙湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.732015,23.373754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (558, 49, '440607', '三水区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.899414,23.16504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (559, 49, '440608', '高明区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.882123,22.893855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (560, 49, '440606', '顺德区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.281826,22.75851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (561, 49, '440605', '南海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.145577,23.031562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (562, 49, '440604', '禅城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.112414,23.019643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (563, 50, '441224', '怀集县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.182466,23.913072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (564, 50, '441225', '封开县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.502973,23.434731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (565, 50, '441223', '广宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.440419,23.631486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (566, 50, '441284', '四会市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.695028,23.340324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (567, 50, '441226', '德庆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.78156,23.141711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (568, 50, '441203', '鼎湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.565249,23.155822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (569, 50, '441202', '端州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.472329,23.052662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (570, 50, '441204', '高要区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.460846,23.027694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (571, 51, '441324', '龙门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.259986,23.723894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (572, 51, '441323', '惠东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.723092,22.983036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (573, 51, '441322', '博罗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.284254,23.167575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (574, 51, '441303', '惠阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.469444,22.78851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (575, 51, '441302', '惠城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.413978,23.079883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (576, 52, '440306', '宝安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.828671,22.754741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (577, 52, '440305', '南山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.92943,22.531221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (578, 52, '440304', '福田区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.05096,22.541009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (579, 52, '440308', '盐田区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.235366,22.555069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (580, 52, '440303', '罗湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.123885,22.555341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (581, 52, '440310', '坪山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.338441,22.69423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (582, 52, '440307', '龙岗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.251372,22.721511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (583, 52, '440309', '龙华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.044346,22.691963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (584, 52, '440311', '光明区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.935895,22.748816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (585, 53, '440881', '廉江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.284961,21.611281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (586, 53, '440883', '吴川市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.780508,21.428453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (587, 53, '440825', '徐闻县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.175718,20.326083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (588, 53, '440882', '雷州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.088275,20.908523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (589, 53, '440811', '麻章区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.329167,21.265997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (590, 53, '440804', '坡头区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.455632,21.24441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (591, 53, '440803', '霞山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.406382,21.194229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (592, 53, '440823', '遂溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.255321,21.376915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (593, 53, '440802', '赤坎区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.361634,21.273365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (594, 54, '440403', '斗门区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.297739,22.209117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (595, 54, '440404', '金湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.345071,22.139122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (596, 54, '440402', '香洲区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.55027,22.271249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (597, 55, '445122', '饶平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.00205,23.668171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (598, 55, '445102', '湘桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.63365,23.664675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (599, 55, '445103', '潮安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.67931,23.461012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (600, 56, '440983', '信宜市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.941656,22.352681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (601, 56, '440981', '高州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.853251,21.915153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (602, 56, '440982', '化州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.63839,21.654953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (603, 56, '440904', '电白区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.007264,21.507219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (604, 56, '440902', '茂南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.920542,21.660425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (605, 57, '440784', '鹤山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.961795,22.768104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (606, 57, '440704', '江海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.120601,22.572211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (607, 57, '440783', '开平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.692262,22.366286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (608, 57, '440781', '台山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.793414,22.250713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (609, 57, '440785', '恩平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.314051,22.182956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (610, 57, '440705', '新会区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.038584,22.520247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (611, 57, '440703', '蓬江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.07859,22.59677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (612, 58, '441624', '和平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.941473,24.44318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (613, 58, '441622', '龙川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.256415,24.101174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (614, 58, '441623', '连平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.495952,24.364227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (615, 58, '441625', '东源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.742711,23.789093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (616, 58, '441602', '源城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.696828,23.746255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (617, 58, '441621', '紫金县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.184383,23.633744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (618, 59, '445322', '郁南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.535921,23.237709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (619, 59, '445381', '罗定市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.578201,22.765415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (620, 59, '445321', '新兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.23083,22.703204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (621, 59, '445302', '云城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.04471,22.930827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (622, 59, '445303', '云安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.005609,23.073152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (623, 60, '441521', '海丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.337324,22.971042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (624, 60, '441523', '陆河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.657565,23.302682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (625, 60, '441581', '陆丰市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.644203,22.946104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (626, 60, '441502', '城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.363667,22.776227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (627, 61, '441781', '阳春市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.7905,22.169598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (628, 61, '441702', '江城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.968909,21.859182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (629, 61, '441721', '阳西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.617556,21.75367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (630, 61, '441704', '阳东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.011267,21.864728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (631, 62, '445281', '普宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.165082,23.29788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (632, 62, '445222', '揭西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.838708,23.4273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (633, 62, '445224', '惠来县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.295832,23.029834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (634, 62, '445203', '揭东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.412947,23.569887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (635, 62, '445202', '榕城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.357045,23.535524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (636, 63, '441427', '蕉岭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.170531,24.653313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (637, 63, '441426', '平远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.891729,24.569651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (638, 63, '441481', '兴宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.731648,24.138077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (639, 63, '441424', '五华县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.775004,23.925424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (640, 63, '441423', '丰顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.184419,23.752771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (641, 63, '441422', '大埔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.69552,24.351587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (642, 63, '441403', '梅县区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.083482,24.267825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (643, 63, '441402', '梅江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.12116,24.302593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (644, 64, '440117', '从化区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.587386,23.545283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (645, 64, '440115', '南沙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.53738,22.794531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (646, 64, '440114', '花都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.211184,23.39205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (647, 64, '440111', '白云区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.262831,23.162281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (648, 64, '440113', '番禺区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.364619,22.938582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (649, 64, '440103', '荔湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.243038,23.124943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (650, 64, '440105', '海珠区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.262008,23.103131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (651, 64, '440118', '增城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.829579,23.290497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (652, 64, '440104', '越秀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.280714,23.125624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (653, 64, '440112', '黄埔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.450761,23.103239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (654, 64, '440106', '天河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.335367,23.13559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (655, 65, '440222', '始兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.067205,24.948364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (656, 65, '440282', '南雄市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.311231,25.115328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (657, 65, '440204', '浈江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.599224,24.803977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (658, 65, '440224', '仁化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.748627,25.088226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (659, 65, '440232', '乳源瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.278417,24.776109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (660, 65, '440229', '翁源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.131289,24.353887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (661, 65, '440205', '曲江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.605582,24.680195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (662, 65, '440203', '武江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.588289,24.80016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (663, 65, '440233', '新丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.207034,24.055412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (664, 65, '440281', '乐昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.352413,25.128445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (665, 66, '441882', '连州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.379271,24.783966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (666, 66, '441825', '连山壮族瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.086555,24.567271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (667, 66, '441826', '连南瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.290808,24.719097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (668, 66, '441881', '英德市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.405404,24.18612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (669, 66, '441821', '佛冈县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.534094,23.866739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (670, 66, '441823', '阳山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.634019,24.470286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (671, 66, '441803', '清新区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.015203,23.736949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (672, 66, '441802', '清城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.048698,23.688976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (673, 67, '442000', '三角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.416,22.7079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (674, 67, '442000', '横栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.224,22.6048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (675, 67, '442000', '五桂山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.399,22.4847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (676, 67, '442000', '东升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.321,22.5607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (677, 67, '442000', '神湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.376,22.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (678, 67, '442000', '火炬开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.42,22.5577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (679, 67, '442000', '小榄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.23,22.7026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (680, 67, '442000', '南朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.482,22.519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (681, 67, '442000', '古镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.167,22.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (682, 67, '442000', '民众镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.499,22.6855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (683, 67, '442000', '港口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.354,22.6027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (684, 67, '442000', '石岐区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.405,22.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (685, 67, '442000', '三乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.432,22.3879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (686, 67, '442000', '大涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.297,22.4834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (687, 67, '442000', '南头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.328,22.6882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (688, 67, '442000', '黄圃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.329,22.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (689, 67, '442000', '东区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.4,22.5274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (690, 67, '442000', '坦洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.38,22.2868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (691, 67, '442000', '阜沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.34,22.6406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (692, 67, '442000', '西区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.314,22.5649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (693, 67, '442000', '板芙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.358,22.4068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (694, 67, '442000', '南区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.367,22.4892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (695, 67, '442000', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.344,22.5248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (696, 67, '442000', '东凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.308,22.6803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (697, 68, '441900', '莞城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.743,23.0225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (698, 68, '441900', '常平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.036,23.0074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (699, 68, '441900', '望牛墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.676,23.0683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (700, 68, '441900', '大朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.939,22.8654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (701, 68, '441900', '麻涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.562,22.9718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (702, 68, '441900', '黄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.973,22.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (703, 68, '441900', '东莞生态园', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.917,23.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (704, 68, '441900', '樟木头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.018,22.8704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (705, 68, '441900', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.065,23.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (706, 68, '441900', '凤岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.105,22.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (707, 68, '441900', '松山湖管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.875,22.869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (708, 68, '441900', '寮步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.888,22.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (709, 68, '441900', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.833,23.1123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (710, 68, '441900', '高埗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.773,23.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (711, 68, '441900', '塘厦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.05,22.7713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (712, 68, '441900', '谢岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.128,22.9901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (713, 68, '441900', '厚街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.776,22.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (714, 68, '441900', '虎门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.797,22.8587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (715, 68, '441900', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.737,23.0249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (716, 68, '441900', '虎门港管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.562,22.9718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (717, 68, '441900', '横沥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.006,23.0504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (718, 68, '441900', '企石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.99,23.0541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (719, 68, '441900', '东坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.918,22.995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (720, 68, '441900', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.757,23.0485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (721, 68, '441900', '石排镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.988,23.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (722, 68, '441900', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.582,22.9426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (723, 68, '441900', '洪梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.607,23.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (724, 68, '441900', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.708,22.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (725, 68, '441900', '道滘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.692,23.004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (726, 68, '441900', '大岭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.843,22.9534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (727, 68, '441900', '茶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.839,23.0813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (728, 68, '441900', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.11,22.862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (729, 68, '441900', '石碣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.846,23.1024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (730, 68, '441900', '中堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.734,23.1164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (731, 68, '441900', '万江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.709,23.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (732, 69, '410323', '新安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.141403,34.728679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (733, 69, '410324', '栾川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.618386,33.783195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (734, 69, '410329', '伊川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.429384,34.423416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (735, 69, '410306', '吉利区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.584796,34.899093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (736, 69, '410328', '洛宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.655399,34.387179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (737, 69, '410381', '偃师市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.787739,34.723042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (738, 69, '410304', '瀍河回族区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.491625,34.684738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (739, 69, '410302', '老城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.477298,34.682945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (740, 69, '410303', '西工区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.443232,34.667847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (741, 69, '410322', '孟津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.443892,34.826485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (742, 69, '410311', '洛龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.456634,34.618557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (743, 69, '410305', '涧西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.399243,34.654251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (744, 69, '410327', '宜阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.179989,34.516478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (745, 69, '410326', '汝阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.473789,34.15323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (746, 69, '410325', '嵩县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.087765,34.131563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (747, 70, '411202', '湖滨区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.19487,34.77812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (748, 70, '411224', '卢氏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.052649,34.053995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (749, 70, '411221', '渑池县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.762992,34.763487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (750, 70, '411282', '灵宝市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.88577,34.521264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (751, 70, '411203', '陕州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.103851,34.720244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (752, 70, '411281', '义马市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.869417,34.746868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (753, 71, '411104', '召陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.051686,33.567555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (754, 71, '411122', '临颍县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.938891,33.80609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (755, 71, '411102', '源汇区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.017948,33.565441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (756, 71, '411103', '郾城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.016813,33.588897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (757, 71, '411121', '舞阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.610565,33.436278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (758, 72, '411003', '建安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.842898,34.005018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (759, 72, '411002', '魏都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.828307,34.02711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (760, 72, '411082', '长葛市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.768912,34.219257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (761, 72, '411081', '禹州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.471316,34.154403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (762, 72, '411024', '鄢陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.188507,34.100502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (763, 72, '411025', '襄城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.493166,33.855943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (764, 73, '411323', '西峡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.485772,33.302981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (765, 73, '411327', '社旗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.938279,33.056126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (766, 73, '411330', '桐柏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.406059,32.367153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (767, 73, '411303', '卧龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.528789,32.989877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (768, 73, '411321', '南召县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.435583,33.488617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (769, 73, '411328', '唐河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.838492,32.687892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (770, 73, '411322', '方城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.010933,33.255138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (771, 73, '411302', '宛城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.544591,32.994857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (772, 73, '411329', '新野县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.365624,32.524006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (773, 73, '411324', '镇平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.232722,33.036651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (774, 73, '411326', '淅川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.489026,33.136106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (775, 73, '411381', '邓州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.092716,32.681642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (776, 73, '411325', '内乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.843801,33.046358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (777, 74, '411526', '潢川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.050123,32.134024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (778, 74, '411527', '淮滨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.415451,32.452639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (779, 74, '411521', '罗山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.533414,32.203206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (780, 74, '411522', '光山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.903577,32.010398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (781, 74, '411523', '新县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.87705,31.63515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (782, 74, '411502', '浉河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.075031,32.123274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (783, 74, '411525', '固始县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.667328,32.183074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (784, 74, '411524', '商城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.406297,31.799982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (785, 74, '411528', '息县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.740713,32.344744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (786, 74, '411503', '平桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.126027,32.098395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (787, 75, '419001', '济源市坡头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.538,34.9308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (788, 75, '419001', '济源市梨林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.753,35.0882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (789, 75, '419001', '济源市大峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.338,34.9398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (790, 75, '419001', '济源市思礼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.388,35.2103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (791, 75, '419001', '济源市五龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.761,35.1956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (792, 75, '419001', '济源市王屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.169,35.1244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (793, 75, '419001', '济源市玉泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.624,35.1189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (794, 75, '419001', '济源市轵城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.622,35.0625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (795, 75, '419001', '济源市济水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.595,35.0944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (796, 75, '419001', '济源市沁园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.593,35.0822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (797, 75, '419001', '济源市下冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.212,35.1131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (798, 75, '419001', '济源市克井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.635,35.255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (799, 75, '419001', '济源市天坛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.567,35.1229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (800, 75, '419001', '济源市邵原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.113,35.2704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (801, 75, '419001', '济源市北海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.569,35.1116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (802, 75, '419001', '济源市承留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.509,35.0243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (803, 76, '411722', '上蔡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.266892,33.264719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (804, 76, '411721', '西平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.026864,33.382315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (805, 76, '411729', '新蔡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.975246,32.749948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (806, 76, '411726', '泌阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.32605,32.725129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (807, 76, '411702', '驿城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.029149,32.977559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (808, 76, '411725', '确山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.026679,32.801538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (809, 76, '411724', '正阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.38948,32.601826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (810, 76, '411728', '遂平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.00371,33.14698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (811, 76, '411727', '汝南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.359495,33.004535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (812, 76, '411723', '平舆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.637105,32.955626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (813, 77, '410927', '台前县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.855681,35.996474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (814, 77, '410923', '南乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.204336,36.075204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (815, 77, '410926', '范县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.504212,35.851977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (816, 77, '410902', '华龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.03184,35.760473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (817, 77, '410922', '清丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.107287,35.902413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (818, 77, '410928', '濮阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.023844,35.710349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (819, 78, '410883', '孟州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.78708,34.90963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (820, 78, '410825', '温县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.079118,34.941233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (821, 78, '410882', '沁阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.934538,35.08901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (822, 78, '410804', '马村区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.321703,35.265453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (823, 78, '410823', '武陟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.408334,35.09885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (824, 78, '410822', '博爱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.069313,35.170351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (825, 78, '410821', '修武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.447465,35.229923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (826, 78, '410802', '解放区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.226126,35.241353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (827, 78, '410811', '山阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.26766,35.21476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (828, 78, '410803', '中站区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.175485,35.236145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (829, 79, '410185', '登封市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.037768,34.459939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (830, 79, '410102', '中原区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.611576,34.748286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (831, 79, '410183', '新密市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.380616,34.537846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (832, 79, '410184', '新郑市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.73967,34.394219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (833, 79, '410181', '巩义市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.98283,34.75218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (834, 79, '410182', '荥阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.391523,34.789077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (835, 79, '410106', '上街区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.298282,34.808689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (836, 79, '410103', '二七区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.645422,34.730936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (837, 79, '410105', '金水区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.686037,34.775838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (838, 79, '410108', '惠济区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.61836,34.828591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (839, 79, '410122', '中牟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.022521,34.721976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (840, 79, '410104', '管城回族区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.685313,34.746453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (841, 80, '410523', '汤阴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.362357,35.922349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (842, 80, '410505', '殷都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.300098,36.108974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (843, 80, '410581', '林州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.823767,36.063403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (844, 80, '410506', '龙安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.323522,36.095568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (845, 80, '410527', '内黄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.904582,35.953702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (846, 80, '410503', '北关区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.352646,36.10978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (847, 80, '410522', '安阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.130207,36.130585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (848, 80, '410502', '文峰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.352562,36.098101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (849, 80, '410526', '滑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.524,35.574628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (850, 81, '410782', '辉县市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.802518,35.461318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (851, 81, '410704', '凤泉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.906712,35.379855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (852, 81, '410783', '长垣市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.673807,35.19615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (853, 81, '410711', '牧野区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.89716,35.312974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (854, 81, '410703', '卫滨区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.866065,35.304905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (855, 81, '410724', '获嘉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.657249,35.261685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (856, 81, '410721', '新乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.806186,35.190021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (857, 81, '410727', '封丘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.423405,35.04057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (858, 81, '410725', '原阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.965966,35.054001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (859, 81, '410726', '延津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.200982,35.149515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (860, 81, '410781', '卫辉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.065855,35.404295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (861, 81, '410702', '红旗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.878158,35.302684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (862, 82, '410602', '鹤山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.166551,35.936128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (863, 82, '410603', '山城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.184202,35.896058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (864, 82, '410622', '淇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.200379,35.609478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (865, 82, '410611', '淇滨区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.293917,35.748382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (866, 82, '410621', '浚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.550162,35.671282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (867, 83, '410203', '顺河回族区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.364875,34.800459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (868, 83, '410212', '祥符区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.437622,34.756476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (869, 83, '410205', '禹王台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.350246,34.779727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (870, 83, '410204', '鼓楼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.3485,34.792383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (871, 83, '410202', '龙亭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.353348,34.799833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (872, 83, '410223', '尉氏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.193927,34.412256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (873, 83, '410225', '兰考县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.820572,34.829899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (874, 83, '410221', '杞县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.770472,34.554585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (875, 83, '410222', '通许县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.467734,34.477302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (876, 84, '411624', '沈丘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.078375,33.395514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (877, 84, '411681', '项城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.899521,33.443085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (878, 84, '411602', '川汇区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.652136,33.614836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (879, 84, '411623', '商水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.60927,33.543845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (880, 84, '411628', '鹿邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.486386,33.861067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (881, 84, '411625', '郸城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.189,33.643852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (882, 84, '411603', '淮阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.870166,33.732547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (883, 84, '411622', '西华县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.530067,33.784378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (884, 84, '411621', '扶沟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.392008,34.054061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (885, 84, '411627', '太康县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.853834,34.065312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (886, 85, '410404', '石龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.889885,33.901538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (887, 85, '410403', '卫东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.310327,33.739285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (888, 85, '410423', '鲁山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.906703,33.740325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (889, 85, '410411', '湛河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.320873,33.725681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (890, 85, '410481', '舞钢市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.52625,33.302082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (891, 85, '410425', '郏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.220451,33.971993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (892, 85, '410422', '叶县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.358298,33.621252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (893, 85, '410421', '宝丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.066812,33.866359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (894, 85, '410482', '汝州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.845336,34.167408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (895, 85, '410402', '新华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.299061,33.737579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (896, 86, '411423', '宁陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.320055,34.449299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (897, 86, '411402', '梁园区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.65459,34.436553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (898, 86, '411481', '永城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.449672,33.931318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (899, 86, '411403', '睢阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.653813,34.390536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (900, 86, '411422', '睢县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.070109,34.428433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (901, 86, '411426', '夏邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.13989,34.240894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (902, 86, '411425', '虞城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.863811,34.399634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (903, 86, '411421', '民权县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.148146,34.648455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (904, 86, '411424', '柘城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.307433,34.075277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (905, 87, '150621', '达拉特旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.040281,40.404076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (906, 87, '150624', '鄂托克旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.982604,39.095752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (907, 87, '150622', '准格尔旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.238332,39.865221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (908, 87, '150625', '杭锦旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.736324,39.831789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (909, 87, '150626', '乌审旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.842454,38.596611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (910, 87, '150623', '鄂托克前旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.48172,38.183257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (911, 87, '150627', '伊金霍洛旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.787402,39.604312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (912, 87, '150603', '康巴什区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.790076,39.607472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (913, 87, '150602', '东胜区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.98945,39.81788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (914, 88, '150221', '土默特右旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.526766,40.566434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (915, 88, '150206', '白云鄂博矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.97016,41.769246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (916, 88, '150223', '达尔罕茂明安联合旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.438452,41.702836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (917, 88, '150207', '九原区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.968122,40.600581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (918, 88, '150205', '石拐区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.272565,40.672094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (919, 88, '150204', '青山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.880049,40.668558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (920, 88, '150202', '东河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.026895,40.587056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (921, 88, '150203', '昆都仑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.822932,40.661345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (922, 88, '150222', '固阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.063421,41.030004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (923, 89, '150824', '乌拉特中旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.515255,41.57254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (924, 89, '150821', '五原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.270658,41.097639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (925, 89, '150802', '临河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.417018,40.757092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (926, 89, '150822', '磴口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.006056,40.330479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (927, 89, '150823', '乌拉特前旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.656816,40.725209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (928, 89, '150826', '杭锦后旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.147682,40.888797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (929, 89, '150825', '乌拉特后旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.074941,41.084307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (930, 90, '150304', '乌达区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.722711,39.502288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (931, 90, '150303', '海南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.884789,39.44153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (932, 90, '150302', '海勃湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.817762,39.673527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (933, 91, '150784', '额尔古纳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.178636,50.2439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (934, 91, '150782', '牙克石市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.729005,49.287024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (935, 91, '150785', '根河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.532724,50.780454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (936, 91, '150721', '阿荣旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.464615,48.130503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (937, 91, '150702', '海拉尔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.764923,49.213889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (938, 91, '150725', '陈巴尔虎旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.437609,49.328422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (939, 91, '150783', '扎兰屯市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.744401,48.007412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (940, 91, '150722', '莫力达瓦达斡尔族自治旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.507401,48.478385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (941, 91, '150724', '鄂温克族自治旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.754041,49.143293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (942, 91, '150727', '新巴尔虎右旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.825991,48.669134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (943, 91, '150703', '扎赉诺尔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.716373,49.456567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (944, 91, '150781', '满洲里市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.455561,49.590788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (945, 91, '150723', '鄂伦春自治旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.725684,50.590177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (946, 91, '150726', '新巴尔虎左旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.267454,48.216571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (947, 92, '152923', '额济纳旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.06944,41.958813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (948, 92, '152922', '阿拉善右旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.671984,39.21159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (949, 92, '152921', '阿拉善左旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.70192,38.847241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (950, 93, '150581', '霍林郭勒市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.657862,45.532361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (951, 93, '150526', '扎鲁特旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.905275,44.555294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (952, 93, '150521', '科尔沁左翼中旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.313873,44.127166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (953, 93, '150525', '奈曼旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.662543,42.84685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (954, 93, '150523', '开鲁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.308797,43.602432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (955, 93, '150502', '科尔沁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.264042,43.617422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (956, 93, '150524', '库伦旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.774886,42.734692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (957, 93, '150522', '科尔沁左翼后旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.355155,42.954564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (958, 94, '152202', '阿尔山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.943656,47.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (959, 94, '152222', '科尔沁右翼中旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.472818,45.059645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (960, 94, '152224', '突泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.564856,45.380986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (961, 94, '152201', '乌兰浩特市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.068975,46.077238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (962, 94, '152223', '扎赉特旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.909332,46.725136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (963, 94, '152221', '科尔沁右翼前旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.957544,46.076497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (964, 95, '152526', '西乌珠穆沁旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.615249,44.586147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (965, 95, '152502', '锡林浩特市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.091903,43.944301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (966, 95, '152525', '东乌珠穆沁旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.980022,45.510307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (967, 95, '152522', '阿巴嘎旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.970618,44.022728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (968, 95, '152523', '苏尼特左旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.653412,43.854108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (969, 95, '152524', '苏尼特右旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.65539,42.746662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (970, 95, '152501', '二连浩特市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.97981,43.652895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (971, 95, '152528', '镶黄旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.843869,42.239229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (972, 95, '152530', '正蓝旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.003311,42.245895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (973, 95, '152529', '正镶白旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.031423,42.286807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (974, 95, '152531', '多伦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.477288,42.197962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (975, 95, '152527', '太仆寺旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.28728,41.895199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (976, 96, '150123', '和林格尔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.824143,40.380288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (977, 96, '150103', '回民区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.662162,40.815149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (978, 96, '150104', '玉泉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.66543,40.799421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (979, 96, '150125', '武川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.456563,41.094483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (980, 96, '150121', '土默特左旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.133615,40.720416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (981, 96, '150122', '托克托县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.197317,40.276729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (982, 96, '150105', '赛罕区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.698463,40.807834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (983, 96, '150102', '新城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.685964,40.826225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (984, 96, '150124', '清水河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.67222,39.912479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (985, 97, '150421', '阿鲁科尔沁旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.094969,43.87877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (986, 97, '150424', '林西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.05775,43.605326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (987, 97, '150422', '巴林左旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.391737,43.980715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (988, 97, '150423', '巴林右旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.678347,43.528963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (989, 97, '150425', '克什克腾旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.542465,43.256233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (990, 97, '150426', '翁牛特旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.022619,42.937128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (991, 97, '150404', '松山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.938958,42.281046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (992, 97, '150402', '红山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.961087,42.269732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (993, 97, '150428', '喀喇沁旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.708572,41.92778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (994, 97, '150403', '元宝山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.289877,42.041168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (995, 97, '150430', '敖汉旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.906486,42.287012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (996, 97, '150429', '宁城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.339242,41.598692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (997, 98, '150929', '四子王旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.70123,41.528114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (998, 98, '150927', '察哈尔右翼中旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.633563,41.274212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (999, 98, '150923', '商都县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.560643,41.560163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1000, 98, '150924', '兴和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.834009,40.872437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1001, 98, '150922', '化德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.01008,41.899335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1002, 98, '150928', '察哈尔右翼后旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.1906,41.447213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1003, 98, '150921', '卓资县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.577702,40.89576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1004, 98, '150981', '丰镇市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.163462,40.437534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1005, 98, '150926', '察哈尔右翼前旗', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.211958,40.786859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1006, 98, '150902', '集宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.116453,41.034134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1007, 98, '150925', '凉城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.500911,40.531627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1008, 99, '659007', '兵团八十九团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.2853,45.0582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1009, 99, '659007', '兵团八十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.1787,44.8089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1010, 99, '659007', '兵团八十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.215,45.1246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1011, 99, '659007', '兵团九十团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.6473,44.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1012, 99, '659007', '兵团八十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.4908,44.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1013, 100, '659005', '兵团一八八团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.5186,47.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1014, 100, '659005', '兵团一八三团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.1187,47.1285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1015, 100, '659005', '兵团一八七团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.761,47.1948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1016, 100, '659005', '北屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.7224,47.4017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1017, 101, '652723', '温泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.03099,44.973751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1018, 101, '652702', '阿拉山口市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.569389,45.16777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1019, 101, '652701', '博乐市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.072237,44.903087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1020, 101, '652722', '精河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.892938,44.605645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1021, 102, '659006', '兵团二十九团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.5849,41.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1022, 102, '659006', '农二师三十团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.5849,41.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1023, 103, '659008', '兵团六十八团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.9903,43.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1024, 103, '659008', '都拉塔口岸', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.6882,43.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1025, 103, '659008', '兵团六十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.086,43.9599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1026, 103, '659008', '兵团六十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.6068,43.7652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1027, 103, '659008', '兵团六十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.4844,43.931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1028, 103, '659008', '兵团六十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.6749,44.0986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1029, 104, '650107', '达坂城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.30994,43.36181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1030, 104, '650102', '天山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.620116,43.796428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1031, 104, '650105', '水磨沟区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.613093,43.816747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1032, 104, '650109', '米东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.691801,43.960982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1033, 104, '650106', '头屯河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.425823,43.876053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1034, 104, '650121', '乌鲁木齐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.505603,43.982546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1035, 104, '650103', '沙依巴克区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.596639,43.788872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1036, 104, '650104', '新市区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.560653,43.870882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1037, 105, '659009', '兵团二二四团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.3401,37.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1038, 105, '659009', '阔依其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.6876,37.3691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1039, 105, '659009', '乌鲁克萨依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.8148,36.2925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1040, 105, '659009', '普恰克其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.783,37.5805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1041, 105, '659009', '兵团四十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.6039,37.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1042, 105, '659009', '兵团一牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.0295,36.3152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1043, 105, '659009', '兵团皮山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '78.5171,37.563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1044, 105, '659009', '乌尔其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.5866,37.332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1045, 105, '659009', '喀拉喀什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.7678,37.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1046, 105, '659009', '奴尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.0072,36.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1047, 105, '659009', '博斯坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.3298,36.4124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1048, 106, '652828', '和硕县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.864947,42.268863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1049, 106, '652827', '和静县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.391067,42.31716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1050, 106, '652824', '若羌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.168807,39.023807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1051, 106, '652826', '焉耆回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.5698,42.064349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1052, 106, '652829', '博湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.631576,41.980166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1053, 106, '652825', '且末县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.532629,38.138562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1054, 106, '652801', '库尔勒市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.145948,41.763122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1055, 106, '652822', '轮台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.248542,41.781266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1056, 106, '652823', '尉犁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.263412,41.337428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1057, 107, '653227', '民丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.692354,37.064909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1058, 107, '653226', '于田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.667845,36.854628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1059, 107, '653201', '和田市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.927542,37.108944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1060, 107, '653221', '和田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.81907,37.120031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1061, 107, '653225', '策勒县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.803572,37.001672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1062, 107, '653223', '皮山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '78.282301,37.616332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1063, 107, '653224', '洛浦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.184038,37.074377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1064, 107, '653222', '墨玉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.736629,37.271511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1065, 108, '654201', '塔城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.983988,46.746281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1066, 108, '654221', '额敏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '83.622118,46.522555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1067, 108, '654226', '和布克赛尔蒙古自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.733551,46.793001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1068, 108, '654225', '裕民县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.982157,46.202781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1069, 108, '654224', '托里县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '83.60469,45.935863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1070, 108, '654202', '乌苏市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.677624,44.430115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1071, 108, '654223', '沙湾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.622508,44.329544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1072, 109, '654321', '布尔津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.86186,47.70453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1073, 109, '654324', '哈巴河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.418964,48.059284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1074, 109, '654326', '吉木乃县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.876064,47.434633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1075, 109, '654325', '青河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.381561,46.672446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1076, 109, '654322', '富蕴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.524993,46.993106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1077, 109, '654301', '阿勒泰市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.138743,47.848911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1078, 109, '654323', '福海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.494569,47.113128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1079, 110, '652325', '奇台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.591437,44.021996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1080, 110, '652324', '玛纳斯县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.217687,44.305625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1081, 110, '652323', '呼图壁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.888613,44.189342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1082, 110, '652328', '木垒哈萨克自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.282833,43.832442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1083, 110, '652302', '阜康市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.98384,44.152153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1084, 110, '652301', '昌吉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.304112,44.013183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1085, 110, '652327', '吉木萨尔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.181288,43.997162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1086, 111, '659001', '兵团一五二团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.0704,44.2827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1087, 111, '659001', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.0397,44.3429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1088, 111, '659001', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.048,44.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1089, 111, '659001', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.0687,44.2873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1090, 111, '659001', '老街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.9909,44.3496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1091, 111, '659001', '石河子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.1022,44.1352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1092, 111, '659001', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.9823,44.2893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1093, 111, '659001', '北泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '86.0983,44.4346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1094, 112, '659004', '兵团一零二团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.5925,44.2694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1095, 112, '659004', '军垦路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.5084,44.1889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1096, 112, '659004', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.5728,44.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1097, 112, '659004', '兵团一零一团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.5562,44.1752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1098, 112, '659004', '兵团一零三团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.4075,44.5317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1099, 112, '659004', '青湖路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.5245,44.1764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1100, 113, '654003', '奎屯市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.901602,44.423445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1101, 113, '654021', '伊宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.524671,43.977876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1102, 113, '654025', '新源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '83.258493,43.434249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1103, 113, '654024', '巩留县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.227044,43.481618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1104, 113, '654028', '尼勒克县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.504119,43.789737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1105, 113, '654027', '特克斯县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.840058,43.214861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1106, 113, '654026', '昭苏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.126029,43.157765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1107, 113, '654022', '察布查尔锡伯自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.150874,43.838883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1108, 113, '654023', '霍城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.872508,44.049912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1109, 113, '654004', '霍尔果斯市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.420759,44.201669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1110, 113, '654002', '伊宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.316343,43.922209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1111, 114, '659002', '阿拉尔农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.0627,40.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1112, 114, '659002', '幸福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2681,40.577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1113, 114, '659002', '兵团第一师幸福农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.9904,40.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1114, 114, '659002', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2448,40.5461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1115, 114, '659002', '兵团七团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.6543,40.6569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1116, 114, '659002', '兵团十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.5619,40.6277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1117, 114, '659002', '青松路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2545,40.542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1118, 114, '659002', '托喀依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.3541,40.5818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1119, 114, '659002', '兵团第一师水利水电工程处', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2858,40.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1120, 114, '659002', '兵团八团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.7996,40.5973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1121, 114, '659002', '中心监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2766,40.6692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1122, 114, '659002', '兵团第一师塔里木灌区水利管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2876,40.5454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1123, 114, '659002', '兵团十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.8688,40.9423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1124, 114, '659002', '兵团十团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.259,40.6387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1125, 114, '659002', '金银川路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2613,40.5355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1126, 114, '659002', '兵团十二团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.1109,40.4977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1127, 114, '659002', '兵团十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.7871,40.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1128, 114, '659002', '兵团十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.4734,40.5742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1129, 114, '659002', '南口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.2988,40.5154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1130, 115, '650421', '鄯善县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.212692,42.865503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1131, 115, '650422', '托克逊县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.655771,42.793536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1132, 115, '650402', '高昌区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.182324,42.947627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1133, 116, '653122', '疏勒县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '76.053653,39.399461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1134, 116, '653127', '麦盖提县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '77.651538,38.903384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1135, 116, '653125', '莎车县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '77.248884,38.414499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1136, 116, '653129', '伽师县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '76.741982,39.494325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1137, 116, '653131', '塔什库尔干塔吉克自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '75.228068,37.775437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1138, 116, '653126', '叶城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '77.420353,37.884679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1139, 116, '653124', '泽普县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '77.273593,38.191217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1140, 116, '653130', '巴楚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '78.55041,39.783479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1141, 116, '653121', '疏附县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '75.863075,39.378306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1142, 116, '653123', '英吉沙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '76.174292,38.929839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1143, 116, '653101', '喀什市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '75.98838,39.467861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1144, 116, '653128', '岳普湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '76.7724,39.235248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1145, 117, '650502', '伊州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.509174,42.833888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1146, 117, '650521', '巴里坤哈萨克自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.021795,43.599032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1147, 117, '650522', '伊吾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.692773,43.252012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1148, 118, '659003', '兵团四十九团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '78.756,39.8224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1149, 118, '659003', '兵团图木舒克市永安坝', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.0133,39.8385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1150, 118, '659003', '兵团五十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.2902,39.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1151, 118, '659003', '前海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.0778,39.855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1152, 118, '659003', '兵团图木舒克市喀拉拜勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.0112,39.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1153, 118, '659003', '永安坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.0229,39.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1154, 118, '659003', '齐干却勒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.0906,39.8753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1155, 118, '659003', '兵团五十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.3214,40.0318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1156, 118, '659003', '兵团五十团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.2315,39.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1157, 118, '659003', '兵团四十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.1926,39.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1158, 119, '653024', '乌恰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '75.25969,39.716633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1159, 119, '653001', '阿图什市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '76.173939,39.712898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1160, 119, '653023', '阿合奇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '78.450164,40.937567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1161, 119, '653022', '阿克陶县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '75.945159,39.147079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1162, 120, '652922', '温宿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.243273,41.272995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1163, 120, '652901', '阿克苏市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.2629,41.171272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1164, 120, '652902', '库车市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.96304,41.717141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1165, 120, '652924', '沙雅县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.78077,41.226268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1166, 120, '652926', '拜城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.869881,41.796101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1167, 120, '652929', '柯坪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.04785,40.50624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1168, 120, '652925', '新和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '82.610828,41.551176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1169, 120, '652928', '阿瓦提县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.378426,40.638422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1170, 120, '652927', '乌什县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.230805,41.21587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1171, 121, '650204', '白碱滩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.129882,45.689021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1172, 121, '650203', '克拉玛依区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.868918,45.600477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1173, 121, '650205', '乌尔禾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.697767,46.08776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1174, 121, '650202', '独山子区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.882267,44.327207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1175, 122, '659010', '兵团一三零团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.8765,44.6164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1176, 122, '659010', '五五新镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.8012,44.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1177, 122, '659010', '兵团一二八团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.5572,45.0861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1178, 122, '659010', '兵团一二九团', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.8046,44.8465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1179, 123, '210727', '义县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.242831,41.537224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1180, 123, '210726', '黑山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.117915,41.691804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1181, 123, '210781', '凌海市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.364236,41.171738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1182, 123, '210711', '太和区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.107297,41.105378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1183, 123, '210782', '北镇市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.795962,41.598764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1184, 123, '210703', '凌河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.151304,41.114662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1185, 123, '210702', '古塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.130085,41.115719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1186, 124, '210212', '旅顺口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.26713,38.812043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1187, 124, '210213', '金州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.789413,39.052745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1188, 124, '210281', '瓦房店市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.002656,39.63065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1189, 124, '210224', '长海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.587824,39.272399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1190, 124, '210211', '甘井子区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.582614,38.975148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1191, 124, '210214', '普兰店区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.9705,39.401555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1192, 124, '210283', '庄河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.970612,39.69829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1193, 124, '210202', '中山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.64376,38.921553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1194, 124, '210203', '西岗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.616112,38.914266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1195, 124, '210204', '沙河口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.593702,38.912859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1196, 125, '210682', '凤城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.071067,40.457567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1197, 125, '210604', '振安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.427709,40.158557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1198, 125, '210681', '东港市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.149437,39.883467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1199, 125, '210603', '振兴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.361153,40.102801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1200, 125, '210624', '宽甸满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.784867,40.730412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1201, 125, '210602', '元宝区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.397814,40.136483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1202, 126, '210423', '清原满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.927192,42.10135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1203, 126, '210422', '新宾满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.037547,41.732456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1204, 126, '210411', '顺城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.917165,41.881132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1205, 126, '210403', '东洲区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.047219,41.866829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1206, 126, '210402', '新抚区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.902858,41.86082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1207, 126, '210404', '望花区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.801509,41.851803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1208, 126, '210421', '抚顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.097979,41.922644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1209, 127, '211403', '龙港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.838569,40.709991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1210, 127, '211422', '建昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.807776,40.812871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1211, 127, '211481', '兴城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.729365,40.619413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1212, 127, '211421', '绥中县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.342112,40.328407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1213, 127, '211402', '连山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.85937,40.755143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1214, 127, '211404', '南票区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.752314,41.098813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1215, 128, '211282', '开原市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.045551,42.542141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1216, 128, '211281', '调兵山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.545366,42.450734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1217, 128, '211204', '清河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.14896,42.542978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1218, 128, '211202', '银州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.844877,42.292278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1219, 128, '211223', '西丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.72332,42.738091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1220, 128, '211221', '铁岭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.725669,42.223316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1221, 128, '211224', '昌图县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.11017,42.784441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1222, 129, '210181', '新民市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.828868,41.996508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1223, 129, '210111', '苏家屯区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.341604,41.665904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1224, 129, '210102', '和平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.406664,41.788074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1225, 129, '210105', '皇姑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.405677,41.822336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1226, 129, '210114', '于洪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.310829,41.795833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1227, 129, '210123', '康平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.352703,42.741533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1228, 129, '210124', '法库县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.416722,42.507045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1229, 129, '210103', '沈河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.445696,41.795591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1230, 129, '210104', '大东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.469956,41.808503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1231, 129, '210106', '铁西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.350664,41.787808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1232, 129, '210115', '辽中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.731269,41.512725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1233, 129, '210113', '沈北新区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.521471,42.052312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1234, 129, '210112', '浑南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.458981,41.741946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1235, 130, '210882', '大石桥市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.505894,40.633973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1236, 130, '210804', '鲅鱼圈区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.127242,40.263646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1237, 130, '210881', '盖州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.355534,40.405234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1238, 130, '210803', '西市区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.210067,40.663086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1239, 130, '210802', '站前区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.253235,40.669949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1240, 130, '210811', '老边区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.382584,40.682723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1241, 131, '211103', '兴隆台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.071624,41.122423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1242, 131, '211122', '盘山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.98528,41.240701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1243, 131, '211104', '大洼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.071708,40.994428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1244, 131, '211102', '双台子区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.055733,41.190365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1245, 132, '210905', '清河门区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.42018,41.780477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1246, 132, '210904', '太平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.677575,42.011145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1247, 132, '210921', '阜新蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.743125,42.058607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1248, 132, '210903', '新邱区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.790541,42.086603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1249, 132, '210922', '彰武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.537444,42.384823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1250, 132, '210902', '海州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.657639,42.011162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1251, 132, '210911', '细河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.654791,42.019218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1252, 133, '210522', '桓仁满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.359195,41.268997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1253, 133, '210503', '溪湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.765226,41.330056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1254, 133, '210505', '南芬区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.748381,41.104093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1255, 133, '210502', '平山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.761231,41.291581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1256, 133, '210504', '明山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.763288,41.302429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1257, 133, '210521', '本溪满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.126156,41.300344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1258, 134, '211005', '弓长岭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.431633,41.157831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1259, 134, '211081', '灯塔市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.325864,41.427836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1260, 134, '211021', '辽阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.079674,41.216479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1261, 134, '211002', '白塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.172611,41.26745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1262, 134, '211003', '文圣区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.188227,41.266765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1263, 134, '211011', '太子河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.185336,41.251682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1264, 134, '211004', '宏伟区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.200461,41.205747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1265, 135, '210321', '台安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.429736,41.38686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1266, 135, '210323', '岫岩满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.28833,40.281509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1267, 135, '210311', '千山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.949298,41.068909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1268, 135, '210303', '铁西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.971834,41.11069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1269, 135, '210302', '铁东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.994475,41.110344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1270, 135, '210304', '立山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.024806,41.150622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1271, 135, '210381', '海城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.752199,40.852533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1272, 136, '211322', '建平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.642363,41.402576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1273, 136, '211381', '北票市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.766951,41.803286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1274, 136, '211321', '朝阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.404217,41.526342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1275, 136, '211302', '双塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.44877,41.579389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1276, 136, '211303', '龙城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.413376,41.576749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1277, 136, '211324', '喀喇沁左翼蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.744883,41.125428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1278, 136, '211382', '凌源市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.404789,41.243086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1279, 137, '420381', '丹江口市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.513793,32.538839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1280, 137, '420304', '郧阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.812099,32.838267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1281, 137, '420303', '张湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.772365,32.652516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1282, 137, '420302', '茅箭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.78621,32.644463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1283, 137, '420324', '竹溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.717196,32.315342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1284, 137, '420323', '竹山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.2296,32.22586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1285, 137, '420325', '房县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.741966,32.055002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1286, 137, '420322', '郧西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.426472,32.991457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1287, 138, '420684', '宜城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.261441,31.709203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1288, 138, '420626', '保康县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.262235,31.873507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1289, 138, '420683', '枣阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.765268,32.123083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1290, 138, '420625', '谷城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.640147,32.262676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1291, 138, '420624', '南漳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.844424,31.77692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1292, 138, '420682', '老河口市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.675732,32.385438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1293, 138, '420602', '襄城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.150327,32.015088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1294, 138, '420606', '樊城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.13957,32.058589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1295, 138, '420607', '襄州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.197378,32.085517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1296, 139, '420525', '远安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.64331,31.059626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1297, 139, '420526', '兴山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.754499,31.34795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1298, 139, '420582', '当阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.793419,30.824492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1299, 139, '420527', '秭归县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.976785,30.823908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1300, 139, '420528', '长阳土家族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.198475,30.466534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1301, 139, '420504', '点军区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.268163,30.692322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1302, 139, '420505', '猇亭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.427642,30.530744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1303, 139, '420503', '伍家岗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.307215,30.679053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1304, 139, '420581', '宜都市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.454367,30.387234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1305, 139, '420529', '五峰土家族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.674938,30.199252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1306, 139, '420583', '枝江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.751799,30.425364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1307, 139, '420506', '夷陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.326747,30.770199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1308, 139, '420502', '西陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.295468,30.702476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1309, 140, '420802', '东宝区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.204804,31.033461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1310, 140, '420881', '钟祥市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.587267,31.165573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1311, 140, '420882', '京山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.114595,31.022457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1312, 140, '420804', '掇刀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.198413,30.980798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1313, 140, '420822', '沙洋县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.595218,30.70359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1314, 141, '421181', '麻城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.02541,31.177906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1315, 141, '421121', '团风县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.872029,30.63569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1316, 141, '421102', '黄州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.878934,30.447435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1317, 141, '421126', '蕲春县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.433964,30.234927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1318, 141, '421125', '浠水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.26344,30.454837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1319, 141, '421124', '英山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.67753,30.735794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1320, 141, '421122', '红安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.615095,31.284777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1321, 141, '421127', '黄梅县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.942548,30.075113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1322, 141, '421182', '武穴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.56242,29.849342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1323, 141, '421123', '罗田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.398984,30.781679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1324, 142, '429006', '胡市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.422,30.802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1325, 142, '429006', '多祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.361,30.4223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1326, 142, '429006', '沉湖管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.399,30.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1327, 142, '429006', '黄潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.039,30.6922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1328, 142, '429006', '干驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.451,30.503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1329, 142, '429006', '横林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.215,30.5643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1330, 142, '429006', '马湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.312,30.5993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1331, 142, '429006', '小板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.264,30.6151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1332, 142, '429006', '蒋湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.802,30.6364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1333, 142, '429006', '多宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.614,30.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1334, 142, '429006', '岳口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.105,30.5868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1335, 142, '429006', '蒋场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.927,30.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1336, 142, '429006', '石家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.076,30.8211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1337, 142, '429006', '彭市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.157,30.4315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1338, 142, '429006', '佛子山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.068,30.6892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1339, 142, '429006', '九真镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.206,30.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1340, 142, '429006', '竟陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.183,30.7066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1341, 142, '429006', '侨乡街道开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.134,30.652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1342, 142, '429006', '麻洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.309,30.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1343, 142, '429006', '杨林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.265,30.6856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1344, 142, '429006', '白茅湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.063,30.5868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1345, 142, '429006', '汪场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.979,30.638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1346, 142, '429006', '张港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.801,30.5529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1347, 142, '429006', '渔薪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.879,30.6744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1348, 142, '429006', '净潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.451,30.6464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1349, 142, '429006', '皂市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.223,30.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1350, 142, '429006', '拖市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.856,30.7135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1351, 142, '429006', '卢市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.397,30.6596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1352, 143, '420923', '云梦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.750616,31.021691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1353, 143, '420981', '应城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.573842,30.939038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1354, 143, '420902', '孝南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.925849,30.925966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1355, 143, '420984', '汉川市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.835301,30.652165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1356, 143, '420921', '孝昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.988964,31.251618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1357, 143, '420922', '大悟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.126249,31.565483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1358, 143, '420982', '安陆市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.690401,31.26174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1359, 144, '429005', '积玉口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.721,30.4185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1360, 144, '429005', '广华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.666,30.4633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1361, 144, '429005', '泰丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.981,30.4167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1362, 144, '429005', '周矶管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.826,30.4567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1363, 144, '429005', '潜江经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.883,30.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1364, 144, '429005', '周矶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.818,30.4576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1365, 144, '429005', '高场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.775,30.4076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1366, 144, '429005', '总口管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.89,30.2581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1367, 144, '429005', '运粮湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.582,30.252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1368, 144, '429005', '王场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.819,30.4906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1369, 144, '429005', '园林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.91,30.377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1370, 144, '429005', '白鹭湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.716,30.1788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1371, 144, '429005', '竹根滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.979,30.4716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1372, 144, '429005', '渔洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.966,30.2392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1373, 144, '429005', '熊口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.724,30.3404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1374, 144, '429005', '后湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.768,30.4049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1375, 144, '429005', '熊口管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.802,30.195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1376, 144, '429005', '江汉石油管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.793,30.4635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1377, 144, '429005', '张金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.577,30.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1378, 144, '429005', '杨市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.915,30.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1379, 144, '429005', '浩口原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.643,30.3784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1380, 144, '429005', '龙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.69,30.2848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1381, 144, '429005', '老新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.81,30.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1382, 144, '429005', '浩口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.65,30.3695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1383, 144, '429005', '高石碑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.626,30.6203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1384, 145, '422822', '建始县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.723822,30.601632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1385, 145, '422801', '恩施市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.486761,30.282406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1386, 145, '422802', '利川市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.943491,30.294247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1387, 145, '422828', '鹤峰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.033699,29.887298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1388, 145, '422827', '来凤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.408328,29.506945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1389, 145, '422823', '巴东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.336665,31.041403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1390, 145, '422825', '宣恩县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.482819,29.98867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1391, 145, '422826', '咸丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.15041,29.678967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1392, 146, '420116', '黄陂区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.374025,30.874155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1393, 146, '420117', '新洲区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.802108,30.842149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1394, 146, '420114', '蔡甸区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.029341,30.582186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1395, 146, '420113', '汉南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.08124,30.309637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1396, 146, '420106', '武昌区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.307344,30.546536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1397, 146, '420115', '江夏区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.313961,30.349045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1398, 146, '420112', '东西湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.142483,30.622467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1399, 146, '420104', '硚口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.264568,30.57061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1400, 146, '420105', '汉阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.265807,30.549326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1401, 146, '420103', '江汉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.283109,30.578771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1402, 146, '420102', '江岸区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.30304,30.594911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1403, 146, '420107', '青山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.39707,30.634215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1404, 146, '420111', '洪山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.400718,30.504259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1405, 147, '429004', '畜禽良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.751,30.1779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1406, 147, '429004', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.413,30.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1407, 147, '429004', '豆河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113,30.37', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1408, 147, '429004', '沙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.6,30.1698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1409, 147, '429004', '通海口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.206,30.2722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1410, 147, '429004', '长倘口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.598,30.3512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1411, 147, '429004', '胡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.29,30.4278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1412, 147, '429004', '五湖渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.783,30.161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1413, 147, '429004', '干河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.451,30.3772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1414, 147, '429004', '杨林尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.561,30.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1415, 147, '429004', '西流河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.761,30.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1416, 147, '429004', '赵西垸林场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.027,30.285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1417, 147, '429004', '九合垸原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.006,30.2473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1418, 147, '429004', '彭场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.446,30.2518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1419, 147, '429004', '沔城回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.201,30.1921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1420, 147, '429004', '龙华山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.46,30.3649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1421, 147, '429004', '沙湖原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.643,30.1482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1422, 147, '429004', '陈场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.111,30.2879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1423, 147, '429004', '郭河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.304,30.3027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1424, 147, '429004', '郑场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.979,30.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1425, 147, '429004', '排湖风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.223,30.2987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1426, 147, '429004', '沙嘴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.441,30.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1427, 147, '429004', '张沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.438,30.2968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1428, 147, '429004', '毛嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.045,30.4188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1429, 147, '429004', '三伏潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.207,30.3395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1430, 148, '421024', '江陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.41735,30.033919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1431, 148, '421023', '监利县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.904344,29.820079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1432, 148, '421083', '洪湖市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.470304,29.81297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1433, 148, '421081', '石首市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.40887,29.716437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1434, 148, '421087', '松滋市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.77818,30.176037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1435, 148, '421002', '沙市区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.257433,30.315895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1436, 148, '421022', '公安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.230179,30.059065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1437, 148, '421003', '荆州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.195354,30.350674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1438, 149, '421303', '曾都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.374519,31.717521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1439, 149, '421321', '随县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.301384,31.854246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1440, 149, '421381', '广水市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.826601,31.617731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1441, 150, '429021', '木鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.312,31.3933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1442, 150, '429021', '下谷坪土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.113,31.4153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1443, 150, '429021', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.842,31.6218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1444, 150, '429021', '九湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.062,31.4095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1445, 150, '429021', '宋洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.59,31.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1446, 150, '429021', '松柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.609,31.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1447, 150, '429021', '红坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.196,31.4718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1448, 150, '429021', '阳日镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.763,31.677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1449, 151, '421221', '嘉鱼县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.921547,29.973363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1450, 151, '421224', '通山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.493163,29.604455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1451, 151, '421202', '咸安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.333894,29.824716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1452, 151, '421223', '崇阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.049958,29.54101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1453, 151, '421281', '赤壁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.88366,29.716879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1454, 151, '421222', '通城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.814131,29.246076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1455, 152, '420703', '华容区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.74148,30.534468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1456, 152, '420704', '鄂城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.890012,30.39669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1457, 152, '420702', '梁子湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.681967,30.098191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1458, 153, '420205', '铁山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.901366,30.20601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1459, 153, '420203', '西塞山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.093354,30.205365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1460, 153, '420204', '下陆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.975755,30.177845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1461, 153, '420281', '大冶市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.974842,30.098804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1462, 153, '420222', '阳新县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.212883,29.841572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1463, 153, '420202', '黄石港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.090164,30.212086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1464, 154, '611022', '丹凤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.33191,33.694711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1465, 154, '611025', '镇安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.151075,33.423981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1466, 154, '611026', '柞水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.111249,33.682773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1467, 154, '611023', '商南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.885437,33.526367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1468, 154, '611021', '洛南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.145716,34.088502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1469, 154, '611002', '商州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.937685,33.869208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1470, 154, '611024', '山阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.880435,33.530411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1471, 155, '610222', '宜君县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.118278,35.398766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1472, 155, '610202', '王益区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.075862,35.069098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1473, 155, '610204', '耀州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.962538,34.910206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1474, 155, '610203', '印台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.100814,35.111927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1475, 156, '610115', '临潼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.213986,34.372065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1476, 156, '610117', '高陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.088896,34.535065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1477, 156, '610122', '蓝田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.317634,34.156189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1478, 156, '610118', '鄠邑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.607385,34.108668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1479, 156, '610116', '长安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.941579,34.157097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1480, 156, '610104', '莲湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.933194,34.2656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1481, 156, '610111', '灞桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.067261,34.267453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1482, 156, '610102', '新城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.959903,34.26927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1483, 156, '610103', '碑林区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.946994,34.251061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1484, 156, '610124', '周至县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.216465,34.161532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1485, 156, '610113', '雁塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.926593,34.213389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1486, 156, '610114', '阎良区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.22802,34.662141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1487, 156, '610112', '未央区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.946022,34.30823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1488, 157, '610730', '佛坪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.988582,33.520745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1489, 157, '610723', '洋县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.549962,33.223283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1490, 157, '610729', '留坝县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.924377,33.61334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1491, 157, '610727', '略阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.153899,33.329638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1492, 157, '610724', '西乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.765858,32.987961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1493, 157, '610726', '宁强县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.25739,32.830806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1494, 157, '610725', '勉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.680175,33.155618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1495, 157, '610703', '南郑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.942393,33.003341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1496, 157, '610702', '汉台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.028233,33.077674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1497, 157, '610722', '城固县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.329887,33.153098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1498, 157, '610728', '镇巴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.89531,32.535854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1499, 158, '610802', '榆阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.74791,38.299267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1500, 158, '610827', '米脂县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.178683,37.759081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1501, 158, '610828', '佳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.493367,38.021597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1502, 158, '610822', '府谷县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.069645,39.029243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1503, 158, '610803', '横山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.292596,37.964048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1504, 158, '610881', '神木市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.497005,38.835641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1505, 158, '610824', '靖边县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.80567,37.596084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1506, 158, '610831', '子洲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.03457,37.611573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1507, 158, '610830', '清涧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.12146,37.087702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1508, 158, '610829', '吴堡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.739315,37.451925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1509, 158, '610826', '绥德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.265377,37.507701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1510, 158, '610825', '定边县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.601284,37.59523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1511, 159, '610603', '安塞区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.325341,36.86441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1512, 159, '610626', '吴起县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.176976,36.924852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1513, 159, '610625', '志丹县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.768898,36.823031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1514, 159, '610622', '延川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.190314,36.882066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1515, 159, '610602', '宝塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.49069,36.596291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1516, 159, '610681', '子长市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.675968,37.14207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1517, 159, '610621', '延长县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.012961,36.578306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1518, 159, '610629', '洛川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.435712,35.762133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1519, 159, '610632', '黄陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.262469,35.580165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1520, 159, '610630', '宜川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.175537,36.050391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1521, 159, '610627', '甘泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.34961,36.277729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1522, 159, '610628', '富县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.384136,35.996495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1523, 159, '610631', '黄龙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.83502,35.583276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1524, 160, '610329', '麟游县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.796608,34.677714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1525, 160, '610327', '陇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.857066,34.893262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1526, 160, '610328', '千阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.132987,34.642584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1527, 160, '610303', '金台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.149943,34.375192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1528, 160, '610330', '凤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.525212,33.912464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1529, 160, '610323', '岐山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.624464,34.44296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1530, 160, '610302', '渭滨区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.144467,34.371008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1531, 160, '610331', '太白县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.316533,34.059215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1532, 160, '610304', '陈仓区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.383645,34.352747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1533, 160, '610322', '凤翔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.400577,34.521668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1534, 160, '610324', '扶风县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.891419,34.375497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1535, 160, '610326', '眉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.752371,34.272137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1536, 161, '610527', '白水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.594309,35.177291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1537, 161, '610581', '韩城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.452391,35.475238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1538, 161, '610523', '大荔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.943123,34.795011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1539, 161, '610582', '华阴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.08952,34.565359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1540, 161, '610503', '华州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.76141,34.511958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1541, 161, '610522', '潼关县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.24726,34.544515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1542, 161, '610525', '澄城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.937609,35.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1543, 161, '610526', '蒲城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.589653,34.956034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1544, 161, '610502', '临渭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.503299,34.501271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1545, 161, '610524', '合阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.147979,35.237098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1546, 161, '610528', '富平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.187174,34.746679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1547, 162, '610429', '旬邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.337231,35.112234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1548, 162, '610482', '彬州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.083674,35.034233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1549, 162, '610424', '乾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.247406,34.527261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1550, 162, '610426', '永寿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.143129,34.692619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1551, 162, '610404', '渭城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.730957,34.336847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1552, 162, '610431', '武功县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.212857,34.259732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1553, 162, '610423', '泾阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.83784,34.528493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1554, 162, '610428', '长武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.795835,35.206122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1555, 162, '610481', '兴平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.488493,34.297134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1556, 162, '610403', '杨陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.086348,34.27135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1557, 162, '610422', '三原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.943481,34.613996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1558, 162, '610430', '淳化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.581173,34.79797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1559, 162, '610402', '秦都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.698636,34.329801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1560, 162, '610425', '礼泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.428317,34.482583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1561, 163, '610923', '宁陕县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.313714,33.312184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1562, 163, '610921', '汉阴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.510946,32.891121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1563, 163, '610922', '石泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.250512,33.038512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1564, 163, '610924', '紫阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.537788,32.520176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1565, 163, '610902', '汉滨区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.029098,32.690817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1566, 163, '610928', '旬阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.368149,32.833567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1567, 163, '610926', '平利县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.361865,32.387933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1568, 163, '610929', '白河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.114186,32.809484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1569, 163, '610925', '岚皋县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.900663,32.31069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1570, 163, '610927', '镇坪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.526437,31.883395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1571, 164, '520201', '钟山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.846244,26.584805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1572, 164, '520203', '六枝特区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.474235,26.210662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1573, 164, '520281', '盘州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.468367,25.706966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1574, 164, '520221', '水城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.95685,26.540478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1575, 165, '520623', '石阡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.229854,27.519386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1576, 165, '520625', '印江土家族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.405517,27.997976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1577, 165, '520626', '德江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.117317,28.26094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1578, 165, '520602', '碧江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.192117,27.718745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1579, 165, '520621', '江口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.848427,27.691904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1580, 165, '520603', '万山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.21199,27.51903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1581, 165, '520628', '松桃苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.202627,28.165419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1582, 165, '520627', '沿河土家族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.495746,28.560487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1583, 165, '520624', '思南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.255827,27.941331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1584, 165, '520622', '玉屏侗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.917882,27.238024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1585, 166, '520323', '绥阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.191024,27.951342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1586, 166, '520328', '湄潭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.485723,27.765839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1587, 166, '520322', '桐梓县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.826591,28.131559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1588, 166, '520329', '余庆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.892566,27.221552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1589, 166, '520304', '播州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.831668,27.535288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1590, 166, '520382', '仁怀市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.412476,27.803377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1591, 166, '520381', '赤水市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.698116,28.587057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1592, 166, '520330', '习水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.200954,28.327826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1593, 166, '520325', '道真仡佬族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.605342,28.880088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1594, 166, '520324', '正安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.441872,28.550337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1595, 166, '520326', '务川仡佬族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.887857,28.521567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1596, 166, '520327', '凤冈县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.722021,27.960858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1597, 166, '520303', '汇川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.937265,27.706626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1598, 166, '520302', '红花岗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.943784,27.694395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1599, 167, '520402', '西秀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.946169,26.248323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1600, 167, '520425', '紫云苗族布依族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.084515,25.751567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1601, 167, '520423', '镇宁布依族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.768656,26.056096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1602, 167, '520424', '关岭布依族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.618454,25.944248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1603, 167, '520403', '平坝区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.259942,26.40608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1604, 167, '520422', '普定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.745609,26.305794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1605, 168, '522729', '长顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.447376,26.022116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1606, 168, '522726', '独山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.542757,25.826283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1607, 168, '522731', '惠水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.657848,26.128637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1608, 168, '522727', '平塘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.32405,25.831803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1609, 168, '522728', '罗甸县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.750006,25.429894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1610, 168, '522722', '荔波县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.8838,25.412239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1611, 168, '522730', '龙里县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.977733,26.448809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1612, 168, '522723', '贵定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.233588,26.580807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1613, 168, '522732', '三都水族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.87747,25.985183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1614, 168, '522725', '瓮安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.478417,27.066339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1615, 168, '522702', '福泉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.513508,26.702508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1616, 168, '522701', '都匀市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.517021,26.258205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1617, 169, '520502', '七星关区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.284852,27.302085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1618, 169, '520521', '大方县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.609254,27.143521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1619, 169, '520522', '黔西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.038299,27.024923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1620, 169, '520523', '金沙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.222103,27.459693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1621, 169, '520525', '纳雍县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.375322,26.769875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1622, 169, '520524', '织金县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.768997,26.668497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1623, 169, '520526', '威宁彝族回族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.286523,26.859099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1624, 169, '520527', '赫章县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.726438,27.119243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1625, 170, '522624', '三穗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.681121,26.959884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1626, 170, '522632', '榕江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.521026,25.931085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1627, 170, '522634', '雷山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.079613,26.381027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1628, 170, '522627', '天柱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.212798,26.909684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1629, 170, '522623', '施秉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.12678,27.034657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1630, 170, '522625', '镇远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.423656,27.050233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1631, 170, '522636', '丹寨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.794808,26.199497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1632, 170, '522601', '凯里市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.977541,26.582964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1633, 170, '522631', '黎平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.136504,26.230636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1634, 170, '522633', '从江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.912648,25.747058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1635, 170, '522629', '剑河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.440499,26.727349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1636, 170, '522628', '锦屏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.20252,26.680625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1637, 170, '522630', '台江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.314637,26.669138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1638, 170, '522622', '黄平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.901337,26.896973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1639, 170, '522635', '麻江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.593172,26.494803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1640, 170, '522626', '岑巩县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.816459,27.173244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1641, 171, '522301', '兴义市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.897982,25.088599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1642, 171, '522302', '兴仁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.192778,25.431378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1643, 171, '522328', '安龙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.471498,25.108959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1644, 171, '522327', '册亨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.81241,24.983338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1645, 171, '522325', '贞丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.650133,25.385752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1646, 171, '522323', '普安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.955347,25.786404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1647, 171, '522326', '望谟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.091563,25.166667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1648, 171, '522324', '晴隆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.218773,25.832881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1649, 172, '520121', '开阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.969438,27.056793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1650, 172, '520113', '白云区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.633037,26.676849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1651, 172, '520122', '息烽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.737693,27.092665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1652, 172, '520123', '修文县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.599218,26.840672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1653, 172, '520181', '清镇市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.470278,26.551289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1654, 172, '520112', '乌当区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.762123,26.630928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1655, 172, '520102', '南明区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.715963,26.573743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1656, 172, '520111', '花溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.670791,26.410464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1657, 172, '520103', '云岩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.713397,26.58301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1658, 172, '520115', '观山湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.626323,26.646358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1659, 173, '310120', '奉贤区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.458472,30.912345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1660, 173, '310151', '崇明区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.397516,31.626946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1661, 173, '310116', '金山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.330736,30.724697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1662, 173, '310115', '浦东新区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.567706,31.245944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1663, 173, '310101', '黄浦区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.490317,31.222771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1664, 173, '310113', '宝山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.489934,31.398896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1665, 173, '310107', '普陀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.392499,31.241701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1666, 173, '310114', '嘉定区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.250333,31.383524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1667, 173, '310110', '杨浦区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.522797,31.270755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1668, 173, '310117', '松江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.223543,31.03047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1669, 173, '310109', '虹口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.491832,31.26097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1670, 173, '310106', '静安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.448224,31.229003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1671, 173, '310105', '长宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.4222,31.218123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1672, 173, '310112', '闵行区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.375972,31.111658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1673, 173, '310104', '徐汇区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.43752,31.179973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1674, 173, '310118', '青浦区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.113021,31.151209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1675, 174, '371525', '冠县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.444808,36.483753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1676, 174, '371522', '莘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.667291,36.237597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1677, 174, '371503', '茌平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.25335,36.591934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1678, 174, '371502', '东昌府区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.980023,36.45606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1679, 174, '371581', '临清市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.713462,36.842598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1680, 174, '371524', '东阿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.248855,36.336004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1681, 174, '371521', '阳谷县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.784287,36.113708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1682, 174, '371526', '高唐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.229662,36.859755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1683, 175, '370304', '博山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.85823,36.497567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1684, 175, '370305', '临淄区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.306018,36.816657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1685, 175, '370322', '高青县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.829839,37.169581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1686, 175, '370321', '桓台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.101556,36.959773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1687, 175, '370303', '张店区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.053521,36.807049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1688, 175, '370323', '沂源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.166161,36.186282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1689, 175, '370302', '淄川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.967696,36.647272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1690, 175, '370306', '周村区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.851036,36.803699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1691, 176, '371323', '沂水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.634543,35.787029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1692, 176, '371328', '蒙阴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.943271,35.712435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1693, 176, '371326', '平邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.631884,35.511519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1694, 176, '371322', '郯城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.342963,34.614741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1695, 176, '371327', '莒南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.838322,35.175911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1696, 176, '371321', '沂南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.455395,35.547002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1697, 176, '371302', '兰山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.327667,35.061631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1698, 176, '371311', '罗庄区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.284795,34.997204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1699, 176, '371329', '临沭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.648379,34.917062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1700, 176, '371312', '河东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.398296,35.085004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1701, 176, '371325', '费县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.968869,35.269174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1702, 176, '371324', '兰陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.049968,34.855573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1703, 177, '370285', '莱西市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.526226,36.86509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1704, 177, '370283', '平度市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.959012,36.788828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1705, 177, '370214', '城阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.389135,36.306833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1706, 177, '370215', '即墨区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.447352,36.390847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1707, 177, '370213', '李沧区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.421236,36.160023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1708, 177, '370212', '崂山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.467393,36.102569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1709, 177, '370211', '黄岛区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.995518,35.875138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1710, 177, '370203', '市北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.355026,36.083819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1711, 177, '370281', '胶州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.006202,36.285878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1712, 177, '370202', '市南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.395966,36.070892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1713, 178, '371002', '环翠区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.116189,37.510754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1714, 178, '371003', '文登区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.057139,37.196211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1715, 178, '371083', '乳山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.536346,36.919622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1716, 178, '371082', '荣成市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.422896,37.160134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1717, 179, '370602', '芝罘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.385877,37.540925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1718, 179, '370614', '蓬莱区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.759074,37.811045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1719, 179, '370683', '莱州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.942135,37.182725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1720, 179, '370687', '海阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.168392,36.780657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1721, 179, '370681', '龙口市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.528328,37.648446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1722, 179, '370682', '莱阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.711151,36.977037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1723, 179, '370685', '招远市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.403142,37.364919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1724, 179, '370611', '福山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.264741,37.496875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1725, 179, '370613', '莱山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.448866,37.473549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1726, 179, '370686', '栖霞市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.834097,37.305854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1727, 179, '370612', '牟平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.60151,37.388356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1728, 180, '370705', '奎文区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.137357,36.709494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1729, 180, '370724', '临朐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.539876,36.516371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1730, 180, '370702', '潍城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.103784,36.710062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1731, 180, '370784', '安丘市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.206886,36.427417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1732, 180, '370782', '诸城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.403182,35.997093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1733, 180, '370783', '寿光市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.736451,36.874411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1734, 180, '370703', '寒亭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.207866,36.772103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1735, 180, '370786', '昌邑市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.394502,36.854937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1736, 180, '370725', '昌乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.839995,36.703253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1737, 180, '370781', '青州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.484693,36.697855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1738, 180, '370785', '高密市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.757033,36.37754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1739, 180, '370704', '坊子区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.166326,36.654616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1740, 181, '370522', '利津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.248854,37.493365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1741, 181, '370523', '广饶县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.407522,37.05161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1742, 181, '370502', '东营区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.507543,37.461567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1743, 181, '370503', '河口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.529613,37.886015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1744, 181, '370505', '垦利区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.551314,37.588679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1745, 182, '371602', '滨城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.020149,37.384842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1746, 182, '371603', '沾化区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.129902,37.698456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1747, 182, '371681', '邹平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.736807,36.87803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1748, 182, '371625', '博兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.123096,37.147002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1749, 182, '371623', '无棣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.616325,37.740848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1750, 182, '371622', '阳信县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.581326,37.640492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1751, 182, '371621', '惠民县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.508941,37.483876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1752, 183, '371121', '五莲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.206745,35.751936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1753, 183, '371102', '东港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.457703,35.426152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1754, 183, '371122', '莒县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.832859,35.588115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1755, 183, '371103', '岚山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.315844,35.119794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1756, 184, '370404', '峄城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.586316,34.767713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1757, 184, '370406', '山亭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.458968,35.096077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1758, 184, '370403', '薛城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.265293,34.79789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1759, 184, '370402', '市中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.557281,34.856651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1760, 184, '370481', '滕州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.162098,35.088498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1761, 184, '370405', '台儿庄区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.734747,34.564815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1762, 185, '371422', '宁津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.79372,37.649619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1763, 185, '371481', '乐陵市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.216657,37.729115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1764, 185, '371402', '德城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.307076,37.453923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1765, 185, '371428', '武城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.078627,37.209527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1766, 185, '371423', '庆云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.390507,37.777724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1767, 185, '371427', '夏津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.003816,36.950501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1768, 185, '371425', '齐河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.758394,36.795497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1769, 185, '371482', '禹城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.642554,36.934485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1770, 185, '371424', '临邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.867028,37.192044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1771, 185, '371403', '陵城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.574929,37.332848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1772, 185, '371426', '平原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.433904,37.164465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1773, 186, '370117', '钢城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.82033,36.058038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1774, 186, '370116', '莱芜区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.675808,36.214395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1775, 186, '370114', '章丘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.54069,36.71209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1776, 186, '370105', '天桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.996086,36.693374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1777, 186, '370115', '济阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.176035,36.976771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1778, 186, '370112', '历城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.063744,36.681744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1779, 186, '370102', '历下区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.03862,36.664169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1780, 186, '370124', '平阴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.455054,36.286923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1781, 186, '370126', '商河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.156369,37.310544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1782, 186, '370103', '市中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.99898,36.657354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1783, 186, '370104', '槐荫区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.947921,36.668205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1784, 186, '370113', '长清区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.74588,36.561049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1785, 187, '371726', '鄄城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.51434,35.560257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1786, 187, '371702', '牡丹区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.470946,35.24311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1787, 187, '371728', '东明县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.098412,35.289637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1788, 187, '371703', '定陶区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.569601,35.072701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1789, 187, '371725', '郓城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.93885,35.594773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1790, 187, '371724', '巨野县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.089341,35.390999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1791, 187, '371723', '成武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.897349,34.947366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1792, 187, '371721', '曹县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.549482,34.823253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1793, 187, '371722', '单县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.08262,34.790851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1794, 188, '370982', '新泰市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.766092,35.910387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1795, 188, '370923', '东平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.461052,35.930467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1796, 188, '370902', '泰山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.129984,36.189313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1797, 188, '370911', '岱岳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.04353,36.1841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1798, 188, '370983', '肥城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.763703,36.1856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1799, 188, '370921', '宁阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.799297,35.76754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1800, 189, '370830', '汶上县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.487146,35.721746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1801, 189, '370883', '邹城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.96673,35.405259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1802, 189, '370831', '泗水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.273605,35.653216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1803, 189, '370881', '曲阜市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.991885,35.592788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1804, 189, '370811', '任城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.595261,35.414828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1805, 189, '370829', '嘉祥县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.342885,35.398098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1806, 189, '370832', '梁山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.08963,35.801843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1807, 189, '370827', '鱼台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.650023,34.997706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1808, 189, '370828', '金乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.310364,35.06977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1809, 189, '370826', '微山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.12861,34.809525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1810, 189, '370812', '兖州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.828996,35.556445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1811, 190, '340602', '杜集区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.833925,33.991218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1812, 190, '340604', '烈山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.809465,33.889529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1813, 190, '340603', '相山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.790775,33.970916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1814, 190, '340621', '濉溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.767435,33.916407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1815, 191, '340711', '郊区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.80707,30.908927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1816, 191, '340705', '铜官区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.816167,30.927613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1817, 191, '340722', '枞阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.222027,30.700615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1818, 191, '340706', '义安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.792288,30.952338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1819, 192, '340882', '潜山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.573665,30.638222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1820, 192, '340826', '宿松县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.120204,30.158327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1821, 192, '340811', '宜秀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.070003,30.541323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1822, 192, '340825', '太湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.305225,30.451869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1823, 192, '340828', '岳西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.360482,30.848502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1824, 192, '340802', '迎江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.044965,30.506375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1825, 192, '340881', '桐城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.959656,31.050576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1826, 192, '340827', '望江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.690927,30.12491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1827, 192, '340822', '怀宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.828664,30.734994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1828, 192, '340803', '大观区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.034512,30.505632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1829, 193, '341723', '青阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.857395,30.63818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1830, 193, '341721', '东至县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.021476,30.096568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1831, 193, '341702', '贵池区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.488342,30.657378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1832, 193, '341722', '石台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.482907,30.210324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1833, 194, '340506', '博望区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.843742,31.562321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1834, 194, '340521', '当涂县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.489873,31.556167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1835, 194, '340504', '雨山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.493104,31.685912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1836, 194, '340503', '花山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.511308,31.69902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1837, 194, '340523', '和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.362998,31.716634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1838, 194, '340522', '含山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.105545,31.727758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1839, 195, '341222', '太和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.627243,33.16229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1840, 195, '341203', '颍东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.858747,32.908861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1841, 195, '341221', '临泉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.261688,33.062698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1842, 195, '341204', '颍泉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.804525,32.924797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1843, 195, '341202', '颍州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.813914,32.891238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1844, 195, '341225', '阜南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.590534,32.638102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1845, 195, '341226', '颍上县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.259122,32.637065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1846, 195, '341282', '界首市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.362117,33.26153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1847, 196, '341003', '黄山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.136639,30.294517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1848, 196, '341023', '黟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.942911,29.923812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1849, 196, '341024', '祁门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.717237,29.853472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1850, 196, '341021', '歙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.428025,29.867748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1851, 196, '341004', '徽州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.339743,29.825201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1852, 196, '341022', '休宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.188531,29.788878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1853, 196, '341002', '屯溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.317354,29.709186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1854, 197, '341525', '霍山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.333078,31.402456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1855, 197, '341503', '裕安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.494543,31.750692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1856, 197, '341524', '金寨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.878514,31.681624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1857, 197, '341502', '金安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.503288,31.754491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1858, 197, '341504', '叶集区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.913594,31.84768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1859, 197, '341522', '霍邱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.278875,32.341305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1860, 197, '341523', '舒城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.944088,31.462848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1861, 198, '340421', '凤台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.722769,32.705382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1862, 198, '340405', '八公山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.841111,32.628229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1863, 198, '340406', '潘集区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.816879,32.782117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1864, 198, '340402', '大通区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.052927,32.632066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1865, 198, '340404', '谢家集区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.865354,32.598289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1866, 198, '340403', '田家庵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.018318,32.644342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1867, 198, '340422', '寿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.785349,32.577304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1868, 199, '340311', '淮上区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.34709,32.963147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1869, 199, '340322', '五河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.888809,33.146202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1870, 199, '340321', '怀远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.200171,32.956934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1871, 199, '340304', '禹会区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.35259,32.931933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1872, 199, '340303', '蚌山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.355789,32.938066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1873, 199, '340302', '龙子湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.382312,32.950452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1874, 199, '340323', '固镇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.315962,33.318679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1875, 200, '340222', '繁昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.201349,31.080896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1876, 200, '340203', '弋江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.377476,31.313394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1877, 200, '340202', '镜湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.376343,31.32559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1878, 200, '340281', '无为市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.911432,31.303075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1879, 200, '340208', '三山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.233987,31.225423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1880, 200, '340207', '鸠江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.400174,31.362716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1881, 200, '340221', '芜湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.572301,31.145262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1882, 200, '340223', '南陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.337104,30.919638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1883, 201, '341182', '明光市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.998048,32.781206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1884, 201, '341181', '天长市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.011212,32.6815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1885, 201, '341126', '凤阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.562461,32.867146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1886, 201, '341125', '定远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.683713,32.527105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1887, 201, '341122', '来安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.433293,32.450231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1888, 201, '341103', '南谯区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.296955,32.329841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1889, 201, '341102', '琅琊区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.316475,32.303797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1890, 201, '341124', '全椒县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.268576,32.09385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1891, 202, '340124', '庐江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.289844,31.251488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1892, 202, '340111', '包河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.285751,31.82956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1893, 202, '340181', '巢湖市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.874155,31.600518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1894, 202, '340123', '肥西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.166118,31.719646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1895, 202, '340104', '蜀山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.262072,31.855868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1896, 202, '340103', '庐阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.283776,31.869011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1897, 202, '340121', '长丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.164699,32.478548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1898, 202, '340122', '肥东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.463222,31.883992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1899, 202, '340102', '瑶海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.315358,31.86961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1900, 203, '341882', '广德市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.417521,30.893116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1901, 203, '341824', '绩溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.594705,30.065267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1902, 203, '341825', '旌德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.543081,30.288057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1903, 203, '341802', '宣州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.758412,30.946003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1904, 203, '341881', '宁国市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.983407,30.626529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1905, 203, '341821', '郎溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.185024,31.127834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1906, 203, '341823', '泾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.412397,30.685975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1907, 204, '341602', '谯城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.781214,33.869284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1908, 204, '341623', '利辛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.207782,33.143503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1909, 204, '341622', '蒙城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.560337,33.260814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1910, 204, '341621', '涡阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.211551,33.502831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1911, 205, '341302', '埇桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.983309,33.633853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1912, 205, '341324', '泗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.885443,33.47758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1913, 205, '341322', '萧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.945399,34.183266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1914, 205, '341323', '灵璧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.551493,33.540629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1915, 205, '341321', '砀山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.351113,34.426247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1916, 206, '500236', '奉节县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.465774,31.019967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1917, 206, '500238', '巫溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.628912,31.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1918, 206, '500229', '城口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.6649,31.946293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1919, 206, '500230', '丰都县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.73248,29.866424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1920, 206, '500243', '彭水苗族土家族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.166551,29.293856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1921, 206, '500241', '秀山土家族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.996043,28.444772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1922, 206, '500235', '云阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.697698,30.930529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1923, 206, '500237', '巫山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.878928,31.074843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1924, 206, '500242', '酉阳土家族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.767201,28.839828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1925, 206, '500231', '垫江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.348692,30.330012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1926, 206, '500233', '忠县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.037518,30.291537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1927, 206, '500240', '石柱土家族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.112448,29.99853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1928, 207, '500117', '合川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.265554,29.990993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1929, 207, '500152', '潼南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.841818,30.189554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1930, 207, '500151', '铜梁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.054948,29.839944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1931, 207, '500115', '长寿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.074854,29.833671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1932, 207, '500120', '璧山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.231126,29.593581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1933, 207, '500111', '大足区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.715319,29.700498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1934, 207, '500153', '荣昌区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.594061,29.403627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1935, 207, '500118', '永川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.894714,29.348748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1936, 207, '500103', '渝中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.56288,29.556742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1937, 207, '500156', '武隆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.75655,29.32376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1938, 207, '500119', '南川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.098153,29.156646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1939, 207, '500107', '九龙坡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.480989,29.523492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1940, 207, '500104', '大渡口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.48613,29.481002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1941, 207, '500101', '万州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.380246,30.807807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1942, 207, '500102', '涪陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.394905,29.703652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1943, 207, '500110', '綦江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.651417,29.028091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1944, 207, '500155', '梁平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.800034,30.672168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1945, 207, '500154', '开州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.413317,31.167735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1946, 207, '500116', '江津区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.253156,29.283387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1947, 207, '500114', '黔江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.782577,29.527548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1948, 207, '500108', '南岸区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.560813,29.523992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1949, 207, '500113', '巴南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.519423,29.381919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1950, 207, '500106', '沙坪坝区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.4542,29.541224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1951, 207, '500109', '北碚区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.437868,29.82543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1952, 207, '500112', '渝北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.512851,29.601451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1953, 207, '500105', '江北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.532844,29.575352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1954, 208, '540232', '仲巴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.032826,29.768336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1955, 208, '540226', '昂仁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.23578,29.294758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1956, 208, '540227', '谢通门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.260517,29.431597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1957, 208, '540236', '萨嘎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.234622,29.328194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1958, 208, '540221', '南木林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.099434,29.680459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1959, 208, '540202', '桑珠孜区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.88667,29.267003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1960, 208, '540225', '拉孜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.63743,29.085136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1961, 208, '540229', '仁布县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.843207,29.230299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1962, 208, '540224', '萨迦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.023007,28.901077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1963, 208, '540234', '吉隆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.298349,28.852416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1964, 208, '540228', '白朗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.263618,29.106627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1965, 208, '540222', '江孜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.605044,28.908845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1966, 208, '540223', '定日县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.123887,28.656667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1967, 208, '540235', '聂拉木县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.981953,28.15595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1968, 208, '540233', '亚东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.906806,27.482772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1969, 208, '540237', '岗巴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.518903,28.274371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1970, 208, '540230', '康马县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '89.683406,28.554719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1971, 208, '540231', '定结县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.767723,28.36409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1972, 209, '540523', '桑日县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '92.015732,29.259774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1973, 209, '540521', '扎囊县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.338,29.246476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1974, 209, '540502', '乃东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.76525,29.236106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1975, 209, '540528', '加查县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '92.591043,29.140921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1976, 209, '540524', '琼结县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.683753,29.025242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1977, 209, '540522', '贡嘎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.985271,29.289078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1978, 209, '540531', '浪卡子县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.398747,28.96836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1979, 209, '540525', '曲松县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '92.201066,29.063656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1980, 209, '540526', '措美县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.432347,28.437353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1981, 209, '540530', '错那县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.960132,27.991707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1982, 209, '540529', '隆子县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '92.463309,28.408548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1983, 209, '540527', '洛扎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.858243,28.385765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1984, 210, '540624', '安多县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.681879,32.260299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1985, 210, '540623', '聂荣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '92.303659,32.107855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1986, 210, '540628', '巴青县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.054049,31.918691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1987, 210, '540625', '申扎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.709777,30.929056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1988, 210, '540627', '班戈县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.011822,31.394578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1989, 210, '540622', '比如县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.68044,31.479917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1990, 210, '540626', '索县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.784964,31.886173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1991, 210, '540621', '嘉黎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.232907,30.640846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1992, 210, '540602', '色尼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '92.061862,31.475756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1993, 210, '540629', '尼玛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '87.236646,31.784979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1994, 210, '540630', '双湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '88.838578,33.18698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1995, 211, '540324', '丁青县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.597748,31.410681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1996, 211, '540302', '卡若区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.178255,31.137035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1997, 211, '540321', '江达县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.218351,31.499534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1998, 211, '540323', '类乌齐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '96.601259,31.213048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (1999, 211, '540330', '边坝县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.707504,30.933849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2000, 211, '540322', '贡觉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.271191,30.859206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2001, 211, '540329', '洛隆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.823418,30.741947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2002, 211, '540325', '察雅县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.565701,30.653038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2003, 211, '540326', '八宿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '96.917893,30.053408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2004, 211, '540327', '左贡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.840532,29.671335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2005, 211, '540328', '芒康县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.596444,29.686615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2006, 212, '540122', '当雄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.103551,30.474819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2007, 212, '540121', '林周县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.261842,29.895754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2008, 212, '540123', '尼木县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.165545,29.431346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2009, 212, '540104', '达孜区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.350976,29.670314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2010, 212, '540127', '墨竹工卡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.731158,29.834657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2011, 212, '540103', '堆龙德庆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.002823,29.647347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2012, 212, '540124', '曲水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.738051,29.349895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2013, 212, '540102', '城关区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '91.132911,29.659472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2014, 213, '540424', '波密县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.768151,29.858771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2015, 213, '540421', '工布江达县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.246515,29.88447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2016, 213, '540423', '墨脱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.332245,29.32573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2017, 213, '540402', '巴宜区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.360987,29.653732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2018, 213, '540422', '米林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.213679,29.213811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2019, 213, '540425', '察隅县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.465002,28.660244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2020, 213, '540426', '朗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '93.073429,29.0446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2021, 214, '542526', '改则县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '84.062384,32.302076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2022, 214, '542522', '札达县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.803191,31.478587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2023, 214, '542527', '措勤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '85.159254,31.016774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2024, 214, '542521', '普兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.177588,30.291896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2025, 214, '542523', '噶尔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '80.105005,32.503373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2026, 214, '542525', '革吉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '81.142896,32.389192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2027, 214, '542524', '日土县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '79.731937,33.382454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2028, 215, '430611', '君山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.004082,29.438062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2029, 215, '430603', '云溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.27387,29.473395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2030, 215, '430623', '华容县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.559369,29.524107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2031, 215, '430602', '岳阳楼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.120751,29.366784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2032, 215, '430681', '汨罗市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.079419,28.803149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2033, 215, '430624', '湘阴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.889748,28.677498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2034, 215, '430682', '临湘市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.450809,29.471594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2035, 215, '430621', '岳阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.116073,29.144843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2036, 215, '430626', '平江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.593751,28.701523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2037, 216, '430902', '资阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.33084,28.592771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2038, 216, '430922', '桃江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.139732,28.520993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2039, 216, '430903', '赫山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.360946,28.568327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2040, 216, '430923', '安化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.221824,28.377421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2041, 216, '430981', '沅江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.361088,28.839713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2042, 216, '430921', '南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.410399,29.372181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2043, 217, '430423', '衡山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.86971,27.234808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2044, 217, '430424', '衡东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.950412,27.083531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2045, 217, '430421', '衡阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.379643,26.962388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2046, 217, '430412', '南岳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.734147,27.240536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2047, 217, '430481', '耒阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.847215,26.414162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2048, 217, '430406', '雁峰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.612241,26.893694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2049, 217, '430405', '珠晖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.626324,26.891063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2050, 217, '430407', '石鼓区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.607635,26.903908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2051, 217, '430422', '衡南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.677459,26.739973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2052, 217, '430426', '祁东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.111192,26.787109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2053, 217, '430408', '蒸湘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.570608,26.89087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2054, 217, '430482', '常宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.396821,26.406773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2055, 218, '431381', '冷水江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.434674,27.685759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2056, 218, '431322', '新化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.306747,27.737456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2057, 218, '431382', '涟源市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.670847,27.692301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2058, 218, '431321', '双峰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.198245,27.459126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2059, 218, '431302', '娄星区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.008486,27.726643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2060, 219, '430726', '石门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.379087,29.584703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2061, 219, '430723', '澧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.761682,29.64264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2062, 219, '430781', '津市市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.879609,29.630867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2063, 219, '430724', '临澧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.645602,29.443217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2064, 219, '430722', '汉寿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.968506,28.907319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2065, 219, '430703', '鼎城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.685327,29.014426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2066, 219, '430702', '武陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.690718,29.040477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2067, 219, '430725', '桃源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.484503,28.902734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2068, 219, '430721', '安乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.172289,29.414483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2069, 220, '430811', '武陵源区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.54758,29.347827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2070, 220, '430821', '慈利县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.132702,29.423876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2071, 220, '430822', '桑植县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.164039,29.399939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2072, 220, '430802', '永定区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.484559,29.125961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2073, 221, '431281', '洪江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.831765,27.201876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2074, 221, '431228', '芷江侗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.687777,27.437996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2075, 221, '431230', '通道侗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.783359,26.158349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2076, 221, '431223', '辰溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.196953,28.005474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2077, 221, '431222', '沅陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.399161,28.455554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2078, 221, '431224', '溆浦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.593373,27.903802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2079, 221, '431229', '靖州苗族侗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.691159,26.573511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2080, 221, '431225', '会同县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.720785,26.870789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2081, 221, '431227', '新晃侗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.174443,27.359897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2082, 221, '431226', '麻阳苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.802807,27.865991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2083, 221, '431221', '中方县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.948061,27.43736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2084, 221, '431202', '鹤城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.982242,27.548474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2085, 222, '433127', '永顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.853292,28.998068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2086, 222, '433125', '保靖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.651445,28.709605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2087, 222, '433124', '花垣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.479063,28.581352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2088, 222, '433101', '吉首市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.738273,28.314827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2089, 222, '433126', '古丈县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.949592,28.616973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2090, 222, '433122', '泸溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.214428,28.214516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2091, 222, '433130', '龙山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.441189,29.453438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2092, 222, '433123', '凤凰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.599191,27.948308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2093, 223, '430105', '开福区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.985525,28.201336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2094, 223, '430104', '岳麓区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.911591,28.213044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2095, 223, '430103', '天心区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.97307,28.192375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2096, 223, '430181', '浏阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.633301,28.141112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2097, 223, '430121', '长沙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.080098,28.237888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2098, 223, '430112', '望城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.819549,28.347458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2099, 223, '430182', '宁乡市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.553182,28.253928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2100, 223, '430102', '芙蓉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.988094,28.193106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2101, 223, '430111', '雨花区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.016337,28.109937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2102, 224, '430321', '湘潭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.952829,27.778601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2103, 224, '430302', '雨湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.907427,27.86077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2104, 224, '430304', '岳塘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.927707,27.828854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2105, 224, '430382', '韶山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.52848,27.922682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2106, 224, '430381', '湘乡市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.525217,27.734918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2107, 225, '430202', '荷塘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.162548,27.833036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2108, 225, '430223', '攸县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.345774,27.000071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2109, 225, '430224', '茶陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.546509,26.789534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2110, 225, '430225', '炎陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.776884,26.489459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2111, 225, '430212', '渌口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.146175,27.705844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2112, 225, '430203', '芦淞区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.155169,27.827246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2113, 225, '430211', '天元区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.136252,27.826909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2114, 225, '430204', '石峰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.11295,27.871945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2115, 225, '430281', '醴陵市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.507157,27.657873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2116, 226, '430524', '隆回县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.038785,27.116002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2117, 226, '430503', '大祥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.462968,27.233593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2118, 226, '430527', '绥宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.155075,26.580622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2119, 226, '430511', '北塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.452315,27.245688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2120, 226, '430502', '双清区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.479756,27.240001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2121, 226, '430523', '邵阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.2757,26.989713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2122, 226, '430529', '城步苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.313226,26.363575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2123, 226, '430582', '邵东市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.743168,27.257273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2124, 226, '430522', '新邵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.459762,27.311429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2125, 226, '430528', '新宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.859115,26.438912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2126, 226, '430581', '武冈市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.636804,26.732086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2127, 226, '430525', '洞口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.579212,27.062286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2128, 227, '431028', '安仁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.27217,26.708625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2129, 227, '431026', '汝城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.685686,25.553759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2130, 227, '431023', '永兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.114819,26.129392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2131, 227, '431003', '苏仙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.038698,25.793157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2132, 227, '431081', '资兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.23682,25.974152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2133, 227, '431002', '北湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.032208,25.792628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2134, 227, '431027', '桂东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.945879,26.073917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2135, 227, '431025', '临武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.564589,25.279119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2136, 227, '431022', '宜章县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.947884,25.394345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2137, 227, '431024', '嘉禾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.370618,25.587309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2138, 227, '431021', '桂阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.734466,25.737447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2139, 228, '431103', '冷水滩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.607156,26.434364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2140, 228, '431121', '祁阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.85734,26.585929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2141, 228, '431122', '东安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.313035,26.397278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2142, 228, '431102', '零陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.626348,26.223347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2143, 228, '431128', '新田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.220341,25.906927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2144, 228, '431126', '宁远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.944529,25.584112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2145, 228, '431123', '双牌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.662146,25.959397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2146, 228, '431127', '蓝山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.194195,25.375255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2147, 228, '431124', '道县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.591614,25.518444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2148, 228, '431125', '江永县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.346803,25.268154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2149, 228, '431129', '江华瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.577276,25.182596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2150, 229, '469007', '东方华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.696,18.9726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2151, 229, '469007', '江边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.108,18.8945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2152, 229, '469007', '天安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.817,18.8803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2153, 229, '469007', '东河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.991,19.1321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2154, 229, '469007', '新龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.686,18.9263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2155, 229, '469007', '国营广坝农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.732,18.8589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2156, 229, '469007', '感城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.83,18.8833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2157, 229, '469007', '三家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.798,19.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2158, 229, '469007', '四更镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.606,19.2646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2159, 229, '469007', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.87,18.8744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2160, 229, '469007', '八所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.622,19.0927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2161, 229, '469007', '大田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.976,19.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2162, 230, '469022', '国营中建农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.966,19.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2163, 230, '469022', '屯城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.161,19.4468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2164, 230, '469022', '南吕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.05,19.2222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2165, 230, '469022', '坡心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.11,19.3302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2166, 230, '469022', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.154,19.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2167, 230, '469022', '西昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.024,19.4428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2168, 230, '469022', '国营中坤农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.855,19.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2169, 230, '469022', '南坤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.857,19.2939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2170, 230, '469022', '枫木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.994,19.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2171, 230, '469022', '乌坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.093,19.1953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2172, 231, '469006', '后安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.374,18.9087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2173, 231, '469006', '礼纪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.269,18.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2174, 231, '469006', '国营东兴农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.375,18.894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2175, 231, '469006', '万城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.414,18.8276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2176, 231, '469006', '国营东和农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.217,18.7629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2177, 231, '469006', '山根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.483,18.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2178, 231, '469006', '大茂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.39,18.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2179, 231, '469006', '和乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.416,18.9625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2180, 231, '469006', '龙滚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.495,18.9855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2181, 231, '469006', '兴隆华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.106,18.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2182, 231, '469006', '北大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.24,18.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2183, 231, '469006', '国营新中农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.17,18.6967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2184, 231, '469006', '三更罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.214,18.9979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2185, 231, '469006', '长丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.321,18.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2186, 231, '469006', '地方国营六连林场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.505,18.9899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2187, 231, '469006', '东澳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.429,18.6408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2188, 231, '469006', '南桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.196,18.7201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2189, 232, '469024', '南宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.638,19.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2190, 232, '469024', '博厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.716,19.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2191, 232, '469024', '和舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.715,19.6717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2192, 232, '469024', '调楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.61,19.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2193, 232, '469024', '波莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.615,19.8555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2194, 232, '469024', '国营加来农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.651,19.7591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2195, 232, '469024', '多文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.802,19.7418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2196, 232, '469024', '新盈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.624,19.8719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2197, 232, '469024', '东英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.613,19.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2198, 232, '469024', '临城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.673,19.8932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2199, 232, '469024', '国营红华农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.764,19.8244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2200, 232, '469024', '皇桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.816,19.8743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2201, 233, '469026', '十月田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.989,19.3818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2202, 233, '469026', '国营霸王岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.03,19.1725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2203, 233, '469026', '乌烈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.81,19.3525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2204, 233, '469026', '七叉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.069,19.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2205, 233, '469026', '叉河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.989,19.2536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2206, 233, '469026', '海南矿业联合有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.989,19.2538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2207, 233, '469026', '石碌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.05,19.2444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2208, 233, '469026', '海尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.952,19.4945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2209, 233, '469026', '国营红林农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.088,19.2367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2210, 233, '469026', '王下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.094,18.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2211, 233, '469026', '昌化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.732,19.3836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2212, 234, '469021', '黄竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.528,19.4887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2213, 234, '469021', '富文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.232,19.521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2214, 234, '469021', '新竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.159,19.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2215, 234, '469021', '国营中瑞农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.244,19.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2216, 234, '469021', '定城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.317,19.7017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2217, 234, '469021', '雷鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.273,19.5137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2218, 234, '469021', '翰林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.24,19.2982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2219, 234, '469021', '岭口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.276,19.3601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2220, 234, '469021', '国营南海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.469,19.4432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2221, 234, '469021', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.298,19.4997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2222, 234, '469021', '国营金鸡岭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.252,19.5171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2223, 234, '469021', '龙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.226,19.4221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2224, 234, '469021', '龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.469,19.5845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2225, 235, '469025', '金波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.157,19.2577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2226, 235, '469025', '七坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.298,19.3459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2227, 235, '469025', '南开乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.293,19.0596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2228, 235, '469025', '荣邦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.064,19.4868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2229, 235, '469025', '邦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.09,19.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2230, 235, '469025', '青松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.302,19.0689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2231, 235, '469025', '细水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.523,19.2096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2232, 235, '469025', '国营龙江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.178,19.2369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2233, 235, '469025', '元门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.455,19.0981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2234, 235, '469025', '牙叉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.45,19.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2235, 235, '469025', '国营白沙农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.429,19.2881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2236, 235, '469025', '打安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.36,19.3756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2237, 235, '469025', '阜龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.436,19.3316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2238, 235, '469025', '国营邦溪农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.18,19.4104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2239, 236, '469002', '会山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.302,19.0792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2240, 236, '469002', '嘉积镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.441,19.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2241, 236, '469002', '国营东太农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.367,19.1372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2242, 236, '469002', '国营东升农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.413,19.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2243, 236, '469002', '大路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.424,19.354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2244, 236, '469002', '万泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.364,19.2516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2245, 236, '469002', '彬村山华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.623,19.3022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2246, 236, '469002', '国营东红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.509,19.364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2247, 236, '469002', '潭门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.546,19.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2248, 236, '469002', '塔洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.475,19.3404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2249, 236, '469002', '中原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.419,19.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2250, 236, '469002', '博鳌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.495,19.1766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2251, 236, '469002', '阳江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.334,19.0558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2252, 236, '469002', '龙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.36,19.1595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2253, 236, '469002', '石壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.168,19.167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2254, 236, '469002', '长坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.594,19.3213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2255, 237, '469030', '什运乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.583,18.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2256, 237, '469030', '吊罗山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.917,18.8198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2257, 237, '469030', '国营乌石农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.937,19.0977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2258, 237, '469030', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.894,18.899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2259, 237, '469030', '湾岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.9,19.1334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2260, 237, '469030', '国营加钗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.783,19.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2261, 237, '469030', '国营阳江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.823,19.2127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2262, 237, '469030', '营根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.733,18.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2263, 237, '469030', '中平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.107,19.0716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2264, 237, '469030', '上安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.731,18.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2265, 237, '469030', '国营黎母山林业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.703,19.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2266, 237, '469030', '国营长征农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.899,18.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2267, 237, '469030', '黎母山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.704,19.2577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2268, 237, '469030', '长征镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.799,18.8976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2269, 237, '469030', '红毛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.734,19.0657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2270, 238, '460400', '洋浦经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.162,19.7962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2271, 238, '460400', '光村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.467,19.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2272, 238, '460400', '兰洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.682,19.4833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2273, 238, '460400', '海头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.948,19.4939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2274, 238, '460400', '和庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.677,19.5887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2275, 238, '460400', '国营蓝洋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.618,19.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2276, 238, '460400', '华南热作学院', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.505,19.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2277, 238, '460400', '东成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.579,19.7102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2278, 238, '460400', '排浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.196,19.65', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2279, 238, '460400', '王五镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.258,19.6415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2280, 238, '460400', '新州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.321,19.7523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2281, 238, '460400', '木棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.33,19.8594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2282, 238, '460400', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.351,19.7747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2283, 238, '460400', '国营八一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.23,19.3915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2284, 238, '460400', '国营西培农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.31,19.4969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2285, 238, '460400', '国营西联农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.537,19.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2286, 238, '460400', '雅星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.156,19.4695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2287, 238, '460400', '南丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.532,19.4981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2288, 238, '460400', '白马井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.268,19.7046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2289, 238, '460400', '峨蔓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.333,19.8438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2290, 238, '460400', '大成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.345,19.4765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2291, 238, '460400', '那大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.573,19.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2292, 238, '460400', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.176,19.7946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2293, 239, '469027', '国营山荣农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.223,18.7507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2294, 239, '469027', '莺歌海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.728,18.4959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2295, 239, '469027', '国营保国农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.245,18.6612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2296, 239, '469027', '万冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.339,18.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2297, 239, '469027', '抱由镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.138,18.8948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2298, 239, '469027', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.225,18.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2299, 239, '469027', '利国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.965,18.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2300, 239, '469027', '国营乐光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.192,18.5331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2301, 239, '469027', '九所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.927,18.5276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2302, 239, '469027', '黄流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.808,18.597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2303, 239, '469027', '佛罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.792,18.5833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2304, 239, '469027', '国营尖峰岭林业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.027,18.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2305, 239, '469027', '尖峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.7,18.7124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2306, 239, '469027', '千家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.15,18.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2307, 239, '469027', '国营莺歌海盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.729,18.5523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2308, 239, '469027', '志仲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.224,18.5932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2309, 240, '469023', '福山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.919,19.7325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2310, 240, '469023', '永发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.186,19.6424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2311, 240, '469023', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.931,19.9171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2312, 240, '469023', '金江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.987,19.7817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2313, 240, '469023', '文儒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.121,19.6454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2314, 240, '469023', '中兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.938,19.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2315, 240, '469023', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.159,19.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2316, 240, '469023', '国营红岗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.038,19.5642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2317, 240, '469023', '瑞溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.087,19.7731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2318, 240, '469023', '国营红光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.957,19.8731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2319, 240, '469023', '大丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.989,19.904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2320, 240, '469023', '仁兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.916,19.5062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2321, 240, '469023', '加乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.042,19.6276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2322, 240, '469023', '国营金安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.123,19.7367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2323, 240, '469023', '国营昆仑农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.802,19.5127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2324, 240, '469023', '国营西达农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.862,19.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2325, 240, '469023', '国营和岭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.814,19.5367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2326, 241, '460204', '天涯区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.506357,18.24734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2327, 241, '460202', '海棠区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.760778,18.407516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2328, 241, '460203', '吉阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.512081,18.247436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2329, 241, '460205', '崖州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.174306,18.352192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2330, 242, '469028', '椰林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.02,18.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2331, 242, '469028', '黎安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.146,18.4342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2332, 242, '469028', '新村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.026,18.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2333, 242, '469028', '文罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.914,18.5734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2334, 242, '469028', '国营吊罗山林业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.948,18.6553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2335, 242, '469028', '国营南平农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.833,18.6336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2336, 242, '469028', '本号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.856,18.6617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2337, 242, '469028', '光坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.04,18.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2338, 242, '469028', '群英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.847,18.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2339, 242, '469028', '三才镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.963,18.4915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2340, 242, '469028', '提蒙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.013,18.6404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2341, 242, '469028', '隆广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.858,18.4802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2342, 242, '469028', '国营岭门农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.046,18.6244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2343, 242, '469028', '英州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.876,18.4739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2344, 243, '469005', '东阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.799,19.7566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2345, 243, '469005', '文教镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.856,19.7083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2346, 243, '469005', '国营罗豆农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.624,19.9713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2347, 243, '469005', '会文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.708,19.4957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2348, 243, '469005', '国营东路农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.714,19.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2349, 243, '469005', '东郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.91,19.6291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2350, 243, '469005', '翁田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.813,19.9295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2351, 243, '469005', '铺前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.675,20.0377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2352, 243, '469005', '锦山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.67,20.0418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2353, 243, '469005', '龙楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.938,19.6606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2354, 243, '469005', '冯坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.774,20.0176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2355, 243, '469005', '国营南阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.556,19.4727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2356, 243, '469005', '公坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.836,19.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2357, 243, '469005', '昌洒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.26,19.9626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2358, 243, '469005', '抱罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.73,19.889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2359, 243, '469005', '东路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.658,19.8051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2360, 243, '469005', '潭牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.623,19.6785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2361, 243, '469005', '蓬莱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.638,19.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2362, 243, '469005', '重兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.654,19.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2363, 243, '469005', '文城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.708,19.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2364, 244, '460301', '西沙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.3386402,16.8310066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2365, 244, '460302', '南沙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.891018,9.543575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2366, 245, '460108', '美兰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.356566,20.03074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2367, 245, '460106', '龙华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.330373,20.031026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2368, 245, '460107', '琼山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.354722,20.001051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2369, 245, '460105', '秀英区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.282393,20.008145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2370, 246, '469029', '海南保亭热带作物研究所', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.709,18.6282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2371, 246, '469029', '新政镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.578,18.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2372, 246, '469029', '加茂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.719,18.5033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2373, 246, '469029', '国营金江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.682,18.547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2374, 246, '469029', '国营新星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.729,18.6749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2375, 246, '469029', '保城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.747,18.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2376, 246, '469029', '南林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.577,18.3893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2377, 246, '469029', '国营三道农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.649,18.5179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2378, 246, '469029', '毛感乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.503,18.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2379, 246, '469029', '三道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.66,18.5251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2380, 246, '469029', '什玲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.74,18.6941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2381, 246, '469029', '六弓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.803,18.5393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2382, 246, '469029', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.61,18.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2383, 247, '469001', '南圣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.687,18.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2384, 247, '469001', '毛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.45,18.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2385, 247, '469001', '通什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.614,18.8418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2386, 247, '469001', '水满乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.601,18.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2387, 247, '469001', '番阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.334,18.9132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2388, 247, '469001', '畅好乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.397,18.6549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2389, 247, '469001', '毛道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.356,18.7134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2390, 247, '469001', '国营畅好农场', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.523,18.7089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2391, 248, '632623', '甘德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.902589,33.966987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2392, 248, '632621', '玛沁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.243531,34.473386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2393, 248, '632624', '达日县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.651715,33.753259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2394, 248, '632625', '久治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.484884,33.430217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2395, 248, '632622', '班玛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.737955,32.931589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2396, 248, '632626', '玛多县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.211343,34.91528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2397, 249, '632523', '贵德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.431856,36.040456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2398, 249, '632521', '共和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.619597,36.280286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2399, 249, '632525', '贵南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.74792,35.587085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2400, 249, '632522', '同德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.579465,35.254492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2401, 249, '632524', '兴海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.986963,35.58909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2402, 250, '632723', '称多县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.110893,33.367884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2403, 250, '632724', '治多县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.616843,33.852322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2404, 250, '632726', '曲麻莱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.800674,34.12654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2405, 250, '632701', '玉树市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.008762,33.00393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2406, 250, '632722', '杂多县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.293423,32.891886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2407, 250, '632725', '囊谦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '96.479797,32.203206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2408, 251, '632322', '尖扎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.031953,35.938205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2409, 251, '632321', '同仁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.017604,35.516337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2410, 251, '632324', '河南蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.611877,34.734522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2411, 251, '632323', '泽库县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.469343,35.036842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2412, 252, '632823', '天峻县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.02078,37.29906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2413, 252, '632802', '德令哈市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.370143,37.374555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2414, 252, '632822', '都兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.089161,36.298553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2415, 252, '632801', '格尔木市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.905777,36.401541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2416, 252, '632825', '海西蒙古族藏族自治州直辖', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.357233,37.853631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2417, 252, '632821', '乌兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.479852,36.930389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2418, 252, '632803', '茫崖市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '90.855955,38.247117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2419, 253, '630224', '化隆回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.262329,36.098322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2420, 253, '630222', '民和回族土族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.804209,36.329451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2421, 253, '630202', '乐都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.402431,36.480291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2422, 253, '630225', '循化撒拉族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.486534,35.847247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2423, 253, '630203', '平安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.104295,36.502714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2424, 253, '630223', '互助土族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.956734,36.83994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2425, 254, '630123', '湟源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.263435,36.684818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2426, 254, '630102', '城东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.796095,36.616043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2427, 254, '630121', '大通回族土族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.684183,36.931343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2428, 254, '630104', '城西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.763649,36.628323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2429, 254, '630106', '湟中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.569475,36.500419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2430, 254, '630103', '城中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.784554,36.621181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2431, 254, '630105', '城北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.761297,36.648448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2432, 255, '632223', '海晏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.90049,36.959542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2433, 255, '632221', '门源回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.618461,37.376627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2434, 255, '632224', '刚察县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.138417,37.326263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2435, 255, '632222', '祁连县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.249778,38.175409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2436, 256, '350924', '寿宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.506733,27.457798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2437, 256, '350923', '屏南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.987544,26.910826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2438, 256, '350982', '福鼎市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.219761,27.318884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2439, 256, '350981', '福安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.650798,27.084246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2440, 256, '350922', '古田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.743156,26.577491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2441, 256, '350925', '周宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.338239,27.103106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2442, 256, '350902', '蕉城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.527225,26.659253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2443, 256, '350921', '霞浦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.005214,26.882068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2444, 256, '350926', '柘荣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.898226,27.236163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2445, 257, '350722', '浦城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.536822,27.920412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2446, 257, '350782', '武夷山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.032796,27.751733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2447, 257, '350703', '建阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.12267,27.332067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2448, 257, '350723', '光泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.337897,27.542803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2449, 257, '350724', '松溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.783491,27.525785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2450, 257, '350783', '建瓯市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.321765,27.03502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2451, 257, '350721', '顺昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.80771,26.792851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2452, 257, '350781', '邵武市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.491544,27.337952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2453, 257, '350725', '政和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.858661,27.365398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2454, 257, '350702', '延平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.178918,26.636079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2455, 258, '350322', '仙游县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.694331,25.356529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2456, 258, '350304', '荔城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.020047,25.430047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2457, 258, '350305', '秀屿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.092607,25.316141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2458, 258, '350302', '城厢区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.001028,25.433737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2459, 258, '350303', '涵江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.119102,25.459273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2460, 259, '350881', '漳平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.42073,25.291597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2461, 259, '350823', '上杭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.424774,25.050019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2462, 259, '350824', '武平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.100928,25.08865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2463, 259, '350803', '永定区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.732691,24.720442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2464, 259, '350802', '新罗区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.030721,25.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2465, 259, '350821', '长汀县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.361007,25.842278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2466, 259, '350825', '连城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.756687,25.708506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2467, 260, '350122', '连江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.538365,26.202109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2468, 260, '350123', '罗源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.552645,26.487234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2469, 260, '350124', '闽清县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.868416,26.223793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2470, 260, '350121', '闽侯县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.145117,26.148567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2471, 260, '350104', '仓山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.320988,26.038912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2472, 260, '350125', '永泰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.939089,25.864825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2473, 260, '350181', '福清市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.376992,25.720402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2474, 260, '350112', '长乐区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.510849,25.960583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2475, 260, '350128', '平潭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.791197,25.503672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2476, 260, '350103', '台江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.310156,26.058616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2477, 260, '350102', '鼓楼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.29929,26.082284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2478, 260, '350105', '马尾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.458725,25.991975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2479, 260, '350111', '晋安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.328597,26.078837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2480, 261, '350429', '泰宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.177522,26.897995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2481, 261, '350402', '梅列区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.63687,26.269208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2482, 261, '350424', '宁化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.659725,26.259932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2483, 261, '350423', '清流县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.815821,26.17761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2484, 261, '350481', '永安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.364447,25.974075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2485, 261, '350403', '三元区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.607418,26.234191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2486, 261, '350425', '大田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.849355,25.690803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2487, 261, '350426', '尤溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.188577,26.169261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2488, 261, '350430', '建宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.845832,26.831398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2489, 261, '350427', '沙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.789095,26.397361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2490, 261, '350421', '明溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.201845,26.357375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2491, 261, '350428', '将乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.473558,26.728667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2492, 262, '350526', '德化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.242986,25.489004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2493, 262, '350525', '永春县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.29503,25.320721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2494, 262, '350504', '洛江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.670312,24.941153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2495, 262, '350505', '泉港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.912285,25.126859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2496, 262, '350503', '丰泽区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.605147,24.896041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2497, 262, '350581', '石狮市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.628402,24.731978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2498, 262, '350583', '南安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.387031,24.959494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2499, 262, '350521', '惠安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.798954,25.028718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2500, 262, '350582', '晋江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.577338,24.807322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2501, 262, '350527', '金门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.323221,24.436417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2502, 262, '350502', '鲤城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.588929,24.907645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2503, 262, '350524', '安溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.186014,25.056824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2504, 263, '350206', '湖里区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.10943,24.512764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2505, 263, '350203', '思明区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.087828,24.462059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2506, 263, '350213', '翔安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.242811,24.637479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2507, 263, '350205', '海沧区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.036364,24.492512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2508, 263, '350211', '集美区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.100869,24.572874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2509, 263, '350212', '同安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.150455,24.729333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2510, 264, '350629', '华安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.53631,25.001416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2511, 264, '350627', '南靖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.365462,24.516425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2512, 264, '350681', '龙海市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.817292,24.445341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2513, 264, '350623', '漳浦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.614023,24.117907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2514, 264, '350626', '东山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.427679,23.702845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2515, 264, '350624', '诏安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.176083,23.710834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2516, 264, '350602', '芗城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.656461,24.509955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2517, 264, '350603', '龙文区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.671387,24.515656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2518, 264, '350622', '云霄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.340946,23.950486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2519, 264, '350628', '平和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.313549,24.366158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2520, 264, '350625', '长泰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.755913,24.621475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2521, 265, '640202', '大武口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.376651,39.014158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2522, 265, '640205', '惠农区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.775513,39.230094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2523, 265, '640221', '平罗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.54489,38.90674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2524, 266, '640521', '中宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.675784,37.489736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2525, 266, '640522', '海原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.647323,36.562007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2526, 266, '640502', '沙坡头区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.190536,37.514564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2527, 267, '640423', '隆德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.12344,35.618234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2528, 267, '640425', '彭阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.641512,35.849975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2529, 267, '640402', '原州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.28477,36.005337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2530, 267, '640424', '泾源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.338674,35.49344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2531, 267, '640422', '西吉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.731801,35.965384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2532, 268, '640105', '西夏区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.132116,38.492424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2533, 268, '640121', '永宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.253781,38.28043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2534, 268, '640106', '金凤区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.228486,38.477353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2535, 268, '640122', '贺兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.345904,38.554563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2536, 268, '640104', '兴庆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.278393,38.46747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2537, 268, '640181', '灵武市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.334701,38.094058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2538, 269, '640381', '青铜峡市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.075395,38.021509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2539, 269, '640324', '同心县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.914764,36.9829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2540, 269, '640323', '盐池县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.40541,37.784222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2541, 269, '640303', '红寺堡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.067315,37.421616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2542, 269, '640302', '利通区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.199419,37.985967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2543, 270, '451028', '乐业县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.559638,24.782204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2544, 270, '451031', '隆林各族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.342363,24.774318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2545, 270, '451030', '西林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.095025,24.492041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2546, 270, '451027', '凌云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.56487,24.345643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2547, 270, '451002', '右江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.615727,23.897675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2548, 270, '451082', '平果市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.580403,23.320479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2549, 270, '451026', '那坡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.833553,23.400785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2550, 270, '451081', '靖西市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.417549,23.134766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2551, 270, '451029', '田林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.235047,24.290262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2552, 270, '451003', '田阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.904315,23.736079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2553, 270, '451024', '德保县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.618164,23.321464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2554, 270, '451022', '田东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.12426,23.600444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2555, 271, '450512', '铁山港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.450573,21.5928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2556, 271, '450503', '银海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.118707,21.444909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2557, 271, '450502', '海城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.107529,21.468443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2558, 271, '450521', '合浦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.200695,21.663554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2559, 272, '450702', '钦南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.626629,21.966808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2560, 272, '450703', '钦北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.44911,22.132761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2561, 272, '450722', '浦北县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.556341,22.268335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2562, 272, '450721', '灵山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.293468,22.418041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2563, 273, '450226', '三江侗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.614846,25.78553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2564, 273, '450225', '融水苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.252744,25.068812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2565, 273, '450224', '融安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.403621,25.214703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2566, 273, '450223', '鹿寨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.740805,24.483405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2567, 273, '450205', '柳北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.406577,24.359145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2568, 273, '450202', '城中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.411749,24.312324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2569, 273, '450222', '柳城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.245812,24.655121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2570, 273, '450203', '鱼峰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.415364,24.303848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2571, 273, '450206', '柳江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.334503,24.257512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2572, 273, '450204', '柳南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.395936,24.287013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2573, 274, '451322', '象州县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.684555,23.959824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2574, 274, '451321', '忻城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.667361,24.064779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2575, 274, '451324', '金秀瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.188556,24.134941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2576, 274, '451302', '兴宾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.230541,23.732926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2577, 274, '451323', '武宣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.66287,23.604162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2578, 274, '451381', '合山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.88858,23.81311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2579, 275, '450125', '上林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.603937,23.431769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2580, 275, '450110', '武鸣区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.280717,23.157163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2581, 275, '450124', '马山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.172903,23.711758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2582, 275, '450127', '横县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.270987,22.68743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2583, 275, '450126', '宾阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.816735,23.216884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2584, 275, '450108', '良庆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.322102,22.75909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2585, 275, '450109', '邕宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.484251,22.756598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2586, 275, '450105', '江南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.310478,22.799593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2587, 275, '450102', '兴宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.320189,22.819511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2588, 275, '450107', '西乡塘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.306903,22.832779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2589, 275, '450103', '青秀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.346113,22.816614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2590, 275, '450123', '隆安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.688661,23.174763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2591, 276, '450423', '蒙山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.5226,24.199829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2592, 276, '450405', '长洲区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.275678,23.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2593, 276, '450406', '龙圩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.246035,23.40996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2594, 276, '450481', '岑溪市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.998114,22.918406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2595, 276, '450421', '苍梧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.544008,23.845097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2596, 276, '450403', '万秀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.315817,23.471318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2597, 276, '450422', '藤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.931826,23.373963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2598, 277, '450325', '兴安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.670783,25.609554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2599, 277, '450312', '临桂区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.205487,25.246257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2600, 277, '450326', '永福县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.989208,24.986692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2601, 277, '450332', '恭城瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.82952,24.833612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2602, 277, '450311', '雁山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.305667,25.077646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2603, 277, '450305', '七星区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.317577,25.254339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2604, 277, '450321', '阳朔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.494699,24.77534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2605, 277, '450381', '荔浦市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.400149,24.497786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2606, 277, '450330', '平乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.642821,24.632216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2607, 277, '450328', '龙胜各族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.009423,25.796428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2608, 277, '450302', '秀峰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.292445,25.278544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2609, 277, '450304', '象山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.284882,25.261986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2610, 277, '450327', '灌阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.160248,25.489098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2611, 277, '450324', '全州县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.072989,25.929897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2612, 277, '450323', '灵川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.325712,25.408541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2613, 277, '450303', '叠彩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.300783,25.301334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2614, 277, '450329', '资源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.642587,26.0342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2615, 278, '451425', '天等县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.142441,23.082484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2616, 278, '451402', '江州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.354443,22.40469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2617, 278, '451421', '扶绥县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.911533,22.635821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2618, 278, '451424', '大新县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.200803,22.833369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2619, 278, '451481', '凭祥市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.759038,22.108882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2620, 278, '451423', '龙州县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.857502,22.343716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2621, 278, '451422', '宁明县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.067616,22.131353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2622, 279, '450602', '港口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.346281,21.614406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2623, 279, '450603', '防城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.358426,21.764758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2624, 279, '450681', '东兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.97017,21.541172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2625, 279, '450621', '上思县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.982139,22.151423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2626, 280, '451123', '富川瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.277228,24.81896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2627, 280, '451121', '昭平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.810865,24.172958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2628, 280, '451122', '钟山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.303629,24.528566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2629, 280, '451103', '平桂区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.524014,24.417148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2630, 280, '451102', '八步区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.551991,24.412446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2631, 281, '450903', '福绵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.054155,22.58163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2632, 281, '450924', '兴业县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.877768,22.74187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2633, 281, '450923', '博白县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.980004,22.271285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2634, 281, '450922', '陆川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.264842,22.321054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2635, 281, '450921', '容县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.552467,22.856435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2636, 281, '450902', '玉州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.154912,22.632132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2637, 281, '450981', '北流市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.348052,22.701648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2638, 282, '450804', '覃塘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.415697,23.132815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2639, 282, '450802', '港北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.59481,23.107677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2640, 282, '450803', '港南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '109.604665,23.067516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2641, 282, '450881', '桂平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.074668,23.382473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2642, 282, '450821', '平南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.397485,23.544546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2643, 283, '451225', '罗城仫佬族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.902453,24.779327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2644, 283, '451221', '南丹县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.546605,24.983192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2645, 283, '451222', '天峨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.174939,24.985964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2646, 283, '451226', '环江毛南族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.258669,24.827628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2647, 283, '451203', '宜州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.653965,24.492193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2648, 283, '451223', '凤山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.044592,24.544561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2649, 283, '451202', '金城江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.062131,24.695625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2650, 283, '451228', '都安瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.102761,23.934964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2651, 283, '451229', '大化瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.9945,23.739596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2652, 283, '451224', '东兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.373696,24.509367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2653, 283, '451227', '巴马瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.253126,24.139538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2654, 284, '320722', '东海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.766489,34.522859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2655, 284, '320703', '连云区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.366487,34.739529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2656, 284, '320723', '灌云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.255741,34.298436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2657, 284, '320724', '灌南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.352331,34.092553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2658, 284, '320707', '赣榆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.128774,34.839154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2659, 284, '320706', '海州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.179793,34.601584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2660, 285, '321322', '沭阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.775889,34.129097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2661, 285, '321323', '泗阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.681284,33.711433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2662, 285, '321324', '泗洪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.211824,33.456538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2663, 285, '321311', '宿豫区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.330012,33.941071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2664, 285, '321302', '宿城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.278984,33.937726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2665, 286, '320111', '浦口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.625307,32.05839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2666, 286, '320114', '雨花台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.77207,31.995946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2667, 286, '320115', '江宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.850621,31.953418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2668, 286, '320117', '溧水区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.028732,31.653061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2669, 286, '320116', '六合区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.85065,32.340655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2670, 286, '320118', '高淳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.87589,31.327132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2671, 286, '320105', '建邺区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.732688,32.004538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2672, 286, '320106', '鼓楼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.769739,32.066966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2673, 286, '320104', '秦淮区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.786088,32.033818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2674, 286, '320113', '栖霞区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.808702,32.102147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2675, 286, '320102', '玄武区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.792199,32.050678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2676, 287, '320682', '如皋市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.566324,32.391591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2677, 287, '320684', '海门市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.176609,31.893528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2678, 287, '320685', '海安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.465995,32.540288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2679, 287, '320623', '如东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.186088,32.311832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2680, 287, '320681', '启东市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.659724,31.810158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2681, 287, '320611', '港闸区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.8339,32.040299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2682, 287, '320612', '通州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.073171,32.084287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2683, 287, '320602', '崇川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.86635,32.015278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2684, 288, '320804', '淮阴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.020817,33.622452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2685, 288, '320830', '盱眙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.493823,33.00439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2686, 288, '320831', '金湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.016936,33.018162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2687, 288, '320813', '洪泽区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.867875,33.294975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2688, 288, '320826', '涟水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.266078,33.771308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2689, 288, '320812', '清江浦区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.019454,33.603234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2690, 288, '320803', '淮安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.14634,33.507499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2691, 289, '321003', '邗江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.397777,32.377899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2692, 289, '321002', '广陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.442267,32.392154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2693, 289, '321081', '仪征市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.182443,32.271965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2694, 289, '321084', '高邮市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.443842,32.785164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2695, 289, '321023', '宝应县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.321284,33.23694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2696, 289, '321012', '江都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.567481,32.426564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2697, 290, '321282', '靖江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.26825,32.018168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2698, 290, '321283', '泰兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.020228,32.168784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2699, 290, '321281', '兴化市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.840162,32.938065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2700, 290, '321204', '姜堰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.148208,32.508483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2701, 290, '321203', '高港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.88166,32.315701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2702, 290, '321202', '海陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.920187,32.488406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2703, 291, '320923', '阜宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.805338,33.78573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2704, 291, '320922', '滨海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.828434,33.989888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2705, 291, '320924', '射阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.257444,33.773779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2706, 291, '320925', '建湖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.793105,33.472621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2707, 291, '320902', '亭湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.136078,33.383912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2708, 291, '320903', '盐都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.139753,33.341288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2709, 291, '320981', '东台市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.314101,32.853174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2710, 291, '320904', '大丰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.470324,33.199531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2711, 291, '320921', '响水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.579573,34.19996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2712, 292, '321182', '扬中市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.828054,32.237266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2713, 292, '321111', '润州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.414877,32.213501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2714, 292, '321112', '丹徒区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.433883,32.128972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2715, 292, '321102', '京口区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.454571,32.206191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2716, 292, '321181', '丹阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.581911,31.991459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2717, 292, '321183', '句容市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.167135,31.947355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2718, 293, '320582', '张家港市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.543441,31.865553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2719, 293, '320505', '虎丘区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.566833,31.294845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2720, 293, '320585', '太仓市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.112275,31.452568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2721, 293, '320508', '姑苏区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.622249,31.311414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2722, 293, '320509', '吴江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.641601,31.160404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2723, 293, '320507', '相城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.618956,31.396684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2724, 293, '320571', '苏州工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.723343,31.324036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2725, 293, '320581', '常熟市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.74852,31.658156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2726, 293, '320506', '吴中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.624621,31.270839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2727, 293, '320583', '昆山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.958137,31.381925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2728, 294, '320213', '梁溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.296595,31.575706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2729, 294, '320214', '新吴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.352782,31.550966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2730, 294, '320281', '江阴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.275891,31.910984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2731, 294, '320211', '滨湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.266053,31.550228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2732, 294, '320282', '宜兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.820538,31.364384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2733, 294, '320205', '锡山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.357298,31.585559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2734, 294, '320206', '惠山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.303543,31.681019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2735, 295, '320413', '金坛区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.573395,31.744399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2736, 295, '320481', '溧阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.487816,31.427081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2737, 295, '320411', '新北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.974654,31.824664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2738, 295, '320412', '武进区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.958773,31.718566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2739, 295, '320404', '钟楼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.948388,31.78096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2740, 295, '320402', '天宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.963783,31.779632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2741, 296, '320381', '新沂市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.345828,34.368779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2742, 296, '320311', '泉山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.182225,34.262249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2743, 296, '320312', '铜山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.183894,34.19288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2744, 296, '320303', '云龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.194589,34.254805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2745, 296, '320302', '鼓楼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.192941,34.269397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2746, 296, '320324', '睢宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.95066,33.899222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2747, 296, '320382', '邳州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.963923,34.314708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2748, 296, '320322', '沛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.937182,34.729044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2749, 296, '320321', '丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.592888,34.696946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2750, 296, '320305', '贾汪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.450212,34.441642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2751, 297, '330921', '岱山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.201132,30.242865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2752, 297, '330922', '嵊泗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.457809,30.727166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2753, 297, '330903', '普陀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.301953,29.945614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2754, 297, '330902', '定海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.108496,30.016423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2755, 298, '330482', '平湖市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.014666,30.698921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2756, 298, '330402', '南湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.749953,30.764652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2757, 298, '330421', '嘉善县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.921871,30.841352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2758, 298, '330424', '海盐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.942017,30.522223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2759, 298, '330483', '桐乡市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.551085,30.629065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2760, 298, '330411', '秀洲区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.720431,30.763323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2761, 298, '330481', '海宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.688821,30.525544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2762, 299, '330381', '瑞安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.646171,27.779321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2763, 299, '330327', '苍南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.406256,27.507743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2764, 299, '330305', '洞头区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.156181,27.836057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2765, 299, '330326', '平阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.564387,27.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2766, 299, '330383', '龙港市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.553039,27.578156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2767, 299, '330328', '文成县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.09245,27.789133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2768, 299, '330329', '泰顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.71624,27.557309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2769, 299, '330324', '永嘉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.690968,28.153886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2770, 299, '330382', '乐清市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.967147,28.116083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2771, 299, '330302', '鹿城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.674231,28.003352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2772, 299, '330304', '瓯海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.637145,28.006444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2773, 299, '330303', '龙湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.763469,27.970254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2774, 300, '331004', '路桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.37292,28.581799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2775, 300, '331083', '玉环市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.232337,28.12842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2776, 300, '331002', '椒江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.431049,28.67615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2777, 300, '331082', '临海市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.131229,28.845441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2778, 300, '331081', '温岭市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.373611,28.368781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2779, 300, '331022', '三门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.376429,29.118955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2780, 300, '331023', '天台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.031227,29.141126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2781, 300, '331003', '黄岩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.262138,28.64488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2782, 300, '331024', '仙居县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.735074,28.849213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2783, 301, '330206', '北仑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.831303,29.90944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2784, 301, '330225', '象山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.877091,29.470206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2785, 301, '330211', '镇海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.713162,29.952107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2786, 301, '330205', '江北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.559282,29.888361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2787, 301, '330213', '奉化区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.41089,29.662348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2788, 301, '330226', '宁海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.432606,29.299836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2789, 301, '330203', '海曙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.539698,29.874452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2790, 301, '330212', '鄞州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.558436,29.831662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2791, 301, '330281', '余姚市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.156294,30.045404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2792, 301, '330282', '慈溪市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '121.248052,30.177142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2793, 302, '331181', '龙泉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.132319,28.069177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2794, 302, '331102', '莲都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.922293,28.451103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2795, 302, '331124', '松阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.485292,28.449937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2796, 302, '331125', '云和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.569458,28.111077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2797, 302, '331123', '遂昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.27589,28.5924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2798, 302, '331127', '景宁畲族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.634669,27.977247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2799, 302, '331121', '青田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.291939,28.135247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2800, 302, '331126', '庆元县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.067233,27.618231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2801, 302, '331122', '缙云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.078965,28.654208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2802, 303, '330521', '德清县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.967662,30.534927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2803, 303, '330503', '南浔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.417195,30.872742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2804, 303, '330523', '安吉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.687891,30.631974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2805, 303, '330522', '长兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.910122,31.00475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2806, 303, '330502', '吴兴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.101416,30.867252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2807, 304, '330822', '常山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.521654,28.900039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2808, 304, '330824', '开化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.414435,29.136503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2809, 304, '330802', '柯城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.873041,28.944539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2810, 304, '330881', '江山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.627879,28.734674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2811, 304, '330803', '衢江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.957683,28.973195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2812, 304, '330825', '龙游县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.172525,29.031364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2813, 305, '330102', '上城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.171465,30.250236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2814, 305, '330111', '富阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.949869,30.049871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2815, 305, '330122', '桐庐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.685045,29.797437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2816, 305, '330182', '建德市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.279089,29.472284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2817, 305, '330127', '淳安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.044276,29.604177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2818, 305, '330108', '滨江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.21062,30.206615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2819, 305, '330112', '临安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.715101,30.231153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2820, 305, '330109', '萧山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.27069,30.162932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2821, 305, '330104', '江干区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.202633,30.266603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2822, 305, '330110', '余杭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.301737,30.421187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2823, 305, '330106', '西湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.147376,30.272934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2824, 305, '330105', '拱墅区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.150053,30.314697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2825, 305, '330103', '下城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.172763,30.276271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2826, 306, '330726', '浦江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.893363,29.451254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2827, 306, '330784', '永康市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.036328,28.895293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2828, 306, '330783', '东阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.23334,29.262546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2829, 306, '330723', '武义县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.819159,28.896563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2830, 306, '330781', '兰溪市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.460521,29.210065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2831, 306, '330727', '磐安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.44513,29.052627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2832, 306, '330782', '义乌市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.074911,29.306863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2833, 306, '330703', '金东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.681264,29.095835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2834, 306, '330702', '婺城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.652579,29.082607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2835, 307, '330683', '嵊州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.82888,29.586606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2836, 307, '330602', '越城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.585315,29.996993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2837, 307, '330603', '柯桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.476075,30.078038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2838, 307, '330681', '诸暨市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.244326,29.713662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2839, 307, '330624', '新昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.905665,29.501205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2840, 307, '330604', '上虞区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '120.874185,30.016769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2841, 308, '361003', '东乡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.605341,28.2325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2842, 308, '361024', '崇仁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.059109,27.760907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2843, 308, '361028', '资溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.066095,27.70653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2844, 308, '361002', '临川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.361404,27.981919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2845, 308, '361026', '宜黄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.223023,27.546512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2846, 308, '361022', '黎川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.91457,27.292561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2847, 308, '361021', '南城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.63945,27.55531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2848, 308, '361027', '金溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.778751,27.907387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2849, 308, '361025', '乐安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.838432,27.420101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2850, 308, '361023', '南丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.532994,27.210132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2851, 308, '361030', '广昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.327291,26.838426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2852, 309, '360430', '彭泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.55584,29.898865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2853, 309, '360429', '湖口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.244313,29.7263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2854, 309, '360428', '都昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.205114,29.275105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2855, 309, '360404', '柴桑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.892977,29.610264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2856, 309, '360423', '武宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.105646,29.260182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2857, 309, '360424', '修水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.573428,29.032729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2858, 309, '360483', '庐山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.043743,29.456169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2859, 309, '360402', '濂溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.99012,29.676175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2860, 309, '360403', '浔阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.995947,29.72465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2861, 309, '360425', '永修县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.809055,29.018212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2862, 309, '360482', '共青城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.805712,29.247884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2863, 309, '360426', '德安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.762611,29.327474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2864, 309, '360481', '瑞昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.669081,29.676599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2865, 310, '360732', '兴国县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.351896,26.330489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2866, 310, '360730', '宁都县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.018782,26.472054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2867, 310, '360735', '石城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.342249,26.326582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2868, 310, '360725', '崇义县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.307348,25.687911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2869, 310, '360731', '于都县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.411198,25.955033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2870, 310, '360734', '寻乌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.651399,24.954136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2871, 310, '360723', '大余县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.362243,25.395937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2872, 310, '360726', '安远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.392328,25.134591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2873, 310, '360729', '全南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.531589,24.742651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2874, 310, '360781', '瑞金市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.034854,25.875278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2875, 310, '360733', '会昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.791158,25.599125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2876, 310, '360722', '信丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.930893,25.38023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2877, 310, '360724', '上犹县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.540537,25.794284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2878, 310, '360728', '定南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.03267,24.774277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2879, 310, '360703', '南康区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.756933,25.661721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2880, 310, '360727', '龙南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.792657,24.90476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2881, 310, '360704', '赣县区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.018461,25.865432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2882, 310, '360702', '章贡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.93872,25.851367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2883, 311, '360681', '贵溪市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.212103,28.283693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2884, 311, '360603', '余江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.822763,28.206177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2885, 311, '360602', '月湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.034112,28.239076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2886, 312, '360222', '浮梁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.217611,29.352251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2887, 312, '360203', '珠山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.214814,29.292812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2888, 312, '360202', '昌江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.195023,29.288465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2889, 312, '360281', '乐平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.129376,28.967361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2890, 313, '361130', '婺源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.86219,29.254015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2891, 313, '361181', '德兴市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.578732,28.945034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2892, 313, '361127', '余干县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.691072,28.69173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2893, 313, '361125', '横峰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.608247,28.415103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2894, 313, '361126', '弋阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.435002,28.402391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2895, 313, '361103', '广丰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.189852,28.440285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2896, 313, '361124', '铅山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.711906,28.310892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2897, 313, '361123', '玉山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.244408,28.673479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2898, 313, '361128', '鄱阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.673748,28.993374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2899, 313, '361129', '万年县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.07015,28.692589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2900, 313, '361104', '广信区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.90612,28.453897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2901, 313, '361102', '信州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.970522,28.445378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2902, 314, '360302', '安源区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.855044,27.625826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2903, 314, '360323', '芦溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.041206,27.633633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2904, 314, '360322', '上栗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.800525,27.877041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2905, 314, '360321', '莲花县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.955582,27.127807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2906, 314, '360313', '湘东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.7456,27.639319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2907, 315, '360921', '奉新县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.389899,28.700672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2908, 315, '360924', '宜丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.787381,28.388289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2909, 315, '360983', '高安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.381527,28.420951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2910, 315, '360981', '丰城市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.786005,28.191584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2911, 315, '360923', '上高县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.932653,28.234789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2912, 315, '360926', '铜鼓县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.37014,28.520956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2913, 315, '360902', '袁州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.387379,27.800117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2914, 315, '360922', '万载县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.449012,28.104528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2915, 315, '360982', '樟树市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.543388,28.055898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2916, 315, '360925', '靖安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.361744,28.86054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2917, 316, '360124', '进贤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.267671,28.365681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2918, 316, '360104', '青云谱区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.907292,28.635724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2919, 316, '360121', '南昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.942465,28.543781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2920, 316, '360103', '西湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.91065,28.662901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2921, 316, '360111', '青山湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.949044,28.689292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2922, 316, '360102', '东湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.889675,28.682988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2923, 316, '360112', '新建区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.820806,28.690788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2924, 316, '360113', '红谷滩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.8580521,28.69819928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2925, 316, '360123', '安义县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.553109,28.841334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2926, 317, '360821', '吉安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.905117,27.040042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2927, 317, '360825', '永丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.435559,27.321087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2928, 317, '360822', '吉水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.134569,27.213445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2929, 317, '360830', '永新县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.242534,26.944721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2930, 317, '360827', '遂川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.51689,26.323705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2931, 317, '360802', '吉州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.987331,27.112367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2932, 317, '360828', '万安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.784694,26.462085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2933, 317, '360803', '青原区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.016306,27.105879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2934, 317, '360829', '安福县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.61384,27.382746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2935, 317, '360824', '新干县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.399294,27.755758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2936, 317, '360823', '峡江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.319331,27.580862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2937, 317, '360881', '井冈山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.284421,26.745919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2938, 317, '360826', '泰和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.901393,26.790164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2939, 318, '360521', '分宜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.675262,27.811301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2940, 318, '360502', '渝水区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.923923,27.819171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2941, 319, '130281', '遵化市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.965875,40.188616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2942, 319, '130227', '迁西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.305139,40.146238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2943, 319, '130283', '迁安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.701933,40.012108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2944, 319, '130224', '滦南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.681552,39.506201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2945, 319, '130209', '曹妃甸区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.446585,39.278277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2946, 319, '130284', '滦州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.699546,39.74485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2947, 319, '130225', '乐亭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.905341,39.42813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2948, 319, '130229', '玉田县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.753665,39.887323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2949, 319, '130202', '路南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.210821,39.615162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2950, 319, '130207', '丰南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.110793,39.56303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2951, 319, '130203', '路北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.174736,39.628538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2952, 319, '130208', '丰润区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.155779,39.831363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2953, 319, '130204', '古冶区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.45429,39.715736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2954, 319, '130205', '开平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.264425,39.676171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2955, 320, '131028', '大厂回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.986501,39.889266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2956, 320, '131025', '大城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.640735,38.699215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2957, 320, '131024', '香河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.007161,39.757212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2958, 320, '131026', '文安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.460107,38.866801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2959, 320, '131023', '永清县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.498089,39.319717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2960, 320, '131022', '固安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.299894,39.436468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2961, 320, '131003', '广阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.713708,39.521931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2962, 320, '131082', '三河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.077018,39.982778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2963, 320, '131002', '安次区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.694544,39.502569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2964, 320, '131081', '霸州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.392021,39.117331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2965, 321, '130321', '青龙满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.954555,40.406023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2966, 321, '130324', '卢龙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.881809,39.891639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2967, 321, '130303', '山海关区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.753591,39.998023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2968, 321, '130306', '抚宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.240651,39.887053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2969, 321, '130302', '海港区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.596224,39.943458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2970, 321, '130304', '北戴河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.486286,39.825121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2971, 321, '130322', '昌黎县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '119.164541,39.709729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2972, 322, '130722', '张北县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.715951,41.151713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2973, 322, '130723', '康保县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.615809,41.850046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2974, 322, '130724', '沽源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.684836,41.667419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2975, 322, '130725', '尚义县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.977713,41.080091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2976, 322, '130709', '崇礼区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.281652,40.971302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2977, 322, '130708', '万全区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.736131,40.765136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2978, 322, '130732', '赤城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.832708,40.912081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2979, 322, '130730', '怀来县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.520846,40.405405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2980, 322, '130706', '下花园区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.281002,40.488645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2981, 322, '130731', '涿鹿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.219246,40.378701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2982, 322, '130705', '宣化区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.0632,40.609368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2983, 322, '130703', '桥西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.882127,40.824385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2984, 322, '130702', '桥东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.885658,40.813875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2985, 322, '130728', '怀安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.422364,40.671274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2986, 322, '130726', '蔚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.582695,39.837181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2987, 322, '130727', '阳原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.167343,40.113419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2988, 323, '130982', '任丘市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.106764,38.706513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2989, 323, '130929', '献县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.123844,38.189661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2990, 323, '130902', '新华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.873049,38.308273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2991, 323, '130903', '运河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.840063,38.307405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2992, 323, '130924', '海兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.496606,38.141582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2993, 323, '130927', '南皮县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.709171,38.042439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2994, 323, '130923', '东光县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.542062,37.88655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2995, 323, '130928', '吴桥县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.391512,37.628182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2996, 323, '130983', '黄骅市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.343803,38.369238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2997, 323, '130922', '青县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.838384,38.569646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2998, 323, '130921', '沧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.007478,38.219856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (2999, 323, '130981', '泊头市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.570163,38.073479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3000, 323, '130984', '河间市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.089452,38.44149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3001, 323, '130926', '肃宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.835856,38.427102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3002, 323, '130930', '孟村回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.105104,38.057953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3003, 323, '130925', '盐山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.229814,38.056141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3004, 324, '130481', '武安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.194581,36.696115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3005, 324, '130423', '临漳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.610703,36.337604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3006, 324, '130434', '魏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.93411,36.354248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3007, 324, '130406', '峰峰矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.209936,36.420487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3008, 324, '130407', '肥乡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.805154,36.555778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3009, 324, '130426', '涉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.673297,36.563143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3010, 324, '130431', '鸡泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.878517,36.914908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3011, 324, '130435', '曲周县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.957588,36.773398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3012, 324, '130427', '磁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.38208,36.367673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3013, 324, '130404', '复兴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.458242,36.615484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3014, 324, '130403', '丛台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.494703,36.611082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3015, 324, '130408', '永年区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.496162,36.776413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3016, 324, '130402', '邯山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.484989,36.603196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3017, 324, '130424', '成安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.680356,36.443832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3018, 324, '130433', '馆陶县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.289057,36.539461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3019, 324, '130430', '邱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.168584,36.81325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3020, 324, '130425', '大名县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.152586,36.283316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3021, 324, '130432', '广平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.950859,36.483603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3022, 325, '130523', '内丘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.511523,37.287663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3023, 325, '130524', '柏乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.693382,37.483596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3024, 325, '130530', '新河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.247537,37.526216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3025, 325, '130527', '南和区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.691377,37.003812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3026, 325, '130581', '南宫市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.398102,37.359668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3027, 325, '130532', '平乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.029218,37.069404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3028, 325, '130582', '沙河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.504902,36.861903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3029, 325, '130531', '广宗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.142797,37.075548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3030, 325, '130534', '清河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.668999,37.059991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3031, 325, '130522', '临城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.506873,37.444009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3032, 325, '130533', '威县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.272749,36.983272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3033, 325, '130535', '临西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.498684,36.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3034, 325, '130528', '宁晋县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.921027,37.618956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3035, 325, '130525', '隆尧县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.776348,37.350925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3036, 325, '130526', '任泽区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.684469,37.129952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3037, 325, '130529', '巨鹿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.038782,37.21768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3038, 325, '130503', '信都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.473687,37.068009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3039, 325, '130502', '襄都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.507131,37.064125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3040, 326, '130123', '正定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.569887,38.147835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3041, 326, '130109', '藁城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.849647,38.033767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3042, 326, '130131', '平山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.184144,38.259311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3043, 326, '130126', '灵寿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.37946,38.306546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3044, 326, '130130', '无极县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.977845,38.176376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3045, 326, '130127', '高邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.610699,37.605714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3046, 326, '130132', '元氏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.52618,37.762514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3047, 326, '130129', '赞皇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.387756,37.660199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3048, 326, '130104', '桥西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.462931,38.028383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3049, 326, '130110', '鹿泉区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.321023,38.093994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3050, 326, '130108', '裕华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.533257,38.027696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3051, 326, '130102', '长安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.548151,38.047501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3052, 326, '130183', '晋州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.044886,38.027478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3053, 326, '130121', '井陉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.144488,38.033614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3054, 326, '130107', '井陉矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.058178,38.069748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3055, 326, '130181', '辛集市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.217451,37.92904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3056, 326, '130184', '新乐市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.68578,38.344768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3057, 326, '130105', '新华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.465974,38.067142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3058, 326, '130128', '深泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.200207,38.18454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3059, 326, '130133', '赵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.775362,37.754341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3060, 326, '130111', '栾城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.654281,37.886911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3061, 326, '130125', '行唐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.552734,38.437422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3062, 327, '131122', '武邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.892415,37.803774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3063, 327, '131123', '武强县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.970236,38.03698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3064, 327, '131121', '枣强县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.726499,37.511512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3065, 327, '131102', '桃城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.694945,37.732237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3066, 327, '131182', '深州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.554596,38.00347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3067, 327, '131128', '阜城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.164727,37.869945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3068, 327, '131125', '安平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.519627,38.233511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3069, 327, '131124', '饶阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.726577,38.232671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3070, 327, '131103', '冀州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.579173,37.542788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3071, 327, '131127', '景县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.258446,37.686622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3072, 327, '131126', '故城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.966747,37.350981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3073, 328, '130630', '涞源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.692567,39.35755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3074, 328, '130632', '安新县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.931979,38.929912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3075, 328, '130633', '易县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.501146,39.35297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3076, 328, '130609', '徐水区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.64941,39.020395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3077, 328, '130636', '顺平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.132749,38.845127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3078, 328, '130628', '高阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.778878,38.690092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3079, 328, '130602', '竞秀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.470659,38.88662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3080, 328, '130607', '满城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.32442,38.95138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3081, 328, '130682', '定州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.991389,38.517602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3082, 328, '130683', '安国市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.33141,38.421367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3083, 328, '130606', '莲池区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.500934,38.865005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3084, 328, '130623', '涞水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.711985,39.393148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3085, 328, '130681', '涿州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.973409,39.485765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3086, 328, '130637', '博野县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.461798,38.458271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3087, 328, '130635', '蠡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.583631,38.496429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3088, 328, '130624', '阜平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.198801,38.847276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3089, 328, '130608', '清苑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.492221,38.771012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3090, 328, '130631', '望都县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.154009,38.707448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3091, 328, '130634', '曲阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.704055,38.619992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3092, 328, '130627', '唐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.981241,38.748542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3093, 328, '130684', '高碑店市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.882704,39.327689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3094, 328, '130629', '容城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.866247,39.05282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3095, 328, '130626', '定兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.796895,39.266195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3096, 328, '130638', '雄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.107474,38.990819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3097, 329, '130828', '围场满族蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.764086,41.949404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3098, 329, '130826', '丰宁满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.65121,41.209903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3099, 329, '130825', '隆化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.736343,41.316667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3100, 329, '130827', '宽城满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.488642,40.607981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3101, 329, '130804', '鹰手营子矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.661154,40.546956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3102, 329, '130881', '平泉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.690238,41.00561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3103, 329, '130822', '兴隆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.507098,40.418525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3104, 329, '130824', '滦平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.337124,40.936644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3105, 329, '130803', '双滦区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.797485,40.959756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3106, 329, '130802', '双桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.939152,40.976204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3107, 329, '130821', '承德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '118.172496,40.768637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3108, 356, '620321', '永昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.971957,38.247354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3109, 356, '620302', '金川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.187683,38.513793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3110, 357, '620421', '靖远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.686972,36.561424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3111, 357, '620403', '平川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.819207,36.72921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3112, 357, '620402', '白银区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.17425,36.545649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3113, 357, '620423', '景泰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.066394,37.193519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3114, 357, '620422', '会宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.054337,35.692486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3115, 358, '620921', '金塔县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.902959,39.983036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3116, 358, '620923', '肃北蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.87728,39.51224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3117, 358, '620981', '玉门市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.037206,40.28682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3118, 358, '620982', '敦煌市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.664279,40.141119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3119, 358, '620902', '肃州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.511155,39.743858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3120, 358, '620922', '瓜州县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '95.780591,40.516525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3121, 358, '620924', '阿克塞哈萨克族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '94.337642,39.631642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3122, 359, '621226', '礼县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.181616,34.189387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3123, 359, '621223', '宕昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.394475,34.042655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3124, 359, '621202', '武都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.929866,33.388155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3125, 359, '621224', '康县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.609534,33.328266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3126, 359, '621228', '两当县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.306959,33.910729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3127, 359, '621227', '徽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.085632,33.767785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3128, 359, '621221', '成县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.734434,33.739863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3129, 359, '621222', '文县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.682448,32.942171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3130, 359, '621225', '西和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.299737,34.013718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3131, 360, '620822', '灵台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.620587,35.064009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3132, 360, '620802', '崆峒区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.684223,35.54173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3133, 360, '620825', '庄浪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.041979,35.203428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3134, 360, '620823', '崇信县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.031253,35.304533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3135, 360, '620826', '静宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.733489,35.525243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3136, 360, '620881', '华亭市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.649308,35.215341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3137, 360, '620821', '泾川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.365218,35.335283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3138, 361, '620622', '古浪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.898047,37.470571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3139, 361, '620602', '凉州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.634492,37.93025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3140, 361, '620623', '天祝藏族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.142034,36.971678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3141, 361, '620621', '民勤县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.090654,38.624621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3142, 362, '620121', '永登县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.262203,36.734428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3143, 362, '620122', '皋兰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.94933,36.331254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3144, 362, '620104', '西固区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.622331,36.100369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3145, 362, '620111', '红古区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.861814,36.344177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3146, 362, '620105', '安宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.724038,36.10329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3147, 362, '620102', '城关区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.841032,36.049115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3148, 362, '620103', '七里河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.784326,36.06673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3149, 362, '620123', '榆中县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.114975,35.84443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3150, 363, '620200', '峪泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.3204,39.9583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3151, 363, '620200', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.3627,39.9581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3152, 363, '620200', '文殊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.1579,39.6969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3153, 363, '620200', '雄关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.2391,39.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3154, 363, '620200', '钢城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.2926,39.7558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3155, 364, '623022', '卓尼县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.508508,34.588165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3156, 364, '623027', '夏河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.520743,35.200853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3157, 364, '623001', '合作市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.91149,34.985973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3158, 364, '623021', '临潭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.353054,34.69164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3159, 364, '623025', '玛曲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.075767,33.998068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3160, 364, '623024', '迭部县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.221009,34.055348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3161, 364, '623023', '舟曲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.370271,33.782964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3162, 364, '623026', '碌曲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.488495,34.589591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3163, 365, '622927', '积石山保安族东乡族撒拉族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.877473,35.712906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3164, 365, '622926', '东乡族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.389568,35.66383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3165, 365, '622923', '永靖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.319871,35.938933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3166, 365, '622901', '临夏市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.211634,35.59941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3167, 365, '622921', '临夏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.993873,35.49236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3168, 365, '622924', '广河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.576188,35.481688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3169, 365, '622925', '和政县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.350357,35.425971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3170, 365, '622922', '康乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.709852,35.371906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3171, 366, '620724', '高台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.81665,39.376308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3172, 366, '620721', '肃南裕固族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.617086,38.837269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3173, 366, '620722', '民乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.816623,38.434454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3174, 366, '620725', '山丹县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.088442,38.784839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3175, 366, '620723', '临泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.166333,39.152151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3176, 366, '620702', '甘州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.454862,38.931774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3177, 367, '621025', '正宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.361068,35.490642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3178, 367, '621027', '镇原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.195706,35.677806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3179, 367, '621023', '华池县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.986288,36.457304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3180, 367, '621022', '环县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.308754,36.569322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3181, 367, '621026', '宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.921182,35.50201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3182, 367, '621002', '西峰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.638824,35.733713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3183, 367, '621021', '庆城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.885664,36.013504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3184, 367, '621024', '合水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.019865,35.819005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3185, 368, '621123', '渭源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.211742,35.133023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3186, 368, '621124', '临洮县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.862186,35.376233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3187, 368, '621126', '岷县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.039882,34.439105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3188, 368, '621125', '漳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.466756,34.848642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3189, 368, '621102', '安定区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.62577,35.579764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3190, 368, '621122', '陇西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.637554,35.003409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3191, 368, '621121', '通渭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.250102,35.208922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3192, 369, '620523', '甘谷县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.332347,34.747327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3193, 369, '620522', '秦安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.6733,34.862354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3194, 369, '620502', '秦州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.724477,34.578645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3195, 369, '620503', '麦积区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.897631,34.563504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3196, 369, '620525', '张家川回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.212416,34.993237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3197, 369, '620521', '清水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.139878,34.75287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3198, 369, '620524', '武山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.891696,34.721955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3199, 370, '511902', '巴州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.753671,31.858366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3200, 370, '511923', '平昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.101937,31.562814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3201, 370, '511921', '通江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.247621,31.91212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3202, 370, '511922', '南江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.843418,32.353164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3203, 370, '511903', '恩阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.486515,31.816336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3204, 371, '510182', '彭州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.941173,30.985161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3205, 371, '510181', '都江堰市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.627898,30.99114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3206, 371, '510129', '大邑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.522397,30.586602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3207, 371, '510131', '蒲江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.511541,30.194359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3208, 371, '510113', '青白江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.25494,30.883438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3209, 371, '510185', '简阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.550339,30.390666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3210, 371, '510184', '崇州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.671049,30.631478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3211, 371, '510121', '金堂县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.415604,30.858417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3212, 371, '510183', '邛崃市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.46143,30.413271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3213, 371, '510132', '新津区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.812449,30.414284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3214, 371, '510115', '温江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.836776,30.697996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3215, 371, '510117', '郫都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.887842,30.808752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3216, 371, '510116', '双流区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.922706,30.573243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3217, 371, '510107', '武侯区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.05167,30.630862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3218, 371, '510106', '金牛区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.043487,30.692058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3219, 371, '510114', '新都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.16022,30.824223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3220, 371, '510112', '龙泉驿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.269181,30.56065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3221, 371, '510108', '成华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.103077,30.660275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3222, 371, '510105', '青羊区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.055731,30.667648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3223, 371, '510104', '锦江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.080989,30.657689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3224, 372, '510682', '什邡市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.173653,31.126881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3225, 372, '510623', '中江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.677831,31.03681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3226, 372, '510681', '广汉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.281903,30.97715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3227, 372, '510603', '旌阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.389648,31.130428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3228, 372, '510604', '罗江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.507126,31.303281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3229, 372, '510683', '绵竹市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.200162,31.343084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3230, 373, '510811', '昭化区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.964121,32.322788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3231, 373, '510823', '剑阁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.527035,32.286517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3232, 373, '510812', '朝天区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.88917,32.642632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3233, 373, '510824', '苍溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.939706,31.732251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3234, 373, '510821', '旺苍县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.290426,32.22833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3235, 373, '510822', '青川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.238847,32.585655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3236, 373, '510802', '利州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.826194,32.432276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3237, 374, '510923', '大英县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.252187,30.581571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3238, 374, '510981', '射洪市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.381849,30.868752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3239, 374, '510921', '蓬溪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.713699,30.774883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3240, 374, '510904', '安居区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.459383,30.346121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3241, 374, '510903', '船山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.582215,30.502647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3242, 375, '512021', '安岳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.336764,30.099206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3243, 375, '512002', '雁江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.642338,30.121686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3244, 375, '512022', '乐至县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.031142,30.275619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3245, 376, '510704', '游仙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.770006,31.484772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3246, 376, '510725', '梓潼县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.16353,31.635225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3247, 376, '510722', '三台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.090316,31.090909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3248, 376, '510781', '江油市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.744431,31.776386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3249, 376, '510723', '盐亭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.391991,31.22318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3250, 376, '510726', '北川羌族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.468069,31.615863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3251, 376, '510705', '安州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.560341,31.53894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3252, 376, '510703', '涪城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.740971,31.463557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3253, 376, '510727', '平武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.530555,32.407588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3254, 377, '511623', '邻水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.934968,30.334323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3255, 377, '511622', '武胜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.292473,30.344291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3256, 377, '511602', '广安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.632907,30.456462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3257, 377, '511681', '华蓥市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.777882,30.380574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3258, 377, '511603', '前锋区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.893277,30.4963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3259, 377, '511621', '岳池县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.444451,30.533538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3260, 378, '511724', '大竹县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.20742,30.736289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3261, 378, '511725', '渠县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.970746,30.836348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3262, 378, '511722', '宣汉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.722254,31.355025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3263, 378, '511723', '开江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.864135,31.085537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3264, 378, '511781', '万源市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '108.037548,32.06777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3265, 378, '511702', '通川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.501062,31.213522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3266, 378, '511703', '达川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '107.507926,31.199062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3267, 379, '511323', '蓬安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.413488,31.027978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3268, 379, '511325', '西充县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.893021,30.994616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3269, 379, '511322', '营山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.564893,31.075907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3270, 379, '511321', '南部县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.061138,31.349407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3271, 379, '511304', '嘉陵区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.067027,30.762976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3272, 379, '511324', '仪陇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.297083,31.271261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3273, 379, '511303', '高坪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.108996,30.781809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3274, 379, '511302', '顺庆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '106.084091,30.795572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3275, 379, '511381', '阆中市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.975266,31.580466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3276, 380, '511025', '资中县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.852463,29.775295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3277, 380, '511011', '东兴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.067203,29.600107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3278, 380, '511024', '威远县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.668327,29.52686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3279, 380, '511083', '隆昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.288074,29.338162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3280, 380, '511002', '市中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.065467,29.585265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3281, 381, '511526', '珙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.712268,28.449041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3282, 381, '511528', '兴文县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.236549,28.302988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3283, 381, '511524', '长宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.921116,28.577271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3284, 381, '511523', '江安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.068697,28.728102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3285, 381, '511503', '南溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.981133,28.839806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3286, 381, '511502', '翠屏区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.630231,28.760179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3287, 381, '511525', '高县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.519187,28.435676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3288, 381, '511527', '筠连县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.507848,28.162017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3289, 381, '511529', '屏山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.162617,28.64237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3290, 381, '511504', '叙州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.541489,28.695678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3291, 382, '510504', '龙马潭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.435228,28.897572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3292, 382, '510521', '泸县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.376335,29.151288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3293, 382, '510503', '纳溪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.37721,28.77631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3294, 382, '510524', '叙永县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.437775,28.167919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3295, 382, '510525', '古蔺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.813359,28.03948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3296, 382, '510502', '江阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.445131,28.882889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3297, 382, '510522', '合江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.834098,28.810325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3298, 383, '513231', '阿坝县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.700985,32.904223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3299, 383, '513228', '黑水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.990805,32.061721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3300, 383, '513225', '九寨沟县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.236344,33.262097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3301, 383, '513222', '理县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.165486,31.436764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3302, 383, '513232', '若尔盖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.963726,33.575934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3303, 383, '513226', '金川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.064647,31.476356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3304, 383, '513233', '红原县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.544906,32.793902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3305, 383, '513221', '汶川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.580675,31.47463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3306, 383, '513201', '马尔康市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.221187,31.899761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3307, 383, '513224', '松潘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.599177,32.63838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3308, 383, '513223', '茂县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.850684,31.680407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3309, 383, '513227', '小金县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.363193,30.999016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3310, 383, '513230', '壤塘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.979136,32.264887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3311, 384, '510311', '沿滩区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.876417,29.272521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3312, 384, '510304', '大安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.783229,29.367136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3313, 384, '510321', '荣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.423932,29.454851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3314, 384, '510302', '自流井区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.778188,29.343231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3315, 384, '510322', '富顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.984256,29.181282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3316, 384, '510303', '贡井区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.714372,29.345675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3317, 385, '511827', '宝兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.813377,30.369026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3318, 385, '511822', '荥经县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.844674,29.795529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3319, 385, '511824', '石棉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.35962,29.234063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3320, 385, '511823', '汉源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.677145,29.349915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3321, 385, '511825', '天全县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.763462,30.059955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3322, 385, '511802', '雨城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.003398,29.981831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3323, 385, '511826', '芦山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.924016,30.152907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3324, 385, '511803', '名山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.112214,30.084718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3325, 386, '511423', '洪雅县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.375006,29.904867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3326, 386, '511424', '丹棱县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.518333,30.012751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3327, 386, '511421', '仁寿县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.147646,29.996721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3328, 386, '511403', '彭山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.8701,30.192298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3329, 386, '511425', '青神县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.846131,29.831469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3330, 386, '511402', '东坡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.831553,30.048128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3331, 387, '511111', '沙湾区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.549961,29.416536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3332, 387, '511126', '夹江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.578862,29.741019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3333, 387, '511124', '井研县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.06885,29.651645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3334, 387, '511113', '金口河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.077831,29.24602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3335, 387, '511123', '犍为县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.944266,29.209782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3336, 387, '511112', '五通桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.816837,29.406186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3337, 387, '511129', '沐川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.90211,28.956338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3338, 387, '511132', '峨边彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.262148,29.230271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3339, 387, '511133', '马边彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.546851,28.838933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3340, 387, '511102', '市中区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.75539,29.588327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3341, 387, '511181', '峨眉山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.492488,29.597478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3342, 388, '510421', '米易县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.109877,26.887474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3343, 388, '510403', '西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.637969,26.596776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3344, 388, '510422', '盐边县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.851848,26.677619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3345, 388, '510411', '仁和区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.737916,26.497185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3346, 388, '510402', '东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.715134,26.580887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3347, 389, '513425', '会理县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.249548,26.658702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3348, 389, '513437', '雷波县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.571584,28.262946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3349, 389, '513432', '喜德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.412342,28.305486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3350, 389, '513431', '昭觉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.843991,28.010554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3351, 389, '513429', '布拖县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.808801,27.709062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3352, 389, '513401', '西昌市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.258758,27.885786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3353, 389, '513428', '普格县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.541082,27.376828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3354, 389, '513422', '木里藏族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.280184,27.926859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3355, 389, '513433', '冕宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.170046,28.550844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3356, 389, '513426', '会东县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.578985,26.630713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3357, 389, '513434', '越西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.508875,28.639632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3358, 389, '513435', '甘洛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.775924,28.977094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3359, 389, '513436', '美姑县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.132007,28.327946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3360, 389, '513423', '盐源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.508909,27.423415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3361, 389, '513430', '金阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.248704,27.695916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3362, 389, '513424', '德昌县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.178845,27.403827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3363, 389, '513427', '宁南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.757374,27.065205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3364, 390, '513328', '甘孜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.991753,31.61975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3365, 390, '513332', '石渠县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.100887,32.975302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3366, 390, '513337', '稻城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.296689,29.037544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3367, 390, '513329', '新龙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.312094,30.93896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3368, 390, '513330', '德格县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.57999,31.806729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3369, 390, '513325', '雅江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.015735,30.03225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3370, 390, '513331', '白玉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.824343,31.208805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3371, 390, '513326', '道孚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.123327,30.978767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3372, 390, '513335', '巴塘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.109037,30.005723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3373, 390, '513327', '炉霍县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.679495,31.392674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3374, 390, '513301', '康定市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.964057,30.050738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3375, 390, '513334', '理塘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.269862,29.991807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3376, 390, '513336', '乡城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.799943,28.930855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3377, 390, '513324', '九龙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.506942,29.001975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3378, 390, '513338', '得荣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.288036,28.71134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3379, 390, '513333', '色达县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.331657,32.268777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3380, 390, '513323', '丹巴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.886125,30.877083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3381, 390, '513322', '泸定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.233225,29.912482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3382, 391, '220881', '洮南市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.783779,45.339113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3383, 391, '220882', '大安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.291512,45.507648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3384, 391, '220822', '通榆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.088543,44.80915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3385, 391, '220802', '洮北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '122.842499,45.619253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3386, 391, '220821', '镇赉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.202246,45.846089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3387, 392, '220183', '德惠市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.703327,44.533909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3388, 392, '220182', '榆树市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.550107,44.827642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3389, 392, '220112', '双阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.659018,43.525168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3390, 392, '220122', '农安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.175287,44.431258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3391, 392, '220103', '宽城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.342828,43.903823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3392, 392, '220113', '九台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.844682,44.157155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3393, 392, '220106', '绿园区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.272467,43.892177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3394, 392, '220184', '公主岭市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.817588,43.509474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3395, 392, '220104', '朝阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.318042,43.86491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3396, 392, '220105', '二道区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.384727,43.870824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3397, 392, '220102', '南关区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.337237,43.890235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3398, 393, '220211', '丰满区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.560759,43.816594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3399, 393, '220283', '舒兰市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.947813,44.410906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3400, 393, '220282', '桦甸市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.745445,42.972093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3401, 393, '220281', '蛟河市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.342739,43.720579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3402, 393, '220203', '龙潭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.561429,43.909755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3403, 393, '220221', '永吉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.501622,43.667416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3404, 393, '220284', '磐石市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.059929,42.942476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3405, 393, '220202', '昌邑区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.570766,43.851118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3406, 393, '220204', '船营区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.55239,43.843804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3407, 394, '220781', '扶余市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.042758,44.986199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3408, 394, '220702', '宁江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.827851,45.176498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3409, 394, '220723', '乾安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.024361,45.006846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3410, 394, '220721', '前郭尔罗斯蒙古族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.826808,45.116288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3411, 394, '220722', '长岭县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.985184,44.276579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3412, 395, '220403', '西安区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.151424,42.920415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3413, 395, '220421', '东丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.529623,42.675228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3414, 395, '220422', '东辽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.991995,42.927724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3415, 395, '220402', '龙山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.145164,42.902702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3416, 396, '222403', '敦化市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.22986,43.366921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3417, 396, '222404', '珲春市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '130.365787,42.871057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3418, 396, '222402', '图们市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.846701,42.966621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3419, 396, '222406', '和龙市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.008748,42.547004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3420, 396, '222424', '汪清县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.766161,43.315426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3421, 396, '222401', '延吉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.51579,42.906964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3422, 396, '222426', '安图县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.901865,43.110994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3423, 396, '222405', '龙井市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '129.425747,42.771029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3424, 397, '220623', '长白朝鲜族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '128.203384,41.419361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3425, 397, '220605', '江源区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.584229,42.048109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3426, 397, '220622', '靖宇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.808386,42.389689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3427, 397, '220621', '抚松县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '127.273796,42.332643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3428, 397, '220602', '浑江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.428035,41.943065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3429, 397, '220681', '临江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.919296,41.810689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3430, 398, '220521', '通化县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.753121,41.677918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3431, 398, '220503', '二道江区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.045987,41.777564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3432, 398, '220502', '东昌区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.936716,41.721233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3433, 398, '220524', '柳河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.740536,42.281484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3434, 398, '220581', '梅河口市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.687336,42.530002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3435, 398, '220523', '辉南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.042821,42.683459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3436, 398, '220582', '集安市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '126.186204,41.126276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3437, 399, '220303', '铁东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.388464,43.16726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3438, 399, '220382', '双辽市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '123.505283,43.518275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3439, 399, '220323', '伊通满族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '125.303124,43.345464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3440, 399, '220322', '梨树县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.335802,43.30831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3441, 399, '220302', '铁西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '124.360894,43.176263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3442, 400, '120102', '河东区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.226568,39.122125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3443, 400, '120105', '河北区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.201569,39.156632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3444, 400, '120101', '和平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.195907,39.118327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3445, 400, '120115', '宝坻区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.308094,39.716965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3446, 400, '120110', '东丽区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.313967,39.087764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3447, 400, '120112', '津南区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.382549,38.989577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3448, 400, '120116', '滨海新区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.654173,39.032846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3449, 400, '120118', '静海区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.925304,38.935671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3450, 400, '120119', '蓟州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.407449,40.045342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3451, 400, '120114', '武清区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.057959,39.376925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3452, 400, '120104', '南开区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.164143,39.120474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3453, 400, '120103', '河西区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.217536,39.101897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3454, 400, '120117', '宁河区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.82828,39.328886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3455, 400, '120106', '红桥区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.163301,39.175066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3456, 400, '120113', '北辰区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.13482,39.225555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3457, 400, '120111', '西青区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.012247,39.139446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3458, 401, '140822', '万荣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.843561,35.417042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3459, 401, '140821', '临猗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.77493,35.141883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3460, 401, '140823', '闻喜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.220306,35.353839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3461, 401, '140802', '盐湖区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.000627,35.025643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3462, 401, '140830', '芮城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.69114,34.694769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3463, 401, '140828', '夏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.223174,35.140441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3464, 401, '140829', '平陆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.212377,34.837256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3465, 401, '140881', '永济市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.447984,34.865125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3466, 401, '140826', '绛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.576182,35.49045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3467, 401, '140827', '垣曲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.67099,35.298293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3468, 401, '140825', '新绛县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.225205,35.613697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3469, 401, '140824', '稷山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.978996,35.600412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3470, 401, '140882', '河津市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.710268,35.59715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3471, 402, '141025', '古县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.920207,36.26855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3472, 402, '141026', '安泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.251372,36.146032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3473, 402, '141030', '大宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.751283,36.46383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3474, 402, '141034', '汾西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.563021,36.653368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3475, 402, '141031', '隰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.935809,36.692675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3476, 402, '141028', '吉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.682853,36.099355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3477, 402, '141081', '侯马市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.371272,35.620302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3478, 402, '141032', '永和县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.631276,36.760614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3479, 402, '141082', '霍州市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.723103,36.57202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3480, 402, '141029', '乡宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.857365,35.975402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3481, 402, '141021', '曲沃县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.475529,35.641387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3482, 402, '141033', '蒲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.09733,36.411682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3483, 402, '141027', '浮山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.850039,35.971359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3484, 402, '141023', '襄汾县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.442932,35.876139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3485, 402, '141024', '洪洞县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.673692,36.255742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3486, 402, '141002', '尧都区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.522945,36.080366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3487, 402, '141022', '翼城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.713508,35.738621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3488, 403, '140109', '万柏林区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.522258,37.862653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3489, 403, '140110', '晋源区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.477849,37.715619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3490, 403, '140108', '尖草坪区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.487122,37.939893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3491, 403, '140123', '娄烦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.793798,38.066035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3492, 403, '140107', '杏花岭区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.560743,37.879291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3493, 403, '140106', '迎泽区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.558851,37.855804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3494, 403, '140122', '阳曲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.673818,38.058797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3495, 403, '140121', '清徐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.357961,37.60729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3496, 403, '140105', '小店区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.564273,37.817974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3497, 403, '140181', '古交市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.174353,37.908534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3498, 404, '140321', '平定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.631049,37.800289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3499, 404, '140311', '郊区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.58664,37.94096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3500, 404, '140303', '矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.559066,37.870085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3501, 404, '140322', '盂县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.41223,38.086131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3502, 404, '140302', '城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.586513,37.860938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3503, 405, '140603', '平鲁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.295227,39.515603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3504, 405, '140623', '右玉县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.465588,39.988812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3505, 405, '140602', '朔城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.428676,39.324525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3506, 405, '140622', '应县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.187505,39.559187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3507, 405, '140621', '山阴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.816396,39.52677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3508, 405, '140681', '怀仁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.100511,39.820789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3509, 406, '140932', '偏关县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.500477,39.442153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3510, 406, '140926', '静乐县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.940231,38.355947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3511, 406, '140981', '原平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.713132,38.729186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3512, 406, '140929', '岢岚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.56981,38.705625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3513, 406, '140923', '代县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.962519,39.065138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3514, 406, '140928', '五寨县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.841015,38.912761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3515, 406, '140925', '宁武县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.307936,39.001718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3516, 406, '140930', '河曲县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.146609,39.381895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3517, 406, '140922', '五台县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.259012,38.725711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3518, 406, '140921', '定襄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.963231,38.484948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3519, 406, '140902', '忻府区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.734112,38.417743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3520, 406, '140931', '保德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.085688,39.022576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3521, 406, '140927', '神池县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.200438,39.088467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3522, 406, '140924', '繁峙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.267707,39.188104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3523, 407, '140724', '昔阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.706166,37.60437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3524, 407, '140723', '和顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.572919,37.327027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3525, 407, '140725', '寿阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.177708,37.891136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3526, 407, '140722', '左权县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.377834,37.079672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3527, 407, '140721', '榆社县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.973521,37.069019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3528, 407, '140781', '介休市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.913857,37.027616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3529, 407, '140729', '灵石县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.772759,36.847469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3530, 407, '140702', '榆次区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.740056,37.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3531, 407, '140727', '祁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.330532,37.358739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3532, 407, '140703', '太谷区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.554103,37.424595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3533, 407, '140728', '平遥县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.174059,37.195474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3534, 408, '141130', '交口县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.183188,36.983068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3535, 408, '141128', '方山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.238885,37.892632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3536, 408, '141127', '岚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.671555,38.278654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3537, 408, '141124', '临县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.995963,37.960806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3538, 408, '141102', '离石区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.134462,37.524037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3539, 408, '141125', '柳林县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.89613,37.431664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3540, 408, '141129', '中阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.193319,37.342054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3541, 408, '141123', '兴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.124816,38.464136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3542, 408, '141126', '石楼县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '110.837119,36.999426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3543, 408, '141122', '交城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.159154,37.555155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3544, 408, '141121', '文水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.032595,37.436314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3545, 408, '141182', '汾阳市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.785273,37.267742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3546, 408, '141181', '孝义市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '111.781568,37.144474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3547, 409, '140225', '浑源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.698091,39.699099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3548, 409, '140224', '灵丘县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.23576,39.438867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3549, 409, '140223', '广灵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.279252,39.763051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3550, 409, '140221', '阳高县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.749871,40.364927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3551, 409, '140215', '云州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.61244,40.040295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3552, 409, '140214', '云冈区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.149693,40.005405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3553, 409, '140213', '平城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.298027,40.075667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3554, 409, '140222', '天镇县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '114.09112,40.421336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3555, 409, '140212', '新荣区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.141044,40.258269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3556, 409, '140226', '左云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.70641,40.012873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3557, 410, '140406', '潞城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.223245,36.332232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3558, 410, '140428', '长子县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.884656,36.119484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3559, 410, '140426', '黎城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.387366,36.502971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3560, 410, '140404', '上党区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.056679,36.052438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3561, 410, '140405', '屯留区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.892741,36.314072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3562, 410, '140431', '沁源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.340878,36.500777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3563, 410, '140425', '平顺县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.438791,36.200202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3564, 410, '140423', '襄垣县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.050094,36.532854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3565, 410, '140403', '潞州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.114107,36.187895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3566, 410, '140430', '沁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.70138,36.757123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3567, 410, '140429', '武乡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.8653,36.834315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3568, 410, '140427', '壶关县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.206138,36.110938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3569, 411, '140581', '高平市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.930691,35.791355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3570, 411, '140502', '城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.853106,35.496641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3571, 411, '140525', '泽州县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.899137,35.617221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3572, 411, '140521', '沁水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.187213,35.689472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3573, 411, '140522', '阳城县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '112.422014,35.482177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3574, 411, '140524', '陵川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '113.278877,35.775614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3575, 412, '530681', '水富市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.415376,28.629688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3576, 412, '530626', '绥江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.961095,28.599953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3577, 412, '530629', '威信县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.04869,27.843381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3578, 412, '530625', '永善县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.63732,28.231526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3579, 412, '530624', '大关县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.891608,27.747114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3580, 412, '530622', '巧家县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.929284,26.9117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3581, 412, '530602', '昭阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.717267,27.336636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3582, 412, '530623', '盐津县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.23506,28.106923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3583, 412, '530621', '鲁甸县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.549333,27.191637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3584, 412, '530628', '彝良县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.048492,27.627425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3585, 412, '530627', '镇雄县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.873055,27.436267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3586, 413, '532527', '泸西县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.759622,24.532368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3587, 413, '532504', '弥勒市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.436988,24.40837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3588, 413, '532524', '建水县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.820493,23.618387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3589, 413, '532525', '石屏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.484469,23.712569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3590, 413, '532502', '开远市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.258679,23.713832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3591, 413, '532501', '个旧市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.154752,23.360383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3592, 413, '532503', '蒙自市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.385005,23.366843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3593, 413, '532529', '红河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.42121,23.369191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3594, 413, '532523', '屏边苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.687229,22.987013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3595, 413, '532531', '绿春县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.39286,22.99352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3596, 413, '532528', '元阳县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.837056,23.219773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3597, 413, '532530', '金平苗族瑶族傣族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.228359,22.779982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3598, 413, '532532', '河口瑶族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.961593,22.507563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3599, 414, '530326', '会泽县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.300041,26.412861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3600, 414, '530304', '马龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.578755,25.429451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3601, 414, '530324', '罗平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.309263,24.885708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3602, 414, '530323', '师宗县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.993808,24.825681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3603, 414, '530322', '陆良县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.655233,25.022878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3604, 414, '530381', '宣威市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.09554,26.227777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3605, 414, '530325', '富源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.25692,25.67064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3606, 414, '530302', '麒麟区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.798054,25.501269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3607, 414, '530303', '沾益区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.819262,25.600878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3608, 415, '533324', '贡山独龙族怒族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.666141,27.738054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3609, 415, '533323', '福贡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.867413,26.902738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3610, 415, '533325', '兰坪白族普米族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.421378,26.453839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3611, 415, '533301', '泸水市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.854063,25.851142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3612, 416, '530425', '易门县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.16211,24.669598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3613, 416, '530481', '澄江市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.916652,24.669679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3614, 416, '530426', '峨山彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.404358,24.173256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3615, 416, '530424', '华宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.928982,24.189807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3616, 416, '530427', '新平彝族傣族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.990903,24.0664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3617, 416, '530403', '江川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.749839,24.291006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3618, 416, '530402', '红塔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.543468,24.350753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3619, 416, '530423', '通海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.760039,24.112205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3620, 416, '530428', '元江哈尼族彝族傣族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.999658,23.597618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3621, 417, '530581', '腾冲市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.497292,25.01757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3622, 417, '530502', '隆阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.165825,25.112144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3623, 417, '530524', '昌宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.612344,24.823662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3624, 417, '530521', '施甸县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.183758,24.730847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3625, 417, '530523', '龙陵县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.693567,24.591912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3626, 418, '532931', '剑川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.905887,26.530066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3627, 418, '532932', '鹤庆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.173375,26.55839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3628, 418, '532930', '洱源县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.951708,26.111184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3629, 418, '532924', '宾川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.578957,25.825904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3630, 418, '532929', '云龙县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.369402,25.884955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3631, 418, '532901', '大理市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.241369,25.593067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3632, 418, '532923', '祥云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.554025,25.477072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3633, 418, '532922', '漾濞彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.95797,25.669543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3634, 418, '532928', '永平县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.533536,25.461281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3635, 418, '532927', '巍山彝族回族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.30793,25.230909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3636, 418, '532925', '弥渡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.490669,25.342594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3637, 418, '532926', '南涧彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.518683,25.041279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3638, 419, '530721', '玉龙纳西族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.238312,26.830593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3639, 419, '530702', '古城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.234412,26.872229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3640, 419, '530724', '宁蒗彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.852427,27.281109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3641, 419, '530722', '永胜县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.750901,26.685623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3642, 419, '530723', '华坪县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.267796,26.628834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3643, 420, '533422', '德钦县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.91506,28.483272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3644, 420, '533401', '香格里拉市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.708667,27.825804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3645, 420, '533423', '维西傈僳族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.286355,27.180948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3646, 421, '532801', '景洪市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.797947,22.002087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3647, 421, '532822', '勐海县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.448288,21.955866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3648, 421, '532823', '勐腊县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.567051,21.479449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3649, 422, '530113', '东川区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.182,26.08349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3650, 422, '530129', '寻甸回族彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.257588,25.559474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3651, 422, '530102', '五华区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.704412,25.042165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3652, 422, '530112', '西山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.705904,25.02436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3653, 422, '530125', '宜良县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.145989,24.918215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3654, 422, '530126', '石林彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.271962,24.754545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3655, 422, '530114', '呈贡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.801382,24.889275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3656, 422, '530115', '晋宁区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.594987,24.666944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3657, 422, '530181', '安宁市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.485544,24.921785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3658, 422, '530124', '富民县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.497888,25.219667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3659, 422, '530128', '禄劝彝族苗族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.46905,25.556533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3660, 422, '530111', '官渡区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.723437,25.021211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3661, 422, '530103', '盘龙区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.729044,25.070239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3662, 422, '530127', '嵩明县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '103.038777,25.335087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3663, 423, '530823', '景东彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.840011,24.448523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3664, 423, '530825', '镇沅彝族哈尼族拉祜族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.108512,24.005712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3665, 423, '530822', '墨江哈尼族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.687606,23.428165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3666, 423, '530824', '景谷傣族彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.701425,23.500278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3667, 423, '530821', '宁洱哈尼族彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.04524,23.062507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3668, 423, '530802', '思茅区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.973227,22.776595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3669, 423, '530829', '西盟佤族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.594372,22.644423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3670, 423, '530828', '澜沧拉祜族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.931201,22.553083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3671, 423, '530826', '江城哈尼族彝族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.859144,22.58336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3672, 423, '530827', '孟连傣族拉祜族佤族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.585406,22.325924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3673, 424, '532626', '丘北县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.194366,24.040982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3674, 424, '532627', '广南县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.056684,24.050272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3675, 424, '532622', '砚山县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.343989,23.612301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3676, 424, '532623', '西畴县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.675711,23.437439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3677, 424, '532601', '文山市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.244277,23.369216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3678, 424, '532624', '麻栗坡县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.701899,23.124202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3679, 424, '532625', '马关县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '104.398619,23.011723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3680, 424, '532628', '富宁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '105.62856,23.626494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3681, 425, '532326', '大姚县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.323602,25.722348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3682, 425, '532328', '元谋县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.870837,25.703313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3683, 425, '532325', '姚安县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.238399,25.505403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3684, 425, '532323', '牟定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.543044,25.312111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3685, 425, '532324', '南华县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.274991,25.192408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3686, 425, '532331', '禄丰县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.075694,25.14327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3687, 425, '532301', '楚雄市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.546145,25.040912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3688, 425, '532322', '双柏县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.63824,24.685094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3689, 425, '532329', '武定县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '102.406785,25.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3690, 425, '532327', '永仁县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '101.671175,26.056316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3691, 426, '530921', '凤庆县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.91871,24.592738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3692, 426, '530922', '云县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.125637,24.439026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3693, 426, '530923', '永德县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.253679,24.028159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3694, 426, '530924', '镇康县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.82743,23.761415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3695, 426, '530902', '临翔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '100.086486,23.886562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3696, 426, '530926', '耿马傣族佤族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.402495,23.534579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3697, 426, '530925', '双江拉祜族佤族布朗族傣族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.824419,23.477476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3698, 426, '530927', '沧源佤族自治县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '99.2474,23.146887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3699, 427, '533123', '盈江县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.93393,24.709541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3700, 427, '533122', '梁河县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.298196,24.80742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3701, 427, '533124', '陇川县', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.794441,24.184065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3702, 427, '533103', '芒市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '98.577608,24.436699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3703, 427, '533102', '瑞丽市', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '97.855883,24.010734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3704, 428, '110119', '延庆区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '115.985006,40.465325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3705, 428, '110116', '怀柔区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.637122,40.324272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3706, 428, '110109', '门头沟区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.105381,39.937183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3707, 428, '110113', '顺义区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.653525,40.128936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3708, 428, '110117', '平谷区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '117.112335,40.144783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3709, 428, '110114', '昌平区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.235906,40.218085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3710, 428, '110101', '东城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.418757,39.917544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3711, 428, '110105', '朝阳区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.486409,39.921489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3712, 428, '110108', '海淀区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.310316,39.956074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3713, 428, '110107', '石景山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.195445,39.914601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3714, 428, '110111', '房山区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.139157,39.735535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3715, 428, '110106', '丰台区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.286968,39.863642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3716, 428, '110102', '西城区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.366794,39.915309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3717, 428, '110115', '大兴区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.338033,39.728908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3718, 428, '110112', '通州区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.658603,39.902486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3719, 428, '110118', '密云区', NULL, NULL, '2020-09-20 10:40:28', 0, 2, '116.843352,40.377362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3720, 429, '230903', '兴岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.956,45.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3721, 429, '230903', '广平社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.981,45.7786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3722, 429, '230903', '桃南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.991,45.7702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3723, 429, '230903', '万宝河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.93,45.7943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3724, 429, '230903', '同仁社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.035,45.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3725, 429, '230903', '桃山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.951,45.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3726, 429, '230903', '运销社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.04,45.7674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3727, 429, '230903', '学府社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.04,45.7769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3728, 429, '230903', '夏日社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.97,45.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3729, 429, '230903', '桃北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.003,45.7946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3730, 429, '230903', '东方社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.04,45.7735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3731, 430, '230921', '吉兴朝鲜族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.431,46.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3732, 430, '230921', '永恒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.125,46.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3733, 430, '230921', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.78,45.8276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3734, 430, '230921', '杏树朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.643,45.9617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3735, 430, '230921', '元明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.573,45.7554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3736, 430, '230921', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.349,46.0889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3737, 430, '230921', '新起街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.579,45.7491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3738, 430, '230921', '小五站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.667,45.7444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3739, 430, '230921', '倭肯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.503,46.0428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3740, 430, '230921', '抢垦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.683,45.9205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3741, 430, '230921', '大四站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.176,45.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3742, 430, '230921', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.573,45.7568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3743, 430, '230921', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.537,45.7652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3744, 430, '230921', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.577,45.7526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3745, 430, '230921', '勃利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.397,45.6756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3746, 431, '230902', '越秀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.911,45.8057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3747, 431, '230902', '兴平社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.959,45.7996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3748, 431, '230902', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.947,46.0235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3749, 431, '230902', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.924,45.8074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3750, 431, '230902', '新合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.849,45.797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3751, 431, '230902', '兴富社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.963,45.7936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3752, 431, '230902', '长兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.811,46.0131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3753, 431, '230902', '黑龙江红兴隆农垦宝利采金', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.458,46.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3754, 431, '230902', '新立街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.883,45.7531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3755, 431, '230902', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.868,45.7955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3756, 431, '230902', '兴秀社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.962,45.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3757, 431, '230902', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.88,45.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3758, 431, '230902', '兴乐社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.952,45.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3759, 431, '230902', '兴城社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.943,45.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3760, 431, '230902', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.9,45.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3761, 431, '230902', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.913,45.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3762, 431, '230902', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.85,45.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3763, 431, '230902', '兴安社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.952,45.8099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3764, 431, '230902', '兴和社区服务站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.948,45.7954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3765, 431, '230902', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.894,45.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3766, 431, '230902', '缸窑沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.796,45.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3767, 431, '230902', '北兴农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.196,45.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3768, 432, '230904', '富强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.128,45.7567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3769, 432, '230904', '茄子河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.03,45.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3770, 432, '230904', '新富街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.037,45.7824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3771, 432, '230904', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.067,45.7746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3772, 432, '230904', '龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.252,45.8405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3773, 432, '230904', '铁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.16,45.7801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3774, 432, '230904', '宏伟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.674,45.9193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3775, 432, '230904', '中心河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.238,45.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3776, 432, '230904', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.141,45.795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3777, 433, '230422', '二九０农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.001,47.6692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3778, 433, '230422', '绥东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.363,47.5179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3779, 433, '230422', '绥滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.032,47.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3780, 433, '230422', '绥东镇种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.433,47.5869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3781, 433, '230422', '北山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.701,47.4749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3782, 433, '230422', '绥滨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.652,47.6028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3783, 433, '230422', '新富乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.408,47.4353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3784, 433, '230422', '国营中兴边防林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.99,47.64', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3785, 433, '230422', '富强乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.506,47.3306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3786, 433, '230422', '北岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.678,47.4366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3787, 433, '230422', '普阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.305,47.1882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3788, 433, '230422', '连生乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.001,47.5008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3789, 433, '230422', '忠仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.513,47.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3790, 433, '230422', '福兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.664,47.6798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3791, 433, '230422', '绥滨西林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.496,47.2973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3792, 433, '230422', '忠仁镇良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.832,47.5478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3793, 434, '230403', '育才街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.28,47.3153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3794, 434, '230403', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.271,47.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3795, 434, '230403', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.262,47.3283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3796, 434, '230403', '新南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.248,47.3142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3797, 434, '230403', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.272,47.3394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3798, 434, '230403', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.263,47.2982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3799, 435, '230407', '沟北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.299,47.3564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3800, 435, '230407', '沟南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.294,47.3547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3801, 435, '230407', '岭南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.298,47.3699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3802, 435, '230407', '岭北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.285,47.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3803, 436, '230402', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.285,47.362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3804, 436, '230402', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.292,47.3401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3805, 436, '230402', '红军街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.311,47.3433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3806, 436, '230402', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.284,47.344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3807, 436, '230402', '南翼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.303,47.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3808, 437, '230404', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.32,47.3245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3809, 437, '230404', '麓林山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.258,47.2911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3810, 437, '230404', '大陆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.279,47.2882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3811, 437, '230404', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.286,47.3161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3812, 437, '230404', '六号街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.29,47.3097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3813, 437, '230404', '富力街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.293,47.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3814, 438, '230421', '凤翔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.743,47.6922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3815, 438, '230421', '肇兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.473,47.7016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3816, 438, '230421', '名山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.078,47.684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3817, 438, '230421', '太平沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.666,48.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3818, 438, '230421', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.973,47.2847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3819, 438, '230421', '江滨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.396,47.6633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3820, 438, '230421', '萝北县林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.796,47.5808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3821, 438, '230421', '名山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.067,47.6853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3822, 438, '230421', '云山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.665,47.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3823, 438, '230421', '鹤北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.464,47.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3824, 438, '230421', '军川农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.305,47.5483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3825, 438, '230421', '萝北县农业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.82,47.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3826, 438, '230421', '东明朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.866,47.5713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3827, 438, '230421', '延军农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.758,47.6905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3828, 438, '230421', '共青农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.865,47.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3829, 438, '230421', '宝泉岭管理局局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.508,47.4141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3830, 438, '230421', '鹤北林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.549,48.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3831, 438, '230421', '宝泉岭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.495,47.4128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3832, 439, '230405', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.252,47.2817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3833, 439, '230405', '峻德路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.234,47.2148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3834, 439, '230405', '光宇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.254,47.2791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3835, 439, '230405', '兴安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.224,47.2456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3836, 439, '230405', '河东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.288,47.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3837, 439, '230405', '兴长路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.221,47.2558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3838, 439, '230405', '兴建路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.248,47.2508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3839, 440, '230406', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.313,47.3523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3840, 440, '230406', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.148,47.1421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3841, 440, '230406', '三街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.356,47.3423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3842, 440, '230406', '蔬园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.287,47.3627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3843, 440, '230406', '新华农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.136,47.1961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3844, 440, '230406', '蔬园乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.245,47.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3845, 440, '230406', '鹤岗市林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.928,47.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3846, 440, '230406', '东方红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.514,47.4189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3847, 440, '230406', '工人村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.34,47.3464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3848, 440, '230406', '新一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.318,47.3217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3849, 441, '230722', '常胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.187,49.2571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3850, 441, '230722', '太平林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.303,48.8672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3851, 441, '230722', '马连林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.568,48.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3852, 441, '230722', '清河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.982,48.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3853, 441, '230722', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.656,48.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3854, 441, '230722', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.412,48.9051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3855, 441, '230722', '保兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.613,48.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3856, 441, '230722', '沪嘉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.458,48.9728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3857, 441, '230722', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.62,48.7958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3858, 441, '230722', '乌拉嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.1,48.1432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3859, 441, '230722', '红光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.368,48.8396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3860, 441, '230722', '乌云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.584,49.2823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3861, 441, '230722', '嘉荫农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.955,48.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3862, 442, '230726', '奋斗经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.305,47.237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3863, 442, '230726', '晨明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.622,47.2019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3864, 442, '230726', '浩良河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.564,46.6824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3865, 442, '230726', '松青经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.109,47.0608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3866, 442, '230726', '石头河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.04,47.1337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3867, 442, '230726', '太平经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.391,47.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3868, 442, '230726', '东升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.382,47.1147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3869, 442, '230726', '三岔河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.324,46.7809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3870, 442, '230726', '亮子河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.237,46.8859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3871, 442, '230726', '柳树经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.365,47.1152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3872, 442, '230726', '岩石经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.376,47.2301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3873, 442, '230726', '四合营林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.612,47.1435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3874, 442, '230726', '威岭经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.599,46.863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3875, 442, '230726', '西水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.167,47.1226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3876, 442, '230726', '桦阳经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.489,47.0663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3877, 442, '230726', '迎春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.38,47.1172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3878, 442, '230726', '浩良河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.645,46.7166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3879, 442, '230726', '浩良河化肥厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.619,46.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3880, 442, '230726', '南岔经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.157,47.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3881, 442, '230726', '联合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.297,47.1277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3882, 443, '230718', '翠峦河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.571,47.7054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3883, 443, '230718', '开源河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.35,47.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3884, 443, '230718', '抚育河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.276,47.6646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3885, 443, '230718', '曙光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.637,47.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3886, 443, '230718', '伊敏林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.956,47.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3887, 443, '230718', '解放经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.456,47.3693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3888, 443, '230718', '昆仑气林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.227,47.5435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3889, 443, '230718', '前进经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.723,47.342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3890, 443, '230718', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.747,47.7362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3891, 443, '230718', '翠岭经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.865,47.5782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3892, 443, '230718', '东方红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.74,47.6207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3893, 443, '230718', '乌马河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.748,47.7309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3894, 443, '230718', '育苗经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.741,47.6279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3895, 443, '230718', '河北经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.832,47.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3896, 443, '230718', '尖山河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.262,47.7737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3897, 443, '230718', '西岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.658,47.3243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3898, 443, '230718', '冲锋经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.606,47.7238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3899, 443, '230718', '么河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.654,47.641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3900, 443, '230718', '安全经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.764,47.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3901, 443, '230718', '青山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.822,47.4326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3902, 444, '230717', '卧龙河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.348,47.6212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3903, 444, '230717', '旭日街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.907,47.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3904, 444, '230717', '大西林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.092,47.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3905, 444, '230717', '伊林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129,47.8004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3906, 444, '230717', '东升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.92,47.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3907, 444, '230717', '伊青经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.098,47.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3908, 444, '230717', '兰新经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.192,47.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3909, 444, '230717', '美溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.359,47.8284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3910, 444, '230717', '青山口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.675,47.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3911, 444, '230717', '桦皮羌子林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.538,47.9062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3912, 444, '230717', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.832,47.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3913, 444, '230717', '松岭经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.527,47.7027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3914, 444, '230717', '对青山经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.077,47.6479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3915, 444, '230717', '三股流经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.319,47.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3916, 444, '230717', '群峦经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.041,47.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3917, 444, '230717', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.836,47.7551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3918, 444, '230717', '金沙河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.738,47.8591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3919, 444, '230717', '顺利河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.704,47.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3920, 444, '230717', '红升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.888,47.7209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3921, 444, '230717', '缓岭经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.093,47.6215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3922, 444, '230717', '碧仓库林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.353,47.8268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3923, 444, '230717', '五道库经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.385,47.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3924, 444, '230717', '伊东经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.125,47.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3925, 445, '230719', '岭峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.491,48.3722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3926, 445, '230719', '广川经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.818,48.0785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3927, 445, '230719', '青杨经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.716,47.995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3928, 445, '230719', '碧云经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.786,48.302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3929, 445, '230719', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.061,47.9373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3930, 445, '230719', '鸡爪河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.195,48.1267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3931, 445, '230719', '友谊经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.69,48.4115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3932, 445, '230719', '绿源林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.2,47.9494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3933, 445, '230719', '查山经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.84,48.1716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3934, 445, '230719', '溪水经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.941,47.9511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3935, 445, '230719', '卫国林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.142,48.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3936, 445, '230719', '双子河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.773,47.8639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3937, 445, '230719', '友好街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.006,47.8733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3938, 445, '230719', '奋斗林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.46,48.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3939, 445, '230719', '松园林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.595,48.3861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3940, 445, '230719', '阳光林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.848,48.2191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3941, 445, '230719', '铁林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.803,47.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3942, 445, '230719', '永青经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.644,48.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3943, 445, '230719', '永绪经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.145,48.0441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3944, 445, '230719', '朝阳经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.806,47.8914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3945, 445, '230719', '蔚兰经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.083,47.9511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3946, 445, '230719', '新风林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.872,48.2313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3947, 445, '230719', '中心经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.601,48.0253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3948, 445, '230719', '山峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.864,48.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3949, 445, '230719', '东卡林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.349,48.2081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3950, 445, '230719', '三合经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.34,48.1573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3951, 445, '230719', '美林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.984,48.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3952, 445, '230719', '青山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.918,47.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3953, 445, '230719', '红山经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.988,48.0687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3954, 445, '230719', '长青经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.962,48.0247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3955, 446, '230751', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.21,47.5804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3956, 446, '230751', '大昆仑经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.341,47.4881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3957, 446, '230751', '苔青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.308,47.4912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3958, 446, '230751', '育林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.322,47.4474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3959, 446, '230751', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.349,47.463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3960, 446, '230751', '小昆仑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.461,47.436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3961, 446, '230751', '西林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.303,47.4887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3962, 446, '230751', '丰沟经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.651,47.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3963, 446, '230751', '丰茂林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.634,47.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3964, 446, '230751', '横山经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.574,47.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3965, 446, '230751', '丰岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.742,47.4342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3966, 446, '230751', '丰丽林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.498,47.6963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3967, 446, '230751', '白山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.901,47.6878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3968, 446, '230751', '丰林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.899,47.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3969, 446, '230751', '奋斗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.469,47.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3970, 447, '230723', '乌伊岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.585,48.9492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3971, 447, '230723', '二清河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.83,48.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3972, 447, '230723', '美峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.637,48.8459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3973, 447, '230723', '建新林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.521,48.5724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3974, 447, '230723', '移山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.643,48.7814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3975, 447, '230723', '上游林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.392,48.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3976, 447, '230723', '河北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.596,48.4586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3977, 447, '230723', '中心苗卜', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.543,48.4068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3978, 447, '230723', '二龙山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.132,48.6066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3979, 447, '230723', '林海林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.68,48.7395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3980, 447, '230723', '泉石林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.816,48.6116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3981, 447, '230723', '峻岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.688,48.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3982, 447, '230723', '桔源经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.21,48.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3983, 447, '230723', '守虎山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.893,48.5824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3984, 447, '230723', '东升林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.226,48.4526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3985, 447, '230723', '永胜经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.642,48.9311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3986, 447, '230723', '石林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.275,48.376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3987, 447, '230723', '高峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.01,48.5346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3988, 447, '230723', '日新林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.489,48.5602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3989, 447, '230723', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.572,48.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3990, 448, '230724', '二杨经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.349,48.174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3991, 448, '230724', '永丰经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.87,48.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3992, 448, '230724', '兴安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.582,48.3193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3993, 448, '230724', '五星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.304,48.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3994, 448, '230724', '丽丰经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.191,48.3009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3995, 448, '230724', '汤洪岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.131,48.3649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3996, 448, '230724', '五营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.272,48.1534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3997, 448, '230724', '平原经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.061,48.1651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3998, 448, '230724', '平山经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.201,47.9372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (3999, 448, '230724', '桦林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.591,48.3877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4000, 448, '230724', '清水河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.318,48.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4001, 448, '230724', '红林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.591,48.3313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4002, 448, '230724', '汤南林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.419,48.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4003, 448, '230724', '杨树河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.322,48.17', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4004, 448, '230724', '前丰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.924,48.3513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4005, 448, '230724', '汤北林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.969,48.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4006, 448, '230724', '汤林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.575,48.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4007, 448, '230724', '三杨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.533,48.2554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4008, 448, '230724', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.495,48.2426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4009, 448, '230724', '丽林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.251,48.1339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4010, 448, '230724', '泉林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.733,48.1041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4011, 448, '230724', '五星河经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.363,48.3845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4012, 448, '230724', '新青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.487,48.2757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4013, 448, '230724', '松林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.577,48.1034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4014, 448, '230724', '青林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.887,48.3778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4015, 448, '230724', '共青经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.579,48.0958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4016, 449, '230781', '桃山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.112,46.9869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4017, 449, '230781', '铁力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.059,47.0042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4018, 449, '230781', '工农乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.869,47.0745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4019, 449, '230781', '铁力农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.043,47.0082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4020, 449, '230781', '王杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.809,47.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4021, 449, '230781', '桃山林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.165,46.8957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4022, 449, '230781', '年丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.047,46.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4023, 449, '230781', '铁力林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.48,47.2571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4024, 449, '230781', '双丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.757,46.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4025, 449, '230781', '双丰林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.036,46.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4026, 450, '230725', '秀水林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.998,47.0621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4027, 450, '230725', '朗乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.889,47.0858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4028, 450, '230725', '明月林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.948,47.1066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4029, 450, '230725', '环山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.714,47.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4030, 450, '230725', '带岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.002,47.0047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4031, 450, '230725', '大青川林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.964,46.9853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4032, 450, '230725', '红光林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.898,47.2884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4033, 450, '230725', '北列林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.849,47.2075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4034, 450, '230725', '南列林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.687,47.0949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4035, 450, '230725', '秋沙鸭自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.006,47.1584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4036, 450, '230725', '东方红林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.062,46.8724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4037, 450, '230725', '寒月林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.786,47.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4038, 450, '230725', '永翠林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.976,47.043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4039, 450, '230725', '朗乡林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.315,46.8029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4040, 450, '230725', '凉水自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.91,47.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4041, 451, '232701', '兴安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124,53.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4042, 451, '232701', '西林吉林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.568,52.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4043, 451, '232701', '图强林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.86,53.1729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4044, 451, '232701', '阿木尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.131,52.8637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4045, 451, '232701', '西林吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.902,53.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4046, 451, '232701', '阿木尔林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.159,52.882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4047, 451, '232701', '北极乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.487,53.4548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4048, 451, '232701', '图强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.781,52.9335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4049, 452, '232722', '十八站林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.529,52.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4050, 452, '232722', '十八站鄂伦春族民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.399,52.3221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4051, 452, '232722', '依西肯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.032,52.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4052, 452, '232722', '塔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.067,52.2976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4053, 452, '232722', '瓦拉干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.093,52.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4054, 452, '232722', '开库康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.349,53.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4055, 452, '232722', '盘古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.407,52.287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4056, 453, '232721', '鸥浦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.591,52.7067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4057, 453, '232721', '三卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.932,50.9238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4058, 453, '232721', '金山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.437,52.2771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4059, 453, '232721', '大乌苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.655,51.8418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4060, 453, '232721', '塔尔根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.621,52.2421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4061, 453, '232721', '兴华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.963,52.2254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4062, 453, '232721', '翠岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.126,52.1034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4063, 453, '232721', '呼玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.356,51.7912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4064, 453, '232721', '韩家园林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.34,52.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4065, 453, '232721', '碧洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.801,51.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4066, 453, '232721', '宏图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.919,51.5422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4067, 453, '232721', '宏伟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.865,51.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4068, 453, '232721', '呼中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.03,52.3098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4069, 453, '232721', '碧水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.1,52.3135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4070, 453, '232721', '白银纳鄂伦春族民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.754,52.4321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4071, 453, '232721', '北疆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.989,51.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4072, 453, '232721', '新林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.423,51.7351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4073, 453, '232721', '韩家园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.619,51.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4074, 453, '232721', '塔源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.345,51.273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4075, 453, '232721', '呼源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.2,51.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4076, 454, '232718', '卫东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.129,50.4264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4077, 454, '232718', '长虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.112,50.4301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4078, 454, '232718', '白桦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.199,50.4008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4079, 454, '232718', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.142,50.4183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4080, 454, '232718', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.147,50.4186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4081, 454, '232718', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.114,50.4223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4082, 454, '232718', '加格达奇林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.228,50.228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4083, 454, '232718', '加北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.055,50.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4084, 454, '232718', '曙光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.112,50.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4085, 455, '231226', '种马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.522,47.4138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4086, 455, '231226', '泥尔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.451,47.1511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4087, 455, '231226', '四海店林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.495,47.4747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4088, 455, '231226', '长山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.488,47.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4089, 455, '231226', '克音河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.133,47.3346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4090, 455, '231226', '后头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.995,47.1792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4091, 455, '231226', '奶山羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.552,47.2636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4092, 455, '231226', '三吉台林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.594,47.3196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4093, 455, '231226', '靠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.116,47.2725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4094, 455, '231226', '阁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.335,47.3202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4095, 455, '231226', '上集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.442,47.1981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4096, 455, '231226', '绥棱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.088,47.2546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4097, 455, '231226', '半截河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.559,47.5206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4098, 455, '231226', '绥棱农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.498,47.6689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4099, 455, '231226', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.538,47.2374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4100, 455, '231226', '双岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.251,47.4929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4101, 455, '231226', '阁山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.419,47.3673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4102, 455, '231226', '绥中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.377,47.3365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4103, 455, '231226', '四海店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.495,47.4747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4104, 455, '231226', '绥棱林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.087,47.2617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4105, 456, '231283', '共荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.996,47.1682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4106, 456, '231283', '海伦种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.16,47.6198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4107, 456, '231283', '海兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.705,47.2914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4108, 456, '231283', '红光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.336,47.6667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4109, 456, '231283', '海伦农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.196,47.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4110, 456, '231283', '海伦二粮种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.183,47.5616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4111, 456, '231283', '海北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.797,47.7333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4112, 456, '231283', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.165,47.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4113, 456, '231283', '前进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.916,47.4667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4114, 456, '231283', '伦河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.289,47.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4115, 456, '231283', '乐业乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.876,47.367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4116, 456, '231283', '永和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.508,47.4561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4117, 456, '231283', '联发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.416,47.3363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4118, 456, '231283', '扎音河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.961,47.722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4119, 456, '231283', '祥富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.649,47.3029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4120, 456, '231283', '共合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.664,47.4127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4121, 456, '231283', '永富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.265,46.9988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4122, 456, '231283', '百祥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.347,47.2016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4123, 456, '231283', '林场公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.335,47.6622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4124, 456, '231283', '丰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.506,47.1328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4125, 456, '231283', '福民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.622,47.1018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4126, 456, '231283', '长发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.008,47.5516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4127, 456, '231283', '双录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.047,47.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4128, 456, '231283', '向荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.837,47.5455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4129, 456, '231283', '东方红水库地区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.142,47.6724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4130, 456, '231283', '东林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.083,47.545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4131, 456, '231283', '海伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.916,47.4667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4132, 456, '231283', '海南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.088,47.2862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4133, 456, '231283', '爱民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.557,47.5796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4134, 457, '231224', '发展乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.939,47.0715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4135, 457, '231224', '民乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.342,46.6728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4136, 457, '231224', '致富乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.313,46.9573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4137, 457, '231224', '庆安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.433,46.8771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4138, 457, '231224', '同乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.437,47.1374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4139, 457, '231224', '久胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.44,46.9372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4140, 457, '231224', '国有林场管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.939,46.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4141, 457, '231224', '新胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.522,46.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4142, 457, '231224', '巨宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.473,46.63', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4143, 457, '231224', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.541,46.9673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4144, 457, '231224', '丰收乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.636,46.9118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4145, 457, '231224', '勤劳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.454,47.0297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4146, 457, '231224', '大罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.682,46.7204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4147, 457, '231224', '建民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.53,46.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4148, 457, '231224', '柳河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.212,46.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4149, 457, '231224', '欢胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.241,46.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4150, 458, '231221', '海丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.91,46.8508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4151, 458, '231221', '第二良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.682,46.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4152, 458, '231221', '望奎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.534,46.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4153, 458, '231221', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.42,46.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4154, 458, '231221', '灯塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.673,46.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4155, 458, '231221', '火箭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.272,46.7028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4156, 458, '231221', '惠七满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.612,47.1031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4157, 458, '231221', '灵山满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.42,46.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4158, 458, '231221', '后三乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.353,46.9754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4159, 458, '231221', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.763,46.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4160, 458, '231221', '通江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.298,46.6004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4161, 458, '231221', '卫星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.732,46.7955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4162, 458, '231221', '第一良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.487,46.8555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4163, 458, '231221', '恭六乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.983,47.1051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4164, 458, '231221', '东升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.964,46.9866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4165, 458, '231221', '厢白满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.685,46.9861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4166, 458, '231221', '东郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.476,46.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4167, 458, '231221', '白四林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.396,46.7932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4168, 458, '231221', '先锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.374,46.7531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4169, 459, '231202', '北林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.936,46.633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4170, 459, '231202', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.819,46.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4171, 459, '231202', '东津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.285,46.7901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4172, 459, '231202', '兴和朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.01,46.8907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4173, 459, '231202', '西长发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.786,46.4231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4174, 459, '231202', '爱路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.984,46.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4175, 459, '231202', '大有街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.977,46.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4176, 459, '231202', '北辰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.981,46.6636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4177, 459, '231202', '兴福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.28,46.6512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4178, 459, '231202', '紫来街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.027,46.6288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4179, 459, '231202', '张维镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.968,47.0408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4180, 459, '231202', '连岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.451,46.6036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4181, 459, '231202', '津河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.091,46.7526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4182, 459, '231202', '太平川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.671,46.6868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4183, 459, '231202', '秦家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.927,46.8143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4184, 459, '231202', '东富乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.982,46.6654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4185, 459, '231202', '绥化局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.981,46.6636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4186, 459, '231202', '四方台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.931,46.9392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4187, 459, '231202', '宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.962,46.5246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4188, 459, '231202', '绥胜满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.775,46.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4189, 459, '231202', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.243,46.9821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4190, 459, '231202', '三井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.981,47.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4191, 459, '231202', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.106,46.9065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4192, 459, '231202', '吉泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.973,46.6003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4193, 459, '231202', '永安满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.625,46.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4194, 459, '231202', '五营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.306,46.9135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4195, 459, '231202', '红旗满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.516,46.4761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4196, 459, '231202', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.009,46.6294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4197, 459, '231202', '春雷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.992,46.6288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4198, 459, '231202', '康庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.96,46.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4199, 459, '231202', '朝旭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.006,46.6255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4200, 459, '231202', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.003,46.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4201, 459, '231202', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.006,46.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4202, 460, '231223', '青冈县林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.518,46.9307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4203, 460, '231223', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.711,46.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4204, 460, '231223', '民政镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.21,46.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4205, 460, '231223', '芦河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.037,46.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4206, 460, '231223', '青冈县原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.203,46.7924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4207, 460, '231223', '连丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.953,46.9489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4208, 460, '231223', '青冈县种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.846,46.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4209, 460, '231223', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.944,46.8612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4210, 460, '231223', '劳动乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.965,46.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4211, 460, '231223', '青冈县互利营林站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.994,46.6711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4212, 460, '231223', '柞岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.179,46.6264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4213, 460, '231223', '新村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.589,46.8404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4214, 460, '231223', '祯祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.752,47.0405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4215, 460, '231223', '青冈县种马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.598,46.8476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4216, 460, '231223', '迎春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.994,47.0757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4217, 460, '231223', '青冈县果树场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.12,46.6636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4218, 460, '231223', '德胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.189,46.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4219, 460, '231223', '兴华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.248,46.9879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4220, 460, '231223', '昌盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.189,46.597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4221, 460, '231223', '建设乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.923,46.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4222, 460, '231223', '青冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.178,46.6883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4223, 461, '231222', '红光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.22,46.349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4224, 461, '231222', '远大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.913,46.4162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4225, 461, '231222', '兰河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.356,46.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4226, 461, '231222', '兰西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.286,46.3091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4227, 461, '231222', '奋斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.059,46.1997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4228, 461, '231222', '星火乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.878,46.4698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4229, 461, '231222', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.081,46.2858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4230, 461, '231222', '第一原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.292,46.2895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4231, 461, '231222', '长江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.468,46.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4232, 461, '231222', '肉用种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.869,46.4681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4233, 461, '231222', '第二原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.917,46.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4234, 461, '231222', '北安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.282,46.4925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4235, 461, '231222', '长岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.567,46.4081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4236, 461, '231222', '燎原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.945,46.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4237, 461, '231222', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.116,46.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4238, 461, '231222', '康荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.136,46.1812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4239, 461, '231222', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.363,46.4746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4240, 461, '231222', '榆林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.412,46.0835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4241, 462, '231225', '明水种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.301,47.1178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4242, 462, '231225', '光荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.431,47.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4243, 462, '231225', '永久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.03,47.0933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4244, 462, '231225', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.125,47.3497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4245, 462, '231225', '通泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.832,47.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4246, 462, '231225', '县联社马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.463,47.1512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4247, 462, '231225', '明水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.861,47.2551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4248, 462, '231225', '国营第三良种', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.339,47.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4249, 462, '231225', '树人乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.33,47.1772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4250, 462, '231225', '繁荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.19,47.3553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4251, 462, '231225', '国营林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.332,47.1895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4252, 462, '231225', '通达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.808,47.2158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4253, 462, '231225', '育林畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.442,47.1016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4254, 462, '231225', '双兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.995,47.0645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4255, 462, '231225', '国营第二良种', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.185,47.2938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4256, 462, '231225', '崇德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.641,47.3075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4257, 462, '231225', '兴仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.189,47.1136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4258, 462, '231225', '育林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.338,47.0299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4259, 462, '231225', '国营第一良种', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.032,47.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4260, 463, '231282', '五里明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.83,45.858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4261, 463, '231282', '明久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.459,46.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4262, 463, '231282', '尚家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.965,46.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4263, 463, '231282', '西八里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.733,45.6227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4264, 463, '231282', '四站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.905,45.7507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4265, 463, '231282', '安民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.438,46.2478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4266, 463, '231282', '朝阳区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.993,46.0731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4267, 463, '231282', '四方山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.953,46.137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4268, 463, '231282', '跃进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.517,45.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4269, 463, '231282', '西园区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.962,46.0465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4270, 463, '231282', '昌五镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.637,46.0927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4271, 463, '231282', '肇东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.983,46.1271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4272, 463, '231282', '黎明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.979,45.8554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4273, 463, '231282', '东升区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.958,46.0958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4274, 463, '231282', '里木店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.234,45.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4275, 463, '231282', '洪河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.393,45.9994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4276, 463, '231282', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.719,46.1327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4277, 463, '231282', '德昌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.752,45.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4278, 463, '231282', '正阳区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.977,46.0631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4279, 463, '231282', '宋站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.513,46.2474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4280, 463, '231282', '涝洲鱼种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.06,45.7195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4281, 463, '231282', '五站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.366,45.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4282, 463, '231282', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.891,45.8743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4283, 463, '231282', '海城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.983,46.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4284, 463, '231282', '姜家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.014,46.0041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4285, 463, '231282', '宣化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.539,46.3069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4286, 463, '231282', '涝洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.18,45.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4287, 464, '231281', '羊草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.513,46.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4288, 464, '231281', '吉兴岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.901,46.6535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4289, 464, '231281', '太平庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.456,46.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4290, 464, '231281', '卧里屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.317,46.6645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4291, 464, '231281', '东湖水库管理站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.624,46.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4292, 464, '231281', '红旗泡水库管理所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.262,46.5904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4293, 464, '231281', '升平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.11,46.2766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4294, 464, '231281', '老虎岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.606,46.834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4295, 464, '231281', '先源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.418,46.383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4296, 464, '231281', '古大湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.416,46.3811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4297, 464, '231281', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.544,46.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4298, 464, '231281', '万宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.011,46.4234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4299, 464, '231281', '火石山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.708,46.4142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4300, 464, '231281', '安虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.359,46.4184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4301, 464, '231281', '中本镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.417,46.6102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4302, 464, '231281', '安达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.323,46.3906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4303, 464, '231281', '任民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.449,46.7769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4304, 464, '231281', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.332,46.3876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4305, 464, '231281', '昌德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.029,46.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4306, 464, '231281', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.29,46.4584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4307, 464, '231281', '安达畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.276,46.2888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4308, 465, '230126', '黑山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.637,46.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4309, 465, '230126', '镇东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.609,46.3126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4310, 465, '230126', '松花江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.259,46.0423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4311, 465, '230126', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.427,46.0555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4312, 465, '230126', '巴彦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.425,46.0528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4313, 465, '230126', '龙庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.206,46.2179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4314, 465, '230126', '丰乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.072,46.3286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4315, 465, '230126', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.602,46.2135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4316, 465, '230126', '德祥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.156,46.4486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4317, 465, '230126', '富江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.422,46.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4318, 465, '230126', '华山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.43,46.2905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4319, 465, '230126', '巴彦港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.487,46.1543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4320, 465, '230126', '天增镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.276,46.6473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4321, 465, '230126', '西集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.175,46.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4322, 465, '230126', '洼兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.365,46.3352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4323, 465, '230126', '山后乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.383,46.6696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4324, 465, '230126', '红光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.838,46.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4325, 465, '230126', '万发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.061,46.5787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4326, 465, '230126', '兴隆林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.121,46.4398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4327, 465, '230126', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.107,46.4327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4328, 466, '230123', '迎兰朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.621,46.4816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4329, 466, '230123', '松花江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.374,46.3186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4330, 466, '230123', '道台桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.058,46.2829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4331, 466, '230123', '江湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.688,46.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4332, 466, '230123', '依兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.449,46.282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4333, 466, '230123', '依兰县林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.622,46.3847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4334, 466, '230123', '达连河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.489,46.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4335, 466, '230123', '团山子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.932,46.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4336, 466, '230123', '依兰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.621,46.4816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4337, 466, '230123', '宏克利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.917,46.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4338, 466, '230123', '愚公乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.161,46.4725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4339, 466, '230123', '三道岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.199,46.1601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4340, 467, '230128', '通河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.693,45.9647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4341, 467, '230128', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.371,46.317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4342, 467, '230128', '浓河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.172,46.0312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4343, 467, '230128', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.536,46.293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4344, 467, '230128', '乌鸦泡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.894,45.892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4345, 467, '230128', '三站乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.976,46.1104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4346, 467, '230128', '富林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.743,46.106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4347, 467, '230128', '兴隆林业局街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.477,46.6206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4348, 467, '230128', '岔林河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.947,45.9901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4349, 467, '230128', '祥顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.007,46.232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4350, 467, '230128', '清河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.059,46.5322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4351, 468, '230127', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.613,46.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4352, 468, '230127', '大贵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.621,46.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4353, 468, '230127', '建国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.021,46.0312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4354, 468, '230127', '柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.578,46.1579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4355, 468, '230127', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.701,46.5539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4356, 468, '230127', '吉兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.037,46.0641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4357, 468, '230127', '利东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.846,46.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4358, 468, '230127', '兴隆林业局街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.26,46.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4359, 468, '230127', '木兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.178,45.972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4360, 469, '230125', '糖坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.968,45.9682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4361, 469, '230125', '鸟河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.433,45.9239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4362, 469, '230125', '宾安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.737,45.9074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4363, 469, '230125', '宁远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.171,45.5839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4364, 469, '230125', '农垦农业职业学院', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.194,45.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4365, 469, '230125', '三宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.638,45.5531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4366, 469, '230125', '常安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.807,45.5842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4367, 469, '230125', '民和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.579,46.0296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4368, 469, '230125', '新甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.79,45.9555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4369, 469, '230125', '满井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.259,45.9907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4370, 469, '230125', '居仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.271,45.8166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4371, 469, '230125', '平坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.556,45.5487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4372, 469, '230125', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.242,45.8038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4373, 469, '230125', '摆渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.277,45.7952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4374, 469, '230125', '经建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.59,45.8956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4375, 469, '230125', '永和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.084,45.8489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4376, 469, '230125', '九龙山柞蚕育种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.553,45.7064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4377, 469, '230125', '宾西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.185,45.7467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4378, 469, '230125', '宾州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.608,45.6738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4379, 470, '230124', '大罗密镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.349,46.1347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4380, 470, '230124', '伊汉通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.981,45.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4381, 470, '230124', '天门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.29,45.9413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4382, 470, '230124', '沙河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.415,46.065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4383, 470, '230124', '方正镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.797,45.8639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4384, 470, '230124', '宝兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.746,45.6514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4385, 470, '230124', '松南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.737,45.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4386, 470, '230124', '会发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.314,45.7565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4387, 470, '230124', '方正林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.556,45.817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4388, 470, '230124', '德善乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.997,45.5947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4389, 471, '230108', '平新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.631,45.597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4390, 471, '230108', '平房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.677,45.5823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4391, 471, '230108', '联盟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.65,45.5886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4392, 471, '230108', '兴建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.684,45.6158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4393, 471, '230108', '平房农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.614,45.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4394, 471, '230108', '保国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.67,45.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4395, 471, '230108', '新伟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.614,45.6109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4396, 471, '230108', '友协街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.635,45.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4397, 471, '230108', '新疆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.618,45.6099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4398, 472, '230129', '六团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.334,45.7465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4399, 472, '230129', '玉河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.437,45.259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4400, 472, '230129', '寿山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.689,45.2086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4401, 472, '230129', '加信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.625,45.6821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4402, 472, '230129', '安山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.45,45.4924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4403, 472, '230129', '青川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.923,45.5284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4404, 472, '230129', '延河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.056,45.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4405, 472, '230129', '庆阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.743,45.4076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4406, 472, '230129', '延寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.21,45.5956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4407, 472, '230129', '太平川', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.388,45.6285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4408, 472, '230129', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.786,45.4765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4409, 473, '230183', '鱼池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.637,44.9407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4410, 473, '230183', '长寿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.026,45.3627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4411, 473, '230183', '乌吉密乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.656,45.0365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4412, 473, '230183', '老街基乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.893,44.896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4413, 473, '230183', '苇河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.551,45.0118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4414, 473, '230183', '珍珠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.045,44.6561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4415, 473, '230183', '元宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.148,45.2571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4416, 473, '230183', '一面坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.261,45.0036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4417, 473, '230183', '庆阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.753,45.42', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4418, 473, '230183', '马延乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.192,45.1415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4419, 473, '230183', '亚布力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.485,44.7189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4420, 473, '230183', '苇河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.079,44.6339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4421, 473, '230183', '尚志镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.947,45.2504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4422, 473, '230183', '亮河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.104,45.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4423, 473, '230183', '河东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.118,45.3034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4424, 473, '230183', '黑龙宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.909,45.5523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4425, 473, '230183', '帽儿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.499,45.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4426, 473, '230183', '亚布力林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.706,44.8692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4427, 473, '230183', '石头河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.687,44.8911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4428, 474, '230113', '同心满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.157,45.3519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4429, 474, '230113', '单城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.579,45.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4430, 474, '230113', '周家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.649,45.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4431, 474, '230113', '联兴满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.466,45.4252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4432, 474, '230113', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.28,45.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4433, 474, '230113', '农丰满族锡伯族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.042,45.5271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4434, 474, '230113', '乐群满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.141,45.4351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4435, 474, '230113', '临江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.928,45.6144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4436, 474, '230113', '公正街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.23,45.5698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4437, 474, '230113', '团结满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.889,45.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4438, 474, '230113', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.486,45.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4439, 474, '230113', '金城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.997,45.1666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4440, 474, '230113', '杏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.843,45.5121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4441, 474, '230113', '万隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.713,45.4612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4442, 474, '230113', '韩甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.785,45.2888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4443, 474, '230113', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.471,45.438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4444, 474, '230113', '五家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.345,45.6175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4445, 474, '230113', '青岭满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.653,45.3381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4446, 474, '230113', '希勤满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.108,45.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4447, 474, '230113', '永胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.157,45.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4448, 474, '230113', '东官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.504,45.4749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4449, 474, '230113', '兰棱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.159,45.1371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4450, 474, '230113', '水泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.944,45.5033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4451, 474, '230113', '双城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.283,45.3592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4452, 474, '230113', '双城市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.26,45.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4453, 475, '230110', '香坊实验农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.776,45.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4454, 475, '230110', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.732,45.7479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4455, 475, '230110', '王兆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.63,45.731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4456, 475, '230110', '通乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.692,45.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4457, 475, '230110', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.995,45.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4458, 475, '230110', '民生路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.651,45.7387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4459, 475, '230110', '安乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.657,45.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4460, 475, '230110', '大庆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.667,45.7148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4461, 475, '230110', '黎明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.648,45.6801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4462, 475, '230110', '哈平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.638,45.7145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4463, 475, '230110', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.623,45.6595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4464, 475, '230110', '六顺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.672,45.7336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4465, 475, '230110', '香坊大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.674,45.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4466, 475, '230110', '和平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.661,45.7392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4467, 475, '230110', '新成街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.707,45.7415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4468, 475, '230110', '新香坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.793,45.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4469, 475, '230110', '进乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.675,45.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4470, 475, '230110', '通天街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.701,45.7275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4471, 475, '230110', '香坊区农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.694,45.7353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4472, 475, '230110', '安埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.691,45.7257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4473, 475, '230110', '成高子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.822,45.6598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4474, 475, '230110', '文政街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.633,45.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4475, 475, '230110', '健康路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.652,45.7136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4476, 475, '230110', '建筑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.657,45.6887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4477, 475, '230110', '幸福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.81,45.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4478, 475, '230110', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.697,45.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4479, 476, '230102', '建国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.603,45.7542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4480, 476, '230102', '新阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.62,45.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4481, 476, '230102', '新发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.517,45.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4482, 476, '230102', '工程街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.6,45.767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4483, 476, '230102', '闫家岗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.311,45.6084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4484, 476, '230102', '安和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.607,45.7592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4485, 476, '230102', '新农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.296,45.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4486, 476, '230102', '爱建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.603,45.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4487, 476, '230102', '城乡路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.587,45.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4488, 476, '230102', '尚志街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.62,45.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4489, 476, '230102', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.269,45.7024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4490, 476, '230102', '正阳河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.595,45.7617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4491, 476, '230102', '共乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.605,45.7467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4492, 476, '230102', '安静街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.611,45.7684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4493, 476, '230102', '抚顺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.615,45.7581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4494, 476, '230102', '榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.403,45.6009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4495, 476, '230102', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.599,45.7441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4496, 476, '230102', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.576,45.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4497, 476, '230102', '道里区农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.337,45.6161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4498, 476, '230102', '群力街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.564,45.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4499, 476, '230102', '康安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.583,45.7465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4500, 476, '230102', '兆麟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.632,45.7726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4501, 476, '230102', '经纬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.621,45.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4502, 476, '230102', '斯大林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.618,45.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4503, 476, '230102', '通江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.607,45.7753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4504, 477, '230184', '杜家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.126,44.8502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4505, 477, '230184', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.993,45.3779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4506, 477, '230184', '背荫河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.014,45.0992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4507, 477, '230184', '沙河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.507,44.4361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4508, 477, '230184', '民意乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.212,44.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4509, 477, '230184', '龙凤山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.541,44.963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4510, 477, '230184', '营城子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.84,45.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4511, 477, '230184', '民乐朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.993,45.0592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4512, 477, '230184', '牛家满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.705,45.4387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4513, 477, '230184', '志广乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.587,45.0639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4514, 477, '230184', '八家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.232,45.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4515, 477, '230184', '拉林满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.766,45.276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4516, 477, '230184', '卫国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.3,45.0152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4517, 477, '230184', '冲河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.035,44.7213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4518, 477, '230184', '红旗满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.576,45.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4519, 477, '230184', '五常镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.114,44.9344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4520, 477, '230184', '安家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.038,45.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4521, 477, '230184', '常堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.254,45.086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4522, 477, '230184', '二河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.317,45.1826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4523, 477, '230184', '小山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.8,44.9609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4524, 477, '230184', '山河屯林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.225,44.7114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4525, 477, '230184', '山河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.228,44.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4526, 477, '230184', '长山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.042,44.6131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4527, 477, '230184', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.411,44.6225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4528, 477, '230184', '兴盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.999,44.873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4529, 478, '230112', '新利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.773,45.6347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4530, 478, '230112', '金龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.349,45.5053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4531, 478, '230112', '玉泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.06,45.419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4532, 478, '230112', '杨树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.775,45.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4533, 478, '230112', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.261,45.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4534, 478, '230112', '红星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.304,45.609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4535, 478, '230112', '双丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.892,45.3952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4536, 478, '230112', '料甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.919,45.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4537, 478, '230112', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.019,45.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4538, 478, '230112', '小岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.203,45.2591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4539, 478, '230112', '舍利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.897,45.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4540, 478, '230112', '金都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.961,45.5248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4541, 478, '230112', '阿城原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.006,45.5246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4542, 478, '230112', '亚沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.019,45.4318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4543, 478, '230112', '阿什河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.97,45.5483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4544, 478, '230112', '交界街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.108,45.3262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4545, 478, '230112', '金城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.962,45.5605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4546, 478, '230112', '松峰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.639,45.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4547, 478, '230112', '通城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.99,45.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4548, 478, '230112', '蜚克图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.12,45.7868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4549, 479, '230111', '双井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.654,46.0358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4550, 479, '230111', '大用镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.654,46.3425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4551, 479, '230111', '呼兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.629,45.9856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4552, 479, '230111', '石人镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.919,46.3136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4553, 479, '230111', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.719,46.3988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4554, 479, '230111', '兰河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.57,46.0081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4555, 479, '230111', '杨林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.163,46.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4556, 479, '230111', '呼兰农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.31,45.9909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4557, 479, '230111', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.609,46.1231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4558, 479, '230111', '二八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.091,46.17', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4559, 479, '230111', '康金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.919,46.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4560, 479, '230111', '沈家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.711,46.1086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4561, 479, '230111', '白奎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.012,46.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4562, 479, '230111', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.628,45.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4563, 479, '230111', '学院路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.525,45.8654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4564, 479, '230111', '许卜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.616,46.2361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4565, 479, '230111', '方台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.969,46.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4566, 479, '230111', '孟家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.438,46.072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4567, 479, '230111', '腰堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.861,46.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4568, 479, '230111', '利民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.543,45.9096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4569, 479, '230111', '利业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.507,45.8511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4570, 480, '230109', '万宝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.343,45.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4571, 480, '230109', '松浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.598,45.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4572, 480, '230109', '太阳岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.533,45.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4573, 480, '230109', '乐业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.426,46.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4574, 480, '230109', '对青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.187,46.041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4575, 480, '230109', '松北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.366,45.7491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4576, 481, '230103', '通达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.618,45.7397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4577, 481, '230103', '荣市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.64,45.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4578, 481, '230103', '先锋路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.679,45.7621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4579, 481, '230103', '文化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.655,45.7444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4580, 481, '230103', '红旗满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.463,45.5618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4581, 481, '230103', '红旗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.553,45.666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4582, 481, '230103', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.642,45.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4583, 481, '230103', '保健路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.603,45.6963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4584, 481, '230103', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.606,45.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4585, 481, '230103', '松花江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.635,45.7676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4586, 481, '230103', '哈西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.598,45.7224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4587, 481, '230103', '革新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.658,45.7429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4588, 481, '230103', '大成街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.663,45.7676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4589, 481, '230103', '和兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.602,45.727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4590, 481, '230103', '新春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.704,45.7421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4591, 481, '230103', '芦家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.68,45.7602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4592, 481, '230103', '七政街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.618,45.74', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4593, 481, '230103', '曲线街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.623,45.7424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4594, 481, '230103', '南岗区农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.485,45.6026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4595, 481, '230103', '燎原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.69,45.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4596, 481, '230103', '奋斗路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.676,45.7419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4597, 481, '230103', '王岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.595,45.6531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4598, 482, '230104', '三棵树大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.693,45.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4599, 482, '230104', '南直路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.711,45.7756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4600, 482, '230104', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.626,45.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4601, 482, '230104', '仁里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.652,45.7885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4602, 482, '230104', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.88,45.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4603, 482, '230104', '民主乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.834,45.886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4604, 482, '230104', '黎华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.677,45.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4605, 482, '230104', '水泥路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.732,45.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4606, 482, '230104', '大兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.647,45.7958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4607, 482, '230104', '永源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.077,45.8532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4608, 482, '230104', '振江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.665,45.7911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4609, 482, '230104', '新乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.685,45.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4610, 482, '230104', '东莱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.646,45.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4611, 482, '230104', '青年农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.72,45.7926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4612, 482, '230104', '民强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.689,45.7884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4613, 482, '230104', '太古街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.65,45.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4614, 482, '230104', '道外农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.749,45.786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4615, 482, '230104', '东原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.65,45.7932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4616, 482, '230104', '巨源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.986,45.9536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4617, 482, '230104', '崇俭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.663,45.7938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4618, 482, '230104', '靖宇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.649,45.7854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4619, 482, '230104', '南市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.658,45.7791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4620, 482, '230104', '火车头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.715,45.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4621, 482, '230104', '大有坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.69,45.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4622, 482, '230104', '化工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.743,45.789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4623, 482, '230104', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.667,45.7825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4624, 482, '230104', '南马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.634,45.7693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4625, 482, '230104', '太平大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.683,45.7946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4626, 482, '230104', '新一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.708,45.7993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4627, 483, '230281', '同义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.632,48.244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4628, 483, '230281', '第三良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.084,48.2351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4629, 483, '230281', '新江林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.408,48.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4630, 483, '230281', '第四良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.732,48.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4631, 483, '230281', '通江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.86,48.4762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4632, 483, '230281', '通南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.014,48.0495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4633, 483, '230281', '第二良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.206,48.3391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4634, 483, '230281', '学田镇富源林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.754,48.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4635, 483, '230281', '孔国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.167,48.6234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4636, 483, '230281', '孔国乡进化种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.973,48.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4637, 483, '230281', '龙河镇国庆林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.498,48.8417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4638, 483, '230281', '和盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.778,48.0091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4639, 483, '230281', '兴旺鄂温克族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.669,48.1403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4640, 483, '230281', '雨亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.851,48.4754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4641, 483, '230281', '讷南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.224,48.5069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4642, 483, '230281', '龙河镇青色草原种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.843,48.6149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4643, 483, '230281', '龙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.57,48.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4644, 483, '230281', '二克浅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.881,48.6146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4645, 483, '230281', '老莱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.986,48.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4646, 483, '230281', '二克浅镇二里种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.509,48.4483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4647, 483, '230281', '九井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.309,48.5157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4648, 483, '230281', '第一良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.802,48.4795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4649, 483, '230281', '六合镇黎明奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.629,48.2895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4650, 483, '230281', '六合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.638,48.3045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4651, 483, '230281', '龙河镇保安林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.632,48.6664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4652, 483, '230281', '长发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.941,48.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4653, 483, '230281', '龙河镇茂山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.869,48.8291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4654, 483, '230281', '老莱镇宽余林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.414,48.7927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4655, 483, '230281', '黑龙江省老莱监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.967,48.8923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4656, 483, '230281', '学田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.711,48.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4657, 483, '230281', '一良苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.834,48.4859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4658, 483, '230281', '拉哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.51,48.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4659, 483, '230281', '同心乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.043,48.2534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4660, 484, '230225', '宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.853,48.2664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4661, 484, '230225', '兴十四镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.605,47.8932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4662, 484, '230225', '平阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.285,48.3218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4663, 484, '230225', '东阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.365,48.1485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4664, 484, '230225', '甘南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.329,47.9616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4665, 484, '230225', '查哈阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.206,48.5028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4666, 484, '230225', '巨宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.169,47.9839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4667, 484, '230225', '长山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.382,47.7825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4668, 484, '230225', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.762,48.1671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4669, 484, '230225', '查哈阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.971,48.3113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4670, 484, '230225', '北京市双河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.902,47.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4671, 484, '230225', '中兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.961,47.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4672, 485, '230229', '克山县种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.868,48.2278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4673, 485, '230229', '克山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.407,48.3716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4674, 485, '230229', '曙光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.693,48.454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4675, 485, '230229', '克山县第一良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.81,48.0233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4676, 485, '230229', '克山县种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.489,48.2047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4677, 485, '230229', '克山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.832,48.0606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4678, 485, '230229', '克山县涌泉林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.031,48.2889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4679, 485, '230229', '向华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.03,48.2648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4680, 485, '230229', '西联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.198,48.1157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4681, 485, '230229', '北兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.694,48.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4682, 485, '230229', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.476,47.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4683, 485, '230229', '克山县北联林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.694,48.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4684, 485, '230229', '双河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.708,47.8597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4685, 485, '230229', '古北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.813,48.1594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4686, 485, '230229', '河南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.09,48.0024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4687, 485, '230229', '西建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.494,48.3357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4688, 485, '230229', '发展乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.193,48.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4689, 485, '230229', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.83,48.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4690, 485, '230229', '克山县河北林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.057,48.1342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4691, 485, '230229', '河北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.062,48.1312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4692, 485, '230229', '克山县第二良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.711,48.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4693, 485, '230229', '西城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.566,48.1913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4694, 485, '230229', '北联镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.795,48.2303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4695, 486, '230230', '爱华林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.16,48.2487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4696, 486, '230230', '玉岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.492,48.2103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4697, 486, '230230', '东兴林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.579,47.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4698, 486, '230230', '黑龙江省社会救助安置中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.097,48.2469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4699, 486, '230230', '红旗奶山羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.189,48.1986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4700, 486, '230230', '昌盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.538,47.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4701, 486, '230230', '第二苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.206,48.1482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4702, 486, '230230', '种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.276,47.9957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4703, 486, '230230', '润津乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.273,48.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4704, 486, '230230', '第一苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.227,48.0312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4705, 486, '230230', '第二良种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.241,48.2416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4706, 486, '230230', '乾丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.2,47.8113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4707, 486, '230230', '果树繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.269,48.0146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4708, 486, '230230', '发展林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.624,47.9606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4709, 486, '230230', '宝泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.047,48.2165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4710, 486, '230230', '第一良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.481,47.9293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4711, 486, '230230', '金城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.09,48.0024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4712, 486, '230230', '克东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.234,48.0173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4713, 487, '230223', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.93,47.8065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4714, 487, '230223', '先锋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.021,48.0501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4715, 487, '230223', '红旗种马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.071,47.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4716, 487, '230223', '双阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.643,47.5854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4717, 487, '230223', '太东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.56,47.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4718, 487, '230223', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.164,47.9887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4719, 487, '230223', '上游乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.277,48.0496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4720, 487, '230223', '阳春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.554,47.7986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4721, 487, '230223', '新屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.981,47.8776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4722, 487, '230223', '解放乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.578,47.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4723, 487, '230223', '中心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.271,47.7044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4724, 487, '230223', '依安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.267,47.9013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4725, 487, '230223', '新发乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.627,47.9113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4726, 487, '230223', '三兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.961,47.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4727, 487, '230223', '依安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.29,47.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4728, 487, '230223', '富饶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.646,47.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4729, 487, '230223', '依龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.247,47.5744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4730, 488, '230227', '富裕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.38,47.8485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4731, 488, '230227', '富路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.85,47.7217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4732, 488, '230227', '富海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.052,47.8612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4733, 488, '230227', '二道湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.595,48.0156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4734, 488, '230227', '友谊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.47,47.9302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4735, 488, '230227', '忠厚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.831,48.0195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4736, 488, '230227', '龙安桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.528,47.5073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4737, 488, '230227', '富裕牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.492,47.6602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4738, 488, '230227', '繁荣种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.491,47.4506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4739, 488, '230227', '繁荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.485,47.4484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4740, 488, '230227', '绍文乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.927,47.6588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4741, 488, '230227', '塔哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.089,47.4518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4742, 489, '230207', '东安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.905,47.5381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4743, 489, '230207', '富强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.892,47.5181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4744, 489, '230207', '繁荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.899,47.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4745, 489, '230207', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.894,47.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4746, 489, '230207', '碾子山区直辖地域', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.977,47.6665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4747, 490, '230204', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.004,47.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4748, 490, '230204', '南浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.982,47.3123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4749, 490, '230204', '北局宅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.002,47.3615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4750, 490, '230204', '扎龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.151,47.3147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4751, 490, '230204', '齐齐哈尔种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.145,47.3154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4752, 490, '230204', '光荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.019,47.3689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4753, 490, '230204', '通东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.002,47.342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4754, 490, '230204', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.968,47.3236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4755, 490, '230204', '龙华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.976,47.3447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4756, 491, '230203', '卜奎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.943,47.3488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4757, 491, '230203', '西大桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.96,47.3853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4758, 491, '230203', '中华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.966,47.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4759, 491, '230203', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.995,47.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4760, 491, '230203', '文化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.936,47.3821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4761, 491, '230203', '建华区直辖地域', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.074,47.4509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4762, 492, '230208', '哈拉海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.669,47.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4763, 492, '230208', '卧牛吐达斡尔族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.933,47.8048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4764, 492, '230208', '达呼店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.634,47.6796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4765, 492, '230208', '雅尔塞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.987,47.5021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4766, 492, '230208', '共和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.569,47.5279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4767, 492, '230208', '梅里斯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.75,47.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4768, 492, '230208', '梅里斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.642,47.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4769, 492, '230208', '莽格吐达斡尔族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.163,47.8074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4770, 493, '230221', '广厚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.484,46.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4771, 493, '230221', '山泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.6,47.1426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4772, 493, '230221', '龙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.117,47.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4773, 493, '230221', '鲁河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.963,47.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4774, 493, '230221', '华民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.53,47.1119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4775, 493, '230221', '七棵树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.143,47.6423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4776, 493, '230221', '黑岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.537,47.2404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4777, 493, '230221', '济沁河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.448,47.3065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4778, 493, '230221', '白山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.289,47.288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4779, 493, '230221', '哈拉海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.561,47.5203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4780, 493, '230221', '龙兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.822,47.6278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4781, 493, '230221', '景星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.769,47.0909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4782, 493, '230221', '杏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.181,46.7713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4783, 493, '230221', '头站乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.302,46.8623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4784, 494, '230202', '大民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.9,47.3172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4785, 494, '230202', '五龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.941,47.3498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4786, 494, '230202', '彩虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.957,47.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4787, 494, '230202', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.927,47.333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4788, 494, '230202', '江安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.891,47.3223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4789, 494, '230202', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.955,47.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4790, 494, '230202', '南航街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.917,47.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4791, 494, '230202', '齐齐哈尔局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.953,47.3014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4792, 495, '230206', '红岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.64,47.2026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4793, 495, '230206', '长青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.702,47.1741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4794, 495, '230206', '红宝石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.609,47.1918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4795, 495, '230206', '北兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.626,47.2304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4796, 495, '230206', '杜尔门沁达斡尔族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.512,47.1323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4797, 495, '230206', '沿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.62,47.2016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4798, 495, '230206', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.602,47.1875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4799, 495, '230206', '铁北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.665,47.2441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4800, 495, '230206', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.612,47.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4801, 495, '230206', '电力街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.614,47.1951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4802, 496, '230205', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.802,47.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4803, 496, '230205', '林机街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.965,47.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4804, 496, '230205', '道北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.845,47.1743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4805, 496, '230205', '水师营满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.069,47.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4806, 496, '230205', '榆树屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.786,47.0982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4807, 496, '230205', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.823,47.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4808, 497, '230231', '三道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.541,47.5448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4809, 497, '230231', '富强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.632,47.4779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4810, 497, '230231', '永勤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.656,47.5273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4811, 497, '230231', '兴国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.133,47.5968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4812, 497, '230231', '兴华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.145,47.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4813, 497, '230231', '大众乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.752,47.7895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4814, 497, '230231', '爱农乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.866,47.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4815, 497, '230231', '国富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.465,47.7222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4816, 497, '230231', '新生乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.177,47.492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4817, 497, '230231', '时中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.99,47.6127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4818, 497, '230231', '兴农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.99,47.8671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4819, 497, '230231', '长春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.535,47.8304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4820, 497, '230231', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.084,47.4815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4821, 497, '230231', '拜泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.985,47.5814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4822, 497, '230231', '上升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.263,47.7121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4823, 497, '230231', '丰产乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.896,47.7046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4824, 498, '230224', '二龙涛农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.117,46.3461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4825, 498, '230224', '泰来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.47,46.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4826, 498, '230224', '泰来农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.836,46.473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4827, 498, '230224', '平洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.56,46.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4828, 498, '230224', '葡萄场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.362,46.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4829, 498, '230224', '宏胜种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.647,46.3542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4830, 498, '230224', '果树场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.34,46.4278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4831, 498, '230224', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.095,46.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4832, 498, '230224', '泰来县一苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.39,46.4024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4833, 498, '230224', '东方红机械林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.449,46.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4834, 498, '230224', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.505,46.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4835, 498, '230224', '六三监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.362,46.6623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4836, 498, '230224', '第一良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.56,46.6237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4837, 498, '230224', '汤池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.847,46.9324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4838, 498, '230224', '第二良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.737,46.7397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4839, 498, '230224', '克利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.338,46.4289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4840, 498, '230224', '江桥蒙古族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.628,46.7893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4841, 498, '230224', '胜利蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.807,46.5355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4842, 498, '230224', '泰来县二苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.559,46.6077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4843, 498, '230224', '塔子城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.004,46.5665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4844, 498, '230224', '宁姜蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.511,46.2552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4845, 499, '231183', '长江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.323,49.6094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4846, 499, '231183', '临江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.873,48.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4847, 499, '231183', '霍龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.884,50.0474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4848, 499, '231183', '马铃薯原种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.593,49.0632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4849, 499, '231183', '荣军农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.23,48.6436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4850, 499, '231183', '红五月农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.423,48.7434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4851, 499, '231183', '联兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.594,49.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4852, 499, '231183', '嫩江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.789,49.1847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4853, 499, '231183', '双山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.262,48.9084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4854, 499, '231183', '嫩北农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.39,49.236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4855, 499, '231183', '科洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.562,49.2058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4856, 499, '231183', '山河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.625,49.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4857, 499, '231183', '尖山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.763,48.9715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4858, 499, '231183', '长福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.382,49.2011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4859, 499, '231183', '鹤山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.096,48.8218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4860, 499, '231183', '大西江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.86,48.9089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4861, 499, '231183', '前进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.201,49.1371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4862, 499, '231183', '嫩江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.215,49.2771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4863, 499, '231183', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.55,49.1755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4864, 499, '231183', '九三管理局局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.282,48.8448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4865, 499, '231183', '七星泡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.168,49.0341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4866, 499, '231183', '伊拉哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.082,48.838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4867, 499, '231183', '塔溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.174,49.319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4868, 499, '231183', '海江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.559,49.4258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4869, 499, '231183', '建边农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.588,50.0052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4870, 499, '231183', '多宝山铜矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.537,50.3798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4871, 499, '231183', '多宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.996,50.9018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4872, 500, '231102', '望峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.201,50.1341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4873, 500, '231102', '二站林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.956,49.6717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4874, 500, '231102', '兴安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.483,50.2391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4875, 500, '231102', '东方红煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.264,50.0508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4876, 500, '231102', '大平林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.955,50.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4877, 500, '231102', '三站林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.803,49.6252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4878, 500, '231102', '第二良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.445,49.9638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4879, 500, '231102', '西兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.465,50.257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4880, 500, '231102', '幸福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.406,50.2689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4881, 500, '231102', '卡伦山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.536,50.1115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4882, 500, '231102', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.534,50.2243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4883, 500, '231102', '新生乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.332,50.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4884, 500, '231102', '西峰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.863,50.5851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4885, 500, '231102', '大新屯储木场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.164,50.88', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4886, 500, '231102', '七二七林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.617,50.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4887, 500, '231102', '海兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.479,50.2339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4888, 500, '231102', '四嘉子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.528,50.1076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4889, 500, '231102', '张地营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.164,50.88', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4890, 500, '231102', '坤河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.449,49.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4891, 500, '231102', '第一良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.363,49.9037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4892, 500, '231102', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.238,49.7176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4893, 500, '231102', '上马厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.19,50.1887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4894, 500, '231102', '罕达汽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.227,50.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4895, 500, '231102', '西岗子煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.408,49.9257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4896, 500, '231102', '大岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.546,49.5072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4897, 500, '231102', '江防林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.357,50.3871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4898, 500, '231102', '宋集屯煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.317,49.9192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4899, 500, '231102', '爱辉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.349,50.1191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4900, 500, '231102', '西岗子试验林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.345,49.9142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4901, 500, '231102', '胜山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.839,49.5114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4902, 500, '231102', '锦河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.688,50.1666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4903, 500, '231102', '桦皮窑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.718,50.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4904, 500, '231102', '奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.406,50.2689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4905, 500, '231102', '滨南林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.635,50.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4906, 500, '231102', '河南屯林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.429,50.2667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4907, 500, '231102', '二站乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.229,49.6139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4908, 500, '231102', '西岗子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.368,49.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4909, 501, '231181', '铁南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.551,48.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4910, 501, '231181', '北岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.492,48.287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4911, 501, '231181', '石泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.584,47.8496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4912, 501, '231181', '东胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.785,48.4016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4913, 501, '231181', '庆华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.522,48.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4914, 501, '231181', '兆麟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.5,48.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4915, 501, '231181', '长水河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.072,48.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4916, 501, '231181', '红星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127,48.1377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4917, 501, '231181', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.459,48.2357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4918, 501, '231181', '建设农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.261,47.9936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4919, 501, '231181', '二井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.325,48.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4920, 501, '231181', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.558,48.3546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4921, 501, '231181', '海星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.932,47.8663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4922, 501, '231181', '主星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.006,47.743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4923, 501, '231181', '北安管理局局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.514,48.2501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4924, 501, '231181', '通北林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.768,48.193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4925, 501, '231181', '杨家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.819,47.9886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4926, 501, '231181', '赵光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.816,47.968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4927, 501, '231181', '赵光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.594,48.188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4928, 501, '231181', '通北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.792,47.7289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4929, 501, '231181', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.515,48.2426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4930, 502, '231124', '红旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.106,49.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4931, 502, '231124', '红旗林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.962,49.4698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4932, 502, '231124', '向阳林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.767,49.2356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4933, 502, '231124', '腰屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.642,49.4793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4934, 502, '231124', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.569,49.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4935, 502, '231124', '卧牛河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.339,49.4295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4936, 502, '231124', '前进林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.286,49.1785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4937, 502, '231124', '孙吴城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.299,49.4156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4938, 502, '231124', '沿江满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.692,49.6653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4939, 502, '231124', '辰清林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.259,49.1466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4940, 502, '231124', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.595,49.3881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4941, 502, '231124', '沿江林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.681,49.6655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4942, 502, '231124', '清溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.039,49.2674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4943, 502, '231124', '平山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.937,49.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4944, 502, '231124', '奋斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.382,49.2397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4945, 502, '231124', '孙吴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.299,49.4156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4946, 502, '231124', '红色边疆农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.343,49.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4947, 502, '231124', '群山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.768,49.3411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4948, 502, '231124', '大河口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.331,49.6216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4949, 502, '231124', '正阳林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.903,49.2228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4950, 502, '231124', '西兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.951,49.4626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4951, 502, '231124', '辰清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.259,49.1466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4952, 502, '231124', '正阳山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.842,49.5124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4953, 503, '231123', '松树沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.843,49.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4954, 503, '231123', '新兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.007,49.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4955, 503, '231123', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.488,49.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4956, 503, '231123', '车陆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.076,49.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4957, 503, '231123', '三间房林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.91,49.1328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4958, 503, '231123', '逊河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.079,49.2357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4959, 503, '231123', '干岔子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.997,49.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4960, 503, '231123', '新立林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.374,49.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4961, 503, '231123', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.383,49.4018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4962, 503, '231123', '新鄂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.58,49.1389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4963, 503, '231123', '道干林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.076,49.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4964, 503, '231123', '逊克农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.769,48.7671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4965, 503, '231123', '干岔子林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.148,49.4759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4966, 503, '231123', '奇克街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.486,49.5922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4967, 503, '231123', '宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.912,49.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4968, 503, '231123', '克林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.365,48.794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4969, 503, '231123', '奇克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.77,49.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4970, 504, '231182', '龙门农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.885,48.9808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4971, 504, '231182', '兴安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.671,48.9171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4972, 504, '231182', '第二良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.253,48.5175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4973, 504, '231182', '沾河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.682,48.6232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4974, 504, '231182', '襄河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.261,48.8939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4975, 504, '231182', '小孤山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.519,48.6055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4976, 504, '231182', '元青山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.311,48.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4977, 504, '231182', '二龙山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.465,48.4182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4978, 504, '231182', '二龙山蚕种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.716,48.473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4979, 504, '231182', '永丰监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.391,48.5916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4980, 504, '231182', '五大连池农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.094,48.6224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4981, 504, '231182', '二龙山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.833,48.4771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4982, 504, '231182', '药泉林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.219,48.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4983, 504, '231182', '龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.739,48.7268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4984, 504, '231182', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.8,48.5425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4985, 504, '231182', '引龙河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.423,48.9768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4986, 504, '231182', '华山监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.043,48.2872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4987, 504, '231182', '尾山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.172,48.9715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4988, 504, '231182', '五大连池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.092,48.6212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4989, 504, '231182', '双泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.223,48.5416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4990, 504, '231182', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.807,48.447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4991, 504, '231182', '建设乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.127,48.5456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4992, 504, '231182', '花园劳教所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.353,48.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4993, 504, '231182', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.464,48.3972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4994, 504, '231182', '格球山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.016,48.9067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4995, 504, '231182', '引龙河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.493,49.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4996, 504, '231182', '凤凰山监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.533,48.4739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4997, 504, '231182', '畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.742,48.9546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4998, 504, '231182', '新发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.138,48.4564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (4999, 504, '231182', '小兴安林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.001,49.0384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5000, 504, '231182', '莲花管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.777,49.1467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5001, 504, '231182', '焦得布林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.389,48.7667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5002, 504, '231182', '青山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.17,48.5057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5003, 504, '231182', '三九六林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.936,48.5448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5004, 504, '231182', '龙镇农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.738,48.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5005, 504, '231182', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.709,48.5754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5006, 504, '231182', '朝阳林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.284,49.069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5007, 504, '231182', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.401,49.1525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5008, 505, '231004', '黄花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.565,44.5929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5009, 505, '231004', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.604,44.5977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5010, 505, '231004', '铁北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.593,44.5918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5011, 505, '231004', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.597,44.5929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5012, 505, '231004', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.602,44.5971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5013, 505, '231004', '大庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.634,44.5993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5014, 505, '231004', '三道关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.635,44.6034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5015, 505, '231004', '兴平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.56,44.6077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5016, 506, '231081', '阜宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.09,44.526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5017, 506, '231081', '绥芬河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.152,44.4377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5018, 507, '231002', '五星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.643,44.5883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5019, 507, '231002', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.621,44.5774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5020, 507, '231002', '七星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.613,44.5894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5021, 507, '231002', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.632,44.5847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5022, 507, '231002', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.054,44.2703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5023, 508, '231084', '沙兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.637,43.8913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5024, 508, '231084', '石岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.375,44.1712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5025, 508, '231084', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.471,44.3614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5026, 508, '231084', '兰岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.358,44.2584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5027, 508, '231084', '宁安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.355,44.1799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5028, 508, '231084', '海浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.218,44.4012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5029, 508, '231084', '宁安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.428,44.4603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5030, 508, '231084', '东京城林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.957,44.0163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5031, 508, '231084', '三陵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.936,44.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5032, 508, '231084', '渤海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.933,43.9916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5033, 508, '231084', '镜泊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.757,43.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5034, 508, '231084', '卧龙朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.832,43.9868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5035, 508, '231084', '马河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.226,44.0101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5036, 508, '231084', '东京城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.205,44.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5037, 508, '231084', '江南朝鲜族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.618,44.2088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5038, 509, '231086', '大肚川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.202,43.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5039, 509, '231086', '老黑山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.369,43.9228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5040, 509, '231086', '道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.733,44.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5041, 509, '231086', '绥阳林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.201,43.536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5042, 509, '231086', '东宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.207,44.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5043, 509, '231086', '三岔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.293,44.1047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5044, 509, '231086', '绥阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.971,44.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5045, 510, '231003', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.648,44.6052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5046, 510, '231003', '桦林橡胶厂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.677,44.6901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5047, 510, '231003', '阳明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.624,44.5927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5048, 510, '231003', '铁岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.814,44.4684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5049, 510, '231003', '五林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.686,44.8665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5050, 510, '231003', '桦林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.69,44.7372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5051, 510, '231003', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.641,44.6066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5052, 510, '231003', '磨刀石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.943,44.4746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5053, 511, '231025', '奎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.248,45.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5054, 511, '231025', '刁翎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.832,45.9844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5055, 511, '231025', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.017,45.5149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5056, 511, '231025', '林口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.15,45.3802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5057, 511, '231025', '朱家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.811,45.0597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5058, 511, '231025', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.47,45.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5059, 511, '231025', '柳树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.11,44.6712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5060, 511, '231025', '林口林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.188,45.7771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5061, 511, '231025', '建堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.218,45.4814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5062, 511, '231025', '龙爪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.908,45.2169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5063, 511, '231025', '三道通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.846,45.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5064, 511, '231025', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.64,45.5094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5065, 512, '231085', '福录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.801,45.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5066, 512, '231085', '兴源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.189,44.6154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5067, 512, '231085', '河西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.135,44.808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5068, 512, '231085', '穆棱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.256,44.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5069, 512, '231085', '穆棱林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.265,44.5252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5070, 512, '231085', '八面通林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.671,44.6796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5071, 512, '231085', '马桥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.781,44.6806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5072, 512, '231085', '八面通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.55,45.0985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5073, 512, '231085', '下城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.469,44.8531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5074, 512, '231085', '共和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.181,44.238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5075, 513, '231005', '江滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.609,44.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5076, 513, '231005', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.612,44.5817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5077, 513, '231005', '海南朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.503,44.6223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5078, 513, '231005', '火炬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.613,44.5897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5079, 513, '231005', '沿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.626,44.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5080, 513, '231005', '立新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.597,44.5744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5081, 513, '231005', '牡丹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.609,44.5756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5082, 513, '231005', '温春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.591,44.4813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5083, 514, '231083', '牡林工程公司街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.406,44.5927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5084, 514, '231083', '横道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.22,44.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5085, 514, '231083', '长汀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.741,44.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5086, 514, '231083', '柴河林机厂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.673,44.7819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5087, 514, '231083', '海林农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.851,44.3058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5088, 514, '231083', '柴河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.743,45.1103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5089, 514, '231083', '海林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.246,44.821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5090, 514, '231083', '山市种奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.895,44.559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5091, 514, '231083', '海林林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.054,44.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5092, 514, '231083', '新安朝鲜族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.088,44.5066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5093, 514, '231083', '二道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.122,45.1019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5094, 514, '231083', '大海林林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.693,44.4512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5095, 514, '231083', '山市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.863,44.6264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5096, 514, '231083', '柴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.535,44.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5097, 514, '231083', '三道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.712,45.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5098, 515, '230306', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.068,45.3576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5099, 515, '230306', '杏花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.126,45.3385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5100, 515, '230306', '长青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.028,45.4467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5101, 515, '230306', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.952,45.3447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5102, 515, '230306', '城子河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.029,45.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5103, 515, '230306', '永丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.094,45.3223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5104, 516, '230304', '滴道河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.871,45.4587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5105, 516, '230304', '矿里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.749,45.3813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5106, 516, '230304', '洗煤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.764,45.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5107, 516, '230304', '大通沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.629,45.4305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5108, 516, '230304', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.828,45.3611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5109, 516, '230304', '兰岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.624,45.2802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5110, 517, '230305', '穆棱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.706,45.0586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5111, 517, '230305', '石磷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.66,45.1852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5112, 517, '230305', '平岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.825,45.1831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5113, 517, '230305', '碱场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.572,45.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5114, 517, '230305', '梨山区直辖地域', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.733,45.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5115, 517, '230305', '街里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.662,45.0932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5116, 518, '230303', '红旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.874,45.2217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5117, 518, '230303', '大恒山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.816,45.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5118, 518, '230303', '张新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.054,45.2201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5119, 518, '230303', '二道河子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.962,45.2305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5120, 518, '230303', '柳毛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.833,45.2526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5121, 518, '230303', '桦木林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.989,44.9981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5122, 518, '230303', '柳毛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.75,45.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5123, 519, '230302', '西山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.944,45.3073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5124, 519, '230302', '红军路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.966,45.3102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5125, 519, '230302', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.964,45.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5126, 519, '230302', '立新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.911,45.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5127, 519, '230302', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.993,45.2889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5128, 519, '230302', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.984,45.2982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5129, 519, '230302', '西鸡西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.961,45.3183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5130, 519, '230302', '西郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.067,45.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5131, 519, '230302', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.067,45.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5132, 520, '230307', '麻山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.517,45.1938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5133, 520, '230307', '麻山区直辖地域', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.62,45.1301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5134, 521, '230382', '连珠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.664,45.5092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5135, 521, '230382', '当壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.995,45.2606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5136, 521, '230382', '裴德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.361,45.4522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5137, 521, '230382', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.033,45.6594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5138, 521, '230382', '林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.599,45.7519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5139, 521, '230382', '中心街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.783,45.5134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5140, 521, '230382', '柳毛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.153,45.5916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5141, 521, '230382', '牡丹江管理局双峰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.884,45.6632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5142, 521, '230382', '市良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.62,45.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5143, 521, '230382', '八五七农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.864,45.5491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5144, 521, '230382', '兴凯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.1,45.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5145, 521, '230382', '承紫河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.439,45.5128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5146, 521, '230382', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.811,45.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5147, 521, '230382', '富源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.747,45.9019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5148, 521, '230382', '八五一一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.113,45.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5149, 521, '230382', '蜂蜜山粮库有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.979,45.4806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5150, 521, '230382', '八五五农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.681,45.9096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5151, 521, '230382', '兴凯湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.107,45.3131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5152, 521, '230382', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.48,45.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5153, 521, '230382', '水产养殖有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.325,45.3511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5154, 521, '230382', '白鱼湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.135,45.4504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5155, 521, '230382', '牡丹江管理局北大营管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.863,45.5478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5156, 521, '230382', '二人班乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.579,45.3002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5157, 521, '230382', '牡丹江管理局局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.799,45.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5158, 521, '230382', '青年水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.848,45.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5159, 521, '230382', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.878,45.8845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5160, 521, '230382', '煤炭工业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.9,45.8697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5161, 521, '230382', '校办企业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.684,45.4991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5162, 521, '230382', '密山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.739,45.5422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5163, 521, '230382', '兴凯湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.293,45.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5164, 521, '230382', '水田良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.934,45.6209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5165, 521, '230382', '杨木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.41,45.6386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5166, 521, '230382', '黑台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.578,45.4029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5167, 521, '230382', '知一镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.002,45.5373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5168, 522, '230321', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.085,45.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5169, 522, '230321', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.521,45.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5170, 522, '230321', '鸡东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.075,45.2422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5171, 522, '230321', '下亮子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.462,45.2041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5172, 522, '230321', '鸡林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.193,45.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5173, 522, '230321', '明德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.574,45.3227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5174, 522, '230321', '平阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.203,45.0302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5175, 522, '230321', '兴农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.072,45.479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5176, 522, '230321', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.477,45.3908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5177, 522, '230321', '林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.535,45.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5178, 522, '230321', '八五一０农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.301,45.2964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5179, 522, '230321', '哈达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.084,45.4388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5180, 522, '230321', '东海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.364,45.4', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5181, 523, '230381', '八五八农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.373,45.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5182, 523, '230381', '伟光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.129,45.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5183, 523, '230381', '虎林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.331,45.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5184, 523, '230381', '东方红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.106,46.2581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5185, 523, '230381', '新乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.918,45.9892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5186, 523, '230381', '八五六农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.967,45.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5187, 523, '230381', '宝东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.651,45.6767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5188, 523, '230381', '东诚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.148,45.8568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5189, 523, '230381', '八五四农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.885,45.9058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5190, 523, '230381', '八五零农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.522,45.6884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5191, 523, '230381', '云山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.553,45.9625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5192, 523, '230381', '庆丰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.482,45.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5193, 523, '230381', '虎头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.502,45.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5194, 523, '230381', '杨岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.178,45.8398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5195, 523, '230381', '迎春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.947,46.049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5196, 523, '230381', '珍宝岛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.564,46.3539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5197, 523, '230381', '迎春林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.955,46.0454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5198, 523, '230381', '阿北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.346,46.276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5199, 523, '230381', '东方红林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.363,46.5605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5200, 524, '230881', '浓江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.234,47.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5201, 524, '230881', '前进农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.928,47.5617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5202, 524, '230881', '畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.799,47.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5203, 524, '230881', '知青农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.702,47.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5204, 524, '230881', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.671,48.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5205, 524, '230881', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.724,47.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5206, 524, '230881', '街津口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.872,47.8616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5207, 524, '230881', '街津口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.928,47.8742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5208, 524, '230881', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.721,47.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5209, 524, '230881', '鸭北林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.674,48.1499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5210, 524, '230881', '同江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.537,47.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5211, 524, '230881', '八岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.018,48.2731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5212, 524, '230881', '鸭绿河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.806,47.9917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5213, 524, '230881', '金川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.786,47.9818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5214, 524, '230881', '银川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.972,48.0559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5215, 524, '230881', '青河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.754,47.7292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5216, 524, '230881', '同江市城市管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.509,47.6957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5217, 524, '230881', '乐业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.418,47.5436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5218, 524, '230881', '勤得利农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.357,48.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5219, 524, '230881', '洪河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.27,47.4935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5220, 524, '230881', '三村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.691,47.8654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5221, 524, '230881', '青龙山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.908,47.7621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5222, 525, '230826', '梨丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.223,47.21', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5223, 525, '230826', '横头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.619,46.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5224, 525, '230826', '宝山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.932,46.9517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5225, 525, '230826', '苏家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.841,46.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5226, 525, '230826', '四马架镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.478,46.8119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5227, 525, '230826', '创业乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.608,46.9632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5228, 525, '230826', '东河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.498,47.2186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5229, 525, '230826', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.064,46.987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5230, 525, '230826', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.9,47.0533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5231, 525, '230826', '星火乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.574,46.8727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5232, 525, '230826', '江川农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.983,47.2235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5233, 526, '230828', '鹤立林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.926,47.2967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5234, 526, '230828', '香兰监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.621,46.5887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5235, 526, '230828', '香兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.527,46.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5236, 526, '230828', '永发乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.157,47.0192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5237, 526, '230828', '竹帘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.869,46.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5238, 526, '230828', '太平川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.921,46.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5239, 526, '230828', '梧桐河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.614,47.2714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5240, 526, '230828', '汤原农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.982,46.7923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5241, 526, '230828', '振兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.614,47.1562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5242, 526, '230828', '吉祥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.387,46.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5243, 526, '230828', '汤旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.707,46.5953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5244, 526, '230828', '鹤立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.237,47.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5245, 526, '230828', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.94,46.8622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5246, 526, '230828', '汤原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.771,46.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5247, 527, '230805', '建国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.409,46.8406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5248, 527, '230805', '佳南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.444,46.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5249, 527, '230805', '东风区农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.431,46.7767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5250, 527, '230805', '晓云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.396,46.8177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5251, 527, '230805', '建国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.607,46.9644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5252, 527, '230805', '造纸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.407,46.815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5253, 527, '230805', '松江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.489,46.8175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5254, 527, '230805', '佳东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.417,46.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5255, 528, '230803', '西林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.355,46.823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5256, 528, '230803', '西南岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.375,46.7688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5257, 528, '230803', '向阳区直辖地域', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.356,46.7831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5258, 528, '230803', '保卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.359,46.8135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5259, 528, '230803', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.35,46.8115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5260, 528, '230803', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.328,46.8219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5261, 528, '230803', '桥南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.359,46.8085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5262, 529, '230804', '前进区直辖地域', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.416,46.7837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5263, 529, '230804', '前进区农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.406,46.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5264, 530, '230811', '西格木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.226,46.6234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5265, 530, '230811', '莲江口监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.113,46.8291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5266, 530, '230811', '长青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.225,46.8031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5267, 530, '230811', '平安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.311,46.8693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5268, 530, '230811', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.32,46.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5269, 530, '230811', '大来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.974,46.7696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5270, 530, '230811', '敖其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.008,46.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5271, 530, '230811', '群胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.129,46.5494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5272, 530, '230811', '四丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.326,46.5817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5273, 530, '230811', '郊区农垦', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.309,46.8921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5274, 530, '230811', '沿江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.217,46.8113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5275, 530, '230811', '佳西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.291,46.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5276, 530, '230811', '莲江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.331,46.8742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5277, 530, '230811', '长发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.485,46.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5278, 530, '230811', '望江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.025,46.9727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5279, 531, '230822', '梨树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.2,46.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5280, 531, '230822', '桦南林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.091,46.319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5281, 531, '230822', '桦南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.602,46.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5282, 531, '230822', '驼腰子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.267,46.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5283, 531, '230822', '明义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.488,46.5701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5284, 531, '230822', '大八浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.55,46.0953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5285, 531, '230822', '闫家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.326,46.0976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5286, 531, '230822', '金沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.233,46.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5287, 531, '230822', '曙光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.648,46.3402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5288, 531, '230822', '桦南种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.757,46.5046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5289, 531, '230822', '土龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.436,46.2872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5290, 531, '230822', '孟家岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.98,46.5056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5291, 531, '230822', '石头河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.079,46.1654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5292, 532, '230883', '通江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.952,48.4505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5293, 532, '230883', '前哨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.482,47.9194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5294, 532, '230883', '乌苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.459,48.268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5295, 532, '230883', '前锋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.72,47.5453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5296, 532, '230883', '别拉洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.302,47.9523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5297, 532, '230883', '浓江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.178,48.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5298, 532, '230883', '浓桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.121,48.173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5299, 532, '230883', '海青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.606,47.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5300, 532, '230883', '抚远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.074,48.2977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5301, 532, '230883', '二道河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.311,47.6627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5302, 532, '230883', '寒葱沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.143,48.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5303, 532, '230883', '鸭南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.037,48.073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5304, 533, '230882', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.074,47.2808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5305, 533, '230882', '石砬山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.303,47.2052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5306, 533, '230882', '富锦市国营原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.122,47.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5307, 533, '230882', '大兴农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.145,46.9308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5308, 533, '230882', '东风岗林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.53,46.9214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5309, 533, '230882', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.065,47.1916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5310, 533, '230882', '富锦市科研所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.014,47.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5311, 533, '230882', '头林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.169,47.0612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5312, 533, '230882', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.03,47.2666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5313, 533, '230882', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.035,47.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5314, 533, '230882', '太东林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.628,47.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5315, 533, '230882', '城关社区建设委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.068,47.2331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5316, 533, '230882', '工农林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.74,47.0378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5317, 533, '230882', '建三江管理局局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.627,47.2554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5318, 533, '230882', '创业农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.294,47.279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5319, 533, '230882', '富锦市国营果树示范场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.243,47.1983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5320, 533, '230882', '砚山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.356,47.1114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5321, 533, '230882', '大榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.094,47.1953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5322, 533, '230882', '锦山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.817,46.8859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5323, 533, '230882', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.853,46.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5324, 533, '230882', '七星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.605,47.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5325, 533, '230882', '兴隆岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.297,46.804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5326, 533, '230882', '种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.398,47.3275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5327, 533, '230882', '向阳川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.25,47.2836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5328, 533, '230882', '宏胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.817,46.7548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5329, 533, '230882', '二龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.71,47.3572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5330, 533, '230882', '上街基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.508,47.1868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5331, 534, '230604', '银浪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.897,46.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5332, 534, '230604', '红骥牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.868,46.7389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5333, 534, '230604', '星火牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.63,46.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5334, 534, '230604', '奋斗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.887,46.6768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5335, 534, '230604', '喇嘛甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.849,46.597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5336, 534, '230604', '银浪牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.638,46.4591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5337, 534, '230604', '龙岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.907,46.6475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5338, 534, '230604', '庆新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.016,46.7379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5339, 534, '230604', '乘风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.793,46.5784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5340, 534, '230604', '西宾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.895,46.5914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5341, 535, '230605', '红岗区铁人生态工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.809,46.2538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5342, 535, '230605', '红岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.896,46.3678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5343, 535, '230605', '创业街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.739,46.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5344, 535, '230605', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.008,46.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5345, 535, '230605', '八百垧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.869,46.4909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5346, 535, '230605', '杏树岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.905,46.3673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5347, 535, '230605', '杏南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.854,46.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5348, 536, '230622', '薄荷台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.367,45.6184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5349, 536, '230622', '义顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.407,45.9379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5350, 536, '230622', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.176,45.6288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5351, 536, '230622', '浩德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.551,45.8243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5352, 536, '230622', '民意乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.353,45.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5353, 536, '230622', '二站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.225,45.4798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5354, 536, '230622', '头台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.968,45.7054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5355, 536, '230622', '茂兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.57,45.4201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5356, 536, '230622', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.654,45.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5357, 536, '230622', '三站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.75,45.5867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5358, 536, '230622', '福兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.551,45.659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5359, 536, '230622', '经济作物示范场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.386,45.7372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5360, 536, '230622', '果树示范场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.152,45.5047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5361, 536, '230622', '茂兴湖水产养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.596,45.462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5362, 536, '230622', '新立良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.282,45.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5363, 536, '230622', '肇源农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.174,45.6149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5364, 536, '230622', '立陡山良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.105,45.8596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5365, 536, '230622', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.676,45.6713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5366, 536, '230622', '新站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.39,45.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5367, 536, '230622', '古龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.091,45.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5368, 536, '230622', '肇源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.019,45.4934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5369, 536, '230622', '超等乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.569,45.5926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5370, 536, '230622', '古恰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.948,45.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5371, 537, '230606', '和平牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.298,46.171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5372, 537, '230606', '老山头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.653,45.9269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5373, 537, '230606', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.898,46.0731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5374, 537, '230606', '立志街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.578,45.9899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5375, 537, '230606', '双榆树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.567,46.1983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5376, 537, '230606', '庆葡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.665,45.9165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5377, 537, '230606', '八井子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.792,46.0685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5378, 537, '230606', '太阳升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.504,45.8438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5379, 537, '230606', '祝三乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.1,46.0381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5380, 537, '230606', '大同镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.802,46.0377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5381, 537, '230606', '林源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.692,46.1994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5382, 537, '230606', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.632,46.1494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5383, 537, '230606', '林源镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.794,46.3522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5384, 537, '230606', '高台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.798,46.1229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5385, 537, '230606', '高台子镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.798,46.1271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5386, 538, '230623', '林甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.87,47.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5387, 538, '230623', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.804,47.13', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5388, 538, '230623', '四季青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.28,46.9953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5389, 538, '230623', '巨浪牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.642,47.131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5390, 538, '230623', '林甸县长青林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.228,46.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5391, 538, '230623', '四合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.857,47.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5392, 538, '230623', '三合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.434,47.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5393, 538, '230623', '宏伟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.829,47.224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5394, 538, '230623', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.728,46.9771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5395, 538, '230623', '国营苇场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.346,47.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5396, 538, '230623', '东兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.994,47.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5397, 538, '230623', '新兴畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.333,47.2647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5398, 539, '230624', '他拉哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.26,46.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5399, 539, '230624', '腰新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.139,46.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5400, 539, '230624', '一心乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.393,46.5927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5401, 539, '230624', '敖林西伯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.474,46.5657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5402, 539, '230624', '巴彦查干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.897,46.2646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5403, 539, '230624', '克尔台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.942,46.8889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5404, 539, '230624', '胡吉吐莫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.002,46.5404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5405, 539, '230624', '绿色草原牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.524,46.3525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5406, 539, '230624', '江湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.82,46.551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5407, 539, '230624', '烟筒屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.127,47.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5408, 539, '230624', '大山种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.766,46.6665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5409, 539, '230624', '连环湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.007,46.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5410, 539, '230624', '杜尔伯特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.448,46.9091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5411, 540, '230603', '东光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.006,46.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5412, 540, '230603', '兴化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.2,46.4447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5413, 540, '230603', '高新区农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.264,46.5084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5414, 540, '230603', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.029,46.4456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5415, 540, '230603', '开发区黎明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.203,46.4269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5416, 540, '230603', '三永街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.092,46.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5417, 540, '230603', '龙凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.105,46.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5418, 540, '230603', '卧里屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.218,46.4686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5419, 541, '230602', '会战街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.001,46.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5420, 541, '230602', '铁人街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.92,46.6109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5421, 541, '230602', '火炬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.072,46.6724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5422, 541, '230602', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.067,46.6421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5423, 541, '230602', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.139,46.6279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5424, 541, '230602', '富强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.04,46.5991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5425, 541, '230602', '拥军街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.125,46.8618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5426, 541, '230602', '东安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.123,46.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5427, 541, '230602', '萨尔图街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.988,46.5893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5428, 542, '230621', '托古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.429,45.6163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5429, 542, '230621', '肇州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.182,45.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5430, 542, '230621', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.357,45.7592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5431, 542, '230621', '朝阳沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.795,45.6917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5432, 542, '230621', '兴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.365,46.1237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5433, 542, '230621', '榆树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.098,46.0169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5434, 542, '230621', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.627,45.7476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5435, 542, '230621', '二井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.635,45.9025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5436, 542, '230621', '乐园良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.057,45.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5437, 542, '230621', '永胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.415,45.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5438, 542, '230621', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.929,45.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5439, 542, '230621', '双发乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.188,45.7274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5440, 542, '230621', '新福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.214,45.8882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5441, 542, '230621', '卫星种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.081,46.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5442, 543, '230502', '二马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.168,46.6404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5443, 543, '230502', '窑地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.175,46.6177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5444, 543, '230502', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.167,46.6926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5445, 543, '230502', '中心站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.125,46.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5446, 543, '230502', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.195,46.6181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5447, 543, '230502', '富安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.167,46.6326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5448, 543, '230502', '安邦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.178,46.6113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5449, 543, '230502', '八马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.176,46.6578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5450, 544, '230522', '友谊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.77,46.7622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5451, 544, '230522', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.556,46.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5452, 544, '230522', '兴盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.667,46.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5453, 544, '230522', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.511,46.6168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5454, 544, '230522', '友谊农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.81,46.7803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5455, 544, '230522', '庆丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.821,46.7302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5456, 544, '230522', '凤岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.699,46.7062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5457, 544, '230522', '新镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.13,46.7906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5458, 544, '230522', '建设乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.73,46.8411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5459, 544, '230522', '友邻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.034,46.9266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5460, 544, '230522', '东建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.879,46.8342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5461, 544, '230522', '成富朝鲜族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.784,46.6344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5462, 544, '230522', '红兴隆管理局局直', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.539,46.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5463, 545, '230506', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.412,46.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5464, 545, '230506', '双鸭山林业局宝山经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.302,46.5101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5465, 545, '230506', '七星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.322,46.5069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5466, 545, '230506', '双鸭山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.529,46.5037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5467, 545, '230506', '七星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.626,46.5029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5468, 545, '230506', '东保卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.497,46.4936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5469, 545, '230506', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.419,46.5663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5470, 546, '230505', '振兴中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.236,46.5942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5471, 546, '230505', '集贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.269,46.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5472, 546, '230505', '振兴东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.334,46.5832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5473, 546, '230505', '太保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.26,46.7647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5474, 547, '230503', '中心街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.119,46.5576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5475, 547, '230503', '岭东区岭东经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.025,46.4392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5476, 547, '230503', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.117,46.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5477, 547, '230503', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.13,46.5661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5478, 547, '230503', '西山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.042,46.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5479, 547, '230503', '长胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.101,46.6156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5480, 547, '230503', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.145,46.5748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5481, 547, '230503', '岭东区青山旅游公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.481,46.3641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5482, 547, '230503', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.166,46.5938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5483, 548, '230523', '双鸭山林业局红旗林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.896,46.1917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5484, 548, '230523', '桦南林业局岚峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.74,46.1305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5485, 548, '230523', '小城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.733,46.1327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5486, 548, '230523', '七星河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.992,46.5991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5487, 548, '230523', '五九七农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.848,46.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5488, 548, '230523', '双鸭山林业局七一林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.509,46.2695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5489, 548, '230523', '八五二农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.37,46.2301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5490, 548, '230523', '夹信子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.313,46.1376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5491, 548, '230523', '双鸭山林业局三岔河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.802,46.2445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5492, 548, '230523', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.876,46.4219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5493, 548, '230523', '尖山子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.382,46.3045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5494, 548, '230523', '双鸭山林业局南瓮泉经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.578,46.4327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5495, 548, '230523', '双鸭山林业局青龙林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.885,46.3122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5496, 548, '230523', '双鸭山林业局上游经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.349,46.3604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5497, 548, '230523', '万金山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.245,46.3735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5498, 548, '230523', '双鸭山林业局七星河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.579,46.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5499, 548, '230523', '青原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.448,46.6062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5500, 548, '230523', '宝清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.985,46.5165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5501, 548, '230523', '双鸭山林业局七星河金矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.558,46.2462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5502, 548, '230523', '双鸭山林业局宝石经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.908,46.1937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5503, 548, '230523', '七星泡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.537,46.2358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5504, 548, '230523', '八五三农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.883,46.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5505, 548, '230523', '龙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '132.071,45.83', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5506, 549, '230524', '八五九农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.983,47.5237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5507, 549, '230524', '饶河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.017,46.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5508, 549, '230524', '西林子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.791,46.9607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5509, 549, '230524', '大牙克林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.374,46.8389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5510, 549, '230524', '永幸林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.782,46.6968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5511, 549, '230524', '西丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.239,46.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5512, 549, '230524', '威山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.553,47.0901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5513, 549, '230524', '宝马山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.713,47.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5514, 549, '230524', '红旗岭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.378,46.8124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5515, 549, '230524', '饶河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '134.017,46.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5516, 549, '230524', '西丰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.304,47.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5517, 549, '230524', '红卫农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.401,47.4858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5518, 549, '230524', '四排乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.989,47.0293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5519, 549, '230524', '芦源林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.281,46.9854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5520, 549, '230524', '胜利农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.721,47.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5521, 549, '230524', '石场林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.517,46.8188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5522, 549, '230524', '五林洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.891,46.6665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5523, 549, '230524', '小佳河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.883,47.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5524, 549, '230524', '小佳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.635,47.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5525, 549, '230524', '大岱林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.767,46.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5526, 549, '230524', '大佳河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.489,47.1002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5527, 549, '230524', '奇源林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.527,46.708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5528, 549, '230524', '大通河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.824,46.7597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5529, 549, '230524', '五林洞林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.664,46.5475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5530, 549, '230524', '山里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '133.28,47.1908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5531, 550, '230521', '太平林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.755,46.6056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5532, 550, '230521', '果树示范场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.086,46.6815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5533, 550, '230521', '黑龙江省双鸭山监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.895,46.7761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5534, 550, '230521', '升昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.331,46.7587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5535, 550, '230521', '福利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.012,46.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5536, 550, '230521', '腰屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.381,46.7746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5537, 550, '230521', '升平煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.198,46.7794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5538, 550, '230521', '永安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.334,47.0041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5539, 550, '230521', '峻山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.042,46.7341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5540, 550, '230521', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.665,46.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5541, 550, '230521', '集贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.284,46.7821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5542, 550, '230521', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.124,46.7746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5543, 550, '230521', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.168,46.7895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5544, 550, '230521', '爱林林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.445,46.6134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5545, 550, '230521', '腰屯林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.379,46.792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5546, 550, '230521', '七星林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.917,46.5919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5547, 550, '230521', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.863,46.9042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5548, 550, '230521', '兴安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.078,46.9709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5549, 550, '230521', '丰乐林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.883,46.7372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5550, 550, '230521', '二九一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.408,47.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5551, 551, '440515', '澄华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.743,23.4747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5552, 551, '440515', '莲下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.88,23.4497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5553, 551, '440515', '隆都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.74,23.5972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5554, 551, '440515', '凤翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.873,23.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5555, 551, '440515', '溪南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.796,23.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5556, 551, '440515', '莲华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.794,23.6031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5557, 551, '440515', '莲上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.836,23.4736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5558, 551, '440515', '盐鸿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.825,23.6332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5559, 551, '440515', '广益街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.736,23.4808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5560, 551, '440515', '上华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.705,23.5345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5561, 551, '440515', '东里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.845,23.5836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5562, 552, '440514', '峡山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.416,23.2076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5563, 552, '440514', '红场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.303,23.096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5564, 552, '440514', '陇田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.496,23.1926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5565, 552, '440514', '井都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.54,23.1821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5566, 552, '440514', '仙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.277,23.1588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5567, 552, '440514', '雷岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,23.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5568, 552, '440514', '司马浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.364,23.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5569, 552, '440514', '成田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.447,23.1416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5570, 552, '440514', '两英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.327,23.1653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5571, 552, '440514', '胪岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.432,23.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5572, 552, '440514', '陈店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.343,23.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5573, 553, '440523', '深澳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.111,23.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5574, 553, '440523', '云澳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.313,23.2798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5575, 553, '440523', '后宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.015,23.4641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5576, 554, '440512', '河浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.634,23.2608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5577, 554, '440512', '广澳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.806,23.2497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5578, 554, '440512', '马窖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.703,23.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5579, 554, '440512', '达濠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.711,23.3163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5580, 554, '440512', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.678,23.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5581, 554, '440512', '礐石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.745,23.3336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5582, 554, '440512', '玉新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.656,23.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5583, 555, '440513', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.519,23.2664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5584, 555, '440513', '西胪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.457,23.3479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5585, 555, '440513', '金浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.568,23.2222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5586, 555, '440513', '河溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.553,23.3607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5587, 555, '440513', '铜盂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.378,23.3286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5588, 555, '440513', '谷饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.389,23.4243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5589, 555, '440513', '棉北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.626,23.288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5590, 555, '440513', '海门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.663,23.2298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5591, 555, '440513', '贵屿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.38,23.3781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5592, 555, '440513', '文光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.6,23.2507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5593, 555, '440513', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.615,23.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5594, 555, '440513', '关埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.44,23.3991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5595, 555, '440513', '金灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.389,23.4223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5596, 556, '440511', '海安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.675,23.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5597, 556, '440511', '大华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.689,23.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5598, 556, '440511', '光华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.683,23.3818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5599, 556, '440511', '新福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.677,23.3589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5600, 556, '440511', '金厦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.713,23.3778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5601, 556, '440511', '广厦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.705,23.4025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5602, 556, '440511', '鮀江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,23.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5603, 556, '440511', '同益街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.687,23.365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5604, 556, '440511', '东墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.701,23.3913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5605, 556, '440511', '东方街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.687,23.35', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5606, 556, '440511', '鮀莲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.578,23.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5607, 556, '440511', '岐山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,23.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5608, 556, '440511', '月浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.673,23.4233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5609, 556, '440511', '乌桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.673,23.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5610, 556, '440511', '永祥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.666,23.3537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5611, 556, '440511', '金砂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.688,23.3821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5612, 556, '440511', '石炮台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.699,23.3663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5613, 557, '440507', '新津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.754,23.3968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5614, 557, '440507', '外砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.736,23.4239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5615, 557, '440507', '新溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.785,23.4219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5616, 557, '440507', '金霞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.716,23.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5617, 557, '440507', '龙祥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.729,23.4174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5618, 557, '440507', '鸥汀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.704,23.4576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5619, 557, '440507', '珠池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.762,23.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5620, 558, '440607', '省女子劳教所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.9,23.1891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5621, 558, '440607', '广州军区三水农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.903,23.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5622, 558, '440607', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.872,23.512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5623, 558, '440607', '乐平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.034,23.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5624, 558, '440607', '省三水劳教所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,23.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5625, 558, '440607', '南山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.863,23.3927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5626, 558, '440607', '云东海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.856,23.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5627, 558, '440607', '省南丰劳教所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.914,23.2871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5628, 558, '440607', '西南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.77,23.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5629, 558, '440607', '省第二戒毒劳教所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.919,23.251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5630, 558, '440607', '白坭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.837,23.0671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5631, 558, '440607', '芦苞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.898,23.3976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5632, 559, '440608', '云勇林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.702,22.7276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5633, 559, '440608', '明城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.654,22.7326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5634, 559, '440608', '高明监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.839,22.9379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5635, 559, '440608', '佛山监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.862,22.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5636, 559, '440608', '更合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.653,22.7826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5637, 559, '440608', '荷城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.862,22.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5638, 559, '440608', '对川茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.764,22.8519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5639, 559, '440608', '杨和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.765,22.8399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5640, 560, '440606', '容桂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.224,22.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5641, 560, '440606', '杏坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.116,22.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5642, 560, '440606', '伦教街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.216,22.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5643, 560, '440606', '龙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.014,22.8847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5644, 560, '440606', '北滘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.147,22.958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5645, 560, '440606', '勒流街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.118,22.9018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5646, 560, '440606', '陈村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.18,22.9929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5647, 560, '440606', '乐从镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.061,22.9528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5648, 560, '440606', '均安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.16,22.7313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5649, 560, '440606', '大良街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.218,22.8457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5650, 561, '440605', '西樵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.883,22.8487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5651, 561, '440605', '狮山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.119,23.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5652, 561, '440605', '里水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.089,23.2884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5653, 561, '440605', '桂城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.25,23.0439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5654, 561, '440605', '丹灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.877,23.1101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5655, 561, '440605', '九江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,22.8316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5656, 561, '440605', '大沥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.177,23.0767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5657, 562, '440604', '张槎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.102,23.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5658, 562, '440604', '祖庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.134,23.0083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5659, 562, '440604', '南庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.067,22.9522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5660, 562, '440604', '石湾镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.132,23.0097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5661, 563, '441224', '甘洒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.345,23.9683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5662, 563, '441224', '下帅壮族瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.077,24.1707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5663, 563, '441224', '马宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.034,24.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5664, 563, '441224', '永固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.049,23.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5665, 563, '441224', '蓝钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.886,24.2277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5666, 563, '441224', '大岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.056,23.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5667, 563, '441224', '诗洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.054,23.6779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5668, 563, '441224', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.017,23.8284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5669, 563, '441224', '洽水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.353,24.0543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5670, 563, '441224', '汶朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.227,23.9765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5671, 563, '441224', '梁村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.042,23.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5672, 563, '441224', '广东省第一监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.297,24.0175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5673, 563, '441224', '连麦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.239,24.1079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5674, 563, '441224', '凤岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.386,23.9574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5675, 563, '441224', '岗坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.933,23.9941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5676, 563, '441224', '怀城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.099,23.9715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5677, 563, '441224', '中洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.134,24.2016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5678, 563, '441224', '闸岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.128,23.9172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5679, 563, '441224', '冷坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.018,24.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5680, 563, '441224', '坳仔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.244,23.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5681, 564, '441225', '白垢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.594,23.5436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5682, 564, '441225', '平凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.397,23.3763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5683, 564, '441225', '连都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.763,23.5718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5684, 564, '441225', '杏花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.662,23.4689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5685, 564, '441225', '罗董镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.578,23.3646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5686, 564, '441225', '渔涝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.665,23.5659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5687, 564, '441225', '江川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.413,23.3747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5688, 564, '441225', '河儿口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.81,23.5427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5689, 564, '441225', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.855,23.8464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5690, 564, '441225', '都平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.74,23.5956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5691, 564, '441225', '长岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.631,23.2266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5692, 564, '441225', '大玉口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.713,23.6782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5693, 564, '441225', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.48,23.5469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5694, 564, '441225', '大洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.629,23.615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5695, 564, '441225', '金装镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.854,23.8544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5696, 564, '441225', '南丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.883,23.6796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5697, 565, '441223', '北市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,23.944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5698, 565, '441223', '五和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.269,23.4385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5699, 565, '441223', '潭布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.56,23.7039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5700, 565, '441223', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.331,23.5064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5701, 565, '441223', '木格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.219,23.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5702, 565, '441223', '古水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.177,23.6991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5703, 565, '441223', '螺岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.47,23.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5704, 565, '441223', '江屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.57,23.7518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5705, 565, '441223', '排沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.481,23.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5706, 565, '441223', '南街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.452,23.7295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5707, 565, '441223', '石咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.177,23.6961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5708, 565, '441223', '洲仔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.216,23.5519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5709, 565, '441223', '赤坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.405,23.8975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5710, 565, '441223', '宾亨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.432,23.5645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5711, 565, '441223', '坑口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.412,23.8415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5712, 566, '441284', '地豆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.665,23.563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5713, 566, '441284', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.628,23.4012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5714, 566, '441284', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.695,23.4004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5715, 566, '441284', '肇庆高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.811,23.309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5716, 566, '441284', '黄田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.492,23.4452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5717, 566, '441284', '罗源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.758,23.5634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5718, 566, '441284', '贞山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.619,23.3513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5719, 566, '441284', '大沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.745,23.2923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5720, 566, '441284', '迳口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.75,23.4724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5721, 566, '441284', '江谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.667,23.5578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5722, 566, '441284', '下茆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.673,23.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5723, 566, '441284', '龙甫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.736,23.4665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5724, 566, '441284', '威整镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.706,23.6061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5725, 566, '441284', '广东省济广监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.629,23.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5726, 566, '441284', '石狗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.594,23.4505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5727, 567, '441226', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.703,23.1803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5728, 567, '441226', '悦城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.223,23.1785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5729, 567, '441226', '莫村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.148,23.5085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5730, 567, '441226', '官圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.8,23.386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5731, 567, '441226', '播植镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.165,23.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5732, 567, '441226', '高良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.983,23.4127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5733, 567, '441226', '武垄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.175,23.3532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5734, 567, '441226', '九市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.91,23.1249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5735, 567, '441226', '马圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.877,23.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5736, 567, '441226', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.616,23.2322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5737, 567, '441226', '德城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.779,23.1489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5738, 567, '441226', '凤村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.076,23.2783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5739, 567, '441226', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.095,23.359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5740, 568, '441203', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.647,23.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5741, 568, '441203', '沙浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.68,23.1684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5742, 568, '441203', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.647,23.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5743, 568, '441203', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.462,23.2306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5744, 568, '441203', '桂城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.56,23.2022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5745, 568, '441203', '广利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.588,23.2174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5746, 568, '441203', '坑口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.517,23.1756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5747, 569, '441202', '端州区城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.452,23.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5748, 569, '441202', '端州区睦岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.432,23.1166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5749, 569, '441202', '端州区黄岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.463,23.1029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5750, 569, '441202', '端州区城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.449,23.0754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5751, 570, '441204', '小湘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.337,23.1987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5752, 570, '441204', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.567,23.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5753, 570, '441204', '金渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.576,23.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5754, 570, '441204', '莲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.498,23.0118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5755, 570, '441204', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.693,22.9275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5756, 570, '441204', '蛟塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.636,22.8837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5757, 570, '441204', '金利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.698,23.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5758, 570, '441204', '河台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.245,23.3359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5759, 570, '441204', '南岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.484,23.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5760, 570, '441204', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.444,22.9688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5761, 570, '441204', '禄步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.387,23.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5762, 570, '441204', '活道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.311,22.8424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5763, 570, '441204', '白诸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.278,22.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5764, 570, '441204', '乐城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.335,23.4286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5765, 570, '441204', '水南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.383,23.3364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5766, 570, '441204', '蚬岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.631,23.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5767, 570, '441204', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.33,23.1031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5768, 571, '441324', '龙门县密溪林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.177,23.8669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5769, 571, '441324', '地派镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.171,23.8443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5770, 571, '441324', '龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.219,23.6787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5771, 571, '441324', '南昆山生态旅游区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.888,23.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5772, 571, '441324', '永汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.888,23.6369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5773, 571, '441324', '平陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.275,23.6544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5774, 571, '441324', '龙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.205,23.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5775, 571, '441324', '龙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.249,23.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5776, 571, '441324', '龙城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.304,23.752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5777, 571, '441324', '蓝田瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.179,23.839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5778, 571, '441324', '麻榨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.968,23.4868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5779, 571, '441324', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.182,23.6933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5780, 572, '441323', '稔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.691,22.8241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5781, 572, '441323', '白盆珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.219,23.0964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5782, 572, '441323', '大岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.633,23.0383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5783, 572, '441323', '莲花山白盆珠省级自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.236,23.086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5784, 572, '441323', '安墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.976,23.316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5785, 572, '441323', '巺寮滨海旅游渡假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.752,22.6264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5786, 572, '441323', '吉隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.929,22.8516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5787, 572, '441323', '惠东县珠三角产业转移园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.621,23.0129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5788, 572, '441323', '梁化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.641,23.1279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5789, 572, '441323', '黄埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.082,22.6494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5790, 572, '441323', '高潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.424,23.2438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5791, 572, '441323', '广东省惠州市国营惠东九龙峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.783,22.9745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5792, 572, '441323', '广东省惠州市国营惠东梁化林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.783,23.2246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5793, 572, '441323', '平海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.731,22.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5794, 572, '441323', '铁涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.797,22.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5795, 572, '441323', '惠东县港口海龟湾自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.03,22.5511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5796, 572, '441323', '宝口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.255,23.3816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5797, 572, '441323', '多祝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.969,23.1391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5798, 572, '441323', '广东惠东古田省级自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.835,23.0886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5799, 572, '441323', '白花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.583,22.8516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5800, 572, '441323', '平山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.716,22.9916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5801, 573, '441322', '龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.104,23.2065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5802, 573, '441322', '福田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,23.2764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5803, 573, '441322', '柏塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,23.4669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5804, 573, '441322', '园洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.011,23.1899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5805, 573, '441322', '罗浮山管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.967,23.2403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5806, 573, '441322', '泰美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,23.3517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5807, 573, '441322', '湖镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.122,23.3115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5808, 573, '441322', '石坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.589,23.4618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5809, 573, '441322', '公庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.408,23.6879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5810, 573, '441322', '石湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.935,23.1942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5811, 573, '441322', '麻陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,23.5078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5812, 573, '441322', '龙溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.166,23.1654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5813, 573, '441322', '长宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.993,23.1902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5814, 573, '441322', '横河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.205,23.4192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5815, 573, '441322', '杨侨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.461,23.4191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5816, 573, '441322', '观音阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.585,23.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5817, 573, '441322', '罗阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.31,23.2969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5818, 573, '441322', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,23.3925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5819, 574, '441303', '大亚湾西区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.42,22.7582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5820, 574, '441303', '大亚湾霞涌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.65,22.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5821, 574, '441303', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.333,22.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5822, 574, '441303', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.544,22.8975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5823, 574, '441303', '良井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.576,23.0263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5824, 574, '441303', '永湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.5,22.998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5825, 574, '441303', '镇隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.319,22.9659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5826, 574, '441303', '平潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.634,23.0624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5827, 574, '441303', '惠阳经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.469,22.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5828, 574, '441303', '秋长街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.387,22.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5829, 574, '441303', '淡水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.492,22.8591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5830, 574, '441303', '大亚湾澳头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.648,22.6361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5831, 575, '441302', '沥林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.258,22.9793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5832, 575, '441302', '潼侨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.256,23.0573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5833, 575, '441302', '马安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.482,23.0922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5834, 575, '441302', '横沥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.68,23.283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5835, 575, '441302', '惠环街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.395,23.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5836, 575, '441302', '芦洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.679,23.2848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5837, 575, '441302', '潼湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.129,23.0416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5838, 575, '441302', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.323,23.1265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5839, 575, '441302', '桥西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.398,23.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5840, 575, '441302', '河南岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.413,23.0716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5841, 575, '441302', '陈江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.281,23.0723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5842, 575, '441302', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.412,23.1399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5843, 575, '441302', '惠州市林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.383,23.096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5844, 575, '441302', '小金口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.388,23.2102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5845, 575, '441302', '桥东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.419,23.0827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5846, 575, '441302', '汝湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.459,23.2348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5847, 575, '441302', '水口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.458,23.1487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5848, 575, '441302', '龙丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.338,23.0717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5849, 575, '441302', '三栋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,23.0398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5850, 576, '440306', '松岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.922,22.8357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5851, 576, '440306', '沙井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.827,22.7008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5852, 576, '440306', '深圳市宝安国际机场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.832,22.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5853, 576, '440306', '西乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.824,22.5449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5854, 576, '440306', '石岩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.941,22.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5855, 576, '440306', '福永街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.856,22.6742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5856, 576, '440306', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.91,22.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5857, 576, '440306', '航城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.853,22.6071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5858, 576, '440306', '福海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.827,22.6995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5859, 577, '440305', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.957,22.5347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5860, 577, '440305', '招商街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.921,22.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5861, 577, '440305', '西丽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.945,22.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5862, 577, '440305', '桃源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.019,22.5792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5863, 577, '440305', '粤海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.956,22.5327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5864, 577, '440305', '南头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.909,22.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5865, 577, '440305', '蛇口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.852,22.4966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5866, 577, '440305', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.927,22.5135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5867, 578, '440304', '沙头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.995,22.5325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5868, 578, '440304', '莲花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,22.5624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5869, 578, '440304', '园岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.105,22.5607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5870, 578, '440304', '福保街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.065,22.5177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5871, 578, '440304', '华强北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.089,22.5489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5872, 578, '440304', '南园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.097,22.5408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5873, 578, '440304', '梅林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.007,22.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5874, 578, '440304', '香蜜湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.998,22.5485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5875, 578, '440304', '福田保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.064,22.5099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5876, 578, '440304', '华富街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.086,22.57', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5877, 578, '440304', '福田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.083,22.5302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5878, 579, '440308', '海山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.25,22.5611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5879, 579, '440308', '市保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.242,22.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5880, 579, '440308', '梅沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.281,22.6424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5881, 579, '440308', '盐田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.252,22.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5882, 579, '440308', '沙头角街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.205,22.5706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5883, 580, '440303', '笋岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.104,22.5621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5884, 580, '440303', '东门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.116,22.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5885, 580, '440303', '黄贝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.157,22.5662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5886, 580, '440303', '桂园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.109,22.556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5887, 580, '440303', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.113,22.5389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5888, 580, '440303', '清水河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.082,22.5699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5889, 580, '440303', '东晓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.123,22.589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5890, 580, '440303', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.204,22.5699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5891, 580, '440303', '翠竹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.128,22.574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5892, 580, '440303', '莲塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.205,22.565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5893, 581, '440310', '坑梓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.418,22.7667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5894, 581, '440310', '坪山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.412,22.6521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5895, 582, '440307', '横岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.186,22.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5896, 582, '440307', '深圳市大工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.34,22.7141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5897, 582, '440307', '南澳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,22.5471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5898, 582, '440307', '平湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.097,22.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5899, 582, '440307', '坪地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.268,22.7879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5900, 582, '440307', '龙城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.203,22.7553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5901, 582, '440307', '南湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.121,22.6347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5902, 582, '440307', '坂田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,22.6659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5903, 582, '440307', '葵涌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.48,22.6637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5904, 582, '440307', '大鹏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.546,22.6278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5905, 582, '440307', '布吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.108,22.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5906, 582, '440307', '吉华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.108,22.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5907, 582, '440307', '龙岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,22.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5908, 582, '440307', '宝龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.26,22.7051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5909, 582, '440307', '园山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.203,22.6594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5910, 583, '440309', '观澜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.068,22.7488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5911, 583, '440309', '民治街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.012,22.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5912, 583, '440309', '大浪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.003,22.7088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5913, 583, '440309', '龙华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.01,22.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5914, 583, '440309', '福城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.991,22.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5915, 583, '440309', '观湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.083,22.6645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5916, 584, '440311', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.993,22.7558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5917, 584, '440311', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.921,22.7273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5918, 584, '440311', '公明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.914,22.7718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5919, 584, '440311', '马田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.858,22.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5920, 584, '440311', '新湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.996,22.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5921, 584, '440311', '玉塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,22.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5922, 585, '440881', '车板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.848,21.5674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5923, 585, '440881', '雅塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.065,21.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5924, 585, '440881', '安铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.986,21.5064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5925, 585, '440881', '罗州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.292,21.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5926, 585, '440881', '营仔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.025,21.5713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5927, 585, '440881', '石角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.377,21.8066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5928, 585, '440881', '河唇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.392,21.6356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5929, 585, '440881', '石岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.042,21.5181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5930, 585, '440881', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.267,21.5472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5931, 585, '440881', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.026,21.5302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5932, 585, '440881', '塘蓬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.067,21.7885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5933, 585, '440881', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.283,21.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5934, 585, '440881', '石城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.338,21.5781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5935, 585, '440881', '石颈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.975,21.7124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5936, 585, '440881', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.24,21.6124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5937, 585, '440881', '良垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.352,21.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5938, 585, '440881', '九洲江开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.223,21.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5939, 585, '440881', '吉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.266,21.7167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5940, 585, '440881', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.888,21.6067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5941, 585, '440881', '长山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.007,21.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5942, 585, '440881', '青平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.982,21.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5943, 585, '440881', '和寮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.125,21.8776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5944, 586, '440883', '梅录街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.786,21.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5945, 586, '440883', '长岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.729,21.5477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5946, 586, '440883', '浅水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.742,21.604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5947, 586, '440883', '吴阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.627,21.3408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5948, 586, '440883', '大山江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.805,21.4452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5949, 586, '440883', '振文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.755,21.4157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5950, 586, '440883', '塘尾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.714,21.4084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5951, 586, '440883', '兰石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.85,21.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5952, 586, '440883', '黄坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.564,21.3535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5953, 586, '440883', '覃巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.876,21.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5954, 586, '440883', '塘缀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.508,21.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5955, 586, '440883', '博铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.786,21.4526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5956, 586, '440883', '王村港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.941,21.4425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5957, 586, '440883', '海滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.764,21.4083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5958, 586, '440883', '樟铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.678,21.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5959, 587, '440825', '海安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.218,20.2995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5960, 587, '440825', '前山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.59,20.382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5961, 587, '440825', '友好农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.28,20.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5962, 587, '440825', '华海公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.299,20.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5963, 587, '440825', '西连镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.871,20.4042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5964, 587, '440825', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.302,20.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5965, 587, '440825', '城北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.118,20.4015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5966, 587, '440825', '南华农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.157,20.434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5967, 587, '440825', '下洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.42,20.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5968, 587, '440825', '南山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.223,20.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5969, 587, '440825', '迈陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.973,20.3858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5970, 587, '440825', '徐城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.147,20.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5971, 587, '440825', '红星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.386,20.4476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5972, 587, '440825', '下桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.206,20.5361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5973, 587, '440825', '曲界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.271,20.4555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5974, 587, '440825', '锦和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.355,20.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5975, 587, '440825', '角尾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.972,20.3115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5976, 587, '440825', '五一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.182,20.4568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5977, 587, '440825', '新寮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.377,20.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5978, 587, '440825', '和安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.435,20.6988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5979, 588, '440882', '湛江市奋勇经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.045,20.998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5980, 588, '440882', '广东省国营幸福农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.064,20.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5981, 588, '440882', '纪家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.863,21.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5982, 588, '440882', '企水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.791,20.8031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5983, 588, '440882', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.06,20.9252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5984, 588, '440882', '广东省国营火炬农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.938,20.7035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5985, 588, '440882', '东里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.303,20.8117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5986, 588, '440882', '广东省丰收糖业发展有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.174,20.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5987, 588, '440882', '北和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.881,20.7499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5988, 588, '440882', '调风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.206,20.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5989, 588, '440882', '雷高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.143,20.7909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5990, 588, '440882', '附城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.078,20.9953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5991, 588, '440882', '唐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.781,20.8146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5992, 588, '440882', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.971,20.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5993, 588, '440882', '松竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.009,20.8083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5994, 588, '440882', '英利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.181,20.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5995, 588, '440882', '湛江农垦金星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.098,20.6898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5996, 588, '440882', '湛江农垦东方红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.088,20.4933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5997, 588, '440882', '西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.079,20.9317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5998, 588, '440882', '覃斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.906,20.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (5999, 588, '440882', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.101,20.686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6000, 588, '440882', '雷城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.098,20.9179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6001, 588, '440882', '南兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.054,20.7858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6002, 588, '440882', '乌石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.903,20.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6003, 588, '440882', '沈塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.06,21.0067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6004, 588, '440882', '客路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.986,21.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6005, 588, '440882', '杨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.9,20.9977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6006, 589, '440811', '湖光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.245,21.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6007, 589, '440811', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.43,21.0983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6008, 589, '440811', '民安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.364,21.0426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6009, 589, '440811', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.135,21.0696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6010, 589, '440811', '湖光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.222,21.2717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6011, 589, '440811', '硇洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.59,20.9531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6012, 589, '440811', '东简镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.502,20.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6013, 589, '440811', '麻章镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.253,21.298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6014, 590, '440804', '乾塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.607,21.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6015, 590, '440804', '龙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.534,21.4024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6016, 590, '440804', '南三镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.525,21.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6017, 590, '440804', '南调街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.462,21.2315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6018, 590, '440804', '麻斜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.457,21.2263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6019, 590, '440804', '中海石油南海西部公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.463,21.233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6020, 590, '440804', '坡头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.51,21.2982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6021, 590, '440804', '湛江市坡头区官渡工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.408,21.4053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6022, 590, '440804', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.455,21.4406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6023, 591, '440803', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.405,21.2008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6024, 591, '440803', '海头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.373,21.2166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6025, 591, '440803', '爱国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.421,21.1858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6026, 591, '440803', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.395,21.1762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6027, 591, '440803', '新园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.392,21.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6028, 591, '440803', '东新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.371,21.1976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6029, 591, '440803', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.395,21.1754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6030, 591, '440803', '乐华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.397,21.2348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6031, 591, '440803', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.386,21.1714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6032, 591, '440803', '海滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.416,21.1977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6033, 591, '440803', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.374,21.1972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6034, 591, '440803', '泉庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.42,21.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6035, 592, '440823', '黄略镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.294,21.3793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6036, 592, '440823', '草潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.851,21.3101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6037, 592, '440823', '广前公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.058,21.265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6038, 592, '440823', '建新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.223,21.1804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6039, 592, '440823', '城月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.14,21.2239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6040, 592, '440823', '界炮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.967,21.4193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6041, 592, '440823', '江洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.748,21.055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6042, 592, '440823', '杨柑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.845,21.3178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6043, 592, '440823', '河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.882,21.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6044, 592, '440823', '乌塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.035,21.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6045, 592, '440823', '北坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.867,21.2646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6046, 592, '440823', '岭北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.127,21.3083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6047, 592, '440823', '乐民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.67,21.0936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6048, 592, '440823', '遂城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.186,21.5015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6049, 592, '440823', '洋青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.068,21.437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6050, 592, '440823', '港门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.87,21.2425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6051, 593, '440802', '调顺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.407,21.3111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6052, 593, '440802', '寸金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.336,21.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6053, 593, '440802', '沙湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.377,21.2852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6054, 593, '440802', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.355,21.2846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6055, 593, '440802', '北桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.354,21.3071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6056, 593, '440802', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.374,21.2906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6057, 593, '440802', '中华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.35,21.2666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6058, 593, '440802', '南桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.343,21.2356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6059, 594, '440403', '莲洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.183,22.3698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6060, 594, '440403', '井岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.275,22.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6061, 594, '440403', '斗门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.224,22.2958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6062, 594, '440403', '乾务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.087,22.0935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6063, 594, '440403', '白蕉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.254,22.2857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6064, 594, '440403', '白藤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.314,22.1515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6065, 595, '440404', '航空产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.377,22.0022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6066, 595, '440404', '联港工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.31,22.0966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6067, 595, '440404', '南水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.12,21.8904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6068, 595, '440404', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.264,22.0935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6069, 595, '440404', '平沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.193,22.1363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6070, 595, '440404', '三灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.368,21.9938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6071, 596, '440402', '狮山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.566,22.2771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6072, 596, '440402', '大学园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.515,22.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6073, 596, '440402', '拱北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.559,22.2354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6074, 596, '440402', '担杆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.09,21.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6075, 596, '440402', '香湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.556,22.3165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6076, 596, '440402', '翠香街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.558,22.3019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6077, 596, '440402', '万山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.729,21.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6078, 596, '440402', '南屏科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.461,22.2094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6079, 596, '440402', '保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.537,22.2086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6080, 596, '440402', '金鼎工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.515,22.3829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6081, 596, '440402', '洪湾商贸物流中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.474,22.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6082, 596, '440402', '吉大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.605,22.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6083, 596, '440402', '桂山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.71,22.1272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6084, 596, '440402', '梅华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.549,22.2677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6085, 596, '440402', '南屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.45,22.2094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6086, 596, '440402', '前山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.514,22.2703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6087, 596, '440402', '唐家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.617,22.3247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6088, 596, '440402', '前山商贸物流中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.478,22.3034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6089, 596, '440402', '湾仔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.484,22.1753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6090, 596, '440402', '横琴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.552,22.1332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6091, 597, '445122', '柘林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.068,23.5389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6092, 597, '445122', '饶洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.819,24.1334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6093, 597, '445122', '汤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.87,23.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6094, 597, '445122', '钱东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.831,23.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6095, 597, '445122', '樟溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.842,23.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6096, 597, '445122', '新丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.839,24.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6097, 597, '445122', '建饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.92,24.0578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6098, 597, '445122', '新塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.751,23.9004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6099, 597, '445122', '浮山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.907,23.9071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6100, 597, '445122', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.964,23.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6101, 597, '445122', '上饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.956,24.2171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6102, 597, '445122', '汫洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.91,23.6044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6103, 597, '445122', '高堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.916,23.7284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6104, 597, '445122', '韩江林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.709,24.0245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6105, 597, '445122', '黄冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.969,23.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6106, 597, '445122', '浮滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.833,23.8664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6107, 597, '445122', '海山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.914,23.5121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6108, 597, '445122', '三饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.815,24.031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6109, 597, '445122', '联饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.926,23.7453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6110, 597, '445122', '大埕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.138,23.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6111, 597, '445122', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.934,23.9797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6112, 597, '445122', '所城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.123,23.6512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6113, 598, '445102', '官塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.754,23.6634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6114, 598, '445102', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.644,23.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6115, 598, '445102', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.638,23.6721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6116, 598, '445102', '铁铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.821,23.659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6117, 598, '445102', '西新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.641,23.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6118, 598, '445102', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.65,23.6692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6119, 598, '445102', '磷溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.739,23.7128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6120, 598, '445102', '桥东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.687,23.6704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6121, 598, '445102', '南春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.639,23.6552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6122, 598, '445102', '意溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.733,23.7056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6123, 598, '445102', '湘桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,23.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6124, 598, '445102', '红山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.717,23.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6125, 598, '445102', '凤新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.615,23.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6126, 598, '445102', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.607,23.6781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6127, 598, '445102', '西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.638,23.6713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6128, 599, '445103', '东山湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.558,23.9051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6129, 599, '445103', '归湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.643,23.8797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6130, 599, '445103', '江东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.632,23.6137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6131, 599, '445103', '庵埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.656,23.4687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6132, 599, '445103', '大坑苗圃场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.558,23.9059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6133, 599, '445103', '浮洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,23.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6134, 599, '445103', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.566,23.5465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6135, 599, '445103', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.629,23.9737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6136, 599, '445103', '龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.617,23.5775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6137, 599, '445103', '文祠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.669,23.8215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6138, 599, '445103', '登塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.44,23.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6139, 599, '445103', '东凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.668,23.5133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6140, 599, '445103', '彩塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.679,23.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6141, 599, '445103', '凤塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.585,23.6255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6142, 599, '445103', '古巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.54,23.7474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6143, 599, '445103', '万峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.606,23.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6144, 599, '445103', '枫溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,23.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6145, 599, '445103', '赤凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.558,23.903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6146, 599, '445103', '庵埠经济开发试验区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.685,23.4722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6147, 599, '445103', '金石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.605,23.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6148, 600, '440983', '思贺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.621,22.5208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6149, 600, '440983', '合水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.382,22.3741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6150, 600, '440983', '贵子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.134,22.6719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6151, 600, '440983', '洪冠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.094,22.4897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6152, 600, '440983', '新宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.475,22.4947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6153, 600, '440983', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.951,22.2985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6154, 600, '440983', '茶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.11,22.5963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6155, 600, '440983', '信宜市国营红旗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.843,22.2718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6156, 600, '440983', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.056,22.4014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6157, 600, '440983', '池洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.866,22.4988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6158, 600, '440983', '钱排镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.239,22.3184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6159, 600, '440983', '大成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.223,22.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6160, 600, '440983', '怀乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.007,22.4176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6161, 600, '440983', '镇隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.844,22.2667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6162, 600, '440983', '东镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.93,22.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6163, 600, '440983', '金垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.796,22.5614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6164, 600, '440983', '平塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.393,22.5127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6165, 600, '440983', '丁堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.022,22.3321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6166, 600, '440983', '朱砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.024,22.6513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6167, 600, '440983', '北界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.847,22.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6168, 601, '440981', '石鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.667,21.7875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6169, 601, '440981', '谢鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.994,21.9557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6170, 601, '440981', '宝光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.747,21.9493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6171, 601, '440981', '大井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.793,22.1605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6172, 601, '440981', '马贵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.349,22.2071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6173, 601, '440981', '新垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.03,21.9952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6174, 601, '440981', '荷塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.649,22.0051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6175, 601, '440981', '胜利农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.879,21.87', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6176, 601, '440981', '古丁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.231,22.2524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6177, 601, '440981', '镇江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.663,21.8595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6178, 601, '440981', '团结农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.877,21.869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6179, 601, '440981', '泗水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.92,21.8512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6180, 601, '440981', '长坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.986,22.0884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6181, 601, '440981', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.62,21.9518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6182, 601, '440981', '山美街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.873,21.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6183, 601, '440981', '东岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.049,22.2669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6184, 601, '440981', '石仔岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.795,21.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6185, 601, '440981', '石板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.777,22.2201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6186, 601, '440981', '根子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.013,21.8335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6187, 601, '440981', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.103,22.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6188, 601, '440981', '潭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.754,22.1594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6189, 601, '440981', '深镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.203,22.2628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6190, 601, '440981', '大坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.316,22.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6191, 601, '440981', '火星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.88,21.8708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6192, 601, '440981', '荷花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.727,22.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6193, 601, '440981', '潘州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.867,21.8846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6194, 601, '440981', '云潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.217,21.9687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6195, 601, '440981', '分界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.959,21.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6196, 601, '440981', '曹江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.961,22.042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6197, 601, '440981', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.848,21.8147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6198, 601, '440981', '南塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.748,22.1142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6199, 602, '440982', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.392,21.6492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6200, 602, '440982', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.653,21.6553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6201, 602, '440982', '同庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.744,21.6037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6202, 602, '440982', '林尘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.647,21.8441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6203, 602, '440982', '石湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.581,21.7165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6204, 602, '440982', '建设农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.522,22.1457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6205, 602, '440982', '江湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.663,21.8827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6206, 602, '440982', '良光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.488,21.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6207, 602, '440982', '笪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.432,21.556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6208, 602, '440982', '丽岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.651,21.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6209, 602, '440982', '下郭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.582,21.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6210, 602, '440982', '长岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.702,21.5691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6211, 602, '440982', '红阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.541,22.1323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6212, 602, '440982', '杨梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.576,21.5307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6213, 602, '440982', '新时代农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.526,22.1441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6214, 602, '440982', '鉴江开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.653,21.6551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6215, 602, '440982', '那务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.664,22.0822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6216, 602, '440982', '宝圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.643,22.1539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6217, 602, '440982', '和平农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.516,22.1102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6218, 602, '440982', '新华农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.51,22.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6219, 602, '440982', '南盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.732,21.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6220, 602, '440982', '播扬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.523,22.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6221, 602, '440982', '合江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.523,22.0082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6222, 602, '440982', '红峰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.541,22.1763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6223, 602, '440982', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.484,21.6947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6224, 602, '440982', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.588,21.6504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6225, 602, '440982', '文楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.466,22.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6226, 602, '440982', '中垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.392,21.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6227, 602, '440982', '石滩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.54,22.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6228, 602, '440982', '平定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.354,22.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6229, 603, '440904', '黄岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.189,21.794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6230, 603, '440904', '陈村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.097,21.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6231, 603, '440904', '岭门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.35,21.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6232, 603, '440904', '林头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.073,21.7012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6233, 603, '440904', '望夫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.304,21.7222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6234, 603, '440904', '麻岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.214,21.526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6235, 603, '440904', '新华农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.35,21.5605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6236, 603, '440904', '电海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.068,21.5558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6237, 603, '440904', '树仔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.257,21.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6238, 603, '440904', '旦场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.144,21.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6239, 603, '440904', '观珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.15,21.7118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6240, 603, '440904', '小良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.945,21.5325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6241, 603, '440904', '沙院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.928,21.4915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6242, 603, '440904', '南海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.013,21.4561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6243, 603, '440904', '坡心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111,21.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6244, 603, '440904', '电城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.386,21.4489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6245, 603, '440904', '罗坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.261,21.857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6246, 603, '440904', '霞洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.127,21.7851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6247, 603, '440904', '高地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.984,21.4673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6248, 603, '440904', '马踏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.335,21.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6249, 603, '440904', '博贺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.183,21.5122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6250, 603, '440904', '曙光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.224,21.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6251, 603, '440904', '水丰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.239,21.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6252, 603, '440904', '沙琅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.206,21.7707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6253, 603, '440904', '那霍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.215,21.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6254, 603, '440904', '电白盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.292,21.4973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6255, 603, '440904', '水东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.993,21.5125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6256, 603, '440904', '七迳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.024,21.5639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6257, 604, '440902', '茂南开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.922,21.644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6258, 604, '440902', '官渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.909,21.6727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6259, 604, '440902', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.906,21.6632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6260, 604, '440902', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.865,21.6702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6261, 604, '440902', '金塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.8,21.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6262, 604, '440902', '镇盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.799,21.6062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6263, 604, '440902', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.902,21.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6264, 604, '440902', '羊角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.019,21.654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6265, 604, '440902', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.906,21.6497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6266, 604, '440902', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.884,21.6636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6267, 604, '440902', '公馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.868,21.6732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6268, 604, '440902', '山阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.916,21.7834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6269, 604, '440902', '露天矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.885,21.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6270, 604, '440902', '新坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.897,21.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6271, 604, '440902', '鳌头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.847,21.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6272, 604, '440902', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.865,21.678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6273, 604, '440902', '袂花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.933,21.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6274, 605, '440784', '宅梧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.689,22.7562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6275, 605, '440784', '江门市四堡林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.771,22.6768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6276, 605, '440784', '共和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.897,22.6294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6277, 605, '440784', '鹤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.912,22.6688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6278, 605, '440784', '沙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.93,22.772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6279, 605, '440784', '古劳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.868,22.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6280, 605, '440784', '桃源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.868,22.6753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6281, 605, '440784', '双合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.506,22.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6282, 605, '440784', '雅瑶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.972,22.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6283, 605, '440784', '龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.902,22.8024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6284, 605, '440784', '址山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.714,22.5879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6285, 605, '440784', '广东省江门监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.666,22.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6286, 606, '440704', '礼乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.12,22.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6287, 606, '440704', '外海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.112,22.5818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6288, 606, '440704', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.125,22.5963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6289, 607, '440783', '蚬冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.489,22.2724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6290, 607, '440783', '龙胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.401,22.6195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6291, 607, '440783', '金鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.409,22.149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6292, 607, '440783', '马冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.422,22.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6293, 607, '440783', '赤水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.595,22.0582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6294, 607, '440783', '赤坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.586,22.2809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6295, 607, '440783', '翠山湖新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.668,22.4258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6296, 607, '440783', '百合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.532,22.2835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6297, 607, '440783', '大沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.355,22.5562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6298, 607, '440783', '月山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.739,22.5421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6299, 607, '440783', '苍城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.601,22.6', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6300, 607, '440783', '塘口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.587,22.4049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6301, 607, '440783', '长沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.613,22.4134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6302, 607, '440783', '三埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.657,22.43', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6303, 607, '440783', '沙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.569,22.468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6304, 607, '440783', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,22.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6305, 608, '440781', '广海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.697,21.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6306, 608, '440781', '台城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.708,22.255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6307, 608, '440781', '斗山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.84,22.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6308, 608, '440781', '赤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.029,21.7742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6309, 608, '440781', '水步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.909,22.3411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6310, 608, '440781', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.772,22.21', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6311, 608, '440781', '汶村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.522,21.8104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6312, 608, '440781', '都斛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.962,22.1305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6313, 608, '440781', '川岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.815,21.7053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6314, 608, '440781', '端芬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.637,22.0492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6315, 608, '440781', '深井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.487,22.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6316, 608, '440781', '大江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.818,22.4374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6317, 608, '440781', '冲蒌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.833,22.163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6318, 608, '440781', '华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.559,21.8205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6319, 608, '440781', '北陡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.356,21.8366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6320, 608, '440781', '四九镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.969,22.2584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6321, 608, '440781', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.609,22.2868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6322, 608, '440781', '海宴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,21.8349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6323, 609, '440785', '沙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.408,22.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6324, 609, '440785', '良西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.323,22.3635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6325, 609, '440785', '恩城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.245,22.2371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6326, 609, '440785', '东成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.42,22.2569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6327, 609, '440785', '君堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.394,22.3265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6328, 609, '440785', '大田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.114,22.3545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6329, 609, '440785', '那吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.022,22.2387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6330, 609, '440785', '横陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.295,22.0776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6331, 609, '440785', '大槐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.231,22.1525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6332, 609, '440785', '牛江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.22,22.3943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6333, 609, '440785', '圣堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.391,22.3323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6334, 610, '440705', '大泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.956,22.561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6335, 610, '440705', '大鳌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.177,22.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6336, 610, '440705', '崖门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.967,22.2084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6337, 610, '440705', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.129,22.5012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6338, 610, '440705', '圭峰管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.981,22.5305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6339, 610, '440705', '古井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.155,22.3762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6340, 610, '440705', '双水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.907,22.3527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6341, 610, '440705', '银湖湾管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.017,22.1248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6342, 610, '440705', '睦洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.229,22.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6343, 610, '440705', '沙堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.121,22.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6344, 610, '440705', '罗坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.865,22.3862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6345, 610, '440705', '司前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.828,22.5497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6346, 610, '440705', '新会经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.035,22.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6347, 610, '440705', '会城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,22.5419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6348, 611, '440703', '棠下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.007,22.6942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6349, 611, '440703', '潮连街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.109,22.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6350, 611, '440703', '荷塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.111,22.6507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6351, 611, '440703', '杜阮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.967,22.6048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6352, 611, '440703', '白沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.082,22.5967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6353, 611, '440703', '环市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.074,22.636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6354, 612, '441624', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.176,24.6523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6355, 612, '441624', '大坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,24.5915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6356, 612, '441624', '公白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.949,24.3285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6357, 612, '441624', '林寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.004,24.2838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6358, 612, '441624', '上陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.936,24.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6359, 612, '441624', '彭寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.139,24.4138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6360, 612, '441624', '热水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.744,24.4727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6361, 612, '441624', '东水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.16,24.1791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6362, 612, '441624', '古寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.123,24.3664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6363, 612, '441624', '优胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,24.582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6364, 612, '441624', '阳明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.864,24.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6365, 612, '441624', '贝墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.146,24.5141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6366, 612, '441624', '合水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.889,24.3994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6367, 612, '441624', '下车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.1,24.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6368, 612, '441624', '浰源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.751,24.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6369, 612, '441624', '青州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.818,24.3181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6370, 612, '441624', '礼士镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.008,24.2787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6371, 613, '441622', '登云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.39,24.0584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6372, 613, '441622', '紫市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.305,23.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6373, 613, '441622', '义都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.222,24.1603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6374, 613, '441622', '通衢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.282,24.0795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6375, 613, '441622', '车田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.327,24.3938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6376, 613, '441622', '田心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.474,24.3291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6377, 613, '441622', '贝岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.35,24.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6378, 613, '441622', '佗城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.239,24.0495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6379, 613, '441622', '赤光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.41,24.4479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6380, 613, '441622', '龙母镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.341,24.2483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6381, 613, '441622', '丰稔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.319,24.2532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6382, 613, '441622', '黄布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.278,24.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6383, 613, '441622', '岩镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.415,24.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6384, 613, '441622', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.498,24.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6385, 613, '441622', '老隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.319,24.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6386, 613, '441622', '鹤市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,24.0381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6387, 613, '441622', '细坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.366,24.6969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6388, 613, '441622', '四都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.272,24.2664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6389, 613, '441622', '麻布岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.388,24.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6390, 613, '441622', '黎咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.313,24.3838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6391, 613, '441622', '黄石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.207,24.3521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6392, 613, '441622', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.467,24.4462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6393, 613, '441622', '铁场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,24.2001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6394, 613, '441622', '上坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.381,24.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6395, 614, '441623', '隆街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.293,24.175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6396, 614, '441623', '三角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.787,24.1521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6397, 614, '441623', '大湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.795,24.2726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6398, 614, '441623', '油溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.594,24.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6399, 614, '441623', '元善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.46,24.5059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6400, 614, '441623', '忠信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.775,24.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6401, 614, '441623', '陂头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.391,24.5336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6402, 614, '441623', '田源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.496,24.1927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6403, 614, '441623', '上坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.622,24.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6404, 614, '441623', '高莞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.726,24.3469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6405, 614, '441623', '绣缎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,24.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6406, 614, '441623', '内莞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.741,24.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6407, 614, '441623', '溪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.433,24.3256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6408, 615, '441625', '灯塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.801,23.9173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6409, 615, '441625', '蓝口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.037,23.8771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6410, 615, '441625', '黄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.2,23.8659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6411, 615, '441625', '曾田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.965,24.0623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6412, 615, '441625', '上莞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.965,24.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6413, 615, '441625', '叶潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.115,23.901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6414, 615, '441625', '船塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.853,24.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6415, 615, '441625', '康禾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.11,23.8861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6416, 615, '441625', '锡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.379,23.9507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6417, 615, '441625', '涧头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.625,24.052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6418, 615, '441625', '义合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,23.9292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6419, 615, '441625', '半江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.593,24.0738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6420, 615, '441625', '新回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.493,23.836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6421, 615, '441625', '黄田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.953,23.9186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6422, 615, '441625', '双江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.59,24.0003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6423, 615, '441625', '骆湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.848,24.1066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6424, 615, '441625', '顺天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.852,24.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6425, 615, '441625', '新港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.695,23.9145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6426, 615, '441625', '柳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.072,24.0152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6427, 615, '441625', '仙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.798,23.9048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6428, 615, '441625', '漳溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.885,24.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6429, 616, '441602', '高埔岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.632,23.6387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6430, 616, '441602', '新江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.697,23.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6431, 616, '441602', '东埔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.701,23.7867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6432, 616, '441602', '上城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.7,23.728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6433, 616, '441602', '源南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.667,23.723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6434, 616, '441602', '埔前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.619,23.6244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6435, 616, '441602', '源西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.687,23.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6436, 617, '441621', '瓦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.098,23.5106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6437, 617, '441621', '凤安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.891,23.4843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6438, 617, '441621', '古竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.791,23.495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6439, 617, '441621', '南岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.424,23.2772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6440, 617, '441621', '黄塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.978,23.7248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6441, 617, '441621', '蓝塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.987,23.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6442, 617, '441621', '龙窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.346,23.5217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6443, 617, '441621', '紫城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.143,23.6952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6444, 617, '441621', '苏区镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.306,23.3385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6445, 617, '441621', '柏埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.798,23.6856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6446, 617, '441621', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.674,23.5894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6447, 617, '441621', '义容镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.943,23.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6448, 617, '441621', '上义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.777,23.3135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6449, 617, '441621', '水墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,23.6142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6450, 617, '441621', '好义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.709,23.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6451, 617, '441621', '敬梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.451,23.7067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6452, 617, '441621', '九和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.01,23.494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6453, 617, '441621', '中坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.272,23.7404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6454, 618, '445322', '同乐林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.408,23.1979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6455, 618, '445322', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.682,22.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6456, 618, '445322', '大方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.553,22.9898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6457, 618, '445322', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.57,22.8169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6458, 618, '445322', '宋桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.828,22.9221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6459, 618, '445322', '西江林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.882,23.0225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6460, 618, '445322', '东坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.777,23.0307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6461, 618, '445322', '平台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.355,23.2843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6462, 618, '445322', '都城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.465,23.2761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6463, 618, '445322', '大历林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.647,23.106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6464, 618, '445322', '宝珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.583,23.088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6465, 618, '445322', '历洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.701,23.0513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6466, 618, '445322', '南江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.877,23.1129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6467, 618, '445322', '通门林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.412,23.006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6468, 618, '445322', '建城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.692,23.0901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6469, 618, '445322', '千官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.556,22.9304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6470, 618, '445322', '通门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.455,23.0215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6471, 618, '445322', '桂圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.543,23.1834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6472, 618, '445322', '连滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.707,22.9895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6473, 619, '445381', '金鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.794,22.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6474, 619, '445381', '双东镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.629,22.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6475, 619, '445381', '船步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.65,22.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6476, 619, '445381', '罗平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.542,22.6631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6477, 619, '445381', '华石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.632,22.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6478, 619, '445381', '罗镜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.343,22.5869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6479, 619, '445381', '苹塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.754,22.7864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6480, 619, '445381', '满塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.717,22.641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6481, 619, '445381', '连州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.435,22.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6482, 619, '445381', '分界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.321,22.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6483, 619, '445381', '林滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.268,22.7698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6484, 619, '445381', '罗城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.596,22.7793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6485, 619, '445381', '附城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.403,22.9449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6486, 619, '445381', '泗纶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.306,22.7929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6487, 619, '445381', '罗平农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,22.5766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6488, 619, '445381', '龙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.136,22.6438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6489, 619, '445381', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.461,22.4439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6490, 619, '445381', '生江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.492,22.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6491, 619, '445381', '黎少镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.353,22.7817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6492, 619, '445381', '围底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.787,22.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6493, 619, '445381', '素龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.589,22.7624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6494, 619, '445381', '加益镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.151,22.7418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6495, 620, '445321', '天堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.043,22.5712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6496, 620, '445321', '云浮市国有水台林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.505,22.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6497, 620, '445321', '水台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.508,22.6113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6498, 620, '445321', '里洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.201,22.5052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6499, 620, '445321', '车岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.309,22.8331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6500, 620, '445321', '国营新兴县岩头林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.324,22.755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6501, 620, '445321', '六祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.188,22.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6502, 620, '445321', '大江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.174,22.4439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6503, 620, '445321', '簕竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.144,22.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6504, 620, '445321', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.302,22.8024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6505, 620, '445321', '稔村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.381,22.5951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6506, 620, '445321', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.268,22.6836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6507, 620, '445321', '东成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.267,22.7162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6508, 620, '445321', '广东省西江林业局良洞迳林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.111,22.7432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6509, 620, '445321', '河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.032,22.6427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6510, 621, '445302', '河口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.05,23.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6511, 621, '445302', '高峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.997,22.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6512, 621, '445302', '腰古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.287,22.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6513, 621, '445302', '云城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.056,22.9739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6514, 621, '445302', '前锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.141,22.8839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6515, 621, '445302', '南盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.061,22.892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6516, 621, '445302', '安塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.13,22.88', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6517, 621, '445302', '思劳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.206,23.0033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6518, 622, '445303', '石城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.033,22.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6519, 622, '445303', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.842,22.9552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6520, 622, '445303', '富林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.871,22.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6521, 622, '445303', '都杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.299,23.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6522, 622, '445303', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.772,22.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6523, 622, '445303', '六都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.901,23.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6524, 622, '445303', '大云雾林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.948,22.643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6525, 622, '445303', '镇安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.933,22.8384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6526, 623, '441521', '小漠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.009,22.7414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6527, 623, '441521', '黄羌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.326,23.1602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6528, 623, '441521', '公平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.301,23.0932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6529, 623, '441521', '陶河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.424,22.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6530, 623, '441521', '可塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.446,22.9967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6531, 623, '441521', '赤石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.083,23.0062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6532, 623, '441521', '鹅埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.94,22.8784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6533, 623, '441521', '平东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.451,23.0271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6534, 623, '441521', '赤坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.457,22.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6535, 623, '441521', '海城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.271,23.0929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6536, 623, '441521', '附城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.278,22.991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6537, 623, '441521', '城东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.369,23.0274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6538, 623, '441521', '大湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.529,22.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6539, 623, '441521', '梅陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.151,22.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6540, 623, '441521', '联安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.287,22.9467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6541, 623, '441521', '梅陇农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.254,22.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6542, 623, '441521', '鮜门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.118,22.7818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6543, 624, '441523', '河田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.619,23.3457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6544, 624, '441523', '上护镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.572,23.2179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6545, 624, '441523', '南万镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.475,23.2883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6546, 624, '441523', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.539,23.2812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6547, 624, '441523', '水唇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.717,23.2989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6548, 624, '441523', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.637,23.2128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6549, 624, '441523', '螺溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.536,23.3917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6550, 624, '441523', '东坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.687,23.2367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6551, 625, '441581', '碣石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.835,22.7229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6552, 625, '441581', '八万镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.694,23.0645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6553, 625, '441581', '华侨管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.904,22.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6554, 625, '441581', '铜锣湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.888,23.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6555, 625, '441581', '东海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.66,22.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6556, 625, '441581', '陂洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.922,23.098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6557, 625, '441581', '甲子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.061,22.8744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6558, 625, '441581', '甲东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.11,22.8143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6559, 625, '441581', '湖东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.004,22.8695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6560, 625, '441581', '博美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.75,22.9647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6561, 625, '441581', '桥冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.759,22.8727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6562, 625, '441581', '内湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,23.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6563, 625, '441581', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.571,23.0108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6564, 625, '441581', '湖东林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.91,22.7855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6565, 625, '441581', '河东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.702,23.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6566, 625, '441581', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.66,22.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6567, 625, '441581', '南塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,22.9947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6568, 625, '441581', '甲西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.02,22.9354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6569, 625, '441581', '星都经济开发试验区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.508,22.991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6570, 625, '441581', '畜牧果林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.678,23.0081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6571, 625, '441581', '上英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.605,22.8728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6572, 625, '441581', '东海岸林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.185,22.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6573, 625, '441581', '红岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.599,23.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6574, 625, '441581', '潭西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.56,22.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6575, 625, '441581', '大安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.587,23.1097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6576, 625, '441581', '罗经嶂林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,23.0101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6577, 625, '441581', '金厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.676,22.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6578, 625, '441581', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.599,23.1303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6579, 625, '441581', '西南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.564,23.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6580, 626, '441502', '马宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.196,22.7348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6581, 626, '441502', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.347,22.7191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6582, 626, '441502', '东洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.488,22.6333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6583, 626, '441502', '田墘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.499,22.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6584, 626, '441502', '东涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.386,22.807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6585, 626, '441502', '凤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.404,22.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6586, 626, '441502', '遮浪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.544,22.6542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6587, 626, '441502', '香洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.311,22.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6588, 626, '441502', '捷胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.429,22.6657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6589, 626, '441502', '红草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.29,22.8214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6590, 627, '441781', '南山矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.969,22.6151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6591, 627, '441781', '八甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.499,22.013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6592, 627, '441781', '春湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.919,22.3824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6593, 627, '441781', '岗桥管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.963,22.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6594, 627, '441781', '松柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.768,22.5154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6595, 627, '441781', '阳春监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.953,22.6071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6596, 627, '441781', '双窖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.429,22.1767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6597, 627, '441781', '河尾山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.968,22.6164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6598, 627, '441781', '东湖林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.965,22.6176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6599, 627, '441781', '河朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.86,22.6183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6600, 627, '441781', '三甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.568,22.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6601, 627, '441781', '石录矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.961,22.6219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6602, 627, '441781', '岗美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.68,22.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6603, 627, '441781', '陂面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.829,22.3731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6604, 627, '441781', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.636,22.0101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6605, 627, '441781', '合水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.971,22.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6606, 627, '441781', '马水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.611,22.1829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6607, 627, '441781', '圭岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.692,22.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6608, 627, '441781', '潭水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.601,22.1455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6609, 627, '441781', '硫铁矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.972,22.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6610, 627, '441781', '石望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.97,22.6171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6611, 627, '441781', '花滩林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.965,22.6207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6612, 627, '441781', '三叶农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.963,22.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6613, 627, '441781', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.458,22.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6614, 627, '441781', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.717,22.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6615, 627, '441781', '春城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.853,22.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6616, 628, '441702', '平冈农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.867,21.7018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6617, 628, '441702', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.934,21.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6618, 628, '441702', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.011,21.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6619, 628, '441702', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.957,21.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6620, 628, '441702', '平冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.806,21.792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6621, 628, '441702', '闸坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.82,21.5568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6622, 628, '441702', '海陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.112,21.5296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6623, 628, '441702', '岗列街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.982,21.8407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6624, 628, '441702', '阳江林场罗琴分场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.942,21.5946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6625, 628, '441702', '埠场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.911,21.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6626, 628, '441702', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.988,21.8403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6627, 628, '441702', '中洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.901,21.9124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6628, 628, '441702', '白沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.798,21.8385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6629, 628, '441702', '南恩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.965,21.8686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6630, 628, '441702', '双捷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.76,21.9157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6631, 628, '441702', '红十月农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.767,21.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6632, 629, '441721', '沙扒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.471,21.4758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6633, 629, '441721', '阳江林场儒洞分场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.493,21.6459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6634, 629, '441721', '儒洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.5,21.6503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6635, 629, '441721', '上洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.642,21.5099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6636, 629, '441721', '溪头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.702,21.5449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6637, 629, '441721', '织篢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.618,21.8078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6638, 629, '441721', '程村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.664,21.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6639, 629, '441721', '塘口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.514,21.8752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6640, 629, '441721', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.475,21.8091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6641, 629, '441721', '织贡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,21.7873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6642, 630, '441704', '那龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,22.0658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6643, 630, '441704', '阳江监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.177,21.9879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6644, 630, '441704', '大沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.152,21.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6645, 630, '441704', '阳东林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.947,22.2542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6646, 630, '441704', '阳江林场田畔分场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.167,22.086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6647, 630, '441704', '东平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.229,21.7252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6648, 630, '441704', '北惯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.017,21.9817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6649, 630, '441704', '大八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.948,22.2259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6650, 630, '441704', '阳江林场宝山分场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.125,21.8775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6651, 630, '441704', '红五月农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.862,21.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6652, 630, '441704', '红丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.861,21.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6653, 630, '441704', '阳江林场东岸分场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.971,21.9643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6654, 630, '441704', '鸡山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.22,21.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6655, 630, '441704', '雅韶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.038,21.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6656, 630, '441704', '塘坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.863,21.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6657, 630, '441704', '新洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.179,21.9583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6658, 630, '441704', '合山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.185,21.9905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6659, 630, '441704', '东城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.007,21.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6660, 630, '441704', '阳东原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.129,21.9686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6661, 631, '445281', '马鞍山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.018,23.1734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6662, 631, '445281', '流沙西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.174,23.2915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6663, 631, '445281', '南溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.267,23.5194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6664, 631, '445281', '梅林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.872,23.2757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6665, 631, '445281', '流沙南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.191,23.2885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6666, 631, '445281', '梅塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.127,23.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6667, 631, '445281', '赤岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.179,23.4963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6668, 631, '445281', '南径镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.249,23.372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6669, 631, '445281', '麒麟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.293,23.4215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6670, 631, '445281', '后溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.741,23.21', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6671, 631, '445281', '流沙北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.175,23.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6672, 631, '445281', '船埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.831,23.2422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6673, 631, '445281', '流沙东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.225,23.3364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6674, 631, '445281', '广太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.244,23.4601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6675, 631, '445281', '里湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.958,23.3517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6676, 631, '445281', '大坪农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.817,23.2157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6677, 631, '445281', '占陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.314,23.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6678, 631, '445281', '高埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.956,23.1854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6679, 631, '445281', '军埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.299,23.2635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6680, 631, '445281', '云落镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.014,23.1876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6681, 631, '445281', '下架山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.229,23.2751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6682, 631, '445281', '大池农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.929,23.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6683, 631, '445281', '洪阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.246,23.4593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6684, 631, '445281', '普侨区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.847,23.3183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6685, 631, '445281', '燎原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.167,23.3569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6686, 631, '445281', '三坑农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.161,23.2473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6687, 631, '445281', '英歌山工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,23.4027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6688, 631, '445281', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.829,23.1253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6689, 631, '445281', '池尾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.134,23.3172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6690, 631, '445281', '科技工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.14,23.3185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6691, 631, '445281', '大坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.18,23.4075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6692, 631, '445281', '乌石农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.15,23.3272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6693, 631, '445281', '大南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.165,23.2565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6694, 632, '445222', '凤江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.095,23.4468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6695, 632, '445222', '河婆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.819,23.3536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6696, 632, '445222', '金和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.065,23.4591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6697, 632, '445222', '油桐林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.794,23.3877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6698, 632, '445222', '大溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.959,23.4558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6699, 632, '445222', '北山农林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.924,23.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6700, 632, '445222', '五云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.824,23.3799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6701, 632, '445222', '上砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.622,23.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6702, 632, '445222', '灰寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.017,23.5031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6703, 632, '445222', '坪上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.852,23.4184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6704, 632, '445222', '京溪园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.03,23.5495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6705, 632, '445222', '五经富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.101,23.5591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6706, 632, '445222', '县苗圃场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.096,23.5603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6707, 632, '445222', '塔头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.052,23.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6708, 632, '445222', '东园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.129,23.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6709, 632, '445222', '果林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.975,23.54', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6710, 632, '445222', '棉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.151,23.4441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6711, 632, '445222', '钱坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.995,23.4178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6712, 632, '445222', '南山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.988,23.5494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6713, 632, '445222', '良田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.821,23.6259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6714, 632, '445222', '高田农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,23.4603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6715, 632, '445222', '河輋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.825,23.626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6716, 632, '445222', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.9,23.4543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6717, 633, '445224', '青坑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,23.1484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6718, 633, '445224', '华湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.319,23.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6719, 633, '445224', '揭阳市大南山华侨管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.016,23', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6720, 633, '445224', '东陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.235,23.0438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6721, 633, '445224', '揭阳惠来沿海经济开发试验区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.158,22.9495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6722, 633, '445224', '溪西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.107,23.0308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6723, 633, '445224', '东埔农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.107,22.9817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6724, 633, '445224', '靖海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.566,23.0395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6725, 633, '445224', '周田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.396,23.0445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6726, 633, '445224', '仙庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.443,23.0913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6727, 633, '445224', '岐石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.102,22.952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6728, 633, '445224', '葵潭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.057,22.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6729, 633, '445224', '前詹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.467,22.9235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6730, 633, '445224', '东港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.97,23.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6731, 633, '445224', '惠城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.151,23.1676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6732, 633, '445224', '神泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.405,23.0144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6733, 633, '445224', '鳌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.072,23.0005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6734, 633, '445224', '葵潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,23.1441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6735, 633, '445224', '揭阳大南海石化工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.194,22.9307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6736, 633, '445224', '隆江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.13,23.1267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6737, 634, '445203', '曲溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.433,23.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6738, 634, '445203', '磐东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,23.5763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6739, 634, '445203', '桂岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.231,23.6255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6740, 634, '445203', '玉窖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.517,23.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6741, 634, '445203', '新亨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.336,23.7254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6742, 634, '445203', '揭阳高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.115,23.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6743, 634, '445203', '锡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.313,23.6466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6744, 634, '445203', '卅岭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.113,23.5426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6745, 634, '445203', '月城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,23.6011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6746, 634, '445203', '白塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,23.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6747, 634, '445203', '玉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.252,23.7352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6748, 634, '445203', '坪上农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.498,23.5529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6749, 634, '445203', '蓝城工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.3,23.5505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6750, 634, '445203', '东径茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.482,23.6268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6751, 634, '445203', '云路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.492,23.6311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6752, 634, '445203', '霖磐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.22,23.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6753, 634, '445203', '珠海揭阳产业转移工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.136,23.5512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6754, 634, '445203', '龙尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.134,23.6221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6755, 634, '445203', '埔田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.366,23.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6756, 635, '445202', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.363,23.5659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6757, 635, '445202', '地都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.579,23.4747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6758, 635, '445202', '东升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.37,23.5585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6759, 635, '445202', '西马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.328,23.5407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6760, 635, '445202', '登岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.518,23.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6761, 635, '445202', '东阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.367,23.5906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6762, 635, '445202', '仙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.355,23.4706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6763, 635, '445202', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.358,23.5347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6764, 635, '445202', '梅云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.331,23.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6765, 635, '445202', '榕华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.374,23.5481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6766, 635, '445202', '炮台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.476,23.5589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6767, 635, '445202', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.352,23.5332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6768, 635, '445202', '榕东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.406,23.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6769, 635, '445202', '渔湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.404,23.527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6770, 636, '441427', '华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.151,24.6074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6771, 636, '441427', '长潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.122,24.7538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6772, 636, '441427', '文福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.179,24.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6773, 636, '441427', '三圳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.078,24.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6774, 636, '441427', '南礤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.374,24.7665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6775, 636, '441427', '蕉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.153,24.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6776, 636, '441427', '广福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.117,24.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6777, 636, '441427', '蓝坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.202,24.6447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6778, 636, '441427', '新铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.065,24.4901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6779, 637, '441426', '差干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.907,24.885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6780, 637, '441426', '中行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.856,24.6763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6781, 637, '441426', '仁居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.863,24.8841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6782, 637, '441426', '八尺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.81,24.8018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6783, 637, '441426', '长田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.928,24.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6784, 637, '441426', '河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.862,24.7302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6785, 637, '441426', '东石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.96,24.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6786, 637, '441426', '石正镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.853,24.5285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6787, 637, '441426', '上举镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.986,24.868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6788, 637, '441426', '泗水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.027,24.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6789, 637, '441426', '大柘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,24.6217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6790, 637, '441426', '热柘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.964,24.5722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6791, 638, '441481', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.834,24.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6792, 638, '441481', '罗岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.697,24.5237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6793, 638, '441481', '福兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.691,24.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6794, 638, '441481', '叶塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.698,24.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6795, 638, '441481', '黄槐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.696,24.5136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6796, 638, '441481', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.833,24.0238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6797, 638, '441481', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.867,24.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6798, 638, '441481', '宁新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.764,24.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6799, 638, '441481', '合水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.7,24.3057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6800, 638, '441481', '罗浮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,24.617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6801, 638, '441481', '兴田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.701,24.1478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6802, 638, '441481', '龙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.737,24.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6803, 638, '441481', '石马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.874,24.2873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6804, 638, '441481', '坭陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.835,24.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6805, 638, '441481', '径南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.841,24.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6806, 638, '441481', '黄陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.714,24.4575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6807, 638, '441481', '新陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.654,24.152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6808, 638, '441481', '刁坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.721,24.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6809, 638, '441481', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.632,24.3675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6810, 638, '441481', '宁中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.778,24.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6811, 639, '441424', '水寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.778,23.9326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6812, 639, '441424', '周江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.509,23.7777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6813, 639, '441424', '潭下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.558,24.024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6814, 639, '441424', '横陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.632,23.9173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6815, 639, '441424', '岐岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.547,24.0728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6816, 639, '441424', '河东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.901,23.9299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6817, 639, '441424', '长布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.401,23.9023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6818, 639, '441424', '转水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.607,23.9657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6819, 639, '441424', '郭田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.861,23.8593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6820, 639, '441424', '双华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.791,23.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6821, 639, '441424', '安流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.636,23.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6822, 639, '441424', '华城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.553,24.0891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6823, 639, '441424', '华阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.537,23.6759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6824, 639, '441424', '龙村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.535,23.5928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6825, 639, '441424', '棉洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.758,23.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6826, 639, '441424', '梅林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.566,23.6877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6827, 640, '441423', '潭江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.635,23.9694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6828, 640, '441423', '八乡山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.974,23.7958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6829, 640, '441423', '龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.205,24.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6830, 640, '441423', '建桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.106,23.9579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6831, 640, '441423', '潘田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.275,23.9298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6832, 640, '441423', '汤南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,23.7523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6833, 640, '441423', '大龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.227,24.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6834, 640, '441423', '汤西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.012,23.7933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6835, 640, '441423', '小胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.419,24.0616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6836, 640, '441423', '埔寨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.107,23.6285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6837, 640, '441423', '埔寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.085,23.6257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6838, 640, '441423', '砂田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.425,24.0991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6839, 640, '441423', '留隍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.455,23.7648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6840, 640, '441423', '黄金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,24.0471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6841, 640, '441423', '汤坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.22,23.871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6842, 640, '441423', '北斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.112,23.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6843, 640, '441423', '丰良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.179,24.0428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6844, 641, '441422', '茶阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.663,24.6577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6845, 641, '441422', '光德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.669,24.1306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6846, 641, '441422', '高陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,24.1849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6847, 641, '441422', '大麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.443,24.3609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6848, 641, '441422', '洲瑞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.481,24.2184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6849, 641, '441422', '桃源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.62,24.0941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6850, 641, '441422', '丰溪林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.751,24.6539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6851, 641, '441422', '百侯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.758,24.3717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6852, 641, '441422', '湖寮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.72,24.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6853, 641, '441422', '枫朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.794,24.1717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6854, 641, '441422', '青溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.624,24.6366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6855, 641, '441422', '银江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.462,24.3347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6856, 641, '441422', '洲瑞林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.501,24.1911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6857, 641, '441422', '大埔林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.793,24.1703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6858, 641, '441422', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.547,24.4862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6859, 641, '441422', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.676,24.4565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6860, 641, '441422', '大东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.836,24.3365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6861, 642, '441403', '梅南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.064,24.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6862, 642, '441403', '松口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.495,24.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6863, 642, '441403', '石扇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.008,24.4722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6864, 642, '441403', '水车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.956,24.1225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6865, 642, '441403', '雁洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.351,24.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6866, 642, '441403', '石坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,24.4156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6867, 642, '441403', '畲江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.944,24.0578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6868, 642, '441403', '白渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.212,24.5623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6869, 642, '441403', '梅西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.815,24.4641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6870, 642, '441403', '桃尧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.486,24.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6871, 642, '441403', '程江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.087,24.2501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6872, 642, '441403', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.943,24.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6873, 642, '441403', '丙村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.237,24.4287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6874, 642, '441403', '松源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.376,24.7682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6875, 642, '441403', '城东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.203,24.4312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6876, 642, '441403', '隆文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.315,24.6698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6877, 642, '441403', '梅西水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.913,24.3823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6878, 642, '441403', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.101,24.2995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6879, 642, '441403', '扶大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.072,24.2441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6880, 642, '441403', '南口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.912,24.3482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6881, 643, '441402', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.13,24.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6882, 643, '441402', '城北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.094,24.4086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6883, 643, '441402', '西郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.104,24.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6884, 643, '441402', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.115,24.329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6885, 643, '441402', '长沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.146,24.2335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6886, 643, '441402', '三角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.159,24.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6887, 643, '441402', '西阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.192,24.1891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6888, 644, '440117', '江埔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.583,23.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6889, 644, '440117', '城郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.519,23.6542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6890, 644, '440117', '街口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.581,23.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6891, 644, '440117', '吕田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.853,23.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6892, 644, '440117', '流溪河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.844,23.8201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6893, 644, '440117', '良口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.793,23.8184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6894, 644, '440117', '黄龙带水库管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.718,23.8369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6895, 644, '440117', '鳌头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.517,23.5497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6896, 644, '440117', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.457,23.4819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6897, 644, '440117', '大岭山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.73,23.6254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6898, 644, '440117', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.828,23.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6899, 645, '440115', '南沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.559,22.7424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6900, 645, '440115', '万顷沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.552,22.6238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6901, 645, '440115', '横沥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.471,22.7741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6902, 645, '440115', '榄核镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,22.8521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6903, 645, '440115', '大岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.448,22.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6904, 645, '440115', '黄阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.519,22.8731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6905, 645, '440115', '东涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.496,22.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6906, 645, '440115', '龙穴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.573,22.7338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6907, 645, '440115', '珠江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.51,22.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6908, 646, '440114', '狮岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.241,23.528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6909, 646, '440114', '梯面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.271,23.5281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6910, 646, '440114', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.219,23.3712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6911, 646, '440114', '炭步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.117,23.3978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6912, 646, '440114', '花东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.245,23.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6913, 646, '440114', '赤坭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.09,23.4622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6914, 646, '440114', '花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.283,23.5075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6915, 646, '440114', '秀全街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.131,23.3817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6916, 646, '440114', '新雅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.27,23.398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6917, 646, '440114', '花城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.219,23.4596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6918, 647, '440111', '同德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.244,23.1719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6919, 647, '440111', '松洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.236,23.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6920, 647, '440111', '同和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.286,23.1816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6921, 647, '440111', '人和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.3,23.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6922, 647, '440111', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,23.3185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6923, 647, '440111', '景泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.288,23.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6924, 647, '440111', '均禾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.243,23.2689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6925, 647, '440111', '永平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.326,23.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6926, 647, '440111', '江高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.259,23.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6927, 647, '440111', '黄石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.297,23.211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6928, 647, '440111', '金沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.187,23.1479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6929, 647, '440111', '三元里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.257,23.1786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6930, 647, '440111', '钟落潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.509,23.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6931, 647, '440111', '新市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.268,23.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6932, 647, '440111', '石井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.213,23.2155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6933, 647, '440111', '棠景街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.26,23.1863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6934, 647, '440111', '京溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.35,23.2162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6935, 647, '440111', '石门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.178,23.2247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6936, 647, '440111', '白云湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.246,23.2581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6937, 647, '440111', '鹤龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.263,23.2124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6938, 647, '440111', '嘉禾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.306,23.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6939, 648, '440113', '沙头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.354,22.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6940, 648, '440113', '石基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.432,22.9945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6941, 648, '440113', '大龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.435,22.9604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6942, 648, '440113', '市桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.367,22.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6943, 648, '440113', '沙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.349,22.9223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6944, 648, '440113', '新造镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.432,23.012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6945, 648, '440113', '石壁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.294,22.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6946, 648, '440113', '桥南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.348,22.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6947, 648, '440113', '南村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.425,23.0143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6948, 648, '440113', '东环街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.367,22.9546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6949, 648, '440113', '大石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.323,23.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6950, 648, '440113', '洛浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,23.027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6951, 648, '440113', '钟村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.291,22.974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6952, 648, '440113', '石楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.46,22.9896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6953, 648, '440113', '化龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.438,23.0415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6954, 648, '440113', '小谷围街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.378,23.0617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6955, 649, '440103', '东漖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.219,23.0692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6956, 649, '440103', '西村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.237,23.149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6957, 649, '440103', '逢源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.237,23.1202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6958, 649, '440103', '花地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.23,23.1004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6959, 649, '440103', '昌华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.23,23.125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6960, 649, '440103', '南源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.237,23.1435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6961, 649, '440103', '岭南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.253,23.1159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6962, 649, '440103', '金花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.242,23.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6963, 649, '440103', '龙津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.254,23.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6964, 649, '440103', '华林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.248,23.1115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6965, 649, '440103', '海龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.183,23.0779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6966, 649, '440103', '茶滘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.209,23.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6967, 649, '440103', '沙面街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.243,23.1083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6968, 649, '440103', '石围塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.206,23.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6969, 649, '440103', '中南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.209,23.0618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6970, 649, '440103', '桥中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.216,23.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6971, 649, '440103', '多宝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.237,23.1189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6972, 649, '440103', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.249,23.1477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6973, 649, '440103', '彩虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.246,23.1345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6974, 649, '440103', '白鹤洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.239,23.0778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6975, 649, '440103', '冲口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.237,23.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6976, 649, '440103', '东沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.245,23.06', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6977, 650, '440105', '南华西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.293,23.0572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6978, 650, '440105', '素社街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.274,23.1063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6979, 650, '440105', '海幢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.27,23.1071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6980, 650, '440105', '南洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.312,23.0507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6981, 650, '440105', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.303,23.0909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6982, 650, '440105', '赤岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.314,23.092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6983, 650, '440105', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.287,23.1096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6984, 650, '440105', '沙园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.265,23.0925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6985, 650, '440105', '瑞宝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.292,23.0571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6986, 650, '440105', '南石头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.265,23.0647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6987, 650, '440105', '江海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.316,23.0923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6988, 650, '440105', '凤阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.287,23.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6989, 650, '440105', '昌岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.277,23.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6990, 650, '440105', '江南中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.271,23.1041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6991, 650, '440105', '龙凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.257,23.1018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6992, 650, '440105', '琶洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.397,23.1048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6993, 650, '440105', '华洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.337,23.059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6994, 650, '440105', '官洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.354,23.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6995, 651, '440118', '仙村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.693,23.2124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6996, 651, '440118', '石滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.772,23.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6997, 651, '440118', '朱村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.683,23.314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6998, 651, '440118', '荔城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.764,23.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (6999, 651, '440118', '新塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.619,23.1461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7000, 651, '440118', '派潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.865,23.4944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7001, 651, '440118', '小楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.772,23.4467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7002, 651, '440118', '正果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.851,23.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7003, 651, '440118', '增江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.848,23.3776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7004, 651, '440118', '中新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.689,23.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7005, 651, '440118', '荔湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.796,23.2945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7006, 651, '440118', '宁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.651,23.1909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7007, 651, '440118', '永宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.561,23.1719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7008, 652, '440104', '珠光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.271,23.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7009, 652, '440104', '登峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.282,23.1562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7010, 652, '440104', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.28,23.1153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7011, 652, '440104', '大东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.284,23.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7012, 652, '440104', '黄花岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.294,23.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7013, 652, '440104', '洪桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.264,23.1453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7014, 652, '440104', '六榕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.253,23.1395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7015, 652, '440104', '大塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.274,23.1317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7016, 652, '440104', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.276,23.139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7017, 652, '440104', '光塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.26,23.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7018, 652, '440104', '北京街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.266,23.1316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7019, 652, '440104', '人民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.261,23.118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7020, 652, '440104', '农林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.288,23.1285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7021, 652, '440104', '流花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.26,23.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7022, 652, '440104', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.29,23.1123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7023, 652, '440104', '矿泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.254,23.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7024, 652, '440104', '梅花村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.315,23.1298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7025, 652, '440104', '华乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.29,23.1415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7026, 653, '440112', '穗东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.496,23.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7027, 653, '440112', '永和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.55,23.1716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7028, 653, '440112', '南岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.554,23.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7029, 653, '440112', '大沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.457,23.1395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7030, 653, '440112', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.471,23.0914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7031, 653, '440112', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.466,23.377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7032, 653, '440112', '萝岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.488,23.1631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7033, 653, '440112', '黄埔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.443,23.0943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7034, 653, '440112', '文冲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.476,23.1006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7035, 653, '440112', '鱼珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.443,23.1313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7036, 653, '440112', '长洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.41,23.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7037, 653, '440112', '夏港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.511,23.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7038, 653, '440112', '云埔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.485,23.1549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7039, 653, '440112', '长岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.481,23.1864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7040, 653, '440112', '联和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.432,23.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7041, 654, '440106', '天河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.315,23.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7042, 654, '440106', '龙洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.35,23.2175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7043, 654, '440106', '员村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.368,23.1214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7044, 654, '440106', '猎德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.315,23.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7045, 654, '440106', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.367,23.2299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7046, 654, '440106', '沙东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.313,23.1581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7047, 654, '440106', '林和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.314,23.1478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7048, 654, '440106', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.303,23.149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7049, 654, '440106', '珠吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.447,23.1388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7050, 654, '440106', '石牌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.347,23.1416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7051, 654, '440106', '黄村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.406,23.1482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7052, 654, '440106', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.403,23.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7053, 654, '440106', '棠下街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.389,23.152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7054, 654, '440106', '车陂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.393,23.1516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7055, 654, '440106', '长兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,23.1664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7056, 654, '440106', '天园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.368,23.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7057, 654, '440106', '冼村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.315,23.1291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7058, 654, '440106', '五山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.334,23.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7059, 654, '440106', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.31,23.1699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7060, 654, '440106', '元岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.334,23.1778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7061, 654, '440106', '新塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.417,23.1857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7062, 655, '440222', '澄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.245,24.889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7063, 655, '440222', '深渡水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.977,24.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7064, 655, '440222', '司前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.095,24.766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7065, 655, '440222', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.928,24.9338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7066, 655, '440222', '城南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,24.9307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7067, 655, '440222', '罗坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.132,24.8628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7068, 655, '440222', '马市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.074,25.0295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7069, 655, '440222', '顿岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.133,24.9596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7070, 655, '440222', '隘子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.938,24.728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7071, 655, '440222', '沈所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.015,24.9678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7072, 656, '440282', '全安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.208,25.1887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7073, 656, '440282', '帽子峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.136,25.2719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7074, 656, '440282', '界址镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.682,25.2972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7075, 656, '440282', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.41,25.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7076, 656, '440282', '油山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.509,25.3472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7077, 656, '440282', '坪田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.694,25.2923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7078, 656, '440282', '澜河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.073,25.173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7079, 656, '440282', '乌迳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.68,25.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7080, 656, '440282', '邓坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.508,25.3338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7081, 656, '440282', '古市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.272,25.1105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7082, 656, '440282', '雄州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.35,25.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7083, 656, '440282', '南亩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.591,25.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7084, 656, '440282', '湖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.421,25.2263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7085, 656, '440282', '黄坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.464,25.2199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7086, 656, '440282', '百顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.934,25.1695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7087, 656, '440282', '主田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,25.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7088, 656, '440282', '珠玑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.318,25.1923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7089, 656, '440282', '江头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.413,25.0309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7090, 656, '440282', '东莞大岭山南雄产业转移工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.275,25.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7091, 657, '440204', '花坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.521,25.0001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7092, 657, '440204', '田螺冲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.685,24.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7093, 657, '440204', '新韶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.688,24.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7094, 657, '440204', '风采街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.593,24.8194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7095, 657, '440204', '东河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.628,24.823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7096, 657, '440204', '韶关冶炼厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.595,24.7271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7097, 657, '440204', '曲仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.569,25.0233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7098, 657, '440204', '乐园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.611,24.7961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7099, 657, '440204', '十里亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.616,24.8594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7100, 657, '440204', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.598,24.7721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7101, 657, '440204', '犁市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.479,25.0762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7102, 658, '440224', '丹霞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.79,25.104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7103, 658, '440224', '周田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.842,24.8967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7104, 658, '440224', '扶溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.926,25.2894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7105, 658, '440224', '长江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.956,25.4461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7106, 658, '440224', '红山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.568,25.31', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7107, 658, '440224', '闻韶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.843,25.1741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7108, 658, '440224', '董塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.675,25.1134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7109, 658, '440224', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.758,24.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7110, 658, '440224', '黄坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.948,25.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7111, 658, '440224', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.586,25.0477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7112, 658, '440224', '城口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.643,25.3292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7113, 659, '440232', '必背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.211,24.9976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7114, 659, '440232', '天井山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.031,24.7521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7115, 659, '440232', '桂头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.394,24.9406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7116, 659, '440232', '洛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.032,24.806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7117, 659, '440232', '乳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.283,24.8014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7118, 659, '440232', '东坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.288,24.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7119, 659, '440232', '游溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.42,24.9303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7120, 659, '440232', '大布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.056,24.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7121, 659, '440232', '一六镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.346,24.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7122, 659, '440232', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.177,25.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7123, 659, '440232', '乳阳林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.125,24.8933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7124, 660, '440229', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.841,24.2634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7125, 660, '440229', '铁龙林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.672,24.474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7126, 660, '440229', '新江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.853,24.6185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7127, 660, '440229', '翁城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.797,24.4231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7128, 660, '440229', '龙仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.254,24.4028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7129, 660, '440229', '周陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,24.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7130, 660, '440229', '江尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114,24.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7131, 660, '440229', '坝仔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.198,24.6524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7132, 661, '440205', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.54,24.6814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7133, 661, '440205', '小坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.814,24.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7134, 661, '440205', '枫湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.813,24.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7135, 661, '440205', '罗坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.399,24.5774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7136, 661, '440205', '韶关十六冶金建设公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.623,24.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7137, 661, '440205', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.772,24.8067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7138, 661, '440205', '樟市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.381,24.5888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7139, 661, '440205', '松山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.655,24.7138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7140, 661, '440205', '乌石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.557,24.6043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7141, 661, '440205', '马坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.535,24.635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7142, 661, '440205', '曲江区大宝山矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.671,24.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7143, 661, '440205', '韶关发电厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.589,24.5854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7144, 661, '440205', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.794,24.6896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7145, 662, '440203', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.554,24.7967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7146, 662, '440203', '江湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.149,24.6164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7147, 662, '440203', '西联镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.51,24.7995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7148, 662, '440203', '重阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.45,24.8102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7149, 662, '440203', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.449,24.7511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7150, 662, '440203', '龙归镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.406,24.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7151, 662, '440203', '惠民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.574,24.8232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7152, 663, '440233', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.873,24.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7153, 663, '440233', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.255,24.142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7154, 663, '440233', '黄礤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.172,24.1142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7155, 663, '440233', '梅坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.16,24.0157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7156, 663, '440233', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.972,24.1971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7157, 663, '440233', '遥田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.87,23.9402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7158, 663, '440233', '丰城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.256,24.1291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7159, 664, '440281', '大源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.341,25.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7160, 664, '440281', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.265,25.5031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7161, 664, '440281', '云岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.101,25.1454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7162, 664, '440281', '两江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.291,25.4609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7163, 664, '440281', '长来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.373,25.1094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7164, 664, '440281', '北乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.356,25.2413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7165, 664, '440281', '乐城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.357,25.1466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7166, 664, '440281', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.038,25.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7167, 664, '440281', '梅田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.059,25.2821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7168, 664, '440281', '五山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.471,25.3389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7169, 664, '440281', '秀水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.996,25.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7170, 664, '440281', '庆云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.118,25.3958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7171, 664, '440281', '九峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.357,25.2931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7172, 664, '440281', '坪石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.042,25.2866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7173, 664, '440281', '廊田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.409,25.1717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7174, 664, '440281', '坪石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.074,25.267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7175, 664, '440281', '梅花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.111,25.1497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7176, 664, '440281', '黄圃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.145,25.4715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7177, 664, '440281', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,25.2918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7178, 665, '441882', '三水瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.329,25.1228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7179, 665, '441882', '西江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.542,24.7453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7180, 665, '441882', '九陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.43,24.7234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7181, 665, '441882', '大路边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.6,24.9929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7182, 665, '441882', '龙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.497,24.9207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7183, 665, '441882', '保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.404,24.9693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7184, 665, '441882', '西岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.141,24.9397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7185, 665, '441882', '星子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.457,25.0719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7186, 665, '441882', '瑶安瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.361,25.145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7187, 665, '441882', '丰阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.245,25.1021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7188, 665, '441882', '东陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.334,25.0812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7189, 665, '441882', '连州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.307,24.7193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7190, 666, '441825', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.03,24.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7191, 666, '441825', '上帅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112,24.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7192, 666, '441825', '福堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.032,24.4252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7193, 666, '441825', '小三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.13,24.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7194, 666, '441825', '禾洞农林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.116,24.7967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7195, 666, '441825', '太保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.135,24.7317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7196, 666, '441825', '吉田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.972,24.6283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7197, 666, '441825', '禾洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.105,24.7215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7198, 666, '441825', '连山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.116,24.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7199, 667, '441826', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.255,24.6584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7200, 667, '441826', '三排镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.255,24.6414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7201, 667, '441826', '寨岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.323,24.531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7202, 667, '441826', '涡水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.253,24.6469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7203, 667, '441826', '香坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.116,24.4369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7204, 667, '441826', '大麦山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.318,24.5255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7205, 667, '441826', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.167,24.8664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7206, 668, '441881', '石牯塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.208,24.4787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7207, 668, '441881', '英红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.199,24.2601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7208, 668, '441881', '沙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.545,24.5087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7209, 668, '441881', '波罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.978,24.5481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7210, 668, '441881', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.733,24.0733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7211, 668, '441881', '横石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.324,24.4398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7212, 668, '441881', '石灰铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.308,24.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7213, 668, '441881', '望埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.544,24.3729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7214, 668, '441881', '水边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.17,23.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7215, 668, '441881', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.848,24.3099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7216, 668, '441881', '西牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.017,24.0669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7217, 668, '441881', '黄花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.788,24.2911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7218, 668, '441881', '黎溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.23,23.9885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7219, 668, '441881', '下太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.425,24.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7220, 668, '441881', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.867,24.4321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7221, 668, '441881', '东华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.681,24.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7222, 668, '441881', '含光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.167,24.2861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7223, 668, '441881', '大站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.545,24.2046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7224, 668, '441881', '横石水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.776,24.4132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7225, 668, '441881', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.894,24.1027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7226, 668, '441881', '青塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.874,24.2409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7227, 668, '441881', '英城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.315,24.1804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7228, 668, '441881', '大洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.993,24.011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7229, 668, '441881', '连江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.234,24.1781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7230, 669, '441821', '高岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.533,24.0488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7231, 669, '441821', '石角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.511,23.9517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7232, 669, '441821', '迳头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.635,23.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7233, 669, '441821', '水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.623,23.889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7234, 669, '441821', '汤塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.447,23.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7235, 669, '441821', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.445,23.8081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7236, 670, '441823', '阳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.54,24.5158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7237, 670, '441823', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.572,24.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7238, 670, '441823', '七拱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.563,24.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7239, 670, '441823', '小江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.556,24.662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7240, 670, '441823', '黄坌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.649,24.6743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7241, 670, '441823', '江英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.899,24.6367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7242, 670, '441823', '岭背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.809,24.6537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7243, 670, '441823', '青莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.678,24.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7244, 670, '441823', '黎埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.409,24.6224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7245, 670, '441823', '杨梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.552,24.1473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7246, 670, '441823', '杜步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.631,24.3478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7247, 670, '441823', '大崀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.461,24.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7248, 670, '441823', '秤架瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.952,24.7897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7249, 671, '441803', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.726,23.7066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7250, 671, '441803', '禾云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.936,24.0426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7251, 671, '441803', '浸潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.785,24.1006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7252, 671, '441803', '笔架林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.97,23.8018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7253, 671, '441803', '龙颈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.797,23.9391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7254, 671, '441803', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.913,23.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7255, 671, '441803', '山塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.925,23.6569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7256, 671, '441803', '三坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.774,23.6386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7257, 671, '441803', '石潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.721,24.2133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7258, 672, '441802', '清远市国营银盏林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.172,23.5142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7259, 672, '441802', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.067,23.748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7260, 672, '441802', '石角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.018,23.5386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7261, 672, '441802', '清远市高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.063,23.6365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7262, 672, '441802', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.042,23.5471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7263, 672, '441802', '飞来峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.091,23.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7264, 672, '441802', '源潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.214,23.7146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7265, 672, '441802', '洲心街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.023,23.6833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7266, 672, '441802', '横荷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.075,23.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7267, 672, '441802', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.183,23.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7268, 732, '410323', '铁门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.031,34.7746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7269, 732, '410323', '磁涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.272,34.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7270, 732, '410323', '石井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.983,35.0038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7271, 732, '410323', '洛阳市洛新产业集聚区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.296,34.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7272, 732, '410323', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.14,34.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7273, 732, '410323', '五头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.309,34.8062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7274, 732, '410323', '南李村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.107,34.6839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7275, 732, '410323', '仓头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.266,34.9355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7276, 732, '410323', '石寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.09,34.8667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7277, 732, '410323', '青要山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.892,34.8924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7278, 732, '410323', '北冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.072,34.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7279, 732, '410323', '正村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.21,34.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7280, 733, '410324', '石庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.554,33.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7281, 733, '410324', '三川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.342,33.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7282, 733, '410324', '赤土店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.5,33.9192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7283, 733, '410324', '秋扒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.631,34.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7284, 733, '410324', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.42,33.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7285, 733, '410324', '潭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.741,34.1377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7286, 733, '410324', '陶湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.391,33.7754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7287, 733, '410324', '狮子庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.557,34.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7288, 733, '410324', '合峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.905,33.9446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7289, 733, '410324', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.349,34.0681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7290, 733, '410324', '庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.67,33.8358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7291, 733, '410324', '叫河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.217,33.8737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7292, 733, '410324', '栾川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.536,33.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7293, 733, '410324', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.625,33.7809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7294, 734, '410329', '平等乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.359,34.4178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7295, 734, '410329', '半坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,34.3825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7296, 734, '410329', '江左镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.736,34.4899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7297, 734, '410329', '鸣皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.211,34.3446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7298, 734, '410329', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.424,34.477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7299, 734, '410329', '酒后镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.341,34.2846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7300, 734, '410329', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.227,34.4192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7301, 734, '410329', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.505,34.3498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7302, 734, '410329', '白元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.498,34.3489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7303, 734, '410329', '吕店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.589,34.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7304, 734, '410329', '水寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.505,34.4522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7305, 734, '410329', '鸦岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.334,34.5246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7306, 734, '410329', '彭婆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.493,34.5239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7307, 734, '410329', '葛寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.337,34.2918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7308, 735, '410306', '吉利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.605,34.8901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7309, 735, '410306', '康乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.593,34.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7310, 735, '410306', '河阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.597,34.8961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7311, 735, '410306', '西霞院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.578,34.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7312, 736, '410328', '兴华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.388,34.2278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7313, 736, '410328', '马店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.432,34.4957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7314, 736, '410328', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.751,34.3867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7315, 736, '410328', '河底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.724,34.5941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7316, 736, '410328', '涧口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.708,34.283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7317, 736, '410328', '下峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.309,34.1345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7318, 736, '410328', '西山底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,34.1424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7319, 736, '410328', '东宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.591,34.5544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7320, 736, '410328', '小界乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.503,34.5453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7321, 736, '410328', '故县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.182,34.2779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7322, 736, '410328', '陈吴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.645,34.2367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7323, 736, '410328', '长水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.341,34.4717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7324, 736, '410328', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.678,34.405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7325, 736, '410328', '罗岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.299,34.3922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7326, 736, '410328', '底张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.483,34.2684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7327, 736, '410328', '赵村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.589,34.1628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7328, 736, '410328', '上戈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.217,34.4488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7329, 736, '410328', '王范回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.617,34.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7330, 737, '410381', '顾县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.826,34.679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7331, 737, '410381', '大口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.692,34.5866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7332, 737, '410381', '府店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.83,34.4785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7333, 737, '410381', '翟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.665,34.7031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7334, 737, '410381', '缑氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.836,34.6494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7335, 737, '410381', '山化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.858,34.7826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7336, 737, '410381', '高龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.718,34.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7337, 737, '410381', '槐新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.821,34.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7338, 737, '410381', '商城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.746,34.7563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7339, 737, '410381', '伊洛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.776,34.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7340, 737, '410381', '岳滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.746,34.717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7341, 737, '410381', '邙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.821,34.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7342, 737, '410381', '首阳山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.667,34.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7343, 738, '410304', '瀍河回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.509,34.6959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7344, 738, '410304', '瀍西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.487,34.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7345, 738, '410304', '华林新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.501,34.6845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7346, 738, '410304', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.496,34.6912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7347, 738, '410304', '五股路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.485,34.7032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7348, 738, '410304', '北窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.49,34.6956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7349, 738, '410304', '杨文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.516,34.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7350, 738, '410304', '塔湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.518,34.7016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7351, 739, '410302', '西北隅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.479,34.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7352, 739, '410302', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.472,34.6748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7353, 739, '410302', '西南隅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.475,34.6833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7354, 739, '410302', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.473,34.6941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7355, 739, '410302', '邙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.436,34.7411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7356, 739, '410302', '东南隅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.485,34.6846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7357, 739, '410302', '道北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.456,34.6945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7358, 739, '410302', '洛浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.498,34.6685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7359, 739, '410302', '东北隅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.482,34.6913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7360, 740, '410303', '金谷园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.432,34.6843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7361, 740, '410303', '洛北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.411,34.7027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7362, 740, '410303', '汉屯路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.435,34.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7363, 740, '410303', '凯旋东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,34.6749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7364, 740, '410303', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.311,34.7322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7365, 740, '410303', '唐宫路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.444,34.6863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7366, 740, '410303', '邙岭路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.428,34.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7367, 740, '410303', '王城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.433,34.6687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7368, 740, '410303', '西工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,34.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7369, 741, '410322', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.52,34.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7370, 741, '410322', '麻屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.278,34.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7371, 741, '410322', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.462,34.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7372, 741, '410322', '常袋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.324,34.7945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7373, 741, '410322', '横水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.23,34.9001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7374, 741, '410322', '白鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.407,34.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7375, 741, '410322', '会盟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.647,34.7977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7376, 741, '410322', '小浪底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.339,34.8636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7377, 741, '410322', '平乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.594,34.7936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7378, 741, '410322', '送庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.542,34.7607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7379, 742, '410311', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.416,34.6285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7380, 742, '410311', '龙门石窟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.442,34.5458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7381, 742, '410311', '科技园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.393,34.6049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7382, 742, '410311', '开元路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.472,34.6304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7383, 742, '410311', '诸葛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.539,34.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7384, 742, '410311', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.457,34.5967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7385, 742, '410311', '关林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.475,34.6142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7386, 742, '410311', '李村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.573,34.639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7387, 742, '410311', '寇店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.653,34.4981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7388, 742, '410311', '佃庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.612,34.7074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7389, 742, '410311', '庞村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.65,34.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7390, 742, '410311', '太康东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.487,34.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7391, 742, '410311', '李楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.56,34.6319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7392, 742, '410311', '白马寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.611,34.7226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7393, 742, '410311', '丰李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.347,34.5748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7394, 742, '410311', '安乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.487,34.6334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7395, 742, '410311', '定鼎门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.471,34.6612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7396, 743, '410305', '南昌路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.402,34.6559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7397, 743, '410305', '天津路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.394,34.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7398, 743, '410305', '徐家营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.372,34.6188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7399, 743, '410305', '辛店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.279,34.6291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7400, 743, '410305', '周山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.404,34.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7401, 743, '410305', '长安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.379,34.6898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7402, 743, '410305', '湖北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.377,34.6612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7403, 743, '410305', '珠江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.419,34.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7404, 743, '410305', '武汉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.346,34.6865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7405, 743, '410305', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.32,34.6939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7406, 743, '410305', '郑州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.353,34.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7407, 743, '410305', '瀛洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.363,34.6178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7408, 743, '410305', '重庆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.355,34.6837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7409, 743, '410305', '长春路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.403,34.6595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7410, 744, '410327', '三乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.771,34.5054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7411, 744, '410327', '香鹿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.202,34.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7412, 744, '410327', '盐镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.101,34.5634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7413, 744, '410327', '柳泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.97,34.5888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7414, 744, '410327', '韩城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.9,34.5394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7415, 744, '410327', '赵保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.014,34.4415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7416, 744, '410327', '董王庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.081,34.384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7417, 744, '410327', '花果山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.849,34.344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7418, 744, '410327', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.265,34.5414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7419, 744, '410327', '白杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.201,34.4354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7420, 744, '410327', '上观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.873,34.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7421, 744, '410327', '莲庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.066,34.4684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7422, 744, '410327', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.85,34.6533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7423, 744, '410327', '张坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.755,34.3905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7424, 744, '410327', '樊村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.281,34.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7425, 744, '410327', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.141,34.4989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7426, 745, '410326', '靳村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.245,33.9745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7427, 745, '410326', '柏树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.373,34.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7428, 745, '410326', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.423,34.2249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7429, 745, '410326', '十八盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.321,34.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7430, 745, '410326', '上店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.427,34.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7431, 745, '410326', '大安工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.501,34.3431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7432, 745, '410326', '小店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.519,34.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7433, 745, '410326', '陶营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.485,34.283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7434, 745, '410326', '三屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.488,33.9859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7435, 745, '410326', '蔡店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.437,34.3428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7436, 745, '410326', '付店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.207,33.8939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7437, 745, '410326', '刘店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.61,34.1132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7438, 745, '410326', '内埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.508,34.3343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7439, 745, '410326', '王坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.441,33.8264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7440, 746, '410325', '白河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.908,33.5795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7441, 746, '410325', '大章镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.736,34.1415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7442, 746, '410325', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.928,34.2166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7443, 746, '410325', '饭坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.205,34.2111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7444, 746, '410325', '库区乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.124,34.2202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7445, 746, '410325', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.796,33.9956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7446, 746, '410325', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.933,34.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7447, 746, '410325', '田湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.221,34.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7448, 746, '410325', '木植街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.075,33.9655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7449, 746, '410325', '黄庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.309,34.1091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7450, 746, '410325', '何村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.97,34.1691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7451, 746, '410325', '纸房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.094,34.1285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7452, 746, '410325', '王莽寨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.817,34.2584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7453, 746, '410325', '德亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.763,34.2475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7454, 746, '410325', '车村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.223,33.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7455, 746, '410325', '九皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.353,34.2262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7456, 746, '410325', '闫庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.039,34.3376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7457, 746, '410325', '五马寺林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.061,33.669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7458, 746, '410325', '陶村林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.983,34.1866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7459, 747, '411202', '会兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.268,34.8179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7460, 747, '411202', '交口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.277,34.6815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7461, 747, '411202', '涧河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.18,34.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7462, 747, '411202', '高庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.397,34.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7463, 747, '411202', '崖底街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.173,34.753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7464, 747, '411202', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.194,34.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7465, 747, '411202', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.215,34.7684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7466, 747, '411202', '河南三门峡经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.144,34.7861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7467, 747, '411202', '磁钟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.327,34.7533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7468, 747, '411202', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.196,34.7793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7469, 747, '411202', '大安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.342,34.8316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7470, 748, '411224', '朱阳关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.129,33.6753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7471, 748, '411224', '杜关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.851,34.2226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7472, 748, '411224', '东明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.133,34.1389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7473, 748, '411224', '潘河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.824,34.1553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7474, 748, '411224', '木桐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.592,34.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7475, 748, '411224', '双槐树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.821,33.8976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7476, 748, '411224', '文峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.227,33.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7477, 748, '411224', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.043,34.0641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7478, 748, '411224', '官道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.092,34.3836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7479, 748, '411224', '范里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.252,34.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7480, 748, '411224', '横涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.044,34.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7481, 748, '411224', '双龙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.834,34.0174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7482, 748, '411224', '瓦窑沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.152,33.6431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7483, 748, '411224', '狮子坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.785,33.7867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7484, 748, '411224', '徐家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.632,34.0255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7485, 748, '411224', '汤河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.219,33.8622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7486, 748, '411224', '沙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.988,34.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7487, 748, '411224', '官坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.6,33.903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7488, 748, '411224', '五里川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.939,33.7477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7489, 749, '411221', '张村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.565,34.8175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7490, 749, '411221', '南村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.808,35.0347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7491, 749, '411221', '段村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.963,34.9746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7492, 749, '411221', '坡头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.676,34.9714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7493, 749, '411221', '陈村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.575,34.8474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7494, 749, '411221', '天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.851,34.7237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7495, 749, '411221', '洪阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.03,34.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7496, 749, '411221', '仁村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.943,34.8685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7497, 749, '411221', '仰韶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.84,34.7933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7498, 749, '411221', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.828,34.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7499, 749, '411221', '果园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.725,34.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7500, 749, '411221', '英豪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.595,34.713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7501, 750, '411282', '涧西区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.868,34.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7502, 750, '411282', '焦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.875,34.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7503, 750, '411282', '苏村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.933,34.4511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7504, 750, '411282', '函谷关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.933,34.6628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7505, 750, '411282', '故县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.473,34.5589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7506, 750, '411282', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.879,34.5753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7507, 750, '411282', '川口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.913,34.5929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7508, 750, '411282', '大王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.036,34.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7509, 750, '411282', '阳平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.651,34.5934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7510, 750, '411282', '五亩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.749,34.4331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7511, 750, '411282', '涧东区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.875,34.5093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7512, 750, '411282', '阳店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.983,34.6338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7513, 750, '411282', '寺河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.006,34.4578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7514, 750, '411282', '西阎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.77,34.6516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7515, 750, '411282', '灵宝市园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.046,34.4345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7516, 750, '411282', '尹庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.898,34.5308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7517, 750, '411282', '豫灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.377,34.4835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7518, 750, '411282', '朱阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.647,34.1581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7519, 751, '411203', '张汴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.153,34.4857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7520, 751, '411203', '观音堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.596,34.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7521, 751, '411203', '西李村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.679,34.6753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7522, 751, '411203', '张湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.171,34.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7523, 751, '411203', '菜园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.279,34.7062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7524, 751, '411203', '宫前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.522,34.5451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7525, 751, '411203', '张茅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.34,34.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7526, 751, '411203', '西张村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.198,34.4515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7527, 751, '411203', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.027,34.6837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7528, 751, '411203', '店子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.383,34.4744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7529, 751, '411203', '硖石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.445,34.7743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7530, 751, '411203', '王家后乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.56,34.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7531, 751, '411203', '原店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.094,34.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7532, 752, '411281', '新义街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.884,34.7173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7533, 752, '411281', '朝阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.908,34.7203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7534, 752, '411281', '常村路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.926,34.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7535, 752, '411281', '东区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.923,34.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7536, 752, '411281', '泰山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.854,34.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7537, 752, '411281', '千秋路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.865,34.7455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7538, 752, '411281', '新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.83,34.7519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7539, 753, '411104', '青年村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.262,33.5903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7540, 753, '411104', '召陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.125,33.6127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7541, 753, '411104', '姬石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.104,33.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7542, 753, '411104', '万金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.177,33.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7543, 753, '411104', '天桥街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.049,33.5794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7544, 753, '411104', '老窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.235,33.6991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7545, 753, '411104', '翟庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.068,33.59', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7546, 753, '411104', '邓襄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.124,33.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7547, 753, '411104', '后谢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.113,33.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7548, 754, '411122', '瓦店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.009,33.8277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7549, 754, '411122', '台陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.908,33.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7550, 754, '411122', '皇帝庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.958,33.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7551, 754, '411122', '窝城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.04,33.9839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7552, 754, '411122', '王孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.946,33.97', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7553, 754, '411122', '大郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.744,33.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7554, 754, '411122', '杜曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.811,33.8162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7555, 754, '411122', '三家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.161,33.8179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7556, 754, '411122', '繁城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.788,33.8829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7557, 754, '411122', '固厢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.912,33.8971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7558, 754, '411122', '石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.886,33.9462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7559, 754, '411122', '王岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.123,33.9073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7560, 754, '411122', '巨陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.036,33.8846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7561, 754, '411122', '陈庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.074,33.7795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7562, 754, '411122', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.954,33.7862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7563, 754, '411122', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.947,33.8268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7564, 755, '411102', '阴阳赵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.924,33.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7565, 755, '411102', '干河陈街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.984,33.5727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7566, 755, '411102', '大刘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.898,33.5521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7567, 755, '411102', '空冢郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.017,33.5272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7568, 755, '411102', '老街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.032,33.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7569, 755, '411102', '马路街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.032,33.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7570, 755, '411102', '顺河街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.026,33.5783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7571, 755, '411102', '问十乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.837,33.5056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7572, 756, '411103', '黑龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.12,33.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7573, 756, '411103', '李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,33.7209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7574, 756, '411103', '裴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.784,33.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7575, 756, '411103', '商桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,33.7208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7576, 756, '411103', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.83,33.609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7577, 756, '411103', '沙北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.035,33.5965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7578, 756, '411103', '龙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.879,33.6119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7579, 756, '411103', '孟庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.057,33.6398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7580, 756, '411103', '龙塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.972,33.5949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7581, 756, '411103', '淞江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.954,33.612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7582, 757, '411121', '保和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.466,33.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7583, 757, '411121', '北舞渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.625,33.6209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7584, 757, '411121', '太尉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.794,33.6212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7585, 757, '411121', '吴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.787,33.4808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7586, 757, '411121', '侯集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,33.6978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7587, 757, '411121', '舞泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.645,33.4221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7588, 757, '411121', '姜店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.676,33.561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7589, 757, '411121', '孟寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.553,33.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7590, 757, '411121', '辛安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.645,33.4391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7591, 757, '411121', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.815,33.6095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7592, 757, '411121', '九街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.861,33.5487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7593, 757, '411121', '马村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.576,33.5946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7594, 757, '411121', '章化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.578,33.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7595, 757, '411121', '文峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.575,33.4064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7596, 758, '411003', '灵井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.607,34.0947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7597, 758, '411003', '小召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,34.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7598, 758, '411003', '邓庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.894,34.0859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7599, 758, '411003', '长村张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.793,33.9951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7600, 758, '411003', '桂村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.682,34.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7601, 758, '411003', '椹涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.61,34.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7602, 758, '411003', '尚集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.886,34.1223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7603, 758, '411003', '艾庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.639,34.1651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7604, 758, '411003', '陈曹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.966,34.135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7605, 758, '411003', '河街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.74,34.0914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7606, 758, '411003', '将官池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.84,34.0091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7607, 758, '411003', '五女店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.991,34.0925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7608, 758, '411003', '榆林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.689,33.9149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7609, 758, '411003', '张潘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.977,33.9818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7610, 758, '411003', '苏桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.734,34.167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7611, 758, '411003', '蒋李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.805,33.9514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7612, 759, '411002', '七里店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.759,34.0229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7613, 759, '411002', '东大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.827,34.026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7614, 759, '411002', '西大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.821,34.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7615, 759, '411002', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.821,33.9992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7616, 759, '411002', '丁庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.821,34.0659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7617, 759, '411002', '北大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.824,34.0413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7618, 759, '411002', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.819,34.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7619, 759, '411002', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.835,34.025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7620, 759, '411002', '许昌经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.765,33.9944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7621, 759, '411002', '五一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.804,34.0262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7622, 759, '411002', '半截河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.867,34.0581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7623, 759, '411002', '高桥营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.79,34.0903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7624, 759, '411002', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.801,34.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7625, 760, '411082', '长社路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.745,34.2133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7626, 760, '411082', '金桥路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.788,34.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7627, 760, '411082', '南席镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.106,34.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7628, 760, '411082', '增福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.707,34.2642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7629, 760, '411082', '董村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.927,34.2983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7630, 760, '411082', '后河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.598,34.2651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7631, 760, '411082', '石固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.724,34.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7632, 760, '411082', '古桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.994,34.2606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7633, 760, '411082', '大周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.867,34.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7634, 760, '411082', '长兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.765,34.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7635, 760, '411082', '坡胡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.583,34.2375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7636, 760, '411082', '和尚桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.734,34.2316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7637, 760, '411082', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.767,34.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7638, 760, '411082', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.847,34.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7639, 760, '411082', '佛耳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.79,34.3223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7640, 760, '411082', '石象乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.881,34.1626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7641, 761, '411081', '颍川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.501,34.1493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7642, 761, '411081', '小吕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.489,34.0604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7643, 761, '411081', '韩城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.43,34.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7644, 761, '411081', '浅井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.406,34.3455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7645, 761, '411081', '褚河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.52,34.152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7646, 761, '411081', '无梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.55,34.2397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7647, 761, '411081', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.528,34.2673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7648, 761, '411081', '神垕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.23,34.1569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7649, 761, '411081', '范坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.51,34.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7650, 761, '411081', '火龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.37,34.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7651, 761, '411081', '梁北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.412,34.1096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7652, 761, '411081', '磨街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.13,34.1808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7653, 761, '411081', '苌庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.352,34.3993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7654, 761, '411081', '张得镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,34.0855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7655, 761, '411081', '夏都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.473,34.1451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7656, 761, '411081', '鸿畅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.269,34.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7657, 761, '411081', '顺店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.381,34.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7658, 761, '411081', '方岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.306,34.1705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7659, 761, '411081', '朱阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.392,34.2385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7660, 761, '411081', '山货回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.602,34.1898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7661, 761, '411081', '花石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.284,34.353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7662, 761, '411081', '方山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.233,34.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7663, 761, '411081', '郭连镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.507,34.1882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7664, 761, '411081', '文殊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.228,34.2212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7665, 761, '411081', '钧台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.487,34.1895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7666, 761, '411081', '鸠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.066,34.2349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7667, 762, '411024', '安陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.182,34.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7668, 762, '411024', '马栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.173,34.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7669, 762, '411024', '彭店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.215,34.2361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7670, 762, '411024', '只乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.056,33.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7671, 762, '411024', '南坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.224,33.9221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7672, 762, '411024', '陶城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.157,33.807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7673, 762, '411024', '大马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.083,34.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7674, 762, '411024', '望田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.125,33.9318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7675, 762, '411024', '陈化店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.074,34.1269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7676, 762, '411024', '张桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.195,33.9825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7677, 762, '411024', '柏梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.143,34.0684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7678, 762, '411024', '马坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.258,34.1721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7679, 763, '411025', '双庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.67,33.9228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7680, 763, '411025', '汾陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.543,34.0301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7681, 763, '411025', '颍桥回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.575,33.9691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7682, 763, '411025', '库庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.507,33.9244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7683, 763, '411025', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.468,33.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7684, 763, '411025', '颍阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.624,33.9979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7685, 763, '411025', '麦岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.643,33.8156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7686, 763, '411025', '十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.409,33.9402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7687, 763, '411025', '范湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.699,33.8749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7688, 763, '411025', '山头店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.467,33.8151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7689, 763, '411025', '紫云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.375,33.8498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7690, 763, '411025', '丁营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.568,33.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7691, 763, '411025', '湛北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.439,33.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7692, 763, '411025', '王洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.468,34.0101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7693, 763, '411025', '茨沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.496,33.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7694, 763, '411025', '姜庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.737,33.7595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7695, 764, '411323', '阳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.718,33.3474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7696, 764, '411323', '寨根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.145,33.6338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7697, 764, '411323', '紫金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.482,33.3099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7698, 764, '411323', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.659,33.6933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7699, 764, '411323', '白羽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.486,33.2978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7700, 764, '411323', '重阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.175,33.3467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7701, 764, '411323', '米坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.407,33.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7702, 764, '411323', '回车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.576,33.3713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7703, 764, '411323', '军马河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.521,33.6263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7704, 764, '411323', '莲花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.485,33.307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7705, 764, '411323', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.619,33.4591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7706, 764, '411323', '二郎坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.833,33.5324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7707, 764, '411323', '桑坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.208,33.7807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7708, 764, '411323', '丁河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.24,33.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7709, 764, '411323', '丹水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.607,33.2625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7710, 764, '411323', '西坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.018,33.477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7711, 764, '411323', '五里桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.43,33.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7712, 764, '411323', '田关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.666,33.0977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7713, 764, '411323', '石界河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.405,33.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7714, 765, '411327', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.903,32.8287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7715, 765, '411327', '下洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.17,33.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7716, 765, '411327', '苗店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.004,32.9682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7717, 765, '411327', '饶良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.034,32.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7718, 765, '411327', '晋庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.778,32.9274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7719, 765, '411327', '大冯营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.833,32.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7720, 765, '411327', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.794,33.0944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7721, 765, '411327', '潘河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.928,33.0335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7722, 765, '411327', '赊店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.929,33.0506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7723, 765, '411327', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.954,32.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7724, 765, '411327', '陌陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.053,33.1406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7725, 765, '411327', '郝寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.981,33.0347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7726, 765, '411327', '朱集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.169,32.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7727, 765, '411327', '赵河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.952,32.9841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7728, 765, '411327', '唐庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.947,33.098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7729, 765, '411327', '李店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.865,32.8865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7730, 766, '411330', '毛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.769,32.5575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7731, 766, '411330', '平氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.025,32.5268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7732, 766, '411330', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.426,32.3626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7733, 766, '411330', '回龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.654,32.7051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7734, 766, '411330', '淮源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.212,32.4318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7735, 766, '411330', '黄岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.572,32.6204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7736, 766, '411330', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.437,32.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7737, 766, '411330', '固县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.656,32.4137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7738, 766, '411330', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.316,32.5877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7739, 766, '411330', '新集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.149,32.5385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7740, 766, '411330', '月河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.605,32.3549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7741, 766, '411330', '安棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.163,32.5919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7742, 766, '411330', '程湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.033,32.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7743, 766, '411330', '埠江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.036,32.5928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7744, 766, '411330', '朱庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.434,32.5949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7745, 766, '411330', '吴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.459,32.438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7746, 767, '411303', '蒲山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.579,33.1682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7747, 767, '411303', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.517,33.0073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7748, 767, '411303', '七一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.516,32.9914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7749, 767, '411303', '光武街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.517,33.02', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7750, 767, '411303', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.598,33.2116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7751, 767, '411303', '百里奚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,33.032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7752, 767, '411303', '梅溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.526,33.0036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7753, 767, '411303', '七里园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,33.0665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7754, 767, '411303', '潦河坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.364,33.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7755, 767, '411303', '谢庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.463,33.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7756, 767, '411303', '龙王沟风景区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.5,33.2566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7757, 767, '411303', '英庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.388,32.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7758, 767, '411303', '靳岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.457,33.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7759, 767, '411303', '安皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.339,33.1281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7760, 767, '411303', '卧龙岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.469,32.975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7761, 767, '411303', '武侯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.459,33.0096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7762, 767, '411303', '张衡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.531,33.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7763, 767, '411303', '王村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.408,33.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7764, 767, '411303', '青华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.309,32.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7765, 767, '411303', '潦河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.438,32.9602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7766, 767, '411303', '陆营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.5,32.8603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7767, 768, '411321', '白土岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.407,33.4621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7768, 768, '411321', '皇路店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.661,33.3283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7769, 768, '411321', '小店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.59,33.4762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7770, 768, '411321', '云阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,33.5861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7771, 768, '411321', '留山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.508,33.4313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7772, 768, '411321', '南河店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.372,33.367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7773, 768, '411321', '崔庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.385,33.664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7774, 768, '411321', '板山坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.072,33.3946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7775, 768, '411321', '河南向东机械厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.708,33.4787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7776, 768, '411321', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.417,33.5127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7777, 768, '411321', '乔端镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.019,33.595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7778, 768, '411321', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.411,33.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7779, 768, '411321', '河南红宇机械厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.596,33.4054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7780, 768, '411321', '河南红阳机械厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.778,33.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7781, 768, '411321', '马市坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.152,33.7135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7782, 768, '411321', '皇后乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.813,33.5801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7783, 768, '411321', '四棵树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.409,33.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7784, 768, '411321', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.429,33.2575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7785, 768, '411321', '国营长江机械厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,33.3672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7786, 768, '411321', '太山庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.623,33.397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7787, 768, '411321', '国营东风机械厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.631,33.396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7788, 769, '411328', '湖阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.772,32.4684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7789, 769, '411328', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.794,32.6894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7790, 769, '411328', '上屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.76,32.6308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7791, 769, '411328', '马振抚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.013,32.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7792, 769, '411328', '昝岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.813,32.6321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7793, 769, '411328', '少拜寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.173,32.8318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7794, 769, '411328', '东王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.251,32.6681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7795, 769, '411328', '祁仪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.898,32.5305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7796, 769, '411328', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.788,32.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7797, 769, '411328', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.867,32.7184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7798, 769, '411328', '桐河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.76,32.8562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7799, 769, '411328', '黑龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.674,32.4998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7800, 769, '411328', '郭滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.598,32.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7801, 769, '411328', '源潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.972,32.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7802, 769, '411328', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.613,32.4485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7803, 769, '411328', '毕店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.07,32.5962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7804, 769, '411328', '桐寨铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,32.8414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7805, 769, '411328', '张店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.632,32.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7806, 769, '411328', '大河屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.063,32.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7807, 769, '411328', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.904,32.7181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7808, 769, '411328', '苍台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.547,32.4755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7809, 769, '411328', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.6,32.6379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7810, 770, '411322', '袁店回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.862,33.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7811, 770, '411322', '方城大寺林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.192,33.1361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7812, 770, '411322', '四里店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.866,33.6069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7813, 770, '411322', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.913,33.3976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7814, 770, '411322', '古庄店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.11,33.3029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7815, 770, '411322', '券桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.001,33.2432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7816, 770, '411322', '小史店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.281,33.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7817, 770, '411322', '杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.984,33.4053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7818, 770, '411322', '二郎庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.055,33.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7819, 770, '411322', '博望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.671,33.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7820, 770, '411322', '独树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.206,33.4135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7821, 770, '411322', '柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.761,33.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7822, 770, '411322', '赵河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.883,33.1119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7823, 770, '411322', '拐河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.05,33.4915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7824, 770, '411322', '凤瑞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.013,33.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7825, 770, '411322', '杨楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.328,33.3456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7826, 770, '411322', '释之街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.954,33.2647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7827, 770, '411322', '广阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.661,33.32', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7828, 770, '411322', '河南中南机械厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.72,33.3372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7829, 771, '411302', '瓦店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.487,32.7754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7830, 771, '411302', '高新区产业集聚工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.571,32.9384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7831, 771, '411302', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.54,33.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7832, 771, '411302', '汉冶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.593,33.0411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7833, 771, '411302', '茶庵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.725,32.9614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7834, 771, '411302', '高庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.829,32.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7835, 771, '411302', '黄台岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.499,32.8585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7836, 771, '411302', '金华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.66,32.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7837, 771, '411302', '溧河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.515,32.9631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7838, 771, '411302', '白河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.644,33.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7839, 771, '411302', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.539,33.0028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7840, 771, '411302', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.567,32.7296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7841, 771, '411302', '新店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.663,33.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7842, 771, '411302', '仲景街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.583,33.0122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7843, 771, '411302', '枣林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.528,32.9038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7844, 771, '411302', '红泥湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.789,33.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7845, 771, '411302', '汉冢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.727,32.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7846, 771, '411302', '赤虎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.647,32.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7847, 772, '411329', '上庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.321,32.7191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7848, 772, '411329', '上港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.29,32.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7849, 772, '411329', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.264,32.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7850, 772, '411329', '前高庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.557,32.525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7851, 772, '411329', '五星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.384,32.4761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7852, 772, '411329', '汉城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.368,32.5275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7853, 772, '411329', '歪子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.42,32.6581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7854, 772, '411329', '沙堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.473,32.686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7855, 772, '411329', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.375,32.5991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7856, 772, '411329', '新甸铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.293,32.4521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7857, 772, '411329', '樊集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.42,32.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7858, 772, '411329', '施庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.591,32.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7859, 772, '411329', '溧河铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.461,32.5598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7860, 772, '411329', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,32.4437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7861, 772, '411329', '汉华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.379,32.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7862, 773, '411324', '老庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.292,33.2066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7863, 773, '411324', '王岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.096,33.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7864, 773, '411324', '枣园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.993,32.9758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7865, 773, '411324', '卢医镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.992,33.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7866, 773, '411324', '曲屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.977,33.0586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7867, 773, '411324', '马庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.031,32.8661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7868, 773, '411324', '晁陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.095,33.0638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7869, 773, '411324', '玉都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.221,33.1059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7870, 773, '411324', '张林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.15,32.8606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7871, 773, '411324', '郭庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.199,32.8785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7872, 773, '411324', '彭营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.369,32.9924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7873, 773, '411324', '遮山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.412,33.0192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7874, 773, '411324', '二龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.246,33.3229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7875, 773, '411324', '安字营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.255,33.0011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7876, 773, '411324', '杨营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.112,32.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7877, 773, '411324', '柳泉铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.349,33.0927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7878, 773, '411324', '高丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.087,33.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7879, 773, '411324', '雪枫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.249,33.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7880, 773, '411324', '石佛寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.108,33.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7881, 773, '411324', '涅阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.216,33.0327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7882, 773, '411324', '贾宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.09,33.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7883, 773, '411324', '侯集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.235,32.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7884, 774, '411326', '厚坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.768,32.8916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7885, 774, '411326', '毛堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.42,33.2618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7886, 774, '411326', '丹阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.854,32.7139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7887, 774, '411326', '马蹬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.654,32.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7888, 774, '411326', '盛湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.345,32.9685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7889, 774, '411326', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.343,33.1129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7890, 774, '411326', '大石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.24,33.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7891, 774, '411326', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.351,33.0563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7892, 774, '411326', '龙城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.488,33.1509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7893, 774, '411326', '西簧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.274,33.2683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7894, 774, '411326', '滔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.265,33.0418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7895, 774, '411326', '商圣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.488,33.1378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7896, 774, '411326', '寺湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.163,33.1922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7897, 774, '411326', '上集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.592,33.1433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7898, 774, '411326', '荆紫关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.029,33.3359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7899, 774, '411326', '仓房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.493,32.6863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7900, 774, '411326', '香花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.587,32.7844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7901, 775, '411381', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.842,32.7219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7902, 775, '411381', '湍河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.081,32.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7903, 775, '411381', '花洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.115,32.6788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7904, 775, '411381', '构林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.09,32.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7905, 775, '411381', '孟楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.841,32.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7906, 775, '411381', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.05,32.7032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7907, 775, '411381', '杏山旅游管理区杏山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.721,32.6424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7908, 775, '411381', '桑庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.25,32.6186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7909, 775, '411381', '十林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.827,32.9164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7910, 775, '411381', '赵集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.03,32.8994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7911, 775, '411381', '张楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.157,32.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7912, 775, '411381', '罗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.917,32.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7913, 775, '411381', '夏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.109,32.8747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7914, 775, '411381', '都司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.006,32.5545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7915, 775, '411381', '高集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.918,32.6878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7916, 775, '411381', '白牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,32.7689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7917, 775, '411381', '穰东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.302,32.8659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7918, 775, '411381', '裴营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.977,32.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7919, 775, '411381', '陶营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.978,32.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7920, 775, '411381', '文渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.927,32.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7921, 775, '411381', '小杨营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.204,32.5597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7922, 775, '411381', '张村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.815,32.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7923, 775, '411381', '龙堰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.04,32.6544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7924, 775, '411381', '腰店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.276,32.6772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7925, 775, '411381', '南阳市黄牛良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.15,32.4634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7926, 775, '411381', '汲滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.269,32.8', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7927, 775, '411381', '彭桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.812,32.666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7928, 775, '411381', '林扒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.834,32.5887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7929, 775, '411381', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.17,32.4739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7930, 776, '411325', '夏馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.83,33.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7931, 776, '411325', '余关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.863,33.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7932, 776, '411325', '桃溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.605,33.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7933, 776, '411325', '师岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.789,33.0026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7934, 776, '411325', '灌涨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.99,32.9818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7935, 776, '411325', '马山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.12,33.2921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7936, 776, '411325', '岞曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.607,32.9543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7937, 776, '411325', '赤眉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.736,33.2287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7938, 776, '411325', '大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.898,33.0227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7939, 776, '411325', '湍东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.815,33.0842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7940, 776, '411325', '赵店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.734,33.1049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7941, 776, '411325', '七里坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.049,33.4194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7942, 776, '411325', '板场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.616,33.4387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7943, 776, '411325', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.836,33.0526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7944, 776, '411325', '瓦亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.644,32.8737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7945, 776, '411325', '王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.997,33.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7946, 777, '411526', '踅孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.196,32.3535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7947, 777, '411526', '黄湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.332,32.2203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7948, 777, '411526', '伞陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.17,32.1532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7949, 777, '411526', '张集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.368,32.1164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7950, 777, '411526', '来龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.116,32.377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7951, 777, '411526', '隆古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,32.2236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7952, 777, '411526', '江家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.285,32.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7953, 777, '411526', '春申街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.988,32.1547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7954, 777, '411526', '魏岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.012,32.2606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7955, 777, '411526', '付店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.922,32.1186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7956, 777, '411526', '卜塔集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.001,32.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7957, 777, '411526', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.053,32.1297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7958, 777, '411526', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.164,32.0083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7959, 777, '411526', '定城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.032,32.1698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7960, 777, '411526', '黄寺岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.296,32.1842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7961, 777, '411526', '谈店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.122,32.2065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7962, 777, '411526', '桃林铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.277,32.2112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7963, 777, '411526', '白店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.059,32.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7964, 777, '411526', '上油岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.315,32.3143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7965, 777, '411526', '双柳树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.174,31.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7966, 777, '411526', '传流店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.211,32.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7967, 777, '411526', '河南省潢川经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.09,32.1236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7968, 777, '411526', '弋阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.088,32.1692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7969, 778, '411527', '顺河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.403,32.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7970, 778, '411527', '滨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.381,32.4661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7971, 778, '411527', '邓湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.301,32.3983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7972, 778, '411527', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.263,32.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7973, 778, '411527', '张庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.411,32.3714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7974, 778, '411527', '淮滨县台头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.305,32.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7975, 778, '411527', '王店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.399,32.3471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7976, 778, '411527', '淮滨县谷堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.402,32.3913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7977, 778, '411527', '三空桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.17,32.5978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7978, 778, '411527', '王家岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.46,32.5111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7979, 778, '411527', '固城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.412,32.5708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7980, 778, '411527', '栏杆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.402,32.528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7981, 778, '411527', '期思镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.443,32.387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7982, 778, '411527', '桂花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.429,32.4752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7983, 778, '411527', '新里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.173,32.5141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7984, 778, '411527', '防胡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.124,32.5758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7985, 778, '411527', '赵集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.23,32.5897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7986, 778, '411527', '芦集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.153,32.4281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7987, 778, '411527', '张里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.075,32.619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7988, 779, '411521', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.285,32.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7989, 779, '411521', '竹竿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.661,32.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7990, 779, '411521', '潘新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.457,32.0032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7991, 779, '411521', '山店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.405,31.8017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7992, 779, '411521', '彭新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.36,31.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7993, 779, '411521', '庙仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.555,32.1626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7994, 779, '411521', '灵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.28,31.9937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7995, 779, '411521', '子路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.366,31.9823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7996, 779, '411521', '东卜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.6,32.3058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7997, 779, '411521', '周党镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.567,31.9477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7998, 779, '411521', '莽张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.479,32.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (7999, 779, '411521', '铁铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.192,31.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8000, 779, '411521', '尤店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.489,32.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8001, 779, '411521', '高店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.316,32.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8002, 779, '411521', '定远乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.572,31.8283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8003, 779, '411521', '朱堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.172,31.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8004, 779, '411521', '楠杆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.387,32.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8005, 779, '411521', '河南省五一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.374,32.1622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8006, 779, '411521', '宝城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.541,32.2369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8007, 779, '411521', '丽水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,32.1163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8008, 779, '411521', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.506,32.1706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8009, 780, '411522', '凉亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.003,31.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8010, 780, '411522', '寨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.894,32.1766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8011, 780, '411522', '槐店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.898,31.9852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8012, 780, '411522', '弦山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.843,32.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8013, 780, '411522', '马畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.551,31.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8014, 780, '411522', '十里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.964,32.0313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8015, 780, '411522', '白雀园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.131,31.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8016, 780, '411522', '斛山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.994,31.9555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8017, 780, '411522', '砖桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.989,31.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8018, 780, '411522', '文殊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.753,31.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8019, 780, '411522', '孙铁铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.72,32.1803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8020, 780, '411522', '殷棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.571,31.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8021, 780, '411522', '泼陂河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.861,31.8645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8022, 780, '411522', '晏河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.736,31.8413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8023, 780, '411522', '北向店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.762,32.0442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8024, 780, '411522', '紫水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.945,32.0344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8025, 780, '411522', '仙居乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.64,32.1102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8026, 780, '411522', '罗陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.667,31.9974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8027, 780, '411522', '南向店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.657,31.8281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8028, 781, '411523', '周河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.991,31.6337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8029, 781, '411523', '陡山河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.762,31.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8030, 781, '411523', '泗店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.92,31.5647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8031, 781, '411523', '田铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.033,31.5648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8032, 781, '411523', '沙窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.096,31.7283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8033, 781, '411523', '苏河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.59,31.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8034, 781, '411523', '浒湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.873,31.7681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8035, 781, '411523', '吴陈河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.821,31.7718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8036, 781, '411523', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.947,31.6673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8037, 781, '411523', '八里畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.042,31.7008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8038, 781, '411523', '千斤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.76,31.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8039, 781, '411523', '箭厂河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.834,31.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8040, 781, '411523', '郭家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.706,31.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8041, 781, '411523', '陈店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.77,31.6239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8042, 781, '411523', '卡房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.639,31.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8043, 782, '411502', '五星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,32.074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8044, 782, '411502', '湖东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.045,32.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8045, 782, '411502', '董家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.87,32.199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8046, 782, '411502', '李家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.065,31.894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8047, 782, '411502', '金牛山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.072,32.1896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8048, 782, '411502', '南湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.896,32.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8049, 782, '411502', '游河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.868,32.2567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8050, 782, '411502', '民权街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.078,32.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8051, 782, '411502', '十三里桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.063,32.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8052, 782, '411502', '谭家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.989,31.9951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8053, 782, '411502', '双井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.074,32.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8054, 782, '411502', '浉河港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.969,31.9724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8055, 782, '411502', '东双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.128,32.049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8056, 782, '411502', '五里墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.066,32.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8057, 782, '411502', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.076,32.1219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8058, 782, '411502', '柳林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.065,31.894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8059, 782, '411502', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.082,32.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8060, 782, '411502', '吴家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.878,32.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8061, 783, '411525', '黎集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.927,32.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8062, 783, '411525', '汪棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.461,32.0937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8063, 783, '411525', '观堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.555,32.3473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8064, 783, '411525', '石佛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.785,32.1046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8065, 783, '411525', '胡族铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.412,32.2521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8066, 783, '411525', '秀水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.565,32.1813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8067, 783, '411525', '方集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.575,31.8373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8068, 783, '411525', '马堽集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.361,32.1022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8069, 783, '411525', '柳树店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.689,32.1369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8070, 783, '411525', '张老埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.746,32.0674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8071, 783, '411525', '杨集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,32.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8072, 783, '411525', '番城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.704,32.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8073, 783, '411525', '赵岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.66,31.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8074, 783, '411525', '陈淋子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.843,31.779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8075, 783, '411525', '南大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,32.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8076, 783, '411525', '蒋集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.799,32.3354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8077, 783, '411525', '段集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.626,31.7907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8078, 783, '411525', '往流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.743,32.4485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8079, 783, '411525', '李店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.714,32.4001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8080, 783, '411525', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.887,32.3399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8081, 783, '411525', '祖师庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,31.9151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8082, 783, '411525', '泉河铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.821,32.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8083, 783, '411525', '草庙集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.505,32.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8084, 783, '411525', '三河尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.881,32.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8085, 783, '411525', '丰港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.79,32.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8086, 783, '411525', '郭陆滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.564,31.9589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8087, 783, '411525', '武庙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.689,31.7899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8088, 783, '411525', '分水亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.81,32.241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8089, 783, '411525', '张广庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.849,32.1228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8090, 783, '411525', '洪埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,32.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8091, 783, '411525', '蓼城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.664,32.1889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8092, 783, '411525', '沙河铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.78,32.1705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8093, 783, '411525', '徐集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.88,32.4396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8094, 784, '411524', '达权店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.302,31.538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8095, 784, '411524', '吴河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.321,31.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8096, 784, '411524', '鄢岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.306,32.0285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8097, 784, '411524', '金刚台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,31.8052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8098, 784, '411524', '苏仙石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.638,31.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8099, 784, '411524', '丰集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.456,31.8678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8100, 784, '411524', '汪岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.463,31.7737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8101, 784, '411524', '汤泉池管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.338,31.7059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8102, 784, '411524', '长竹园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.329,31.5333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8103, 784, '411524', '河风桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.491,31.9414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8104, 784, '411524', '伏山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.387,31.6538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8105, 784, '411524', '观庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.144,31.872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8106, 784, '411524', '冯店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.177,31.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8107, 784, '411524', '鲇鱼山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.271,31.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8108, 784, '411524', '李集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.566,31.9673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8109, 784, '411524', '余集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.181,31.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8110, 784, '411524', '上石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.506,32.0648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8111, 784, '411524', '赤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.421,31.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8112, 784, '411524', '汪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.181,31.8505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8113, 784, '411524', '双椿铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.297,31.9223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8114, 785, '411528', '东岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.897,32.6254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8115, 785, '411528', '八里岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.696,32.2049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8116, 785, '411528', '龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.751,32.3352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8117, 785, '411528', '长陵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.07,32.4301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8118, 785, '411528', '陈棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.992,32.3375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8119, 785, '411528', '夏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.961,32.4578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8120, 785, '411528', '路口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.567,32.434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8121, 785, '411528', '曹黄林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.94,32.2093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8122, 785, '411528', '临河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.89,32.316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8123, 785, '411528', '岗李店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.028,32.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8124, 785, '411528', '关店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.943,32.2779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8125, 785, '411528', '张陶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.917,32.53', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8126, 785, '411528', '小茴店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.031,32.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8127, 785, '411528', '项店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.907,32.4174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8128, 785, '411528', '包信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.067,32.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8129, 785, '411528', '孙庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.638,32.3737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8130, 785, '411528', '杨店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.809,32.4751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8131, 785, '411528', '白土店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.805,32.5814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8132, 785, '411528', '地矿局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,32.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8133, 785, '411528', '谯楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.672,32.3211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8134, 785, '411528', '彭店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.703,32.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8135, 785, '411528', '淮河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.717,32.3844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8136, 786, '411503', '平西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.114,32.105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8137, 786, '411503', '平昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.861,32.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8138, 786, '411503', '肖店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.193,32.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8139, 786, '411503', '明港工业管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.941,32.5543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8140, 786, '411503', '五里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.345,32.2434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8141, 786, '411503', '龙井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.185,32.3873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8142, 786, '411503', '彭家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.064,32.2983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8143, 786, '411503', '高粱店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.753,32.3844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8144, 786, '411503', '甘岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.975,32.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8145, 786, '411503', '信阳国际家居产业小镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.093,32.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8146, 786, '411503', '邢集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.8,32.5933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8147, 786, '411503', '平东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.161,32.0968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8148, 786, '411503', '王岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.764,32.4865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8149, 786, '411503', '城阳城址保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.024,32.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8150, 786, '411503', '明港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.075,32.517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8151, 786, '411503', '洋河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.174,32.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8152, 786, '411503', '平桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.151,32.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8153, 786, '411503', '天梯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.26,32.0656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8154, 786, '411503', '龙飞山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.132,32.1693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8155, 786, '411503', '五里店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.244,32.05', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8156, 786, '411503', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.067,32.1647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8157, 786, '411503', '长台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.974,32.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8158, 786, '411503', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.207,32.1228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8159, 786, '411503', '北湖风景管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.07,32.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8160, 786, '411503', '查山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.902,32.3812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8161, 786, '411503', '肖王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.342,32.3659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8162, 786, '411503', '胡店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.086,32.3555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8163, 786, '411503', '羊山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.078,32.1402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8164, 786, '411503', '震雷山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.116,32.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8165, 786, '411503', '农村改革发展综合试验核心区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.141,32.2379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8166, 786, '411503', '南京路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.098,32.1239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8167, 803, '411722', '百尺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.194,33.3825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8168, 803, '411722', '杨屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.387,33.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8169, 803, '411722', '崇礼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.621,33.342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8170, 803, '411722', '小岳寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.352,33.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8171, 803, '411722', '洙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.438,33.2142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8172, 803, '411722', '无量寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.103,33.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8173, 803, '411722', '杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.696,33.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8174, 803, '411722', '卧龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.242,33.3027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8175, 803, '411722', '韩寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.463,33.326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8176, 803, '411722', '西洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.283,33.4083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8177, 803, '411722', '重阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.244,33.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8178, 803, '411722', '东岸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.562,33.4168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8179, 803, '411722', '五龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.394,33.2455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8180, 803, '411722', '芦岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.268,33.2666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8181, 803, '411722', '朱里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.492,33.3801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8182, 803, '411722', '华陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.29,33.4784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8183, 803, '411722', '塔桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.412,33.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8184, 803, '411722', '党店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.507,33.2386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8185, 803, '411722', '齐海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.332,33.2702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8186, 803, '411722', '大路李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.169,33.3304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8187, 803, '411722', '东洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.379,33.4001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8188, 803, '411722', '和店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.699,33.201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8189, 803, '411722', '蔡都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.305,33.317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8190, 803, '411722', '邵店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.234,33.2156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8191, 803, '411722', '蔡沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.533,33.3026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8192, 803, '411722', '黄埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.175,33.2007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8193, 804, '411721', '芦庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.712,33.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8194, 804, '411721', '专探乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.88,33.347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8195, 804, '411721', '师灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.801,33.4308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8196, 804, '411721', '杨庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.809,33.3682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8197, 804, '411721', '蔡寨回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.937,33.2653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8198, 804, '411721', '二郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.976,33.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8199, 804, '411721', '权寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.855,33.4765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8200, 804, '411721', '出山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.639,33.33', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8201, 804, '411721', '五沟营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.131,33.474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8202, 804, '411721', '柏城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.03,33.3984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8203, 804, '411721', '人和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.05,33.5261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8204, 804, '411721', '老王坡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.057,33.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8205, 804, '411721', '盆尧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.078,33.4183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8206, 804, '411721', '焦庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.088,33.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8207, 804, '411721', '柏苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114,33.4214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8208, 804, '411721', '产业集聚区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.073,33.3772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8209, 804, '411721', '宋集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.969,33.4821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8210, 804, '411721', '嫘祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.711,33.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8211, 804, '411721', '重渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.049,33.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8212, 804, '411721', '谭店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,33.4119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8213, 804, '411721', '柏亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.994,33.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8214, 805, '411729', '李桥回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.795,32.8748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8215, 805, '411729', '韩集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.034,32.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8216, 805, '411729', '今是街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.909,32.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8217, 805, '411729', '古吕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.98,32.7718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8218, 805, '411729', '孙召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.957,32.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8219, 805, '411729', '砖店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.787,32.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8220, 805, '411729', '余店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.639,32.7072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8221, 805, '411729', '宋岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.041,32.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8222, 805, '411729', '涧头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.033,32.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8223, 805, '411729', '关津乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.919,32.6942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8224, 805, '411729', '弥陀寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.822,32.9199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8225, 805, '411729', '棠村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.1,32.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8226, 805, '411729', '佛阁寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.792,32.7399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8227, 805, '411729', '顿岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.147,32.6563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8228, 805, '411729', '河坞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.842,32.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8229, 805, '411729', '月亮湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.91,32.76', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8230, 805, '411729', '陈店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.768,32.7731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8231, 805, '411729', '栎城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.022,32.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8232, 805, '411729', '龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.86,32.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8233, 805, '411729', '杨庄户乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.149,32.7761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8234, 805, '411729', '练村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.184,32.6727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8235, 805, '411729', '黄楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.712,32.8675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8236, 805, '411729', '化庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.156,32.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8237, 806, '411726', '下碑寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.558,33.1593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8238, 806, '411726', '盘古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,32.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8239, 806, '411726', '马谷田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.619,32.6842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8240, 806, '411726', '杨家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.297,32.8536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8241, 806, '411726', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.362,32.9747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8242, 806, '411726', '双庙街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.273,32.8521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8243, 806, '411726', '王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.411,32.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8244, 806, '411726', '付庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.419,32.985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8245, 806, '411726', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.322,32.7291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8246, 806, '411726', '赊湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.202,32.7468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8247, 806, '411726', '贾楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.506,32.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8248, 806, '411726', '高邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.557,32.7488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8249, 806, '411726', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.317,32.7207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8250, 806, '411726', '泰山庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.2,32.8998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8251, 806, '411726', '铜山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.634,32.8058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8252, 806, '411726', '象河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.411,33.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8253, 806, '411726', '羊册镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.228,33.0702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8254, 806, '411726', '黄山口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,33.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8255, 806, '411726', '高店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.2,32.6584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8256, 806, '411726', '泌水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.276,32.7865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8257, 806, '411726', '郭集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.152,33.0345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8258, 806, '411726', '春水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.434,33.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8259, 807, '411702', '雪松街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.027,32.9913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8260, 807, '411702', '蚁蜂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.847,32.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8261, 807, '411702', '关王庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.007,33.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8262, 807, '411702', '水屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.237,32.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8263, 807, '411702', '顺河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.115,33.0408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8264, 807, '411702', '南海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.043,32.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8265, 807, '411702', '西园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.02,32.9863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8266, 807, '411702', '香山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.974,32.941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8267, 807, '411702', '橡林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114,32.9915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8268, 807, '411702', '沙河店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.69,33.0837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8269, 807, '411702', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.033,32.9851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8270, 807, '411702', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.035,33.0488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8271, 807, '411702', '刘阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.98,32.9925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8272, 807, '411702', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.07,32.8473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8273, 807, '411702', '人民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.033,32.9763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8274, 807, '411702', '金桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.034,32.952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8275, 807, '411702', '金河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.991,32.9944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8276, 807, '411702', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,33.1058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8277, 807, '411702', '胡庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.796,32.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8278, 807, '411702', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.064,33.0119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8279, 807, '411702', '老河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.789,32.9581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8280, 807, '411702', '老街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.023,32.9564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8281, 807, '411702', '开源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.094,33.0621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8282, 807, '411702', '诸市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.896,33.106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8283, 807, '411702', '朱古洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.993,32.8971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8284, 808, '411725', '普会寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.047,32.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8285, 808, '411725', '新安店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,32.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8286, 808, '411725', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.197,32.5911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8287, 808, '411725', '瓦岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.792,32.8279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8288, 808, '411725', '留庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.2,32.6985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8289, 808, '411725', '竹沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.702,32.8573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8290, 808, '411725', '石滚河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.683,32.7225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8291, 808, '411725', '任店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.899,32.7207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8292, 808, '411725', '李新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.952,32.5283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8293, 808, '411725', '三里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.002,32.7369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8294, 808, '411725', '盘龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.029,32.8095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8295, 808, '411725', '刘店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.095,32.752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8296, 809, '411724', '油坊店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.658,32.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8297, 809, '411724', '彭桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.405,32.4208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8298, 809, '411724', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.577,32.528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8299, 809, '411724', '陡沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.282,32.4127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8300, 809, '411724', '雷寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.637,32.564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8301, 809, '411724', '大林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.518,32.3815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8302, 809, '411724', '吕河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.42,32.557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8303, 809, '411724', '傅寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.432,32.7593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8304, 809, '411724', '王勿桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.562,32.6164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8305, 809, '411724', '皮店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.366,32.4173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8306, 809, '411724', '熊寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.223,32.6308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8307, 809, '411724', '真阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,32.5736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8308, 809, '411724', '袁寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.56,32.7275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8309, 809, '411724', '寒冻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.536,32.7951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8310, 809, '411724', '铜钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.635,32.3715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8311, 809, '411724', '兰青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.199,32.4605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8312, 809, '411724', '慎水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.433,32.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8313, 809, '411724', '汝南埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.794,32.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8314, 809, '411724', '新阮店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,32.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8315, 810, '411728', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.808,33.2308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8316, 810, '411728', '查岈山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.733,33.1499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8317, 810, '411728', '沈寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.848,33.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8318, 810, '411728', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.08,33.1428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8319, 810, '411728', '褚堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.913,33.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8320, 810, '411728', '和兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.01,33.2482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8321, 810, '411728', '查岈山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.736,33.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8322, 810, '411728', '花庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.778,33.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8323, 810, '411728', '槐树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.717,33.2688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8324, 810, '411728', '阳丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.836,33.1598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8325, 810, '411728', '石寨铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.152,33.1223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8326, 810, '411728', '文城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.77,33.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8327, 810, '411728', '凤鸣谷风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.669,33.1282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8328, 810, '411728', '常庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.152,33.2224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8329, 810, '411728', '瞿阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.043,33.2029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8330, 810, '411728', '莲花湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.961,33.13', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8331, 811, '411727', '金铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.288,33.1454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8332, 811, '411727', '古塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.333,33.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8333, 811, '411727', '三门闸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.312,33.0606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8334, 811, '411727', '三桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.374,32.9259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8335, 811, '411727', '张楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.188,33.1472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8336, 811, '411727', '王岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.512,32.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8337, 811, '411727', '汝宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.337,33.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8338, 811, '411727', '板店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.468,33.077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8339, 811, '411727', '东官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.187,32.7869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8340, 811, '411727', '常兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.191,32.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8341, 811, '411727', '罗店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.11,33.0878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8342, 811, '411727', '梁祝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.42,32.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8343, 811, '411727', '和孝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.329,32.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8344, 811, '411727', '南余店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.523,32.7822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8345, 811, '411727', '留盆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.43,33.1701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8346, 811, '411727', '韩庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.141,32.8887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8347, 811, '411727', '老君庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.238,32.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8348, 812, '411723', '双庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.691,32.9148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8349, 812, '411723', '射桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.565,33.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8350, 812, '411723', '阳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.465,33.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8351, 812, '411723', '庙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.678,33.116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8352, 812, '411723', '郭楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.524,33.0281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8353, 812, '411723', '李屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,32.9897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8354, 812, '411723', '老王岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.459,32.875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8355, 812, '411723', '古槐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.644,32.9713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8356, 812, '411723', '东皇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.648,32.9607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8357, 812, '411723', '万冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.474,33.0613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8358, 812, '411723', '高杨店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.764,33.1006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8359, 812, '411723', '玉皇庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.582,33.0836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8360, 812, '411723', '万金店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.687,32.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8361, 812, '411723', '辛店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.538,32.8785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8362, 812, '411723', '清河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.583,32.9812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8363, 812, '411723', '十字路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.627,33.1737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8364, 812, '411723', '东和店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,33.0789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8365, 812, '411723', '西洋店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.555,32.8331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8366, 812, '411723', '杨埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.79,32.9955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8367, 813, '410927', '清水河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.72,35.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8368, 813, '410927', '打渔陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.949,36.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8369, 813, '410927', '孙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.85,35.972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8370, 813, '410927', '夹河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.978,36.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8371, 813, '410927', '吴坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.062,36.0274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8372, 813, '410927', '马楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.782,35.8683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8373, 813, '410927', '侯庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.686,35.9507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8374, 813, '410927', '后方乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.825,35.9525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8375, 813, '410927', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.82,36.0127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8376, 814, '410923', '福坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.398,36.0869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8377, 814, '410923', '近德固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.127,36.0288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8378, 814, '410923', '千口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.411,36.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8379, 814, '410923', '韩张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.28,36.081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8380, 814, '410923', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.203,36.1055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8381, 814, '410923', '谷金楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.263,36.0662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8382, 814, '410923', '寺庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.121,36.1637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8383, 814, '410923', '杨村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.24,36.0545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8384, 814, '410923', '梁村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.145,36.2091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8385, 814, '410923', '西邵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.197,36.2076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8386, 814, '410923', '张果屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.368,36.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8387, 814, '410923', '元村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.072,36.1125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8388, 815, '410926', '陈庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.586,35.7988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8389, 815, '410926', '龙王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.616,35.7923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8390, 815, '410926', '杨集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.477,35.7907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8391, 815, '410926', '濮城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.348,35.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8392, 815, '410926', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.513,35.8903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8393, 815, '410926', '辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.374,35.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8394, 815, '410926', '王楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.376,35.7575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8395, 815, '410926', '白衣阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.525,35.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8396, 815, '410926', '陆集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.657,35.8031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8397, 815, '410926', '张庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,35.8552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8398, 815, '410926', '高码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.701,35.8928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8399, 815, '410926', '颜村铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.576,35.9163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8400, 816, '410902', '黄河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.048,35.7774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8401, 816, '410902', '中原油田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.075,35.7925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8402, 816, '410902', '新习镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.904,35.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8403, 816, '410902', '昆吾路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.011,35.7776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8404, 816, '410902', '王助镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.928,35.7367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8405, 816, '410902', '大庆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.075,35.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8406, 816, '410902', '胡村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.946,35.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8407, 816, '410902', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.06,35.7591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8408, 816, '410902', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.019,35.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8409, 816, '410902', '中原路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.045,35.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8410, 816, '410902', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.015,35.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8411, 816, '410902', '孟轲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.09,35.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8412, 816, '410902', '濮东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.125,35.7879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8413, 816, '410902', '开州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.056,35.8182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8414, 816, '410902', '岳村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.217,35.7924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8415, 816, '410902', '任丘路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,35.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8416, 816, '410902', '皇甫路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.923,35.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8417, 816, '410902', '开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.02,35.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8418, 816, '410902', '长庆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.054,35.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8419, 816, '410902', '昌湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.228,35.7349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8420, 817, '410922', '阳邵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.952,36.0666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8421, 817, '410922', '韩村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.993,35.9418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8422, 817, '410922', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.091,35.9572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8423, 817, '410922', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.095,35.9241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8424, 817, '410922', '大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.987,35.9719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8425, 817, '410922', '柳格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.104,35.8624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8426, 817, '410922', '马村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.218,36.0082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8427, 817, '410922', '瓦屋头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.325,35.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8428, 817, '410922', '大流乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.086,36.028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8429, 817, '410922', '六塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.232,35.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8430, 817, '410922', '巩营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.328,36.0069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8431, 817, '410922', '固城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.967,35.8586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8432, 817, '410922', '马庄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.064,35.8184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8433, 817, '410922', '仙庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.27,35.9589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8434, 817, '410922', '高堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.167,35.9213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8435, 817, '410922', '双庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.168,35.806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8436, 817, '410922', '纸房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.186,35.9299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8437, 818, '410928', '濮阳县八公桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.094,35.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8438, 818, '410928', '濮阳县户部寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.35,35.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8439, 818, '410928', '濮阳县郎中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.136,35.5167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8440, 818, '410928', '濮阳县梨园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.248,35.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8441, 818, '410928', '濮阳县清河头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.103,35.7466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8442, 818, '410928', '濮阳县胡状镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.092,35.6284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8443, 818, '410928', '濮阳县鲁河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.254,35.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8444, 818, '410928', '濮阳县白罡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.337,35.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8445, 818, '410928', '濮阳县王称固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.363,35.6518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8446, 818, '410928', '濮阳县五星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.011,35.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8447, 818, '410928', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.014,35.7221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8448, 818, '410928', '濮阳县文留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.279,35.7235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8449, 818, '410928', '濮阳县子岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.002,35.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8450, 818, '410928', '濮阳县柳屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.36,35.7803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8451, 818, '410928', '濮阳县徐镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.152,35.5194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8452, 818, '410928', '濮阳县海通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.966,35.46', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8453, 818, '410928', '濮阳县渠村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.966,35.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8454, 818, '410928', '濮阳县梁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.161,35.6189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8455, 818, '410928', '濮阳县庆祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,35.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8456, 818, '410928', '濮阳县习城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.192,35.4888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8457, 819, '410883', '会昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.744,34.896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8458, 819, '410883', '河雍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.74,34.9209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8459, 819, '410883', '赵和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.699,35.0276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8460, 819, '410883', '河阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.831,34.9492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8461, 819, '410883', '化工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.85,34.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8462, 819, '410883', '大定街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.823,34.9161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8463, 819, '410883', '南庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.873,34.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8464, 819, '410883', '槐树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.577,34.9715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8465, 819, '410883', '城伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.876,34.9819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8466, 819, '410883', '谷旦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.783,35.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8467, 819, '410883', '西虢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.649,34.8925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8468, 820, '410825', '赵堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.168,34.9865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8469, 820, '410825', '北冷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.082,34.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8470, 820, '410825', '番田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.875,34.9835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8471, 820, '410825', '祥云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.992,34.9509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8472, 820, '410825', '招贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.941,34.9272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8473, 820, '410825', '武德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.069,35.0394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8474, 820, '410825', '黄庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.003,35.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8475, 820, '410825', '国营温县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.009,34.9997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8476, 820, '410825', '岳村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.028,34.9481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8477, 820, '410825', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.061,34.9599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8478, 820, '410825', '黄河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.065,34.8586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8479, 820, '410825', '张羌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.137,34.9428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8480, 821, '410882', '西万镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.95,35.2007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8481, 821, '410882', '山王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.016,35.2163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8482, 821, '410882', '覃怀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.934,35.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8483, 821, '410882', '柏香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.751,35.0849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8484, 821, '410882', '崇义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.878,35.0442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8485, 821, '410882', '常平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.01,35.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8486, 821, '410882', '王召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.957,35.066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8487, 821, '410882', '王曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.857,35.1255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8488, 821, '410882', '沁园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.92,35.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8489, 821, '410882', '紫陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.758,35.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8490, 821, '410882', '怀庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.954,35.1331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8491, 821, '410882', '太行街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.936,35.0985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8492, 821, '410882', '西向镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.817,35.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8493, 822, '410804', '马村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,35.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8494, 822, '410804', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.326,35.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8495, 822, '410804', '安阳城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.309,35.3235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8496, 822, '410804', '九里山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.362,35.2664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8497, 822, '410804', '待王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.314,35.2484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8498, 822, '410804', '冯营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.413,35.3346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8499, 822, '410804', '演马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.394,35.3303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8500, 823, '410823', '龙源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.411,35.1404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8501, 823, '410823', '木城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.411,35.0994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8502, 823, '410823', '圪当店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.558,35.1184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8503, 823, '410823', '大封镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.171,35.0003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8504, 823, '410823', '谢旗营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.497,35.1567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8505, 823, '410823', '武陟宁郭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.193,35.103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8506, 823, '410823', '詹店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.631,35.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8507, 823, '410823', '乔庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.606,35.1214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8508, 823, '410823', '小董乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.213,35.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8509, 823, '410823', '木栾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.445,35.0905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8510, 823, '410823', '西陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.173,35.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8511, 823, '410823', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.408,35.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8512, 823, '410823', '三阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.248,35.1374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8513, 823, '410823', '大虹桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.324,35.091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8514, 823, '410823', '嘉应观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.474,34.9814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8515, 823, '410823', '北郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.359,35.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8516, 824, '410822', '国营博爱农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,35.1285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8517, 824, '410822', '博爱县寨豁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.986,35.3193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8518, 824, '410822', '博爱县金城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.102,35.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8519, 824, '410822', '博爱县月山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.01,35.2387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8520, 824, '410822', '博爱县柏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.132,35.1917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8521, 824, '410822', '博爱县孝敬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.991,35.084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8522, 824, '410822', '博爱县磨头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.003,35.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8523, 824, '410822', '博爱县许良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.015,35.2161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8524, 824, '410822', '博爱县清化镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.031,35.1724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8525, 824, '410822', '博爱县鸿昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.06,35.1794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8526, 825, '410821', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.43,35.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8527, 825, '410821', '西村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.163,35.3855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8528, 825, '410821', '七贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.472,35.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8529, 825, '410821', '五里源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.441,35.3183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8530, 825, '410821', '小营工贸区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.448,35.1698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8531, 825, '410821', '郇封镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.52,35.2748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8532, 825, '410821', '王屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.428,35.2035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8533, 825, '410821', '岸上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.375,35.4857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8534, 825, '410821', '周庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.37,35.2366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8535, 826, '410802', '民生街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.231,35.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8536, 826, '410802', '焦西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.204,35.2292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8537, 826, '410802', '焦南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.244,35.2365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8538, 826, '410802', '七百间街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.222,35.2577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8539, 826, '410802', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.214,35.239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8540, 826, '410802', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.232,35.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8541, 826, '410802', '焦北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.226,35.2583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8542, 826, '410802', '上白作街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.212,35.309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8543, 826, '410802', '王褚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.181,35.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8544, 827, '410811', '阳庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.17,35.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8545, 827, '410811', '李万街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.227,35.1614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8546, 827, '410811', '百间房街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.277,35.2629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8547, 827, '410811', '太行街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.238,35.2657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8548, 827, '410811', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.385,35.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8549, 827, '410811', '宁郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.26,35.1539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8550, 827, '410811', '中星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.28,35.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8551, 827, '410811', '定和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.247,35.2191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8552, 827, '410811', '苏家作乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.13,35.1432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8553, 827, '410811', '东方红街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.237,35.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8554, 827, '410811', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.301,35.2599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8555, 827, '410811', '文苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.328,35.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8556, 827, '410811', '光亚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.257,35.2391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8557, 827, '410811', '焦东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.27,35.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8558, 827, '410811', '艺新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.255,35.2555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8559, 828, '410803', '冯封街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.125,35.2385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8560, 828, '410803', '李封街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.168,35.24', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8561, 828, '410803', '王封街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.158,35.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8562, 828, '410803', '朱村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.179,35.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8563, 828, '410803', '府城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.119,35.2046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8564, 828, '410803', '龙洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.163,35.2243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8565, 828, '410803', '许衡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.113,35.2315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8566, 828, '410803', '龙翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.118,35.2689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8567, 829, '410185', '唐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.1,34.5689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8568, 829, '410185', '大冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.253,34.4899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8569, 829, '410185', '石道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.842,34.3789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8570, 829, '410185', '颖阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.742,34.4626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8571, 829, '410185', '君召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.793,34.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8572, 829, '410185', '白坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.084,34.328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8573, 829, '410185', '徐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.213,34.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8574, 829, '410185', '少林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.931,34.5283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8575, 829, '410185', '大金店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.94,34.3903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8576, 829, '410185', '宣化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.317,34.3881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8577, 829, '410185', '中岳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.088,34.4799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8578, 829, '410185', '阳城区镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.112,34.3752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8579, 829, '410185', '东华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.993,34.427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8580, 829, '410185', '嵩阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.985,34.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8581, 829, '410185', '告成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.103,34.3556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8582, 829, '410185', '送表矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.87,34.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8583, 829, '410185', '卢店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.197,34.4844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8584, 830, '410102', '梧桐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.518,34.7903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8585, 830, '410102', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.607,34.7502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8586, 830, '410102', '中原西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.621,34.7716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8587, 830, '410102', '棉纺路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.614,34.7607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8588, 830, '410102', '沟赵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.455,34.8231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8589, 830, '410102', '航海西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.592,34.7341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8590, 830, '410102', '石佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.593,34.818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8591, 830, '410102', '须水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.468,34.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8592, 830, '410102', '汝河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.628,34.7325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8593, 830, '410102', '枫杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.569,34.8293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8594, 830, '410102', '秦岭路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.602,34.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8595, 830, '410102', '双桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.505,34.8464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8596, 830, '410102', '西流湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.59,34.7722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8597, 830, '410102', '桐柏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.606,34.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8598, 830, '410102', '林山寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.616,34.7339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8599, 830, '410102', '绿东村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.584,34.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8600, 830, '410102', '三官庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,34.7479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8601, 831, '410183', '大隗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.562,34.3993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8602, 831, '410183', '苟堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.485,34.4204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8603, 831, '410183', '青屏街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.381,34.5257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8604, 831, '410183', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.314,34.5358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8605, 831, '410183', '平陌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.349,34.4045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8606, 831, '410183', '刘寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.513,34.5248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8607, 831, '410183', '白寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.508,34.665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8608, 831, '410183', '郑州曲梁产业集聚区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.647,34.5581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8609, 831, '410183', '袁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.377,34.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8610, 831, '410183', '来集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.413,34.5176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8611, 831, '410183', '尖山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.19,34.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8612, 831, '410183', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.405,34.5025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8613, 831, '410183', '矿区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.404,34.5053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8614, 831, '410183', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.41,34.5146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8615, 831, '410183', '曲梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.62,34.5595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8616, 831, '410183', '牛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.279,34.4775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8617, 831, '410183', '超化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.435,34.4356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8618, 831, '410183', '岳村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.57,34.5503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8619, 831, '410183', '米村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.283,34.5485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8620, 832, '410184', '八千乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.884,34.4258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8621, 832, '410184', '龙王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.855,34.4196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8622, 832, '410184', '郭店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.671,34.5307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8623, 832, '410184', '中心城区新区建设管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.732,34.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8624, 832, '410184', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.822,34.4896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8625, 832, '410184', '和庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.775,34.3804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8626, 832, '410184', '新烟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.759,34.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8627, 832, '410184', '具茨山国家级森林公园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.511,34.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8628, 832, '410184', '龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.602,34.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8629, 832, '410184', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.729,34.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8630, 832, '410184', '银河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.875,34.5283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8631, 832, '410184', '新建路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.708,34.3997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8632, 832, '410184', '孟庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.779,34.6211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8633, 832, '410184', '新村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.652,34.4812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8634, 832, '410184', '郑港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.875,34.5283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8635, 832, '410184', '观音寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.646,34.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8636, 832, '410184', '梨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.762,34.3606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8637, 832, '410184', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.596,34.4083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8638, 832, '410184', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.693,34.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8639, 832, '410184', '薛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.774,34.5303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8640, 833, '410181', '站街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.063,34.8051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8641, 833, '410181', '康店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.864,34.7819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8642, 833, '410181', '西村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.992,34.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8643, 833, '410181', '永安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.952,34.7279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8644, 833, '410181', '小关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.18,34.7436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8645, 833, '410181', '夹津口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.006,34.629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8646, 833, '410181', '杜甫路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,34.7292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8647, 833, '410181', '回郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.83,34.679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8648, 833, '410181', '河洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.971,34.7879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8649, 833, '410181', '北山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.041,34.7531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8650, 833, '410181', '竹林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.111,34.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8651, 833, '410181', '大峪沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.162,34.7433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8652, 833, '410181', '米河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.271,34.7349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8653, 833, '410181', '芝田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.993,34.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8654, 833, '410181', '涉村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.028,34.6459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8655, 833, '410181', '孝义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.026,34.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8656, 833, '410181', '新中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.219,34.7053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8657, 833, '410181', '鲁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.845,34.623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8658, 833, '410181', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.983,34.7602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8659, 833, '410181', '紫荆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.045,34.7545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8660, 834, '410182', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.156,34.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8661, 834, '410182', '崔庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.301,34.6222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8662, 834, '410182', '豫龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.479,34.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8663, 834, '410182', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.296,34.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8664, 834, '410182', '贾峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.508,34.7038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8665, 834, '410182', '刘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.298,34.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8666, 834, '410182', '广武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.499,34.9202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8667, 834, '410182', '京城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.391,34.7984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8668, 834, '410182', '索河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.388,34.8153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8669, 834, '410182', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.243,34.8438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8670, 834, '410182', '高村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.352,34.8409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8671, 834, '410182', '金寨回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.345,34.8366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8672, 834, '410182', '汜水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.148,34.8417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8673, 834, '410182', '乔楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.386,34.764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8674, 835, '410106', '中心路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.277,34.8108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8675, 835, '410106', '济源路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.298,34.806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8676, 835, '410106', '工业路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.314,34.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8677, 835, '410106', '峡窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.279,34.8351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8678, 835, '410106', '新安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.273,34.8131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8679, 836, '410103', '长江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.633,34.7151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8680, 836, '410103', '铭功路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.652,34.7581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8681, 836, '410103', '福华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.661,34.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8682, 836, '410103', '京广路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.661,34.7056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8683, 836, '410103', '德化街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.664,34.7505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8684, 836, '410103', '大学路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.632,34.7489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8685, 836, '410103', '马寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.507,34.6926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8686, 836, '410103', '一马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.665,34.7506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8687, 836, '410103', '蜜蜂张街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.65,34.7519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8688, 836, '410103', '建中街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.645,34.7324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8689, 836, '410103', '侯寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.528,34.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8690, 836, '410103', '淮河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.636,34.7361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8691, 836, '410103', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.661,34.7536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8692, 836, '410103', '五里堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.631,34.7638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8693, 836, '410103', '嵩山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.614,34.7072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8694, 837, '410105', '丰庆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.646,34.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8695, 837, '410105', '龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.703,34.8093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8696, 837, '410105', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.637,34.7979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8697, 837, '410105', '未来路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.694,34.7566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8698, 837, '410105', '杨金路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.754,34.8665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8699, 837, '410105', '大石桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.655,34.7692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8700, 837, '410105', '北林路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.673,34.8154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8701, 837, '410105', '龙源路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,34.8426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8702, 837, '410105', '祭城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.767,34.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8703, 837, '410105', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,34.7636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8704, 837, '410105', '龙子湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.78,34.8254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8705, 837, '410105', '南阳新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.623,34.796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8706, 837, '410105', '经八路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.673,34.7779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8707, 837, '410105', '如意湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.707,34.7918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8708, 837, '410105', '花园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.681,34.767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8709, 837, '410105', '国基路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.664,34.8511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8710, 837, '410105', '杜岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.667,34.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8711, 837, '410105', '博学路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.781,34.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8712, 837, '410105', '文化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.672,34.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8713, 837, '410105', '南阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.651,34.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8714, 837, '410105', '凤凰台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,34.747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8715, 837, '410105', '丰产路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.693,34.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8716, 837, '410105', '兴达路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.802,34.8889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8717, 837, '410105', '金光路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.839,34.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8718, 838, '410108', '古荥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.502,34.9281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8719, 838, '410108', '刘寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.616,34.7958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8720, 838, '410108', '大河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.558,34.9132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8721, 838, '410108', '长兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.618,34.8411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8722, 838, '410108', '迎宾路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.656,34.8878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8723, 838, '410108', '老鸦陈街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.548,34.8684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8724, 838, '410108', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.636,34.9238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8725, 838, '410108', '花园口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.68,34.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8726, 839, '410122', '狼城岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.118,34.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8727, 839, '410122', '大孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.03,34.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8728, 839, '410122', '八岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.889,34.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8729, 839, '410122', '广惠街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.974,34.7468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8730, 839, '410122', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.002,34.7226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8731, 839, '410122', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.843,34.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8732, 839, '410122', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.958,34.8051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8733, 839, '410122', '三官庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.912,34.5111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8734, 839, '410122', '姚家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.024,34.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8735, 839, '410122', '雁鸣湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.017,34.9443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8736, 839, '410122', '刁家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.137,34.6057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8737, 839, '410122', '韩寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.059,34.7126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8738, 839, '410122', '万滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.937,34.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8739, 839, '410122', '张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.845,34.6131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8740, 839, '410122', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.856,34.5657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8741, 839, '410122', '黄店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.008,34.5815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8742, 839, '410122', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.871,34.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8743, 839, '410122', '前程街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.888,34.6978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8744, 839, '410122', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.151,34.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8745, 839, '410122', '杨桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.858,34.8818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8746, 839, '410122', '青年路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.018,34.7209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8747, 839, '410122', '豫兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.839,34.8074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8748, 839, '410122', '郑庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.914,34.6814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8749, 839, '410122', '祥云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.807,34.6195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8750, 840, '410104', '陇海马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.679,34.7419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8751, 840, '410104', '二里岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.704,34.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8752, 840, '410104', '南曹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.722,34.639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8753, 840, '410104', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.669,34.7434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8754, 840, '410104', '北下街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.667,34.7527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8755, 840, '410104', '经济开发区明湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.726,34.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8756, 840, '410104', '城东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.691,34.7485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8757, 840, '410104', '圃田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.843,34.7477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8758, 840, '410104', '十八里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.71,34.701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8759, 840, '410104', '航海东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.689,34.7258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8760, 840, '410104', '经济开发区潮河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.816,34.661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8761, 840, '410104', '东大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.685,34.7518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8762, 840, '410104', '紫荆山南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.68,34.7304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8763, 840, '410104', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.669,34.7488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8764, 840, '410104', '商都路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.781,34.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8765, 840, '410104', '京航街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.832,34.6989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8766, 841, '410523', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.371,35.9308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8767, 841, '410523', '宜沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.308,35.8801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8768, 841, '410523', '瓦岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.468,35.8737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8769, 841, '410523', '任固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.64,35.9973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8770, 841, '410523', '五陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.643,35.9001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8771, 841, '410523', '伏道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.419,35.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8772, 841, '410523', '古贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.504,35.9902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8773, 841, '410523', '菜园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.526,35.9933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8774, 841, '410523', '白营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,35.9675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8775, 841, '410523', '韩庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.286,35.974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8776, 842, '410505', '相台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.27,36.1343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8777, 842, '410505', '铁西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.328,36.1124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8778, 842, '410505', '清风街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.325,36.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8779, 842, '410505', '北蒙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.285,36.17', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8780, 842, '410505', '纱厂路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.333,36.1292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8781, 842, '410505', '梅园庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.285,36.1329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8782, 842, '410505', '西郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.227,36.1178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8783, 842, '410505', '电厂路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.274,36.1152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8784, 843, '410581', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.827,36.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8785, 843, '410581', '临淇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.778,35.6865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8786, 843, '410581', '采桑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.877,36.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8787, 843, '410581', '陵阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.835,36.1013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8788, 843, '410581', '合涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.822,36.0041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8789, 843, '410581', '东岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.984,36.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8790, 843, '410581', '东姚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.029,35.966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8791, 843, '410581', '桂园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.827,36.0648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8792, 843, '410581', '河顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.981,36.1694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8793, 843, '410581', '茶店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.739,35.8173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8794, 843, '410581', '黄华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.874,36.0206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8795, 843, '410581', '原康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.725,35.8231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8796, 843, '410581', '振林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.81,36.0721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8797, 843, '410581', '开元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.791,36.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8798, 843, '410581', '桂林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.793,35.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8799, 843, '410581', '横水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.992,36.0648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8800, 843, '410581', '五龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.077,35.7958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8801, 843, '410581', '姚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.757,36.1821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8802, 843, '410581', '任村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.775,36.3581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8803, 843, '410581', '石板岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.664,36.1739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8804, 844, '410506', '太行小区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.315,36.0938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8805, 844, '410506', '东风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.304,36.0992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8806, 844, '410506', '田村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.33,35.9778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8807, 844, '410506', '彰武街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.124,36.0991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8808, 844, '410506', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.173,36.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8809, 844, '410506', '文昌大道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.323,36.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8810, 844, '410506', '中州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.326,36.1014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8811, 844, '410506', '文明大道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.315,36.0937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8812, 844, '410506', '马投涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.198,35.9882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8813, 845, '410527', '楚旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.829,36.0997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8814, 845, '410527', '高堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.627,35.8755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8815, 845, '410527', '井店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.753,35.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8816, 845, '410527', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.933,35.9685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8817, 845, '410527', '后河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.847,35.8749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8818, 845, '410527', '东庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.739,35.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8819, 845, '410527', '六村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.731,35.7772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8820, 845, '410527', '石盘屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.777,36.0685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8821, 845, '410527', '中召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.885,35.755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8822, 845, '410527', '亳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.816,35.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8823, 845, '410527', '田氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.77,36.0664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8824, 845, '410527', '马上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.962,36.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8825, 845, '410527', '梁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.726,35.696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8826, 845, '410527', '豆公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.704,35.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8827, 845, '410527', '二安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.594,35.8281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8828, 845, '410527', '张龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,36.0416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8829, 845, '410527', '宋村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.857,36.1372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8830, 846, '410503', '曙光路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,36.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8831, 846, '410503', '洹北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.365,36.1345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8832, 846, '410503', '民航路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.344,36.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8833, 846, '410503', '豆腐营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.364,36.124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8834, 846, '410503', '红旗路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.358,36.1191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8835, 846, '410503', '彰东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.411,36.1459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8836, 846, '410503', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.349,36.1157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8837, 846, '410503', '灯塔路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.363,36.1137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8838, 846, '410503', '彰北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,36.1376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8839, 847, '410522', '磊口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.974,36.1578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8840, 847, '410522', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.579,36.1419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8841, 847, '410522', '铜冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.073,36.2718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8842, 847, '410522', '蒋村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.14,36.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8843, 847, '410522', '马家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.01,36.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8844, 847, '410522', '北郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,36.151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8845, 847, '410522', '伦掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.174,36.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8846, 847, '410522', '都里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.956,36.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8847, 847, '410522', '瓦店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.508,36.0535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8848, 847, '410522', '安丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.243,36.2522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8849, 847, '410522', '许家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.017,36.1155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8850, 847, '410522', '辛村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.652,36.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8851, 847, '410522', '水冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.111,36.1061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8852, 847, '410522', '韩陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.421,36.139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8853, 847, '410522', '曲沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.211,36.0894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8854, 847, '410522', '善应镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.154,36.0461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8855, 847, '410522', '崔家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.557,36.1509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8856, 847, '410522', '白璧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.431,36.089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8857, 847, '410522', '柏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.351,36.2223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8858, 847, '410522', '洪河屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.306,36.169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8859, 847, '410522', '吕村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.682,36.1396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8860, 848, '410502', '宝莲寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.354,36.0254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8861, 848, '410502', '光华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.378,36.0899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8862, 848, '410502', '开发区银杏大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.371,36.0779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8863, 848, '410502', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.365,36.0901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8864, 848, '410502', '北大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,36.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8865, 848, '410502', '永明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.389,36.1121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8866, 848, '410502', '紫薇大道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.377,36.106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8867, 848, '410502', '北大街综合治理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.354,36.1015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8868, 848, '410502', '开发区峨嵋大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.341,36.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8869, 848, '410502', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.339,36.0986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8870, 848, '410502', '头二三街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.361,36.0983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8871, 848, '410502', '步行街综合治理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.349,36.099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8872, 848, '410502', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,36.0834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8873, 848, '410502', '开发区商颂大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.359,36.0604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8874, 848, '410502', '甜水井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.354,36.1021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8875, 848, '410502', '高庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.421,36.0266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8876, 848, '410502', '东大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.353,36.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8877, 848, '410502', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.394,36.0766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8878, 848, '410502', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,36.0959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8879, 849, '410526', '枣村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.614,35.6389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8880, 849, '410526', '瓦岗寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.55,35.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8881, 849, '410526', '桑村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.964,35.463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8882, 849, '410526', '上官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.675,35.4668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8883, 849, '410526', '小铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.456,35.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8884, 849, '410526', '焦虎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.527,35.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8885, 849, '410526', '留固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.699,35.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8886, 849, '410526', '慈周寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.701,35.3429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8887, 849, '410526', '锦和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.554,35.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8888, 849, '410526', '老店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.535,35.4829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8889, 849, '410526', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.419,35.4848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8890, 849, '410526', '大寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.97,35.5094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8891, 849, '410526', '老爷庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.854,35.3849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8892, 849, '410526', '赵营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.903,35.5911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8893, 849, '410526', '高平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.804,35.3951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8894, 849, '410526', '半坡店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.416,35.3907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8895, 849, '410526', '万古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.816,35.462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8896, 849, '410526', '牛屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.408,35.2705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8897, 849, '410526', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.532,35.6043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8898, 849, '410526', '道口镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.498,35.6081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8899, 849, '410526', '八里营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.762,35.5334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8900, 849, '410526', '四间房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.826,35.6696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8901, 849, '410526', '白道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.709,35.693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8902, 850, '410782', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.785,35.4656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8903, 850, '410782', '峪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.543,35.3898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8904, 850, '410782', '高庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.754,35.6229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8905, 850, '410782', '赵固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.625,35.4354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8906, 850, '410782', '薄壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.577,35.42', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8907, 850, '410782', '百泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.789,35.5444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8908, 850, '410782', '北云门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.752,35.4828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8909, 850, '410782', '孟庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.873,35.4328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8910, 850, '410782', '吴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.459,35.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8911, 850, '410782', '占城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.724,35.3468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8912, 850, '410782', '上八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.548,35.6558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8913, 850, '410782', '常村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.944,35.4756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8914, 850, '410782', '胡桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.769,35.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8915, 850, '410782', '西平罗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.785,35.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8916, 850, '410782', '拍石头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.816,35.6765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8917, 850, '410782', '张村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.91,35.5851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8918, 850, '410782', '洪洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.675,35.5579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8919, 850, '410782', '黄水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.625,35.6538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8920, 850, '410782', '南寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.59,35.8249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8921, 850, '410782', '南村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.779,35.7229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8922, 850, '410782', '冀屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.58,35.3889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8923, 850, '410782', '沙窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.685,35.7589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8924, 851, '410704', '潞王坟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.905,35.4275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8925, 851, '410704', '大块镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.82,35.39', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8926, 851, '410704', '宝东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.935,35.415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8927, 851, '410704', '宝西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.911,35.3874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8928, 851, '410704', '耿黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.865,35.4045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8929, 852, '410783', '恼里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.704,35.0419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8930, 852, '410783', '南蒲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.637,35.1821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8931, 852, '410783', '赵堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.965,35.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8932, 852, '410783', '佘家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.848,35.3801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8933, 852, '410783', '孟岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.776,35.2235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8934, 852, '410783', '张三寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.715,35.3401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8935, 852, '410783', '蒲西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.671,35.18', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8936, 852, '410783', '魏庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.7,35.1494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8937, 852, '410783', '常村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.489,35.1969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8938, 852, '410783', '方里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.871,35.3066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8939, 852, '410783', '樊相镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.69,35.2691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8940, 852, '410783', '蒲北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.628,35.2507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8941, 852, '410783', '蒲东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.679,35.2186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8942, 852, '410783', '满村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.698,35.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8943, 852, '410783', '丁栾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.77,35.3329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8944, 852, '410783', '苗寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.892,35.2741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8945, 852, '410783', '芦岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.884,35.1097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8946, 852, '410783', '武邱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.981,35.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8947, 853, '410711', '和平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.991,35.325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8948, 853, '410711', '新乡化学与物理电源产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.948,35.3691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8949, 853, '410711', '北干道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.886,35.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8950, 853, '410711', '东干道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.891,35.3218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8951, 853, '410711', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.867,35.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8952, 853, '410711', '新辉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.865,35.324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8953, 853, '410711', '荣校路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.899,35.3138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8954, 853, '410711', '卫北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.863,35.3185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8955, 853, '410711', '牧野乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.884,35.3254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8956, 853, '410711', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.884,35.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8957, 854, '410703', '平原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.844,35.3046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8958, 854, '410703', '健康路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.865,35.3039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8959, 854, '410703', '中同街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.843,35.3049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8960, 854, '410703', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.866,35.3127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8961, 854, '410703', '南桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.86,35.2949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8962, 854, '410703', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.83,35.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8963, 854, '410703', '自由路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.86,35.3115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8964, 854, '410703', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.853,35.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8965, 855, '410724', '史庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.553,35.2239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8966, 855, '410724', '位庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,35.2925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8967, 855, '410724', '照镜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.7,35.3445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8968, 855, '410724', '亢村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.677,35.1181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8969, 855, '410724', '太山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.744,35.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8970, 855, '410724', '冯庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.68,35.1116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8971, 855, '410724', '徐营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.552,35.1397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8972, 855, '410724', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,35.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8973, 855, '410724', '大新庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.633,35.1239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8974, 855, '410724', '黄堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.518,35.278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8975, 855, '410724', '西工区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.572,35.2756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8976, 855, '410724', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.586,35.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8977, 856, '410721', '大召营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.724,35.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8978, 856, '410721', '七里营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.841,35.1904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8979, 856, '410721', '小冀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.74,35.1997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8980, 856, '410721', '翟坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.821,35.263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8981, 856, '410721', '合河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.754,35.3546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8982, 856, '410721', '古固寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.041,35.255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8983, 856, '410721', '新乡经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.794,35.1994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8984, 856, '410721', '朗公庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.9,35.2353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8985, 857, '410727', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.345,35.0347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8986, 857, '410727', '应举镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.275,35.0855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8987, 857, '410727', '赵岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.556,35.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8988, 857, '410727', '荆宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,35.0017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8989, 857, '410727', '陈桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.452,34.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8990, 857, '410727', '李庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.703,34.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8991, 857, '410727', '黄德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.431,35.2179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8992, 857, '410727', '潘店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.598,35.0462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8993, 857, '410727', '鲁岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.508,35.04', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8994, 857, '410727', '王村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.435,35.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8995, 857, '410727', '陈固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.314,35.1842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8996, 857, '410727', '居厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.379,35.1621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8997, 857, '410727', '黄陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.688,35.0616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8998, 857, '410727', '尹岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.741,35.0158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (8999, 857, '410727', '冯村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.465,35.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9000, 857, '410727', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.399,35.0503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9001, 857, '410727', '回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.376,35.0304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9002, 857, '410727', '曹岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.533,34.9726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9003, 857, '410727', '留光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.658,35.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9004, 858, '410725', '福宁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.956,35.1777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9005, 858, '410725', '韩董庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.742,34.9887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9006, 858, '410725', '齐街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.26,35.0949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9007, 858, '410725', '龙源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.71,35.0044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9008, 858, '410725', '靳堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.998,34.9785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9009, 858, '410725', '官厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.885,34.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9010, 858, '410725', '原武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.816,34.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9011, 858, '410725', '陡门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.105,34.9991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9012, 858, '410725', '大宾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.023,35.0547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9013, 858, '410725', '蒋庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.821,34.9841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9014, 858, '410725', '阳阿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.076,35.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9015, 858, '410725', '师寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.755,35.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9016, 858, '410725', '桥北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.616,34.9942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9017, 858, '410725', '路寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.13,35.132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9018, 858, '410725', '祝楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.777,35.063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9019, 858, '410725', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.142,35.0418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9020, 858, '410725', '葛埠口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.885,35.0737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9021, 858, '410725', '原兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.971,35.0963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9022, 858, '410725', '阳和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.911,35.0094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9023, 859, '410726', '万寿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.167,35.1608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9024, 859, '410726', '僧固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.238,35.1134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9025, 859, '410726', '位邱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.395,35.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9026, 859, '410726', '东屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.076,35.3504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9027, 859, '410726', '马庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.406,35.4141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9028, 859, '410726', '司寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.253,35.2305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9029, 859, '410726', '胙城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.235,35.2831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9030, 859, '410726', '小潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.997,35.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9031, 859, '410726', '王楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.382,35.3073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9032, 859, '410726', '丰庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,35.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9033, 859, '410726', '榆林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.041,35.2551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9034, 859, '410726', '石婆固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.202,35.2898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9035, 860, '410781', '顿坊店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.154,35.4806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9036, 860, '410781', '孙杏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.977,35.3947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9037, 860, '410781', '狮豹头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.888,35.6847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9038, 860, '410781', '东风农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.23,35.4372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9039, 860, '410781', '安都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.001,35.576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9040, 860, '410781', '唐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.941,35.4741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9041, 860, '410781', '太公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.938,35.5232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9042, 860, '410781', '农科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.087,35.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9043, 860, '410781', '后河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.143,35.4293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9044, 860, '410781', '柳庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.125,35.3922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9045, 860, '410781', '苗圃场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.052,35.4312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9046, 860, '410781', '李源屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.198,35.4456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9047, 860, '410781', '庞寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.291,35.4596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9048, 860, '410781', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.112,35.4662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9049, 860, '410781', '五四农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.265,35.4318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9050, 860, '410781', '上乐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,35.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9051, 860, '410781', '汲水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,35.4527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9052, 860, '410781', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.984,35.3645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9053, 861, '410702', '开发区关堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.931,35.2538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9054, 861, '410702', '洪门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.947,35.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9055, 861, '410702', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.881,35.3082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9056, 861, '410702', '开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.918,35.2683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9057, 861, '410702', '向阳小区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.886,35.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9058, 861, '410702', '小店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.998,35.3277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9059, 861, '410702', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.872,35.3084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9060, 861, '410702', '小店工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.026,35.2634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9061, 861, '410702', '文化街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.878,35.2989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9062, 861, '410702', '渠东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.909,35.3062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9063, 862, '410602', '中山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.166,35.9355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9064, 862, '410602', '姬家山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.059,35.9647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9065, 862, '410602', '九矿广场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.13,36.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9066, 862, '410602', '新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.154,35.9746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9067, 862, '410602', '鹤壁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.16,35.9421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9068, 862, '410602', '中北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.164,35.9564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9069, 862, '410602', '鹤山街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.155,35.9757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9070, 863, '410603', '大胡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.18,35.9166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9071, 863, '410603', '汤河街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.187,35.9078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9072, 863, '410603', '长风中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.214,35.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9073, 863, '410603', '宝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.186,35.8836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9074, 863, '410603', '石林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.255,35.874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9075, 863, '410603', '山城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.16,35.9175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9076, 863, '410603', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.166,35.8959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9077, 863, '410603', '鹿楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.185,35.858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9078, 864, '410622', '灵山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.114,35.6397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9079, 864, '410622', '桥盟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.187,35.6415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9080, 864, '410622', '卫都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.159,35.6603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9081, 864, '410622', '黄洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.068,35.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9082, 864, '410622', '朝歌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.204,35.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9083, 864, '410622', '庙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.136,35.7241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9084, 864, '410622', '北阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.075,35.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9085, 864, '410622', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.195,35.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9086, 864, '410622', '西岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.235,35.5127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9087, 865, '410611', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.23,35.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9088, 865, '410611', '上峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.094,35.8068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9089, 865, '410611', '大赉店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.331,35.7991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9090, 865, '410611', '大河涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.03,35.8572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9091, 865, '410611', '钜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.318,35.7179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9092, 865, '410611', '长江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.273,35.738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9093, 865, '410611', '东杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,35.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9094, 865, '410611', '黎阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.282,35.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9095, 865, '410611', '渤海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.225,35.7992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9096, 865, '410611', '海河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.275,35.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9097, 865, '410611', '九州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.269,35.7228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9098, 865, '410611', '泰山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.303,35.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9099, 866, '410621', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.467,35.5617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9100, 866, '410621', '善堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,35.7277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9101, 866, '410621', '新镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.402,35.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9102, 866, '410621', '浚州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.511,35.7321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9103, 866, '410621', '卫贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.299,35.6287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9104, 866, '410621', '伾山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.612,35.677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9105, 866, '410621', '黎阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.541,35.7251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9106, 866, '410621', '屯子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.439,35.8186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9107, 866, '410621', '白寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.384,35.7378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9108, 866, '410621', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.595,35.8317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9109, 866, '410621', '卫溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.542,35.676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9110, 867, '410203', '苹果园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.372,34.805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9111, 867, '410203', '清平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.355,34.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9112, 867, '410203', '东郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.373,34.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9113, 867, '410203', '土柏岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.431,34.8365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9114, 867, '410203', '铁塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.375,34.8154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9115, 867, '410203', '曹门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.365,34.8028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9116, 867, '410203', '宋门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.372,34.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9117, 867, '410203', '工业街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.421,34.7907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9118, 868, '410212', '仇楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.655,34.6643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9119, 868, '410212', '曲兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.709,34.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9120, 868, '410212', '半坡店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.461,34.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9121, 868, '410212', '杜良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.489,34.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9122, 868, '410212', '罗王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.698,34.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9123, 868, '410212', '朱仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.277,34.6743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9124, 868, '410212', '万隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.306,34.5808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9125, 868, '410212', '八里湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.528,34.755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9126, 868, '410212', '范村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.312,34.6924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9127, 868, '410212', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,34.759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9128, 868, '410212', '袁坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.402,34.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9129, 868, '410212', '西姜寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.159,34.6681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9130, 868, '410212', '陈留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.5,34.7164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9131, 868, '410212', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.447,34.718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9132, 868, '410212', '刘店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.683,34.8992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9133, 869, '410205', '南郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.36,34.7283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9134, 869, '410205', '汪屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.358,34.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9135, 869, '410205', '新门关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.366,34.7803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9136, 869, '410205', '三里堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.34,34.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9137, 869, '410205', '菜市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.348,34.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9138, 869, '410205', '繁塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.356,34.7644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9139, 869, '410205', '官坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.348,34.7755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9140, 870, '410204', '西司门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.339,34.7927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9141, 870, '410204', '仙人庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.267,34.7474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9142, 870, '410204', '州桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.342,34.789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9143, 870, '410204', '相国寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.359,34.7893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9144, 870, '410204', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.35,34.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9145, 870, '410204', '五一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.332,34.7748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9146, 870, '410204', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,34.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9147, 870, '410204', '卧龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.359,34.7893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9148, 871, '410202', '大兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.333,34.8007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9149, 871, '410202', '北郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.37,34.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9150, 871, '410202', '西郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.238,34.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9151, 871, '410202', '河南开封经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.312,34.782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9152, 871, '410202', '水稻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.309,34.8452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9153, 871, '410202', '杏花营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.225,34.7774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9154, 871, '410202', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.33,34.7949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9155, 871, '410202', '午朝门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,34.8035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9156, 871, '410202', '梁苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.327,34.8214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9157, 871, '410202', '北书店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.353,34.8032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9158, 871, '410202', '柳园口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.416,34.8817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9159, 871, '410202', '北道门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.355,34.8168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9160, 871, '410202', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.273,34.8332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9161, 871, '410202', '杏花营农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.165,34.7612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9162, 872, '410223', '邢庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.121,34.471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9163, 872, '410223', '门楼任乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.089,34.413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9164, 872, '410223', '小陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.24,34.3367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9165, 872, '410223', '张市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.249,34.3907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9166, 872, '410223', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.178,34.4029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9167, 872, '410223', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.998,34.4717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9168, 872, '410223', '南曹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.2,34.3423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9169, 872, '410223', '岗李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.932,34.4517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9170, 872, '410223', '朱曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.059,34.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9171, 872, '410223', '蔡庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.131,34.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9172, 872, '410223', '十八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.229,34.4562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9173, 872, '410223', '洧川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.037,34.3068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9174, 872, '410223', '水坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.254,34.5571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9175, 872, '410223', '庄头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.128,34.5871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9176, 872, '410223', '大马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.976,34.4085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9177, 872, '410223', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.389,34.3425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9178, 872, '410223', '大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.114,34.4158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9179, 873, '410225', '许河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.255,34.813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9180, 873, '410225', '小宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.043,34.9469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9181, 873, '410225', '考城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.254,34.8029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9182, 873, '410225', '红庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.975,34.8961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9183, 873, '410225', '东坝头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.745,34.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9184, 873, '410225', '南彰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.134,34.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9185, 873, '410225', '仪封乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.975,34.8381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9186, 873, '410225', '堌阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.013,34.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9187, 873, '410225', '孟寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.09,35.0008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9188, 873, '410225', '三义寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.72,34.789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9189, 873, '410225', '葡萄架乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.003,34.8721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9190, 873, '410225', '阎楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.003,34.9305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9191, 873, '410225', '惠安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.814,34.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9192, 873, '410225', '桐乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.872,34.854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9193, 873, '410225', '兰阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.796,34.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9194, 873, '410225', '谷营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.824,35.0122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9195, 874, '410221', '柿园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.747,34.6583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9196, 874, '410221', '圉镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.736,34.391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9197, 874, '410221', '官庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.626,34.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9198, 874, '410221', '竹林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.713,34.2343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9199, 874, '410221', '裴村店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.918,34.542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9200, 874, '410221', '板木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.797,34.26', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9201, 874, '410221', '五里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.763,34.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9202, 874, '410221', '邢口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.868,34.463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9203, 874, '410221', '葛岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.639,34.6014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9204, 874, '410221', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.728,34.5456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9205, 874, '410221', '湖岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.643,34.3946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9206, 874, '410221', '宗店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.891,34.293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9207, 874, '410221', '西寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.93,34.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9208, 874, '410221', '沙沃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.63,34.454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9209, 874, '410221', '泥沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.742,34.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9210, 874, '410221', '平城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.64,34.6916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9211, 874, '410221', '傅集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.885,34.378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9212, 874, '410221', '苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,34.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9213, 874, '410221', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.777,34.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9214, 874, '410221', '阳堌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.86,34.7402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9215, 874, '410221', '高阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.612,34.5257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9216, 875, '410222', '朱砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.549,34.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9217, 875, '410222', '大岗李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.343,34.3653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9218, 875, '410222', '长智镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.551,34.5087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9219, 875, '410222', '竖岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.339,34.4728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9220, 875, '410222', '四所楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.643,34.3884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9221, 875, '410222', '厉庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,34.4442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9222, 875, '410222', '邸阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.484,34.4006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9223, 875, '410222', '练城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.588,34.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9224, 875, '410222', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.445,34.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9225, 875, '410222', '孙营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.366,34.5432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9226, 875, '410222', '冯庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.509,34.5403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9227, 875, '410222', '玉皇庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.523,34.342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9228, 876, '411624', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.162,33.2096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9229, 876, '411624', '槐店回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.069,33.3726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9230, 876, '411624', '莲池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.052,33.3236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9231, 876, '411624', '赵德营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.18,33.2956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9232, 876, '411624', '新安集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.144,33.3954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9233, 876, '411624', '白集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.058,33.511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9234, 876, '411624', '付井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.29,33.2922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9235, 876, '411624', '周营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.184,33.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9236, 876, '411624', '纸店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.215,33.3323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9237, 876, '411624', '留福集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.163,33.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9238, 876, '411624', '刘湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.334,33.2921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9239, 876, '411624', '刘庄店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.058,33.1917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9240, 876, '411624', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.3,33.4254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9241, 876, '411624', '邢庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.177,33.1341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9242, 876, '411624', '冯营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.294,33.1911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9243, 876, '411624', '李老庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.995,33.1774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9244, 876, '411624', '北杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.226,33.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9245, 876, '411624', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.035,33.4469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9246, 876, '411624', '卞路口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.161,33.5165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9247, 876, '411624', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.108,33.385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9248, 876, '411624', '石槽集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.138,33.3713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9249, 876, '411624', '范营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.07,33.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9250, 877, '411681', '东方街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.939,33.4538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9251, 877, '411681', '贾岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.791,33.0692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9252, 877, '411681', '孙店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.727,33.2676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9253, 877, '411681', '秣陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.797,33.2212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9254, 877, '411681', '莲花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.922,33.4153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9255, 877, '411681', '水寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.879,33.4469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9256, 877, '411681', '千佛阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.906,33.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9257, 877, '411681', '丁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.884,33.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9258, 877, '411681', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.877,33.3701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9259, 877, '411681', '官会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.016,33.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9260, 877, '411681', '三店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.805,33.2053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9261, 877, '411681', '王明口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.023,33.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9262, 877, '411681', '李寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.702,33.1603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9263, 877, '411681', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.908,33.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9264, 877, '411681', '付集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.035,33.2305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9265, 877, '411681', '郑郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.983,33.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9266, 877, '411681', '高寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.908,33.2207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9267, 877, '411681', '光武街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.849,33.4652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9268, 877, '411681', '南顿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.797,33.4361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9269, 877, '411681', '范集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.787,33.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9270, 877, '411681', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.86,33.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9271, 878, '411602', '小桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.626,33.6501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9272, 878, '411602', '七一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.675,33.6237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9273, 878, '411602', '许湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.764,33.6435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9274, 878, '411602', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.671,33.6316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9275, 878, '411602', '李埠口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.761,33.5831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9276, 878, '411602', '陈州回族街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.646,33.6122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9277, 878, '411602', '金海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.595,33.6779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9278, 878, '411602', '荷花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.607,33.6274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9279, 878, '411602', '太昊路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.677,33.6084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9280, 878, '411602', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.603,33.6289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9281, 878, '411602', '淮河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.679,33.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9282, 878, '411602', '搬口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.723,33.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9283, 878, '411602', '人和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.644,33.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9284, 878, '411602', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.651,33.696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9285, 879, '411623', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.612,33.5426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9286, 879, '411623', '固墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.582,33.3771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9287, 879, '411623', '巴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.293,33.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9288, 879, '411623', '汤庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.546,33.6145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9289, 879, '411623', '商水县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.351,33.5829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9290, 879, '411623', '谭庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.277,33.6073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9291, 879, '411623', '胡吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.669,33.3274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9292, 879, '411623', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.573,33.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9293, 879, '411623', '邓城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.452,33.6628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9294, 879, '411623', '平店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.702,33.4495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9295, 879, '411623', '张明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.335,33.6922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9296, 879, '411623', '练集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.712,33.5538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9297, 879, '411623', '魏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.792,33.3821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9298, 879, '411623', '张庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,33.6234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9299, 879, '411623', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.619,33.5916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9300, 879, '411623', '姚集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.536,33.4259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9301, 879, '411623', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.579,33.5493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9302, 879, '411623', '袁老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.75,33.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9303, 879, '411623', '化河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.651,33.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9304, 879, '411623', '白寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.48,33.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9305, 879, '411623', '大武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.327,33.4703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9306, 879, '411623', '舒庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.499,33.5273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9307, 879, '411623', '郝岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.267,33.74', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9308, 879, '411623', '黄寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.847,33.5478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9309, 880, '411628', '鸣鹿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.428,33.8872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9310, 880, '411628', '卫真街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.489,33.8533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9311, 880, '411628', '邱集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,33.9285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9312, 880, '411628', '太清宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.585,33.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9313, 880, '411628', '真源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.482,33.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9314, 880, '411628', '涡北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.522,33.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9315, 880, '411628', '张店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.258,33.7861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9316, 880, '411628', '高集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.169,33.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9317, 880, '411628', '试量镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.229,33.9071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9318, 880, '411628', '赵村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.276,33.8622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9319, 880, '411628', '贾滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.536,33.9645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9320, 880, '411628', '谷阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.436,33.8657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9321, 880, '411628', '杨湖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.362,34.0179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9322, 880, '411628', '辛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.071,33.8761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9323, 880, '411628', '马铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.545,34.0395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9324, 880, '411628', '观堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.465,33.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9325, 880, '411628', '生铁冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.353,33.8248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9326, 880, '411628', '王皮溜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.55,33.7336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9327, 880, '411628', '穆店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.305,33.9322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9328, 880, '411628', '任集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.163,33.7896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9329, 880, '411628', '郑家集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.56,33.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9330, 880, '411628', '宋河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.591,34.0841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9331, 880, '411628', '唐集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.11,33.9422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9332, 880, '411628', '玄武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.251,34.0193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9333, 881, '411625', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.137,33.6414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9334, 881, '411625', '秋渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.425,33.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9335, 881, '411625', '胡集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.193,33.7545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9336, 881, '411625', '张完集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.558,33.7326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9337, 881, '411625', '李楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.081,33.7916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9338, 881, '411625', '巴集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.029,33.6188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9339, 881, '411625', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.567,33.6434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9340, 881, '411625', '南丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.511,33.6632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9341, 881, '411625', '宜路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.248,33.4393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9342, 881, '411625', '虎头岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.349,33.7754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9343, 881, '411625', '洺南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.175,33.6375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9344, 881, '411625', '汲水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.451,33.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9345, 881, '411625', '丁村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.396,33.5806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9346, 881, '411625', '石槽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.183,33.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9347, 881, '411625', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.265,33.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9348, 881, '411625', '洺北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.183,33.6564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9349, 881, '411625', '双楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.302,33.622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9350, 881, '411625', '汲冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.024,33.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9351, 881, '411625', '宁平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.256,33.6646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9352, 881, '411625', '东风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.176,33.4784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9353, 881, '411625', '钱店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.054,33.5447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9354, 881, '411625', '吴台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.244,33.7998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9355, 882, '411603', '冯塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.034,33.6184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9356, 882, '411603', '四通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.001,33.9057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9357, 882, '411603', '黄集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.084,33.8251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9358, 882, '411603', '大连乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.992,33.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9359, 882, '411603', '王店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.874,33.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9360, 882, '411603', '临蔡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.91,33.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9361, 882, '411603', '白楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.822,33.7845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9362, 882, '411603', '葛店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.08,33.7832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9363, 882, '411603', '鲁台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.064,33.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9364, 882, '411603', '朱集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.954,33.5815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9365, 882, '411603', '安岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.856,33.9116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9366, 882, '411603', '郑集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.758,33.7448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9367, 882, '411603', '刘振屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.911,33.6628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9368, 882, '411603', '豆门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.903,33.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9369, 882, '411603', '曹河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.705,33.7591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9370, 882, '411603', '齐老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.706,33.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9371, 882, '411603', '新站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.813,33.5717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9372, 882, '411603', '城关回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.851,33.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9373, 883, '411622', '黄泛区农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.162,33.7612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9374, 883, '411622', '娲城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.523,33.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9375, 883, '411622', '箕子台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.5,33.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9376, 883, '411622', '逍遥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.316,33.7707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9377, 883, '411622', '东夏亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.713,33.8929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9378, 883, '411622', '皮营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.656,33.7579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9379, 883, '411622', '大王庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.584,33.7042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9380, 883, '411622', '址坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.172,33.7097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9381, 883, '411622', '清河驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.652,33.8435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9382, 883, '411622', '五二农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.565,33.8021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9383, 883, '411622', '叶埠口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.413,33.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9384, 883, '411622', '东王营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.619,33.7663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9385, 883, '411622', '昆山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.541,33.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9386, 883, '411622', '奉母镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.134,33.7976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9387, 883, '411622', '黄土桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.414,33.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9388, 883, '411622', '聂堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.526,33.9483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9389, 883, '411622', '李大庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.518,33.6737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9390, 883, '411622', '西夏亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.328,33.7563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9391, 883, '411622', '西华营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.633,33.9144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9392, 883, '411622', '田口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.528,33.8674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9393, 883, '411622', '艾岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.387,33.8295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9394, 883, '411622', '红花集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.397,33.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9395, 883, '411622', '迟营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.543,33.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9396, 884, '411621', '白潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.336,34.259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9397, 884, '411621', '曹里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,34.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9398, 884, '411621', '扶亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.388,34.0752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9399, 884, '411621', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.555,34.0666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9400, 884, '411621', '吕潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.538,34.126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9401, 884, '411621', '固城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.3,33.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9402, 884, '411621', '韭园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.28,34.1145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9403, 884, '411621', '大李庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.371,34.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9404, 884, '411621', '江村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,34.3091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9405, 884, '411621', '崔桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.613,34.2619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9406, 884, '411621', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.364,34.0909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9407, 884, '411621', '柴岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.288,34.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9408, 884, '411621', '包屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.479,34.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9409, 884, '411621', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.374,34.0694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9410, 884, '411621', '练寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,33.9271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9411, 884, '411621', '国营农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.417,34.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9412, 884, '411621', '汴岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.504,34.0277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9413, 885, '411627', '高朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.951,34.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9414, 885, '411627', '老冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.856,33.9131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9415, 885, '411627', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.116,34.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9416, 885, '411627', '常营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.588,34.1734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9417, 885, '411627', '转楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.972,34.2581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9418, 885, '411627', '逊母口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.691,34.08', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9419, 885, '411627', '独塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.737,34.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9420, 885, '411627', '大许寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.817,34.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9421, 885, '411627', '毛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.809,34.059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9422, 885, '411627', '马厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.052,34.0622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9423, 885, '411627', '符草楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.947,33.9119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9424, 885, '411627', '高贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.714,34.2233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9425, 885, '411627', '王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.809,34.2135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9426, 885, '411627', '城关回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.84,34.0758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9427, 885, '411627', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.827,34.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9428, 885, '411627', '芝麻洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.609,34.249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9429, 885, '411627', '张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.001,33.9613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9430, 885, '411627', '清集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.719,34.1682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9431, 885, '411627', '杨庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.912,34.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9432, 885, '411627', '龙曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.821,34.2634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9433, 885, '411627', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.575,33.984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9434, 885, '411627', '五里口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.693,33.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9435, 885, '411627', '朱口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.124,34.1142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9436, 886, '410404', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.897,33.9043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9437, 886, '410404', '龙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.885,33.8917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9438, 886, '410404', '龙兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.899,33.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9439, 886, '410404', '高庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.849,33.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9440, 887, '410403', '五一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.317,33.744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9441, 887, '410403', '东安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.34,33.7405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9442, 887, '410403', '东高皇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.382,33.8248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9443, 887, '410403', '东工人镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.386,33.779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9444, 887, '410403', '蒲城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.41,33.7351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9445, 887, '410403', '光华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.442,33.7632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9446, 887, '410403', '优越路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.318,33.7439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9447, 887, '410403', '东环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.34,33.7587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9448, 887, '410403', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.311,33.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9449, 887, '410403', '北环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.299,33.7737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9450, 887, '410403', '鸿鹰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.348,33.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9451, 887, '410403', '皇台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.375,33.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9452, 888, '410423', '张官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.232,33.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9453, 888, '410423', '琴台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.894,33.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9454, 888, '410423', '瓦屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.617,33.8336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9455, 888, '410423', '观音寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.744,33.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9456, 888, '410423', '梁洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.913,33.8604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9457, 888, '410423', '马楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.914,33.6767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9458, 888, '410423', '尧山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.263,33.7415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9459, 888, '410423', '张店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.833,33.8586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9460, 888, '410423', '汇源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,33.7495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9461, 888, '410423', '露峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.917,33.7857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9462, 888, '410423', '鲁阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.864,33.7396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9463, 888, '410423', '背孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.548,33.9876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9464, 888, '410423', '昭平台库区乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.754,33.7915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9465, 888, '410423', '滚子营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.083,33.7038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9466, 888, '410423', '熊背乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.829,33.6929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9467, 888, '410423', '张良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.995,33.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9468, 888, '410423', '赵村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.448,33.8327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9469, 888, '410423', '让河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.738,33.6654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9470, 888, '410423', '仓头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.757,33.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9471, 888, '410423', '下汤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.611,33.7461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9472, 888, '410423', '团城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,33.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9473, 888, '410423', '董周乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,33.821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9474, 888, '410423', '四棵树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.469,33.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9475, 888, '410423', '辛集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,33.7495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9476, 889, '410411', '轻工路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.336,33.728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9477, 889, '410411', '曹镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.24,33.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9478, 889, '410411', '马庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.307,33.7195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9479, 889, '410411', '北渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,33.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9480, 889, '410411', '姚孟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.236,33.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9481, 889, '410411', '南环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.292,33.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9482, 889, '410411', '九里山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.274,33.7321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9483, 889, '410411', '高阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.339,33.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9484, 890, '410481', '寺坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.555,33.2797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9485, 890, '410481', '八台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.46,33.4032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9486, 890, '410481', '尹集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.605,33.1566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9487, 890, '410481', '武功乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.647,33.3576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9488, 890, '410481', '杨庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.403,33.2636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9489, 890, '410481', '垭口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.52,33.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9490, 890, '410481', '院岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.461,33.2865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9491, 890, '410481', '朱兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.518,33.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9492, 890, '410481', '庙街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.416,33.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9493, 890, '410481', '矿建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.495,33.3771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9494, 890, '410481', '尚店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.383,33.1935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9495, 890, '410481', '铁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.51,33.2822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9496, 890, '410481', '枣林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.625,33.414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9497, 891, '410425', '姚庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.269,33.8635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9498, 891, '410425', '堂街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.231,33.9115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9499, 891, '410425', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.258,33.991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9500, 891, '410425', '白庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.219,34.0359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9501, 891, '410425', '茨芭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.066,34.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9502, 891, '410425', '王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.279,33.971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9503, 891, '410425', '李口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.306,33.801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9504, 891, '410425', '广阔天地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.163,33.9506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9505, 891, '410425', '渣元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.147,34.006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9506, 891, '410425', '安良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.266,34.1033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9507, 891, '410425', '冢头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.378,34.0377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9508, 891, '410425', '黄道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.146,34.1162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9509, 891, '410425', '薛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.016,34.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9510, 891, '410425', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.204,33.9568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9511, 891, '410425', '长桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.413,33.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9512, 892, '410422', '叶邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.287,33.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9513, 892, '410422', '邓李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.582,33.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9514, 892, '410422', '任店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.211,33.6312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9515, 892, '410422', '夏李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.182,33.5738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9516, 892, '410422', '马庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.346,33.6011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9517, 892, '410422', '遵化店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.372,33.7144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9518, 892, '410422', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.456,33.3919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9519, 892, '410422', '田庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.334,33.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9520, 892, '410422', '保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.225,33.3933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9521, 892, '410422', '龙泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.474,33.4962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9522, 892, '410422', '仙台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.54,33.5333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9523, 892, '410422', '龚店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.416,33.6878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9524, 892, '410422', '廉村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.553,33.5829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9525, 892, '410422', '水寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.628,33.6227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9526, 892, '410422', '洪庄杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.565,33.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9527, 892, '410422', '常村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.087,33.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9528, 892, '410422', '盐都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.356,33.6704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9529, 892, '410422', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.353,33.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9530, 892, '410422', '昆阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.35,33.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9531, 893, '410421', '肖旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.098,33.9437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9532, 893, '410421', '张八桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.925,33.9072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9533, 893, '410421', '李庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.243,33.8015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9534, 893, '410421', '商酒务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.945,33.958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9535, 893, '410421', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.724,33.9458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9536, 893, '410421', '赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.985,34.0031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9537, 893, '410421', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.065,33.8945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9538, 893, '410421', '闹店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.236,33.9025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9539, 893, '410421', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.228,33.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9540, 893, '410421', '周庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.144,33.8141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9541, 893, '410421', '前营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.862,34.0029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9542, 893, '410421', '杨庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.057,33.8521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9543, 893, '410421', '铁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.049,33.8484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9544, 894, '410482', '米庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.893,34.2126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9545, 894, '410482', '夏店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.761,34.3331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9546, 894, '410482', '蟒川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.854,34.0606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9547, 894, '410482', '钟楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.876,34.1218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9548, 894, '410482', '汝南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.907,34.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9549, 894, '410482', '陵头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.838,34.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9550, 894, '410482', '焦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.093,34.1831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9551, 894, '410482', '大峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.015,34.2998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9552, 894, '410482', '庙下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.671,34.3014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9553, 894, '410482', '风穴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.853,34.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9554, 894, '410482', '小屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.844,34.0268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9555, 894, '410482', '骑岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.844,34.244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9556, 894, '410482', '纸坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.982,34.1165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9557, 894, '410482', '王寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.806,34.1394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9558, 894, '410482', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.611,34.24', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9559, 894, '410482', '洗耳河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.779,34.1906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9560, 894, '410482', '临汝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.674,34.3267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9561, 894, '410482', '杨楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.67,34.1862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9562, 894, '410482', '寄料镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.588,34.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9563, 894, '410482', '煤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.834,34.1638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9564, 895, '410402', '应滨管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.134,33.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9565, 895, '410402', '滨湖管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.115,33.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9566, 895, '410402', '西市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.284,33.7761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9567, 895, '410402', '矿工路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.294,33.7595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9568, 895, '410402', '曙光街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.281,33.7434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9569, 895, '410402', '西高皇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.242,33.7504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9570, 895, '410402', '焦店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.261,33.7563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9571, 895, '410402', '光明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.282,33.7512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9572, 895, '410402', '湛河北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.299,33.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9573, 895, '410402', '青石山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.196,33.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9574, 895, '410402', '中兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,33.7448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9575, 895, '410402', '新新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.227,33.7966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9576, 895, '410402', '湖滨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.198,33.7808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9577, 895, '410402', '香山管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.151,33.8151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9578, 895, '410402', '滍阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.08,33.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9579, 896, '411423', '乔楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.409,34.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9580, 896, '411423', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.341,34.4581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9581, 896, '411423', '产业集聚区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.301,34.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9582, 896, '411423', '程楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.346,34.3816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9583, 896, '411423', '柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.332,34.6143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9584, 896, '411423', '华堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.347,34.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9585, 896, '411423', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.255,34.5511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9586, 896, '411423', '张弓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.193,34.3573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9587, 896, '411423', '赵村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.458,34.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9588, 896, '411423', '阳驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.197,34.4723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9589, 896, '411423', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.292,34.4543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9590, 896, '411423', '刘楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.189,34.3878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9591, 896, '411423', '逻岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.189,34.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9592, 896, '411423', '黄岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.175,34.3343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9593, 896, '411423', '孔集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,34.5841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9594, 897, '411402', '张阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.768,34.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9595, 897, '411402', '观堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.435,34.4605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9596, 897, '411402', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.639,34.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9597, 897, '411402', '平台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.691,34.3779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9598, 897, '411402', '水池铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.538,34.4324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9599, 897, '411402', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.664,34.4598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9600, 897, '411402', '八八街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.645,34.4509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9601, 897, '411402', '孙福集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,34.5862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9602, 897, '411402', '平安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.7,34.4382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9603, 897, '411402', '谢集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.448,34.5242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9604, 897, '411402', '王楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.489,34.4676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9605, 897, '411402', '中州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.661,34.4713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9606, 897, '411402', '平原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.582,34.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9607, 897, '411402', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.649,34.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9608, 897, '411402', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.683,34.4432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9609, 897, '411402', '长征街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.634,34.4449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9610, 897, '411402', '李庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.589,34.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9611, 897, '411402', '双八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.646,34.5451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9612, 897, '411402', '周集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.744,34.3459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9613, 897, '411402', '刘口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.706,34.5996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9614, 898, '411481', '龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.029,33.9357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9615, 898, '411481', '沱滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,33.9502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9616, 898, '411481', '十八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.272,34.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9617, 898, '411481', '崇法寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.372,33.9523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9618, 898, '411481', '马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.25,33.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9619, 898, '411481', '蒋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.238,34.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9620, 898, '411481', '酇阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.204,34.0847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9621, 898, '411481', '茴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.54,34.014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9622, 898, '411481', '薛湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.396,34.1567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9623, 898, '411481', '候岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.507,33.8943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9624, 898, '411481', '芒山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.535,34.2152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9625, 898, '411481', '新桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.244,33.8691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9626, 898, '411481', '陈官庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.604,34.0205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9627, 898, '411481', '马牧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,34.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9628, 898, '411481', '裴桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.063,33.8562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9629, 898, '411481', '太邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.302,34.1384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9630, 898, '411481', '高庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.511,33.9615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9631, 898, '411481', '顺和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.345,34.1004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9632, 898, '411481', '演集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.467,33.9999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9633, 898, '411481', '刘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.56,34.0897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9634, 898, '411481', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.215,33.8914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9635, 898, '411481', '黄口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.334,33.8314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9636, 898, '411481', '苗桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.647,33.9732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9637, 898, '411481', '酇城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.14,33.9925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9638, 898, '411481', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.421,33.9952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9639, 898, '411481', '李寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.112,33.8066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9640, 898, '411481', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.185,33.9485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9641, 898, '411481', '条河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.558,34.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9642, 898, '411481', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.01,33.8997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9643, 899, '411403', '郭村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.455,34.3859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9644, 899, '411403', '娄店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.468,34.2088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9645, 899, '411403', '宋城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.636,34.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9646, 899, '411403', '文化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.579,34.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9647, 899, '411403', '冯桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.692,34.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9648, 899, '411403', '闫集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.682,34.3111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9649, 899, '411403', '宋集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.643,34.1071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9650, 899, '411403', '路河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.564,34.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9651, 899, '411403', '毛固堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.558,34.241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9652, 899, '411403', '李口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.548,34.2727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9653, 899, '411403', '包公庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.625,34.146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9654, 899, '411403', '高辛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.616,34.1708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9655, 899, '411403', '临河店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.357,34.3658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9656, 899, '411403', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.606,34.3938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9657, 899, '411403', '勒马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.347,34.2371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9658, 899, '411403', '坞墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.768,34.1223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9659, 899, '411403', '东方街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.658,34.4239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9660, 899, '411403', '古宋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.603,34.3726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9661, 899, '411403', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.662,34.4182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9662, 900, '411422', '胡堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.122,34.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9663, 900, '411422', '董店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.147,34.5173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9664, 900, '411422', '河堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.097,34.3185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9665, 900, '411422', '涧岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.049,34.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9666, 900, '411422', '白楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.159,34.2493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9667, 900, '411422', '尚屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.012,34.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9668, 900, '411422', '蓼堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.926,34.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9669, 900, '411422', '白庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.095,34.3992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9670, 900, '411422', '孙聚寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.996,34.3287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9671, 900, '411422', '河集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.048,34.4088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9672, 900, '411422', '后台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.866,34.3188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9673, 900, '411422', '周堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.123,34.3689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9674, 900, '411422', '尤吉屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.195,34.4621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9675, 900, '411422', '潮庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.964,34.2562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9676, 900, '411422', '匡城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.878,34.3887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9677, 900, '411422', '长岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.867,34.3676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9678, 900, '411422', '平岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.076,34.3025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9679, 900, '411422', '西陵寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.92,34.4993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9680, 900, '411422', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.078,34.3914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9681, 900, '411422', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.047,34.4267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9682, 901, '411426', '罗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.948,34.1274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9683, 901, '411426', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.937,34.0686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9684, 901, '411426', '中峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.887,34.1672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9685, 901, '411426', '会亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.041,34.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9686, 901, '411426', '韩道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.364,34.2724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9687, 901, '411426', '杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.149,34.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9688, 901, '411426', '歧河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.194,34.074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9689, 901, '411426', '何营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,34.2531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9690, 901, '411426', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.28,34.2971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9691, 901, '411426', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.119,34.2618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9692, 901, '411426', '孔庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.28,34.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9693, 901, '411426', '桑固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.976,34.2785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9694, 901, '411426', '车站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.016,34.4137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9695, 901, '411426', '北岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.292,34.2178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9696, 901, '411426', '骆集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.236,34.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9697, 901, '411426', '王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.093,34.3617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9698, 901, '411426', '业庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.041,34.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9699, 901, '411426', '曹集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.168,34.2499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9700, 901, '411426', '济阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.951,34.2007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9701, 901, '411426', '郭店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.093,34.1308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9702, 901, '411426', '火店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.417,34.2252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9703, 901, '411426', '胡桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.143,34.1841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9704, 901, '411426', '李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.976,34.3163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9705, 901, '411426', '刘店集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.141,34.3153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9706, 902, '411425', '站集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.832,34.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9707, 902, '411425', '杜集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.801,34.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9708, 902, '411425', '大杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.028,34.4264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9709, 902, '411425', '贾寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.746,34.5465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9710, 902, '411425', '谷熟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.776,34.3314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9711, 902, '411425', '田庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.029,34.5759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9712, 902, '411425', '店集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.698,34.2421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9713, 902, '411425', '李老家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.809,34.4556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9714, 902, '411425', '郑集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.991,34.3923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9715, 902, '411425', '镇里固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.122,34.418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9716, 902, '411425', '芒种桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.703,34.3472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9717, 902, '411425', '沙集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.741,34.1723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9718, 902, '411425', '古王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.766,34.4441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9719, 902, '411425', '刘集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.062,34.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9720, 902, '411425', '营郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.767,34.1208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9721, 902, '411425', '黄冢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.888,34.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9722, 902, '411425', '刘店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.824,34.3011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9723, 902, '411425', '乔集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.075,34.4948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9724, 902, '411425', '大候乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.984,34.3372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9725, 902, '411425', '利民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.929,34.5539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9726, 902, '411425', '闻集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.958,34.279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9727, 902, '411425', '稍岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.99,34.503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9728, 902, '411425', '界沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.95,34.0577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9729, 902, '411425', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.791,34.4024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9730, 902, '411425', '张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.185,34.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9731, 902, '411425', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.875,34.4031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9732, 903, '411421', '伯党乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.116,34.5725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9733, 903, '411421', '王桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.27,34.7585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9734, 903, '411421', '程庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.069,34.7717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9735, 903, '411421', '北关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.257,34.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9736, 903, '411421', '林七乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,34.7155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9737, 903, '411421', '孙六镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.234,34.6608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9738, 903, '411421', '商丘市农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.21,34.6516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9739, 903, '411421', '双塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.857,34.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9740, 903, '411421', '商丘市林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.067,34.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9741, 903, '411421', '白云寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.918,34.6696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9742, 903, '411421', '王庄寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.322,34.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9743, 903, '411421', '庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.351,34.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9744, 903, '411421', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.072,34.6346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9745, 903, '411421', '胡集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.215,34.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9746, 903, '411421', '人和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.007,34.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9747, 903, '411421', '老颜集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.388,34.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9748, 903, '411421', '禇庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.328,34.7517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9749, 903, '411421', '野岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.027,34.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9750, 903, '411421', '绿洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.101,34.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9751, 903, '411421', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.087,34.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9752, 903, '411421', '南华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.16,34.5712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9753, 904, '411424', '岗王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.212,34.1396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9754, 904, '411424', '柘城县城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.294,34.065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9755, 904, '411424', '胡襄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.465,34.2051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9756, 904, '411424', '马集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.385,34.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9757, 904, '411424', '浦东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.335,34.1247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9758, 904, '411424', '远襄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.331,34.265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9759, 904, '411424', '陈青集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.393,34.082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9760, 904, '411424', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.081,34.0004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9761, 904, '411424', '皇集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.22,34.057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9762, 904, '411424', '洪恩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.445,34.0549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9763, 904, '411424', '慈圣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.244,34.2124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9764, 904, '411424', '牛城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.327,34.1775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9765, 904, '411424', '邵元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.29,34.0879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9766, 904, '411424', '张桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.238,34.0631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9767, 904, '411424', '大仵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.367,34.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9768, 904, '411424', '老王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.51,34.162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9769, 904, '411424', '李原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.187,34.0659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9770, 904, '411424', '长江新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.315,34.0891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9771, 904, '411424', '惠济乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.274,34.251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9772, 904, '411424', '申桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.123,34.108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9773, 904, '411424', '起台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.508,34.09', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9774, 904, '411424', '伯岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.124,34.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9775, 905, '150621', '展旦召苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.809,40.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9776, 905, '150621', '达拉特经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.121,40.3169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9777, 905, '150621', '吉格斯太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.382,40.25', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9778, 905, '150621', '平原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.037,40.429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9779, 905, '150621', '中和西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.228,40.4515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9780, 905, '150621', '昭君街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.063,40.3887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9781, 905, '150621', '王爱召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.105,40.3216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9782, 905, '150621', '昭君镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.706,40.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9783, 905, '150621', '白泥井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.414,40.2831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9784, 905, '150621', '西园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.01,40.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9785, 905, '150621', '工业街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.017,40.4031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9786, 905, '150621', '白塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.01,40.3509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9787, 905, '150621', '锡尼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.038,40.3851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9788, 905, '150621', '鄂尔多斯市生态示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.418,40.4283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9789, 905, '150621', '恩格贝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.21,39.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9790, 905, '150621', '树林召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.034,40.3807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9791, 906, '150624', '棋盘井工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.551,39.3741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9792, 906, '150624', '棋盘井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.91,39.7204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9793, 906, '150624', '木凯淖尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.097,39.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9794, 906, '150624', '乌兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.909,39.3076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9795, 906, '150624', '蒙西工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.754,39.8508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9796, 906, '150624', '蒙西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.884,39.7573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9797, 906, '150624', '苏米图苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.995,38.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9798, 906, '150624', '阿尔巴斯苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.878,38.8819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9799, 907, '150622', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.319,39.7816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9800, 907, '150622', '迎泽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.165,39.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9801, 907, '150622', '蓝天街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.268,39.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9802, 907, '150622', '准格尔召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.426,39.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9803, 907, '150622', '暖水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.446,39.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9804, 907, '150622', '薛家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.972,39.7746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9805, 907, '150622', '十二连城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.643,40.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9806, 907, '150622', '大路煤化工基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.196,40.1012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9807, 907, '150622', '准格尔经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.951,39.8977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9808, 907, '150622', '大路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.17,40.194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9809, 907, '150622', '布尔陶亥苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.678,40.115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9810, 907, '150622', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.109,39.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9811, 907, '150622', '沙圪堵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.974,39.7888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9812, 907, '150622', '纳日松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.571,39.3099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9813, 907, '150622', '龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.184,39.6423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9814, 908, '150625', '锡尼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.274,39.6859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9815, 908, '150625', '吉日嘎朗图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.555,40.7233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9816, 908, '150625', '独贵特拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.859,40.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9817, 908, '150625', '伊和乌素苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.536,40.2248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9818, 908, '150625', '巴拉贡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.019,40.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9819, 908, '150625', '呼和木独镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.314,40.6517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9820, 909, '150626', '乌审召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.056,39.3716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9821, 909, '150626', '图克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.513,38.9535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9822, 909, '150626', '苏力德苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.353,38.0412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9823, 909, '150626', '无定河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.945,38.1903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9824, 909, '150626', '乌兰陶勒盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.396,38.713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9825, 909, '150626', '嘎鲁图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.847,38.8606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9826, 910, '150623', '敖勒召其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.201,38.1426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9827, 910, '150623', '昂素镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.988,38.6283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9828, 910, '150623', '城川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.681,37.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9829, 910, '150623', '上海庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.103,38.1339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9830, 911, '150627', '红庆河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.21,39.5844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9831, 911, '150627', '苏布尔嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.664,39.7425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9832, 911, '150627', '阿勒腾席热镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.665,39.6434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9833, 911, '150627', '伊金霍洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.561,39.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9834, 911, '150627', '乌兰木伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.91,39.2667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9835, 911, '150627', '札萨克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.789,39.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9836, 911, '150627', '纳林陶亥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.269,39.4017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9837, 912, '150603', '青春山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.858,39.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9838, 912, '150603', '哈巴格希街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.858,39.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9839, 912, '150603', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.878,39.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9840, 912, '150603', '鄂尔多斯市康巴什产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.879,39.672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9841, 913, '150602', '纺织街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.989,39.8', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9842, 913, '150602', '泊尔江海子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.511,39.92', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9843, 913, '150602', '铜川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.171,39.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9844, 913, '150602', '林荫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.015,39.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9845, 913, '150602', '东胜区轻纺工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.815,39.8205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9846, 913, '150602', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.005,39.8226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9847, 913, '150602', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.996,39.8115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9848, 913, '150602', '富兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.019,39.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9849, 913, '150602', '天骄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.953,39.8416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9850, 913, '150602', '诃额伦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.932,39.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9851, 913, '150602', '民族街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.988,39.8306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9852, 913, '150602', '兴盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.924,39.775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9853, 913, '150602', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.044,39.82', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9854, 913, '150602', '鄂尔多斯市云计算产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.941,39.6932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9855, 913, '150602', '交通街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.987,39.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9856, 913, '150602', '巴音门克街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.934,39.8119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9857, 913, '150602', '铜川汽车博览园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.157,39.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9858, 913, '150602', '鄂尔多斯市装备制造基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.89,39.6829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9859, 913, '150602', '罕台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.907,39.9137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9860, 914, '150221', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.845,40.4266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9861, 914, '150221', '明沙淖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.476,40.5076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9862, 914, '150221', '海子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.581,40.5139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9863, 914, '150221', '美岱召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.676,40.6299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9864, 914, '150221', '将军尧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.812,40.4228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9865, 914, '150221', '苏波盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.747,40.5787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9866, 914, '150221', '萨拉齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.578,40.5744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9867, 914, '150221', '沟门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.603,40.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9868, 914, '150221', '九峰山生态', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.657,40.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9869, 915, '150206', '矿山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.012,41.8246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9870, 915, '150206', '通阳道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.877,41.7297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9871, 916, '150223', '满都拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.108,42.6427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9872, 916, '150223', '希拉穆仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.233,41.5048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9873, 916, '150223', '达尔罕苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.788,41.521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9874, 916, '150223', '乌克忽洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.652,41.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9875, 916, '150223', '明安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.1,41.5513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9876, 916, '150223', '小文公乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.425,41.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9877, 916, '150223', '查干哈达苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.39,42.5372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9878, 916, '150223', '百灵庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.17,41.5804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9879, 916, '150223', '巴音花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.457,42.3667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9880, 916, '150223', '石宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.64,41.4068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9881, 916, '150223', '巴音敖包苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.057,41.8137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9882, 916, '150223', '西河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.02,41.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9883, 917, '150207', '赛汗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.915,40.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9884, 917, '150207', '白音席勒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.983,40.6546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9885, 917, '150207', '麻池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.837,40.6122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9886, 917, '150207', '哈林格尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.773,40.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9887, 917, '150207', '哈业胡同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.499,40.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9888, 917, '150207', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.966,40.6189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9889, 917, '150207', '萨如拉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.785,40.571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9890, 917, '150207', '阿嘎如泰苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.411,40.6788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9891, 918, '150205', '吉忽伦图苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.238,40.7381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9892, 918, '150205', '石拐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.273,40.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9893, 918, '150205', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.226,40.7276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9894, 918, '150205', '白狐沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.348,40.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9895, 918, '150205', '大德恒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.141,40.7602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9896, 918, '150205', '大发街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.304,40.7226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9897, 918, '150205', '五当沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.277,40.6695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9898, 918, '150205', '大磁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.265,40.7298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9899, 918, '150205', '五当召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.449,40.6879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9900, 919, '150204', '幸福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.872,40.6606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9901, 919, '150204', '自由路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.902,40.6482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9902, 919, '150204', '富强路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.866,40.6871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9903, 919, '150204', '包头市装备制造产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.946,40.6615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9904, 919, '150204', '稀土路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.885,40.6469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9905, 919, '150204', '青福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.851,40.6467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9906, 919, '150204', '民馨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.9,40.5747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9907, 919, '150204', '青山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.914,40.6814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9908, 919, '150204', '先锋道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.882,40.6801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9909, 919, '150204', '科学路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.855,40.6736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9910, 919, '150204', '乌素图街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.944,40.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9911, 919, '150204', '万青路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.856,40.6513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9912, 919, '150204', '兴胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.032,40.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9913, 919, '150204', '万水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.922,40.5886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9914, 920, '150202', '河东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.039,40.5653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9915, 920, '150202', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.017,40.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9916, 920, '150202', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.979,40.5989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9917, 920, '150202', '西脑包街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.999,40.5947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9918, 920, '150202', '天骄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.022,40.5566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9919, 920, '150202', '东站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.013,40.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9920, 920, '150202', '回民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.026,40.6042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9921, 920, '150202', '南圪洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.028,40.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9922, 920, '150202', '杨圪楞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.373,40.6367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9923, 920, '150202', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.049,40.5986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9924, 920, '150202', '财神庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.021,40.6061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9925, 920, '150202', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.198,40.5704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9926, 920, '150202', '铝业工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.105,40.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9927, 920, '150202', '南门外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.027,40.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9928, 920, '150202', '沙尔沁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.996,40.5108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9929, 921, '150203', '鞍山道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.823,40.6779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9930, 921, '150203', '市府东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.848,40.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9931, 921, '150203', '沼潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.828,40.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9932, 921, '150203', '黄河西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.814,40.6351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9933, 921, '150203', '阿尔丁大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.833,40.6787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9934, 921, '150203', '林荫路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.821,40.6577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9935, 921, '150203', '友谊大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.795,40.6481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9936, 921, '150203', '昆工路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.8,40.6477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9937, 921, '150203', '卜尔汉图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.685,40.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9938, 921, '150203', '白云路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.812,40.6582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9939, 921, '150203', '包钢厂区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.775,40.6098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9940, 921, '150203', '少先路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.836,40.6569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9941, 921, '150203', '昆北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.808,40.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9942, 921, '150203', '前进道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.791,40.662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9943, 921, '150203', '昆河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.806,40.6731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9944, 921, '150203', '团结大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.806,40.6714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9945, 922, '150222', '怀朔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.417,41.3579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9946, 922, '150222', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.835,40.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9947, 922, '150222', '西斗铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.823,41.4449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9948, 922, '150222', '银号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.319,41.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9949, 922, '150222', '兴顺西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.921,41.2492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9950, 922, '150222', '下湿壕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.425,40.8712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9951, 923, '150824', '新忽热苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.397,41.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9952, 923, '150824', '石哈河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.233,41.2168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9953, 923, '150824', '温更镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.944,41.5179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9954, 923, '150824', '海流图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.548,41.5018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9955, 923, '150824', '呼鲁斯太苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.479,41.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9956, 923, '150824', '乌加河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.606,41.2924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9957, 923, '150824', '甘其毛都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.275,42.3275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9958, 923, '150824', '川井苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.294,42.1554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9959, 923, '150824', '巴音乌兰苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.03,41.8956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9960, 923, '150824', '牧羊海牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.355,41.2585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9961, 923, '150824', '同和太种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.608,41.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9962, 923, '150824', '德岭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.45,41.2449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9963, 924, '150821', '银定图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.731,41.2492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9964, 924, '150821', '隆兴昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.323,41.1817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9965, 924, '150821', '内蒙古东土城劳动教养管理所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.31,41.1749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9966, 924, '150821', '和胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.402,41.1781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9967, 924, '150821', '套海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.137,40.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9968, 924, '150821', '胜丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.205,40.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9969, 924, '150821', '塔尔湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.894,41.1612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9970, 924, '150821', '天吉太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.77,40.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9971, 924, '150821', '新公中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.08,41.236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9972, 924, '150821', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.062,41.0133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9973, 924, '150821', '巴彦淖尔市场建丰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.54,41.1695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9974, 925, '150802', '东环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.452,40.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9975, 925, '150802', '干召庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.281,40.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9976, 925, '150802', '金川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.405,40.7366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9977, 925, '150802', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.396,40.7635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9978, 925, '150802', '汇丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.366,40.7663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9979, 925, '150802', '曙光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.41,40.7674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9980, 925, '150802', '白脑包镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.346,41.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9981, 925, '150802', '狼山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.422,41.1406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9982, 925, '150802', '铁南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.424,40.7444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9983, 925, '150802', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.606,40.7904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9984, 925, '150802', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.41,40.7674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9985, 925, '150802', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.292,40.7377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9986, 925, '150802', '临河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.57,40.9633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9987, 925, '150802', '八一乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.518,40.8797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9988, 925, '150802', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.436,40.7619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9989, 925, '150802', '北环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.412,40.7874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9990, 925, '150802', '西环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.386,40.7636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9991, 925, '150802', '狼山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.527,41.0731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9992, 925, '150802', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.411,40.7668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9993, 925, '150802', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.424,40.7498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9994, 925, '150802', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.411,41.1435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9995, 925, '150802', '乌兰图克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.55,40.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9996, 926, '150822', '隆盛合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.935,40.6244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9997, 926, '150822', '沙金套海苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.661,40.4949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9998, 926, '150822', '补隆淖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.051,40.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (9999, 926, '150822', '包尔盖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.571,40.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10000, 926, '150822', '哈腾套海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.808,40.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10001, 926, '150822', '乌兰布和农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.054,40.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10002, 926, '150822', '纳林套海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.657,40.4934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10003, 926, '150822', '巴彦套海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.773,40.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10004, 926, '150822', '渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.085,40.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10005, 926, '150822', '巴彦高勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.019,40.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10006, 926, '150822', '沙漠林业实验中心农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.695,40.4238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10007, 927, '150823', '巴彦淖尔市苏独仑农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.633,41.0881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10008, 927, '150823', '白彦花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.218,40.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10009, 927, '150823', '巴彦淖尔市中滩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.231,40.6422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10010, 927, '150823', '巴彦淖尔市西山咀农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.7,40.7921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10011, 927, '150823', '沙德格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.454,40.7323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10012, 927, '150823', '小佘太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.433,41.2381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10013, 927, '150823', '巴彦淖尔市新安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.649,40.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10014, 927, '150823', '苏独仑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.751,41.0602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10015, 927, '150823', '额尔登布拉格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.109,40.7258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10016, 927, '150823', '巴彦淖尔市乌梁素海渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.716,40.8945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10017, 927, '150823', '乌拉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.768,40.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10018, 927, '150823', '西小召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.385,40.9603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10019, 927, '150823', '明安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.332,40.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10020, 927, '150823', '巴彦淖尔市大佘太牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.175,41.0295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10021, 927, '150823', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.632,40.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10022, 927, '150823', '大佘太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.171,41.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10023, 927, '150823', '先锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.22,40.519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10024, 928, '150826', '双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.857,40.8594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10025, 928, '150826', '二道桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.046,40.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10026, 928, '150826', '陕坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.114,40.9721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10027, 928, '150826', '太阳庙农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.73,40.7548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10028, 928, '150826', '沙海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.991,40.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10029, 928, '150826', '头道桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.022,40.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10030, 928, '150826', '蒙海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.901,40.9247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10031, 928, '150826', '三道桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.031,40.9253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10032, 928, '150826', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.186,41.1277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10033, 928, '150826', '蛮会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.263,41.0993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10034, 929, '150825', '巴音宝力格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.773,41.0684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10035, 929, '150825', '呼和温都尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.776,41.0686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10036, 929, '150825', '巴音前达门苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.437,42.0468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10037, 929, '150825', '潮格温都尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.042,41.5702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10038, 929, '150825', '获各琦苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.254,41.3092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10039, 929, '150825', '乌盖苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.483,41.5546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10040, 930, '150304', '巴音赛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.716,39.5016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10041, 930, '150304', '苏海图街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.654,39.5454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10042, 930, '150304', '梁家沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.642,39.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10043, 930, '150304', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.767,39.5326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10044, 930, '150304', '乌达经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.72,39.4464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10045, 930, '150304', '三道坎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.718,39.4872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10046, 930, '150304', '五虎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.69,39.5149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10047, 930, '150304', '新达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.723,39.5215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10048, 930, '150304', '乌兰淖尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.674,39.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10049, 931, '150303', '拉僧庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.794,39.3861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10050, 931, '150303', '公乌素镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.936,39.4125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10051, 931, '150303', '巴音陶亥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.921,39.3764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10052, 931, '150303', '西卓子山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.782,39.4257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10053, 931, '150303', '拉僧仲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.931,39.454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10054, 932, '150302', '凤凰岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.794,39.7193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10055, 932, '150302', '卡布其街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.792,39.5507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10056, 932, '150302', '海北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.901,39.6866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10057, 932, '150302', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.803,39.5663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10058, 932, '150302', '千里山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.896,39.8544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10059, 932, '150302', '乌海市海勃湾千里山工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.881,39.8518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10060, 932, '150302', '新华西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.804,39.6646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10061, 932, '150302', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.82,39.6668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10062, 933, '150784', '恩和俄罗斯族民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.72,50.6405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10063, 933, '150784', '拉布达林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.238,50.33', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10064, 933, '150784', '蒙兀室韦苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.191,51.3302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10065, 933, '150784', '海拉尔农垦集团有限责任公司苏沁牧场分公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.533,50.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10066, 933, '150784', '海拉尔农垦集团有限公司拉布大林农场分公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.38,50.1967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10067, 933, '150784', '三河金騋农牧有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.676,50.2215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10068, 933, '150784', '黑山头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.472,50.4037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10069, 933, '150784', '奇乾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.689,52.4762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10070, 933, '150784', '恩和哈达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.411,53.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10071, 933, '150784', '莫尔道嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.684,53.1417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10072, 933, '150784', '三河回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.693,50.4879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10073, 933, '150784', '海拉尔农垦集团有限责任公司上库力农场分公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.277,50.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10074, 933, '150784', '上库力街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.519,50.3164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10075, 934, '150782', '免渡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.917,49.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10076, 934, '150782', '绰河源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.12,48.48', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10077, 934, '150782', '塔尔气镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.854,47.8304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10078, 934, '150782', '库都尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.426,50.1363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10079, 934, '150782', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.603,49.1975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10080, 934, '150782', '乌奴耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.867,48.5313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10081, 934, '150782', '乌尔其汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.466,49.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10082, 934, '150782', '图里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.003,50.4974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10083, 934, '150782', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.724,49.3108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10084, 934, '150782', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.73,49.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10085, 934, '150782', '免渡河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.784,49.431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10086, 934, '150782', '博克图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.495,48.5669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10087, 934, '150782', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.754,49.2882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10088, 934, '150782', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.73,49.2865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10089, 934, '150782', '牙克石农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.736,49.3369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10090, 934, '150782', '暖泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.681,49.2874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10091, 934, '150782', '伊图里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.166,50.8643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10092, 934, '150782', '新工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.73,49.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10093, 934, '150782', '莫拐农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.548,49.3745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10094, 935, '150785', '敖鲁古雅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.158,50.6038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10095, 935, '150785', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.829,51.5915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10096, 935, '150785', '满归镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.412,52.3753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10097, 935, '150785', '阿龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.762,52.0225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10098, 935, '150785', '森工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.616,50.8263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10099, 935, '150785', '得耳布尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.223,50.8867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10100, 935, '150785', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.519,50.8193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10101, 935, '150785', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.522,50.8183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10102, 936, '150721', '阿荣旗林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.03,49.0608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10103, 936, '150721', '霍尔奇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.936,48.5014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10104, 936, '150721', '亚东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.55,48.5994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10105, 936, '150721', '新发朝鲜民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.48,48.1009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10106, 936, '150721', '查巴奇鄂温克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.187,48.8292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10107, 936, '150721', '格尼河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.044,48.8494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10108, 936, '150721', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.655,48.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10109, 936, '150721', '那吉屯农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.471,48.2349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10110, 936, '150721', '那吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.454,48.1874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10111, 936, '150721', '向阳峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.341,47.9633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10112, 936, '150721', '得力其鄂温克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.992,48.8142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10113, 936, '150721', '音河达斡尔鄂温克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.853,48.3462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10114, 936, '150721', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.006,48.4264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10115, 936, '150721', '六合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.878,48.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10116, 937, '150702', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.769,49.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10117, 937, '150702', '靠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.741,49.2491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10118, 937, '150702', '奋斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.767,49.1668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10119, 937, '150702', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.79,49.2227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10120, 937, '150702', '呼伦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.756,49.2347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10121, 937, '150702', '健康街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.728,49.2024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10122, 937, '150702', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.661,49.1492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10123, 937, '150702', '哈克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.366,49.3297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10124, 938, '150725', '陈旗呼和诺尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.924,49.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10125, 938, '150725', '陈旗西乌珠尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.625,49.3445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10126, 938, '150725', '陈旗巴彦库仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.72,49.4726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10127, 938, '150725', '陈巴尔虎旗国营哈图达牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.192,50.0763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10128, 938, '150725', '陈旗巴彦哈达苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.756,49.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10129, 938, '150725', '陈旗鄂温克民族苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.309,50.146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10130, 938, '150725', '陈旗宝日希勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.467,49.5211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10131, 938, '150725', '陈旗东乌珠尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.664,49.951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10132, 938, '150725', '陈旗国营浩特陶海农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.401,49.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10133, 938, '150725', '陈旗国营特泥河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.439,49.2526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10134, 939, '150783', '高台子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.769,47.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10135, 939, '150783', '成吉思汗牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.011,47.7313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10136, 939, '150783', '柴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.273,47.6584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10137, 939, '150783', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.738,48.0016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10138, 939, '150783', '市原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.662,47.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10139, 939, '150783', '成吉思汗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.797,47.886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10140, 939, '150783', '南木林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.238,48.181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10141, 939, '150783', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.766,48.0249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10142, 939, '150783', '绰尔河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.404,47.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10143, 939, '150783', '柴河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.659,47.2362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10144, 939, '150783', '达斡尔民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.87,47.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10145, 939, '150783', '扎兰屯马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.632,48.1537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10146, 939, '150783', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.791,48.0494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10147, 939, '150783', '鄂伦春民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.364,48.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10148, 939, '150783', '洼堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.976,47.4869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10149, 939, '150783', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.773,47.9716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10150, 939, '150783', '大河湾农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.015,47.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10151, 939, '150783', '扎兰屯市林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.513,48.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10152, 939, '150783', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.649,48.0266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10153, 939, '150783', '繁荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.74,48.0017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10154, 939, '150783', '哈多河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.803,47.2659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10155, 939, '150783', '萨马街鄂温克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.638,47.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10156, 939, '150783', '公安部后勤供应处农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.911,47.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10157, 939, '150783', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.268,47.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10158, 939, '150783', '浩饶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.433,47.1754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10159, 939, '150783', '卧牛河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.499,48.29', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10160, 939, '150783', '大河湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.255,47.8747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10161, 939, '150783', '磨菇气镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.536,47.467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10162, 940, '150722', '哈达阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.877,49.3413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10163, 940, '150722', '杜拉尔鄂温克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.557,49.0188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10164, 940, '150722', '汉古尔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.416,48.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10165, 940, '150722', '尼尔基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.538,48.3674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10166, 940, '150722', '国营东方红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.637,49.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10167, 940, '150722', '西瓦尔图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.183,48.9244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10168, 940, '150722', '国营甘河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.627,49.2206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10169, 940, '150722', '阿尔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.019,48.885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10170, 940, '150722', '国营巴彦农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.782,49.6401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10171, 940, '150722', '红彦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.972,49.8512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10172, 940, '150722', '库如奇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.868,49.1569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10173, 940, '150722', '塔温敖宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.113,48.9429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10174, 940, '150722', '国营欧肯河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.76,49.7808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10175, 940, '150722', '腾克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.362,49.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10176, 940, '150722', '巴彦鄂温克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.95,49.4838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10177, 940, '150722', '宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.76,48.6949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10178, 940, '150722', '奎勒河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.29,49.5175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10179, 941, '150724', '辉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.318,48.1558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10180, 941, '150724', '伊敏苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.808,48.6148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10181, 941, '150724', '呼伦贝尔新城区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.575,49.1191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10182, 941, '150724', '巴彦塔拉达斡尔民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.758,49.0432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10183, 941, '150724', '巴彦托海经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.587,49.1071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10184, 941, '150724', '大雁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.586,49.0677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10185, 941, '150724', '锡尼河西苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.024,48.8035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10186, 941, '150724', '锡尼河东苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.044,48.1904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10187, 941, '150724', '伊敏河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.891,48.5719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10188, 941, '150724', '巴彦托海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.774,49.1745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10189, 941, '150724', '伊敏河高载能工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.715,49.059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10190, 941, '150724', '巴彦查岗苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.109,49.0999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10191, 941, '150724', '大雁马铃薯高新技术示范园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.698,49.0723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10192, 941, '150724', '红花尔基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.007,48.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10193, 942, '150727', '阿拉坦额莫勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.696,48.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10194, 942, '150727', '呼伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.309,49.4464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10195, 942, '150727', '克尔伦苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.486,48.5375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10196, 942, '150727', '敖尔金牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.333,49.4085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10197, 942, '150727', '达赉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.204,48.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10198, 942, '150727', '贝尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.443,48.3244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10199, 942, '150727', '宝格德乌拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.537,48.3663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10200, 942, '150727', '阿日哈沙特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.29,48.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10201, 943, '150703', '第五街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.51,49.4413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10202, 943, '150703', '第二街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.717,49.4535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10203, 943, '150703', '灵泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.755,49.3889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10204, 943, '150703', '第四街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.703,49.4689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10205, 943, '150703', '第一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.692,49.4583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10206, 943, '150703', '第三街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.684,49.4794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10207, 944, '150781', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,49.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10208, 944, '150781', '道南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.371,49.5571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10209, 944, '150781', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.47,49.5857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10210, 944, '150781', '道北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.448,49.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10211, 944, '150781', '新开河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.683,49.4872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10212, 945, '150723', '克一河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.329,50.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10213, 945, '150723', '大杨树林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.24,49.5559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10214, 945, '150723', '大兴安岭农场宜里农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.322,49.4144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10215, 945, '150723', '大兴安岭林管局毕拉河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.742,49.2026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10216, 945, '150723', '大兴安岭林管局乌尔其汗林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.943,49.4668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10217, 945, '150723', '大兴安岭林管局伊图里河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.164,50.6408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10218, 945, '150723', '大兴安岭农场管理局欧肯河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.952,49.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10219, 945, '150723', '大兴安岭农场管理局扎赉河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.309,49.9654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10220, 945, '150723', '托扎敏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.989,50.0238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10221, 945, '150723', '大兴安岭林管局库都尔林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.808,50.2497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10222, 945, '150723', '克一河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.257,50.4697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10223, 945, '150723', '甘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.283,50.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10224, 945, '150723', '大兴安岭管理局诺敏河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.601,49.51', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10225, 945, '150723', '乌鲁布铁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.183,49.7456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10226, 945, '150723', '吉文林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.204,50.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10227, 945, '150723', '大兴安岭农场管理局古里农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.311,50.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10228, 945, '150723', '吉文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.085,50.6096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10229, 945, '150723', '阿里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.024,50.5364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10230, 945, '150723', '大兴安岭农场管理局东方红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.684,49.6853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10231, 945, '150723', '大兴安岭农工商联合公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.18,49.8298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10232, 945, '150723', '阿里河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.158,50.1294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10233, 945, '150723', '大杨树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.526,49.6357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10234, 945, '150723', '宜里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.985,49.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10235, 945, '150723', '诺敏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.912,49.1792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10236, 945, '150723', '小扬气镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.888,50.8373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10237, 945, '150723', '古里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.998,50.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10238, 945, '150723', '古源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.623,51.3979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10239, 945, '150723', '劲松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.685,51.3683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10240, 945, '150723', '甘河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.709,51.1975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10241, 946, '150726', '罕达盖苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.416,47.3849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10242, 946, '150726', '阿木古郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.365,48.0105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10243, 946, '150726', '吉布胡郎图苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.301,49.0081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10244, 946, '150726', '乌布尔宝力格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.875,48.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10245, 946, '150726', '甘珠尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.107,48.0312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10246, 946, '150726', '新宝力格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.932,48.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10247, 946, '150726', '嵯岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.227,49.7294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10248, 946, '150726', '嵯岗双娃牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.973,49.6127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10249, 947, '152923', '达来呼布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.075,41.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10250, 947, '152923', '额济纳旗赛汉陶来苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.062,41.8212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10251, 947, '152923', '额济纳旗东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4264,41.03', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10252, 947, '152923', '额济纳旗苏泊淖尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.687,42.5163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10253, 947, '152923', '哈日布日格德音乌拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7884,41.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10254, 947, '152923', '温图高勒苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.002,40.7473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10255, 947, '152923', '巴彦陶来苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.072,41.9459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10256, 947, '152923', '额济纳旗马鬃山苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0007,41.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10257, 948, '152922', '塔木素布拉格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.982,41.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10258, 948, '152922', '曼德拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.552,39.3787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10259, 948, '152922', '阿拉腾朝格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.843,39.2094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10260, 948, '152922', '巴丹吉林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.307,40.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10261, 948, '152922', '阿拉腾敖包镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.932,40.5339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10262, 948, '152922', '雅布赖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.647,39.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10263, 948, '152922', '巴音高勒苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.325,38.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10264, 949, '152921', '温都尔勒图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.471,37.8034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10265, 949, '152921', '巴彦浩特额鲁特街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.689,38.8579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10266, 949, '152921', '宗别立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.471,39.2776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10267, 949, '152921', '巴彦浩特南环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.694,38.8279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10268, 949, '152921', '巴彦浩特王府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.679,38.8422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10269, 949, '152921', '敖伦布拉格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.149,40.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10270, 949, '152921', '吉兰泰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.862,40.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10271, 949, '152921', '腾格里额里斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.571,37.8148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10272, 949, '152921', '乌斯太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.89,39.7586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10273, 949, '152921', '银根苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.908,41.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10274, 949, '152921', '巴彦浩特新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.673,38.8368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10275, 949, '152921', '乌力吉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.842,41.4397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10276, 949, '152921', '超格图呼热苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.605,38.0617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10277, 949, '152921', '嘉尔嘎勒赛汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.388,37.7074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10278, 949, '152921', '巴彦木仁苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.72,40.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10279, 949, '152921', '巴彦诺日公苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.201,40.0163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10280, 949, '152921', '巴彦浩特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.051,38.9627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10281, 949, '152921', '巴润别立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.864,38.5467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10282, 949, '152921', '额尔克哈什哈苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.519,38.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10283, 950, '150581', '珠斯花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.653,45.5298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10284, 950, '150581', '宝日呼吉尔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.648,45.5395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10285, 950, '150581', '沙尔呼热街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.517,45.4884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10286, 950, '150581', '莫斯台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.668,45.5483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10287, 950, '150581', '达来胡硕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.736,45.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10288, 951, '150526', '格日朝鲁苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.613,45.3297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10289, 951, '150526', '乌额格其苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.906,44.8135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10290, 951, '150526', '巴彦塔拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.451,44.5438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10291, 951, '150526', '嘎达苏种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.813,44.4226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10292, 951, '150526', '巨日合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.361,44.8987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10293, 951, '150526', '鲁北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.993,44.7538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10294, 951, '150526', '乌力吉木仁苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.914,44.1339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10295, 951, '150526', '道老杜苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.76,44.4781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10296, 951, '150526', '香山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.676,44.4855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10297, 951, '150526', '阿日昆都楞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.033,45.5947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10298, 951, '150526', '黄花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.189,44.6463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10299, 951, '150526', '嘎亥图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.37,44.8035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10300, 951, '150526', '香山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.449,44.5393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10301, 951, '150526', '前德门苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.339,44.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10302, 951, '150526', '乌日根塔拉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.647,44.8873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10303, 951, '150526', '巴雅尔图胡硕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.295,45.2373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10304, 951, '150526', '乌兰哈达苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.532,45.4385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10305, 951, '150526', '查布嘎图苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.722,44.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10306, 951, '150526', '乌额格其牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.318,44.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10307, 952, '150521', '巴彦塔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.163,43.8819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10308, 952, '150521', '花胡硕苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.909,44.2715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10309, 952, '150521', '珠日河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.81,44.099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10310, 952, '150521', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.408,43.7857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10311, 952, '150521', '敖包苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.033,43.8335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10312, 952, '150521', '架玛吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.016,44.1192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10313, 952, '150521', '丰库牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.174,44.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10314, 952, '150521', '协代苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.902,43.8493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10315, 952, '150521', '白兴吐苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.862,43.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10316, 952, '150521', '腰林毛都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.839,44.3205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10317, 952, '150521', '保康街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.296,44.128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10318, 952, '150521', '希伯花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.79,44.1138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10319, 952, '150521', '努日木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.137,44.0148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10320, 952, '150521', '门达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.306,43.5944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10321, 952, '150521', '舍伯吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.748,43.9874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10322, 952, '150521', '花吐古拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.93,43.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10323, 952, '150521', '代力吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.006,44.1332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10324, 952, '150521', '宝龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.868,43.9866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10325, 952, '150521', '白音塔拉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.833,44.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10326, 952, '150521', '图布信苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.892,44.3952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10327, 952, '150521', '保康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.334,44.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10328, 953, '150525', '黄花塔拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.774,42.745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10329, 953, '150525', '东明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.371,43.385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10330, 953, '150525', '大沁他拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.589,43.0789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10331, 953, '150525', '白音他拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.704,43.0533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10332, 953, '150525', '新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.189,42.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10333, 953, '150525', '固日班花苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.074,43.126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10334, 953, '150525', '国有六号农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.375,43.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10335, 953, '150525', '沙日浩来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.68,42.4408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10336, 953, '150525', '八仙筒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.099,43.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10337, 953, '150525', '明仁苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.359,43.5384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10338, 953, '150525', '苇莲苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.509,43.2022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10339, 953, '150525', '义隆永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.666,42.7138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10340, 953, '150525', '治安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.358,43.3765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10341, 953, '150525', '土城子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.781,42.4733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10342, 953, '150525', '青龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.918,42.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10343, 954, '150523', '大榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.164,43.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10344, 954, '150523', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.847,43.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10345, 954, '150523', '保安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.648,43.4766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10346, 954, '150523', '义和塔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.155,43.8039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10347, 954, '150523', '黑龙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.845,43.581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10348, 954, '150523', '辽河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.473,43.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10349, 954, '150523', '麦新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.838,43.5294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10350, 954, '150523', '小街基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.389,43.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10351, 954, '150523', '清河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.249,43.7638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10352, 954, '150523', '建华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.463,43.6936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10353, 954, '150523', '东来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.459,43.5001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10354, 954, '150523', '吉日嘎郎吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.662,43.4575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10355, 954, '150523', '开鲁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.261,43.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10356, 955, '150502', '庆和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.045,43.759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10357, 955, '150502', '高林屯种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.597,43.8981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10358, 955, '150502', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.233,43.6435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10359, 955, '150502', '三义堂农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.342,43.7607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10360, 955, '150502', '永清街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.269,43.6294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10361, 955, '150502', '哲南农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.975,43.3843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10362, 955, '150502', '半截店牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.988,43.6442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10363, 955, '150502', '建国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.237,43.6026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10364, 955, '150502', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.269,43.6291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10365, 955, '150502', '东郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.555,43.7343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10366, 955, '150502', '育新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.23,43.5499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10367, 955, '150502', '霍林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.297,43.6458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10368, 955, '150502', '木里图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.186,43.4924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10369, 955, '150502', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.427,43.6227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10370, 955, '150502', '施介街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.281,43.6189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10371, 955, '150502', '铁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.323,43.611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10372, 955, '150502', '胡力海原种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.487,43.8096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10373, 955, '150502', '辽河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.346,43.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10374, 955, '150502', '莫力庙羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.803,43.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10375, 955, '150502', '余粮堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.038,43.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10376, 955, '150502', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.122,43.633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10377, 955, '150502', '莫力庙苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.881,43.6653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10378, 955, '150502', '丰田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.075,43.6359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10379, 955, '150502', '明仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.258,43.6141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10380, 955, '150502', '电厂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.183,43.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10381, 955, '150502', '西门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.239,43.6255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10382, 955, '150502', '大林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.632,43.7546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10383, 955, '150502', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.231,43.6442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10384, 955, '150502', '钱家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.607,43.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10385, 955, '150502', '科尔沁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.235,43.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10386, 955, '150502', '敖力布皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.348,43.788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10387, 955, '150502', '清真街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.284,43.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10388, 956, '150524', '库伦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.781,42.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10389, 956, '150524', '六家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.47,42.7935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10390, 956, '150524', '额勒顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.446,43.1948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10391, 956, '150524', '茫汗苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.298,43.0895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10392, 956, '150524', '水泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.341,42.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10393, 956, '150524', '先进苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.762,42.6188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10394, 956, '150524', '库伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.692,42.6922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10395, 956, '150524', '白音花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.485,42.6387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10396, 956, '150524', '扣河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.314,42.6181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10397, 957, '150522', '孟根达坝牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.996,42.8618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10398, 957, '150522', '乌兰敖道渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.732,43.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10399, 957, '150522', '胜利农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.608,43.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10400, 957, '150522', '朝鲁吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.779,43.211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10401, 957, '150522', '大青沟管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.251,42.7479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10402, 957, '150522', '查日苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.47,43.0423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10403, 957, '150522', '朝鲁吐林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.604,43.3603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10404, 957, '150522', '吉尔嘎朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.839,43.19', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10405, 957, '150522', '茂道吐林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.961,43.6697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10406, 957, '150522', '散都苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.902,42.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10407, 957, '150522', '伊胡塔林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.233,43.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10408, 957, '150522', '茂道吐苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.952,43.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10409, 957, '150522', '巴彦毛都苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.746,43.3816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10410, 957, '150522', '查金台牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.924,43.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10411, 957, '150522', '甘旗卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.335,42.6742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10412, 957, '150522', '阿都沁苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.216,43.5909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10413, 957, '150522', '哈日乌苏种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.607,43.1533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10414, 957, '150522', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.61,43.2637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10415, 957, '150522', '阿古拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.854,43.4419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10416, 957, '150522', '乌旦塔拉林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.705,43.0276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10417, 957, '150522', '双胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.642,43.1434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10418, 957, '150522', '海鲁吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.104,43.1143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10419, 957, '150522', '努古斯台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.272,43.5092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10420, 957, '150522', '金宝屯林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.559,43.379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10421, 957, '150522', '巴嘎塔拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.24,43.0781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10422, 957, '150522', '金宝屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.558,43.3858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10423, 957, '150522', '常胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.846,42.7194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10424, 958, '152202', '伊尔施街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.834,47.2691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10425, 958, '152202', '阿尔山市新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.849,47.2425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10426, 958, '152202', '阿尔山市林海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.859,47.3107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10427, 958, '152202', '明水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.344,47.0995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10428, 958, '152202', '阿尔山市白狼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.974,46.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10429, 958, '152202', '阿尔山市天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.813,47.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10430, 958, '152202', '阿尔山市五岔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.167,46.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10431, 958, '152202', '阿尔山市温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.896,47.2242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10432, 959, '152222', '高力板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.938,44.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10433, 959, '152222', '吐列毛都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.004,45.5695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10434, 959, '152222', '额木庭高勒苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.343,45.5277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10435, 959, '152222', '巴彦茫哈苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.698,44.5345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10436, 959, '152222', '布敦化矿区工作部', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.35,44.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10437, 959, '152222', '巴彦呼舒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.217,44.9397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10438, 959, '152222', '孟恩套力盖矿区工作部', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.309,45.2532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10439, 959, '152222', '布敦化牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.448,44.981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10440, 959, '152222', '代钦塔拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.383,45.2044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10441, 959, '152222', '吐列毛杜农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.356,45.8942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10442, 959, '152222', '哈日诺尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.171,45.5898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10443, 959, '152222', '杜尔基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.932,45.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10444, 959, '152222', '巴仁哲里木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,45.7226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10445, 959, '152222', '新佳木苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.093,45.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10446, 959, '152222', '巴彦淖尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.969,44.7667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10447, 959, '152222', '好腰苏木乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.906,44.4484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10448, 960, '152224', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.471,45.8191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10449, 960, '152224', '学田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.106,45.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10450, 960, '152224', '东杜尔基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.669,45.6789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10451, 960, '152224', '宝石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.08,46.083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10452, 960, '152224', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.773,45.4294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10453, 960, '152224', '九龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.846,45.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10454, 960, '152224', '东杜尔基国营农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.917,45.5412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10455, 960, '152224', '突泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.472,45.5584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10456, 960, '152224', '六户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.445,45.5502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10457, 960, '152224', '水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.995,45.5382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10458, 961, '152201', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.065,46.071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10459, 961, '152201', '乌兰浩特经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.35,46.02', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10460, 961, '152201', '五一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.079,46.0964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10461, 961, '152201', '义勒力特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.924,46.2282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10462, 961, '152201', '呼和马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.486,46.2204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10463, 961, '152201', '都林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.056,46.0781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10464, 961, '152201', '乌兰哈达原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.22,46.093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10465, 961, '152201', '爱国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.082,46.0857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10466, 961, '152201', '兴安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.064,46.0847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10467, 961, '152201', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.095,46.0856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10468, 961, '152201', '乌兰浩特工业经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.192,46.0635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10469, 961, '152201', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.058,46.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10470, 961, '152201', '城郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.089,46.1237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10471, 961, '152201', '乌兰哈达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.299,46.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10472, 961, '152201', '葛根庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.084,45.9025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10473, 961, '152201', '太本站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.451,46.0572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10474, 962, '152223', '宝力根花苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.838,46.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10475, 962, '152223', '巴彦高勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.834,46.6551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10476, 962, '152223', '乌塔其监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.376,46.7825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10477, 962, '152223', '胡尔勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.859,46.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10478, 962, '152223', '图牧吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.76,46.4505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10479, 962, '152223', '巴彦乌兰苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.342,47.0688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10480, 962, '152223', '阿拉达尔吐苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.597,46.8154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10481, 962, '152223', '阿尔本格勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.213,47.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10482, 962, '152223', '乌兰监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.303,46.762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10483, 962, '152223', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.567,46.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10484, 962, '152223', '保安沼监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.425,46.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10485, 962, '152223', '巴达尔胡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.358,46.7464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10486, 962, '152223', '八一牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.494,46.391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10487, 962, '152223', '巴达尔胡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.18,46.8048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10488, 962, '152223', '音德尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.675,46.7411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10489, 962, '152223', '好力保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.161,46.7408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10490, 962, '152223', '图牧吉劳管所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.128,46.2105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10491, 962, '152223', '努文牧仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.48,46.9578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10492, 962, '152223', '巴彦扎拉嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.733,46.8579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10493, 962, '152223', '新林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.526,47.2128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10494, 963, '152221', '巴日嘎斯台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.815,46.1811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10495, 963, '152221', '大石寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.233,46.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10496, 963, '152221', '公主陵牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.228,46.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10497, 963, '152221', '科尔沁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.804,46.0619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10498, 963, '152221', '归流河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.458,46.3499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10499, 963, '152221', '德佰斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.771,46.6478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10500, 963, '152221', '绿水种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.678,46.675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10501, 963, '152221', '索伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.978,46.8886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10502, 963, '152221', '科右前旗工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.974,46.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10503, 963, '152221', '居力很镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.851,46.0378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10504, 963, '152221', '乌兰毛都苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.701,46.2398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10505, 963, '152221', '桃合木苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.928,46.2478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10506, 963, '152221', '察尔森镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.768,46.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10507, 963, '152221', '阿力得尔牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.711,45.9709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10508, 963, '152221', '跃进马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.647,46.4528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10509, 963, '152221', '阿力得尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.042,46.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10510, 963, '152221', '索伦牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.894,46.932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10511, 963, '152221', '满族屯满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.96,46.9076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10512, 963, '152221', '额尔格图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.235,46.2274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10513, 963, '152221', '俄体镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.527,45.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10514, 964, '152526', '林业总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.062,44.8639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10515, 964, '152526', '巴拉嘎尔高勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.554,44.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10516, 964, '152526', '西乌旗白音华能源化工园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.401,44.7124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10517, 964, '152526', '巴彦胡舒苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.781,44.8349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10518, 964, '152526', '乌兰哈拉嘎苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.259,44.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10519, 964, '152526', '浩勒图高勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.122,44.2417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10520, 964, '152526', '高日罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.258,45.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10521, 964, '152526', '巴彦花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.063,44.8634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10522, 964, '152526', '吉仁高勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.138,44.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10523, 965, '152502', '锡林郭勒盟经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.013,43.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10524, 965, '152502', '额尔敦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.126,43.9544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10525, 965, '152502', '巴彦查干街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.067,43.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10526, 965, '152502', '贝力克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.99,43.5653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10527, 965, '152502', '宝力根街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,44.011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10528, 965, '152502', '朝克乌拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,44.2109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10529, 965, '152502', '毛登牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.499,44.2285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10530, 965, '152502', '巴彦锡勒街道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.806,43.607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10531, 965, '152502', '楚古兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.191,43.9947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10532, 965, '152502', '阿尔善宝拉格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.403,44.6209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10533, 965, '152502', '宝力根苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.04,43.9892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10534, 965, '152502', '白音库伦牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,43.2785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10535, 965, '152502', '杭盖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.104,44.0377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10536, 965, '152502', '南郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.104,43.9234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10537, 965, '152502', '希日塔拉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.069,43.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10538, 965, '152502', '巴彦宝拉格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.922,44.5195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10539, 966, '152525', '哈拉盖图农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.239,45.8753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10540, 966, '152525', '宝格达乌拉总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.621,46.3714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10541, 966, '152525', '乌里雅斯太工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.069,45.448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10542, 966, '152525', '呼热图淖尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.88,45.6375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10543, 966, '152525', '乌拉盖牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.838,46.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10544, 966, '152525', '嘎海乐苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.282,45.755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10545, 966, '152525', '道特淖尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.916,46.0126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10546, 966, '152525', '萨麦苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.454,45.8569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10547, 966, '152525', '额吉淖尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.064,45.2692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10548, 966, '152525', '阿拉坦合力苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.021,45.4658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10549, 966, '152525', '嘎达布其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.752,45.8538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10550, 966, '152525', '满都胡宝拉格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.526,46.4461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10551, 966, '152525', '巴音胡硕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.806,45.7222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10552, 966, '152525', '贺斯格乌拉农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.236,46.4168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10553, 966, '152525', '乌里雅斯太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.654,45.3396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10554, 967, '152522', '洪格尔高勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.868,43.6364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10555, 967, '152522', '那仁宝拉格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.663,44.76', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10556, 967, '152522', '别力古台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.509,43.7085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10557, 967, '152522', '巴彦图嘎苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.158,44.9945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10558, 967, '152522', '阿旗德力格尔工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.852,43.6315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10559, 967, '152522', '查干淖尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.584,43.1532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10560, 967, '152522', '吉尔嘎郎图苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.328,45.2203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10561, 967, '152522', '玛尼图煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.429,45.0224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10562, 967, '152522', '伊和高勒苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.343,44.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10563, 968, '152523', '满都拉图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.088,43.5807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10564, 968, '152523', '巴彦乌拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.242,44.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10565, 968, '152523', '苏尼特左旗芒来循环经济产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.249,44.073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10566, 968, '152523', '洪格尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.73,44.9218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10567, 968, '152523', '巴彦淖尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.878,43.3102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10568, 968, '152523', '恩格尔河灌区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.875,43.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10569, 968, '152523', '赛罕高毕苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.284,44.0759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10570, 968, '152523', '查干敖包镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,44.1713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10571, 968, '152523', '达来苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.546,44.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10572, 969, '152524', '朱日和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.403,42.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10573, 969, '152524', '阿其图乌拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.204,43.0799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10574, 969, '152524', '乌日根塔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.569,43.6049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10575, 969, '152524', '额仁淖尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.977,43.1693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10576, 969, '152524', '赛汉塔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.103,42.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10577, 969, '152524', '桑宝拉格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,43.1267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10578, 969, '152524', '赛罕乌力吉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.725,42.4693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10579, 969, '152524', '苏尼特右旗朱日和工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.897,42.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10580, 970, '152501', '二连浩特市社区建设管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.948,43.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10581, 970, '152501', '格日勒敖都苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.007,43.6062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10582, 970, '152501', '二连边境经济技术合作区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.991,43.6639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10583, 971, '152528', '新宝拉格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.813,42.2426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10584, 971, '152528', '翁贡乌拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.152,42.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10585, 971, '152528', '巴彦塔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,42.3016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10586, 971, '152528', '宝格达音髙勒苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.957,42.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10587, 972, '152530', '那日图苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.098,43.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10588, 972, '152530', '赛音呼都嘎苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.449,43.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10589, 972, '152530', '黑城子示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.816,42.0831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10590, 972, '152530', '桑根达来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.422,42.6308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10591, 972, '152530', '上都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.205,42.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10592, 972, '152530', '五一种畜场总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.529,42.3747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10593, 972, '152530', '扎格斯台苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.08,42.9781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10594, 972, '152530', '宝绍代苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.736,42.8353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10595, 972, '152530', '哈毕日嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.795,42.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10596, 973, '152529', '乌兰查布苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,42.5276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10597, 973, '152529', '额里图种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.283,42.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10598, 973, '152529', '明安图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.76,42.2892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10599, 973, '152529', '宝拉根陶海苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.346,42.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10600, 973, '152529', '哲日根图林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.377,42.4563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10601, 973, '152529', '星耀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.825,42.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10602, 973, '152529', '伊和淖尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.09,42.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10603, 974, '152531', '多伦诺尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,42.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10604, 974, '152531', '多伦新型工业化化工区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.608,42.2037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10605, 974, '152531', '蔡木山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.768,42.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10606, 974, '152531', '滦源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.621,42.1376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10607, 974, '152531', '西干沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.11,42.1727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10608, 974, '152531', '大北沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.101,42.0686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10609, 975, '152527', '万寿滩良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.116,42.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10610, 975, '152527', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.228,41.9352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10611, 975, '152527', '宝昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.348,41.9764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10612, 975, '152527', '骆驼山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.601,42.0092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10613, 975, '152527', '贡宝拉格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.986,41.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10614, 975, '152527', '幸福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.213,41.612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10615, 975, '152527', '千斤沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.557,41.9402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10616, 975, '152527', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.124,42.0536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10617, 976, '150123', '新店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.241,40.1746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10618, 976, '150123', '大红城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.561,40.1992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10619, 976, '150123', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.819,40.4741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10620, 976, '150123', '巧什营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.548,40.5487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10621, 976, '150123', '羊群沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.183,40.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10622, 976, '150123', '舍必崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.625,40.4742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10623, 976, '150123', '黑老夭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.204,40.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10624, 976, '150123', '盛乐经济工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.786,40.5565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10625, 976, '150123', '盛乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.791,40.4266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10626, 977, '150103', '中山西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.659,40.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10627, 977, '150103', '钢铁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.637,40.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10628, 977, '150103', '新华西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.647,40.8243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10629, 977, '150103', '光明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.631,40.8223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10630, 977, '150103', '海拉尔西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.593,40.823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10631, 977, '150103', '通道街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.651,40.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10632, 977, '150103', '环河街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.636,40.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10633, 977, '150103', '攸攸板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.642,40.8157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10634, 978, '150104', '石东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.672,40.7905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10635, 978, '150104', '西菜园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.688,40.7826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10636, 978, '150104', '鄂尔多斯路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.598,40.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10637, 978, '150104', '兴隆巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.657,40.7942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10638, 978, '150104', '昭君路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.658,40.748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10639, 978, '150104', '大南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.651,40.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10640, 978, '150104', '小召前街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.656,40.8034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10641, 978, '150104', '长和廊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.643,40.7966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10642, 978, '150104', '裕隆工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.614,40.7473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10643, 978, '150104', '小黑河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.622,40.7581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10644, 979, '150125', '上秃亥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.441,41.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10645, 979, '150125', '西乌兰不浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.127,41.167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10646, 979, '150125', '武川金三角开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.441,41.1164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10647, 979, '150125', '二份子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.57,41.3177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10648, 979, '150125', '哈乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.666,41.1794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10649, 979, '150125', '德胜沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.011,41.0575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10650, 979, '150125', '哈拉合少乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.973,41.1067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10651, 979, '150125', '耗赖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.593,41.1267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10652, 979, '150125', '内蒙古武川经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.459,41.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10653, 979, '150125', '可镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.427,41.0663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10654, 979, '150125', '大青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.663,41.0266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10655, 980, '150121', '台阁牧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.457,40.7121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10656, 980, '150121', '呼和浩特出口加工区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.531,40.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10657, 980, '150121', '塔布赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.168,40.6542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10658, 980, '150121', '白庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.673,40.6403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10659, 980, '150121', '呼和浩特如意开发区南区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.725,40.5657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10660, 980, '150121', '呼和浩特经济技术开发区金川区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.561,40.7812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10661, 980, '150121', '敕勒川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.907,40.7154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10662, 980, '150121', '呼和浩特金山经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.457,40.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10663, 980, '150121', '北什轴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.267,40.6769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10664, 980, '150121', '善岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.011,40.5578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10665, 980, '150121', '察素齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.066,40.8726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10666, 980, '150121', '毕克齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.227,40.9026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10667, 980, '150121', '沙尔沁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.731,40.4993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10668, 981, '150122', '五申镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.245,40.5334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10669, 981, '150122', '托县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.395,40.1486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10670, 981, '150122', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.337,40.5692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10671, 981, '150122', '伍什家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.214,40.3795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10672, 981, '150122', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.269,40.3169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10673, 981, '150122', '新营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.525,40.1992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10674, 982, '150105', '乌兰察布东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.716,40.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10675, 982, '150105', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.69,40.8066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10676, 982, '150105', '黄合少镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.915,40.8424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10677, 982, '150105', '敕勒川路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.848,40.8583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10678, 982, '150105', '大学西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.709,40.7989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10679, 982, '150105', '呼和浩特留学人员创业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.753,40.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10680, 982, '150105', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.747,40.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10681, 982, '150105', '昭乌达路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.723,40.8128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10682, 982, '150105', '中专路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.764,40.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10683, 982, '150105', '巴彦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.812,40.8821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10684, 982, '150105', '榆林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.023,40.9383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10685, 982, '150105', '大学东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.716,40.7922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10686, 982, '150105', '金桥经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.714,40.7736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10687, 982, '150105', '呼和浩特市如意开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.781,40.8364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10688, 983, '150102', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.674,40.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10689, 983, '150102', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.682,40.8387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10690, 983, '150102', '锡林路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.669,40.8265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10691, 983, '150102', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.698,40.851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10692, 983, '150102', '迎新路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.748,40.8469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10693, 983, '150102', '成吉思汗大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.68,40.9396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10694, 983, '150102', '保合少镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.714,40.981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10695, 983, '150102', '海拉尔东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.661,40.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10696, 983, '150102', '新城区鸿盛高科技园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.803,40.8877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10697, 983, '150102', '中山东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.674,40.8288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10698, 984, '150124', '五良太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.816,40.0871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10699, 984, '150124', '宏河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.507,40.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10700, 984, '150124', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.894,40.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10701, 984, '150124', '韮菜庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.857,39.9462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10702, 984, '150124', '喇嘛湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.536,40.1144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10703, 984, '150124', '窑沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.552,39.8703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10704, 984, '150124', '北堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.74,39.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10705, 984, '150124', '单台子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.582,39.857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10706, 985, '150421', '赛汉塔拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.301,44.4956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10707, 985, '150421', '先锋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.654,44.045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10708, 985, '150421', '巴彦温都尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.1,44.9269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10709, 985, '150421', '巴拉奇如德苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.955,43.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10710, 985, '150421', '绍根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.553,43.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10711, 985, '150421', '乌兰哈达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.829,44.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10712, 985, '150421', '罕苏木苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.751,44.5502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10713, 985, '150421', '扎嘎斯台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.136,43.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10714, 985, '150421', '坤都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.536,44.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10715, 985, '150421', '巴彦花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.111,44.1047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10716, 985, '150421', '天山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.232,43.9402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10717, 985, '150421', '新能源产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.04,43.8742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10718, 985, '150421', '绍根煤碳及煤化工产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.239,43.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10719, 985, '150421', '天山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.108,43.8847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10720, 985, '150421', '双胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.748,43.7667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10721, 985, '150421', '轻工食品产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.242,43.8771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10722, 985, '150421', '新民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.082,44.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10723, 985, '150421', '天山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.064,43.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10724, 986, '150424', '新城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.01,43.4005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10725, 986, '150424', '官地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.089,43.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10726, 986, '150424', '大井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.177,43.7172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10727, 986, '150424', '林西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.03,43.6047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10728, 986, '150424', '十二吐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.013,43.5485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10729, 986, '150424', '新林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.891,44.1084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10730, 986, '150424', '统部镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.799,44.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10731, 986, '150424', '内蒙古林西工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.098,43.5461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10732, 986, '150424', '五十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.176,43.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10733, 986, '150424', '城北街道筹备处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.075,43.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10734, 986, '150424', '大营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.123,43.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10735, 986, '150424', '城南街道筹备处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.046,43.5959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10736, 987, '150422', '富河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.148,44.7313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10737, 987, '150422', '林东西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.37,43.9703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10738, 987, '150422', '林东东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.369,43.9901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10739, 987, '150422', '乌兰达坝苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.245,44.614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10740, 987, '150422', '白音勿拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.792,44.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10741, 987, '150422', '碧流台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.418,44.3021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10742, 987, '150422', '花加拉嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.541,44.3085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10743, 987, '150422', '哈拉哈达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.052,44.0739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10744, 987, '150422', '查干哈达苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.261,43.8959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10745, 987, '150422', '隆昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.371,43.8159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10746, 987, '150422', '十三敖包镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.419,44.3058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10747, 987, '150422', '三山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.357,44.55', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10748, 987, '150422', '林东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.309,44.042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10749, 988, '150423', '巴彦琥硕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.677,44.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10750, 988, '150423', '查干沐沦苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.218,43.9662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10751, 988, '150423', '大板煤电化基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.754,43.6197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10752, 988, '150423', '大板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.378,43.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10753, 988, '150423', '宝日勿苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.408,43.6954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10754, 988, '150423', '西拉沐沦苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.021,43.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10755, 988, '150423', '查干诺尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.225,43.6969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10756, 988, '150423', '幸福之路苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.989,43.7429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10757, 988, '150423', '巴彦塔拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.902,43.7441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10758, 988, '150423', '索博日嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.681,44.4626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10759, 989, '150425', '红山子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.555,43.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10760, 989, '150425', '土城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.367,43.1321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10761, 989, '150425', '同兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.523,43.9125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10762, 989, '150425', '芝瑞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.701,43.175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10763, 989, '150425', '达日罕乌拉苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.644,43.4148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10764, 989, '150425', '浩来呼热苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.256,43.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10765, 989, '150425', '克什克腾旗渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.659,43.4111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10766, 989, '150425', '新开地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.151,42.8208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10767, 989, '150425', '克旗经棚街道筹备处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.57,43.2654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10768, 989, '150425', '达来诺日镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.285,43.5948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10769, 989, '150425', '巴彦查干苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.63,43.9909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10770, 989, '150425', '万合永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.945,43.4228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10771, 989, '150425', '乌兰布统苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.194,42.468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10772, 989, '150425', '克什克腾旗煤电化基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.888,43.0302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10773, 989, '150425', '热水塘温泉疗养旅游开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.72,43.4673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10774, 989, '150425', '宇宙地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.647,43.3914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10775, 989, '150425', '经棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.666,43.2837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10776, 990, '150426', '亿合公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.215,42.8383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10777, 990, '150426', '五分地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.447,43.1369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10778, 990, '150426', '紫城街道筹备处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.131,42.9383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10779, 990, '150426', '乌敦套海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.823,42.8447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10780, 990, '150426', '新苏莫苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.762,43.406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10781, 990, '150426', '广德公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.559,42.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10782, 990, '150426', '格日僧苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.674,43.2748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10783, 990, '150426', '全宁街道筹备处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.941,42.8706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10784, 990, '150426', '海拉苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.368,43.2655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10785, 990, '150426', '玉龙工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.076,42.9577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10786, 990, '150426', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.718,42.8006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10787, 990, '150426', '阿什罕苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.508,43.0217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10788, 990, '150426', '乌丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.857,43.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10789, 990, '150426', '梧桐花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.413,42.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10790, 990, '150426', '白音套海苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.527,43.2166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10791, 990, '150426', '解放营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.044,42.6517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10792, 990, '150426', '毛山东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.336,43.1994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10793, 991, '150404', '兴安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.903,42.2721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10794, 991, '150404', '松州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.922,42.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10795, 991, '150404', '大庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.301,42.4583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10796, 991, '150404', '王府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.473,42.2792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10797, 991, '150404', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,42.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10798, 991, '150404', '哈拉道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,42.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10799, 991, '150404', '振兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.926,42.2921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10800, 991, '150404', '玉龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.861,42.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10801, 991, '150404', '上官地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.55,42.5983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10802, 991, '150404', '全宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.886,42.2404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10803, 991, '150404', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.907,42.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10804, 991, '150404', '大夫营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.283,42.5221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10805, 991, '150404', '太平地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.329,42.5178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10806, 991, '150404', '岗子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.216,42.657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10807, 991, '150404', '老府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.128,42.0512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10808, 991, '150404', '初头朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.543,42.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10809, 991, '150404', '穆家营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.944,42.2838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10810, 991, '150404', '城子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.732,42.1975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10811, 991, '150404', '夏家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.152,42.4851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10812, 991, '150404', '安庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.214,42.5584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10813, 991, '150404', '当铺地满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.854,42.5335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10814, 992, '150402', '西屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.944,42.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10815, 992, '150402', '长青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.965,42.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10816, 992, '150402', '红山区农畜产品加工产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.917,42.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10817, 992, '150402', '三中街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.956,42.2828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10818, 992, '150402', '南新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.965,42.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10819, 992, '150402', '桥北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.938,42.3114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10820, 992, '150402', '永巨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.963,42.2828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10821, 992, '150402', '铁南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.963,42.2583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10822, 992, '150402', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.923,42.2402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10823, 992, '150402', '红山工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.011,42.2831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10824, 992, '150402', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.995,42.2904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10825, 992, '150402', '哈达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.943,42.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10826, 992, '150402', '红庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.102,42.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10827, 992, '150402', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.948,42.2532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10828, 992, '150402', '红山物流园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,42.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10829, 992, '150402', '文钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.934,42.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10830, 993, '150428', '十家满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.072,42.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10831, 993, '150428', '锦山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.775,42.0773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10832, 993, '150428', '马鞍山羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.837,41.8587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10833, 993, '150428', '西桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.192,41.9339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10834, 993, '150428', '小牛群镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.524,42.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10835, 993, '150428', '乃林果树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.273,41.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10836, 993, '150428', '牛家营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.869,42.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10837, 993, '150428', '锦山工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.775,41.9169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10838, 993, '150428', '美林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.413,41.7714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10839, 993, '150428', '赤峰市和美工贸园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.887,42.2337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10840, 993, '150428', '南台子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.539,42.0695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10841, 993, '150428', '乃林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.329,41.8607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10842, 993, '150428', '王爷府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.446,41.7491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10843, 994, '150403', '平庄城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.279,42.0432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10844, 994, '150403', '五家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.218,41.9476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10845, 994, '150403', '云杉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.329,42.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10846, 994, '150403', '赤峰市资源型经济转型开发试验区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.257,42.2511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10847, 994, '150403', '小五家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.171,42.1011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10848, 994, '150403', '平庄西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.252,42.0363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10849, 994, '150403', '西露天街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.245,42.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10850, 994, '150403', '风水沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.366,42.3282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10851, 994, '150403', '马林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.176,42.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10852, 994, '150403', '平庄东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.314,42.0685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10853, 994, '150403', '美丽河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.219,42.2136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10854, 994, '150403', '平庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.242,42.0153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10855, 994, '150403', '元宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.361,42.3421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10856, 995, '150430', '敖润苏莫苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.234,42.9535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10857, 995, '150430', '林家地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.057,42.0816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10858, 995, '150430', '敖汉旗新惠工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.91,42.3093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10859, 995, '150430', '丰收乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.207,42.3699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10860, 995, '150430', '牛古吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.349,42.5706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10861, 995, '150430', '玛尼罕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.042,42.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10862, 995, '150430', '古鲁板蒿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.705,42.7598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10863, 995, '150430', '木头营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.456,42.7775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10864, 995, '150430', '金厂沟梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.036,42.0187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10865, 995, '150430', '下洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.554,42.5969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10866, 995, '150430', '国营种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.231,42.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10867, 995, '150430', '萨力巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.602,42.5021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10868, 995, '150430', '新惠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.067,42.2621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10869, 995, '150430', '长胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.237,42.885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10870, 995, '150430', '四家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.084,41.8706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10871, 995, '150430', '贝子府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.164,42.1161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10872, 995, '150430', '四道湾子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.677,42.4323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10873, 995, '150430', '兴隆洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.473,42.3719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10874, 996, '150429', '甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.832,41.4719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10875, 996, '150429', '黑里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.351,41.3958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10876, 996, '150429', '三座店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.969,41.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10877, 996, '150429', '必斯营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.089,41.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10878, 996, '150429', '小城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.004,41.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10879, 996, '150429', '大双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,41.5316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10880, 996, '150429', '天义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.286,41.6242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10881, 996, '150429', '忙农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.151,41.5431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10882, 996, '150429', '一肯中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.059,41.6872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10883, 996, '150429', '八里罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.488,41.589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10884, 996, '150429', '大城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.845,41.7527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10885, 996, '150429', '存金沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.718,41.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10886, 996, '150429', '汐子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.073,41.7819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10887, 996, '150429', '大明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.152,41.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10888, 996, '150429', '五化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.124,41.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10889, 997, '150929', '四子王旗巴音敖包苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.469,42.6605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10890, 997, '150929', '四子王旗吉生太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.775,41.7908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10891, 997, '150929', '四子王旗江岸苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.889,42.6035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10892, 997, '150929', '四子王旗供济堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.306,41.6881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10893, 997, '150929', '四子王旗东八号乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.704,41.3038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10894, 997, '150929', '四子王旗白音朝克图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.148,42.0738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10895, 997, '150929', '四子王旗乌兰花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.682,41.7164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10896, 997, '150929', '四子王旗红格尔苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.854,42.1057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10897, 997, '150929', '四子王旗忽鸡图乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.797,41.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10898, 997, '150929', '四子王旗脑木更苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.774,42.957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10899, 997, '150929', '四子王旗大黑河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.595,41.5539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10900, 997, '150929', '四子王旗乌兰牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.142,41.7134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10901, 997, '150929', '四子王旗库伦图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.88,41.6124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10902, 997, '150929', '四子王旗查干补力格苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.776,41.6739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10903, 998, '150927', '黄羊城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.386,41.3334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10904, 998, '150927', '库联苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.462,41.7405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10905, 998, '150927', '广益隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.265,41.6846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10906, 998, '150927', '科布尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.765,41.3504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10907, 998, '150927', '大滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.335,41.364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10908, 998, '150927', '巴音乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.596,41.6497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10909, 998, '150927', '宏盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.686,41.5153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10910, 998, '150927', '乌素图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.672,41.5515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10911, 998, '150927', '乌兰哈页苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.26,41.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10912, 998, '150927', '辉腾锡勒园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.578,41.2063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10913, 998, '150927', '铁沙盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.571,41.4624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10914, 998, '150927', '察右中旗土城子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.421,41.6052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10915, 999, '150923', '玻璃忽镜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.595,41.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10916, 999, '150923', '大库伦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.545,42.1328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10917, 999, '150923', '十八顷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.797,41.7128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10918, 999, '150923', '三大顷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.508,41.5115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10919, 999, '150923', '七台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.663,41.6525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10920, 999, '150923', '屯垦队镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.466,41.8959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10921, 999, '150923', '卯都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.534,41.9628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10922, 999, '150923', '小海子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.907,41.4458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10923, 999, '150923', '西井子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.287,41.9772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10924, 999, '150923', '大黑沙土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.084,41.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10925, 1000, '150924', '赛乌素镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.427,41.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10926, 1000, '150924', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.952,40.5166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10927, 1000, '150924', '大库联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.95,41.2691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10928, 1000, '150924', '五股泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.698,41.2245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10929, 1000, '150924', '南部矿区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.968,40.5628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10930, 1000, '150924', '民族团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.716,41.0687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10931, 1000, '150924', '张皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.579,40.6592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10932, 1000, '150924', '鄂尔栋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.577,40.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10933, 1000, '150924', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.033,40.9333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10934, 1000, '150924', '大同夭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.097,40.7939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10935, 1001, '150922', '化德县白音特拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.507,41.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10936, 1001, '150922', '化德县七号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.599,42.286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10937, 1001, '150922', '化德县朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.098,41.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10938, 1001, '150922', '化德县德包图乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.248,42.1675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10939, 1001, '150922', '化德县公腊胡洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.771,42.0808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10940, 1001, '150922', '化德县长顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.16,41.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10941, 1002, '150928', '察哈尔右翼后旗贲红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.352,41.3894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10942, 1002, '150928', '察哈尔右翼后旗大六号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.372,41.1538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10943, 1002, '150928', '察哈尔右翼后旗红格尔图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.01,41.7906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10944, 1002, '150928', '察哈尔右翼后旗土牧尔台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113,41.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10945, 1002, '150928', '察哈尔右翼后旗锡勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.838,41.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10946, 1002, '150928', '察哈尔右翼后旗当郎忽洞苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.776,41.6271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10947, 1002, '150928', '察哈尔右翼后旗乌兰哈达苏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.847,41.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10948, 1002, '150928', '白音察干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.427,41.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10949, 1003, '150921', '卓资县巴音锡勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.594,41.1276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10950, 1003, '150921', '卓资县复兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.289,41.142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10951, 1003, '150921', '卓资山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.567,40.8418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10952, 1003, '150921', '卓资县梨花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.384,41.0323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10953, 1003, '150921', '旗下营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.065,41.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10954, 1003, '150921', '卓资县十八台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.885,40.7661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10955, 1003, '150921', '卓资县大榆树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.66,40.8201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10956, 1003, '150921', '卓资县红召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.071,41.2383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10957, 1004, '150981', '官屯堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.378,40.4293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10958, 1004, '150981', '黑土台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.318,40.4996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10959, 1004, '150981', '巨宝庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.93,40.4508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10960, 1004, '150981', '旧城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.166,40.4432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10961, 1004, '150981', '三义泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.836,40.6755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10962, 1004, '150981', '南城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.189,40.5108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10963, 1004, '150981', '新城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.1,40.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10964, 1004, '150981', '红砂坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.101,40.6971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10965, 1004, '150981', '浑源窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.68,40.6321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10966, 1004, '150981', '工业区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.173,40.4294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10967, 1004, '150981', '北城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.164,40.4711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10968, 1004, '150981', '元山子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.531,40.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10969, 1004, '150981', '隆盛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.441,40.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10970, 1005, '150926', '老圈沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.981,40.9403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10971, 1005, '150926', '三岔口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.049,41.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10972, 1005, '150926', '黄旗海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.137,40.9659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10973, 1005, '150926', '乌拉哈乌拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.401,40.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10974, 1005, '150926', '平地泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.047,40.9865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10975, 1005, '150926', '巴音塔拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.323,40.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10976, 1005, '150926', '黄茂营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.58,41.1633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10977, 1005, '150926', '察右前旗天皮山冶金化工工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.31,40.7725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10978, 1005, '150926', '玫瑰营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.379,41.1704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10979, 1005, '150926', '察右前旗察哈尔工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.138,40.9519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10980, 1005, '150926', '土贵乌拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.288,40.8604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10981, 1006, '150902', '泉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.105,41.0079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10982, 1006, '150902', '桥东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.101,41.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10983, 1006, '150902', '前进路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.12,41.0298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10984, 1006, '150902', '新体路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.103,41.0559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10985, 1006, '150902', '新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.087,41.0042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10986, 1006, '150902', '白海子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.189,41.1107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10987, 1006, '150902', '虎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.114,41.0301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10988, 1006, '150902', '桥西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.071,41.045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10989, 1006, '150902', '常青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.137,41.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10990, 1006, '150902', '马莲渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.203,41.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10991, 1007, '150925', '曹碾满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.78,40.3013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10992, 1007, '150925', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.394,40.5034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10993, 1007, '150925', '岱海林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.772,40.5386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10994, 1007, '150925', '岱海循环工业发展区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.657,40.5311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10995, 1007, '150925', '岱海旅游区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.777,40.5813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10996, 1007, '150925', '岱海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.4,40.6718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10997, 1007, '150925', '麦胡图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.732,40.752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10998, 1007, '150925', '蛮汉山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.293,40.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (10999, 1007, '150925', '天成乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.841,40.5832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11000, 1007, '150925', '六苏木乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.565,40.5408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11001, 1007, '150925', '蛮汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.415,40.6302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11002, 1007, '150925', '厂汉营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.664,40.4452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11003, 1017, '652723', '兵团八十八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0146,44.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11004, 1017, '652723', '博格达尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0225,44.9914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11005, 1017, '652723', '查干屯格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3562,45.0298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11006, 1017, '652723', '昆得仑牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4489,45.0705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11007, 1017, '652723', '孟克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.998,44.9717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11008, 1017, '652723', '安格里格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0438,44.9206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11009, 1017, '652723', '扎勒木特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3571,44.8007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11010, 1017, '652723', '呼和托哈种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3193,44.9611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11011, 1017, '652723', '塔秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5666,44.8952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11012, 1017, '652723', '兵团八十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6866,44.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11013, 1017, '652723', '哈日布呼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5569,44.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11014, 1018, '652702', '艾比湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5875,45.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11015, 1018, '652702', '阿拉套街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5929,45.1378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11016, 1019, '652701', '青得里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8321,45.33', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11017, 1019, '652701', '香班哈日根牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0734,44.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11018, 1019, '652701', '达勒特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5261,45.084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11019, 1019, '652701', '青得里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0759,44.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11020, 1019, '652701', '五台工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0771,44.7055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11021, 1019, '652701', '南城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0515,44.8774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11022, 1019, '652701', '贝林哈日莫墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4096,44.6697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11023, 1019, '652701', '小营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6654,45.0715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11024, 1019, '652701', '阿热勒托海牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7039,45.039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11025, 1019, '652701', '顾里木图街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0502,44.906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11026, 1019, '652701', '乌图布拉格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.3292,45.159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11027, 1020, '652722', '托托镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.3434,44.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11028, 1020, '652722', '精河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8931,44.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11029, 1020, '652722', '八家户农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.707,44.5775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11030, 1020, '652722', '兵团九十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.547,44.4615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11031, 1020, '652722', '大河沿子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2949,44.5989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11032, 1020, '652722', '兵团八十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8225,44.7052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11033, 1020, '652722', '托里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8074,44.0726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11034, 1020, '652722', '茫丁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8268,44.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11035, 1020, '652722', '阿合其农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2976,44.5993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11036, 1029, '650107', '达坂城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.5272,43.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11037, 1029, '650107', '乌拉泊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8468,43.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11038, 1029, '650107', '达坂城区盐湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9312,43.5486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11039, 1029, '650107', '阿克苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.6154,43.3497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11040, 1029, '650107', '东沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4219,43.4687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11041, 1029, '650107', '艾维尔沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2928,43.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11042, 1029, '650107', '柴窝堡管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9223,43.46', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11043, 1029, '650107', '西沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3103,43.6782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11044, 1030, '650102', '解放南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6241,43.7895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11045, 1030, '650102', '新华南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6084,43.7858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11046, 1030, '650102', '新华北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6101,43.803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11047, 1030, '650102', '延安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6447,43.7725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11048, 1030, '650102', '解放北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6259,43.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11049, 1030, '650102', '青年路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6426,43.8106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11050, 1030, '650102', '燕儿窝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6094,43.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11051, 1030, '650102', '赛马场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6154,43.7615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11052, 1030, '650102', '二道桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6216,43.7873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11053, 1030, '650102', '黑甲山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.645,43.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11054, 1030, '650102', '东门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6377,43.8034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11055, 1030, '650102', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6162,43.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11056, 1030, '650102', '红雁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6527,43.6983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11057, 1030, '650102', '和平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.628,43.7863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11058, 1030, '650102', '幸福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6426,43.7818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11059, 1030, '650102', '团结路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6111,43.7767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11060, 1030, '650102', '大湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6346,43.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11061, 1030, '650102', '碱泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6409,43.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11062, 1031, '650105', '南湖南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5984,43.8161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11063, 1031, '650105', '六道湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6334,43.8326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11064, 1031, '650105', '水磨沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6677,43.8232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11065, 1031, '650105', '八道湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6883,43.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11066, 1031, '650105', '南湖北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6156,43.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11067, 1031, '650105', '苇湖梁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6348,43.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11068, 1031, '650105', '水磨沟区农村事务管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.842,43.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11069, 1031, '650105', '新民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6062,43.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11070, 1031, '650105', '七道湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6506,43.9008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11071, 1032, '650109', '三道坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6253,44.1608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11072, 1032, '650109', '铁厂沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7498,43.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11073, 1032, '650109', '石化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7212,43.9513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11074, 1032, '650109', '卡子湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6081,43.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11075, 1032, '650109', '古牧地西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6523,43.9735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11076, 1032, '650109', '羊毛工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5788,44.194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11077, 1032, '650109', '南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.644,43.917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11078, 1032, '650109', '长山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5369,44.0955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11079, 1032, '650109', '古牧地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.633,44.0194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11080, 1032, '650109', '古牧地东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6622,43.9734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11081, 1032, '650109', '地磅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7551,43.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11082, 1032, '650109', '芦草沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7003,43.9645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11083, 1032, '650109', '柏杨河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8721,44.0611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11084, 1033, '650106', '王家沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4221,43.9317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11085, 1033, '650106', '头屯河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2815,43.8069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11086, 1033, '650106', '兵团十二师五一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.334,43.999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11087, 1033, '650106', '新疆兵团十二师头屯河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2658,43.9037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11088, 1033, '650106', '兵团十二师三坪农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3113,43.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11089, 1033, '650106', '北站西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4841,43.8796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11090, 1033, '650106', '头屯河区乡类似乡镇单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4754,43.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11091, 1033, '650106', '火车西站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.468,43.7913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11092, 1033, '650106', '乌昌路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3984,43.9658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11093, 1034, '650121', '甘沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0813,43.5845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11094, 1034, '650121', '水西沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4471,43.269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11095, 1034, '650121', '板房沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2024,43.0675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11096, 1034, '650121', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3489,43.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11097, 1034, '650121', '托里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6039,43.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11098, 1034, '650121', '萨尔达坂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3506,43.7832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11099, 1035, '650103', '仓房沟片区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5941,43.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11100, 1035, '650103', '长江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5904,43.7953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11101, 1035, '650103', '雅玛里克山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5916,43.8057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11102, 1035, '650103', '长胜东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5218,43.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11103, 1035, '650103', '火车南站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5839,43.7825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11104, 1035, '650103', '长胜南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5186,43.631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11105, 1035, '650103', '炉院街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5942,43.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11106, 1035, '650103', '红庙子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5516,43.8533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11107, 1035, '650103', '长胜西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4621,43.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11108, 1035, '650103', '西山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4986,43.7812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11109, 1035, '650103', '兵团十二师西山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3693,43.7211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11110, 1035, '650103', '和田街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5963,43.778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11111, 1035, '650103', '八一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5784,43.8242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11112, 1035, '650103', '友好北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5763,43.8317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11113, 1035, '650103', '友好南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.588,43.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11114, 1035, '650103', '扬子江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5891,43.7994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11115, 1035, '650103', '兵团农十二师一零四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5273,43.7955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11116, 1035, '650103', '环卫路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4549,43.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11117, 1036, '650104', '地窝堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4965,43.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11118, 1036, '650104', '迎宾路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4864,43.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11119, 1036, '650104', '南纬路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5444,43.8766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11120, 1036, '650104', '杭州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5749,43.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11121, 1036, '650104', '银川路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5962,43.8644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11122, 1036, '650104', '石油新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5274,43.8577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11123, 1036, '650104', '乌鲁木齐经济技术开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.517,43.9042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11124, 1036, '650104', '北京路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.584,43.8597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11125, 1036, '650104', '高新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5703,43.8645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11126, 1036, '650104', '喀什东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5835,43.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11127, 1036, '650104', '天津路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5801,43.8756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11128, 1036, '650104', '二工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5588,43.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11129, 1036, '650104', '长春中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5776,43.913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11130, 1036, '650104', '二工乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5788,43.8795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11131, 1036, '650104', '北站东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5062,43.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11132, 1036, '650104', '三工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5175,43.9154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11133, 1036, '650104', '萨尔达坂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4533,43.964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11134, 1048, '652828', '特吾里克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8947,42.3518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11135, 1048, '652828', '清水河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8315,42.1883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11136, 1048, '652828', '乃仁克尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3851,42.1475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11137, 1048, '652828', '塔哈其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8949,42.3194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11138, 1048, '652828', '曲惠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2086,42.2167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11139, 1048, '652828', '苏哈特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9362,42.194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11140, 1048, '652828', '兵团二师二十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.7711,42.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11141, 1048, '652828', '新塔热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9369,42.2189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11142, 1048, '652828', '和硕县马兰公安管区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1821,42.1493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11143, 1048, '652828', '乌什塔拉回族民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3095,41.8764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11144, 1049, '652827', '巴润哈尔莫墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1617,42.1467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11145, 1049, '652827', '克尔古提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.89,42.4768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11146, 1049, '652827', '协比乃尔布呼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4165,42.1271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11147, 1049, '652827', '巴音布鲁克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.367,43.1502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11148, 1049, '652827', '兵团二十二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3661,42.356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11149, 1049, '652827', '巩乃斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8106,43.4455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11150, 1049, '652827', '哈尔莫墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2154,42.4328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11151, 1049, '652827', '乌拉斯台农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2824,42.1975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11152, 1049, '652827', '巴音郭愣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7532,43.1472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11153, 1049, '652827', '额勒再特乌鲁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5352,43.157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11154, 1049, '652827', '兵团农二师湖光糖厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.5095,42.142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11155, 1049, '652827', '阿拉沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8253,43.0877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11156, 1049, '652827', '兵团二二三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6327,42.3112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11157, 1049, '652827', '巴仑台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.965,43.4115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11158, 1049, '652827', '乃门莫墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.458,42.2479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11159, 1049, '652827', '兵团二十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1978,42.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11160, 1049, '652827', '和静镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2714,42.3461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11161, 1050, '652824', '铁木里克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5285,38.3013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11162, 1050, '652824', '兵团三十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8183,39.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11163, 1050, '652824', '若羌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1369,39.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11164, 1050, '652824', '铁干里克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1135,39.098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11165, 1050, '652824', '罗布泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9582,38.6069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11166, 1050, '652824', '瓦石峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1203,38.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11167, 1050, '652824', '依吞布拉克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9968,38.3889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11168, 1050, '652824', '吾塔木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1181,39.0819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11169, 1050, '652824', '祁曼塔克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3519,36.143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11170, 1051, '652826', '五号渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6944,42.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11171, 1051, '652826', '王家庄牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4537,41.8379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11172, 1051, '652826', '查汗采开乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.5226,42.0291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11173, 1051, '652826', '焉耆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.5585,42.0545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11174, 1051, '652826', '兵团二十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4233,41.9367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11175, 1051, '652826', '包尔海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4657,42.0291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11176, 1051, '652826', '苏海良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3577,42.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11177, 1051, '652826', '七个星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2849,42.2619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11178, 1051, '652826', '北大渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.693,42.2034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11179, 1051, '652826', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6011,42.0261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11180, 1051, '652826', '四十里城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4815,41.9779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11181, 1052, '652829', '才坎诺尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6072,41.9235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11182, 1052, '652829', '博斯腾湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.7092,41.915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11183, 1052, '652829', '塔温觉肯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.7005,42.1938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11184, 1052, '652829', '博湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1518,42.0532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11185, 1052, '652829', '兵团二十五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6571,41.9627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11186, 1052, '652829', '本布图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6352,42.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11187, 1052, '652829', '乌兰再格森乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.7222,41.9188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11188, 1052, '652829', '查干诺尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.5781,42.0316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11189, 1053, '652825', '托格拉克勒克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5202,38.1622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11190, 1053, '652825', '奥依亚依拉克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8497,37.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11191, 1053, '652825', '塔提让镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9254,41.577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11192, 1053, '652825', '兵团三十八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1163,37.7681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11193, 1053, '652825', '阔什萨特玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5812,38.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11194, 1053, '652825', '琼库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5364,38.0719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11195, 1053, '652825', '兵团农二师且末工程支队', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5198,38.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11196, 1053, '652825', '阿热勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5712,38.102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11197, 1053, '652825', '阿羌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3527,36.3791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11198, 1053, '652825', '巴格艾日克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4966,38.1608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11199, 1053, '652825', '阿克提坎墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9492,38.6194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11200, 1053, '652825', '英吾斯塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9366,37.76', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11201, 1053, '652825', '库拉木勒克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.259,38.0668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11202, 1053, '652825', '且末镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5228,38.1306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11203, 1054, '652801', '巴州奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1075,41.7274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11204, 1054, '652801', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1676,41.7336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11205, 1054, '652801', '普惠农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2537,41.3186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11206, 1054, '652801', '巴州沙依东园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0129,41.7539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11207, 1054, '652801', '和什力克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9072,41.762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11208, 1054, '652801', '铁克其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1686,41.7331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11209, 1054, '652801', '巴州阿瓦提农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0996,41.6402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11210, 1054, '652801', '库尔勒市西尼尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1897,41.6457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11211, 1054, '652801', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1428,41.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11212, 1054, '652801', '哈拉玉宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9834,41.5771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11213, 1054, '652801', '萨依巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1328,41.7759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11214, 1054, '652801', '天山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1905,41.8187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11215, 1054, '652801', '库尔楚园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2543,41.9309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11216, 1054, '652801', '英下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1047,41.7165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11217, 1054, '652801', '经济牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0391,41.3753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11218, 1054, '652801', '库尔勒市托布力其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8549,41.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11219, 1054, '652801', '塔什店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8384,42.0102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11220, 1054, '652801', '普惠牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8945,41.3791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11221, 1054, '652801', '包头湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7889,41.6677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11222, 1054, '652801', '阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8618,41.5213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11223, 1054, '652801', '恰尔巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1308,41.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11224, 1054, '652801', '普惠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9115,41.3993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11225, 1054, '652801', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1663,41.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11226, 1054, '652801', '库尔勒市兰干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.966,41.7831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11227, 1054, '652801', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0261,41.7762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11228, 1054, '652801', '梨香街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1661,41.743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11229, 1054, '652801', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1576,41.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11230, 1054, '652801', '上户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8524,41.8872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11231, 1055, '652822', '阿克萨来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5865,41.5028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11232, 1055, '652822', '群巴克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.21,41.843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11233, 1055, '652822', '轮南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2857,41.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11234, 1055, '652822', '轮台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.4334,41.5175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11235, 1055, '652822', '策达雅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8165,42.0019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11236, 1055, '652822', '草湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2988,41.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11237, 1055, '652822', '阳霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6847,41.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11238, 1055, '652822', '塔尔拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.161,41.9065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11239, 1055, '652822', '铁热克巴扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5902,41.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11240, 1055, '652822', '野云沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.0815,42.0331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11241, 1055, '652822', '哈尔巴克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.374,41.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11242, 1056, '652823', '墩阔坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8581,41.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11243, 1056, '652823', '古勒巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9367,41.385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11244, 1056, '652823', '尉犁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2759,41.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11245, 1056, '652823', '阿克苏普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.755,41.2841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11246, 1056, '652823', '兵团三十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2585,41.4097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11247, 1056, '652823', '喀尔曲尕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2261,41.5052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11248, 1056, '652823', '塔里木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4934,41.1076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11249, 1056, '652823', '兵团三十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3424,40.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11250, 1056, '652823', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2802,41.3192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11251, 1056, '652823', '农二师三十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1315,40.7339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11252, 1056, '652823', '兴平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1299,41.3761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11253, 1057, '653227', '若克雅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.7755,36.9381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11254, 1057, '653227', '萨勒吾则克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8531,37.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11255, 1057, '653227', '安迪尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9779,37.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11256, 1057, '653227', '叶亦克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5867,35.5894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11257, 1057, '653227', '尼雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6778,37.0688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11258, 1057, '653227', '亚瓦通古孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.2322,37.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11259, 1057, '653227', '尼雅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6969,37.0467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11260, 1058, '653226', '兰干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4281,36.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11261, 1058, '653226', '奥依托格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4536,37.5351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11262, 1058, '653226', '加依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.57,36.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11263, 1058, '653226', '喀拉克尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.425,37.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11264, 1058, '653226', '阿羌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4424,36.236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11265, 1058, '653226', '于田监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5706,36.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11266, 1058, '653226', '英巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4308,37.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11267, 1058, '653226', '托格日尕孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4534,36.8925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11268, 1058, '653226', '科克亚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6097,36.7748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11269, 1058, '653226', '木尕拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6495,36.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11270, 1058, '653226', '阿热勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6964,36.8488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11271, 1058, '653226', '先拜巴扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.591,36.8287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11272, 1058, '653226', '希吾勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4143,37.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11273, 1058, '653226', '阿日希乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6146,36.5463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11274, 1058, '653226', '国营昆仑种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5173,36.2118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11275, 1058, '653226', '拉依苏良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3304,36.8708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11276, 1058, '653226', '斯也克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4741,37.3279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11277, 1058, '653226', '达里雅布依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0032,38.9124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11278, 1059, '653201', '拉斯奎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8586,37.2213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11279, 1059, '653201', '纳尔巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9047,37.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11280, 1059, '653201', '吉亚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9297,37.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11281, 1059, '653201', '北京工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9649,37.1735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11282, 1059, '653201', '肖尔巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8502,37.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11283, 1059, '653201', '伊里其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9251,37.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11284, 1059, '653201', '古江巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9359,37.0447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11285, 1059, '653201', '古江巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9378,37.0773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11286, 1059, '653201', '玉龙喀什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9757,37.1213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11287, 1059, '653201', '古勒巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9229,37.092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11288, 1059, '653201', '奴尔巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9086,37.1197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11289, 1059, '653201', '吐沙拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9226,37.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11290, 1060, '653221', '英阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8948,37.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11291, 1060, '653221', '和田县经济新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8497,37.2794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11292, 1060, '653221', '巴格其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1109,37.536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11293, 1060, '653221', '朗如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.5518,35.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11294, 1060, '653221', '色格孜库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2012,37.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11295, 1060, '653221', '拉依喀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3978,37.7847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11296, 1060, '653221', '罕艾日克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9881,37.5341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11297, 1060, '653221', '英艾日克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8487,37.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11298, 1060, '653221', '塔瓦库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4392,37.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11299, 1060, '653221', '喀什塔什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.082,36.8104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11300, 1060, '653221', '布扎克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.838,37.1103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11301, 1060, '653221', '伊斯拉木阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4522,37.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11302, 1060, '653221', '吾宗肖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.0448,37.5465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11303, 1061, '653225', '达玛沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8884,38.7186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11304, 1061, '653225', '兵团一牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.8274,36.3107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11305, 1061, '653225', '策勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5512,36.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11306, 1061, '653225', '奴尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9468,36.1461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11307, 1061, '653225', '博斯坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3323,36.372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11308, 1061, '653225', '策勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.8079,36.9048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11309, 1061, '653225', '固拉合玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0755,36.8913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11310, 1061, '653225', '恰哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5493,36.1957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11311, 1061, '653225', '乌鲁克萨依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7876,36.3478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11312, 1062, '653223', '皮山县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.1023,37.3902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11313, 1062, '653223', '乔达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.3289,38.7978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11314, 1062, '653223', '康克尔柯尔克孜民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.6637,35.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11315, 1062, '653223', '藏桂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5267,38.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11316, 1062, '653223', '科克铁热克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2391,37.5632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11317, 1062, '653223', '固玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2845,37.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11318, 1062, '653223', '木吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.4482,38.8152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11319, 1062, '653223', '巴什兰干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6636,37.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11320, 1062, '653223', '赛图拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.9073,35.4643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11321, 1062, '653223', '阔什塔格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.967,37.2789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11322, 1062, '653223', '皮亚勒玛农业综合开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.2076,37.2242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11323, 1062, '653223', '皮西那乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.0746,37.6077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11324, 1062, '653223', '克里阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6428,37.2665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11325, 1062, '653223', '垴阿巴提塔吉克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.741,36.0443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11326, 1062, '653223', '国营牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.5274,37.5616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11327, 1062, '653223', '皮亚勒玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5527,38.6899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11328, 1062, '653223', '街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2759,37.629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11329, 1062, '653223', '皮山三峡工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2416,37.5469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11330, 1062, '653223', '桑株镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.4716,36.9476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11331, 1062, '653223', '杜瓦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.8291,36.3416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11332, 1062, '653223', '木奎拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.3169,37.6072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11333, 1063, '653224', '山普鲁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.106,36.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11334, 1063, '653224', '布亚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.0463,37.0836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11335, 1063, '653224', '拜什托格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4183,39.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11336, 1063, '653224', '阿其克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2163,36.926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11337, 1063, '653224', '纳瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.0761,37.0401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11338, 1063, '653224', '洛浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1726,37.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11339, 1063, '653224', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.179,37.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11340, 1063, '653224', '杭桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.602,38.1357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11341, 1063, '653224', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2431,37.1298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11342, 1063, '653224', '恰尔巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.37,37.1743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11343, 1063, '653224', '多鲁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.249,37.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11344, 1064, '653222', '兵团四十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7432,37.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11345, 1064, '653222', '萨依巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.6315,37.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11346, 1064, '653222', '阿克萨拉依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.6509,37.2312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11347, 1064, '653222', '芒来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7043,37.2977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11348, 1064, '653222', '英也尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7597,37.3798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11349, 1064, '653222', '雅瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.3529,37.3603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11350, 1064, '653222', '托胡拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.6991,37.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11351, 1064, '653222', '喀瓦克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9496,38.7582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11352, 1064, '653222', '加汗巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7082,37.2186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11353, 1064, '653222', '吐外特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7553,37.3865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11354, 1064, '653222', '阔依其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7162,37.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11355, 1064, '653222', '喀拉喀什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7496,37.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11356, 1064, '653222', '喀尔赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5536,37.4288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11357, 1064, '653222', '普恰克其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8341,37.5672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11358, 1064, '653222', '奎牙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5841,37.3455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11359, 1064, '653222', '乌尔其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.569,37.2569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11360, 1064, '653222', '扎瓦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.2273,37.167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11361, 1065, '654201', '兵团农九师一六四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0059,47.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11362, 1065, '654201', '窝依加依劳牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9534,46.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11363, 1065, '654201', '喀拉哈巴克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1302,46.7817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11364, 1065, '654201', '恰合吉牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.356,46.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11365, 1065, '654201', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9785,46.7429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11366, 1065, '654201', '兵团农九师一六三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9485,46.7543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11367, 1065, '654201', '也门勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.986,46.6502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11368, 1065, '654201', '恰夏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5196,47.0198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11369, 1065, '654201', '杜别克街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9317,46.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11370, 1065, '654201', '地区种牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9446,46.7087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11371, 1065, '654201', '阿不都拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.4322,46.9886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11372, 1065, '654201', '阿西尔达斡尔民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.4696,47.1288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11373, 1065, '654201', '博孜达克农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8562,46.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11374, 1065, '654201', '二工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0385,46.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11375, 1065, '654201', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9883,46.7316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11376, 1066, '654221', '二道桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5103,46.4494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11377, 1066, '654221', '兵团农九师团结农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5001,46.5028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11378, 1066, '654221', '杰勒阿尕什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.1435,46.1999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11379, 1066, '654221', '萨尔也木勒牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.0727,46.2141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11380, 1066, '654221', '阔什比克良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7421,46.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11381, 1066, '654221', '郊区乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.4741,46.4906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11382, 1066, '654221', '兵团农九师一六五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.257,46.835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11383, 1066, '654221', '额玛勒郭楞蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8288,46.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11384, 1066, '654221', '额敏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6039,46.4933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11385, 1066, '654221', '玛热勒苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8678,46.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11386, 1066, '654221', '加尔布拉克农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7017,46.6383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11387, 1066, '654221', '兵团农九师一六七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6892,46.8933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11388, 1066, '654221', '喀拉也木勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.0054,46.2559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11389, 1066, '654221', '也木勒牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.0293,46.2423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11390, 1066, '654221', '兵团农九师一六八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9598,46.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11391, 1066, '654221', '上户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7116,46.8743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11392, 1066, '654221', '玉什喀拉苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.0746,46.8618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11393, 1066, '654221', '吾宗布拉克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8893,46.4192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11394, 1066, '654221', '喇嘛昭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9458,46.3633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11395, 1066, '654221', '兵团农九师一六六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.637,47.0322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11396, 1066, '654221', '二支河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7673,46.6651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11397, 1066, '654221', '霍吉尔特蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.1228,46.1787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11398, 1066, '654221', '塔城地区种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8418,46.4165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11399, 1067, '654226', '夏孜盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0041,45.3315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11400, 1067, '654226', '布斯屯格牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2063,47.043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11401, 1067, '654226', '巴音傲瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0897,47.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11402, 1067, '654226', '和布克赛尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5843,46.7848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11403, 1067, '654226', '查干库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9522,47.0778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11404, 1067, '654226', '巴尕乌图布拉格牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.95,46.6707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11405, 1067, '654226', '新疆屯鑫能源开发有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6703,46.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11406, 1067, '654226', '莫特格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7025,47.0552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11407, 1067, '654226', '兵团一八四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3387,46.2656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11408, 1067, '654226', '查和特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4414,46.2807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11409, 1067, '654226', '那仁和布克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9016,46.3827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11410, 1067, '654226', '伊克乌图布拉格牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4966,47.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11411, 1067, '654226', '仓德格矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6596,46.6813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11412, 1067, '654226', '和什托洛盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9535,46.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11413, 1067, '654226', '铁布肯乌散乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9139,46.8516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11414, 1068, '654225', '兵团农九师一六一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9648,46.2026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11415, 1068, '654225', '阿勒腾也木勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0496,45.8389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11416, 1068, '654225', '哈拉布拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9697,46.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11417, 1068, '654225', '吉也克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9326,46.4754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11418, 1068, '654225', '察汗托海牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0333,46.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11419, 1068, '654225', '哈拉布拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1986,46.377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11420, 1068, '654225', '江格斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.039,46.3531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11421, 1068, '654225', '新地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9296,46.0581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11422, 1069, '654224', '托里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.616,45.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11423, 1069, '654224', '巴尔鲁克山塔斯特林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9314,45.8422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11424, 1069, '654224', '库普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.2763,45.947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11425, 1069, '654224', '铁厂沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3724,45.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11426, 1069, '654224', '老风口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6353,46.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11427, 1069, '654224', '多拉特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.4549,45.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11428, 1069, '654224', '阿克别里斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6029,45.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11429, 1069, '654224', '庙尔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6455,45.3798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11430, 1069, '654224', '兵团农九师一七零团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8694,45.5159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11431, 1069, '654224', '乌雪特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8378,46.0899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11432, 1069, '654224', '白杨河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.1587,46.1848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11433, 1070, '654202', '夹河子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7645,44.4595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11434, 1070, '654202', '乌苏监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3265,44.5212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11435, 1070, '654202', '车排子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.4049,44.9624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11436, 1070, '654202', '头台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5994,44.6337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11437, 1070, '654202', '白杨沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.4027,44.1268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11438, 1070, '654202', '兵团一三零团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.652,44.746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11439, 1070, '654202', '塔布勒合特蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1876,44.4854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11440, 1070, '654202', '哈图布呼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2108,44.4693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11441, 1070, '654202', '虹桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.68,44.4486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11442, 1070, '654202', '兵团一二三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.389,44.9906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11443, 1070, '654202', '巴音沟牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7934,43.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11444, 1070, '654202', '八十四户乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6882,44.4455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11445, 1070, '654202', '古尔图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6597,45.0013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11446, 1070, '654202', '百泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3196,44.509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11447, 1070, '654202', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5989,44.4276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11448, 1070, '654202', '皇宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7031,44.7265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11449, 1070, '654202', '甘家湖牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1507,45.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11450, 1070, '654202', '兵团一二七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.4034,45.1513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11451, 1070, '654202', '四棵树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1442,44.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11452, 1070, '654202', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6482,44.6327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11453, 1070, '654202', '西大沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7399,44.1462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11454, 1070, '654202', '九间楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7819,44.6696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11455, 1070, '654202', '兵团一二六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2581,45.1364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11456, 1070, '654202', '吉尔格勒特郭愣蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3007,44.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11457, 1070, '654202', '石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2145,44.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11458, 1070, '654202', '兵团一二五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5414,44.8702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11459, 1070, '654202', '兵团一二四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1184,44.6235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11460, 1070, '654202', '甘河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.4491,44.4835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11461, 1070, '654202', '赛力克提牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3423,44.2794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11462, 1070, '654202', '新市区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7104,44.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11463, 1071, '654223', '兵团一四三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7929,44.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11464, 1071, '654223', '安集海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4284,44.3521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11465, 1071, '654223', '兵团一三四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.195,45.0296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11466, 1071, '654223', '博尔通古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4457,44.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11467, 1071, '654223', '博尔通古牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.3756,44.0681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11468, 1071, '654223', '兵团一四四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9123,44.2525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11469, 1071, '654223', '兵团一二一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6251,44.874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11470, 1071, '654223', '乌兰乌苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8559,44.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11471, 1071, '654223', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8312,44.4228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11472, 1071, '654223', '兵团一三三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.0265,44.8067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11473, 1071, '654223', '三道河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6077,44.2915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11474, 1071, '654223', '老沙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8501,44.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11475, 1071, '654223', '金沟河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.606,44.2884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11476, 1071, '654223', '商户地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8202,44.5145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11477, 1071, '654223', '牛圈子牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7051,43.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11478, 1071, '654223', '兵团一四一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2194,44.6172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11479, 1071, '654223', '大泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5019,44.2786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11480, 1071, '654223', '兵团一四二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4007,44.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11481, 1071, '654223', '柳毛湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9541,44.6036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11482, 1071, '654223', '四道河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2854,44.9535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11483, 1071, '654223', '西戈壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6106,44.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11484, 1071, '654223', '东湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7034,43.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11485, 1072, '654321', '布尔津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8727,47.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11486, 1072, '654321', '冲乎尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2042,47.5889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11487, 1072, '654321', '也格孜托别乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0185,47.8817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11488, 1072, '654321', '杜来提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.532,48.0956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11489, 1072, '654321', '禾木哈纳斯蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0988,48.8836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11490, 1072, '654321', '窝依莫克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1239,47.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11491, 1072, '654321', '阔斯特克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2607,47.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11492, 1073, '654324', '齐巴尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.315,48.1636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11493, 1073, '654324', '库勒拜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4141,48.1578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11494, 1073, '654324', '加依勒玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4002,48.0893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11495, 1073, '654324', '阿克齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4031,48.0956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11496, 1073, '654324', '萨尔布拉克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2838,48.4687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11497, 1073, '654324', '兵团一八五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6254,48.2113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11498, 1073, '654324', '萨尔塔木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8207,48.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11499, 1073, '654324', '铁热克提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8447,48.3079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11500, 1074, '654326', '喀尔交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4688,47.5511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11501, 1074, '654326', '恰勒什海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.39,47.5834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11502, 1074, '654326', '托普铁热克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8659,47.4474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11503, 1074, '654326', '别斯铁热克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8677,47.3574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11504, 1074, '654326', '托斯特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1339,47.4698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11505, 1074, '654326', '吉木乃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6869,47.4014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11506, 1074, '654326', '兵团一八六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6612,47.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11507, 1074, '654326', '乌拉斯特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8805,47.4418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11508, 1075, '654325', '萨尔托海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.4265,45.8262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11509, 1075, '654325', '阿热勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3332,46.071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11510, 1075, '654325', '阿热勒托别镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5475,47.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11511, 1075, '654325', '阿尕什敖包乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5919,46.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11512, 1075, '654325', '查干郭勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7643,46.5319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11513, 1075, '654325', '塔克什肯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7451,45.932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11514, 1075, '654325', '青河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.313,46.6694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11515, 1076, '654322', '库额尔齐斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4978,46.9957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11516, 1076, '654322', '库尔特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9225,46.5', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11517, 1076, '654322', '喀拉布勒根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0381,47.7557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11518, 1076, '654322', '铁买克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0803,46.4602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11519, 1076, '654322', '可可托海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9671,47.2702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11520, 1076, '654322', '杜热镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7128,46.1774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11521, 1076, '654322', '恰库尔图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6154,46.3316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11522, 1076, '654322', '克孜勒希力克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6656,47.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11523, 1076, '654322', '吐尔洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9617,47.261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11524, 1077, '654301', '红墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8837,47.5246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11525, 1077, '654301', '喀拉尕什牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2148,47.539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11526, 1077, '654301', '团结路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.131,47.7962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11527, 1077, '654301', '喀拉希力克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5405,48.1718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11528, 1077, '654301', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1387,47.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11529, 1077, '654301', '切木尔切克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5457,47.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11530, 1077, '654301', '阿苇滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3626,48.3158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11531, 1077, '654301', '阿克吐木斯克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.079,47.4623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11532, 1077, '654301', '巴里巴盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0901,47.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11533, 1077, '654301', '拉斯特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.465,47.643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11534, 1077, '654301', '金山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1249,47.8638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11535, 1077, '654301', '萨尔胡松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0919,48.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11536, 1077, '654301', '汗德尕特蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3078,47.3135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11537, 1077, '654301', '兵团一八一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4642,47.6148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11538, 1077, '654301', '阿拉哈克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4015,47.643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11539, 1077, '654301', '切尔克齐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1835,47.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11540, 1078, '654323', '喀拉玛盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.564,47.8814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11541, 1078, '654323', '阔克阿尕什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.6254,47.8464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11542, 1078, '654323', '阿尔达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5065,47.1276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11543, 1078, '654323', '福海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5109,47.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11544, 1078, '654323', '兵团一八八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3991,47.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11545, 1078, '654323', '兵团一八二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8584,46.6099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11546, 1078, '654323', '福海监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9448,46.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11547, 1078, '654323', '齐干吉迭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3612,47.3434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11548, 1078, '654323', '解特阿热勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5382,47.1138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11549, 1078, '654323', '地区一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7987,47.1436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11550, 1079, '652325', '兵团农六师北塔山牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8472,45.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11551, 1079, '652325', '老奇台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0275,43.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11552, 1079, '652325', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6394,43.9977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11553, 1079, '652325', '塔塔尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4291,44.0275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11554, 1079, '652325', '西地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7128,44.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11555, 1079, '652325', '奇台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5866,44.0322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11556, 1079, '652325', '五马场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8788,44.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11557, 1079, '652325', '碧流河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6492,43.9144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11558, 1079, '652325', '七户乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9395,43.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11559, 1079, '652325', '乔仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8968,44.0418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11560, 1079, '652325', '三个庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0414,43.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11561, 1079, '652325', '东湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2756,43.873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11562, 1079, '652325', '半截沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7314,44.0427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11563, 1079, '652325', '西北湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7089,44.0127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11564, 1079, '652325', '兵团奇台农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4383,43.9661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11565, 1079, '652325', '坎尔孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6977,43.9675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11566, 1079, '652325', '吉布库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5142,43.974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11567, 1080, '652324', '北五岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2488,44.5465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11568, 1080, '652324', '玛电工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1798,44.3097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11569, 1080, '652324', '兵团一四八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2845,44.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11570, 1080, '652324', '兵团农六师新湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2676,44.7392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11571, 1080, '652324', '乐土驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4913,44.3224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11572, 1080, '652324', '自治区林业厅玛纳斯平原林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3865,44.2335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11573, 1080, '652324', '新疆农科院玛纳斯试验站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2686,44.3225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11574, 1080, '652324', '兵团一四九团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1358,45.0782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11575, 1080, '652324', '清水河子哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7591,43.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11576, 1080, '652324', '玛纳斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2071,44.3069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11577, 1080, '652324', '广东地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3545,44.3285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11578, 1080, '652324', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1569,44.2854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11579, 1080, '652324', '六户地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8968,44.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11580, 1080, '652324', '兵团一四七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9211,44.705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11581, 1080, '652324', '兵团一五零团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8808,45.1461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11582, 1080, '652324', '塔西河哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3985,44.264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11583, 1080, '652324', '旱卡子滩哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.094,44.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11584, 1080, '652324', '包家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4325,44.212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11585, 1080, '652324', '兰州湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2073,44.3294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11586, 1080, '652324', '凉州户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1929,44.2747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11587, 1081, '652323', '二十里店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0927,44.241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11588, 1081, '652323', '石梯子哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4847,43.6255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11589, 1081, '652323', '五工台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6337,44.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11590, 1081, '652323', '干河子林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.5037,44.1687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11591, 1081, '652323', '呼图壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8652,44.1897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11592, 1081, '652323', '兵团一零五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1914,44.4981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11593, 1081, '652323', '大丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4892,44.3598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11594, 1081, '652323', '兵团一零六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4854,44.8942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11595, 1081, '652323', '县良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9255,44.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11596, 1081, '652323', '兵团芳草湖总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.4892,44.5769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11597, 1081, '652323', '雀尔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.435,44.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11598, 1081, '652323', '呼图壁种牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0158,44.4263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11599, 1081, '652323', '园户村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9068,44.1883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11600, 1082, '652328', '木垒县东城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0797,43.8007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11601, 1082, '652328', '木垒县西吉尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0424,43.729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11602, 1082, '652328', '白杨河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5033,43.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11603, 1082, '652328', '木垒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2727,43.838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11604, 1082, '652328', '良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3086,43.8489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11605, 1082, '652328', '博斯坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6672,43.5111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11606, 1082, '652328', '克热克库都克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.4085,43.8407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11607, 1082, '652328', '照壁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2183,43.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11608, 1082, '652328', '英格堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9982,43.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11609, 1082, '652328', '大石头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.1354,44.1813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11610, 1082, '652328', '大南沟乌孜别克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3522,43.9394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11611, 1082, '652328', '新户乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.4126,43.8388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11612, 1082, '652328', '雀仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0722,44.1926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11613, 1083, '652302', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9779,44.1172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11614, 1083, '652302', '准东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.961,44.1537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11615, 1083, '652302', '滋泥泉子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4573,44.2613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11616, 1083, '652302', '水磨沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9065,44.0405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11617, 1083, '652302', '兵团农六师土墩子农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3746,44.2939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11618, 1083, '652302', '九运街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0307,44.179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11619, 1083, '652302', '甘河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3493,44.0728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11620, 1083, '652302', '兵团二二二团农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9826,44.2123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11621, 1083, '652302', '博峰街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9975,44.1655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11622, 1083, '652302', '阜新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9819,44.1513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11623, 1083, '652302', '三工河哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0924,44.2164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11624, 1083, '652302', '兵团六运湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9845,44.212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11625, 1083, '652302', '上户沟哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2902,44.0331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11626, 1084, '652301', '榆树沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0902,44.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11627, 1084, '652301', '北京南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2888,43.9858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11628, 1084, '652301', '兵团共青团农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1659,44.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11629, 1084, '652301', '二六工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.149,44.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11630, 1084, '652301', '阿什里哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8548,43.2114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11631, 1084, '652301', '建国路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.258,43.97', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11632, 1084, '652301', '延安北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2836,44.0243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11633, 1084, '652301', '新疆昌吉国家农业科技园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.336,44.0313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11634, 1084, '652301', '兵团军户农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9807,43.9836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11635, 1084, '652301', '中山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3027,44.0412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11636, 1084, '652301', '六工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5096,44.0851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11637, 1084, '652301', '三工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2651,43.9047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11638, 1084, '652301', '昌吉市北部荒漠生态保护管理站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2561,44.4616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11639, 1084, '652301', '绿洲路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3673,44.0293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11640, 1084, '652301', '庙尔沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3069,44.463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11641, 1084, '652301', '宁边路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3223,44.0611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11642, 1084, '652301', '佃坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3129,44.1662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11643, 1084, '652301', '大西渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1953,44.3271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11644, 1084, '652301', '滨湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5233,44.23', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11645, 1084, '652301', '硫磺沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0721,43.5795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11646, 1085, '652327', '老台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7278,44.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11647, 1085, '652327', '新地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8527,43.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11648, 1085, '652327', '庆阳湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8613,43.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11649, 1085, '652327', '泉子街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1295,43.7587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11650, 1085, '652327', '吉木萨尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1585,44.052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11651, 1085, '652327', '北庭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1249,44.1305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11652, 1085, '652327', '大有镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0441,43.8498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11653, 1085, '652327', '二工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1528,44.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11654, 1085, '652327', '五彩湾工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4263,44.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11655, 1085, '652327', '兵团农六师红旗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8943,44.0863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11656, 1085, '652327', '三台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9419,44.1171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11657, 1100, '654003', '乌东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9173,44.4169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11658, 1100, '654003', '团结路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8882,44.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11659, 1100, '654003', '开干齐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2323,44.603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11660, 1100, '654003', '北京路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7945,44.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11661, 1100, '654003', '天北新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8934,44.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11662, 1100, '654003', '乌鲁木齐西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8724,44.427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11663, 1100, '654003', '火车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8529,44.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11664, 1100, '654003', '兵团一三一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8556,44.5275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11665, 1101, '654021', '萨地克于孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5247,43.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11666, 1101, '654021', '麻扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5698,44.4221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11667, 1101, '654021', '喀拉亚尕奇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2974,44.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11668, 1101, '654021', '温亚尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7358,43.8655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11669, 1101, '654021', '吐鲁番于孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.447,44.024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11670, 1101, '654021', '武功乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5774,43.9978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11671, 1101, '654021', '愉群翁回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5621,43.8836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11672, 1101, '654021', '巴依托海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.664,43.662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11673, 1101, '654021', '曲鲁海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7132,44.0247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11674, 1101, '654021', '胡地于孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5209,43.8908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11675, 1101, '654021', '墩麻扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8544,43.7949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11676, 1101, '654021', '吉里于孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5679,44.0032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11677, 1101, '654021', '阿乌利亚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6977,43.9336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11678, 1101, '654021', '英塔木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5794,43.7488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11679, 1101, '654021', '维吾尔玉其温乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8057,43.8029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11680, 1101, '654021', '青年农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6991,43.9244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11681, 1101, '654021', '兵团七十团中心团场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0526,43.6519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11682, 1101, '654021', '阿热吾斯塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4635,43.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11683, 1101, '654021', '萨木于孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0704,43.8325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11684, 1101, '654021', '多浪农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6177,43.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11685, 1101, '654021', '喀什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.1431,43.593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11686, 1102, '654025', '阿勒玛勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5043,43.0595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11687, 1102, '654025', '吐尔根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5122,43.6366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11688, 1102, '654025', '阿热勒托别镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7162,43.5921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11689, 1102, '654025', '别斯托别乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1774,43.4288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11690, 1102, '654025', '兵团七十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.4854,43.6892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11691, 1102, '654025', '那拉提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6481,43.1945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11692, 1102, '654025', '喀拉布拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6933,43.2874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11693, 1102, '654025', '兵团七十二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5952,43.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11694, 1102, '654025', '塔勒德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9181,43.2473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11695, 1102, '654025', '肖尔布拉克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9414,43.4939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11696, 1102, '654025', '坎苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9114,43.53', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11697, 1102, '654025', '则克台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.2008,43.6463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11698, 1102, '654025', '种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5213,43.5908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11699, 1102, '654025', '新源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.2582,43.4436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11700, 1102, '654025', '公安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.733,43.4374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11701, 1103, '654024', '牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2709,43.4884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11702, 1103, '654024', '巩留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2004,43.4877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11703, 1103, '654024', '东买里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2462,43.5024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11704, 1103, '654024', '提克阿热克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8298,43.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11705, 1103, '654024', '莫乎尔农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.7697,43.2536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11706, 1103, '654024', '林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6698,43.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11707, 1103, '654024', '吉尔格郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4694,43.1507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11708, 1103, '654024', '阿克吐别克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6032,43.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11709, 1103, '654024', '综合农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.159,43.469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11710, 1103, '654024', '良凡场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2186,43.524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11711, 1103, '654024', '兵团七十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0798,43.5908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11712, 1103, '654024', '阿尕尔森乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.3401,43.4011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11713, 1103, '654024', '阔什阿尕什羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.3265,43.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11714, 1103, '654024', '塔斯托别乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2106,43.4065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11715, 1103, '654024', '库尔德宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.246,43.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11716, 1104, '654028', '加哈乌拉斯台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6392,44.1259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11717, 1104, '654028', '苏布台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0675,44.0962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11718, 1104, '654028', '木斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.3173,43.7541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11719, 1104, '654028', '喀拉托别乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5855,43.73', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11720, 1104, '654028', '科克浩特浩尔蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.879,44.0574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11721, 1104, '654028', '乌拉斯台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0922,44.0919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11722, 1104, '654028', '种蜂场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.3957,43.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11723, 1104, '654028', '尼勒克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5658,43.8011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11724, 1104, '654028', '尼勒克马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4318,43.6598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11725, 1104, '654028', '喀拉苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.132,43.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11726, 1104, '654028', '兵团七十九团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.2047,43.7871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11727, 1104, '654028', '克令乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7019,43.7047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11728, 1104, '654028', '尼勒克乌赞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7057,43.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11729, 1104, '654028', '胡吉尔台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3255,43.6235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11730, 1105, '654027', '科克苏林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0049,43.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11731, 1105, '654027', '兵团七十八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.1378,42.4708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11732, 1105, '654027', '喀拉托海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4767,43.2938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11733, 1105, '654027', '特克斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.9122,43.3079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11734, 1105, '654027', '呼吉尔特蒙古民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0276,43.3277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11735, 1105, '654027', '特克斯军马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0922,43.3214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11736, 1105, '654027', '阔克苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.9368,43.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11737, 1105, '654027', '乔拉克铁热克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7888,42.5271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11738, 1105, '654027', '阔克铁热克柯尔克孜民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4918,42.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11739, 1105, '654027', '齐勒乌泽克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4708,43.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11740, 1105, '654027', '喀拉达拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.1732,43.3219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11741, 1106, '654026', '察汗乌苏蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7124,42.7408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11742, 1106, '654026', '洪纳海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0518,43.0385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11743, 1106, '654026', '胡松图喀尔逊蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4535,42.32', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11744, 1106, '654026', '兵团七十五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.6346,42.7147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11745, 1106, '654026', '兵团七十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5336,42.9386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11746, 1106, '654026', '昭苏马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.8379,43.1855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11747, 1106, '654026', '夏特柯尔克孜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4392,42.8026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11748, 1106, '654026', '乌尊布拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1434,43.174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11749, 1106, '654026', '昭苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1223,43.2296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11750, 1106, '654026', '喀夏加尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0223,42.9091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11751, 1106, '654026', '喀拉苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0639,42.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11752, 1106, '654026', '阿克达拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4881,42.9944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11753, 1106, '654026', '兵团七十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7886,43.2423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11754, 1106, '654026', '兵团七十四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4017,42.8356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11755, 1106, '654026', '天山西部林业局昭苏林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.8863,42.9073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11756, 1106, '654026', '萨尔阔布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3904,42.3545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11757, 1106, '654026', '种马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1161,43.2849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11758, 1107, '654022', '绰霍尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0091,43.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11759, 1107, '654022', '兵团六十八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1731,43.5239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11760, 1107, '654022', '堆齐牛录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9402,43.8999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11761, 1107, '654022', '兵团六十九团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5321,43.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11762, 1107, '654022', '阔洪奇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5083,43.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11763, 1107, '654022', '海努克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2579,43.5928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11764, 1107, '654022', '扎库齐牛录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3345,43.7699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11765, 1107, '654022', '纳达齐牛录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1776,43.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11766, 1107, '654022', '孙扎齐牛录镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2822,43.5351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11767, 1107, '654022', '加尕斯台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2489,43.5001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11768, 1107, '654022', '安班巴格良繁场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.191,43.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11769, 1107, '654022', '爱新色里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7463,43.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11770, 1107, '654022', '伊犁州平原林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2273,43.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11771, 1107, '654022', '察布查尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0868,43.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11772, 1107, '654022', '山区林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2464,43.4905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11773, 1107, '654022', '米粮泉回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4347,43.8236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11774, 1107, '654022', '琼博拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9703,43.5731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11775, 1107, '654022', '坎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4673,43.7318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11776, 1107, '654022', '兵团六十七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7779,43.3023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11777, 1108, '654023', '水定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.949,44.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11778, 1108, '654023', '芦草沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.931,44.5343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11779, 1108, '654023', '萨尔布拉克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3367,44.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11780, 1108, '654023', '兵团六十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7281,44.1638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11781, 1108, '654023', '煤炭局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.0487,43.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11782, 1108, '654023', '兰干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.8706,44.0527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11783, 1108, '654023', '良种繁育中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7359,44.0639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11784, 1108, '654023', '三道河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7426,44.0763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11785, 1108, '654023', '三宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.745,43.8956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11786, 1108, '654023', '惠远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9123,44.0133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11787, 1108, '654023', '清水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.955,44.3242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11788, 1108, '654023', '果子沟牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9567,44.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11789, 1108, '654023', '大西沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7814,44.5985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11790, 1109, '654004', '霍尔果斯口岸', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.401,44.1987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11791, 1109, '654004', '格干沟牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5355,44.1924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11792, 1109, '654004', '兵团六十二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.449,44.1574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11793, 1109, '654004', '伊车嘎善乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.6015,44.1783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11794, 1109, '654004', '兵团六十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1827,44.7908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11795, 1109, '654004', '大西沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.586,44.5455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11796, 1109, '654004', '莫乎尔牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5467,44.1955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11797, 1109, '654004', '兵团六十三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5225,44.1087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11798, 1110, '654002', '墩买里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2843,43.9102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11799, 1110, '654002', '伊犁州农业良种繁育中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3879,43.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11800, 1110, '654002', '萨依布依街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2894,43.9342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11801, 1110, '654002', '伊犁州奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2821,43.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11802, 1110, '654002', '喀尔墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3497,43.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11803, 1110, '654002', '伊宁市园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.438,43.9728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11804, 1110, '654002', '托格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4272,43.9101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11805, 1110, '654002', '伊犁河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2666,43.9076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11806, 1110, '654002', '英也尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1818,44.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11807, 1110, '654002', '汉宾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2888,43.9343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11808, 1110, '654002', '塔什科瑞克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3397,43.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11809, 1110, '654002', '潘津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3665,44.0427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11810, 1110, '654002', '喀赞其街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3264,43.9086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11811, 1110, '654002', '都来提巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3298,43.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11812, 1110, '654002', '伊宁市边境经济合作区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.2435,43.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11813, 1110, '654002', '巴彦岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.183,44.0292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11814, 1110, '654002', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3071,43.9439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11815, 1110, '654002', '琼科瑞克街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3415,43.9066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11816, 1110, '654002', '艾兰木巴格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.3659,43.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11817, 1110, '654002', '达达木图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.337,44.0206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11818, 1110, '654002', '克伯克圩孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4201,43.939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11819, 1130, '650421', '连木沁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9112,43.1344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11820, 1130, '650421', '南山矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8653,41.2794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11821, 1130, '650421', '鄯善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2767,42.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11822, 1130, '650421', '七克台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4284,42.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11823, 1130, '650421', '迪坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4096,42.4043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11824, 1130, '650421', '鲁克沁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.687,42.781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11825, 1130, '650421', '东巴扎回族民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2251,42.8597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11826, 1130, '650421', '吐峪沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5471,42.8133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11827, 1130, '650421', '辟展镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3286,43.1403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11828, 1130, '650421', '达浪坎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6856,42.6676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11829, 1130, '650421', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2792,42.9105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11830, 1130, '650421', '火车站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.66,43.51', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11831, 1131, '650422', '托克逊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.656,42.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11832, 1131, '650422', '库米什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4968,41.4708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11833, 1131, '650422', '郭勒布依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7493,42.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11834, 1131, '650422', '伊拉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6491,42.995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11835, 1131, '650422', '库加依镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7583,42.8615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11836, 1131, '650422', '博斯坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9071,42.6703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11837, 1131, '650422', '夏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9777,42.4345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11838, 1131, '650422', '阿乐惠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3454,43.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11839, 1132, '650402', '三堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4288,43.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11840, 1132, '650402', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3295,42.8387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11841, 1132, '650402', '高昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1853,42.9466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11842, 1132, '650402', '亚尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2222,43.0086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11843, 1132, '650402', '葡萄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2524,42.9267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11844, 1132, '650402', '七泉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4332,43.45', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11845, 1132, '650402', '红柳河园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9752,43.0455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11846, 1132, '650402', '大河沿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4936,43.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11847, 1132, '650402', '兵团二二一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9812,43.0453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11848, 1132, '650402', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1594,42.9446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11849, 1132, '650402', '二堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4998,42.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11850, 1132, '650402', '葡萄沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2237,43.0123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11851, 1132, '650402', '恰特喀勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9061,42.1066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11852, 1132, '650402', '胜金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9298,43.4537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11853, 1132, '650402', '艾丁湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.099,42.9111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11854, 1133, '653122', '疏勒南疆齐鲁工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9905,39.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11855, 1133, '653122', '塔孜洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0994,39.2325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11856, 1133, '653122', '塔合其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4205,39.3317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11857, 1133, '653122', '英阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4666,39.1239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11858, 1133, '653122', '兵团四十一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.054,39.3975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11859, 1133, '653122', '巴仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9989,39.4034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11860, 1133, '653122', '巴合齐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9905,39.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11861, 1133, '653122', '罕南力克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4747,39.2875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11862, 1133, '653122', '库木西力克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.2658,39.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11863, 1133, '653122', '牙甫泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.2064,39.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11864, 1133, '653122', '洋大曼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.2762,39.432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11865, 1133, '653122', '亚曼牙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.3727,39.4666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11866, 1133, '653122', '阿拉甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4064,39.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11867, 1133, '653122', '阿拉力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.264,39.0331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11868, 1133, '653122', '英尔力克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.2909,39.3303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11869, 1133, '653122', '艾尔木东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1209,39.1613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11870, 1133, '653122', '疏勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0106,39.4042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11871, 1134, '653127', '吐曼塔勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6819,39.1202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11872, 1134, '653127', '兵团四十五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.8397,39.046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11873, 1134, '653127', '尕孜库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5578,38.6998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11874, 1134, '653127', '克孜勒阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5539,38.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11875, 1134, '653127', '库木库萨尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6605,38.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11876, 1134, '653127', '麦盖提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6615,38.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11877, 1134, '653127', '五一林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.705,38.9193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11878, 1134, '653127', '兵团农三师前进水库管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.8021,38.9602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11879, 1134, '653127', '昂格特勒克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5813,38.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11880, 1134, '653127', '胡杨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.1655,39.3812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11881, 1134, '653127', '库尔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.9054,39.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11882, 1134, '653127', '兵团四十六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6827,38.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11883, 1134, '653127', '巴扎结米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.7365,38.8888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11884, 1134, '653127', '央塔克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.7099,39.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11885, 1134, '653127', '希依提墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4729,38.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11886, 1134, '653127', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.7387,38.9393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11887, 1135, '653125', '喀什监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4745,39.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11888, 1135, '653125', '莎车县良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4152,38.9079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11889, 1135, '653125', '白什坎特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4445,38.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11890, 1135, '653125', '荒地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3684,38.7412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11891, 1135, '653125', '孜热甫夏提塔吉克族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.0149,38.2836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11892, 1135, '653125', '阿拉买提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4648,38.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11893, 1135, '653125', '恰尔巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3429,38.3779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11894, 1135, '653125', '阿热勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3023,38.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11895, 1135, '653125', '巴格阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5168,38.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11896, 1135, '653125', '莎车县蚕种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2587,38.4447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11897, 1135, '653125', '阿瓦提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4368,38.6176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11898, 1135, '653125', '墩巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5219,38.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11899, 1135, '653125', '依盖尔其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3817,38.3579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11900, 1135, '653125', '阿扎特巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5207,38.7553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11901, 1135, '653125', '英阿瓦提管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.6525,38.5371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11902, 1135, '653125', '托木吾斯塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1752,38.3884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11903, 1135, '653125', '伊什库力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.136,38.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11904, 1135, '653125', '莎车县国营二林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1371,38.2053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11905, 1135, '653125', '亚喀艾日克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.0034,38.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11906, 1135, '653125', '阿尔斯兰巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1607,38.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11907, 1135, '653125', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1359,38.4139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11908, 1135, '653125', '莎车县鱼苗场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3462,38.5013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11909, 1135, '653125', '喀拉苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5009,38.3524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11910, 1135, '653125', '塔尕尔其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2551,38.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11911, 1135, '653125', '米夏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2537,38.4423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11912, 1135, '653125', '霍什拉甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5062,37.9723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11913, 1135, '653125', '英吾斯塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1907,38.3439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11914, 1135, '653125', '农科院莎车农业试验站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2196,38.4187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11915, 1135, '653125', '莎车县园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1214,38.3542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11916, 1135, '653125', '乌达力克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.0359,38.3979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11917, 1135, '653125', '艾力西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2753,38.642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11918, 1135, '653125', '达木斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.3805,37.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11919, 1135, '653125', '古勒巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2322,38.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11920, 1135, '653125', '阔什艾日克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2581,38.6531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11921, 1135, '653125', '莎车县第一林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.9772,38.3775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11922, 1135, '653125', '喀群乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5282,38.0317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11923, 1135, '653125', '莎车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2543,38.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11924, 1135, '653125', '拍克其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.0951,38.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11925, 1135, '653125', '恰热克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.9746,38.3786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11926, 1136, '653129', '巴仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7544,39.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11927, 1136, '653129', '玉代克力克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6261,39.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11928, 1136, '653129', '古勒鲁克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1371,39.7157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11929, 1136, '653129', '卧里托格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2881,39.7678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11930, 1136, '653129', '英买里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7881,39.4983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11931, 1136, '653129', '兵团伽师总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6214,39.7071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11932, 1136, '653129', '夏普吐勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5636,39.5456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11933, 1136, '653129', '西克尔库勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2777,39.7725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11934, 1136, '653129', '米夏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5471,39.425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11935, 1136, '653129', '克孜勒博依镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5604,39.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11936, 1136, '653129', '克孜勒苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.9449,39.7239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11937, 1136, '653129', '铁日木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.724,39.5005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11938, 1136, '653129', '和夏阿瓦提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.0513,39.657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11939, 1136, '653129', '江巴孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7612,39.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11940, 1137, '653131', '达布达尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.016,36.4617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11941, 1137, '653131', '瓦恰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.519,37.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11942, 1137, '653131', '麻扎尔种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.4521,37.1643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11943, 1137, '653131', '大同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7655,37.6251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11944, 1137, '653131', '塔合曼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.1193,37.8555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11945, 1137, '653131', '提孜那甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.0499,37.835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11946, 1137, '653131', '巴扎达什牧林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.3657,37.5994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11947, 1137, '653131', '塔什库尔干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.2478,37.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11948, 1137, '653131', '班迪尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.279,37.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11949, 1137, '653131', '塔什库尔干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.2324,37.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11950, 1137, '653131', '马尔洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.566,37.1589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11951, 1137, '653131', '科克亚尔柯尔克孜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.1217,37.9882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11952, 1137, '653131', '库科西鲁格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.5672,37.7955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11953, 1137, '653131', '塔吉克阿巴提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3096,39.0366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11954, 1138, '653126', '恰尔巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3849,37.9694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11955, 1138, '653126', '加依提勒克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5047,37.974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11956, 1138, '653126', '依提木孔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4076,37.9172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11957, 1138, '653126', '洛克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6004,37.9585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11958, 1138, '653126', '乌吉热克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3993,37.9691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11959, 1138, '653126', '巴仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4284,38.0263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11960, 1138, '653126', '喀格勒克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4731,37.8893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11961, 1138, '653126', '恰萨美其特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4067,37.8732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11962, 1138, '653126', '阿克塔什农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5342,37.9107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11963, 1138, '653126', '柯克亚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1581,37.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11964, 1138, '653126', '萨依巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2997,37.8784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11965, 1138, '653126', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3374,38.0061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11966, 1138, '653126', '兵团叶城牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3772,37.4444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11967, 1138, '653126', '叶城工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3437,37.4813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11968, 1138, '653126', '普萨牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.149,37.3196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11969, 1138, '653126', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.6207,37.9906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11970, 1138, '653126', '林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4691,37.8747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11971, 1138, '653126', '铁提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3906,37.8307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11972, 1138, '653126', '恰其库木管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5211,38.0779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11973, 1138, '653126', '宗朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3841,37.6431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11974, 1138, '653126', '依力克其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2202,37.9825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11975, 1138, '653126', '伯西热克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4871,37.796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11976, 1138, '653126', '乌夏巴什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1728,37.3058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11977, 1138, '653126', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4637,37.8782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11978, 1138, '653126', '夏合甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2582,37.9776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11979, 1138, '653126', '吐古其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4889,37.9835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11980, 1138, '653126', '棋盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7966,37.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11981, 1138, '653126', '江格勒斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5072,37.9809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11982, 1138, '653126', '西合休乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3316,35.5308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11983, 1139, '653124', '农场场部', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2472,38.0571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11984, 1139, '653124', '赛力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2693,38.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11985, 1139, '653124', '奎依巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2295,38.0933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11986, 1139, '653124', '图呼其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2037,38.0574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11987, 1139, '653124', '阿依库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1333,38.1497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11988, 1139, '653124', '泽普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2544,38.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11989, 1139, '653124', '布依鲁克塔吉克族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.153,38.0433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11990, 1139, '653124', '国营林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.98,38.0379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11991, 1139, '653124', '依肯苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3619,38.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11992, 1139, '653124', '泽普县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2697,38.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11993, 1139, '653124', '泽普县依玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4448,38.2898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11994, 1139, '653124', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1468,38.1139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11995, 1139, '653124', '奎依巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.9,37.984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11996, 1139, '653124', '古勒巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3881,38.2197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11997, 1139, '653124', '阿克塔木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.1497,38.1573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11998, 1139, '653124', '波斯喀木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.3064,38.2011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (11999, 1140, '653130', '三岔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.22,40.005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12000, 1140, '653130', '兵团四十八团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2495,39.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12001, 1140, '653130', '多来提巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.5792,39.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12002, 1140, '653130', '夏马勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2617,39.5041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12003, 1140, '653130', '阿瓦提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4543,39.2164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12004, 1140, '653130', '巴楚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.5367,39.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12005, 1140, '653130', '阿纳库勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.9332,39.6775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12006, 1140, '653130', '琼库恰克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.7496,39.5124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12007, 1140, '653130', '阿拉根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.1027,39.4124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12008, 1140, '653130', '恰尔巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.7029,39.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12009, 1140, '653130', '阿克萨克玛热勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.3118,39.6182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12010, 1140, '653130', '色力布亚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.145,39.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12011, 1140, '653130', '英吾斯坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.5193,39.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12012, 1141, '653121', '吾库萨克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.873,39.4257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12013, 1141, '653121', '县英艾力克大畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.898,39.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12014, 1141, '653121', '县园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7223,39.4159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12015, 1141, '653121', '县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9051,39.3549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12016, 1141, '653121', '兰干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9152,39.5184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12017, 1141, '653121', '萨依巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7436,39.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12018, 1141, '653121', '铁日木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.644,39.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12019, 1141, '653121', '乌帕尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.3087,39.3194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12020, 1141, '653121', '塔什米里克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.5807,39.0316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12021, 1141, '653121', '县种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7017,39.448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12022, 1141, '653121', '疏附广州工业城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7256,39.3254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12023, 1141, '653121', '县林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7158,39.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12024, 1141, '653121', '布拉克苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.902,39.2977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12025, 1141, '653121', '站敏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7911,39.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12026, 1141, '653121', '托克扎克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.8746,39.3615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12027, 1141, '653121', '木什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.6292,39.4279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12028, 1142, '653123', '乔勒潘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1423,38.9372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12029, 1142, '653123', '芒辛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1781,38.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12030, 1142, '653123', '色提力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1527,38.9926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12031, 1142, '653123', '英也尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.379,39.0215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12032, 1142, '653123', '托普鲁克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4029,38.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12033, 1142, '653123', '艾古斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.8492,38.9864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12034, 1142, '653123', '乌恰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1864,38.8569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12035, 1142, '653123', '城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1572,38.9345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12036, 1142, '653123', '英吉沙工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.2115,38.9626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12037, 1142, '653123', '依格孜也尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1101,38.6935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12038, 1142, '653123', '龙甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.8795,39.0135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12039, 1142, '653123', '苏盖提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1131,38.8247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12040, 1142, '653123', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1449,38.939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12041, 1142, '653123', '克孜勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4786,38.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12042, 1142, '653123', '萨罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.3124,38.8714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12043, 1142, '653123', '兵团东风农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1815,38.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12044, 1143, '653101', '乃则尔巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9864,39.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12045, 1143, '653101', '多来特巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0132,39.4717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12046, 1143, '653101', '阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1172,39.5198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12047, 1143, '653101', '伯什克然木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9821,39.6119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12048, 1143, '653101', '夏马勒巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9522,39.4941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12049, 1143, '653101', '浩罕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0995,39.5462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12050, 1143, '653101', '阿克喀什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.473,39.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12051, 1143, '653101', '亚瓦格街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9876,39.4819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12052, 1143, '653101', '英吾斯坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.259,39.5128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12053, 1143, '653101', '色满乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9113,39.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12054, 1143, '653101', '荒地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9414,39.4949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12055, 1143, '653101', '帕哈太克里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.8633,39.441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12056, 1143, '653101', '库木德尔瓦扎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.022,39.4193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12057, 1143, '653101', '恰萨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0155,39.4822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12058, 1143, '653101', '吾斯塘博依街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9708,39.4593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12059, 1143, '653101', '西域大道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9655,39.4677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12060, 1143, '653101', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0159,39.467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12061, 1144, '653128', '色也克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.6814,39.2751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12062, 1144, '653128', '艾西曼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4835,39.2475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12063, 1144, '653128', '岳普湖县大畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.9442,39.1435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12064, 1144, '653128', '阿洪鲁库木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.2702,39.3013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12065, 1144, '653128', '岳普湖县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.0059,39.1509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12066, 1144, '653128', '兵团四十二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.208,39.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12067, 1144, '653128', '岳普湖县奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7775,39.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12068, 1144, '653128', '岳普湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.803,39.227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12069, 1144, '653128', '岳普湖县林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7534,39.199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12070, 1144, '653128', '也克先拜巴扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5324,39.2751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12071, 1144, '653128', '岳普湖县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.6821,39.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12072, 1144, '653128', '岳普湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7733,39.2487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12073, 1144, '653128', '铁热木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.9506,39.1877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12074, 1144, '653128', '阿其克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.6835,39.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12075, 1144, '653128', '巴依阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.4017,39.1221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12076, 1145, '650502', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5642,42.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12077, 1145, '650502', '三道岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4178,43.0964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12078, 1145, '650502', '兵团柳树泉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.5352,43.2576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12079, 1145, '650502', '乌拉台哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.0814,42.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12080, 1145, '650502', '沁城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.078,42.6073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12081, 1145, '650502', '柳树沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4147,43.4875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12082, 1145, '650502', '丽园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.4704,42.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12083, 1145, '650502', '西戈壁农业综合开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3727,42.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12084, 1145, '650502', '陶家宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6838,42.797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12085, 1145, '650502', '白石头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6876,42.7804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12086, 1145, '650502', '兵团红星四场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.0686,42.5299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12087, 1145, '650502', '天山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.445,42.7908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12088, 1145, '650502', '七角井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1735,43.4809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12089, 1145, '650502', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6401,42.6844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12090, 1145, '650502', '伊吾县山南开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6946,42.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12091, 1145, '650502', '二堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0179,42.8978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12092, 1145, '650502', '兵团红星一场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5463,42.8074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12093, 1145, '650502', '五堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8465,41.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12094, 1145, '650502', '兵团火箭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5426,42.8539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12095, 1145, '650502', '石油新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.4963,42.8821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12096, 1145, '650502', '雅满苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5458,40.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12097, 1145, '650502', '西山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3482,42.917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12098, 1145, '650502', '德外里都如克哈萨克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.091,42.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12099, 1145, '650502', '哈密伊吾马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6944,43.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12100, 1145, '650502', '哈密工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.2343,42.523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12101, 1145, '650502', '巴里坤县山南开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6824,42.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12102, 1145, '650502', '双井子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9474,42.3815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12103, 1145, '650502', '兵团红星二场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2314,42.963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12104, 1145, '650502', '南湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7316,41.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12105, 1145, '650502', '回城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.4926,42.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12106, 1145, '650502', '西河区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5229,42.8353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12107, 1145, '650502', '东河区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5496,42.8637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12108, 1145, '650502', '大泉湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1076,42.5972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12109, 1145, '650502', '兵团黄田农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.2759,43.0815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12110, 1145, '650502', '星星峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3205,41.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12111, 1146, '650521', '良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2382,43.6337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12112, 1146, '650521', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0055,43.6248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12113, 1146, '650521', '博尔羌吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4995,44.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12114, 1146, '650521', '奎苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3952,43.5808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12115, 1146, '650521', '下涝坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.372,43.7036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12116, 1146, '650521', '大红柳峡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0063,43.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12117, 1146, '650521', '三塘湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2533,43.8424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12118, 1146, '650521', '萨尔乔克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7358,43.7326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12119, 1146, '650521', '黄土场开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.6188,43.6532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12120, 1146, '650521', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2848,43.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12121, 1146, '650521', '石人子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.237,43.6342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12122, 1146, '650521', '八墙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.426,43.8997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12123, 1146, '650521', '海子沿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7858,43.4915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12124, 1146, '650521', '兵团红山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0423,43.5998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12125, 1146, '650521', '巴里坤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0231,43.5948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12126, 1147, '650522', '淖毛湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0169,43.6813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12127, 1147, '650522', '兵团淖毛湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0218,43.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12128, 1147, '650522', '前山哈萨克民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.7018,43.6145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12129, 1147, '650522', '盐池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1992,43.2465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12130, 1147, '650522', '伊吾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6883,43.255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12131, 1147, '650522', '苇子峡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8112,43.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12132, 1147, '650522', '下马崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3299,42.9982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12133, 1147, '650522', '吐葫芦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6624,42.9845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12134, 1158, '653024', '吾合沙鲁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '74.0161,39.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12135, 1158, '653024', '巴音库鲁提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.604,39.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12136, 1158, '653024', '膘尔托阔依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '74.1933,39.2824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12137, 1158, '653024', '波斯坦铁列克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '74.9863,38.9619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12138, 1158, '653024', '乌鲁克恰提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '74.524,40.2043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12139, 1158, '653024', '吉根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '73.9507,40.013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12140, 1158, '653024', '兵团托云牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.6055,39.8202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12141, 1158, '653024', '铁列克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9133,40.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12142, 1158, '653024', '乌恰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.1879,39.7364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12143, 1158, '653024', '黑孜韦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.0106,39.7159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12144, 1158, '653024', '康苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.0101,39.7588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12145, 1158, '653024', '托云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.2597,40.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12146, 1159, '653001', '哈拉峻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.2865,40.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12147, 1159, '653001', '阿扎克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.077,39.6798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12148, 1159, '653001', '松他克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1615,39.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12149, 1159, '653001', '光明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1723,39.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12150, 1159, '653001', '幸福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0787,39.6772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12151, 1159, '653001', '格达良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4231,39.8031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12152, 1159, '653001', '兵团农三师红旗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.5381,39.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12153, 1159, '653001', '阿湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0568,39.8485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12154, 1159, '653001', '上阿图什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9557,39.6423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12155, 1159, '653001', '吐古买提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0219,40.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12156, 1160, '653023', '库兰萨日克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.1504,41.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12157, 1160, '653023', '哈拉布拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.7988,40.9601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12158, 1160, '653023', '哈拉奇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '77.8075,40.4181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12159, 1160, '653023', '色帕巴依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.5674,40.9295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12160, 1160, '653023', '苏木塔什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.1554,40.5514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12161, 1160, '653023', '阿合奇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.3638,40.4888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12162, 1161, '653022', '塔尔塔吉克族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1114,39.2306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12163, 1161, '653022', '布伦口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '74.8584,38.3934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12164, 1161, '653022', '喀热克其克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7178,39.302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12165, 1161, '653022', '巴仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.7144,38.9736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12166, 1161, '653022', '玉麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9061,39.0271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12167, 1161, '653022', '苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.937,39.1643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12168, 1161, '653022', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.899,39.1532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12169, 1161, '653022', '阿克达拉牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.3948,38.1141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12170, 1161, '653022', '克孜勒苏柯尔克孜自治州林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.2086,38.8796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12171, 1161, '653022', '克孜勒陶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.1509,38.6234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12172, 1161, '653022', '皮拉勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9312,39.1899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12173, 1161, '653022', '木吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '73.9996,39.3636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12174, 1161, '653022', '加马铁热克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.0253,39.176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12175, 1161, '653022', '托尔塔依农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.9348,39.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12176, 1161, '653022', '库斯拉甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '76.4127,37.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12177, 1161, '653022', '恰尔隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.4302,37.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12178, 1161, '653022', '阿克陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.935,39.1648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12179, 1161, '653022', '奥依塔克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '75.3539,39.1289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12180, 1162, '652922', '依希来木其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4641,41.3324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12181, 1162, '652922', '克孜勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4839,41.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12182, 1162, '652922', '博孜墩柯尔克孜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4007,42.0435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12183, 1162, '652922', '兵团六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4024,41.0429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12184, 1162, '652922', '阿热勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.669,41.2625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12185, 1162, '652922', '托乎拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1001,41.3431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12186, 1162, '652922', '水稻原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2056,41.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12187, 1162, '652922', '木本粮油林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.243,41.2906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12188, 1162, '652922', '古勒阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.6222,41.1412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12189, 1162, '652922', '恰其力克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7453,41.1244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12190, 1162, '652922', '博孜墩牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2624,42.0978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12191, 1162, '652922', '佳木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7556,41.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12192, 1162, '652922', '吉格代牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8918,41.3792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12193, 1162, '652922', '恰格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.845,41.2276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12194, 1162, '652922', '共青团农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.657,41.2861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12195, 1162, '652922', '塔格拉克牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2813,42.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12196, 1162, '652922', '萨瓦甫齐牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5956,41.8458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12197, 1162, '652922', '兵团五团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.7348,41.2893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12198, 1162, '652922', '清泉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9118,41.1854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12199, 1162, '652922', '吐木秀克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1593,41.4666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12200, 1162, '652922', '佳木林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5188,41.2511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12201, 1162, '652922', '青年农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.5227,41.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12202, 1162, '652922', '温宿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.0937,41.28', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12203, 1162, '652922', '水稻农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1169,41.2516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12204, 1163, '652901', '兵团农一师沙井子水利管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.727,40.5003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12205, 1163, '652901', '拜什吐格曼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3325,41.0366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12206, 1163, '652901', '依干其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2634,41.1296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12207, 1163, '652901', '红桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.199,41.1727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12208, 1163, '652901', '兵团二团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7735,40.6481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12209, 1163, '652901', '红旗坡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3411,41.2837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12210, 1163, '652901', '纺织工业城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3957,41.0531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12211, 1163, '652901', '经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1643,41.101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12212, 1163, '652901', '库木巴希乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2223,40.8694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12213, 1163, '652901', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2931,41.0791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12214, 1163, '652901', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2912,41.1844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12215, 1163, '652901', '托普鲁克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2469,41.0283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12216, 1163, '652901', '实验林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3058,41.1603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12217, 1163, '652901', '喀勒塔勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7539,39.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12218, 1163, '652901', '西工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2108,41.0681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12219, 1163, '652901', '阿依库勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1894,40.925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12220, 1163, '652901', '特色产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3127,41.2333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12221, 1163, '652901', '兵团一团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.0619,40.6878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12222, 1163, '652901', '栏杆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2563,41.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12223, 1163, '652901', '英巴扎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2232,41.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12224, 1163, '652901', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2864,41.1568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12225, 1163, '652901', '柯柯牙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3514,41.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12226, 1164, '652902', '比西巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8533,41.6938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12227, 1164, '652902', '热斯坦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9191,41.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12228, 1164, '652902', '依西哈拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0157,41.7663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12229, 1164, '652902', '草湖牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.62,41.3238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12230, 1164, '652902', '齐满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8628,41.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12231, 1164, '652902', '二八台农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9642,41.8091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12232, 1164, '652902', '库车监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0462,41.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12233, 1164, '652902', '水电二处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8228,41.6883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12234, 1164, '652902', '哈尼喀塔木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1389,41.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12235, 1164, '652902', '库车种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.9068,41.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12236, 1164, '652902', '牙哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.7093,42.0499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12237, 1164, '652902', '玉奇吾斯塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6567,41.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12238, 1164, '652902', '阿拉哈格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.7858,41.5771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12239, 1164, '652902', '良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9374,41.6826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12240, 1164, '652902', '库孜翁牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1064,42.1455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12241, 1164, '652902', '萨克萨克街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9319,41.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12242, 1164, '652902', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0042,41.7237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12243, 1164, '652902', '克其力克农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0228,41.6105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12244, 1164, '652902', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9659,41.7021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12245, 1164, '652902', '乌恰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9538,41.7225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12246, 1164, '652902', '乌尊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0573,41.6194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12247, 1164, '652902', '墩阔坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0916,41.4765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12248, 1164, '652902', '阿克吾斯塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.2681,41.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12249, 1164, '652902', '雅克拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5942,42.5015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12250, 1164, '652902', '阿格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1155,42.1487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12251, 1164, '652902', '塔里木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6733,41.0745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12252, 1165, '652924', '央塔克协海尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6142,41.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12253, 1165, '652924', '盖孜库木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2548,40.8707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12254, 1165, '652924', '沙雅监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6157,41.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12255, 1165, '652924', '古勒巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.9053,41.0939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12256, 1165, '652924', '努尔巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.8816,41.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12257, 1165, '652924', '新垦农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.1085,41.0959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12258, 1165, '652924', '一牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6749,41.0023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12259, 1165, '652924', '沙雅县工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.7419,41.1801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12260, 1165, '652924', '沙雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.7467,41.2451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12261, 1165, '652924', '二牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8524,40.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12262, 1165, '652924', '沙雅县哈德墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.0055,40.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12263, 1165, '652924', '托依堡勒迪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6845,41.0731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12264, 1165, '652924', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.055,41.2292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12265, 1165, '652924', '海楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.7452,41.3014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12266, 1165, '652924', '英买力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.6824,41.4069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12267, 1165, '652924', '塔里木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.144,40.9219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12268, 1166, '652926', '布隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4554,41.9677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12269, 1166, '652926', '拜城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7029,41.8251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12270, 1166, '652926', '米吉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.959,42.3487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12271, 1166, '652926', '康其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8963,41.7972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12272, 1166, '652926', '赛里木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.0349,42.4236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12273, 1166, '652926', '察尔其镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5144,41.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12274, 1166, '652926', '黑英山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2069,42.3172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12275, 1166, '652926', '种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5727,42.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12276, 1166, '652926', '亚吐尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8503,42.2908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12277, 1166, '652926', '大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6339,41.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12278, 1166, '652926', '老虎台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1553,42.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12279, 1166, '652926', '铁热克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5957,42.1225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12280, 1166, '652926', '托克逊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.1887,42.3989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12281, 1166, '652926', '克孜尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.316,42.1388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12282, 1166, '652926', '温巴什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.5631,42.1118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12283, 1166, '652926', '大宛其农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.4385,41.9941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12284, 1167, '652929', '盖孜力克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.0571,40.09', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12285, 1167, '652929', '启浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.7374,40.1467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12286, 1167, '652929', '阿恰勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.3233,40.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12287, 1167, '652929', '玉尔其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.9298,40.897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12288, 1167, '652929', '柯坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.0269,40.5021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12289, 1168, '652925', '玉奇喀特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.3194,41.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12290, 1168, '652925', '渭干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5945,41.6319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12291, 1168, '652925', '依其艾日克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5996,41.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12292, 1168, '652925', '新和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5993,41.5621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12293, 1168, '652925', '尤鲁都斯巴格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5898,41.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12294, 1168, '652925', '塔什艾日克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4174,41.3042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12295, 1168, '652925', '新和县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5625,41.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12296, 1168, '652925', '桑塔木农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.194,41.1025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12297, 1168, '652925', '排先拜巴扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5958,41.5375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12298, 1168, '652925', '塔木托格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4183,41.3417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12299, 1169, '652928', '塔木托格拉克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2279,40.7717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12300, 1169, '652928', '阿瓦提镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3727,40.6375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12301, 1169, '652928', '博斯坦牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3947,40.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12302, 1169, '652928', '巴格托格拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4619,40.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12303, 1169, '652928', '多浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2975,40.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12304, 1169, '652928', '英艾日克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.0696,40.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12305, 1169, '652928', '天丰种业有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.1692,40.4961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12306, 1169, '652928', '阿依巴格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.3549,40.6362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12307, 1169, '652928', '新疆鲁泰棉业有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4517,40.4148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12308, 1169, '652928', '阿克苏监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.6951,40.4833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12309, 1169, '652928', '拜什艾日克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2371,40.7769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12310, 1169, '652928', '新疆华孚恒丰有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.2946,40.7519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12311, 1169, '652928', '兵团三团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8213,40.4709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12312, 1169, '652928', '乌鲁却勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.6567,40.4088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12313, 1170, '652927', '英阿瓦提乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5779,41.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12314, 1170, '652927', '阿克托海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.2556,41.2223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12315, 1170, '652927', '依麻木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.2776,41.3057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12316, 1170, '652927', '奥特贝希乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.8717,40.9926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12317, 1170, '652927', '兵团四团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.6959,41.5494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12318, 1170, '652927', '阿恰塔格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.0096,41.0535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12319, 1170, '652927', '亚曼苏柯尔克孜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.4047,41.3921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12320, 1170, '652927', '亚科瑞克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.3525,41.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12321, 1170, '652927', '阿合雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.5398,40.7524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12322, 1170, '652927', '乌什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.2195,41.2', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12323, 1171, '650204', '中兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.1454,45.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12324, 1171, '650204', '三平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2486,45.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12325, 1172, '650203', '昆仑路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9367,45.5102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12326, 1172, '650203', '农业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8356,45.4199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12327, 1172, '650203', '天山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.7752,45.5874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12328, 1172, '650203', '银河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8598,45.6363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12329, 1172, '650203', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9177,45.6229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12330, 1172, '650203', '兵团一三六团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9326,45.5085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12331, 1172, '650203', '金龙镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9763,45.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12332, 1172, '650203', '小拐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6515,45.3967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12333, 1173, '650205', '乌尔禾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.828,45.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12334, 1173, '650205', '柳树街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2631,45.9299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12335, 1173, '650205', '兵团一三七团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6353,46.1025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12336, 1174, '650202', '西宁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.938,44.2344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12337, 1174, '650202', '金山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.784,44.2103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12338, 1174, '650202', '新北区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9968,44.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12339, 1179, '210727', '义州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.245,41.5495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12340, 1179, '210727', '前杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.224,41.5191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12341, 1179, '210727', '稍户营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.682,41.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12342, 1179, '210727', '聚粮屯满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.29,41.5218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12343, 1179, '210727', '头台满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.172,41.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12344, 1179, '210727', '高台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.236,41.7671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12345, 1179, '210727', '大榆树堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.412,41.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12346, 1179, '210727', '地藏寺满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.879,41.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12347, 1179, '210727', '七里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.171,41.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12348, 1179, '210727', '白庙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.415,41.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12349, 1179, '210727', '张家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.529,41.4798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12350, 1179, '210727', '头道河满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.048,41.6198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12351, 1179, '210727', '留龙沟满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.974,41.3969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12352, 1179, '210727', '九道岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.273,41.5908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12353, 1179, '210727', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.151,41.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12354, 1179, '210727', '大定堡满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.189,41.4159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12355, 1179, '210727', '瓦子峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.474,41.6939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12356, 1179, '210727', '刘龙台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.004,41.4498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12357, 1180, '210726', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.317,41.6546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12358, 1180, '210726', '励家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.293,41.7759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12359, 1180, '210726', '四家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.335,41.5921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12360, 1180, '210726', '半拉门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.517,41.9312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12361, 1180, '210726', '白厂门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.916,41.8584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12362, 1180, '210726', '大虎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.139,41.6159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12363, 1180, '210726', '新立屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.16,42.03', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12364, 1180, '210726', '姜屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.4,41.7506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12365, 1180, '210726', '胡家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.198,41.8384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12366, 1180, '210726', '常兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.332,41.6021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12367, 1180, '210726', '辽宁省锦州市小东种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.454,42.0562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12368, 1180, '210726', '薛屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.227,41.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12369, 1180, '210726', '黑山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.095,41.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12370, 1180, '210726', '绕阳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.341,41.8499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12371, 1180, '210726', '八道壕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.968,41.7939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12372, 1180, '210726', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.038,41.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12373, 1180, '210726', '段家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.024,41.5758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12374, 1180, '210726', '镇安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.149,41.7476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12375, 1180, '210726', '芳山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.996,41.9287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12376, 1180, '210726', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.516,41.6321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12377, 1180, '210726', '无梁殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.235,41.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12378, 1180, '210726', '英城子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.245,42.0567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12379, 1181, '210781', '石山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.55,41.3205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12380, 1181, '210781', '余积镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.245,41.2855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12381, 1181, '210781', '双羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.255,41.1318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12382, 1181, '210781', '新庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.367,41.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12383, 1181, '210781', '金城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.409,41.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12384, 1181, '210781', '温滴楼满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.07,41.2983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12385, 1181, '210781', '大凌河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.364,41.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12386, 1181, '210781', '右卫满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.446,41.131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12387, 1181, '210781', '三台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.647,41.3605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12388, 1181, '210781', '安屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.719,41.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12389, 1181, '210781', '谢屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.469,41.2111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12390, 1181, '210781', '沈家台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.792,41.396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12391, 1181, '210781', '班吉塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.764,41.1957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12392, 1181, '210781', '白台子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.356,41.2843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12393, 1181, '210781', '西八千镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.598,40.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12394, 1181, '210781', '大业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.215,41.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12395, 1181, '210781', '大有农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.333,40.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12396, 1181, '210781', '板石沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.86,41.145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12397, 1181, '210781', '辽宁省金城原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.363,41.2357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12398, 1181, '210781', '翠岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.003,41.2939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12399, 1181, '210781', '阎家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.554,41.0672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12400, 1182, '210711', '杏山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.035,40.9403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12401, 1182, '210711', '大薛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.253,41.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12402, 1182, '210711', '王家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.099,40.8369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12403, 1182, '210711', '凌西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.096,41.1148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12404, 1182, '210711', '凌南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.11,41.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12405, 1182, '210711', '太和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.099,41.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12406, 1182, '210711', '营盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.178,41.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12407, 1182, '210711', '娘娘宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.259,41.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12408, 1182, '210711', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.271,41.2539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12409, 1182, '210711', '天桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.082,40.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12410, 1182, '210711', '新民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.098,41.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12411, 1182, '210711', '锦州市果树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.139,41.0839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12412, 1182, '210711', '建业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.246,41.0352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12413, 1182, '210711', '汤河子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.012,41.0606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12414, 1182, '210711', '松山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.016,40.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12415, 1182, '210711', '女儿河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.023,41.0933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12416, 1183, '210782', '中安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.027,41.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12417, 1183, '210782', '赵屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.883,41.3802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12418, 1183, '210782', '廖屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.767,41.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12419, 1183, '210782', '大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.859,41.5598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12420, 1183, '210782', '北镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.798,41.608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12421, 1183, '210782', '高山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.056,41.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12422, 1183, '210782', '鲍家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.661,41.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12423, 1183, '210782', '常兴店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.612,41.4863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12424, 1183, '210782', '大市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.726,41.7739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12425, 1183, '210782', '观音阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.727,41.59', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12426, 1183, '210782', '辽宁省北镇市高山子监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.111,41.4062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12427, 1183, '210782', '罗罗堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.702,41.5961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12428, 1183, '210782', '青堆子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.905,41.4428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12429, 1183, '210782', '富屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.703,41.7087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12430, 1183, '210782', '吴家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.945,41.4724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12431, 1183, '210782', '广宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.845,41.56', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12432, 1183, '210782', '正安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.895,41.791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12433, 1183, '210782', '闾阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.647,41.3622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12434, 1183, '210782', '新立农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.076,41.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12435, 1183, '210782', '沟帮子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.735,41.3791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12436, 1183, '210782', '柳家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.085,41.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12437, 1184, '210703', '马家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.168,41.1322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12438, 1184, '210703', '铁新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.156,41.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12439, 1184, '210703', '石桥子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.132,41.1487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12440, 1184, '210703', '正大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.132,41.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12441, 1184, '210703', '锦州北山农工商总公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.164,41.1318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12442, 1184, '210703', '紫荆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.176,41.1321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12443, 1184, '210703', '榴花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.162,41.1225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12444, 1184, '210703', '凌安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.147,41.1011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12445, 1184, '210703', '锦铁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.138,41.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12446, 1184, '210703', '龙江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.147,41.1087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12447, 1184, '210703', '菊园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.166,41.0954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12448, 1184, '210703', '康宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.152,41.1359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12449, 1185, '210702', '钟屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.117,41.1437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12450, 1185, '210702', '保安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.121,41.122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12451, 1185, '210702', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.126,41.1158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12452, 1185, '210702', '敬业街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.121,41.1426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12453, 1185, '210702', '饶阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.131,41.1118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12454, 1185, '210702', '石油街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.083,41.1382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12455, 1185, '210702', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.115,41.1079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12456, 1185, '210702', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.14,41.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12457, 1185, '210702', '天安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.124,41.1266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12458, 1185, '210702', '士英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.115,41.1441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12459, 1186, '210212', '旅顺经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.127,38.8773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12460, 1186, '210212', '龙头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.314,38.8893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12461, 1186, '210212', '龙头分园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.299,38.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12462, 1186, '210212', '铁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.165,38.8122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12463, 1186, '210212', '双岛湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.038,38.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12464, 1186, '210212', '光荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.227,38.8225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12465, 1186, '210212', '得胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.273,38.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12466, 1186, '210212', '三涧堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.251,38.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12467, 1186, '210212', '龙王塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.443,38.8774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12468, 1186, '210212', '大连奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.379,38.9201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12469, 1186, '210212', '市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.273,38.8126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12470, 1186, '210212', '登峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.264,38.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12471, 1186, '210212', '长城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.314,38.8874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12472, 1186, '210212', '北海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.202,38.8943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12473, 1186, '210212', '水师营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.207,38.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12474, 1187, '210213', '杏树街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.284,39.2804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12475, 1187, '210213', '马桥子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.79,39.0769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12476, 1187, '210213', '金石滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.034,39.0329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12477, 1187, '210213', '大窑湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.844,39.0157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12478, 1187, '210213', '大李家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.187,39.1657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12479, 1187, '210213', '登沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.015,39.2326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12480, 1187, '210213', '二十里堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.865,39.1884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12481, 1187, '210213', '中长街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.764,39.11', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12482, 1187, '210213', '先进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.75,39.1032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12483, 1187, '210213', '炮台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.904,39.4261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12484, 1187, '210213', '董家沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.835,39.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12485, 1187, '210213', '石河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.818,39.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12486, 1187, '210213', '得胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.944,39.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12487, 1187, '210213', '大孤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.795,39.0329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12488, 1187, '210213', '湾里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.849,39.109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12489, 1187, '210213', '亮甲店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.958,39.2363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12490, 1187, '210213', '华家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.989,39.3276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12491, 1187, '210213', '七顶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.499,39.2422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12492, 1187, '210213', '复州湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.666,39.483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12493, 1187, '210213', '向应街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.968,39.2858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12494, 1187, '210213', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.727,39.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12495, 1187, '210213', '三十里堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.823,39.2978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12496, 1187, '210213', '大魏家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.588,39.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12497, 1187, '210213', '海青岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.814,39.0536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12498, 1187, '210213', '拥政街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.734,39.1679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12499, 1187, '210213', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.709,39.089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12500, 1187, '210213', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.712,39.1614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12501, 1188, '210281', '谢屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.447,39.5069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12502, 1188, '210281', '元台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.147,39.6302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12503, 1188, '210281', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.815,39.8795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12504, 1188, '210281', '阎店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.808,39.7989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12505, 1188, '210281', '赵屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.019,39.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12506, 1188, '210281', '松树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.133,39.8964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12507, 1188, '210281', '共济街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.982,39.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12508, 1188, '210281', '许屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.14,40.0306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12509, 1188, '210281', '得利寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.14,39.7973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12510, 1188, '210281', '驼山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.599,39.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12511, 1188, '210281', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.793,39.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12512, 1188, '210281', '瓦窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.14,39.749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12513, 1188, '210281', '泡崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.751,39.5481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12514, 1188, '210281', '交流岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.406,39.362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12515, 1188, '210281', '长兴岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.446,39.655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12516, 1188, '210281', '李官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.987,40.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12517, 1188, '210281', '土城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.952,40.0174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12518, 1188, '210281', '仙浴湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.517,39.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12519, 1188, '210281', '西杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.66,39.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12520, 1188, '210281', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.998,39.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12521, 1188, '210281', '文兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.989,39.6324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12522, 1188, '210281', '祝华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.962,39.6449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12523, 1188, '210281', '复州城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.734,39.7905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12524, 1188, '210281', '万家岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.111,40.009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12525, 1188, '210281', '红沿河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.468,39.8004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12526, 1188, '210281', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.01,39.6401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12527, 1188, '210281', '杨家满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.742,39.6958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12528, 1188, '210281', '岗店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.963,39.527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12529, 1188, '210281', '太阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.817,39.7952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12530, 1188, '210281', '三台满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.547,39.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12531, 1188, '210281', '岭东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.02,39.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12532, 1188, '210281', '老虎屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.798,39.6447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12533, 1189, '210224', '海洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.222,39.0401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12534, 1189, '210224', '獐子岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.825,39.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12535, 1189, '210224', '广鹿岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.418,39.198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12536, 1189, '210224', '小长山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.013,39.2718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12537, 1189, '210224', '大长山岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.719,39.2769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12538, 1190, '210211', '营城子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.19,39.0915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12539, 1190, '210211', '南关岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.563,39.0143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12540, 1190, '210211', '大连华侨果树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.399,38.9841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12541, 1190, '210211', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.57,38.9983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12542, 1190, '210211', '辛寨子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.452,38.985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12543, 1190, '210211', '凌水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.543,38.8221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12544, 1190, '210211', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.566,38.9725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12545, 1190, '210211', '周水子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.599,38.9589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12546, 1190, '210211', '机场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.527,38.9655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12547, 1190, '210211', '甘井子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.603,38.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12548, 1190, '210211', '泡崖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.537,38.9889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12549, 1190, '210211', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.378,38.9215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12550, 1190, '210211', '泉水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.637,39.0102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12551, 1190, '210211', '椒金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.588,38.9737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12552, 1190, '210211', '革镇堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.483,38.9978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12553, 1190, '210211', '大连湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.65,39.0825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12554, 1191, '210214', '乐甲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.222,39.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12555, 1191, '210214', '大谭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.105,39.5441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12556, 1191, '210214', '墨盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.561,39.7152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12557, 1191, '210214', '大刘家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.163,39.3224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12558, 1191, '210214', '沙包街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.137,39.6741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12559, 1191, '210214', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.916,39.4408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12560, 1191, '210214', '莲山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.235,39.6247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12561, 1191, '210214', '同益乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.295,39.9742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12562, 1191, '210214', '城子坦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.479,39.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12563, 1191, '210214', '皮口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.431,39.3978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12564, 1191, '210214', '丰荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.985,39.3837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12565, 1191, '210214', '安波街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.384,39.9696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12566, 1191, '210214', '星台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.321,39.6715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12567, 1191, '210214', '双塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.419,39.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12568, 1191, '210214', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.957,39.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12569, 1191, '210214', '四平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.115,39.7925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12570, 1191, '210214', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.067,39.3301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12571, 1191, '210214', '唐家房街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.266,39.493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12572, 1191, '210214', '杨树房街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.297,39.3897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12573, 1192, '210283', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.106,39.4375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12574, 1192, '210283', '城山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.504,39.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12575, 1192, '210283', '桂云花满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.568,40.0509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12576, 1192, '210283', '塔岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.122,40.0667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12577, 1192, '210283', '吴炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.022,39.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12578, 1192, '210283', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.931,39.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12579, 1192, '210283', '仙人洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.857,40.11', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12580, 1192, '210283', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.973,39.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12581, 1192, '210283', '蓉花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.866,39.8578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12582, 1192, '210283', '青堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.191,39.8086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12583, 1192, '210283', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.054,39.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12584, 1192, '210283', '光明山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.867,39.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12585, 1192, '210283', '太平岭满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.895,39.8837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12586, 1192, '210283', '兰店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.079,39.6395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12587, 1192, '210283', '明阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.659,39.5159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12588, 1192, '210283', '徐岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.982,39.8381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12589, 1192, '210283', '步云山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.805,40.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12590, 1192, '210283', '黑岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.208,39.6331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12591, 1192, '210283', '鞍子山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.358,40.0037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12592, 1192, '210283', '栗子房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.455,39.9268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12593, 1192, '210283', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.726,39.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12594, 1192, '210283', '石城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.049,39.5296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12595, 1192, '210283', '荷花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.595,39.9056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12596, 1192, '210283', '兴达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.978,39.6993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12597, 1192, '210283', '大郑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.849,39.7027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12598, 1192, '210283', '昌盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.9,39.6215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12599, 1193, '210202', '海军广场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.678,38.9339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12600, 1193, '210202', '青泥洼桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.63,38.9213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12601, 1193, '210202', '桃源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.628,38.851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12602, 1193, '210202', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.658,38.9465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12603, 1193, '210202', '老虎滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.722,38.8848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12604, 1193, '210202', '昆明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.646,38.9093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12605, 1193, '210202', '葵英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.645,38.906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12606, 1193, '210202', '桂林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.659,38.9179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12607, 1194, '210203', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.605,38.8901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12608, 1194, '210203', '北京街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.606,38.9196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12609, 1194, '210203', '站北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.613,38.9263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12610, 1194, '210203', '八一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.64,38.8953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12611, 1194, '210203', '日新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.633,38.9064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12612, 1194, '210203', '人民广场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.607,38.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12613, 1194, '210203', '香炉礁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.597,38.9476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12614, 1195, '210204', '李家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.539,38.9398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12615, 1195, '210204', '春柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.591,38.9454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12616, 1195, '210204', '南沙河口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.539,38.9021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12617, 1195, '210204', '马栏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.543,38.9172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12618, 1195, '210204', '兴工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.582,38.9266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12619, 1195, '210204', '星海湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.585,38.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12620, 1195, '210204', '白山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.605,38.8908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12621, 1195, '210204', '黑石礁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.538,38.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12622, 1195, '210204', '中山公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.601,38.9244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12623, 1196, '210682', '宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.86,40.4945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12624, 1196, '210682', '四门子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.712,40.8203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12625, 1196, '210682', '石城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.402,40.8448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12626, 1196, '210682', '东汤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.386,40.5237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12627, 1196, '210682', '通远堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.868,40.841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12628, 1196, '210682', '凤凰城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.045,40.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12629, 1196, '210682', '边门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.05,40.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12630, 1196, '210682', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.94,40.2004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12631, 1196, '210682', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.273,40.8639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12632, 1196, '210682', '凤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.046,40.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12633, 1196, '210682', '草河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.16,40.5579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12634, 1196, '210682', '青城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.556,40.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12635, 1196, '210682', '大堡蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.134,40.5962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12636, 1196, '210682', '白旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.926,40.3414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12637, 1196, '210682', '爱阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.315,40.8984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12638, 1196, '210682', '沙里寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.65,40.2617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12639, 1196, '210682', '鸡冠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.962,40.6074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12640, 1196, '210682', '刘家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.154,40.6857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12641, 1196, '210682', '蓝旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.81,40.1959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12642, 1196, '210682', '弟兄山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.165,40.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12643, 1196, '210682', '赛马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.373,41.0252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12644, 1197, '210604', '楼房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.329,40.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12645, 1197, '210604', '珍珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.411,40.1546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12646, 1197, '210604', '同兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.214,40.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12647, 1197, '210604', '金矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.157,40.1358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12648, 1197, '210604', '五龙背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.368,40.2267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12649, 1197, '210604', '汤山城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.188,40.3478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12650, 1197, '210604', '九连城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.503,40.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12651, 1197, '210604', '鸭绿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.377,40.2081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12652, 1197, '210604', '太平湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.695,40.3483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12653, 1198, '210681', '椅圈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.765,39.9558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12654, 1198, '210681', '孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.761,39.7506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12655, 1198, '210681', '黑沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.556,40.1018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12656, 1198, '210681', '黄土坎农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.721,39.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12657, 1198, '210681', '示范农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.055,39.9758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12658, 1198, '210681', '马家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.856,40.0464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12659, 1198, '210681', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.182,40.163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12660, 1198, '210681', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.193,39.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12661, 1198, '210681', '菩萨庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.574,39.7775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12662, 1198, '210681', '五四农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.2,39.899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12663, 1198, '210681', '前阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.15,40.0232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12664, 1198, '210681', '大东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.135,39.892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12665, 1198, '210681', '黄土坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.713,39.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12666, 1198, '210681', '兴隆农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.801,39.8486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12667, 1198, '210681', '合隆满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.961,39.9792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12668, 1198, '210681', '北井子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.815,39.7854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12669, 1198, '210681', '小甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.618,40.0494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12670, 1198, '210681', '龙王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.716,40.0381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12671, 1198, '210681', '新农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.419,39.9339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12672, 1198, '210681', '十字街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.054,40.0656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12673, 1198, '210681', '海洋红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.727,39.9623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12674, 1198, '210681', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.093,39.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12675, 1198, '210681', '长山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.098,39.9419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12676, 1199, '210603', '六道沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.376,40.1097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12677, 1199, '210603', '永昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.367,40.1163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12678, 1199, '210603', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.376,40.1352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12679, 1199, '210603', '汤池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.252,40.0873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12680, 1199, '210603', '安民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.257,39.9814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12681, 1199, '210603', '浪头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.368,40.0985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12682, 1199, '210603', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.379,40.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12683, 1199, '210603', '头道桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.398,40.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12684, 1199, '210603', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.333,40.1422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12685, 1199, '210603', '纤维街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.355,40.0992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12686, 1199, '210603', '帽盔山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.336,40.1083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12687, 1199, '210603', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.325,40.0427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12688, 1199, '210603', '江海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.184,39.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12689, 1200, '210624', '步达远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.348,41.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12690, 1200, '210624', '青椅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.504,40.7513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12691, 1200, '210624', '宽甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.779,40.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12692, 1200, '210624', '太平哨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.168,40.7606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12693, 1200, '210624', '红石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.005,40.7393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12694, 1200, '210624', '大川头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.743,40.9429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12695, 1200, '210624', '硼海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.858,40.8445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12696, 1200, '210624', '八河川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.902,41.1214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12697, 1200, '210624', '青山沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.265,41.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12698, 1200, '210624', '杨木川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.462,40.4244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12699, 1200, '210624', '灌水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.539,40.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12700, 1200, '210624', '石湖沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.772,40.706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12701, 1200, '210624', '牛毛坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.951,41.1161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12702, 1200, '210624', '下露河朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.456,40.9382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12703, 1200, '210624', '永甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.864,40.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12704, 1200, '210624', '虎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.514,40.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12705, 1200, '210624', '古楼子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.675,40.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12706, 1200, '210624', '大西岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.245,40.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12707, 1200, '210624', '毛甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.368,40.6034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12708, 1200, '210624', '双山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.715,41.1323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12709, 1200, '210624', '振江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.658,40.8284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12710, 1200, '210624', '长甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.945,40.5256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12711, 1201, '210602', '六道口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.399,40.1364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12712, 1201, '210602', '九道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.387,40.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12713, 1201, '210602', '广济街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.39,40.1346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12714, 1201, '210602', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.258,40.2107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12715, 1201, '210602', '八道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.38,40.1598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12716, 1201, '210602', '七道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.366,40.1409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12717, 1201, '210602', '兴东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.4,40.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12718, 1202, '210423', '清原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.008,42.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12719, 1202, '210423', '夏家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.729,42.328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12720, 1202, '210423', '红透山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.557,41.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12721, 1202, '210423', '土口子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.148,42.4599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12722, 1202, '210423', '湾甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.983,42.0699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12723, 1202, '210423', '大孤家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.976,42.3725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12724, 1202, '210423', '南口前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.631,42.0278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12725, 1202, '210423', '大苏河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.942,42.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12726, 1202, '210423', '南山城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.414,42.0967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12727, 1202, '210423', '北三家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.825,42.0541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12728, 1202, '210423', '枸乃甸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.882,42.1991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12729, 1202, '210423', '英额门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.116,42.2052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12730, 1202, '210423', '敖家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.842,41.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12731, 1202, '210423', '草市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.293,42.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12732, 1203, '210422', '新宾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.024,41.8525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12733, 1203, '210422', '北四平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.297,41.8836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12734, 1203, '210422', '平顶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.892,41.4734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12735, 1203, '210422', '红庙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.083,41.4949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12736, 1203, '210422', '响水河子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.468,41.6344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12737, 1203, '210422', '苇子峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.438,41.5297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12738, 1203, '210422', '下夹河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.562,41.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12739, 1203, '210422', '大四平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.617,41.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12740, 1203, '210422', '红升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.092,41.6188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12741, 1203, '210422', '榆树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.668,41.6301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12742, 1203, '210422', '永陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.757,41.6616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12743, 1203, '210422', '木奇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.573,41.8502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12744, 1203, '210422', '南杂木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.316,41.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12745, 1203, '210422', '上夹河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.415,41.7108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12746, 1203, '210422', '旺清门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.344,41.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12747, 1204, '210411', '抚顺城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.906,41.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12748, 1204, '210411', '前甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.054,41.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12749, 1204, '210411', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.918,41.8818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12750, 1204, '210411', '葛布街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.88,41.8755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12751, 1204, '210411', '长春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.943,41.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12752, 1204, '210411', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.929,41.8795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12753, 1204, '210411', '会元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.892,42.0321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12754, 1204, '210411', '河北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.944,41.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12755, 1204, '210411', '将军堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.877,41.8831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12756, 1205, '210403', '老虎台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.938,41.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12757, 1205, '210403', '抚东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.211,42.0038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12758, 1205, '210403', '平山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.93,41.8476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12759, 1205, '210403', '东洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.092,41.8852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12760, 1205, '210403', '章党镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.341,41.9386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12761, 1205, '210403', '章党街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.061,41.8991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12762, 1205, '210403', '新屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.978,41.8442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12763, 1205, '210403', '兰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.076,41.7956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12764, 1205, '210403', '龙凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.006,41.8554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12765, 1205, '210403', '万新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.976,41.8514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12766, 1205, '210403', '碾盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.046,41.8192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12767, 1205, '210403', '搭连街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.02,41.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12768, 1205, '210403', '张甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.057,41.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12769, 1205, '210403', '哈达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.269,42.012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12770, 1206, '210402', '南阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.92,41.8537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12771, 1206, '210402', '新抚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.833,41.848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12772, 1206, '210402', '千金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.889,41.8591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12773, 1206, '210402', '榆林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.992,41.879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12774, 1206, '210402', '千金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.919,41.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12775, 1206, '210402', '福民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.877,41.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12776, 1206, '210402', '永安台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.908,41.8659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12777, 1206, '210402', '南花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.911,41.8394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12778, 1206, '210402', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.91,41.8696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12779, 1206, '210402', '东公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.928,41.875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12780, 1206, '210402', '刘山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.859,41.8466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12781, 1207, '210404', '朴屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.818,41.8499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12782, 1207, '210404', '塔峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.844,41.7975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12783, 1207, '210404', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.782,41.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12784, 1207, '210404', '古城子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.847,41.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12785, 1207, '210404', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.812,41.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12786, 1207, '210404', '新民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.825,41.8578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12787, 1207, '210404', '五老屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.863,41.824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12788, 1207, '210404', '李石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.733,41.9309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12789, 1207, '210404', '田屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.748,41.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12790, 1207, '210404', '拉古满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.797,41.7284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12791, 1207, '210404', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.782,41.8493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12792, 1207, '210404', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.795,41.8355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12793, 1207, '210404', '演武街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.828,41.8394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12794, 1208, '210421', '海浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.734,41.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12795, 1208, '210421', '上马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.35,41.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12796, 1208, '210421', '后安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.218,41.7747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12797, 1208, '210421', '汤图满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.395,41.8514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12798, 1208, '210421', '石文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.877,41.7476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12799, 1208, '210421', '峡河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.983,41.6885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12800, 1208, '210421', '救兵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.985,41.77', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12801, 1208, '210421', '马圈子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.31,41.5042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12802, 1209, '211403', '西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.91,40.7241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12803, 1209, '211403', '龙湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.906,40.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12804, 1209, '211403', '双龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.833,40.7247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12805, 1209, '211403', '北港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.919,40.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12806, 1209, '211403', '连湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.916,40.6933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12807, 1209, '211403', '葫芦岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.992,40.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12808, 1209, '211403', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.821,40.6932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12809, 1209, '211403', '葫芦岛经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.982,40.7446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12810, 1209, '211403', '葫芦岛市专利技术园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.819,40.7361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12811, 1209, '211403', '玉皇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.855,40.7415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12812, 1209, '211403', '双树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.755,40.7283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12813, 1209, '211403', '东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.923,40.7296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12814, 1209, '211403', '望海寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.962,40.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12815, 1210, '211422', '杨树湾子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.038,40.7479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12816, 1210, '211422', '汤神庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.645,40.82', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12817, 1210, '211422', '西碱厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.542,40.6153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12818, 1210, '211422', '贺杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.622,40.5378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12819, 1210, '211422', '谷杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.022,41.0808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12820, 1210, '211422', '养马甸子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.832,40.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12821, 1210, '211422', '巴什罕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.964,40.8664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12822, 1210, '211422', '黑山科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.988,40.6709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12823, 1210, '211422', '喇嘛洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.617,40.7004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12824, 1210, '211422', '和尚房子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.814,40.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12825, 1210, '211422', '玲珑塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.909,40.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12826, 1210, '211422', '娘娘庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.123,41.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12827, 1210, '211422', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.898,40.6399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12828, 1210, '211422', '药王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.066,40.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12829, 1210, '211422', '二道湾子蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.081,40.9128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12830, 1210, '211422', '王宝营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.566,40.7672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12831, 1210, '211422', '牤牛营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.802,40.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12832, 1210, '211422', '头道营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.565,40.6093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12833, 1210, '211422', '新开岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.655,40.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12834, 1210, '211422', '要路沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.424,40.6171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12835, 1210, '211422', '石佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.907,40.7967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12836, 1210, '211422', '魏家岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.465,40.7016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12837, 1210, '211422', '老达杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.398,40.613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12838, 1210, '211422', '雷家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.859,40.813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12839, 1210, '211422', '小德营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.204,40.9374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12840, 1210, '211422', '素珠营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.755,40.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12841, 1210, '211422', '建昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.791,40.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12842, 1210, '211422', '八家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.062,40.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12843, 1211, '211481', '元台子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.743,40.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12844, 1211, '211481', '四家屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.779,40.6571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12845, 1211, '211481', '南大山满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.403,40.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12846, 1211, '211481', '曹庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.683,40.6014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12847, 1211, '211481', '大寨满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.302,40.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12848, 1211, '211481', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.738,40.626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12849, 1211, '211481', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.742,40.6586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12850, 1211, '211481', '菊花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.769,40.4714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12851, 1211, '211481', '钓鱼台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.762,40.6181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12852, 1211, '211481', '东辛庄满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.407,40.4259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12853, 1211, '211481', '沙后所满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.651,40.468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12854, 1211, '211481', '旧门满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.459,40.7594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12855, 1211, '211481', '羊安满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.599,40.6381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12856, 1211, '211481', '徐大堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.617,40.4045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12857, 1211, '211481', '红崖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.473,40.6587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12858, 1211, '211481', '药王满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.271,40.7975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12859, 1211, '211481', '高家岭满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.2,40.5515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12860, 1211, '211481', '宁远街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.705,40.5979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12861, 1211, '211481', '刘台子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.477,40.3522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12862, 1211, '211481', '碱厂满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.351,40.5515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12863, 1211, '211481', '三道沟满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.106,40.6221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12864, 1211, '211481', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.757,40.6891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12865, 1211, '211481', '围屏满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.257,40.5351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12866, 1211, '211481', '望海满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.458,40.4932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12867, 1211, '211481', '白塔满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.596,40.6457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12868, 1211, '211481', '郭家满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.317,40.6969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12869, 1211, '211481', '华山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.514,40.7827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12870, 1212, '211421', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.365,40.3279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12871, 1212, '211421', '永安堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.717,40.2825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12872, 1212, '211421', '明水满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.831,40.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12873, 1212, '211421', '加碑岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.652,40.2722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12874, 1212, '211421', '高甸子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.112,40.3851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12875, 1212, '211421', '宽帮满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.133,40.6022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12876, 1212, '211421', '前所果树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.843,40.1216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12877, 1212, '211421', '前所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.946,40.1921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12878, 1212, '211421', '网户满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.163,40.1769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12879, 1212, '211421', '秋子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.815,40.4261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12880, 1212, '211421', '小庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.371,40.3149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12881, 1212, '211421', '高岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.927,40.2095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12882, 1212, '211421', '高台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.213,40.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12883, 1212, '211421', '荒地满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.288,40.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12884, 1212, '211421', '范家满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.1,40.3389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12885, 1212, '211421', '西平坡满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.2,40.5039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12886, 1212, '211421', '大王庙满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.871,40.434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12887, 1212, '211421', '王宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.116,40.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12888, 1212, '211421', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.266,40.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12889, 1212, '211421', '万家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.837,40.0449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12890, 1212, '211421', '绥中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.337,40.3259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12891, 1212, '211421', '西甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.856,40.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12892, 1212, '211421', '大台山果树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.299,40.3156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12893, 1212, '211421', '葛家满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.958,40.5319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12894, 1212, '211421', '前卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.008,40.2267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12895, 1212, '211421', '塔山屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.328,40.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12896, 1212, '211421', '李家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.762,40.0856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12897, 1213, '211402', '水泥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.849,40.7717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12898, 1213, '211402', '杨家杖子经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.508,40.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12899, 1213, '211402', '杨郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.655,40.845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12900, 1213, '211402', '化机街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.842,40.7531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12901, 1213, '211402', '化工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.84,40.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12902, 1213, '211402', '渤海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.895,40.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12903, 1213, '211402', '连山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.878,40.7662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12904, 1213, '211402', '新台门蒙古族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.453,40.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12905, 1213, '211402', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.858,40.7563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12906, 1213, '211402', '锦郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.85,40.7398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12907, 1213, '211402', '白马石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.338,41.0007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12908, 1213, '211402', '钢屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.644,40.9568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12909, 1213, '211402', '兴工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.841,40.779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12910, 1213, '211402', '孤竹营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.258,40.9445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12911, 1213, '211402', '石油街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.845,40.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12912, 1213, '211402', '山神庙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.477,40.9913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12913, 1213, '211402', '沙河营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.693,40.8973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12914, 1213, '211402', '寺儿堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.64,40.7721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12915, 1213, '211402', '塔山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.879,40.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12916, 1214, '211404', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.964,40.9201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12917, 1214, '211404', '张相公屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.686,40.9854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12918, 1214, '211404', '邱皮沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.771,41.1769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12919, 1214, '211404', '缸窑岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.627,41.0716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12920, 1214, '211404', '沙锅屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.648,41.0922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12921, 1214, '211404', '小凌河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.777,41.2142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12922, 1214, '211404', '金星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.986,41.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12923, 1214, '211404', '台集屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.911,41.1356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12924, 1214, '211404', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.629,41.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12925, 1214, '211404', '虹螺岘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.779,40.9941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12926, 1214, '211404', '暖池塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.608,40.9646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12927, 1214, '211404', '赵家屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.713,41.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12928, 1214, '211404', '黄土坎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.833,41.1354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12929, 1214, '211404', '沙锅屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.65,41.0929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12930, 1214, '211404', '三家子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.599,41.0424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12931, 1214, '211404', '苇子沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.622,41.0698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12932, 1214, '211404', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.034,40.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12933, 1215, '211282', '李家台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.683,42.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12934, 1215, '211282', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.121,42.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12935, 1215, '211282', '马家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.998,42.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12936, 1215, '211282', '金沟子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.965,42.6841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12937, 1215, '211282', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.07,42.5507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12938, 1215, '211282', '三家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.801,42.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12939, 1215, '211282', '中固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.962,42.4064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12940, 1215, '211282', '兴开街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.009,42.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12941, 1215, '211282', '八棵树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.415,42.455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12942, 1215, '211282', '业民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.905,42.4067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12943, 1215, '211282', '下肥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.322,42.2648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12944, 1215, '211282', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.414,42.8795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12945, 1215, '211282', '上肥地满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.436,42.3973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12946, 1215, '211282', '威远堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.274,42.8219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12947, 1215, '211282', '林丰满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.706,42.4928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12948, 1215, '211282', '靠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.156,42.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12949, 1215, '211282', '城东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.143,42.7065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12950, 1215, '211282', '黄旗寨满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.429,42.1579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12951, 1215, '211282', '庆云堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.75,42.5378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12952, 1215, '211282', '松山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.261,42.4426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12953, 1215, '211282', '八宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.86,42.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12954, 1216, '211281', '大明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.628,42.5434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12955, 1216, '211281', '兀术街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.578,42.4491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12956, 1216, '211281', '晓南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.482,42.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12957, 1216, '211281', '晓明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.586,42.3953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12958, 1216, '211281', '调兵山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.528,42.4855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12959, 1217, '211204', '张相镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.28,42.4847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12960, 1217, '211204', '聂家满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.292,42.4997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12961, 1217, '211204', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.14,42.5263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12962, 1217, '211204', '杨木林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.432,42.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12963, 1217, '211204', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.144,42.5442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12964, 1218, '211202', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.858,42.2987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12965, 1218, '211202', '龙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.83,42.2657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12966, 1218, '211202', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.826,42.3079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12967, 1218, '211202', '柴河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.877,42.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12968, 1218, '211202', '岭东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.88,42.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12969, 1218, '211202', '工人街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.845,42.3016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12970, 1218, '211202', '铜钟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.839,42.302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12971, 1218, '211202', '辽海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.816,42.2497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12972, 1218, '211202', '铁岭经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.902,42.257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12973, 1219, '211223', '西丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.768,42.746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12974, 1219, '211223', '陶然镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.859,42.8234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12975, 1219, '211223', '德兴满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.595,42.9151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12976, 1219, '211223', '和隆满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.778,42.4795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12977, 1219, '211223', '郜家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.336,42.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12978, 1219, '211223', '金星满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.743,42.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12979, 1219, '211223', '明德满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.475,42.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12980, 1219, '211223', '钓鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.556,42.8903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12981, 1219, '211223', '营厂满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.859,42.4584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12982, 1219, '211223', '平岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.87,42.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12983, 1219, '211223', '更刻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.745,42.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12984, 1219, '211223', '振兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.034,42.6162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12985, 1219, '211223', '成平满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.34,42.6071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12986, 1219, '211223', '柏榆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.634,42.9713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12987, 1219, '211223', '凉泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.69,42.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12988, 1219, '211223', '房木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.545,42.5363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12989, 1219, '211223', '天德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.808,43.1175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12990, 1219, '211223', '安民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.958,42.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12991, 1220, '211221', '阿吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.482,42.2664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12992, 1220, '211221', '鸡冠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.396,42.1666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12993, 1220, '211221', '白旗寨满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.265,42.0646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12994, 1220, '211221', '蔡牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.608,42.3463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12995, 1220, '211221', '横道河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.806,42.0516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12996, 1220, '211221', '新台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.617,42.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12997, 1220, '211221', '熊官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.924,42.3135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12998, 1220, '211221', '李千户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.874,42.2037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (12999, 1220, '211221', '双井子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.656,42.5173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13000, 1220, '211221', '大甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.162,42.2244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13001, 1220, '211221', '镇西堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.66,42.5122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13002, 1220, '211221', '凡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.792,42.2144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13003, 1220, '211221', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.903,42.2607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13004, 1220, '211221', '腰堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.742,42.1202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13005, 1220, '211221', '平顶堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.99,42.3983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13006, 1221, '211224', '下二台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.254,42.9629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13007, 1221, '211224', '十八家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.704,42.7033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13008, 1221, '211224', '付家林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.919,43.2444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13009, 1221, '211224', '通江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.661,42.6553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13010, 1221, '211224', '平安堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.161,43.2475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13011, 1221, '211224', '昌图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.227,42.7615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13012, 1221, '211224', '老四平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.306,43.1525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13013, 1221, '211224', '头道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.808,42.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13014, 1221, '211224', '马仲河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.974,42.6958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13015, 1221, '211224', '新乡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.227,43.2015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13016, 1221, '211224', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.774,42.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13017, 1221, '211224', '大洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.872,43.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13018, 1221, '211224', '后窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.67,42.9105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13019, 1221, '211224', '曲家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.851,43.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13020, 1221, '211224', '鴜鷺树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.168,43.0712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13021, 1221, '211224', '宝力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.741,42.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13022, 1221, '211224', '亮中桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.987,42.7662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13023, 1221, '211224', '长发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.57,42.9503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13024, 1221, '211224', '三江口农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.726,43.3635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13025, 1221, '211224', '前双井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.773,43.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13026, 1221, '211224', '金家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.693,42.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13027, 1221, '211224', '双庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.19,43.0054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13028, 1221, '211224', '两家子农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.584,42.6799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13029, 1221, '211224', '泉头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.267,42.8218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13030, 1221, '211224', '东嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.004,43.0541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13031, 1221, '211224', '七家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.584,43.0361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13032, 1221, '211224', '四面城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.014,42.9812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13033, 1221, '211224', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.999,42.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13034, 1221, '211224', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.076,42.9321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13035, 1221, '211224', '大四家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.581,42.7636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13036, 1221, '211224', '宝力农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.785,42.9735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13037, 1221, '211224', '四合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.027,43.0561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13038, 1221, '211224', '牤牛马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.302,43.0705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13039, 1221, '211224', '毛家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.287,42.9935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13040, 1221, '211224', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.204,43.1019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13041, 1221, '211224', '古榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.645,43.1471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13042, 1221, '211224', '三江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.704,43.3381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13043, 1221, '211224', '八面城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.065,43.2922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13044, 1221, '211224', '傅家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.868,43.2123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13045, 1222, '210181', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.782,41.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13046, 1222, '210181', '前当堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.931,41.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13047, 1222, '210181', '周坨子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.651,42.1858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13048, 1222, '210181', '胡台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.129,41.8854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13049, 1222, '210181', '高台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.901,42.1005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13050, 1222, '210181', '陶家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.192,42.2263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13051, 1222, '210181', '兴隆堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.983,41.9178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13052, 1222, '210181', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.96,42.0831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13053, 1222, '210181', '姚堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.431,42.0919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13054, 1222, '210181', '三道岗子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.142,42.1169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13055, 1222, '210181', '张家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.964,41.8374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13056, 1222, '210181', '罗家房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.325,42.1348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13057, 1222, '210181', '辽滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.831,41.9896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13058, 1222, '210181', '于家窝堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.731,42.2787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13059, 1222, '210181', '新农村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123,42.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13060, 1222, '210181', '红旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.494,41.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13061, 1222, '210181', '大民屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.93,41.9468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13062, 1222, '210181', '大红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.531,41.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13063, 1222, '210181', '梁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.582,42.0723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13064, 1222, '210181', '柳河沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.68,41.9573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13065, 1222, '210181', '东蛇山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.122,42.2701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13066, 1222, '210181', '法哈牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.924,41.7426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13067, 1222, '210181', '公主屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.83,42.0184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13068, 1222, '210181', '金五台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.578,41.7721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13069, 1222, '210181', '卢家屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.502,41.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13070, 1222, '210181', '大柳屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.863,42.2133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13071, 1222, '210181', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.873,42.0071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13072, 1222, '210181', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.119,41.9601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13073, 1222, '210181', '新柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.769,42.005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13074, 1223, '210111', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.352,41.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13075, 1223, '210111', '湖西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.33,41.6958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13076, 1223, '210111', '红菱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.234,41.5535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13077, 1223, '210111', '白清街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.755,41.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13078, 1223, '210111', '临湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.287,41.7174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13079, 1223, '210111', '大沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.383,41.5024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13080, 1223, '210111', '十里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.335,41.5142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13081, 1223, '210111', '陈相街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.46,41.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13082, 1223, '210111', '中兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.367,41.6834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13083, 1223, '210111', '永乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.121,41.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13084, 1223, '210111', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.43,41.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13085, 1223, '210111', '佟沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.568,41.6316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13086, 1223, '210111', '八一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.295,41.6318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13087, 1223, '210111', '林盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.334,41.6304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13088, 1223, '210111', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.367,41.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13089, 1223, '210111', '姚千街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.615,41.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13090, 1223, '210111', '王纲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.173,41.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13091, 1224, '210102', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.385,41.7821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13092, 1224, '210102', '南市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.421,41.7769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13093, 1224, '210102', '马路湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.413,41.7867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13094, 1224, '210102', '浑河湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.375,41.7601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13095, 1224, '210102', '集贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.406,41.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13096, 1224, '210102', '浑河站西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.392,41.7083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13097, 1224, '210102', '长白街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.394,41.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13098, 1224, '210102', '西塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.412,41.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13099, 1224, '210102', '八经街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.414,41.791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13100, 1224, '210102', '太原街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.398,41.8', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13101, 1224, '210102', '北市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.427,41.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13102, 1224, '210102', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.417,41.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13103, 1224, '210102', '沈水湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.411,41.7292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13104, 1225, '210105', '新乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.409,41.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13105, 1225, '210105', '辽河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.433,41.8632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13106, 1225, '210105', '北塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.448,41.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13107, 1225, '210105', '塔湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.379,41.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13108, 1225, '210105', '黄河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.425,41.8322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13109, 1225, '210105', '三台子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.416,41.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13110, 1225, '210105', '四台子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.417,41.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13111, 1225, '210105', '舍利塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.361,41.8516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13112, 1225, '210105', '陵东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.465,41.8455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13113, 1225, '210105', '鸭绿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.466,41.9049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13114, 1225, '210105', '华山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.419,41.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13115, 1225, '210105', '明廉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.354,41.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13116, 1226, '210114', '迎宾路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.307,41.8011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13117, 1226, '210114', '城东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.339,41.7716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13118, 1226, '210114', '南阳湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.287,41.7563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13119, 1226, '210114', '于洪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.259,41.8341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13120, 1226, '210114', '马三家劳动教养院', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.245,41.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13121, 1226, '210114', '监狱城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.307,41.9625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13122, 1226, '210114', '陵西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.4,41.8529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13123, 1226, '210114', '北陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.355,41.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13124, 1226, '210114', '光辉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.131,41.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13125, 1226, '210114', '大兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.207,41.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13126, 1226, '210114', '光辉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.166,41.955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13127, 1226, '210114', '造化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.327,41.8439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13128, 1226, '210114', '沙岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.163,41.7947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13129, 1226, '210114', '马三家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.141,41.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13130, 1226, '210114', '平罗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.303,42.0061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13131, 1227, '210123', '北三家子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.524,43.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13132, 1227, '210123', '小城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.208,42.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13133, 1227, '210123', '西关屯蒙古族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.095,42.5315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13134, 1227, '210123', '海洲窝堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.32,43.0007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13135, 1227, '210123', '郝官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.581,42.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13136, 1227, '210123', '方家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.17,42.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13137, 1227, '210123', '北四家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.514,42.9056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13138, 1227, '210123', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.35,42.6812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13139, 1227, '210123', '两家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.546,42.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13140, 1227, '210123', '二牛所口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.18,42.8191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13141, 1227, '210123', '东升满族蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.06,42.6303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13142, 1227, '210123', '张强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.956,42.6903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13143, 1227, '210123', '三台子畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.406,42.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13144, 1227, '210123', '柳树屯蒙古族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.027,42.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13145, 1227, '210123', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.413,42.6815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13146, 1227, '210123', '沙金台蒙古族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.849,42.7074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13147, 1228, '210124', '叶茂台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.793,42.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13148, 1228, '210124', '慈恩寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.38,42.6134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13149, 1228, '210124', '十间房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.455,42.4325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13150, 1228, '210124', '双台子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.116,42.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13151, 1228, '210124', '登仕堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.09,42.2644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13152, 1228, '210124', '三面船镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.245,42.238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13153, 1228, '210124', '丁家房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.141,42.3155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13154, 1228, '210124', '吉祥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.569,42.5035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13155, 1228, '210124', '冯贝堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.477,42.3746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13156, 1228, '210124', '四家子蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.16,42.5321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13157, 1228, '210124', '孟家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.476,42.6201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13158, 1228, '210124', '大孤家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.286,42.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13159, 1228, '210124', '柏家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.519,42.5712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13160, 1228, '210124', '卧牛石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.044,42.5708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13161, 1228, '210124', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.41,42.5156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13162, 1228, '210124', '依牛堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.469,42.2495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13163, 1228, '210124', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.597,42.6433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13164, 1228, '210124', '包家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.822,42.473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13165, 1228, '210124', '秀水河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.937,42.398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13166, 1229, '210103', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.448,41.7879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13167, 1229, '210103', '丰乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.474,41.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13168, 1229, '210103', '皇城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.448,41.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13169, 1229, '210103', '大南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.453,41.7861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13170, 1229, '210103', '大西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.443,41.8014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13171, 1229, '210103', '五里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.446,41.7781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13172, 1229, '210103', '风雨坛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.438,41.7931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13173, 1229, '210103', '马官桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.554,41.8213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13174, 1229, '210103', '朱剪炉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.437,41.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13175, 1229, '210103', '南塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.451,41.7711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13176, 1229, '210103', '新北站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.433,41.8187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13177, 1229, '210103', '泉园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.506,41.785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13178, 1229, '210103', '万莲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.472,41.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13179, 1229, '210103', '东陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.516,41.8055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13180, 1229, '210103', '山东庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.432,41.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13181, 1230, '210104', '洮昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.454,41.8249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13182, 1230, '210104', '大北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.459,41.8194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13183, 1230, '210104', '文官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.563,41.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13184, 1230, '210104', '新东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.494,41.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13185, 1230, '210104', '东站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.509,41.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13186, 1230, '210104', '津桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.475,41.816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13187, 1230, '210104', '万泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.481,41.7869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13188, 1230, '210104', '东塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.489,41.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13189, 1230, '210104', '北海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.483,41.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13190, 1230, '210104', '二台子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.492,41.8503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13191, 1230, '210104', '上园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.464,41.8322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13192, 1230, '210104', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.553,41.8988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13193, 1230, '210104', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.483,41.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13194, 1230, '210104', '小东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.489,41.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13195, 1231, '210106', '工人村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.317,41.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13196, 1231, '210106', '兴工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.368,41.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13197, 1231, '210106', '七路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.343,41.8091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13198, 1231, '210106', '艳粉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.326,41.7782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13199, 1231, '210106', '启工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.341,41.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13200, 1231, '210106', '重工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.329,41.8111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13201, 1231, '210106', '昆明湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.326,41.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13202, 1231, '210106', '贵和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.362,41.7926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13203, 1231, '210106', '彭驿站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.153,41.6476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13204, 1231, '210106', '西三环街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.271,41.7412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13205, 1231, '210106', '保工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.344,41.7907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13206, 1231, '210106', '沈阳市经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.25,41.7435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13207, 1231, '210106', '大潘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.215,41.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13208, 1231, '210106', '大青中朝友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.287,41.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13209, 1231, '210106', '高花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.036,41.7199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13210, 1231, '210106', '翟家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.255,41.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13211, 1231, '210106', '凌空街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.355,41.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13212, 1231, '210106', '霁虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.401,41.8107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13213, 1231, '210106', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.356,41.7861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13214, 1231, '210106', '兴顺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.354,41.7912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13215, 1231, '210106', '笃工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.355,41.8152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13216, 1232, '210115', '蒲东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.774,41.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13217, 1232, '210115', '满都户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.571,41.6403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13218, 1232, '210115', '蒲西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.788,41.5539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13219, 1232, '210115', '刘二堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.877,41.737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13220, 1232, '210115', '潘家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.832,41.6422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13221, 1232, '210115', '大黑岗子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.644,41.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13222, 1232, '210115', '城郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.682,41.5706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13223, 1232, '210115', '冷子堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.772,41.7533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13224, 1232, '210115', '于家房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.582,41.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13225, 1232, '210115', '朱家房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.662,41.4037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13226, 1232, '210115', '六间房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.713,41.5024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13227, 1232, '210115', '老大房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.675,41.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13228, 1232, '210115', '养士堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.722,41.6545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13229, 1232, '210115', '肖寨门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.936,41.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13230, 1232, '210115', '杨士岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.984,41.7098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13231, 1232, '210115', '牛心坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.512,41.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13232, 1232, '210115', '茨榆坨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.901,41.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13233, 1233, '210113', '黄家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.553,42.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13234, 1233, '210113', '道义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.377,41.9504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13235, 1233, '210113', '马刚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.656,42.0478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13236, 1233, '210113', '尹家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.304,41.9982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13237, 1233, '210113', '财落街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.421,42.0546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13238, 1233, '210113', '石佛寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.335,42.1344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13239, 1233, '210113', '新城子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.494,42.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13240, 1233, '210113', '虎石台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.443,41.9644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13241, 1233, '210113', '辉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.551,41.9498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13242, 1233, '210113', '清水台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.58,41.9908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13243, 1233, '210113', '兴隆台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.278,42.0787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13244, 1233, '210113', '清泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.54,41.9951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13245, 1233, '210113', '沈北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.621,42.1159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13246, 1234, '210112', '高坎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.733,41.9101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13247, 1234, '210112', '营城子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.493,41.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13248, 1234, '210112', '祝家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.705,41.6156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13249, 1234, '210112', '李相街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.581,41.6243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13250, 1234, '210112', '汪家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.682,41.8106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13251, 1234, '210112', '白塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.406,41.6933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13252, 1234, '210112', '王滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.755,41.7803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13253, 1234, '210112', '深井子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.674,41.7844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13254, 1234, '210112', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.52,41.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13255, 1234, '210112', '浑河站东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.442,41.7313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13256, 1234, '210112', '桃仙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.478,41.6121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13257, 1234, '210112', '五三街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.433,41.6983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13258, 1234, '210112', '满堂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.789,42.0441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13259, 1235, '210882', '沟沿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.178,40.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13260, 1235, '210882', '汤池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.618,40.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13261, 1235, '210882', '博洛铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.444,40.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13262, 1235, '210882', '青花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.54,40.6651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13263, 1235, '210882', '黄土岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.759,40.4687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13264, 1235, '210882', '虎庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.476,40.727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13265, 1235, '210882', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.472,40.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13266, 1235, '210882', '官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.648,40.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13267, 1235, '210882', '石佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.326,40.8942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13268, 1235, '210882', '水源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.281,40.7247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13269, 1235, '210882', '旗口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.406,40.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13270, 1235, '210882', '高坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.331,40.7862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13271, 1235, '210882', '建一镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.873,40.5294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13272, 1235, '210882', '钢都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.492,40.6393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13273, 1235, '210882', '南楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.533,40.6222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13274, 1235, '210882', '石桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.512,40.6427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13275, 1235, '210882', '周家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.676,40.5933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13276, 1235, '210882', '金桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.444,40.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13277, 1236, '210804', '望海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.16,40.3167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13278, 1236, '210804', '海东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.153,40.2677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13279, 1236, '210804', '海星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.14,40.3393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13280, 1236, '210804', '红旗满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.132,40.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13281, 1236, '210804', '红海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.129,40.2237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13282, 1236, '210804', '芦屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.184,40.3295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13283, 1236, '210804', '熊岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.145,40.214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13284, 1237, '210881', '团山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.327,40.4073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13285, 1237, '210881', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.457,40.3054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13286, 1237, '210881', '什字街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.401,39.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13287, 1237, '210881', '西海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.385,40.4917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13288, 1237, '210881', '杨运镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.201,40.0947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13289, 1237, '210881', '卧龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.887,40.321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13290, 1237, '210881', '矿洞沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.767,40.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13291, 1237, '210881', '归州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.056,40.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13292, 1237, '210881', '榜式堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.816,40.367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13293, 1237, '210881', '梁屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.696,40.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13294, 1237, '210881', '高屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.583,40.3742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13295, 1237, '210881', '九垄地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.959,40.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13296, 1237, '210881', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.367,40.4089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13297, 1237, '210881', '万福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.584,40.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13298, 1237, '210881', '暖泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.46,40.4046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13299, 1237, '210881', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.494,40.4439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13300, 1237, '210881', '果园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.233,40.2271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13301, 1237, '210881', '青石岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.434,40.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13302, 1237, '210881', '太阳升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.321,40.3883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13303, 1237, '210881', '徐屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.46,40.3631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13304, 1237, '210881', '九寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.079,40.0553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13305, 1237, '210881', '小石棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.416,40.2804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13306, 1237, '210881', '二台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.047,40.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13307, 1237, '210881', '团甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.547,40.4424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13308, 1237, '210881', '双台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.24,40.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13309, 1237, '210881', '沙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.303,40.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13310, 1237, '210881', '陈屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.256,40.1858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13311, 1238, '210803', '得胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.2,40.6772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13312, 1238, '210803', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.221,40.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13313, 1238, '210803', '渔市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.22,40.6861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13314, 1238, '210803', '辽宁营口沿海产业基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.275,40.65', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13315, 1238, '210803', '河北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.227,40.6897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13316, 1238, '210803', '沿海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.265,40.6067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13317, 1238, '210803', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.216,40.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13318, 1238, '210803', '营口高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.182,40.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13319, 1238, '210803', '清华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.212,40.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13320, 1238, '210803', '五台子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.212,40.6584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13321, 1239, '210802', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.235,40.7385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13322, 1239, '210802', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.33,40.8936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13323, 1239, '210802', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.246,40.6714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13324, 1239, '210802', '八田地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.233,40.6781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13325, 1239, '210802', '建丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.272,40.6614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13326, 1239, '210802', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.275,40.7157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13327, 1239, '210802', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.266,40.6861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13328, 1240, '210811', '老边街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.389,40.6823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13329, 1240, '210811', '边城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.346,40.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13330, 1240, '210811', '营口市中小企业创业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.313,40.6561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13331, 1240, '210811', '路南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.284,40.673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13332, 1240, '210811', '柳树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.447,40.6243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13333, 1240, '210811', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.433,40.6565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13334, 1241, '211103', '新生街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.825,41.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13335, 1241, '211103', '振兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.088,41.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13336, 1241, '211103', '高升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.233,41.3349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13337, 1241, '211103', '锦采街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.597,40.9507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13338, 1241, '211103', '茨采街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.909,41.517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13339, 1241, '211103', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.05,41.0879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13340, 1241, '211103', '欢喜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.668,41.0507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13341, 1241, '211103', '曙光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.887,41.1353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13342, 1241, '211103', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.987,41.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13343, 1241, '211103', '创新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.061,41.1277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13344, 1241, '211103', '渤海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.115,41.1224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13345, 1241, '211103', '兴海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.004,41.2409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13346, 1241, '211103', '新工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.098,41.1714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13347, 1241, '211103', '沈采街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.055,41.9376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13348, 1241, '211103', '于楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.272,41.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13349, 1241, '211103', '兴盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.003,41.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13350, 1241, '211103', '平安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.663,41.0508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13351, 1242, '211122', '羊圈子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.813,41.1492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13352, 1242, '211122', '古城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.359,41.0663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13353, 1242, '211122', '盘山县林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.098,41.216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13354, 1242, '211122', '得胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.045,41.363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13355, 1242, '211122', '沙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.458,41.2481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13356, 1242, '211122', '石新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.634,41.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13357, 1242, '211122', '坝墙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.172,41.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13358, 1242, '211122', '吴家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.151,41.2044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13359, 1242, '211122', '胡家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.048,41.3421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13360, 1242, '211122', '陈家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.17,41.278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13361, 1242, '211122', '甜水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.761,41.2703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13362, 1242, '211122', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.902,41.2408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13363, 1242, '211122', '东郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.635,40.8328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13364, 1242, '211122', '高升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.123,41.305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13365, 1243, '211104', '榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.993,40.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13366, 1243, '211104', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.88,41.0704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13367, 1243, '211104', '大洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.082,41.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13368, 1243, '211104', '新立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.185,41.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13369, 1243, '211104', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.823,40.8727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13370, 1243, '211104', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.968,41.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13371, 1243, '211104', '赵圈河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.877,41.0708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13372, 1243, '211104', '西安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.212,40.9659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13373, 1243, '211104', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.205,40.9201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13374, 1243, '211104', '唐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.134,41.0261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13375, 1243, '211104', '田庄台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.092,40.8775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13376, 1243, '211104', '田家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.004,41.0911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13377, 1243, '211104', '荣滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.184,40.747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13378, 1243, '211104', '二界沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.869,40.8437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13379, 1243, '211104', '荣兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.058,40.8268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13380, 1243, '211104', '新开镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.304,41.0536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13381, 1243, '211104', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.363,40.9831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13382, 1244, '211102', '辽河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.021,41.1815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13383, 1244, '211102', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.107,41.2419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13384, 1244, '211102', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.062,41.1805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13385, 1244, '211102', '双盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.063,41.171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13386, 1244, '211102', '化工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.017,41.1747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13387, 1244, '211102', '双台子区良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.073,41.2008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13388, 1244, '211102', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.034,41.1902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13389, 1244, '211102', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.051,41.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13390, 1244, '211102', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.057,41.1894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13391, 1244, '211102', '陆家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.979,41.2144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13392, 1245, '210905', '乌龙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.463,41.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13393, 1245, '210905', '六台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.392,41.7505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13394, 1245, '210905', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.427,41.7599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13395, 1245, '210905', '清河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.423,41.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13396, 1245, '210905', '新北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.406,41.7851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13397, 1246, '210904', '水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.735,42.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13398, 1246, '210904', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.731,42.0345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13399, 1246, '210904', '红树街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.656,42.003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13400, 1246, '210904', '高德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.711,41.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13401, 1246, '210904', '煤海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.675,42.006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13402, 1246, '210904', '孙家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.692,41.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13403, 1247, '210921', '大固本镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.261,42.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13404, 1247, '210921', '卧凤沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.547,41.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13405, 1247, '210921', '扎兰营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.862,42.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13406, 1247, '210921', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.696,41.9462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13407, 1247, '210921', '十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.187,42.086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13408, 1247, '210921', '王府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.59,42.0029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13409, 1247, '210921', '富荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.103,41.9906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13410, 1247, '210921', '紫都台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.227,41.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13411, 1247, '210921', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.188,42.3415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13412, 1247, '210921', '务欢池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.899,42.2323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13413, 1247, '210921', '大板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.848,41.9973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13414, 1247, '210921', '建设镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.205,42.3868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13415, 1247, '210921', '八家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.525,42.2226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13416, 1247, '210921', '七家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.348,42.0827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13417, 1247, '210921', '蜘蛛山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.27,41.8091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13418, 1247, '210921', '沙拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.859,42.0954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13419, 1247, '210921', '大五家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.302,42.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13420, 1247, '210921', '阜新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.609,42.0816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13421, 1247, '210921', '泡子农场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.328,42.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13422, 1247, '210921', '化石戈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.057,41.9778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13423, 1247, '210921', '塔营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.988,42.4876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13424, 1247, '210921', '招束沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.877,42.1628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13425, 1247, '210921', '苍土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.195,42.0343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13426, 1247, '210921', '国华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.956,41.8924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13427, 1247, '210921', '大巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.879,42.0359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13428, 1247, '210921', '老河土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.192,42.2287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13429, 1247, '210921', '佛寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.405,41.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13430, 1247, '210921', '哈达户稍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.584,42.2946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13431, 1247, '210921', '红帽子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.448,42.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13432, 1247, '210921', '平安地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.849,42.5236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13433, 1247, '210921', '泡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.32,42.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13434, 1247, '210921', '东梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.579,41.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13435, 1247, '210921', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.758,42.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13436, 1247, '210921', '伊吗图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.464,41.7717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13437, 1247, '210921', '福兴地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.386,42.4638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13438, 1247, '210921', '于寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.036,42.2551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13439, 1247, '210921', '旧庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.646,42.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13440, 1248, '210903', '新发街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.808,42.0583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13441, 1248, '210903', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.788,42.0934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13442, 1248, '210903', '益民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.79,42.0748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13443, 1248, '210903', '长营子蒙古族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.86,41.9847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13444, 1248, '210903', '中兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.773,42.0768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13445, 1249, '210922', '两家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.41,42.2038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13446, 1249, '210922', '平安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.199,42.4539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13447, 1249, '210922', '双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.315,42.4333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13448, 1249, '210922', '四合城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.766,42.7592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13449, 1249, '210922', '哈尔套镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.103,42.4337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13450, 1249, '210922', '大德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.548,42.5543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13451, 1249, '210922', '大四家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.824,42.5938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13452, 1249, '210922', '四堡子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.91,42.613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13453, 1249, '210922', '后新秋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.831,42.6504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13454, 1249, '210922', '丰田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.203,42.5139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13455, 1249, '210922', '苇子沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.822,42.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13456, 1249, '210922', '前福兴地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.424,42.5438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13457, 1249, '210922', '满堂红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.026,42.7055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13458, 1249, '210922', '五峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.437,42.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13459, 1249, '210922', '西六家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.624,42.2344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13460, 1249, '210922', '章古台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.469,42.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13461, 1249, '210922', '二道河子蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.626,42.433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13462, 1249, '210922', '阿尔乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.43,42.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13463, 1249, '210922', '兴隆堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.643,42.5258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13464, 1249, '210922', '冯家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.393,42.5908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13465, 1249, '210922', '彰武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.55,42.3477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13466, 1249, '210922', '大冷蒙古族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.252,42.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13467, 1249, '210922', '兴隆山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.487,42.4345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13468, 1249, '210922', '东六家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.686,42.3583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13469, 1250, '210902', '工人村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.647,41.9557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13470, 1250, '210902', '河北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.633,42.0166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13471, 1250, '210902', '西阜新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.614,41.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13472, 1250, '210902', '平安西部街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.596,41.9482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13473, 1250, '210902', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.681,42.0253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13474, 1250, '210902', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.656,42.0007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13475, 1250, '210902', '西山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.642,42.0146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13476, 1250, '210902', '五龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.661,41.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13477, 1250, '210902', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.656,42.0117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13478, 1250, '210902', '韩家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.614,41.9792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13479, 1251, '210911', '北苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.636,42.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13480, 1251, '210911', '中苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.64,42.0251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13481, 1251, '210911', '六家子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.674,42.0455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13482, 1251, '210911', '华东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.672,42.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13483, 1251, '210911', '东苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.672,42.0268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13484, 1251, '210911', '西苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.575,42.0145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13485, 1251, '210911', '学苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.669,42.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13486, 1251, '210911', '四合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.531,41.9791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13487, 1252, '210522', '八卦城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.363,41.2909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13488, 1252, '210522', '沙尖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.346,41.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13489, 1252, '210522', '雅河朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.279,41.1729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13490, 1252, '210522', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.506,41.5317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13491, 1252, '210522', '二棚甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.752,41.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13492, 1252, '210522', '五里甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.695,41.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13493, 1252, '210522', '普乐堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.027,41.1907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13494, 1252, '210522', '黑沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.15,41.4578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13495, 1252, '210522', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.262,41.0975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13496, 1252, '210522', '八里甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.734,41.1915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13497, 1252, '210522', '桓仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.393,41.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13498, 1252, '210522', '北甸子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.564,41.3972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13499, 1252, '210522', '华来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.862,41.4348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13500, 1253, '210503', '火连寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.764,41.4067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13501, 1253, '210503', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.759,41.3339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13502, 1253, '210503', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.729,41.3431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13503, 1253, '210503', '张其寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.797,41.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13504, 1253, '210503', '石桥子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.747,41.4658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13505, 1253, '210503', '竖井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.734,41.3274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13506, 1253, '210503', '日月岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.66,41.5294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13507, 1253, '210503', '彩北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.717,41.3225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13508, 1253, '210503', '彩屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.744,41.3065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13509, 1253, '210503', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.657,41.3435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13510, 1254, '210505', '铁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.798,41.0998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13511, 1254, '210505', '下马塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.66,40.9769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13512, 1254, '210505', '南芬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.767,41.1101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13513, 1254, '210505', '思山岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.811,41.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13514, 1254, '210505', '郭家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.808,41.0791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13515, 1255, '210502', '北台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.609,41.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13516, 1255, '210502', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.767,41.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13517, 1255, '210502', '工人街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.763,41.2774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13518, 1255, '210502', '桥头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.711,41.1579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13519, 1255, '210502', '千金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.689,41.2956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13520, 1255, '210502', '崔东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.764,41.2826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13521, 1255, '210502', '平山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.79,41.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13522, 1255, '210502', '东明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.768,41.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13523, 1255, '210502', '南地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.756,41.2769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13524, 1256, '210504', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.772,41.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13525, 1256, '210504', '北地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.751,41.3037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13526, 1256, '210504', '卧龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.834,41.3258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13527, 1256, '210504', '新明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.807,41.2707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13528, 1256, '210504', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.777,41.2615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13529, 1256, '210504', '高台子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.792,41.4646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13530, 1256, '210504', '高峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.795,41.3111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13531, 1256, '210504', '明山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.792,41.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13532, 1256, '210504', '牛心台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.872,41.3386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13533, 1257, '210521', '草河掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.997,41.1721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13534, 1257, '210521', '高官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.865,41.4086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13535, 1257, '210521', '碱厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.393,41.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13536, 1257, '210521', '小市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.15,41.2591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13537, 1257, '210521', '草河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.787,40.8518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13538, 1257, '210521', '田师傅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.265,41.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13539, 1257, '210521', '清河城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.315,41.5062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13540, 1257, '210521', '草河城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.912,40.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13541, 1257, '210521', '观音阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.048,41.3425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13542, 1257, '210521', '南甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.261,41.3244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13543, 1257, '210521', '连山关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.744,40.8965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13544, 1257, '210521', '东营房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.764,41.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13545, 1258, '211005', '安平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.503,41.1391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13546, 1258, '211005', '汤河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.444,41.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13547, 1258, '211005', '安平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.426,41.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13548, 1258, '211005', '团山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.456,41.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13549, 1258, '211005', '苏家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.458,41.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13550, 1259, '211081', '鸡冠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.66,41.2999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13551, 1259, '211081', '铧子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.446,41.4715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13552, 1259, '211081', '沈旦堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.121,41.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13553, 1259, '211081', '西大窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.4,41.3647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13554, 1259, '211081', '柳条寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.227,41.5577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13555, 1259, '211081', '大河南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.346,41.5119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13556, 1259, '211081', '烟台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.314,41.4379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13557, 1259, '211081', '柳河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.542,41.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13558, 1259, '211081', '张台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.364,41.3775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13559, 1259, '211081', '五星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.947,41.3856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13560, 1259, '211081', '佟二堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.188,41.4498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13561, 1259, '211081', '西马峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.267,41.3785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13562, 1259, '211081', '古城子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.225,41.4573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13563, 1259, '211081', '万宝桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.378,41.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13564, 1260, '211021', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.085,41.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13565, 1260, '211021', '黄泥洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.989,41.3607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13566, 1260, '211021', '甜水满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.661,41.0201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13567, 1260, '211021', '刘二堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.934,41.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13568, 1260, '211021', '吉洞峪满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.261,40.8329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13569, 1260, '211021', '小北河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.885,41.4233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13570, 1260, '211021', '唐马寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.667,41.2326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13571, 1260, '211021', '八会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.295,40.9091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13572, 1260, '211021', '柳壕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.888,41.2967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13573, 1260, '211021', '隆昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.061,40.8875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13574, 1260, '211021', '首山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.068,41.2234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13575, 1260, '211021', '下达河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.229,41.0537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13576, 1260, '211021', '河栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.377,41.0683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13577, 1260, '211021', '穆家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.87,41.1619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13578, 1260, '211021', '寒岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.558,41.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13579, 1261, '211002', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.169,41.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13580, 1261, '211002', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.22,41.259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13581, 1261, '211002', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.175,41.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13582, 1261, '211002', '襄平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.198,41.2662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13583, 1261, '211002', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.169,41.2684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13584, 1261, '211002', '卫国路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.159,41.2761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13585, 1261, '211002', '武圣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.179,41.2663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13586, 1261, '211002', '南门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.197,41.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13587, 1261, '211002', '星火街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.18,41.2792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13588, 1261, '211002', '文圣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.183,41.2592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13589, 1261, '211002', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.192,41.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13590, 1262, '211003', '东京陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.261,41.2631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13591, 1262, '211003', '小屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.377,41.2969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13592, 1262, '211003', '罗大台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.354,41.3714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13593, 1262, '211003', '庆阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.266,41.3024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13594, 1263, '211011', '东宁卫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.101,41.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13595, 1263, '211011', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.141,41.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13596, 1263, '211011', '沙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.029,41.3569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13597, 1263, '211011', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.189,41.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13598, 1263, '211011', '望水台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.186,41.3356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13599, 1263, '211011', '祁家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.059,41.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13600, 1264, '211004', '光华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.218,41.2214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13601, 1264, '211004', '长征街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.237,41.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13602, 1264, '211004', '曙光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.157,41.2379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13603, 1264, '211004', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.186,41.205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13604, 1264, '211004', '兰家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.145,41.1544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13605, 1264, '211004', '新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.21,41.1985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13606, 1265, '210321', '洪家农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.5,41.5579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13607, 1265, '210321', '桓洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.482,41.5348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13608, 1265, '210321', '桑林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.325,41.4708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13609, 1265, '210321', '台安县韭菜台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.44,41.0222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13610, 1265, '210321', '台东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.442,41.3898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13611, 1265, '210321', '新开河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.482,41.3557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13612, 1265, '210321', '八角台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.392,41.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13613, 1265, '210321', '台南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.425,41.3873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13614, 1265, '210321', '富家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.389,41.2779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13615, 1265, '210321', '西佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.628,41.5195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13616, 1265, '210321', '西平林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.351,41.4658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13617, 1265, '210321', '黄沙坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.599,41.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13618, 1265, '210321', '达牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.547,41.3487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13619, 1265, '210321', '新华农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.213,41.2178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13620, 1265, '210321', '高力房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.442,41.1972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13621, 1265, '210321', '台北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.425,41.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13622, 1265, '210321', '新台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.321,41.404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13623, 1266, '210323', '哈达碑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.934,40.3906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13624, 1266, '210323', '新甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.16,40.069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13625, 1266, '210323', '偏岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.111,40.4804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13626, 1266, '210323', '石灰窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.879,40.2827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13627, 1266, '210323', '三家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.5,40.8133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13628, 1266, '210323', '大营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.742,40.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13629, 1266, '210323', '苏子沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.339,40.3862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13630, 1266, '210323', '药山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.333,40.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13631, 1266, '210323', '清凉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.579,40.6363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13632, 1266, '210323', '岭沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.488,40.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13633, 1266, '210323', '黄花甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.417,40.5691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13634, 1266, '210323', '牧牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.137,40.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13635, 1266, '210323', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.241,40.304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13636, 1266, '210323', '大宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.279,40.2435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13637, 1266, '210323', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.891,40.1954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13638, 1266, '210323', '洋河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.473,40.0322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13639, 1266, '210323', '雅河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.287,40.2469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13640, 1266, '210323', '石庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.553,40.7242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13641, 1266, '210323', '杨家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.364,40.2573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13642, 1266, '210323', '阜昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.36,40.2738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13643, 1266, '210323', '前营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.951,40.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13644, 1266, '210323', '哨子河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.548,40.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13645, 1266, '210323', '红旗营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.353,40.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13646, 1266, '210323', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.74,40.5476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13647, 1266, '210323', '仙人咀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.269,40.2719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13648, 1266, '210323', '大房身镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.244,40.5274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13649, 1267, '210311', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.859,41.0324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13650, 1267, '210311', '汤岗子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.887,41.0561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13651, 1267, '210311', '东鞍山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.948,41.0039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13652, 1267, '210311', '唐家房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.946,41.0374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13653, 1267, '210311', '汤岗子牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.887,41.0044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13654, 1267, '210311', '甘泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.843,40.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13655, 1267, '210311', '对桩石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.01,41.0105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13656, 1268, '210303', '共和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.945,41.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13657, 1268, '210303', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.925,41.0937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13658, 1268, '210303', '大陆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.944,41.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13659, 1268, '210303', '宁远街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.839,41.0993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13660, 1268, '210303', '新陶官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.973,41.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13661, 1268, '210303', '八家子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.964,41.1283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13662, 1268, '210303', '繁荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.986,41.1139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13663, 1268, '210303', '南华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.953,41.0858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13664, 1268, '210303', '兴盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.959,41.1161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13665, 1268, '210303', '启明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.986,41.1744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13666, 1268, '210303', '永乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.944,41.1194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13667, 1268, '210303', '北陶官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.971,41.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13668, 1268, '210303', '永发街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.946,41.0705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13669, 1268, '210303', '达道湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.929,41.194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13670, 1269, '210302', '大孤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.06,41.069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13671, 1269, '210302', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.977,41.0949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13672, 1269, '210302', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.215,41.0416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13673, 1269, '210302', '园林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.031,41.1078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13674, 1269, '210302', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.986,41.1139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13675, 1269, '210302', '对炉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.995,41.1288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13676, 1269, '210302', '山南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.986,41.1051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13677, 1269, '210302', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.012,41.1093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13678, 1269, '210302', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.987,41.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13679, 1269, '210302', '东长甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123,41.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13680, 1269, '210302', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.017,41.0916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13681, 1269, '210302', '湖南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.004,41.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13682, 1269, '210302', '旧堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.06,41.069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13683, 1269, '210302', '常青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.003,41.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13684, 1269, '210302', '长甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.972,41.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13685, 1269, '210302', '钢城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.997,41.128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13686, 1269, '210302', '玉佛山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.023,41.1059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13687, 1270, '210304', '齐大山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.133,41.1639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13688, 1270, '210304', '曙光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.055,41.1557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13689, 1270, '210304', '双山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.018,41.148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13690, 1270, '210304', '立山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.032,41.1666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13691, 1270, '210304', '友好街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.002,41.132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13692, 1270, '210304', '千山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.07,41.0847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13693, 1270, '210304', '深北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.035,41.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13694, 1270, '210304', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.006,41.1892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13695, 1270, '210304', '灵山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.041,41.1921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13696, 1270, '210304', '汪峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.06,41.1353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13697, 1270, '210304', '深南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.022,41.1289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13698, 1270, '210304', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.029,41.1793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13699, 1270, '210304', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.032,41.1464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13700, 1271, '210381', '望台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.521,41.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13701, 1271, '210381', '西柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.591,40.8778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13702, 1271, '210381', '耿庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.615,40.9979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13703, 1271, '210381', '兴海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.833,40.8957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13704, 1271, '210381', '毛祁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.691,40.8272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13705, 1271, '210381', '接文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.962,40.6995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13706, 1271, '210381', '析木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.888,40.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13707, 1271, '210381', '牛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.484,40.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13708, 1271, '210381', '王石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.944,40.9102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13709, 1271, '210381', '海州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.814,40.7191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13710, 1271, '210381', '孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.922,40.535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13711, 1271, '210381', '西四镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.362,41.0021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13712, 1271, '210381', '感王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.538,40.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13713, 1271, '210381', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.798,41.0358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13714, 1271, '210381', '东四街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.562,40.9354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13715, 1271, '210381', '岔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.825,40.6691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13716, 1271, '210381', '验军街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.759,40.8631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13717, 1271, '210381', '响堂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.736,40.8571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13718, 1271, '210381', '英落镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.656,40.6473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13719, 1271, '210381', '马风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.989,40.8336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13720, 1271, '210381', '腾鳌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.881,41.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13721, 1271, '210381', '中小镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.499,40.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13722, 1271, '210381', '高坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.587,41.1015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13723, 1271, '210381', '温香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.446,41.0579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13724, 1271, '210381', '八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.764,40.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13725, 1271, '210381', '牌楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.786,40.7254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13726, 1271, '210381', '南台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.826,40.9537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13727, 1272, '211322', '小塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.689,41.743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13728, 1272, '211322', '杨树岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.756,41.8821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13729, 1272, '211322', '黑水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.565,42.1527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13730, 1272, '211322', '喀喇沁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.955,41.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13731, 1272, '211322', '昌隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.446,41.9415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13732, 1272, '211322', '榆树林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.824,41.5422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13733, 1272, '211322', '富山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.541,41.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13734, 1272, '211322', '张家营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.606,41.8628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13735, 1272, '211322', '义成功乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.517,42.0675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13736, 1272, '211322', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.653,41.4118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13737, 1272, '211322', '青松岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.933,41.8314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13738, 1272, '211322', '三家蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,41.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13739, 1272, '211322', '铁南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.642,41.3955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13740, 1272, '211322', '太平庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.326,41.857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13741, 1272, '211322', '奎德素镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.566,41.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13742, 1272, '211322', '热水国营畜牧农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.284,42.1684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13743, 1272, '211322', '万寿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.612,41.4369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13744, 1272, '211322', '叶柏寿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.638,41.4098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13745, 1272, '211322', '八家国营农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.328,41.9633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13746, 1272, '211322', '马场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.757,42.1292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13747, 1272, '211322', '哈拉道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.499,42.3721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13748, 1272, '211322', '建平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.628,41.9107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13749, 1272, '211322', '老官地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.247,42.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13750, 1272, '211322', '沙海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.397,41.5175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13751, 1272, '211322', '青峰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.659,41.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13752, 1272, '211322', '白山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.39,41.6589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13753, 1272, '211322', '深井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.733,41.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13754, 1272, '211322', '罗福沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.77,42.0394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13755, 1272, '211322', '朱碌科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.933,41.577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13756, 1272, '211322', '北二十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.678,42.1353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13757, 1272, '211322', '烧锅营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.657,42.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13758, 1273, '211381', '三宝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.943,42.1584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13759, 1273, '211381', '冠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.778,41.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13760, 1273, '211381', '大三家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.508,41.8126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13761, 1273, '211381', '大板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.886,41.7492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13762, 1273, '211381', '桥北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.754,41.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13763, 1273, '211381', '黑城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.925,42.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13764, 1273, '211381', '长皋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.077,41.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13765, 1273, '211381', '北塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.859,42.2508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13766, 1273, '211381', '台吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.721,41.8025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13767, 1273, '211381', '凉水河蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.77,41.7869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13768, 1273, '211381', '大黑山特别行政管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.446,42.0108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13769, 1273, '211381', '章吉营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.68,41.6067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13770, 1273, '211381', '三宝营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.813,41.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13771, 1273, '211381', '蒙古营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.714,41.993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13772, 1273, '211381', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.296,41.8975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13773, 1273, '211381', '西官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.404,41.966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13774, 1273, '211381', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.915,42.078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13775, 1273, '211381', '上园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.921,41.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13776, 1273, '211381', '双河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.747,41.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13777, 1273, '211381', '常河营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.147,41.6592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13778, 1273, '211381', '下府经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.821,41.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13779, 1273, '211381', '小塔子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.301,41.8682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13780, 1273, '211381', '泉巨永乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.855,42.0337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13781, 1273, '211381', '兴顺德国营农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.005,42.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13782, 1273, '211381', '哈尔脑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.396,41.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13783, 1273, '211381', '五间房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.784,41.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13784, 1273, '211381', '娄家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.575,42.101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13785, 1273, '211381', '南八家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.699,41.723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13786, 1273, '211381', '宝国老镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.916,42.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13787, 1273, '211381', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.758,41.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13788, 1273, '211381', '巴图营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.635,41.4993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13789, 1273, '211381', '马友营蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.067,41.9784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13790, 1273, '211381', '台吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.629,41.8276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13791, 1273, '211381', '三宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.885,41.7953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13792, 1273, '211381', '台吉营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.031,42.2399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13793, 1273, '211381', '北四家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.654,42.1107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13794, 1273, '211381', '东官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.471,42.0615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13795, 1274, '211321', '东大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.592,41.2507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13796, 1274, '211321', '瓦房子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.096,41.1065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13797, 1274, '211321', '六家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.299,41.054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13798, 1274, '211321', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.124,41.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13799, 1274, '211321', '乌兰河硕蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.881,41.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13800, 1274, '211321', '北四家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.303,41.344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13801, 1274, '211321', '杨树湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.92,41.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13802, 1274, '211321', '木头城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.19,41.3154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13803, 1274, '211321', '波罗赤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.897,41.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13804, 1274, '211321', '松岭门蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.764,41.2615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13805, 1274, '211321', '尚志乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.338,41.0991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13806, 1274, '211321', '南双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.412,41.4482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13807, 1274, '211321', '清风岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.254,41.2022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13808, 1274, '211321', '羊山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.382,41.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13809, 1274, '211321', '根德营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.58,41.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13810, 1274, '211321', '台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.247,41.2862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13811, 1274, '211321', '柳城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.408,41.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13812, 1274, '211321', '黑牛营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.291,41.1137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13813, 1274, '211321', '二十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.423,41.3467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13814, 1274, '211321', '王营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.456,41.0223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13815, 1274, '211321', '西营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.448,41.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13816, 1274, '211321', '西五家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.125,41.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13817, 1274, '211321', '国营朝阳县贾家店农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.035,41.5541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13818, 1274, '211321', '七道岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.745,41.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13819, 1274, '211321', '东大道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.912,41.5634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13820, 1274, '211321', '大庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.18,41.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13821, 1274, '211321', '古山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.347,41.8525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13822, 1274, '211321', '北沟门子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.013,41.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13823, 1275, '211302', '他拉皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.436,41.6617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13824, 1275, '211302', '凌河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.466,41.6057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13825, 1275, '211302', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.434,41.5899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13826, 1275, '211302', '孙家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.57,41.5183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13827, 1275, '211302', '桃花吐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.544,41.7562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13828, 1275, '211302', '北塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.452,41.5771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13829, 1275, '211302', '燕北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.468,41.5939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13830, 1275, '211302', '南塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.451,41.5726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13831, 1275, '211302', '站南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.438,41.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13832, 1275, '211302', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.441,41.5961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13833, 1275, '211302', '燕都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.482,41.6186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13834, 1275, '211302', '凌凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.46,41.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13835, 1275, '211302', '长宝营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.49,41.5852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13836, 1275, '211302', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.438,41.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13837, 1275, '211302', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.443,41.5791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13838, 1276, '211303', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.357,41.6287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13839, 1276, '211303', '联合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.119,41.5999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13840, 1276, '211303', '大平房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.3,41.4057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13841, 1276, '211303', '开发区龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.408,41.6271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13842, 1276, '211303', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.447,41.6114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13843, 1276, '211303', '半拉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.306,41.4519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13844, 1276, '211303', '召都巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.441,41.7032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13845, 1276, '211303', '海龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.403,41.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13846, 1276, '211303', '七道泉子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.46,41.629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13847, 1276, '211303', '西大营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.316,41.5773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13848, 1276, '211303', '马山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.321,41.6316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13849, 1276, '211303', '边杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.316,41.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13850, 1277, '211324', '老爷庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.805,40.9989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13851, 1277, '211324', '草场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.759,41.0843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13852, 1277, '211324', '中三家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.837,41.5431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13853, 1277, '211324', '山嘴子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.539,40.9734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13854, 1277, '211324', '冶金铸造工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.781,41.3817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13855, 1277, '211324', '羊角沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.909,41.116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13856, 1277, '211324', '白塔子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.641,40.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13857, 1277, '211324', '十二德堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.86,40.9625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13858, 1277, '211324', '兴隆庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.801,41.11', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13859, 1277, '211324', '卧虎沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.729,41.3029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13860, 1277, '211324', '六官营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.607,41.2183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13861, 1277, '211324', '东哨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.874,41.191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13862, 1277, '211324', '大营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.602,41.3143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13863, 1277, '211324', '尤杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.929,41.0512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13864, 1277, '211324', '水泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.89,41.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13865, 1277, '211324', '平房子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.628,41.0477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13866, 1277, '211324', '大城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.653,41.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13867, 1277, '211324', '南公营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.821,40.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13868, 1277, '211324', '甘招乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.785,41.3165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13869, 1277, '211324', '南哨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.729,41.1065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13870, 1277, '211324', '国营官大海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.6,41.1497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13871, 1277, '211324', '坤都营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.503,41.1096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13872, 1277, '211324', '公营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.759,41.3853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13873, 1278, '211382', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.436,41.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13874, 1278, '211382', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.382,41.1818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13875, 1278, '211382', '沟门子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.302,40.89', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13876, 1278, '211382', '兴源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.462,41.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13877, 1278, '211382', '四官营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.416,41.0856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13878, 1278, '211382', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.43,41.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13879, 1278, '211382', '北炉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.348,41.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13880, 1278, '211382', '万元店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.415,41.3224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13881, 1278, '211382', '杨杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.14,40.7406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13882, 1278, '211382', '三道河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.084,40.8709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13883, 1278, '211382', '大王杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.322,41.2121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13884, 1278, '211382', '刀尔登镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.11,40.8047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13885, 1278, '211382', '四合当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.418,40.8823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13886, 1278, '211382', '瓦房店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.402,41.1652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13887, 1278, '211382', '松岭子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.144,40.9641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13888, 1278, '211382', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.385,41.2321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13889, 1278, '211382', '热水汤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.41,41.3986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13890, 1278, '211382', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.383,41.2634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13891, 1278, '211382', '佛爷洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.205,40.762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13892, 1278, '211382', '大河北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.914,40.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13893, 1278, '211382', '牛营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.341,41.0703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13894, 1278, '211382', '乌兰白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.469,41.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13895, 1278, '211382', '河坎子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.359,40.7191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13896, 1278, '211382', '三家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.289,40.9094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13897, 1278, '211382', '前进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.061,40.9291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13898, 1278, '211382', '凌北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.359,41.2638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13899, 1278, '211382', '宋杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.217,41.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13900, 1278, '211382', '三十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.156,41.007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13901, 1278, '211382', '刘杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.101,40.9771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13902, 1278, '211382', '小城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.247,41.3244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13903, 1279, '420381', '丹赵路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.578,32.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13904, 1279, '420381', '武当山特区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.069,32.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13905, 1279, '420381', '土关垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.296,32.4443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13906, 1279, '420381', '凉水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.511,32.6763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13907, 1279, '420381', '习家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.079,32.7501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13908, 1279, '420381', '新港经济开发管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.508,32.5218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13909, 1279, '420381', '官山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.951,32.4253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13910, 1279, '420381', '三官殿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.401,32.5646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13911, 1279, '420381', '白杨坪林业开发管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.166,32.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13912, 1279, '420381', '蒿坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.335,32.7649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13913, 1279, '420381', '六里坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.913,32.6312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13914, 1279, '420381', '盐池河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.069,32.3841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13915, 1279, '420381', '均县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.956,32.7145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13916, 1279, '420381', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.265,32.507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13917, 1279, '420381', '石鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.43,32.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13918, 1279, '420381', '均州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.522,32.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13919, 1279, '420381', '浪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.301,32.4434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13920, 1279, '420381', '大沟林业开发管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.245,32.9261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13921, 1279, '420381', '大坝路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.511,32.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13922, 1279, '420381', '牛河林业开发管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.285,32.5287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13923, 1279, '420381', '丁家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.178,32.3979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13924, 1280, '420304', '梅铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.164,32.9236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13925, 1280, '420304', '谭家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.923,32.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13926, 1280, '420304', '南化塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.901,32.9984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13927, 1280, '420304', '谭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.159,33.0038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13928, 1280, '420304', '刘洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.046,33.1582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13929, 1280, '420304', '白桑关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.974,32.9801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13930, 1280, '420304', '叶大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.548,32.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13931, 1280, '420304', '青曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.628,32.9152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13932, 1280, '420304', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.709,32.8255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13933, 1280, '420304', '鲍峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.328,32.754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13934, 1280, '420304', '红岩背林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.441,32.6789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13935, 1280, '420304', '郧县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.842,32.8104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13936, 1280, '420304', '安阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.982,32.8513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13937, 1280, '420304', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.958,32.736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13938, 1280, '420304', '杨溪铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.008,32.8832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13939, 1280, '420304', '大柳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.753,33.1502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13940, 1280, '420304', '柳陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.715,32.827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13941, 1280, '420304', '胡家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.206,32.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13942, 1280, '420304', '五峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.437,32.8503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13943, 1280, '420304', '白浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.046,33.1775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13944, 1281, '420303', '车城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.756,32.6639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13945, 1281, '420303', '柏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.658,32.6015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13946, 1281, '420303', '西沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.598,32.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13947, 1281, '420303', '黄龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.448,32.6495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13948, 1281, '420303', '西城开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.664,32.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13949, 1281, '420303', '凤凰山茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.581,32.6116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13950, 1281, '420303', '汉江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.785,32.6567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13951, 1281, '420303', '方滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.617,32.7562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13952, 1281, '420303', '十堰工业新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.73,32.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13953, 1281, '420303', '红卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.732,32.6743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13954, 1281, '420303', '秦家坪林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.563,32.6025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13955, 1281, '420303', '花果街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.667,32.631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13956, 1282, '420302', '五堰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.781,32.669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13957, 1282, '420302', '鸳鸯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.907,32.5934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13958, 1282, '420302', '大川镇人民政府', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.602,32.4517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13959, 1282, '420302', '武当路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.792,32.5968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13960, 1282, '420302', '二堰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.724,32.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13961, 1282, '420302', '小川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.613,32.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13962, 1282, '420302', '茅塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.896,32.552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13963, 1282, '420302', '白浪开发区白浪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.842,32.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13964, 1283, '420324', '王家山茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.866,31.9288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13965, 1283, '420324', '望府座林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.81,31.9677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13966, 1283, '420324', '中峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.589,32.2584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13967, 1283, '420324', '天宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.885,31.9181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13968, 1283, '420324', '八卦山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.617,32.1121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13969, 1283, '420324', '县河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.99,32.2278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13970, 1283, '420324', '源茂林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.801,31.7772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13971, 1283, '420324', '丰溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.675,31.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13972, 1283, '420324', '九里岗林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.726,32.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13973, 1283, '420324', '汇湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.779,32.227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13974, 1283, '420324', '蒋家堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.594,32.2909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13975, 1283, '420324', '水坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.829,32.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13976, 1283, '420324', '岱王沟林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.781,32.118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13977, 1283, '420324', '桃源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.889,31.8958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13978, 1283, '420324', '龙王垭茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.74,32.2423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13979, 1283, '420324', '新洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.07,32.2015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13980, 1283, '420324', '渔种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.74,32.3146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13981, 1283, '420324', '龙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.593,32.43', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13982, 1283, '420324', '向坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.911,31.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13983, 1283, '420324', '天池垭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.753,32.2083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13984, 1283, '420324', '泉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.715,32.1166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13985, 1283, '420324', '兵营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.967,32.1347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13986, 1283, '420324', '国营竹溪综合农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.892,31.8172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13987, 1283, '420324', '竹溪县十八里长峡管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.756,31.5479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13988, 1283, '420324', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.697,32.321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13989, 1283, '420324', '标湖林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.614,32.4329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13990, 1283, '420324', '双竹林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.822,32.2626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13991, 1283, '420324', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.697,32.321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13992, 1283, '420324', '鄂坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.693,32.2451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13993, 1283, '420324', '种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.716,32.3244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13994, 1284, '420323', '上庸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.105,32.1374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13995, 1284, '420323', '溢水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.149,32.2676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13996, 1284, '420323', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.21,32.2844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13997, 1284, '420323', '双台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.09,32.6171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13998, 1284, '420323', '楼台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.207,32.3893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (13999, 1284, '420323', '文峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.405,32.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14000, 1284, '420323', '竹坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.633,32.552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14001, 1284, '420323', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.974,31.9042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14002, 1284, '420323', '潘口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.149,32.2943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14003, 1284, '420323', '深河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.226,32.1685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14004, 1284, '420323', '擂鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.829,32.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14005, 1284, '420323', '秦古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.781,32.4375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14006, 1284, '420323', '宝丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.948,32.2839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14007, 1284, '420323', '麻家渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.975,32.2348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14008, 1284, '420323', '柳林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.034,31.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14009, 1284, '420323', '得胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.849,32.5798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14010, 1284, '420323', '大庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.811,32.5293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14011, 1285, '420325', '姚坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.395,32.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14012, 1285, '420325', '中坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.201,32.0141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14013, 1285, '420325', '大木厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.577,32.483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14014, 1285, '420325', '国营杨岔山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.456,31.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14015, 1285, '420325', '国营毛家山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.202,32.0116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14016, 1285, '420325', '谭家湾水库管养所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.752,31.9614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14017, 1285, '420325', '门古寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.342,32.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14018, 1285, '420325', '野人谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.825,31.854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14019, 1285, '420325', '白鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.863,32.2983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14020, 1285, '420325', '万峪河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.173,32.2846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14021, 1285, '420325', '红塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.748,32.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14022, 1285, '420325', '青峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.993,32.0414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14023, 1285, '420325', '温泉风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.823,32.0145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14024, 1285, '420325', '沙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.127,32.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14025, 1285, '420325', '窑淮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.422,32.2132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14026, 1285, '420325', '化龙堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.528,32.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14027, 1285, '420325', '房县园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.665,32.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14028, 1285, '420325', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.71,32.0496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14029, 1285, '420325', '房县旱粮粮种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.711,32.0997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14030, 1285, '420325', '尹吉甫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.096,32.0017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14031, 1285, '420325', '国营九口山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.659,32.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14032, 1285, '420325', '九道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.249,31.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14033, 1285, '420325', '土城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.79,32.4249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14034, 1285, '420325', '上龛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.432,31.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14035, 1285, '420325', '国营代东河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.449,31.9483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14036, 1285, '420325', '回龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.624,32.0207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14037, 1285, '420325', '军店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.571,32.1904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14038, 1285, '420325', '五台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.834,31.9904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14039, 1285, '420325', '房县西蒿漆场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.606,31.8433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14040, 1286, '420322', '三官洞林区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.47,33.1743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14041, 1286, '420322', '安家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.534,33.0868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14042, 1286, '420322', '涧池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.252,32.8814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14043, 1286, '420322', '夹河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.034,32.9694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14044, 1286, '420322', '羊尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.111,32.8639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14045, 1286, '420322', '六郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.089,33.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14046, 1286, '420322', '观音镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.466,32.9025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14047, 1286, '420322', '河夹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.567,33.0006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14048, 1286, '420322', '马鞍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.159,33.0015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14049, 1286, '420322', '槐树林特场管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.937,33.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14050, 1286, '420322', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.905,33.0314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14051, 1286, '420322', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.394,33.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14052, 1286, '420322', '湖北口回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.607,33.236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14053, 1286, '420322', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.4,33.0073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14054, 1286, '420322', '香口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.336,33.1632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14055, 1286, '420322', '关防乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.668,33.1664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14056, 1286, '420322', '上津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.049,33.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14057, 1286, '420322', '景阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.774,32.9552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14058, 1286, '420322', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.402,33.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14059, 1287, '420684', '郑集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.276,31.5727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14060, 1287, '420684', '刘猴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.987,31.502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14061, 1287, '420684', '劳教所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.488,31.6435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14062, 1287, '420684', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.615,31.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14063, 1287, '420684', '大雁工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.226,31.5689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14064, 1287, '420684', '孔湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.248,31.6119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14065, 1287, '420684', '襄南监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.386,31.6873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14066, 1287, '420684', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.265,31.8992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14067, 1287, '420684', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.027,31.7917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14068, 1287, '420684', '南营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.252,31.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14069, 1287, '420684', '流水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.75,31.6115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14070, 1287, '420684', '雷河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.158,31.6635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14071, 1287, '420684', '鄢城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.232,31.666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14072, 1287, '420684', '宜城经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.26,31.672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14073, 1288, '420626', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.135,31.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14074, 1288, '420626', '过渡湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.209,31.9308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14075, 1288, '420626', '歇马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.055,31.427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14076, 1288, '420626', '马良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.231,31.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14077, 1288, '420626', '寺坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.996,31.9409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14078, 1288, '420626', '湖北保康经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.163,31.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14079, 1288, '420626', '后坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.118,31.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14080, 1288, '420626', '店垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.291,31.4429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14081, 1288, '420626', '黄堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.458,31.8668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14082, 1288, '420626', '龙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.406,31.709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14083, 1288, '420626', '两峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.302,31.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14084, 1288, '420626', '马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.915,31.8596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14085, 1289, '420683', '平林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.671,31.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14086, 1289, '420683', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.734,32.3636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14087, 1289, '420683', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.754,32.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14088, 1289, '420683', '环城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.816,32.188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14089, 1289, '420683', '枣阳经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.726,32.1104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14090, 1289, '420683', '七方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.493,32.2591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14091, 1289, '420683', '王城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.92,31.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14092, 1289, '420683', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.751,32.133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14093, 1289, '420683', '琚湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.474,32.113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14094, 1289, '420683', '刘升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.953,32.2024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14095, 1289, '420683', '鹿头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.97,32.2924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14096, 1289, '420683', '车河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.629,31.772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14097, 1289, '420683', '吴店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.746,31.8706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14098, 1289, '420683', '杨当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.582,32.3251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14099, 1289, '420683', '熊集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.729,31.9204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14100, 1289, '420683', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.873,32.3293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14101, 1289, '420683', '随阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.944,32.0536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14102, 1289, '420683', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.818,32.018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14103, 1290, '420625', '五山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.316,32.3713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14104, 1290, '420625', '南河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.464,32.199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14105, 1290, '420625', '薤山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.392,32.1891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14106, 1290, '420625', '石花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.395,32.4222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14107, 1290, '420625', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.553,32.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14108, 1290, '420625', '盛康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.522,32.2112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14109, 1290, '420625', '紫金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.398,32.1918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14110, 1290, '420625', '冷集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.474,32.3735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14111, 1290, '420625', '赵湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.308,31.9963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14112, 1290, '420625', '茨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.727,31.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14113, 1290, '420625', '庙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.652,32.1485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14114, 1291, '420624', '清河管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.918,31.7748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14115, 1291, '420624', '李庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.542,31.9957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14116, 1291, '420624', '长坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.461,31.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14117, 1291, '420624', '肖堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.722,31.5566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14118, 1291, '420624', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.734,31.7249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14119, 1291, '420624', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.502,31.4552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14120, 1291, '420624', '武安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.968,31.6545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14121, 1291, '420624', '巡检镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.568,31.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14122, 1291, '420624', '薛坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.59,31.6974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14123, 1291, '420624', '九集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.831,31.9558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14124, 1291, '420624', '东巩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.811,31.4277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14125, 1292, '420682', '竹林桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.793,32.48', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14126, 1292, '420682', '酂阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.687,32.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14127, 1292, '420682', '薛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.973,32.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14128, 1292, '420682', '孟楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.838,32.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14129, 1292, '420682', '袁冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.721,32.449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14130, 1292, '420682', '李楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.723,32.3944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14131, 1292, '420682', '百花山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.722,32.3832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14132, 1292, '420682', '仙人渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.813,32.2654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14133, 1292, '420682', '洪山嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.604,32.6103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14134, 1292, '420682', '蔬菜原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.693,32.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14135, 1292, '420682', '光化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.693,32.413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14136, 1292, '420682', '林茂山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.642,32.5708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14137, 1292, '420682', '张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.937,32.3788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14138, 1292, '420682', '二房营原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.883,32.3821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14139, 1293, '420602', '欧庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.019,31.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14140, 1293, '420602', '昭明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.166,32.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14141, 1293, '420602', '隆中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.032,32.0163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14142, 1293, '420602', '王府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.163,32.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14143, 1293, '420602', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.94,32.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14144, 1293, '420602', '庞公街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.167,32.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14145, 1293, '420602', '檀溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.102,32.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14146, 1293, '420602', '余家湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.161,31.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14147, 1293, '420602', '尹集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.03,31.9421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14148, 1294, '420606', '汉江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.133,32.0503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14149, 1294, '420606', '柿铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.079,32.0963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14150, 1294, '420606', '米公街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.136,32.0435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14151, 1294, '420606', '屏襄门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.169,32.0477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14152, 1294, '420606', '清河口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.165,32.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14153, 1294, '420606', '王寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.112,32.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14154, 1294, '420606', '高新区紫贞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.13,32.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14155, 1294, '420606', '鱼梁洲开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.217,32.0668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14156, 1294, '420606', '中原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.148,32.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14157, 1294, '420606', '定中门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.151,32.0454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14158, 1294, '420606', '牛首镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.948,32.1537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14159, 1294, '420606', '高新区东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.188,32.1444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14160, 1294, '420606', '高新区米庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.186,32.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14161, 1294, '420606', '高新区七里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.142,32.0712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14162, 1294, '420606', '高新区汽车工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.174,32.1282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14163, 1294, '420606', '高新区高新技术创业服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.129,32.0775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14164, 1294, '420606', '高新区高新技术产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.087,32.101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14165, 1294, '420606', '太平店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.936,32.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14166, 1294, '420606', '高新区团山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.12,32.0721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14167, 1294, '420606', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.838,32.1609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14168, 1295, '420607', '深圳工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.212,32.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14169, 1295, '420607', '双沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.357,32.235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14170, 1295, '420607', '刘集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.209,32.1023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14171, 1295, '420607', '龙王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.828,32.207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14172, 1295, '420607', '襄阳区经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.135,32.1621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14173, 1295, '420607', '朱集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.42,32.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14174, 1295, '420607', '古驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.269,32.3539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14175, 1295, '420607', '峪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.437,32.0603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14176, 1295, '420607', '东津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.304,32.0958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14177, 1295, '420607', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.955,32.392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14178, 1295, '420607', '黄龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.417,31.9684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14179, 1295, '420607', '程河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,32.3504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14180, 1295, '420607', '张家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.478,32.1209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14181, 1295, '420607', '伙牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.132,32.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14182, 1295, '420607', '张湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.228,32.1038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14183, 1295, '420607', '黄集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.159,32.3919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14184, 1295, '420607', '襄北农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.147,32.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14185, 1296, '420525', '洋坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.5,31.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14186, 1296, '420525', '花林寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.568,31.0687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14187, 1296, '420525', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.558,31.1541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14188, 1296, '420525', '茅坪场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.606,31.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14189, 1296, '420525', '鸣凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.634,31.0877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14190, 1296, '420525', '河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.75,31.3495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14191, 1296, '420525', '荷花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.369,31.1486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14192, 1297, '420526', '榛子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.054,31.4373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14193, 1297, '420526', '峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.726,31.1562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14194, 1297, '420526', '高桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.538,31.2526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14195, 1297, '420526', '昭君镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.719,31.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14196, 1297, '420526', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.631,31.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14197, 1297, '420526', '黄粮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.803,31.384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14198, 1297, '420526', '古夫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.875,31.5041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14199, 1297, '420526', '水月寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.018,31.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14200, 1298, '420582', '当阳市王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.765,30.6797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14201, 1298, '420582', '当阳市两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.908,30.6613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14202, 1298, '420582', '当阳市育溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.915,31.1774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14203, 1298, '420582', '当阳市庙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.734,31.0163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14204, 1298, '420582', '当阳市玉泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.644,30.8162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14205, 1298, '420582', '当阳市草埠湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.925,30.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14206, 1298, '420582', '当阳市河溶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.071,30.6931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14207, 1298, '420582', '当阳市坝陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.87,30.8377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14208, 1298, '420582', '当阳市玉阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.777,30.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14209, 1298, '420582', '当阳市半月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.808,30.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14210, 1299, '420527', '郭家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.659,30.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14211, 1299, '420527', '屈原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.912,31.0837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14212, 1299, '420527', '磨坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.334,30.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14213, 1299, '420527', '杨林桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.745,30.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14214, 1299, '420527', '茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.9,30.8855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14215, 1299, '420527', '九畹溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.705,30.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14216, 1299, '420527', '泄滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.507,31.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14217, 1299, '420527', '归州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.722,31.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14218, 1299, '420527', '沙镇溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.445,30.9696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14219, 1299, '420527', '梅家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.43,30.9251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14220, 1299, '420527', '两河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.559,30.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14221, 1299, '420527', '水田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.726,31.1566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14222, 1300, '420528', '龙舟坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.196,30.5946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14223, 1300, '420528', '都镇湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.912,30.4149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14224, 1300, '420528', '大堰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.105,30.207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14225, 1300, '420528', '贺家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.86,30.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14226, 1300, '420528', '渔峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.378,30.4011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14227, 1300, '420528', '资丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.588,30.5108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14228, 1300, '420528', '火烧坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.747,30.4599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14229, 1300, '420528', '鸭子口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.866,30.517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14230, 1300, '420528', '高家堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.991,30.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14231, 1300, '420528', '磨市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.321,30.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14232, 1300, '420528', '榔坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.51,30.7353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14233, 1301, '420504', '点军街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.243,30.7083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14234, 1301, '420504', '桥边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.13,30.6999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14235, 1301, '420504', '联棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.206,30.595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14236, 1301, '420504', '土城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.983,30.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14237, 1301, '420504', '艾家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.281,30.5915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14238, 1302, '420505', '云池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.466,30.5516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14239, 1302, '420505', '古老背街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.437,30.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14240, 1302, '420505', '虎牙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.439,30.6286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14241, 1303, '420503', '万寿桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.302,30.686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14242, 1303, '420503', '宝塔河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.328,30.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14243, 1303, '420503', '伍家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.343,30.6657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14244, 1303, '420503', '大公桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.293,30.6925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14245, 1303, '420503', '伍家岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.35,30.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14246, 1304, '420581', '王家畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.118,30.1974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14247, 1304, '420581', '高坝洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.33,30.4468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14248, 1304, '420581', '红花套镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.258,30.547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14249, 1304, '420581', '松木坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.593,30.1614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14250, 1304, '420581', '潘家湾土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.17,30.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14251, 1304, '420581', '五眼泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.313,30.3764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14252, 1304, '420581', '陆城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.431,30.4132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14253, 1304, '420581', '姚家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.428,30.4108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14254, 1304, '420581', '聂家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.299,30.3092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14255, 1304, '420581', '松宜矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.483,30.1287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14256, 1304, '420581', '枝城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.51,30.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14257, 1305, '420529', '采花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.556,30.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14258, 1305, '420529', '付家堰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.508,30.4068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14259, 1305, '420529', '湾潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.317,30.0287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14260, 1305, '420529', '长乐坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.71,30.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14261, 1305, '420529', '五峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.64,30.329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14262, 1305, '420529', '仁和坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.097,30.1086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14263, 1305, '420529', '牛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.264,30.2226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14264, 1305, '420529', '渔洋关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.937,30.2657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14265, 1306, '420583', '安福寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.524,30.504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14266, 1306, '420583', '百里洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.638,30.3177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14267, 1306, '420583', '董市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.593,30.3829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14268, 1306, '420583', '问安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.815,30.583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14269, 1306, '420583', '马家店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.745,30.4676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14270, 1306, '420583', '七星台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.918,30.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14271, 1306, '420583', '仙女镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.68,30.5676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14272, 1306, '420583', '顾家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.57,30.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14273, 1306, '420583', '白洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.531,30.4962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14274, 1307, '420506', '三斗坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.02,30.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14275, 1307, '420506', '太平溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.978,30.9513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14276, 1307, '420506', '樟村坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.176,31.4421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14277, 1307, '420506', '三峡坝区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.066,30.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14278, 1307, '420506', '黄花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.189,30.934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14279, 1307, '420506', '雾渡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.316,31.2617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14280, 1307, '420506', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.474,30.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14281, 1307, '420506', '下堡坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.018,31.0675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14282, 1307, '420506', '乐天溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.036,30.8388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14283, 1307, '420506', '小溪塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.351,30.793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14284, 1307, '420506', '鸦鹊岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.585,30.6816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14285, 1307, '420506', '邓村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.916,31.0607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14286, 1307, '420506', '分乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.525,30.971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14287, 1307, '420506', '夷陵经济开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.352,30.7896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14288, 1308, '420502', '窑湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.292,30.7556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14289, 1308, '420502', '东苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.347,30.7317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14290, 1308, '420502', '窑湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.347,30.716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14291, 1308, '420502', '西坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.281,30.7551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14292, 1308, '420502', '学院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.292,30.7067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14293, 1308, '420502', '葛洲坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.287,30.7141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14294, 1308, '420502', '西陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.314,30.728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14295, 1308, '420502', '云集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.289,30.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14296, 1308, '420502', '北苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.324,30.718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14297, 1308, '420502', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.316,30.6991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14298, 1308, '420502', '夜明珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.316,30.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14299, 1309, '420802', '泉口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.183,31.0768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14300, 1309, '420802', '石桥驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,31.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14301, 1309, '420802', '栗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.945,31.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14302, 1309, '420802', '子陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.241,31.2258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14303, 1309, '420802', '马河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.877,31.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14304, 1309, '420802', '仙居乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.122,31.3656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14305, 1309, '420802', '漳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.987,31.1019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14306, 1309, '420802', '牌楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.34,31.0734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14307, 1309, '420802', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.185,31.0312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14308, 1309, '420802', '东宝工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.952,31.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14309, 1310, '420881', '文集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.543,31.0887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14310, 1310, '420881', '石门水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,31.1161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14311, 1310, '420881', '磷矿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.332,31.2683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14312, 1310, '420881', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.148,31.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14313, 1310, '420881', '盘石岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.755,31.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14314, 1310, '420881', '柴湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.602,31.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14315, 1310, '420881', '钟祥市官庄湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.611,31.2779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14316, 1310, '420881', '洋梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.752,31.2754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14317, 1310, '420881', '大口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.828,31.1502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14318, 1310, '420881', '胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.288,31.5431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14319, 1310, '420881', '东桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.807,31.147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14320, 1310, '420881', '湖北钟祥经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.65,31.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14321, 1310, '420881', '长寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.567,31.5611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14322, 1310, '420881', '客店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.843,31.4236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14323, 1310, '420881', '湖北钟祥胡集经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.195,31.5176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14324, 1310, '420881', '罗汉寺种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.676,31.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14325, 1310, '420881', '郢中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.617,31.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14326, 1310, '420881', '温峡水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.744,31.4056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14327, 1310, '420881', '旧口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.624,30.9451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14328, 1310, '420881', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.338,31.0766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14329, 1310, '420881', '长滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.679,31.0836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14330, 1310, '420881', '南湖原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.603,31.1205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14331, 1310, '420881', '双桥原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.715,31.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14332, 1310, '420881', '张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.778,31.6055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14333, 1310, '420881', '黄坡水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.674,31.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14334, 1310, '420881', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.494,31.4924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14335, 1310, '420881', '康桥湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.482,30.932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14336, 1310, '420881', '东岳种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.647,31.1554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14337, 1310, '420881', '九里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.63,31.0706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14338, 1310, '420881', '石牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.466,30.908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14339, 1311, '420882', '绿林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.057,31.4159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14340, 1311, '420882', '三阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.197,31.2654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14341, 1311, '420882', '屈家岭经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.866,30.833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14342, 1311, '420882', '长滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,30.9895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14343, 1311, '420882', '原种场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.087,31.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14344, 1311, '420882', '孙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.916,31.2054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14345, 1311, '420882', '永隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.822,30.8603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14346, 1311, '420882', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.166,31.0146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14347, 1311, '420882', '杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.935,31.3237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14348, 1311, '420882', '宋河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.199,31.265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14349, 1311, '420882', '坪坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.349,31.307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14350, 1311, '420882', '罗店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.423,31.0104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14351, 1311, '420882', '易家岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.927,30.7302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14352, 1311, '420882', '曹武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.285,31.072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14353, 1311, '420882', '太子山', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.903,30.999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14354, 1311, '420882', '温泉新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.131,31.0071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14355, 1311, '420882', '钱场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.126,30.9422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14356, 1311, '420882', '何集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.817,30.8828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14357, 1311, '420882', '雁门口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.019,30.8555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14358, 1311, '420882', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.833,30.9668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14359, 1311, '420882', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.16,31.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14360, 1311, '420882', '新市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.121,31.0108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14361, 1311, '420882', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.049,30.9797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14362, 1312, '420804', '双喜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,31.0035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14363, 1312, '420804', '掇刀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.14,30.9057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14364, 1312, '420804', '团林铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.151,30.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14365, 1312, '420804', '麻城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.328,30.8853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14366, 1312, '420804', '荆门经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.172,30.9207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14367, 1312, '420804', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.197,30.9665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14368, 1312, '420804', '白庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.28,30.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14369, 1313, '420822', '高阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.452,30.7911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14370, 1313, '420822', '拾回桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.22,30.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14371, 1313, '420822', '十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.104,30.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14372, 1313, '420822', '后港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.411,30.6381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14373, 1313, '420822', '沙洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.601,30.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14374, 1313, '420822', '沙洋监狱管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.586,30.7159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14375, 1313, '420822', '马良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.565,30.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14376, 1313, '420822', '曾集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.352,30.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14377, 1313, '420822', '五里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.062,30.6853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14378, 1313, '420822', '纪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.211,30.5705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14379, 1313, '420822', '毛李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,30.604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14380, 1313, '420822', '李市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.62,30.5199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14381, 1313, '420822', '官当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.563,30.5239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14382, 1313, '420822', '沈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.486,30.8599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14383, 1314, '421181', '盐田河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.172,30.9986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14384, 1314, '421181', '狮子峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.36,31.4015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14385, 1314, '421181', '阎家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.131,31.2501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14386, 1314, '421181', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.032,31.1811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14387, 1314, '421181', '麻城明山水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.146,31.0069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14388, 1314, '421181', '麻城浮桥河水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.876,31.19', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14389, 1314, '421181', '夫子河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.013,30.9262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14390, 1314, '421181', '福田河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.115,31.5317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14391, 1314, '421181', '铁路生活区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.977,31.1538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14392, 1314, '421181', '铁门岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.889,30.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14393, 1314, '421181', '龟山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.199,31.1184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14394, 1314, '421181', '张家畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.391,31.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14395, 1314, '421181', '黄土岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.085,31.4152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14396, 1314, '421181', '宋埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.793,31.2275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14397, 1314, '421181', '白果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.978,30.9978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14398, 1314, '421181', '麻城林店茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.813,31.3462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14399, 1314, '421181', '五脑山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.969,31.2176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14400, 1314, '421181', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.963,31.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14401, 1314, '421181', '中馆驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.897,31.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14402, 1314, '421181', '宋埠良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.775,31.0625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14403, 1314, '421181', '木子店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.43,31.2015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14404, 1314, '421181', '龙池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.018,31.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14405, 1314, '421181', '湖北省麻城开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.977,31.1572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14406, 1314, '421181', '歧亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.715,30.9794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14407, 1314, '421181', '顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.914,31.478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14408, 1314, '421181', '乘马岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.914,31.478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14409, 1314, '421181', '麻城三河水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.278,31.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14410, 1314, '421181', '龟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.283,31.2032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14411, 1314, '421181', '三河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.256,31.3694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14412, 1315, '421121', '杜皮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.031,30.7496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14413, 1315, '421121', '但店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.099,30.7673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14414, 1315, '421121', '淋山河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.899,30.7169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14415, 1315, '421121', '总路咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.025,30.7449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14416, 1315, '421121', '回龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.976,30.6488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14417, 1315, '421121', '上巴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.087,30.6802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14418, 1315, '421121', '贾庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.053,30.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14419, 1315, '421121', '金锣港农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.856,30.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14420, 1315, '421121', '方高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.921,30.7299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14421, 1315, '421121', '马曹庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.988,30.716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14422, 1315, '421121', '黄湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.827,30.693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14423, 1315, '421121', '团风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.844,30.6603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14424, 1316, '421102', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.89,30.4745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14425, 1316, '421102', '堵城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.921,30.584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14426, 1316, '421102', '禹王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.889,30.5346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14427, 1316, '421102', '陈策楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.002,30.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14428, 1316, '421102', '路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.917,30.5238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14429, 1316, '421102', '火车站开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.995,30.582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14430, 1316, '421102', '赤壁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,30.4627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14431, 1316, '421102', '陶店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.922,30.5193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14432, 1316, '421102', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.984,30.4536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14433, 1316, '421102', '黄冈经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.902,30.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14434, 1317, '421126', '横车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.357,30.2601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14435, 1317, '421126', '蕲州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.403,30.1378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14436, 1317, '421126', '株林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.498,30.3147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14437, 1317, '421126', '八里湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.382,30.1561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14438, 1317, '421126', '刘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.582,30.3439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14439, 1317, '421126', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.757,30.5772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14440, 1317, '421126', '管窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.32,30.2304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14441, 1317, '421126', '青石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.693,30.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14442, 1317, '421126', '彭思镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.341,30.2669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14443, 1317, '421126', '张榜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.765,30.4822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14444, 1317, '421126', '向桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.77,30.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14445, 1317, '421126', '檀林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.806,30.586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14446, 1317, '421126', '狮子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.58,30.4568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14447, 1317, '421126', '赤东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.363,30.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14448, 1317, '421126', '李时珍医药工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.449,30.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14449, 1317, '421126', '漕河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.457,30.2142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14450, 1318, '421125', '绿杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.581,30.5814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14451, 1318, '421125', '策湖养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.178,30.2653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14452, 1318, '421125', '汪岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.155,30.6643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14453, 1318, '421125', '清泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.165,30.4223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14454, 1318, '421125', '丁司垱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.245,30.3745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14455, 1318, '421125', '巴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.121,30.5238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14456, 1318, '421125', '兰溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.174,30.3245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14457, 1318, '421125', '竹瓦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.145,30.615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14458, 1318, '421125', '蔡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.439,30.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14459, 1318, '421125', '三角山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.546,30.5049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14460, 1318, '421125', '洗马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.396,30.4547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14461, 1318, '421125', '关口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.249,30.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14462, 1318, '421125', '经济开发区镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.249,30.4056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14463, 1318, '421125', '白莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.511,30.5512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14464, 1318, '421125', '散花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.254,30.2922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14465, 1318, '421125', '团陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.239,30.6217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14466, 1319, '421124', '陶家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.989,30.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14467, 1319, '421124', '英山县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.642,30.7257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14468, 1319, '421124', '雷家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.847,30.9979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14469, 1319, '421124', '吴家山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.813,31.0839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14470, 1319, '421124', '孔家坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.543,30.8131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14471, 1319, '421124', '方家咀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.581,30.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14472, 1319, '421124', '杨柳湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.86,30.8519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14473, 1319, '421124', '桃花冲林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.065,30.9782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14474, 1319, '421124', '金家铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.632,30.9484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14475, 1319, '421124', '五峰山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,31.0894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14476, 1319, '421124', '石头咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.797,31.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14477, 1319, '421124', '南河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.664,30.6324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14478, 1319, '421124', '草盘地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.957,31.0458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14479, 1319, '421124', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.683,30.7536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14480, 1319, '421124', '红山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.725,30.8274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14481, 1320, '421122', '华河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.583,31.5038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14482, 1320, '421122', '杏花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.623,31.3346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14483, 1320, '421122', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.542,31.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14484, 1320, '421122', '太平桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.702,30.9712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14485, 1320, '421122', '觅儿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.575,31.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14486, 1320, '421122', '永河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.656,31.0897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14487, 1320, '421122', '火连畈茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.67,31.399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14488, 1320, '421122', '八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.581,31.0932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14489, 1320, '421122', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.625,31.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14490, 1320, '421122', '二程镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,31.3138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14491, 1320, '421122', '七里坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.576,31.4249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14492, 1320, '421122', '上新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.45,31.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14493, 1320, '421122', '天台山旅游开发管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.593,31.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14494, 1321, '421127', '下新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.005,29.9021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14495, 1321, '421127', '小池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.964,29.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14496, 1321, '421127', '洋湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.934,29.9413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14497, 1321, '421127', '孔垄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.899,29.9126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14498, 1321, '421127', '独山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,30.1262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14499, 1321, '421127', '蔡山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.842,29.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14500, 1321, '421127', '黄梅县农业开发总公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.968,29.9986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14501, 1321, '421127', '青泥湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.108,29.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14502, 1321, '421127', '濯港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.865,30.0628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14503, 1321, '421127', '五祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.909,30.2465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14504, 1321, '421127', '分路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.948,29.8252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14505, 1321, '421127', '苦竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.843,30.1371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14506, 1321, '421127', '严家闸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.992,29.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14507, 1321, '421127', '芦柴湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.898,29.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14508, 1321, '421127', '柳林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.943,30.3066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14509, 1321, '421127', '塞湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,29.8473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14510, 1321, '421127', '黄梅县农科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,29.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14511, 1321, '421127', '湖北龙感湖工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.984,29.8912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14512, 1321, '421127', '黄梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.884,30.0827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14513, 1321, '421127', '春港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.008,29.8773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14514, 1321, '421127', '刘佐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.099,29.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14515, 1321, '421127', '新开镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.838,29.8422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14516, 1321, '421127', '沙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.986,29.8973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14517, 1321, '421127', '挪步园风景管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.833,30.2343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14518, 1321, '421127', '停前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.966,30.2366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14519, 1321, '421127', '杉木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.963,30.1639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14520, 1321, '421127', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.848,30.1475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14521, 1322, '421182', '四望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.518,30.084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14522, 1322, '421182', '田镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.404,29.9536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14523, 1322, '421182', '石佛寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.664,30.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14524, 1322, '421182', '大金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.642,30.0427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14525, 1322, '421182', '梅川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.603,30.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14526, 1322, '421182', '武穴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.564,29.8655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14527, 1322, '421182', '大法寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.418,29.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14528, 1322, '421182', '万丈湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.632,29.8774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14529, 1322, '421182', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.683,29.9859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14530, 1322, '421182', '龙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.736,29.8577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14531, 1322, '421182', '刊江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.591,29.911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14532, 1322, '421182', '余川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.645,30.1541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14533, 1323, '421123', '天堂寨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.716,31.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14534, 1323, '421123', '大河岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,30.9269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14535, 1323, '421123', '河铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.481,31.0852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14536, 1323, '421123', '白莲河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.454,30.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14537, 1323, '421123', '青苔关林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.702,31.1679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14538, 1323, '421123', '九资河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.665,31.2018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14539, 1323, '421123', '三里畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.271,30.9157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14540, 1323, '421123', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.526,31.2545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14541, 1323, '421123', '白庙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.693,31.028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14542, 1323, '421123', '薄刀峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.535,31.1225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14543, 1323, '421123', '黄狮寨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.532,31.1776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14544, 1323, '421123', '罗田县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.365,30.7586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14545, 1323, '421123', '骆驼坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.444,30.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14546, 1323, '421123', '大崎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.287,30.89', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14547, 1323, '421123', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.548,30.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14548, 1323, '421123', '平湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.347,30.9537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14549, 1323, '421123', '匡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.498,30.6136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14550, 1352, '420923', '隔蒲潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.755,30.9867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14551, 1352, '420923', '倒店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.745,31.1395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14552, 1352, '420923', '义堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.745,31.093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14553, 1352, '420923', '吴铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.798,31.0004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14554, 1352, '420923', '曾店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.746,31.1219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14555, 1352, '420923', '道桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.788,30.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14556, 1352, '420923', '胡金店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.635,31.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14557, 1352, '420923', '清明河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.643,31.0522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14558, 1352, '420923', '下辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.854,30.7662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14559, 1352, '420923', '伍洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.792,30.9963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14560, 1352, '420923', '沙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.865,30.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14561, 1352, '420923', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,31.045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14562, 1352, '420923', '县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.791,31.0344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14563, 1353, '420981', '杨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.609,31.1164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14564, 1353, '420981', '四里棚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.614,30.9889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14565, 1353, '420981', '义和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.517,30.8126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14566, 1353, '420981', '杨岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.399,30.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14567, 1353, '420981', '汤池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.363,30.9296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14568, 1353, '420981', '陈河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.408,30.8465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14569, 1353, '420981', '天鹅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,30.8209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14570, 1353, '420981', '郎君镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.641,30.8989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14571, 1353, '420981', '黄滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.645,30.9104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14572, 1353, '420981', '经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.563,30.9241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14573, 1353, '420981', '东马坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.68,30.9555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14574, 1353, '420981', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.646,31.038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14575, 1353, '420981', '南垸良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.577,30.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14576, 1353, '420981', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.544,31.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14577, 1353, '420981', '田店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.488,31.1119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14578, 1353, '420981', '长江埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.767,30.8849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14579, 1353, '420981', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.572,30.9584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14580, 1354, '420902', '孝南区闵集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.09,30.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14581, 1354, '420902', '孝南区毛陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.949,30.8221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14582, 1354, '420902', '孝南区东山头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.995,30.7863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14583, 1354, '420902', '孝南区新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.903,30.9142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14584, 1354, '420902', '孝南区朋兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.908,31.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14585, 1354, '420902', '孝南区西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.06,31.0411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14586, 1354, '420902', '孝南区经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.921,30.9767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14587, 1354, '420902', '孝南区广场街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.936,30.9282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14588, 1354, '420902', '孝南区肖港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.945,31.1439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14589, 1354, '420902', '孝南区卧龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.863,30.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14590, 1354, '420902', '孝南区祝站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.159,30.9056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14591, 1354, '420902', '孝南区杨店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.19,31.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14592, 1354, '420902', '孝感开发区槐荫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.948,30.9209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14593, 1354, '420902', '孝感开发区丹阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.93,30.9299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14594, 1354, '420902', '孝南区书院街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,30.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14595, 1354, '420902', '孝南区朱湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.963,30.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14596, 1354, '420902', '孝南区新铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.984,31.0263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14597, 1354, '420902', '孝南区车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,30.9374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14598, 1354, '420902', '孝感开发区孝天街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.949,30.9442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14599, 1354, '420902', '孝南区三汊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.013,30.9576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14600, 1354, '420902', '孝南区陡岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.834,31.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14601, 1355, '420984', '韩集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.562,30.6941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14602, 1355, '420984', '马鞍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.879,30.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14603, 1355, '420984', '西江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.675,30.4847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14604, 1355, '420984', '南河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.739,30.5489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14605, 1355, '420984', '分水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.627,30.6222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14606, 1355, '420984', '新堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.395,30.684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14607, 1355, '420984', '里潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.534,30.6145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14608, 1355, '420984', '刘家隔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.799,30.7054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14609, 1355, '420984', '麻河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.749,30.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14610, 1355, '420984', '杨林沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.728,30.5074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14611, 1355, '420984', '汈汊湖养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.679,30.6632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14612, 1355, '420984', '湾潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.742,30.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14613, 1355, '420984', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.532,30.5928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14614, 1355, '420984', '脉旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.567,30.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14615, 1355, '420984', '庙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.773,30.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14616, 1355, '420984', '国营中洲农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.461,30.6256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14617, 1355, '420984', '马口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.832,30.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14618, 1355, '420984', '垌塚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.38,30.8534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14619, 1355, '420984', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.852,30.7696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14620, 1355, '420984', '城隍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.712,30.6474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14621, 1355, '420984', '汉川市经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.86,30.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14622, 1355, '420984', '仙女山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.849,30.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14623, 1355, '420984', '田二河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.533,30.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14624, 1355, '420984', '汈东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.806,30.6931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14625, 1355, '420984', '华严农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.712,30.6588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14626, 1355, '420984', '三星垸原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.595,30.6197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14627, 1355, '420984', '沉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.52,30.5048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14628, 1356, '420921', '双峰山旅游渡假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.211,31.2086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14629, 1356, '420921', '小悟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.216,31.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14630, 1356, '420921', '陡山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.021,31.2291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14631, 1356, '420921', '王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.976,31.4177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14632, 1356, '420921', '周巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.078,31.2292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14633, 1356, '420921', '邹岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.133,31.0987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14634, 1356, '420921', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.065,31.3846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14635, 1356, '420921', '季店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.957,31.2987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14636, 1356, '420921', '观音湖生态文化旅游渡假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.201,31.3559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14637, 1356, '420921', '卫店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,31.3853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14638, 1356, '420921', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.981,31.2418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14639, 1356, '420921', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.852,31.1476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14640, 1356, '420921', '丰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.129,31.1313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14641, 1356, '420921', '花西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.839,31.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14642, 1356, '420921', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.978,31.2537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14643, 1357, '420922', '三里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.292,31.7356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14644, 1357, '420922', '夏店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.341,31.4386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14645, 1357, '420922', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.19,31.6457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14646, 1357, '420922', '宣化店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,31.7383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14647, 1357, '420922', '吕王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,31.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14648, 1357, '420922', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.348,31.4128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14649, 1357, '420922', '芳畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.099,31.4725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14650, 1357, '420922', '黄站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.46,31.6243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14651, 1357, '420922', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,31.5508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14652, 1357, '420922', '彭店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.387,31.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14653, 1357, '420922', '高店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.288,31.6273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14654, 1357, '420922', '东新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.228,31.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14655, 1357, '420922', '四姑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.393,31.4558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14656, 1357, '420922', '阳平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.097,31.5214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14657, 1357, '420922', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.144,31.6555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14658, 1357, '420922', '丰店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.31,31.6861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14659, 1357, '420922', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.377,31.3128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14660, 1358, '420982', '孛畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.522,31.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14661, 1358, '420982', '雷公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.472,31.3581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14662, 1358, '420982', '王义贞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.323,31.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14663, 1358, '420982', '巡店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.522,31.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14664, 1358, '420982', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.699,31.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14665, 1358, '420982', '接官乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.71,31.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14666, 1358, '420982', '李店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.774,31.2573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14667, 1358, '420982', '辛榨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.633,31.061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14668, 1358, '420982', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.714,31.3216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14669, 1358, '420982', '陈店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.773,31.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14670, 1358, '420982', '伏水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.627,31.3879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14671, 1358, '420982', '府城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.698,31.2957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14672, 1358, '420982', '棠棣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.642,31.2869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14673, 1358, '420982', '烟店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,31.3548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14674, 1358, '420982', '木梓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.584,31.231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14675, 1358, '420982', '赵棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.914,31.3694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14676, 1384, '422822', '业州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.57,30.5878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14677, 1384, '422822', '长梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.835,30.6147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14678, 1384, '422822', '红岩寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.931,30.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14679, 1384, '422822', '花坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.013,30.5663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14680, 1384, '422822', '官店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.155,30.3007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14681, 1384, '422822', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.051,30.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14682, 1384, '422822', '景阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.911,30.3923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14683, 1384, '422822', '三里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.88,30.6781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14684, 1384, '422822', '茅田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.994,30.8881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14685, 1384, '422822', '龙坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.009,30.8465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14686, 1385, '422801', '沐抚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.112,30.4678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14687, 1385, '422801', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.557,30.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14688, 1385, '422801', '小渡船街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.468,30.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14689, 1385, '422801', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.434,30.5161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14690, 1385, '422801', '红土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.916,30.1129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14691, 1385, '422801', '新塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.639,30.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14692, 1385, '422801', '白杨坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.675,30.5123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14693, 1385, '422801', '六角亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.413,30.237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14694, 1385, '422801', '舞阳坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.488,30.2868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14695, 1385, '422801', '屯堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.339,30.407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14696, 1385, '422801', '盛家坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.291,30.1365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14697, 1385, '422801', '白果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.414,30.2271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14698, 1385, '422801', '沙地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.854,30.3881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14699, 1385, '422801', '崔坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.855,30.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14700, 1385, '422801', '芭蕉侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.294,30.1284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14701, 1385, '422801', '太阳河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.574,30.5865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14702, 1385, '422801', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.342,30.5793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14703, 1386, '422802', '都亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.886,30.2946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14704, 1386, '422802', '沙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.867,29.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14705, 1386, '422802', '毛坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.111,30.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14706, 1386, '422802', '忠路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.516,30.0642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14707, 1386, '422802', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,30.2978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14708, 1386, '422802', '元堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.987,30.2788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14709, 1386, '422802', '佛宝山生态综合开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.704,30.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14710, 1386, '422802', '南坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.851,30.4437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14711, 1386, '422802', '柏杨坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.101,30.5806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14712, 1386, '422802', '汪营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.531,30.2929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14713, 1386, '422802', '凉雾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.914,30.269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14714, 1386, '422802', '团堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.087,30.4297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14715, 1386, '422802', '文斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.401,29.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14716, 1386, '422802', '谋道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.702,30.5417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14717, 1386, '422802', '建南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.416,30.4698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14718, 1387, '422828', '燕子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.222,30.0371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14719, 1387, '422828', '走马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.431,29.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14720, 1387, '422828', '邬阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.127,30.0986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14721, 1387, '422828', '下坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.165,30.1025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14722, 1387, '422828', '中营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.063,30.0292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14723, 1387, '422828', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.947,29.7791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14724, 1387, '422828', '铁炉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.456,29.7689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14725, 1387, '422828', '容美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.195,29.7918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14726, 1387, '422828', '五里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.249,29.7926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14727, 1388, '422827', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.084,29.5293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14728, 1388, '422827', '革勒车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.244,29.6123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14729, 1388, '422827', '翔凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.447,29.5218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14730, 1388, '422827', '漫水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.306,29.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14731, 1388, '422827', '百福司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.266,29.2126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14732, 1388, '422827', '三胡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.262,29.6031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14733, 1388, '422827', '旧司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.172,29.5305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14734, 1388, '422827', '绿水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.306,29.3529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14735, 1389, '422823', '野三关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.198,30.6278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14736, 1389, '422823', '金果坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.194,30.3738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14737, 1389, '422823', '茶店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.293,30.9968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14738, 1389, '422823', '大支坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.212,30.6764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14739, 1389, '422823', '东瀼口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.38,31.1152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14740, 1389, '422823', '清太坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.204,30.6127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14741, 1389, '422823', '溪丘湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.461,31.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14742, 1389, '422823', '沿渡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.363,31.238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14743, 1389, '422823', '信陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.32,30.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14744, 1389, '422823', '水布垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.254,30.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14745, 1389, '422823', '绿葱坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.217,30.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14746, 1389, '422823', '官渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.35,31.0514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14747, 1390, '422825', '沙道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.822,29.9565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14748, 1390, '422825', '万寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.539,30.1995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14749, 1390, '422825', '晓关侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.461,29.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14750, 1390, '422825', '椿木营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.79,30.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14751, 1390, '422825', '长潭河侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.603,30.0985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14752, 1390, '422825', '珠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.448,29.9968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14753, 1390, '422825', '李家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.36,29.7002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14754, 1390, '422825', '高罗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.363,29.7042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14755, 1390, '422825', '椒园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.535,29.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14756, 1391, '422826', '朝阳寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.884,29.6185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14757, 1391, '422826', '忠堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.314,29.7217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14758, 1391, '422826', '大路坝区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.773,29.6559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14759, 1391, '422826', '坪坝营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.924,29.3475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14760, 1391, '422826', '清坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.121,29.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14761, 1391, '422826', '小村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.89,29.9989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14762, 1391, '422826', '曲江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.01,29.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14763, 1391, '422826', '高乐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.133,29.7653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14764, 1391, '422826', '黄金洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.152,30.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14765, 1391, '422826', '尖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.922,29.7994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14766, 1391, '422826', '活龙坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.684,29.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14767, 1392, '420116', '横店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.31,30.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14768, 1392, '420116', '大潭原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.422,30.8153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14769, 1392, '420116', '前川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.374,30.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14770, 1392, '420116', '李集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.244,31.1073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14771, 1392, '420116', '三里桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.458,30.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14772, 1392, '420116', '祁家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.251,30.9472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14773, 1392, '420116', '盘龙城经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.259,30.7499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14774, 1392, '420116', '王家河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.467,31.044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14775, 1392, '420116', '汉口北商贸物流枢纽区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.486,30.7108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14776, 1392, '420116', '天河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.233,30.8357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14777, 1392, '420116', '六指店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.543,30.8967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14778, 1392, '420116', '罗汉寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.306,31.0501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14779, 1392, '420116', '蔡榨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.505,30.9124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14780, 1392, '420116', '滠口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.307,30.7627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14781, 1392, '420116', '木兰山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.422,31.0607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14782, 1392, '420116', '蔡店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.315,31.1821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14783, 1392, '420116', '木兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.432,31.1861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14784, 1392, '420116', '姚集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.311,31.2151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14785, 1392, '420116', '武湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.467,30.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14786, 1392, '420116', '长轩岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.299,31.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14787, 1393, '420117', '双柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.62,30.618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14788, 1393, '420117', '阳逻开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.543,30.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14789, 1393, '420117', '旧街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.92,30.9054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14790, 1393, '420117', '仓埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.609,30.8665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14791, 1393, '420117', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.707,30.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14792, 1393, '420117', '徐古街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.992,30.9845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14793, 1393, '420117', '汪集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.68,30.7154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14794, 1393, '420117', '新洲原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.614,30.6098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14795, 1393, '420117', '辛冲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.859,30.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14796, 1393, '420117', '涨渡湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.839,30.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14797, 1393, '420117', '李集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.714,30.9096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14798, 1393, '420117', '邾城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.826,30.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14799, 1393, '420117', '三店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.811,30.9663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14800, 1393, '420117', '道观河风景旅游管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.005,30.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14801, 1393, '420117', '阳逻街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.577,30.7678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14802, 1393, '420117', '潘塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.94,30.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14803, 1394, '420114', '永安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.875,30.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14804, 1394, '420114', '成功现代都市农业发展区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.791,30.4242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14805, 1394, '420114', '消泗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.76,30.2977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14806, 1394, '420114', '桐湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.934,30.3606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14807, 1394, '420114', '奓山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.047,30.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14808, 1394, '420114', '索河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.806,30.3816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14809, 1394, '420114', '武汉常福工业示范园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.049,30.4496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14810, 1394, '420114', '武汉市蔡甸区后官湖生态宜居新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.058,30.5465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14811, 1394, '420114', '洪北管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.89,30.36', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14812, 1394, '420114', '侏儒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.876,30.4736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14813, 1394, '420114', '蔡甸经济开发区凤凰山事处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.083,30.58', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14814, 1394, '420114', '沌口街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.177,30.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14815, 1394, '420114', '蔡甸经济开发区沌口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.08,30.4338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14816, 1394, '420114', '军山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.043,30.4109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14817, 1394, '420114', '沌阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.185,30.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14818, 1394, '420114', '蔡甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.013,30.5328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14819, 1394, '420114', '张湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.11,30.5899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14820, 1394, '420114', '玉贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.067,30.5413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14821, 1394, '420114', '大集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.047,30.4634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14822, 1395, '420113', '纱帽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.054,30.3206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14823, 1395, '420113', '东荆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.938,30.3631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14824, 1395, '420113', '邓南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.883,30.2958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14825, 1395, '420113', '湘口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.847,30.2754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14826, 1396, '420106', '紫阳街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.291,30.5286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14827, 1396, '420106', '东湖风景区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.377,30.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14828, 1396, '420106', '徐家棚街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.347,30.5875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14829, 1396, '420106', '中南路街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.322,30.5277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14830, 1396, '420106', '中华路街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.306,30.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14831, 1396, '420106', '南湖街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.319,30.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14832, 1396, '420106', '水果湖街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.355,30.5422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14833, 1396, '420106', '黄鹤楼街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.293,30.5446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14834, 1396, '420106', '白沙洲街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.212,30.4426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14835, 1396, '420106', '粮道街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.307,30.5543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14836, 1396, '420106', '首义路街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.318,30.5217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14837, 1396, '420106', '珞珈山街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.353,30.5424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14838, 1396, '420106', '积玉桥街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.305,30.5552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14839, 1396, '420106', '杨园街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.341,30.5975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14840, 1396, '420106', '石洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,30.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14841, 1397, '420115', '江夏区经济开发区藏龙岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.405,30.4311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14842, 1397, '420115', '江夏区经济开发区大桥新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.266,30.4143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14843, 1397, '420115', '乌龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.32,30.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14844, 1397, '420115', '舒安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,30.2034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14845, 1397, '420115', '金水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.085,30.2324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14846, 1397, '420115', '江夏区经济开发区梁子湖风景区办事', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.475,30.3366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14847, 1397, '420115', '五里界街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.384,30.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14848, 1397, '420115', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.586,30.3961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14849, 1397, '420115', '江夏区经济开发区庙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.326,30.3933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14850, 1397, '420115', '滨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.477,30.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14851, 1397, '420115', '豹澥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.512,30.47', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14852, 1397, '420115', '山坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.351,30.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14853, 1397, '420115', '湖泗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.528,29.9717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14854, 1397, '420115', '安山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.302,30.1903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14855, 1397, '420115', '法泗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.212,30.1856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14856, 1397, '420115', '佛祖岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.501,30.452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14857, 1397, '420115', '纸坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.291,30.3346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14858, 1397, '420115', '金港新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.16,30.3658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14859, 1397, '420115', '金口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.039,30.2113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14860, 1397, '420115', '郑店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.307,30.3259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14861, 1398, '420112', '将军路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.257,30.6684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14862, 1398, '420112', '径河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.151,30.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14863, 1398, '420112', '临空经济管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.165,30.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14864, 1398, '420112', '吴家山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.159,30.6303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14865, 1398, '420112', '金银湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.163,30.6561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14866, 1398, '420112', '柏泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.095,30.7437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14867, 1398, '420112', '常青花园新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.231,30.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14868, 1398, '420112', '保税物流管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.052,30.6308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14869, 1398, '420112', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.091,30.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14870, 1398, '420112', '辛安渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.925,30.7622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14871, 1398, '420112', '产业管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.104,30.6172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14872, 1398, '420112', '走马岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.975,30.6572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14873, 1398, '420112', '长青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.051,30.6309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14874, 1398, '420112', '食品工业管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.036,30.6366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14875, 1398, '420112', '新沟镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.918,30.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14876, 1398, '420112', '慈惠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.112,30.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14877, 1398, '420112', '海峡两岸科技产业管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.125,30.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14878, 1399, '420104', '韩家墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.203,30.5873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14879, 1399, '420104', '宗关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.231,30.6012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14880, 1399, '420104', '易家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.155,30.6261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14881, 1399, '420104', '长丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.228,30.6073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14882, 1399, '420104', '汉中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.251,30.5718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14883, 1399, '420104', '宝丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.254,30.5864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14884, 1399, '420104', '汉正街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.281,30.5705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14885, 1399, '420104', '汉水桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.243,30.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14886, 1399, '420104', '古田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.184,30.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14887, 1399, '420104', '荣华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.269,30.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14888, 1399, '420104', '六角亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.273,30.5785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14889, 1400, '420105', '鹦鹉街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.26,30.5388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14890, 1400, '420105', '永丰街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.137,30.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14891, 1400, '420105', '琴断口街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.212,30.5471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14892, 1400, '420105', '五里墩街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.235,30.5448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14893, 1400, '420105', '江堤街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.179,30.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14894, 1400, '420105', '洲头街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.245,30.5183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14895, 1400, '420105', '四新地区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.216,30.5469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14896, 1400, '420105', '江汉二桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.201,30.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14897, 1400, '420105', '晴川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.25,30.566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14898, 1400, '420105', '建桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.266,30.5539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14899, 1401, '420103', '唐家墩街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.264,30.6216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14900, 1401, '420103', '新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.274,30.5906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14901, 1401, '420103', '前进街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.281,30.5798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14902, 1401, '420103', '万松街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.23,30.5986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14903, 1401, '420103', '汉兴街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.232,30.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14904, 1401, '420103', '满春街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.28,30.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14905, 1401, '420103', '民权街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.285,30.5752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14906, 1401, '420103', '水塔街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.285,30.5841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14907, 1401, '420103', '常青街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.238,30.6125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14908, 1401, '420103', '花楼街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.294,30.5743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14909, 1401, '420103', '江汉经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.237,30.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14910, 1401, '420103', '民意街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.28,30.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14911, 1401, '420103', '民族街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.298,30.5654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14912, 1401, '420103', '北湖街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.277,30.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14913, 1402, '420102', '花桥街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.288,30.6269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14914, 1402, '420102', '新村街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.334,30.6399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14915, 1402, '420102', '车站街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.301,30.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14916, 1402, '420102', '二七街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.291,30.6228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14917, 1402, '420102', '后湖街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.343,30.6594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14918, 1402, '420102', '台北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.272,30.5962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14919, 1402, '420102', '四唯街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.302,30.6033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14920, 1402, '420102', '永清街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.304,30.6056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14921, 1402, '420102', '一元街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.296,30.5878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14922, 1402, '420102', '球场街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.299,30.5998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14923, 1402, '420102', '塔子湖街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.301,30.6158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14924, 1402, '420102', '百步亭花园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.32,30.6527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14925, 1402, '420102', '大智街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.29,30.588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14926, 1402, '420102', '谌家矶街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.361,30.6917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14927, 1402, '420102', '劳动街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.302,30.6154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14928, 1402, '420102', '西马街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,30.595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14929, 1402, '420102', '丹水池街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.33,30.6547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14930, 1403, '420107', '钢都花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.364,30.6081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14931, 1403, '420107', '厂前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.433,30.6198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14932, 1403, '420107', '中国一冶集体企业管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.392,30.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14933, 1403, '420107', '武钢实业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.38,30.619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14934, 1403, '420107', '新沟桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.392,30.6308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14935, 1403, '420107', '红卫路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.371,30.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14936, 1403, '420107', '红钢城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.394,30.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14937, 1403, '420107', '白玉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.5,30.5969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14938, 1403, '420107', '武钢集团公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.516,30.5975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14939, 1403, '420107', '冶金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.389,30.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14940, 1403, '420107', '工人村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.441,30.6242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14941, 1403, '420107', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.425,30.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14942, 1403, '420107', '中国一冶有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.389,30.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14943, 1403, '420107', '钢花村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,30.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14944, 1403, '420107', '青山镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.433,30.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14945, 1403, '420107', '北湖工业园管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.516,30.5976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14946, 1403, '420107', '武东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.489,30.5932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14947, 1404, '420111', '青菱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.278,30.4299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14948, 1404, '420111', '关东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.398,30.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14949, 1404, '420111', '梨园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.389,30.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14950, 1404, '420111', '左岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.578,30.5027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14951, 1404, '420111', '九峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.487,30.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14952, 1404, '420111', '卓刀泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.378,30.5021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14953, 1404, '420111', '东湖风景区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.368,30.5789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14954, 1404, '420111', '天兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.421,30.6892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14955, 1404, '420111', '关山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.408,30.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14956, 1404, '420111', '洪山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.376,30.4963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14957, 1404, '420111', '八吉府街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.578,30.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14958, 1404, '420111', '张家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.309,30.5166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14959, 1404, '420111', '珞南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.342,30.5186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14960, 1404, '420111', '狮子山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.316,30.4875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14961, 1404, '420111', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.429,30.5985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14962, 1404, '420111', '花山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.467,30.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14963, 1404, '420111', '清谭湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.519,30.5963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14964, 1430, '421024', '三湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.492,30.198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14965, 1430, '421024', '郝穴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.404,30.0307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14966, 1430, '421024', '六合垸管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.664,30.0776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14967, 1430, '421024', '沙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.677,30.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14968, 1430, '421024', '熊河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.386,30.1279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14969, 1430, '421024', '普济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.556,30.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14970, 1430, '421024', '江北监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.287,30.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14971, 1430, '421024', '秦市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.601,30.0042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14972, 1430, '421024', '滩桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.333,30.1903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14973, 1430, '421024', '白马寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.542,30.1282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14974, 1430, '421024', '马家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.323,30.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14975, 1430, '421024', '江陵县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.356,30.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14976, 1430, '421024', '资市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.418,30.2222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14977, 1431, '421023', '福田寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.029,29.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14978, 1431, '421023', '棋盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.164,29.7884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14979, 1431, '421023', '三洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.98,29.5943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14980, 1431, '421023', '新沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.984,30.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14981, 1431, '421023', '桥市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.14,29.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14982, 1431, '421023', '人民大垸农场管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.714,29.8247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14983, 1431, '421023', '上车湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.012,29.8482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14984, 1431, '421023', '程集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.676,30.0168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14985, 1431, '421023', '毛市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.898,29.9258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14986, 1431, '421023', '周老嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.968,30.0975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14987, 1431, '421023', '朱河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.14,29.8116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14988, 1431, '421023', '分盐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.99,29.9974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14989, 1431, '421023', '汪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.712,29.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14990, 1431, '421023', '红城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.908,29.8828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14991, 1431, '421023', '柘木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.209,29.5949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14992, 1431, '421023', '荒湖农场管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.871,30.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14993, 1431, '421023', '龚场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.016,30.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14994, 1431, '421023', '黄歇口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.851,30.1414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14995, 1431, '421023', '白螺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.185,29.5893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14996, 1431, '421023', '网市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.052,30.1124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14997, 1431, '421023', '汴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.225,29.9222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14998, 1431, '421023', '尺八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.084,29.6852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (14999, 1431, '421023', '容城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.979,29.7376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15000, 1432, '421083', '燕窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.907,30.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15001, 1432, '421083', '峰口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.404,30.1755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15002, 1432, '421083', '汊河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.445,30.0567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15003, 1432, '421083', '新滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.869,30.1884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15004, 1432, '421083', '螺山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.285,29.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15005, 1432, '421083', '大沙湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,29.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15006, 1432, '421083', '乌林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.578,29.9655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15007, 1432, '421083', '大同湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.752,30.1282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15008, 1432, '421083', '曹市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.224,30.1549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15009, 1432, '421083', '万全镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.406,30.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15010, 1432, '421083', '新堤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.471,29.8425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15011, 1432, '421083', '龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.737,29.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15012, 1432, '421083', '小港管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.508,29.8857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15013, 1432, '421083', '府场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.138,30.1083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15014, 1432, '421083', '戴家场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.181,30.038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15015, 1432, '421083', '瞿家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.192,29.9334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15016, 1432, '421083', '沙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.337,29.9988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15017, 1432, '421083', '滨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.496,29.89', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15018, 1432, '421083', '黄家口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.545,30.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15019, 1432, '421083', '老湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.623,29.9452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15020, 1433, '421081', '笔架山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.439,29.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15021, 1433, '421081', '高陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.276,29.7301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15022, 1433, '421081', '横沟市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.507,29.9327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15023, 1433, '421081', '调关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.71,29.6981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15024, 1433, '421081', '绣林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.382,29.7267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15025, 1433, '421081', '南口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.336,29.6811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15026, 1433, '421081', '大垸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.547,29.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15027, 1433, '421081', '桃花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.709,29.6983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15028, 1433, '421081', '高基庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.405,29.577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15029, 1433, '421081', '久合垸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.346,29.5443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15030, 1433, '421081', '东升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.485,29.6858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15031, 1433, '421081', '天鹅洲开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.568,29.8655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15032, 1433, '421081', '新厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,29.8418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15033, 1433, '421081', '小河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.712,29.8247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15034, 1433, '421081', '团山寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.278,29.5982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15035, 1434, '421087', '陈店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.692,30.3346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15036, 1434, '421087', '新江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.588,30.1649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15037, 1434, '421087', '斯家场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.622,30.1063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15038, 1434, '421087', '卸甲坪土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.361,30.057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15039, 1434, '421087', '宛市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.857,30.2702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15040, 1434, '421087', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.711,30.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15041, 1434, '421087', '街河市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.667,30.0492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15042, 1434, '421087', '杨林市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.761,29.9188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15043, 1434, '421087', '万家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.728,29.9157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15044, 1434, '421087', '危水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.554,30.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15045, 1434, '421087', '刘家场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.345,30.0513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15046, 1434, '421087', '南海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.773,30.0602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15047, 1434, '421087', '纸厂河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.781,30.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15048, 1434, '421087', '八宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.851,30.2738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15049, 1434, '421087', '王家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.621,30.1057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15050, 1434, '421087', '沙道观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.921,30.2369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15051, 1435, '421002', '观音当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.54,30.3777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15052, 1435, '421002', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.225,30.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15053, 1435, '421002', '崇文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.254,30.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15054, 1435, '421002', '锣场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.34,30.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15055, 1435, '421002', '沙市农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.368,30.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15056, 1435, '421002', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.259,30.3155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15057, 1435, '421002', '关沮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.24,30.3513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15058, 1435, '421002', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.268,30.3044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15059, 1435, '421002', '联合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.281,30.3212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15060, 1435, '421002', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.254,30.3156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15061, 1435, '421002', '立新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.221,30.3356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15062, 1435, '421002', '岑河原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.36,30.3047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15063, 1435, '421002', '岑河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.393,30.2149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15064, 1436, '421022', '毛家港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.044,30.1694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15065, 1436, '421022', '埠河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.288,30.235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15066, 1436, '421022', '斑竹垱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.093,29.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15067, 1436, '421022', '孟家溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.179,29.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15068, 1436, '421022', '南平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.047,29.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15069, 1436, '421022', '麻豪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.353,29.9887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15070, 1436, '421022', '夹竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.125,30.0339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15071, 1436, '421022', '斗湖堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.158,30.0922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15072, 1436, '421022', '杨家厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.388,29.9507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15073, 1436, '421022', '狮子口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.973,29.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15074, 1436, '421022', '章庄铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.821,29.9059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15075, 1436, '421022', '闸口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.295,29.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15076, 1436, '421022', '黄山头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.147,29.6567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15077, 1436, '421022', '藕池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.215,29.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15078, 1436, '421022', '章田寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.226,29.8657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15079, 1436, '421022', '甘家厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.071,29.7132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15080, 1437, '421003', '弥市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.114,30.2891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15081, 1437, '421003', '李埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.997,30.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15082, 1437, '421003', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.194,30.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15083, 1437, '421003', '纪南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.29,30.4862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15084, 1437, '421003', '川店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.987,30.5992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15085, 1437, '421003', '菱角湖管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.918,30.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15086, 1437, '421003', '马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.091,30.4917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15087, 1437, '421003', '郢城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,30.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15088, 1437, '421003', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,30.3585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15089, 1437, '421003', '太湖港管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.043,30.3351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15090, 1437, '421003', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.151,30.3275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15091, 1437, '421003', '八岭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.151,30.4131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15092, 1438, '421303', '万店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.534,31.9383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15093, 1438, '421303', '随州市经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.401,31.7111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15094, 1438, '421303', '曾都区新型工业基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.329,31.8212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15095, 1438, '421303', '淅河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.484,31.5981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15096, 1438, '421303', '南郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.363,31.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15097, 1438, '421303', '何店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.419,31.6421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15098, 1438, '421303', '北郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.332,31.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15099, 1438, '421303', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.38,31.7227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15100, 1438, '421303', '城南新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.355,31.6659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15101, 1438, '421303', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.373,31.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15102, 1438, '421303', '府河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.548,31.5981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15103, 1438, '421303', '洛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.391,31.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15104, 1439, '421321', '万和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.224,32.4258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15105, 1439, '421321', '小林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.763,32.2732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15106, 1439, '421321', '万福店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.064,32.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15107, 1439, '421321', '吴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.025,32.1589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15108, 1439, '421321', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.129,31.8582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15109, 1439, '421321', '淮河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.565,32.3414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15110, 1439, '421321', '唐县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.061,32.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15111, 1439, '421321', '均川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.24,31.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15112, 1439, '421321', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.785,31.7378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15113, 1439, '421321', '殷店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.401,32.2087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15114, 1439, '421321', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.179,31.5448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15115, 1439, '421321', '草店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.631,32.2447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15116, 1439, '421321', '长岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.867,31.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15117, 1439, '421321', '环潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.116,31.8536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15118, 1439, '421321', '安居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.133,31.8022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15119, 1439, '421321', '厉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.329,31.9885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15120, 1439, '421321', '高城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.443,32.0244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15121, 1439, '421321', '尚市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.337,32.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15122, 1439, '421321', '三里岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.105,31.4409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15123, 1440, '421381', '蔡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.885,31.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15124, 1440, '421381', '应山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.819,31.6113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15125, 1440, '421381', '李店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.977,31.5966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15126, 1440, '421381', '武胜关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.099,31.7956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15127, 1440, '421381', '郝店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.79,31.9737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15128, 1440, '421381', '中华山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.933,31.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15129, 1440, '421381', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.909,31.4873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15130, 1440, '421381', '马坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.619,31.5944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15131, 1440, '421381', '广水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.964,31.655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15132, 1440, '421381', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.611,31.625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15133, 1440, '421381', '吴店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.728,32.0837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15134, 1440, '421381', '骆店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.809,31.566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15135, 1440, '421381', '三潭风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.909,31.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15136, 1440, '421381', '十里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.855,31.6721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15137, 1440, '421381', '城郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.825,31.6404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15138, 1440, '421381', '余店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.582,31.8355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15139, 1440, '421381', '关庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.67,31.7449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15140, 1440, '421381', '杨寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.08,31.5569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15141, 1440, '421381', '陈巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.671,31.5052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15142, 1449, '421221', '牌洲湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.908,30.189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15143, 1449, '421221', '陆溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.802,29.9074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15144, 1449, '421221', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.911,29.9196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15145, 1449, '421221', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.905,30.0179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15146, 1449, '421221', '嘉鱼县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.931,29.9565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15147, 1449, '421221', '高铁岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.902,29.8904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15148, 1449, '421221', '头墩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.129,30.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15149, 1449, '421221', '渡普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.196,30.0562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15150, 1449, '421221', '鱼岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.913,29.9124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15151, 1449, '421221', '潘家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.101,30.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15152, 1450, '421224', '通羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.475,29.5948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15153, 1450, '421224', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.477,29.5942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15154, 1450, '421224', '大畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.649,29.7039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15155, 1450, '421224', '慈口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.819,29.7366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15156, 1450, '421224', '洪港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.941,29.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15157, 1450, '421224', '九宫山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.768,29.582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15158, 1450, '421224', '黄沙铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.719,29.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15159, 1450, '421224', '杨芳林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.451,29.4453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15160, 1450, '421224', '厦铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.499,29.3988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15161, 1450, '421224', '九宫山自然保护管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.683,29.4565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15162, 1450, '421224', '闯王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.575,29.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15163, 1450, '421224', '大路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.482,29.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15164, 1450, '421224', '南林桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.252,29.5014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15165, 1450, '421224', '燕厦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.829,29.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15166, 1451, '421202', '永安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.273,29.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15167, 1451, '421202', '向阳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.164,29.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15168, 1451, '421202', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.338,29.8537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15169, 1451, '421202', '桂花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.471,29.7573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15170, 1451, '421202', '贺胜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.344,30.0261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15171, 1451, '421202', '马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.341,29.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15172, 1451, '421202', '横沟桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.345,29.9648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15173, 1451, '421202', '大幕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.675,29.8419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15174, 1451, '421202', '浮山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.302,29.7554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15175, 1451, '421202', '湖北咸安经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.251,29.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15176, 1451, '421202', '双溪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.501,29.9835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15177, 1451, '421202', '咸宁市经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.33,29.8961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15178, 1451, '421202', '官埠桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.272,29.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15179, 1451, '421202', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.521,29.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15180, 1451, '421202', '汀泗桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.169,29.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15181, 1451, '421202', '向阳湖奶牛良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.229,29.9157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15182, 1452, '421223', '高枧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.15,29.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15183, 1452, '421223', '港口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.169,29.4162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15184, 1452, '421223', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.037,29.4977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15185, 1452, '421223', '铜钟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.069,29.4697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15186, 1452, '421223', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.764,29.473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15187, 1452, '421223', '肖岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.797,29.3814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15188, 1452, '421223', '桂花泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.938,29.6055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15189, 1452, '421223', '白霓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.165,29.6156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15190, 1452, '421223', '金塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.093,29.3186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15191, 1452, '421223', '石城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.898,29.5062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15192, 1452, '421223', '路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.194,29.5771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15193, 1452, '421223', '崇阳县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.052,29.5277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15194, 1452, '421223', '天城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.029,29.5077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15195, 1453, '421281', '赤壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.67,29.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15196, 1453, '421281', '蒲纺工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.894,29.6517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15197, 1453, '421281', '蒲圻街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.812,29.6809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15198, 1453, '421281', '羊楼洞茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.719,29.5688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15199, 1453, '421281', '茶庵岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.803,29.6965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15200, 1453, '421281', '官塘驿林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.08,29.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15201, 1453, '421281', '车埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.701,29.7822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15202, 1453, '421281', '柳山湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.648,29.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15203, 1453, '421281', '陆水湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.902,29.6541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15204, 1453, '421281', '沧湖开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.627,29.8028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15205, 1453, '421281', '中伙铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,29.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15206, 1453, '421281', '赵李桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.844,29.5562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15207, 1453, '421281', '神山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.018,29.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15208, 1453, '421281', '官塘驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.168,29.7193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15209, 1453, '421281', '赤壁市经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.886,29.6831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15210, 1453, '421281', '余家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.54,29.6996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15211, 1453, '421281', '黄盖湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.575,29.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15212, 1453, '421281', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.695,29.6385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15213, 1453, '421281', '赤马港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.83,29.7909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15214, 1454, '421222', '隽水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.795,29.2718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15215, 1454, '421222', '鹿角山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.992,29.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15216, 1454, '421222', '麦市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.947,29.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15217, 1454, '421222', '黄龙林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.894,29.0299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15218, 1454, '421222', '黄袍林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.04,29.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15219, 1454, '421222', '四庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.009,29.3851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15220, 1454, '421222', '沙堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.885,29.314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15221, 1454, '421222', '五里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.76,29.2383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15222, 1454, '421222', '北港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.628,29.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15223, 1454, '421222', '塘湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.046,29.2764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15224, 1454, '421222', '马港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.858,29.1984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15225, 1454, '421222', '石南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,29.2918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15226, 1454, '421222', '药姑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.704,29.384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15227, 1454, '421222', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.706,29.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15228, 1454, '421222', '关刀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.941,29.1993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15229, 1454, '421222', '锡山森林公园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.825,29.2258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15230, 1455, '420703', '庙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.623,30.4512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15231, 1455, '420703', '蒲团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.712,30.4617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15232, 1455, '420703', '华容镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.702,30.5796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15233, 1455, '420703', '临江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.765,30.5241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15234, 1455, '420703', '葛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.671,30.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15235, 1455, '420703', '葛店开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.674,30.5343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15236, 1455, '420703', '段店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.756,30.5468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15237, 1456, '420704', '新庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.942,30.3825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15238, 1456, '420704', '杜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.743,30.3815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15239, 1456, '420704', '杨叶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.079,30.344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15240, 1456, '420704', '泽林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.768,30.3595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15241, 1456, '420704', '沙窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.958,30.3413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15242, 1456, '420704', '碧石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.866,30.3025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15243, 1456, '420704', '燕矶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.979,30.401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15244, 1456, '420704', '花湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.966,30.3118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15245, 1456, '420704', '汀祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.949,30.2093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15246, 1456, '420704', '西山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.881,30.4071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15247, 1456, '420704', '长港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.676,30.2943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15248, 1456, '420704', '古楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.884,30.4171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15249, 1456, '420704', '鄂州经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.783,30.4143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15250, 1456, '420704', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.904,30.3817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15251, 1457, '420702', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.679,30.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15252, 1457, '420702', '涂家垴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.539,30.0805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15253, 1457, '420702', '梁子生态管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.561,30.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15254, 1457, '420702', '东沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.637,30.2828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15255, 1457, '420702', '沼山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.652,30.1881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15256, 1457, '420702', '梧桐湖新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.626,30.3543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15257, 1458, '420205', '区直辖村模拟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.877,30.2047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15258, 1459, '420203', '黄思湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.134,30.182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15259, 1459, '420203', '西塞山工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.251,30.1447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15260, 1459, '420203', '八泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.115,30.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15261, 1459, '420203', '章山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.161,30.1352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15262, 1459, '420203', '澄月街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,30.2023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15263, 1459, '420203', '牧羊湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.05,30.1714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15264, 1460, '420204', '团城山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.038,30.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15265, 1460, '420204', '东方山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.949,30.1736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15266, 1460, '420204', '新下陆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.947,30.1743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15267, 1460, '420204', '老下陆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115,30.1909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15268, 1461, '420281', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,30.1023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15269, 1461, '420281', '罗家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,30.1327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15270, 1461, '420281', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.997,30.1369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15271, 1461, '420281', '汪仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.127,30.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15272, 1461, '420281', '灵乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.717,29.8943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15273, 1461, '420281', '金湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.897,30.0981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15274, 1461, '420281', '东风农场管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.73,30.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15275, 1461, '420281', '刘仁八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.772,29.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15276, 1461, '420281', '还地桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.751,30.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15277, 1461, '420281', '殷祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.875,29.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15278, 1461, '420281', '陈贵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.808,30.1052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15279, 1461, '420281', '金山店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.835,30.1539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15280, 1461, '420281', '茗山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.754,30.1112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15281, 1461, '420281', '金牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.549,30.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15282, 1461, '420281', '东岳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.986,30.1079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15283, 1461, '420281', '大箕铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.978,30.0182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15284, 1461, '420281', '保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.682,30.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15285, 1462, '420222', '半壁山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.409,29.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15286, 1462, '420222', '黄颡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.263,30.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15287, 1462, '420222', '综合农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.225,29.8262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15288, 1462, '420222', '枫林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.308,29.7081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15289, 1462, '420222', '金海开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.161,30.0812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15290, 1462, '420222', '富池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.391,29.9612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15291, 1462, '420222', '大王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.061,30.0409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15292, 1462, '420222', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.251,29.9046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15293, 1462, '420222', '陶港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.207,29.9247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15294, 1462, '420222', '浮屠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,29.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15295, 1462, '420222', '龙港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,29.6777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15296, 1462, '420222', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.197,29.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15297, 1462, '420222', '木港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.182,29.7846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15298, 1462, '420222', '荆头山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.141,29.7943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15299, 1462, '420222', '王英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.717,29.8646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15300, 1462, '420222', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.944,29.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15301, 1462, '420222', '排市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.138,29.6536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15302, 1462, '420222', '率洲农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.07,29.8272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15303, 1462, '420222', '洋港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.076,29.6289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15304, 1462, '420222', '太子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.183,29.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15305, 1462, '420222', '韦源口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.226,30.1231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15306, 1462, '420222', '兴国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.249,29.9095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15307, 1463, '420202', '花湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.053,30.2397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15308, 1463, '420202', '红旗桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.078,30.2249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15309, 1463, '420202', '江北管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.135,30.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15310, 1463, '420202', '黄石港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.06,30.2556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15311, 1463, '420202', '沈家营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.057,30.2343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15312, 1463, '420202', '胜阳港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,30.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15313, 1464, '611022', '庾岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.444,33.946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15314, 1464, '611022', '寺坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.195,33.6245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15315, 1464, '611022', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.275,33.4555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15316, 1464, '611022', '棣花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.182,33.8045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15317, 1464, '611022', '武关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.684,33.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15318, 1464, '611022', '铁峪铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.436,33.5456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15319, 1464, '611022', '峦庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.817,33.7404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15320, 1464, '611022', '蔡川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.259,33.8159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15321, 1464, '611022', '花瓶子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.534,33.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15322, 1464, '611022', '竹林关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.44,33.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15323, 1464, '611022', '商镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.247,33.8023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15324, 1464, '611022', '龙驹寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.296,33.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15325, 1465, '611025', '镇安县苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.243,33.5371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15326, 1465, '611025', '木王林厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.585,33.4523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15327, 1465, '611025', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.097,33.5615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15328, 1465, '611025', '茅坪回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.422,33.2312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15329, 1465, '611025', '云盖寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.956,33.6043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15330, 1465, '611025', '西口回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.321,33.2735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15331, 1465, '611025', '青铜关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.16,33.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15332, 1465, '611025', '永乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.172,33.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15333, 1465, '611025', '铁厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.294,33.475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15334, 1465, '611025', '黑窑沟林厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.961,33.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15335, 1465, '611025', '达仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.864,33.1902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15336, 1465, '611025', '庙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.905,33.4261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15337, 1465, '611025', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.489,33.3711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15338, 1465, '611025', '月河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.719,33.5316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15339, 1465, '611025', '柴坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.791,33.4069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15340, 1465, '611025', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.264,33.3388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15341, 1465, '611025', '木王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.592,33.3964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15342, 1465, '611025', '米粮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.433,33.3067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15343, 1466, '611026', '红岩寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.552,33.7977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15344, 1466, '611026', '瓦房口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.498,33.7486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15345, 1466, '611026', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.344,33.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15346, 1466, '611026', '乾佑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.995,33.7299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15347, 1466, '611026', '小岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.3,33.5139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15348, 1466, '611026', '下梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.24,33.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15349, 1466, '611026', '营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.933,33.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15350, 1466, '611026', '杏坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.541,33.5813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15351, 1466, '611026', '曹坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.372,33.8042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15352, 1467, '611023', '十里坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.466,33.3307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15353, 1467, '611023', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.817,33.4149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15354, 1467, '611023', '金丝峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.553,33.4975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15355, 1467, '611023', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.816,33.4643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15356, 1467, '611023', '试马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.759,33.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15357, 1467, '611023', '富水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.023,33.4745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15358, 1467, '611023', '清油河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.726,33.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15359, 1467, '611023', '赵川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.711,33.2569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15360, 1467, '611023', '过风楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.831,33.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15361, 1467, '611023', '湘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.949,33.3819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15362, 1468, '611021', '三要镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.507,33.9678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15363, 1468, '611021', '洛源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.775,34.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15364, 1468, '611021', '高耀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.489,33.97', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15365, 1468, '611021', '柏峪寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.375,34.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15366, 1468, '611021', '麻坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.035,34.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15367, 1468, '611021', '景村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.191,34.0733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15368, 1468, '611021', '巡检镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.08,34.4177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15369, 1468, '611021', '寺耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.301,34.3479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15370, 1468, '611021', '保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.9,34.2408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15371, 1468, '611021', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.035,34.3765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15372, 1468, '611021', '石坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.13,34.3186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15373, 1468, '611021', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.054,34.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15374, 1468, '611021', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.377,34.1152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15375, 1468, '611021', '四皓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.087,34.0772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15376, 1468, '611021', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.149,34.1484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15377, 1468, '611021', '灵口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.41,34.1992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15378, 1469, '611002', '沙河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.084,33.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15379, 1469, '611002', '腰市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.879,34.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15380, 1469, '611002', '北宽坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.181,33.9805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15381, 1469, '611002', '麻街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.802,33.9808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15382, 1469, '611002', '荆河农业示范园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.891,34.0385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15383, 1469, '611002', '南秦水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.856,33.8579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15384, 1469, '611002', '荆河工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.839,34.0514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15385, 1469, '611002', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.987,34.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15386, 1469, '611002', '大赵峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.979,33.9069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15387, 1469, '611002', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.587,33.9557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15388, 1469, '611002', '黑山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.702,33.7295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15389, 1469, '611002', '高校园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.956,33.8636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15390, 1469, '611002', '陈塬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.85,33.9049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15391, 1469, '611002', '二龙山水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.921,33.8991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15392, 1469, '611002', '氟化硅产业业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.083,33.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15393, 1469, '611002', '二龙山国营林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.922,33.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15394, 1469, '611002', '大荆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.812,34.1014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15395, 1469, '611002', '商洛职业技术学院', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.912,33.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15396, 1469, '611002', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.92,33.9024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15397, 1469, '611002', '杨峪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.848,33.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15398, 1469, '611002', '金陵寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.721,33.939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15399, 1469, '611002', '商丹循环工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.985,33.8345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15400, 1469, '611002', '夜村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.12,33.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15401, 1469, '611002', '刘湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.917,33.8525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15402, 1469, '611002', '闫村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.88,33.6437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15403, 1469, '611002', '杨斜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.562,33.8922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15404, 1469, '611002', '牧护关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.804,33.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15405, 1470, '611024', '小河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.592,33.6614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15406, 1470, '611024', '两岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.03,33.6641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15407, 1470, '611024', '中村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.145,33.5077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15408, 1470, '611024', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.92,33.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15409, 1470, '611024', '南宽坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.815,33.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15410, 1470, '611024', '板岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.716,33.4559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15411, 1470, '611024', '十里铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.994,33.6979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15412, 1470, '611024', '延坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.101,33.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15413, 1470, '611024', '杨地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.746,33.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15414, 1470, '611024', '银花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.265,33.4674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15415, 1470, '611024', '法官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.068,33.2735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15416, 1470, '611024', '王闫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.191,33.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15417, 1470, '611024', '高坝店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.997,33.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15418, 1470, '611024', '天竺山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.954,33.3804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15419, 1470, '611024', '石佛寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.247,33.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15420, 1470, '611024', '色河铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.646,33.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15421, 1470, '611024', '户家塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.713,33.4017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15422, 1470, '611024', '漫川关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.082,33.2543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15423, 1470, '611024', '西照川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.488,33.1984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15424, 1471, '610222', '尧生镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.424,35.4748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15425, 1471, '610222', '棋盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.184,35.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15426, 1471, '610222', '云梦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.266,35.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15427, 1471, '610222', '彭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.228,35.5475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15428, 1471, '610222', '哭泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.091,35.2395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15429, 1471, '610222', '五里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.266,35.4612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15430, 1471, '610222', '太安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,35.3534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15431, 1471, '610222', '宜阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.169,35.4464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15432, 1472, '610202', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.073,35.0466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15433, 1472, '610202', '七一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.097,35.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15434, 1472, '610202', '黄堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.096,34.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15435, 1472, '610202', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.08,35.0748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15436, 1472, '610202', '青年路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.113,35.0927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15437, 1472, '610202', '王益街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.083,35.075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15438, 1472, '610202', '王家河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.974,35.1693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15439, 1473, '610204', '坡头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.85,34.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15440, 1473, '610204', '天宝路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.977,34.9286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15441, 1473, '610204', '锦阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.921,34.9811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15442, 1473, '610204', '永安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.003,34.9216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15443, 1473, '610204', '董家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.013,34.9891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15444, 1473, '610204', '瑶曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.844,35.3193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15445, 1473, '610204', '咸丰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.88,34.9034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15446, 1473, '610204', '正阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.916,34.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15447, 1473, '610204', '关庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.759,35.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15448, 1473, '610204', '小丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.668,34.9381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15449, 1473, '610204', '孙塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.001,34.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15450, 1473, '610204', '石柱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.015,35.1671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15451, 1473, '610204', '照金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.624,35.1196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15452, 1473, '610204', '庙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.656,35.1439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15453, 1474, '610203', '金锁关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.891,35.2586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15454, 1474, '610203', '三里洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.1,35.0977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15455, 1474, '610203', '阿庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.272,35.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15456, 1474, '610203', '印台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.101,35.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15457, 1474, '610203', '红土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.188,35.1123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15458, 1474, '610203', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.097,35.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15459, 1474, '610203', '陈炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.181,35.0844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15460, 1474, '610203', '王石凹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.168,35.1049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15461, 1474, '610203', '广阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.309,35.1356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15462, 1475, '610115', '秦陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.239,34.3715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15463, 1475, '610115', '铁炉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.411,34.4036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15464, 1475, '610115', '斜口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.139,34.386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15465, 1475, '610115', '穆寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.354,34.3908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15466, 1475, '610115', '相桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.406,34.6505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15467, 1475, '610115', '西泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.176,34.4289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15468, 1475, '610115', '交口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.259,34.5832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15469, 1475, '610115', '仁宗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.25,34.3521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15470, 1475, '610115', '新丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.309,34.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15471, 1475, '610115', '小金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.391,34.3562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15472, 1475, '610115', '马额街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.377,34.4288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15473, 1475, '610115', '何寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.388,34.5255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15474, 1475, '610115', '代王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.331,34.4413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15475, 1475, '610115', '栎阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.176,34.5995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15476, 1475, '610115', '零口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.385,34.5229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15477, 1475, '610115', '任留街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.197,34.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15478, 1475, '610115', '雨金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.218,34.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15479, 1475, '610115', '新市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.176,34.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15480, 1475, '610115', '骊山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.23,34.3943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15481, 1475, '610115', '行者街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.188,34.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15482, 1475, '610115', '北田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.188,34.4229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15483, 1475, '610115', '徐杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.175,34.64', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15484, 1475, '610115', '油槐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.391,34.5863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15485, 1476, '610117', '泾渭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.03,34.5338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15486, 1476, '610117', '崇皇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.021,34.492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15487, 1476, '610117', '张卜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.095,34.5109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15488, 1476, '610117', '鹿苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.071,34.5182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15489, 1476, '610117', '通远街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.993,34.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15490, 1476, '610117', '耿镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.134,34.4228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15491, 1477, '610122', '小寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.261,34.055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15492, 1477, '610122', '孟村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.205,34.2063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15493, 1477, '610122', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.53,34.2475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15494, 1477, '610122', '安村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.26,34.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15495, 1477, '610122', '厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.457,34.2513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15496, 1477, '610122', '蓝关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.409,34.0904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15497, 1477, '610122', '灞源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.752,34.1948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15498, 1477, '610122', '九间房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.518,34.1967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15499, 1477, '610122', '葛牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.539,33.9772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15500, 1477, '610122', '普化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.465,34.2161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15501, 1477, '610122', '华胥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.225,34.294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15502, 1477, '610122', '蓝桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.437,34.0919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15503, 1477, '610122', '前卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.238,34.0809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15504, 1477, '610122', '三里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.368,34.2382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15505, 1477, '610122', '焦岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.22,34.0916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15506, 1477, '610122', '洩湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.325,34.2879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15507, 1477, '610122', '汤峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.136,34.1007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15508, 1477, '610122', '三官庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.364,34.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15509, 1477, '610122', '辋川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.436,33.9091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15510, 1478, '610118', '渭丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.641,34.2465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15511, 1478, '610118', '祖庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.487,34.1381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15512, 1478, '610118', '蒋村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.497,33.9555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15513, 1478, '610118', '草堂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.754,33.8964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15514, 1478, '610118', '大王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.649,34.252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15515, 1478, '610118', '涝店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.513,34.2036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15516, 1478, '610118', '秦渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.677,34.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15517, 1478, '610118', '余下街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.595,34.0747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15518, 1478, '610118', '庞光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.648,34.0314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15519, 1478, '610118', '石井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.428,33.8951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15520, 1478, '610118', '甘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.485,34.1841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15521, 1478, '610118', '五竹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.714,34.1602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15522, 1478, '610118', '玉蝉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.543,34.1318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15523, 1478, '610118', '甘亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.574,34.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15524, 1479, '610116', '五台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.899,33.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15525, 1479, '610116', '杜曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.984,34.0906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15526, 1479, '610116', '太乙宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.031,34.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15527, 1479, '610116', '大兆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.055,34.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15528, 1479, '610116', '杨庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.155,33.7913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15529, 1479, '610116', '鸣犊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.082,34.1791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15530, 1479, '610116', '魏寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.149,34.0973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15531, 1479, '610116', '王莽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.033,34.0451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15532, 1479, '610116', '斗门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.797,34.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15533, 1479, '610116', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.762,34.1413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15534, 1479, '610116', '马王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.677,34.2175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15535, 1479, '610116', '细柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.772,34.1991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15536, 1479, '610116', '郭杜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.856,34.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15537, 1479, '610116', '黄良街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.878,34.1086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15538, 1479, '610116', '王曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,34.0537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15539, 1479, '610116', '高桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.704,34.2546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15540, 1479, '610116', '灵沼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.686,34.186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15541, 1479, '610116', '五星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.766,34.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15542, 1479, '610116', '韦曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.909,34.1445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15543, 1479, '610116', '王寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.799,34.2513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15544, 1479, '610116', '滦镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.825,34.0713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15545, 1479, '610116', '炮里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.124,34.178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15546, 1479, '610116', '东大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.818,33.9134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15547, 1479, '610116', '引镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.099,33.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15548, 1479, '610116', '子午街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.916,33.9876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15549, 1480, '610104', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.904,34.2569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15550, 1480, '610104', '环城西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.91,34.2595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15551, 1480, '610104', '枣园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.881,34.2724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15552, 1480, '610104', '北院门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.939,34.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15553, 1480, '610104', '青年路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.933,34.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15554, 1480, '610104', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.939,34.2895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15555, 1480, '610104', '桃园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.881,34.2691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15556, 1480, '610104', '红庙坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.934,34.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15557, 1480, '610104', '土门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.888,34.2689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15558, 1481, '610111', '纺织城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.056,34.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15559, 1481, '610111', '新合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.019,34.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15560, 1481, '610111', '席王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.074,34.2747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15561, 1481, '610111', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.091,34.2504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15562, 1481, '610111', '新筑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.101,34.3384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15563, 1481, '610111', '十里铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.022,34.2599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15564, 1481, '610111', '狄寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.077,34.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15565, 1481, '610111', '洪庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.236,34.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15566, 1481, '610111', '灞桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.105,34.3523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15567, 1482, '610102', '太华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.979,34.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15568, 1482, '610102', '中山门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.963,34.2665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15569, 1482, '610102', '韩森寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.002,34.2558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15570, 1482, '610102', '解放门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,34.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15571, 1482, '610102', '自强路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.951,34.2977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15572, 1482, '610102', '长乐西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.99,34.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15573, 1482, '610102', '西一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.958,34.2737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15574, 1482, '610102', '胡家庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.016,34.2911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15575, 1482, '610102', '长乐中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.014,34.2879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15576, 1483, '610103', '长安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.947,34.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15577, 1483, '610103', '柏树林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.954,34.251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15578, 1483, '610103', '南院门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.937,34.2555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15579, 1483, '610103', '文艺路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.953,34.2482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15580, 1483, '610103', '东关南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.982,34.2597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15581, 1483, '610103', '张家村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.939,34.2456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15582, 1483, '610103', '太乙路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.974,34.2508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15583, 1483, '610103', '长乐坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.987,34.2679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15584, 1484, '610124', '哑柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.073,34.1862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15585, 1484, '610124', '厚畛子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.771,33.9538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15586, 1484, '610124', '骆峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.083,34.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15587, 1484, '610124', '终南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.329,34.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15588, 1484, '610124', '集贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.336,34.0162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15589, 1484, '610124', '板房子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.052,33.8683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15590, 1484, '610124', '二曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.248,34.2009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15591, 1484, '610124', '尚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.425,34.198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15592, 1484, '610124', '王家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.155,33.9357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15593, 1484, '610124', '陈河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.201,34.2095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15594, 1484, '610124', '司竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.337,34.1683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15595, 1484, '610124', '楼观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.272,34.1113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15596, 1484, '610124', '广济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.139,34.151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15597, 1484, '610124', '竹峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.001,34.1372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15598, 1484, '610124', '青化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.059,34.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15599, 1484, '610124', '九峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.413,34.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15600, 1484, '610124', '马召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.19,34.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15601, 1484, '610124', '翠峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.067,34.1464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15602, 1484, '610124', '富仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.225,34.145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15603, 1484, '610124', '四屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.2,34.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15604, 1485, '610113', '大雁塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.989,34.2228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15605, 1485, '610113', '等驾坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.027,34.2243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15606, 1485, '610113', '小寨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.932,34.2094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15607, 1485, '610113', '电子城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.923,34.2276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15608, 1485, '610113', '长延堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.917,34.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15609, 1485, '610113', '曲江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.027,34.2243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15610, 1485, '610113', '鱼化寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.811,34.249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15611, 1485, '610113', '丈八沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.876,34.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15612, 1486, '610114', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.247,34.6884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15613, 1486, '610114', '振兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.204,34.6981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15614, 1486, '610114', '凤凰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.248,34.6302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15615, 1486, '610114', '武屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.334,34.6638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15616, 1486, '610114', '北屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.227,34.5897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15617, 1486, '610114', '关山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.287,34.687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15618, 1486, '610114', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.229,34.666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15619, 1487, '610112', '大明宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.971,34.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15620, 1487, '610112', '辛家庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.981,34.3032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15621, 1487, '610112', '张家堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.972,34.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15622, 1487, '610112', '谭家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.976,34.3631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15623, 1487, '610112', '六村堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,34.407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15624, 1487, '610112', '建章路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.797,34.3414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15625, 1487, '610112', '草滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.968,34.3805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15626, 1487, '610112', '未央宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.893,34.3122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15627, 1487, '610112', '未央湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.972,34.3622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15628, 1487, '610112', '汉城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.892,34.3265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15629, 1487, '610112', '徐家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.996,34.3534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15630, 1487, '610112', '三桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.816,34.272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15631, 1488, '610730', '西岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.918,33.4667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15632, 1488, '610730', '石墩河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.052,33.3824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15633, 1488, '610730', '长角坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.913,33.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15634, 1488, '610730', '袁家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.964,33.535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15635, 1488, '610730', '岳坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.727,33.64', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15636, 1488, '610730', '陈家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.033,33.4539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15637, 1488, '610730', '大河坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.056,33.3489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15638, 1489, '610723', '洋州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.581,33.2712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15639, 1489, '610723', '关帝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.499,33.5454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15640, 1489, '610723', '茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.632,33.6274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15641, 1489, '610723', '溢水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.36,33.3094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15642, 1489, '610723', '黄家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.686,33.1834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15643, 1489, '610723', '戚氏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.503,33.3026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15644, 1489, '610723', '槐树关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.777,33.424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15645, 1489, '610723', '黄金峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.935,33.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15646, 1489, '610723', '马畅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.342,33.286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15647, 1489, '610723', '谢村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.394,33.2458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15648, 1489, '610723', '桑溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.913,33.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15649, 1489, '610723', '四郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.525,33.357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15650, 1489, '610723', '八里关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.498,33.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15651, 1489, '610723', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.608,33.3586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15652, 1489, '610723', '磨子桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.461,33.183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15653, 1489, '610723', '华阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.276,33.7015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15654, 1489, '610723', '黄安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.545,33.1687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15655, 1489, '610723', '金水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.778,33.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15656, 1489, '610723', '龙亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.644,33.3653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15657, 1490, '610729', '紫柏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.849,33.6292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15658, 1490, '610729', '武关驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.01,33.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15659, 1490, '610729', '火烧店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.774,33.6069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15660, 1490, '610729', '玉皇庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.806,33.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15661, 1490, '610729', '青桥驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.942,33.4015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15662, 1490, '610729', '留侯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.842,33.711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15663, 1490, '610729', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.192,33.667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15664, 1490, '610729', '马道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.028,33.469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15665, 1491, '610727', '马蹄湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.047,33.5451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15666, 1491, '610727', '硖口驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.354,33.241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15667, 1491, '610727', '观音寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.495,33.4334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15668, 1491, '610727', '郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.884,33.4062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15669, 1491, '610727', '仙台坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.409,33.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15670, 1491, '610727', '乐素河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.934,33.2749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15671, 1491, '610727', '徐家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.956,33.3685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15672, 1491, '610727', '兴州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.11,33.4584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15673, 1491, '610727', '白雀寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.933,33.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15674, 1491, '610727', '白水江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.937,33.5463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15675, 1491, '610727', '西淮坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.975,33.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15676, 1491, '610727', '金家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.841,33.3381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15677, 1491, '610727', '两河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.31,33.4435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15678, 1491, '610727', '五龙洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.349,33.5753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15679, 1491, '610727', '黑河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.282,33.3443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15680, 1491, '610727', '横现河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.123,33.4152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15681, 1491, '610727', '接官亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.302,33.1922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15682, 1492, '610724', '骆家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.365,32.8522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15683, 1492, '610724', '私渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.344,32.9425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15684, 1492, '610724', '茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.004,33.0206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15685, 1492, '610724', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.725,33.0364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15686, 1492, '610724', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.317,32.7545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15687, 1492, '610724', '白勉峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.939,33.0424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15688, 1492, '610724', '峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.541,32.7372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15689, 1492, '610724', '两河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.151,32.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15690, 1492, '610724', '杨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.695,32.9216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15691, 1492, '610724', '柳树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.577,32.9139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15692, 1492, '610724', '子午镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.926,33.0608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15693, 1492, '610724', '高川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.128,32.8026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15694, 1492, '610724', '堰口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.854,33.0495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15695, 1492, '610724', '白龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.845,33.051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15696, 1492, '610724', '桑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.64,33.0832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15697, 1492, '610724', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.599,32.9343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15698, 1493, '610726', '禅家岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.493,32.7614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15699, 1493, '610726', '高寨子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.339,32.8929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15700, 1493, '610726', '安乐河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.731,32.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15701, 1493, '610726', '汉源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.077,32.7638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15702, 1493, '610726', '广坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.683,32.8324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15703, 1493, '610726', '胡家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.543,33.0009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15704, 1493, '610726', '二郎坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.469,32.8753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15705, 1493, '610726', '舒家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.156,32.8374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15706, 1493, '610726', '巨亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.153,33.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15707, 1493, '610726', '阳平关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.996,32.8845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15708, 1493, '610726', '铁锁关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.374,32.9434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15709, 1493, '610726', '巴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.2,32.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15710, 1493, '610726', '青木川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.628,32.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15711, 1493, '610726', '毛坝河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.372,32.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15712, 1493, '610726', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.372,33.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15713, 1493, '610726', '太阳岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.98,32.977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15714, 1493, '610726', '代家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.173,33.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15715, 1493, '610726', '燕子砭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.972,32.9853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15716, 1494, '610725', '老道寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.841,33.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15717, 1494, '610725', '漆树坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.577,32.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15718, 1494, '610725', '同沟寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.815,33.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15719, 1494, '610725', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.73,33.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15720, 1494, '610725', '褒城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.914,33.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15721, 1494, '610725', '定军山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.616,33.1241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15722, 1494, '610725', '元墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.651,33.04', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15723, 1494, '610725', '茶店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.491,33.2203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15724, 1494, '610725', '金泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.861,33.1061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15725, 1494, '610725', '周家山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.726,33.1963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15726, 1494, '610725', '阜川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.669,33.0354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15727, 1494, '610725', '长沟河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.788,33.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15728, 1494, '610725', '新街子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.839,33.4006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15729, 1494, '610725', '镇川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.754,33.1112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15730, 1494, '610725', '勉阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.647,33.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15731, 1494, '610725', '武侯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.572,33.1523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15732, 1494, '610725', '新铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.478,33.1568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15733, 1494, '610725', '张家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.506,33.4134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15734, 1495, '610703', '胡家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.074,33.027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15735, 1495, '610703', '梁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.901,33.1159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15736, 1495, '610703', '大河坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.996,33.0024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15737, 1495, '610703', '汉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.911,32.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15738, 1495, '610703', '青树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.892,32.9537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15739, 1495, '610703', '阳春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.868,33.0827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15740, 1495, '610703', '法镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.117,32.9022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15741, 1495, '610703', '濂水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.873,32.9615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15742, 1495, '610703', '圣水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.106,33.0478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15743, 1495, '610703', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.738,32.9374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15744, 1495, '610703', '高台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.801,33.0827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15745, 1495, '610703', '碑坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.29,32.6535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15746, 1495, '610703', '红庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.878,32.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15747, 1495, '610703', '牟家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.049,32.9475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15748, 1495, '610703', '小南海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.082,32.8315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15749, 1495, '610703', '黄官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.804,32.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15750, 1495, '610703', '协税镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.906,33.0186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15751, 1495, '610703', '福成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.274,32.5887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15752, 1495, '610703', '黎坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.516,32.8441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15753, 1495, '610703', '湘水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.167,32.9047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15754, 1495, '610703', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.844,32.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15755, 1496, '610702', '龙江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.964,33.1515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15756, 1496, '610702', '七里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.074,33.1062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15757, 1496, '610702', '铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.133,33.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15758, 1496, '610702', '武乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.116,33.2764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15759, 1496, '610702', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.03,33.121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15760, 1496, '610702', '河东店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.054,33.3646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15761, 1496, '610702', '中山街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.048,33.0492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15762, 1496, '610702', '汉中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.012,33.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15763, 1496, '610702', '老君镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.074,33.1541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15764, 1496, '610702', '宗营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.005,33.218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15765, 1496, '610702', '徐望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.103,33.1427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15766, 1496, '610702', '汉王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.07,33.216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15767, 1496, '610702', '鑫源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.979,33.1427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15768, 1496, '610702', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.057,33.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15769, 1496, '610702', '东大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.019,33.0786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15770, 1497, '610722', '双溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.231,33.4526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15771, 1497, '610722', '五堵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.36,32.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15772, 1497, '610722', '二里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.331,32.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15773, 1497, '610722', '龙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.228,33.2077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15774, 1497, '610722', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.171,33.6654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15775, 1497, '610722', '桔园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.278,33.4069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15776, 1497, '610722', '沙河营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.234,33.1533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15777, 1497, '610722', '莲花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.262,33.2116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15778, 1497, '610722', '上元观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.202,33.1051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15779, 1497, '610722', '董家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.345,33.0935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15780, 1497, '610722', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.342,33.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15781, 1497, '610722', '文川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.145,33.2039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15782, 1497, '610722', '原公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.289,33.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15783, 1497, '610722', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.162,33.1319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15784, 1497, '610722', '陕西飞机制造公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.199,33.1491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15785, 1497, '610722', '博望街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.303,33.1745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15786, 1497, '610722', '天明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.276,33.0348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15787, 1497, '610722', '老庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.173,33.2918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15788, 1498, '610728', '巴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.087,32.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15789, 1498, '610728', '大池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.516,32.5568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15790, 1498, '610728', '观音镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.108,32.6257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15791, 1498, '610728', '赤南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.858,32.3081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15792, 1498, '610728', '小洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.921,32.465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15793, 1498, '610728', '巴庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.125,32.5647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15794, 1498, '610728', '黎坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.758,32.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15795, 1498, '610728', '青水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.727,32.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15796, 1498, '610728', '三元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.645,32.7294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15797, 1498, '610728', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.946,32.7475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15798, 1498, '610728', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.79,32.5079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15799, 1498, '610728', '碾子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.227,32.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15800, 1498, '610728', '渔渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.895,32.3184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15801, 1498, '610728', '仁村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.833,32.3642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15802, 1498, '610728', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.489,32.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15803, 1498, '610728', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.949,32.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15804, 1498, '610728', '杨家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.804,32.6962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15805, 1498, '610728', '盐场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.037,32.2824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15806, 1498, '610728', '泾洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.853,32.6677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15807, 1498, '610728', '简池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.57,32.6548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15808, 1499, '610802', '上郡路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.77,38.2537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15809, 1499, '610802', '巴拉素镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.296,38.376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15810, 1499, '610802', '金鸡滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.766,38.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15811, 1499, '610802', '红石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.024,38.1906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15812, 1499, '610802', '新明楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.758,38.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15813, 1499, '610802', '鱼河峁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.933,38.1154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15814, 1499, '610802', '崇文路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.699,38.2964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15815, 1499, '610802', '长城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.746,38.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15816, 1499, '610802', '航宇路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.748,38.173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15817, 1499, '610802', '麻黄梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.859,38.4125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15818, 1499, '610802', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.742,38.3082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15819, 1499, '610802', '岔河则乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.349,38.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15820, 1499, '610802', '青山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.715,38.2878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15821, 1499, '610802', '青云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.08,38.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15822, 1499, '610802', '大河塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.16,38.3812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15823, 1499, '610802', '芹河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.409,38.234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15824, 1499, '610802', '古塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.822,38.2064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15825, 1499, '610802', '牛家梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.701,38.4523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15826, 1499, '610802', '小纪汗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.352,38.4863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15827, 1499, '610802', '鱼河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.839,38.0909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15828, 1499, '610802', '驼峰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.759,38.3236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15829, 1499, '610802', '马合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.341,38.4842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15830, 1499, '610802', '镇川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.081,37.9169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15831, 1499, '610802', '孟家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.795,38.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15832, 1499, '610802', '上盐湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.124,38.1093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15833, 1499, '610802', '补浪河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.211,38.436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15834, 1499, '610802', '小壕兔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.805,38.8231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15835, 1500, '610827', '杜家石沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.065,37.8261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15836, 1500, '610827', '杨家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.318,37.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15837, 1500, '610827', '龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.07,37.8549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15838, 1500, '610827', '桃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.378,37.8741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15839, 1500, '610827', '郭兴庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.971,37.8812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15840, 1500, '610827', '沙家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.147,37.9904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15841, 1500, '610827', '城郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.287,37.7288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15842, 1500, '610827', '银州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.23,37.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15843, 1500, '610827', '印斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.293,37.9452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15844, 1501, '610828', '木头峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.501,37.8946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15845, 1501, '610828', '王家砭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.139,38.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15846, 1501, '610828', '乌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.301,37.9302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15847, 1501, '610828', '朱家坬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.456,38.2628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15848, 1501, '610828', '佳州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.446,38.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15849, 1501, '610828', '方塌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.093,38.3156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15850, 1501, '610828', '通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.352,38.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15851, 1501, '610828', '店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.434,37.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15852, 1501, '610828', '朱官寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.094,38.1334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15853, 1501, '610828', '金明寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.289,38.0878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15854, 1501, '610828', '坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.517,37.8254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15855, 1501, '610828', '刘国具镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.362,38.3719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15856, 1501, '610828', '螅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.691,37.7021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15857, 1502, '610822', '武家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.838,38.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15858, 1502, '610822', '木瓜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.921,39.2806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15859, 1502, '610822', '府谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.886,39.0317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15860, 1502, '610822', '三道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.669,39.1281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15861, 1502, '610822', '田家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.764,39.0281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15862, 1502, '610822', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.936,39.4974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15863, 1502, '610822', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.95,39.3038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15864, 1502, '610822', '孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.846,39.0742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15865, 1502, '610822', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.714,39.0135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15866, 1502, '610822', '哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.993,39.4133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15867, 1502, '610822', '大昌汗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.569,39.3162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15868, 1502, '610822', '老高川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.503,39.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15869, 1502, '610822', '庙沟门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.722,39.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15870, 1502, '610822', '黄甫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.072,39.4019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15871, 1503, '610803', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.59,38.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15872, 1503, '610803', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.367,38.0364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15873, 1503, '610803', '波罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.516,38.199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15874, 1503, '610803', '雷龙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.968,37.9301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15875, 1503, '610803', '高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.432,37.6822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15876, 1503, '610803', '石湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.397,37.5398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15877, 1503, '610803', '白界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.678,38.2313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15878, 1503, '610803', '赵石畔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.111,37.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15879, 1503, '610803', '塔湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.049,37.6753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15880, 1503, '610803', '党岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.919,37.9597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15881, 1503, '610803', '魏家楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.466,37.5939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15882, 1503, '610803', '殿市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.445,37.9846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15883, 1503, '610803', '韩岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.394,37.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15884, 1503, '610803', '武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.956,37.8591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15885, 1504, '610881', '马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.79,38.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15886, 1504, '610881', '孙家岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.346,39.1641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15887, 1504, '610881', '店塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.494,39.1623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15888, 1504, '610881', '高家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.342,38.7246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15889, 1504, '610881', '贺家川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.573,38.584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15890, 1504, '610881', '锦界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.824,38.8928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15891, 1504, '610881', '栏杆堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.672,38.9264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15892, 1504, '610881', '花石崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.445,38.4479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15893, 1504, '610881', '尔林兔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.905,39.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15894, 1504, '610881', '沙峁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.658,38.6614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15895, 1504, '610881', '大保当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.833,38.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15896, 1504, '610881', '万镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.504,38.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15897, 1504, '610881', '大柳塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.272,39.3997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15898, 1504, '610881', '中鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.251,39.2154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15899, 1504, '610881', '西沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.182,38.9417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15900, 1504, '610881', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.669,39.0141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15901, 1504, '610881', '西沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.49,38.7756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15902, 1504, '610881', '麟州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.538,38.8557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15903, 1504, '610881', '迎宾路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.569,38.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15904, 1504, '610881', '滨河新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.321,39.0447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15905, 1505, '610824', '中山涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.44,37.3178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15906, 1505, '610824', '席麻湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.614,37.5258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15907, 1505, '610824', '天赐湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.974,37.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15908, 1505, '610824', '周河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.569,36.9929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15909, 1505, '610824', '东坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.463,37.6239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15910, 1505, '610824', '王渠则镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.753,37.2798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15911, 1505, '610824', '青阳岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.133,37.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15912, 1505, '610824', '红墩界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.89,37.9885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15913, 1505, '610824', '杨米涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.863,37.1951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15914, 1505, '610824', '镇靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.757,37.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15915, 1505, '610824', '张家畔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.828,37.5542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15916, 1505, '610824', '龙洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.972,37.5852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15917, 1505, '610824', '黄蒿界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.057,37.7466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15918, 1505, '610824', '宁条梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.468,37.6514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15919, 1505, '610824', '杨桥畔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.871,37.6521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15920, 1505, '610824', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.984,37.3635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15921, 1505, '610824', '海则滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.919,37.7897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15922, 1506, '610831', '裴家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.982,37.2809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15923, 1506, '610831', '苗家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.055,37.5958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15924, 1506, '610831', '驼耳巷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.919,37.5746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15925, 1506, '610831', '周家硷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.727,37.6034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15926, 1506, '610831', '老君殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.859,37.4249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15927, 1506, '610831', '马蹄沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.782,37.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15928, 1506, '610831', '电市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.779,37.7999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15929, 1506, '610831', '何家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.727,37.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15930, 1506, '610831', '三川口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.847,37.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15931, 1506, '610831', '双湖峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.076,37.7054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15932, 1506, '610831', '砖庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.743,37.523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15933, 1506, '610831', '淮宁湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.95,37.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15934, 1506, '610831', '马岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.611,37.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15935, 1507, '610830', '折家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.968,37.156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15936, 1507, '610830', '宽州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.199,37.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15937, 1507, '610830', '石咀驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.187,37.392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15938, 1507, '610830', '店则沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.329,37.3514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15939, 1507, '610830', '李家塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.231,37.2545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15940, 1507, '610830', '高杰村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.423,37.1577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15941, 1507, '610830', '下廿里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.366,37.0114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15942, 1507, '610830', '解家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.438,37.3073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15943, 1507, '610830', '玉家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.215,37.1682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15944, 1508, '610829', '岔上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.658,37.7173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15945, 1508, '610829', '郭家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.649,37.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15946, 1508, '610829', '寇家塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.706,37.5817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15947, 1508, '610829', '宋家川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.646,37.487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15948, 1508, '610829', '辛家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.603,37.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15949, 1508, '610829', '张家山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.568,37.72', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15950, 1509, '610826', '石家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.108,37.6065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15951, 1509, '610826', '白家硷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.318,37.4137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15952, 1509, '610826', '义合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.482,37.5647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15953, 1509, '610826', '崔家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.348,37.3375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15954, 1509, '610826', '定仙墕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.553,37.2968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15955, 1509, '610826', '田庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.226,37.4713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15956, 1509, '610826', '四十铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.189,37.6861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15957, 1509, '610826', '满堂川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.452,37.516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15958, 1509, '610826', '薛家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.272,37.6898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15959, 1509, '610826', '中角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.487,37.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15960, 1509, '610826', '薛家峁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.395,37.4104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15961, 1509, '610826', '张家砭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.231,37.576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15962, 1509, '610826', '枣林坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.572,37.4595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15963, 1509, '610826', '吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.484,37.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15964, 1509, '610826', '名州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.332,37.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15965, 1510, '610825', '堆子梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.303,37.6251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15966, 1510, '610825', '白泥井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.71,37.8694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15967, 1510, '610825', '学庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.13,37.2116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15968, 1510, '610825', '白湾子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.402,37.2507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15969, 1510, '610825', '砖井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.798,37.6291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15970, 1510, '610825', '安边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.931,37.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15971, 1510, '610825', '红柳沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.487,37.539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15972, 1510, '610825', '定边街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.698,37.6553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15973, 1510, '610825', '郝滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.181,37.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15974, 1510, '610825', '油房庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.81,37.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15975, 1510, '610825', '新安边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.089,37.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15976, 1510, '610825', '樊学镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.683,37.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15977, 1510, '610825', '杨井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.962,37.3815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15978, 1510, '610825', '贺圈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.728,37.5316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15979, 1510, '610825', '姬塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.296,37.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15980, 1510, '610825', '张崾先镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.728,37.0166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15981, 1510, '610825', '冯地坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.304,37.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15982, 1510, '610825', '盐场堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.578,37.7928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15983, 1510, '610825', '石洞沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.148,37.6221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15984, 1511, '610603', '化子坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.981,37.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15985, 1511, '610603', '镰刀湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.895,37.2363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15986, 1511, '610603', '招安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.05,36.891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15987, 1511, '610603', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.197,36.7179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15988, 1511, '610603', '沿河湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.363,36.8363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15989, 1511, '610603', '建华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.284,37.058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15990, 1511, '610603', '坪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.051,37.2578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15991, 1511, '610603', '真武洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.236,36.9381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15992, 1511, '610603', '砖窑湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.955,36.7238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15993, 1512, '610626', '长城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.373,37.3889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15994, 1512, '610626', '五谷城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.453,37.2266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15995, 1512, '610626', '吴仓堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.129,37.1919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15996, 1512, '610626', '周湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.259,37.3393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15997, 1512, '610626', '铁边城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.686,37.1331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15998, 1512, '610626', '吴起街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.236,37.0069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (15999, 1512, '610626', '白豹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.21,36.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16000, 1512, '610626', '庙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.95,36.9016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16001, 1512, '610626', '长官庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.094,36.875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16002, 1513, '610625', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.82,36.655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16003, 1513, '610625', '金丁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.328,36.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16004, 1513, '610625', '顺宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.601,36.9972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16005, 1513, '610625', '旦八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.43,36.6701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16006, 1513, '610625', '保安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.825,36.7871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16007, 1513, '610625', '杏河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.883,37.1527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16008, 1513, '610625', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.739,36.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16009, 1513, '610625', '义正镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.33,36.6809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16010, 1514, '610622', '永坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.669,36.8842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16011, 1514, '610622', '贾家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.912,37.0259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16012, 1514, '610622', '关庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.029,36.9412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16013, 1514, '610622', '文安驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.165,36.8692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16014, 1514, '610622', '大禹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.136,36.8663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16015, 1514, '610622', '杨家圪台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.135,36.72', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16016, 1514, '610622', '乾坤湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.235,36.6897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16017, 1514, '610622', '延水关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.352,36.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16018, 1515, '610602', '川口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.671,36.4862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16019, 1515, '610602', '李渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.474,36.7224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16020, 1515, '610602', '万花山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.312,36.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16021, 1515, '610602', '南市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.479,36.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16022, 1515, '610602', '枣园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.429,36.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16023, 1515, '610602', '桥沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.479,36.5835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16024, 1515, '610602', '甘谷驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.84,36.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16025, 1515, '610602', '麻洞川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.684,36.4625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16026, 1515, '610602', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.413,36.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16027, 1515, '610602', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.582,36.8661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16028, 1515, '610602', '临镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.932,36.4032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16029, 1515, '610602', '宝塔山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.457,36.6289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16030, 1515, '610602', '南泥湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.569,36.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16031, 1515, '610602', '河庄坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.396,36.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16032, 1515, '610602', '姚店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.7,36.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16033, 1515, '610602', '冯庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.413,36.8467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16034, 1515, '610602', '凤凰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.425,36.6317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16035, 1515, '610602', '青化砭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.538,36.8924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16036, 1516, '610681', '瓦窑堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.525,37.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16037, 1516, '610681', '南沟岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.676,37.4307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16038, 1516, '610681', '涧峪岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.424,37.4565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16039, 1516, '610681', '李家岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.333,37.3543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16040, 1516, '610681', '安定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.497,37.2441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16041, 1516, '610681', '余家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.467,37.1141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16042, 1516, '610681', '玉家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.677,37.3066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16043, 1516, '610681', '马家砭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.03,37.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16044, 1516, '610681', '杨家园子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.76,37.0453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16045, 1517, '610621', '雷赤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.458,36.4175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16046, 1517, '610621', '罗子山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.261,36.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16047, 1517, '610621', '安沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.007,36.5194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16048, 1517, '610621', '张家滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.103,36.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16049, 1517, '610621', '黑家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.913,36.7527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16050, 1517, '610621', '七里村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.061,36.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16051, 1517, '610621', '交口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.06,36.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16052, 1517, '610621', '郑庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.905,36.5565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16053, 1518, '610629', '菩堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.645,36.0567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16054, 1518, '610629', '交口河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.407,35.7424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16055, 1518, '610629', '土基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.647,35.6568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16056, 1518, '610629', '槐柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.647,35.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16057, 1518, '610629', '凤栖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.415,35.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16058, 1518, '610629', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.572,35.9473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16059, 1518, '610629', '永乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.446,35.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16060, 1518, '610629', '石头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.706,35.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16061, 1518, '610629', '老庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.43,35.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16062, 1519, '610632', '桥山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.288,35.6137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16063, 1519, '610632', '店头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.983,35.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16064, 1519, '610632', '田庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.292,35.5724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16065, 1519, '610632', '阿党镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.303,35.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16066, 1519, '610632', '隆坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.131,35.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16067, 1519, '610632', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.7,35.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16068, 1520, '610630', '丹州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.099,36.0754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16069, 1520, '610630', '英旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.705,36.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16070, 1520, '610630', '交里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.819,36.1737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16071, 1520, '610630', '集义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.329,35.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16072, 1520, '610630', '壶口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.365,36.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16073, 1520, '610630', '云岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.111,36.3715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16074, 1520, '610630', '秋林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.222,36.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16075, 1521, '610627', '下寺湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.933,36.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16076, 1521, '610627', '桥镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.784,36.3547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16077, 1521, '610627', '道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.207,36.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16078, 1521, '610627', '劳山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.393,36.4368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16079, 1521, '610627', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.326,36.3861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16080, 1521, '610627', '美水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.5,36.2909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16081, 1522, '610628', '张村驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.086,35.9433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16082, 1522, '610628', '牛武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.691,36.1891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16083, 1522, '610628', '寺仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.095,35.8246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16084, 1522, '610628', '北道德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.121,36.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16085, 1522, '610628', '茶坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.106,36.1251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16086, 1522, '610628', '羊泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.202,36.0108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16087, 1522, '610628', '张家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.985,36.2582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16088, 1522, '610628', '直罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.527,35.8004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16089, 1523, '610631', '瓦子街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.796,36.0157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16090, 1523, '610631', '石堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.788,35.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16091, 1523, '610631', '界头庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.756,35.4284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16092, 1523, '610631', '崾先乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.731,35.6909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16093, 1523, '610631', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.685,35.6102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16094, 1523, '610631', '白马滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.181,35.6584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16095, 1523, '610631', '圪台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.09,35.6822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16096, 1524, '610329', '崔木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.841,34.9076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16097, 1524, '610329', '酒房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.381,34.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16098, 1524, '610329', '常丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.936,34.7334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16099, 1524, '610329', '九成宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.685,34.7201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16100, 1524, '610329', '招贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.644,34.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16101, 1524, '610329', '丈八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.668,34.9478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16102, 1524, '610329', '两亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.537,34.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16103, 1525, '610327', '东南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.913,34.8563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16104, 1525, '610327', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.971,34.9217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16105, 1525, '610327', '曹家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.612,34.9019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16106, 1525, '610327', '天成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.596,34.7122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16107, 1525, '610327', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.861,34.9596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16108, 1525, '610327', '河北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.934,34.9526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16109, 1525, '610327', '八渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.868,34.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16110, 1525, '610327', '固关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.536,35.0539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16111, 1525, '610327', '新集川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.619,35.0722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16112, 1525, '610327', '温水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.858,34.9561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16113, 1526, '610328', '草碧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.114,34.9079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16114, 1526, '610328', '南寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.217,34.7975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16115, 1526, '610328', '崔家头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.311,34.7227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16116, 1526, '610328', '张家塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.198,34.8844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16117, 1526, '610328', '高崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.232,34.862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16118, 1526, '610328', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.104,34.7205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16119, 1526, '610328', '水沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.015,34.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16120, 1527, '610303', '群众路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.145,34.4064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16121, 1527, '610303', '陈仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.188,34.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16122, 1527, '610303', '硖石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.953,34.5287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16123, 1527, '610303', '十里铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.192,34.3722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16124, 1527, '610303', '中山东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.161,34.383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16125, 1527, '610303', '中山西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.134,34.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16126, 1527, '610303', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.151,34.4547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16127, 1527, '610303', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.172,34.4128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16128, 1527, '610303', '卧龙寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.234,34.3581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16129, 1527, '610303', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.083,34.3858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16130, 1527, '610303', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.191,34.3667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16131, 1528, '610330', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.026,34.1469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16132, 1528, '610330', '坪坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.863,33.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16133, 1528, '610330', '凤州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.724,34.0124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16134, 1528, '610330', '黄牛铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.85,34.2789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16135, 1528, '610330', '辛家山林业场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.612,34.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16136, 1528, '610330', '双石铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.518,34.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16137, 1528, '610330', '平木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107,33.9713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16138, 1528, '610330', '唐藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.712,34.1982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16139, 1528, '610330', '马头滩林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.002,34.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16140, 1528, '610330', '留凤关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.836,33.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16141, 1528, '610330', '红花铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.689,34.0207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16142, 1529, '610323', '故郡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.604,34.569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16143, 1529, '610323', '蔡家坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.537,34.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16144, 1529, '610323', '青化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.806,34.4057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16145, 1529, '610323', '益店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.763,34.4335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16146, 1529, '610323', '枣林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.681,34.3684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16147, 1529, '610323', '雍川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.566,34.4014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16148, 1529, '610323', '凤鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.573,34.4854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16149, 1529, '610323', '蒲村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.695,34.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16150, 1529, '610323', '京当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.775,34.4688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16151, 1530, '610302', '金陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.145,34.3714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16152, 1530, '610302', '桥南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.167,34.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16153, 1530, '610302', '经二路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.14,34.3748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16154, 1530, '610302', '姜谭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.099,34.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16155, 1530, '610302', '高家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.925,34.4292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16156, 1530, '610302', '八鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.263,34.3157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16157, 1530, '610302', '清姜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.134,34.358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16158, 1530, '610302', '马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.179,34.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16159, 1530, '610302', '神农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.969,34.2396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16160, 1530, '610302', '石鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.195,34.3286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16161, 1531, '610331', '桃川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.502,34.1041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16162, 1531, '610331', '咀头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.21,34.0258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16163, 1531, '610331', '太白河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.231,33.9178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16164, 1531, '610331', '鹦鸽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.503,34.1454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16165, 1531, '610331', '黄柏塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.55,33.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16166, 1531, '610331', '王家堎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.099,33.9278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16167, 1531, '610331', '靖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.216,34.1294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16168, 1532, '610304', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.435,34.3614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16169, 1532, '610304', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.826,34.6363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16170, 1532, '610304', '钓渭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.497,34.2719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16171, 1532, '610304', '凤阁岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.496,34.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16172, 1532, '610304', '香泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.705,34.6462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16173, 1532, '610304', '贾村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.186,34.5229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16174, 1532, '610304', '磻溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.306,34.2502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16175, 1532, '610304', '慕仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.406,34.4125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16176, 1532, '610304', '阳平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.51,34.3518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16177, 1532, '610304', '坪头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.886,34.5198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16178, 1532, '610304', '赤沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.65,34.5909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16179, 1532, '610304', '周原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.379,34.4267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16180, 1532, '610304', '虢镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.371,34.3606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16181, 1532, '610304', '天王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.459,34.1292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16182, 1532, '610304', '县功镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.857,34.5874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16183, 1532, '610304', '千河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.238,34.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16184, 1532, '610304', '千渭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.368,34.3813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16185, 1532, '610304', '拓石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.669,34.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16186, 1533, '610322', '陈村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.23,34.5093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16187, 1533, '610322', '彪角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.429,34.4921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16188, 1533, '610322', '南指挥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.361,34.495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16189, 1533, '610322', '横水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.572,34.4899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16190, 1533, '610322', '糜杆桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.475,34.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16191, 1533, '610322', '长青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.227,34.5615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16192, 1533, '610322', '范家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.331,34.6932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16193, 1533, '610322', '姚家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.528,34.6547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16194, 1533, '610322', '田家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.525,34.5004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16195, 1533, '610322', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.311,34.7227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16196, 1533, '610322', '虢王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.532,34.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16197, 1533, '610322', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.351,34.522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16198, 1534, '610324', '段家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.91,34.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16199, 1534, '610324', '绛帐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.873,34.2858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16200, 1534, '610324', '召公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.973,34.4423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16201, 1534, '610324', '午井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.757,34.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16202, 1534, '610324', '杏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.034,34.3648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16203, 1534, '610324', '法门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.815,34.5438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16204, 1534, '610324', '天度镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.975,34.6203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16205, 1534, '610324', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.767,34.3619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16206, 1535, '610326', '首善街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.698,34.2346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16207, 1535, '610326', '金渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.745,34.2274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16208, 1535, '610326', '汤峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.785,34.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16209, 1535, '610326', '常兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.751,34.3119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16210, 1535, '610326', '营头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.706,34.1452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16211, 1535, '610326', '横渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.924,34.1523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16212, 1535, '610326', '齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.735,34.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16213, 1535, '610326', '槐芽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.841,34.204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16214, 1536, '610527', '雷牙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.649,35.3038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16215, 1536, '610527', '北塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.572,35.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16216, 1536, '610527', '西固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.725,35.2361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16217, 1536, '610527', '杜康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.517,35.2254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16218, 1536, '610527', '尧禾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.47,35.343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16219, 1536, '610527', '史官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.657,35.2935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16220, 1536, '610527', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.518,35.1694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16221, 1536, '610527', '林皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.363,35.1672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16222, 1537, '610581', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.489,35.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16223, 1537, '610581', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.278,35.5593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16224, 1537, '610581', '芝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.141,35.4525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16225, 1537, '610581', '金城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.39,35.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16226, 1537, '610581', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.42,35.494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16227, 1537, '610581', '芝川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.305,35.3478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16228, 1537, '610581', '西庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.203,35.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16229, 1537, '610581', '桑树坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.233,35.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16230, 1538, '610523', '范家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.153,34.9568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16231, 1538, '610523', '赵渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.138,34.7183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16232, 1538, '610523', '国营陕西沙苑企业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.113,34.7229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16233, 1538, '610523', '官池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.892,34.7508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16234, 1538, '610523', '冯村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.825,34.8689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16235, 1538, '610523', '国营陕西黄河企业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.118,34.7862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16236, 1538, '610523', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.962,34.8309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16237, 1538, '610523', '韦林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.024,34.7355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16238, 1538, '610523', '下寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.727,34.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16239, 1538, '610523', '安仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.102,34.9107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16240, 1538, '610523', '羌白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.82,34.6738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16241, 1538, '610523', '埝桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.815,34.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16242, 1538, '610523', '段家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.867,34.8923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16243, 1538, '610523', '双泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.029,34.9561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16244, 1538, '610523', '苏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.836,34.6717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16245, 1538, '610523', '朝邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.103,34.8367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16246, 1538, '610523', '国营陕西荔北企业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.94,34.9036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16247, 1538, '610523', '许庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.929,34.8367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16248, 1538, '610523', '两宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.185,34.9963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16249, 1539, '610582', '华西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.967,34.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16250, 1539, '610582', '孟塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.133,34.5712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16251, 1539, '610582', '国营陕西华山企业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.959,34.6115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16252, 1539, '610582', '岳庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.127,34.4959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16253, 1539, '610582', '太华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.081,34.5518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16254, 1539, '610582', '罗敷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.969,34.3814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16255, 1539, '610582', '华山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.997,34.5005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16256, 1540, '610503', '大明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.672,34.41', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16257, 1540, '610503', '金堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.838,34.5327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16258, 1540, '610503', '瓜坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.733,34.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16259, 1540, '610503', '柳枝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.827,34.5736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16260, 1540, '610503', '杏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.731,34.4877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16261, 1540, '610503', '赤水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.724,34.5781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16262, 1540, '610503', '高塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.658,34.4802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16263, 1540, '610503', '华州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.757,34.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16264, 1540, '610503', '下庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.751,34.5893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16265, 1540, '610503', '莲花寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.784,34.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16266, 1541, '610522', '秦东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.24,34.5973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16267, 1541, '610522', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.177,34.4227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16268, 1541, '610522', '代字营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.275,34.542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16269, 1541, '610522', '桐峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.409,34.4297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16270, 1541, '610522', '太要镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.321,34.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16271, 1542, '610525', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.824,35.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16272, 1542, '610525', '尧头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.901,35.1551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16273, 1542, '610525', '冯原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.748,35.4299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16274, 1542, '610525', '赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.99,35.4324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16275, 1542, '610525', '韦庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.936,34.9342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16276, 1542, '610525', '交道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.869,35.0323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16277, 1542, '610525', '庄头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.033,35.2191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16278, 1542, '610525', '寺前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.944,35.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16279, 1542, '610525', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.914,35.185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16280, 1542, '610525', '安里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.756,35.1967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16281, 1543, '610526', '党睦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.631,34.856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16282, 1543, '610526', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.914,35.0382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16283, 1543, '610526', '龙阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.648,34.872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16284, 1543, '610526', '高阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.495,35.1641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16285, 1543, '610526', '椿林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.69,35.0535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16286, 1543, '610526', '苏坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.396,34.9335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16287, 1543, '610526', '龙池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.74,34.7803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16288, 1543, '610526', '桥陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.512,35.0814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16289, 1543, '610526', '荆姚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.527,34.8714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16290, 1543, '610526', '孙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.788,35.0496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16291, 1543, '610526', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.639,34.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16292, 1543, '610526', '陈庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.621,34.9013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16293, 1543, '610526', '罕井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.584,35.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16294, 1543, '610526', '兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.475,34.9337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16295, 1543, '610526', '洛滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.766,35.1651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16296, 1543, '610526', '尧山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.569,35.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16297, 1544, '610502', '杜桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.468,34.5137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16298, 1544, '610502', '崇宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.575,34.4257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16299, 1544, '610502', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.62,34.528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16300, 1544, '610502', '崇业路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.437,34.5286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16301, 1544, '610502', '人民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.523,34.5215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16302, 1544, '610502', '良田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.394,34.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16303, 1544, '610502', '官道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.557,34.6496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16304, 1544, '610502', '丰原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.597,34.4834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16305, 1544, '610502', '下邽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.49,34.7468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16306, 1544, '610502', '孝义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.662,34.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16307, 1544, '610502', '阳郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.459,34.361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16308, 1544, '610502', '官路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.7,34.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16309, 1544, '610502', '故市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.603,34.6983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16310, 1544, '610502', '阎村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.502,34.4409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16311, 1544, '610502', '吝店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.664,34.7012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16312, 1544, '610502', '桥南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.586,34.3565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16313, 1544, '610502', '官底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.463,34.7565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16314, 1544, '610502', '三张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.45,34.4739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16315, 1544, '610502', '站南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.522,34.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16316, 1544, '610502', '交斜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.666,34.7001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16317, 1544, '610502', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.495,34.5049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16318, 1544, '610502', '信义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.61,34.6075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16319, 1544, '610502', '双王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.525,34.5221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16320, 1544, '610502', '白杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.457,34.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16321, 1544, '610502', '辛市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.502,34.5568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16322, 1544, '610502', '龙背街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.575,34.5565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16323, 1544, '610502', '阳曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.469,34.5598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16324, 1545, '610524', '新池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.239,35.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16325, 1545, '610524', '甘井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.092,35.4076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16326, 1545, '610524', '和家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.089,35.1836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16327, 1545, '610524', '百良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.28,35.3155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16328, 1545, '610524', '路井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.101,35.1322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16329, 1545, '610524', '金峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.01,35.3922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16330, 1545, '610524', '黑池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.191,34.9948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16331, 1545, '610524', '同家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.11,35.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16332, 1545, '610524', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.099,35.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16333, 1545, '610524', '洽川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.302,35.1198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16334, 1545, '610524', '坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.322,35.1514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16335, 1545, '610524', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.166,35.1323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16336, 1546, '610528', '美原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.328,35.0439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16337, 1546, '610528', '齐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.1,34.8573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16338, 1546, '610528', '曹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.099,34.9717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16339, 1546, '610528', '老庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.326,35.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16340, 1546, '610528', '留古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.264,34.7069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16341, 1546, '610528', '梅家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.972,34.8499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16342, 1546, '610528', '淡村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.067,34.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16343, 1546, '610528', '张桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.348,34.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16344, 1546, '610528', '宫里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.096,34.9177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16345, 1546, '610528', '庄里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.083,34.913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16346, 1546, '610528', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.143,34.7495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16347, 1546, '610528', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.319,34.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16348, 1546, '610528', '薛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.256,35.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16349, 1546, '610528', '到贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.236,34.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16350, 1546, '610528', '流曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.229,34.75', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16351, 1547, '610429', '郑家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.227,35.1312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16352, 1547, '610429', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.391,35.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16353, 1547, '610429', '清塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.55,35.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16354, 1547, '610429', '张洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.239,35.0004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16355, 1547, '610429', '底庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.205,35.2127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16356, 1547, '610429', '马栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.86,35.3201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16357, 1547, '610429', '太村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.306,35.1999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16358, 1547, '610429', '土桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.447,35.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16359, 1547, '610429', '职田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.418,35.2426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16360, 1547, '610429', '湫坡头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.252,35.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16361, 1548, '610482', '北极镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.968,35.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16362, 1548, '610482', '韩家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.933,35.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16363, 1548, '610482', '义门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.967,35.1968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16364, 1548, '610482', '太峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.092,34.9127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16365, 1548, '610482', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.966,35.0462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16366, 1548, '610482', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.104,35.1847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16367, 1548, '610482', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.931,34.9421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16368, 1548, '610482', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.202,35.2055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16369, 1548, '610482', '龙高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.233,34.9108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16370, 1549, '610424', '大杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.282,34.4951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16371, 1549, '610424', '注泔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.335,34.6482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16372, 1549, '610424', '灵源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.389,34.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16373, 1549, '610424', '周城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.097,34.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16374, 1549, '610424', '姜村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.269,34.4368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16375, 1549, '610424', '马连镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.318,34.3623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16376, 1549, '610424', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.237,34.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16377, 1549, '610424', '薛录镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.379,34.4665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16378, 1549, '610424', '梁村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.197,34.4728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16379, 1549, '610424', '新阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.114,34.5029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16380, 1549, '610424', '临平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.05,34.5327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16381, 1549, '610424', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.209,34.4155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16382, 1549, '610424', '梁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.027,34.6705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16383, 1549, '610424', '峰阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.217,34.704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16384, 1549, '610424', '阳洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.27,34.559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16385, 1549, '610424', '阳峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.187,34.6521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16386, 1550, '610426', '监军街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.09,34.7186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16387, 1550, '610426', '永平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.054,34.9126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16388, 1550, '610426', '甘井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.991,34.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16389, 1550, '610426', '常宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.216,34.8598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16390, 1550, '610426', '马坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.115,34.8382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16391, 1550, '610426', '渠子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.171,34.9586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16392, 1550, '610426', '店头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.005,34.5032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16393, 1551, '610404', '窑店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.863,34.3847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16394, 1551, '610404', '底张街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.797,34.4872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16395, 1551, '610404', '渭阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,34.3541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16396, 1551, '610404', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.739,34.3397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16397, 1551, '610404', '渭城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.745,34.3845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16398, 1551, '610404', '周陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,34.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16399, 1551, '610404', '北杜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.689,34.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16400, 1551, '610404', '文汇路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.743,34.3547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16401, 1551, '610404', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.878,34.4573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16402, 1551, '610404', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.735,34.3392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16403, 1552, '610431', '武功镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.062,34.3579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16404, 1552, '610431', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.148,34.3104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16405, 1552, '610431', '长宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.311,34.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16406, 1552, '610431', '贞元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.252,34.348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16407, 1552, '610431', '普集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.219,34.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16408, 1552, '610431', '小村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.293,34.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16409, 1552, '610431', '苏坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.063,34.4351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16410, 1552, '610431', '游风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.049,34.4292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16411, 1553, '610423', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.902,34.5398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16412, 1553, '610423', '崇文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.925,34.5141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16413, 1553, '610423', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.694,34.5229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16414, 1553, '610423', '云阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.805,34.6475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16415, 1553, '610423', '三渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.838,34.5512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16416, 1553, '610423', '桥底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.686,34.5954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16417, 1553, '610423', '中张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.773,34.5893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16418, 1553, '610423', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.617,34.6481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16419, 1553, '610423', '口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.708,34.6761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16420, 1553, '610423', '安吴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.798,34.727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16421, 1553, '610423', '泾干街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.899,34.4888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16422, 1553, '610423', '王桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.624,34.6441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16423, 1553, '610423', '高庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.84,34.4735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16424, 1554, '610428', '亭口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.961,35.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16425, 1554, '610428', '巨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.766,35.0859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16426, 1554, '610428', '相公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.957,35.2667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16427, 1554, '610428', '昭仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.859,35.1499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16428, 1554, '610428', '丁家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.751,35.2137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16429, 1554, '610428', '彭公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.795,35.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16430, 1554, '610428', '洪家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.796,35.2786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16431, 1554, '610428', '枣元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.846,35.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16432, 1555, '610481', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.402,34.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16433, 1555, '610481', '西吴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.597,34.3349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16434, 1555, '610481', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.482,34.321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16435, 1555, '610481', '阜寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.564,34.2795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16436, 1555, '610481', '赵村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.361,34.3139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16437, 1555, '610481', '庄头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.439,34.2723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16438, 1555, '610481', '汤坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.405,34.2787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16439, 1555, '610481', '南位镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.582,34.3787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16440, 1555, '610481', '丰仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.398,34.2545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16441, 1555, '610481', '店张街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.57,34.4334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16442, 1555, '610481', '南市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.428,34.3581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16443, 1555, '610481', '马嵬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.374,34.3382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16444, 1555, '610481', '桑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.331,34.2577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16445, 1556, '610403', '揉谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.978,34.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16446, 1556, '610403', '五泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.018,34.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16447, 1556, '610403', '杨陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.126,34.2925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16448, 1556, '610403', '大寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.047,34.3198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16449, 1556, '610403', '李台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.13,34.255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16450, 1557, '610422', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.847,34.7626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16451, 1557, '610422', '鲁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.915,34.6982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16452, 1557, '610422', '西阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.966,34.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16453, 1557, '610422', '独李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.081,34.6495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16454, 1557, '610422', '嵯峨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.85,34.7935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16455, 1557, '610422', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.903,34.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16456, 1557, '610422', '渠岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.957,34.6323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16457, 1557, '610422', '大程镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.048,34.6639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16458, 1557, '610422', '陵前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.921,34.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16459, 1557, '610422', '陂西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.103,34.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16460, 1558, '610430', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.663,34.9332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16461, 1558, '610430', '铁王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.573,35.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16462, 1558, '610430', '方里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.668,34.8662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16463, 1558, '610430', '润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.544,35.0142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16464, 1558, '610430', '车坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.56,34.8061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16465, 1558, '610430', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.398,34.986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16466, 1558, '610430', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.65,34.7214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16467, 1558, '610430', '十里塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.456,34.9741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16468, 1559, '610402', '吴家堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,34.3541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16469, 1559, '610402', '马庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.662,34.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16470, 1559, '610402', '渭阳西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.674,34.3329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16471, 1559, '610402', '钓台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.74,34.3115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16472, 1559, '610402', '渭滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.619,34.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16473, 1559, '610402', '沣东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.798,34.3415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16474, 1559, '610402', '古渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.668,34.3619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16475, 1559, '610402', '陈杨寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.77,34.3334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16476, 1559, '610402', '双照街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.578,34.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16477, 1559, '610402', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.705,34.3273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16478, 1559, '610402', '西兰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.694,34.3384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16479, 1559, '610402', '马泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.645,34.3542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16480, 1560, '610425', '烽火镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.613,34.5885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16481, 1560, '610425', '昭陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.461,34.6578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16482, 1560, '610425', '西张堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.527,34.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16483, 1560, '610425', '史德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.422,34.4255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16484, 1560, '610425', '石潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.35,34.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16485, 1560, '610425', '叱干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.501,34.7284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16486, 1560, '610425', '阡东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.654,34.5518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16487, 1560, '610425', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.403,34.5284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16488, 1560, '610425', '赵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.473,34.5566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16489, 1560, '610425', '骏马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.523,34.462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16490, 1560, '610425', '南坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.328,34.81', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16491, 1560, '610425', '烟霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.531,34.6485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16492, 1561, '610923', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.423,33.7415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16493, 1561, '610923', '金川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.782,33.6596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16494, 1561, '610923', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.267,33.7566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16495, 1561, '610923', '筒车湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.193,33.5184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16496, 1561, '610923', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.508,33.5883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16497, 1561, '610923', '龙王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.469,33.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16498, 1561, '610923', '梅子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.045,33.3297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16499, 1561, '610923', '四亩地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.161,33.713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16500, 1561, '610923', '太山庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.599,33.4109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16501, 1561, '610923', '皇冠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.481,33.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16502, 1561, '610923', '广货街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.605,33.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16503, 1562, '610921', '观音河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.492,33.0205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16504, 1562, '610921', '涧池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.577,32.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16505, 1562, '610921', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.508,32.9236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16506, 1562, '610921', '蒲溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.6,32.7913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16507, 1562, '610921', '铁佛寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.642,33.1372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16508, 1562, '610921', '双乳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.699,32.8597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16509, 1562, '610921', '汉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.23,32.8036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16510, 1562, '610921', '平梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.422,33.0301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16511, 1562, '610921', '双河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.536,33.0006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16512, 1562, '610921', '漩涡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.4,32.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16513, 1563, '610922', '中池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.446,33.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16514, 1563, '610922', '喜河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.201,32.8831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16515, 1563, '610922', '池河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.291,32.987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16516, 1563, '610922', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.15,33.1113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16517, 1563, '610922', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.116,33.2331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16518, 1563, '610922', '云雾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.341,33.195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16519, 1563, '610922', '迎丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.322,33.1999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16520, 1563, '610922', '熨斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.098,32.857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16521, 1563, '610922', '后柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.164,32.9596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16522, 1563, '610922', '饶峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.179,33.2431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16523, 1563, '610922', '曾溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.162,33.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16524, 1564, '610924', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.406,32.3333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16525, 1564, '610924', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.496,32.374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16526, 1564, '610924', '双安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.454,32.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16527, 1564, '610924', '麻柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.178,32.2491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16528, 1564, '610924', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.41,32.5303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16529, 1564, '610924', '红椿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.316,32.5688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16530, 1564, '610924', '汉王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.503,32.7888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16531, 1564, '610924', '蒿坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.679,32.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16532, 1564, '610924', '瓦庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.12,32.3847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16533, 1564, '610924', '焕古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.397,32.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16534, 1564, '610924', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.463,32.5836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16535, 1564, '610924', '东木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.326,32.6559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16536, 1564, '610924', '洞河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.616,32.5533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16537, 1564, '610924', '洄水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,32.2663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16538, 1564, '610924', '界岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.595,32.1583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16539, 1564, '610924', '高滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.34,32.4706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16540, 1564, '610924', '毛坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.261,32.3623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16541, 1565, '610902', '紫荆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.823,33.159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16542, 1565, '610902', '叶坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.631,33.2479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16543, 1565, '610902', '五里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.846,32.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16544, 1565, '610902', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.063,32.7109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16545, 1565, '610902', '建民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.005,32.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16546, 1565, '610902', '沈坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.699,33.0763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16547, 1565, '610902', '牛蹄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.512,32.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16548, 1565, '610902', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.016,32.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16549, 1565, '610902', '坝河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.245,32.6528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16550, 1565, '610902', '恒口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.735,32.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16551, 1565, '610902', '张滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.062,32.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16552, 1565, '610902', '瀛湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.873,32.6645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16553, 1565, '610902', '谭坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.92,32.836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16554, 1565, '610902', '关家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.123,32.6999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16555, 1565, '610902', '关庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.068,32.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16556, 1565, '610902', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.066,32.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16557, 1565, '610902', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.886,32.5125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16558, 1565, '610902', '石梯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.134,32.7184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16559, 1565, '610902', '中原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.753,33.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16560, 1565, '610902', '县河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.114,32.6617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16561, 1565, '610902', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.83,32.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16562, 1565, '610902', '茨沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.989,33.1247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16563, 1565, '610902', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.769,32.8552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16564, 1565, '610902', '早阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.102,32.9015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16565, 1565, '610902', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.735,32.6211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16566, 1565, '610902', '吉河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.034,32.5454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16567, 1565, '610902', '晏坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.93,32.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16568, 1565, '610902', '大竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.656,32.5971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16569, 1565, '610902', '流水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.785,32.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16570, 1566, '610928', '吕河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.423,32.7944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16571, 1566, '610928', '赵湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.094,33.0284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16572, 1566, '610928', '棕溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.548,32.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16573, 1566, '610928', '麻坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.025,32.9998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16574, 1566, '610928', '关口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.576,32.972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16575, 1566, '610928', '神河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.371,32.6963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16576, 1566, '610928', '仁河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.072,33.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16577, 1566, '610928', '桐木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.041,33.1166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16578, 1566, '610928', '金寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.519,32.7549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16579, 1566, '610928', '段家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.21,32.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16580, 1566, '610928', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.122,33.1593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16581, 1566, '610928', '白柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.285,33.0624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16582, 1566, '610928', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.365,32.6231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16583, 1566, '610928', '红军镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.388,33.0828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16584, 1566, '610928', '甘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.257,33.0165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16585, 1566, '610928', '构元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.382,32.9694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16586, 1566, '610928', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.353,32.9446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16587, 1566, '610928', '蜀河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.62,32.9638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16588, 1566, '610928', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.56,33.0552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16589, 1566, '610928', '赤岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.648,32.6926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16590, 1566, '610928', '仙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.735,32.984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16591, 1567, '610926', '老县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.13,32.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16592, 1567, '610926', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.2,32.4841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16593, 1567, '610926', '洛河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.116,32.3926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16594, 1567, '610926', '广佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.392,32.2978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16595, 1567, '610926', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.244,32.5457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16596, 1567, '610926', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.335,32.5658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16597, 1567, '610926', '八仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.111,32.1623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16598, 1567, '610926', '正阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.156,32.0612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16599, 1567, '610926', '大贵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.126,32.4723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16600, 1567, '610926', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.402,32.3409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16601, 1567, '610926', '三阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.019,32.4756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16602, 1568, '610929', '中厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.077,32.7337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16603, 1568, '610929', '西营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.738,32.712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16604, 1568, '610929', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.023,32.8514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16605, 1568, '610929', '双丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.699,32.7029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16606, 1568, '610929', '仓上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.717,32.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16607, 1568, '610929', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.907,32.7889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16608, 1568, '610929', '麻虎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.936,32.7599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16609, 1568, '610929', '茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.977,32.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16610, 1568, '610929', '构扒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.047,32.773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16611, 1568, '610929', '宋家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.828,32.7022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16612, 1568, '610929', '卡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.026,32.7245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16613, 1569, '610925', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.921,32.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16614, 1569, '610925', '堰门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.71,32.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16615, 1569, '610925', '滔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.892,32.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16616, 1569, '610925', '四季镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.852,32.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16617, 1569, '610925', '孟石岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.05,32.2101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16618, 1569, '610925', '大道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.639,32.5021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16619, 1569, '610925', '佐龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.838,32.5112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16620, 1569, '610925', '官元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.708,32.2625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16621, 1569, '610925', '蔺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.996,32.3693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16622, 1569, '610925', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.835,32.3145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16623, 1569, '610925', '民主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.69,32.5009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16624, 1569, '610925', '南宫山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.045,32.1361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16625, 1570, '610927', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.477,31.9272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16626, 1570, '610927', '上竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.342,31.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16627, 1570, '610927', '钟宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.51,31.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16628, 1570, '610927', '华坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.377,31.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16629, 1570, '610927', '牛头店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.436,32.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16630, 1570, '610927', '曙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.4,31.9065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16631, 1570, '610927', '曾家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.422,32.1615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16632, 1571, '520201', '黄土坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.82,26.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16633, 1571, '520201', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.603,26.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16634, 1571, '520201', '红岩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.829,26.6058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16635, 1571, '520201', '德坞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.806,26.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16636, 1571, '520201', '双戛彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.784,26.6212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16637, 1571, '520201', '荷泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.841,26.5871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16638, 1571, '520201', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.874,26.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16639, 1571, '520201', '汪家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.79,26.7466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16640, 1571, '520201', '月照彝族回族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.92,26.6002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16641, 1571, '520201', '杨柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.864,26.587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16642, 1571, '520201', '荷城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.879,26.5603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16643, 1571, '520201', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.796,26.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16644, 1572, '520203', '木岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.622,26.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16645, 1572, '520203', '大用镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.553,26.157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16646, 1572, '520203', '落别布依族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.537,26.1443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16647, 1572, '520203', '龙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,26.339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16648, 1572, '520203', '岩脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.313,26.3682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16649, 1572, '520203', '新窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.428,26.2869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16650, 1572, '520203', '新场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.309,26.4609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16651, 1572, '520203', '牛场苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.245,26.5094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16652, 1572, '520203', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.5,26.3844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16653, 1572, '520203', '梭戛苗族彝族回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.41,26.3914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16654, 1572, '520203', '月亮河彝族布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.411,26.1491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16655, 1572, '520203', '牂牁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.328,26.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16656, 1572, '520203', '中寨苗族彝族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.359,26.1839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16657, 1572, '520203', '银壶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.455,26.2246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16658, 1572, '520203', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.512,26.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16659, 1572, '520203', '塔山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.428,26.2481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16660, 1572, '520203', '关寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.317,26.3369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16661, 1572, '520203', '郎岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.316,26.1163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16662, 1573, '520281', '刘官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.699,25.8563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16663, 1573, '520281', '乌蒙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.543,26.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16664, 1573, '520281', '淤泥彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.829,26.0542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16665, 1573, '520281', '普古彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.905,26.076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16666, 1573, '520281', '亦资街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.5,25.6741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16667, 1573, '520281', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.836,25.471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16668, 1573, '520281', '红果街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.46,25.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16669, 1573, '520281', '旧营白族彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.707,25.8509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16670, 1573, '520281', '民主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.625,25.6057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16671, 1573, '520281', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.545,25.4468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16672, 1573, '520281', '羊场布依族白族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.789,25.9315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16673, 1573, '520281', '普田回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.788,25.4184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16674, 1573, '520281', '保基苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.922,26.0304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16675, 1573, '520281', '坪地彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.519,26.1317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16676, 1573, '520281', '翰林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.469,25.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16677, 1573, '520281', '两河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.483,25.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16678, 1573, '520281', '保田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.834,25.4824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16679, 1573, '520281', '鸡场坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.697,25.9806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16680, 1573, '520281', '胜境街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.318,25.645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16681, 1573, '520281', '英武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.746,25.7647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16682, 1573, '520281', '丹霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.641,25.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16683, 1573, '520281', '竹海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.814,25.7103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16684, 1573, '520281', '柏果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.489,26.0745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16685, 1573, '520281', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.554,25.5121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16686, 1573, '520281', '盘关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.459,25.9395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16687, 1573, '520281', '大山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.701,25.5588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16688, 1573, '520281', '双凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.71,25.6968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16689, 1574, '520221', '猴场苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.092,26.2767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16690, 1574, '520221', '青林苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.018,26.6998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16691, 1574, '520221', '坪寨彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.633,26.4636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16692, 1574, '520221', '比德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.105,26.5885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16693, 1574, '520221', '化乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.166,26.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16694, 1574, '520221', '老鹰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.028,26.5623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16695, 1574, '520221', '新街彝族苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.788,26.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16696, 1574, '520221', '顺场苗族彝族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.784,26.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16697, 1574, '520221', '果布戛彝族苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.962,26.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16698, 1574, '520221', '都格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.714,26.4023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16699, 1574, '520221', '野钟苗族彝族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.843,26.2506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16700, 1574, '520221', '勺米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.823,26.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16701, 1574, '520221', '花戛苗族布依族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.87,26.1613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16702, 1574, '520221', '杨梅彝族苗族回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.844,26.3955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16703, 1574, '520221', '发耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.81,26.3535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16704, 1574, '520221', '木果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.784,26.7464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16705, 1574, '520221', '营盘苗族彝族白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.744,26.1635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16706, 1574, '520221', '米箩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.907,26.3692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16707, 1574, '520221', '鸡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.651,26.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16708, 1574, '520221', '龙场苗族白族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.801,26.1773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16709, 1574, '520221', '董地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.028,26.5558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16710, 1574, '520221', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.074,26.4111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16711, 1574, '520221', '南开苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.895,26.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16712, 1574, '520221', '尖山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.047,26.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16713, 1574, '520221', '金盆苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.883,26.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16714, 1574, '520221', '陡箐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.179,26.3386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16715, 1574, '520221', '阿戛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.084,26.3729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16716, 1574, '520221', '双水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.022,26.5319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16717, 1574, '520221', '玉舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.842,26.4007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16718, 1574, '520221', '保华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.865,26.6613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16719, 1575, '520623', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.144,27.5941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16720, 1575, '520623', '坪地场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.361,27.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16721, 1575, '520623', '五德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.363,27.4693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16722, 1575, '520623', '青阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.418,27.5232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16723, 1575, '520623', '坪山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.226,27.428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16724, 1575, '520623', '本庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.903,27.6099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16725, 1575, '520623', '大沙坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.209,27.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16726, 1575, '520623', '国荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.156,27.5204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16727, 1575, '520623', '枫香乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.342,27.5044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16728, 1575, '520623', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.003,27.4377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16729, 1575, '520623', '河坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.755,27.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16730, 1575, '520623', '甘溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.054,27.4323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16731, 1575, '520623', '石固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.402,27.518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16732, 1575, '520623', '中坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.216,27.4914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16733, 1575, '520623', '龙井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.143,27.5903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16734, 1575, '520623', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.249,27.5635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16735, 1575, '520623', '聚凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.91,27.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16736, 1575, '520623', '泉都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.219,27.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16737, 1575, '520623', '汤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.259,27.4648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16738, 1576, '520625', '刀坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.542,28.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16739, 1576, '520625', '罗场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.478,27.9541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16740, 1576, '520625', '天堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.5,28.1752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16741, 1576, '520625', '杉树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.417,28.1455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16742, 1576, '520625', '合水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.569,28.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16743, 1576, '520625', '沙子坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.513,28.3151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16744, 1576, '520625', '紫薇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.517,27.9807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16745, 1576, '520625', '杨柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.445,27.7431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16746, 1576, '520625', '洋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.491,27.6658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16747, 1576, '520625', '板溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.434,28.1509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16748, 1576, '520625', '中兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.32,28.0635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16749, 1576, '520625', '峨岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.411,27.9372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16750, 1576, '520625', '木黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.788,28.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16751, 1576, '520625', '新寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.426,27.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16752, 1576, '520625', '龙津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.428,28.0707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16753, 1576, '520625', '缠溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.43,27.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16754, 1576, '520625', '朗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.528,28.0684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16755, 1577, '520626', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.068,28.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16756, 1577, '520626', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.889,28.145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16757, 1577, '520626', '荆角土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.113,28.3857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16758, 1577, '520626', '潮砥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.317,28.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16759, 1577, '520626', '堰塘土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.025,28.1936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16760, 1577, '520626', '泉口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.081,28.6202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16761, 1577, '520626', '楠杆土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.892,28.1848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16762, 1577, '520626', '龙泉土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.972,28.225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16763, 1577, '520626', '煎茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.909,28.228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16764, 1577, '520626', '玉水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.139,28.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16765, 1577, '520626', '钱家土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.076,28.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16766, 1577, '520626', '沙溪土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.925,28.3722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16767, 1577, '520626', '桶井土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.262,28.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16768, 1577, '520626', '青龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.117,28.2592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16769, 1577, '520626', '稳坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.186,28.3255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16770, 1577, '520626', '长丰土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.1,28.4592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16771, 1577, '520626', '平原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.871,28.1808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16772, 1577, '520626', '共和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.173,28.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16773, 1577, '520626', '枫香溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.321,28.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16774, 1577, '520626', '合兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.063,28.1474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16775, 1577, '520626', '长堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.307,28.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16776, 1577, '520626', '安化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.118,28.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16777, 1578, '520602', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.128,27.7405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16778, 1578, '520602', '六龙山侗族土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.246,27.6442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16779, 1578, '520602', '坝黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.995,27.7794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16780, 1578, '520602', '桐木坪侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.098,27.6956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16781, 1578, '520602', '滑石侗族苗族土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.342,27.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16782, 1578, '520602', '漾头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.264,27.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16783, 1578, '520602', '和平土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.08,27.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16784, 1578, '520602', '瓦屋侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.468,27.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16785, 1578, '520602', '云场坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.304,27.7382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16786, 1578, '520602', '市中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.182,27.6898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16787, 1578, '520602', '灯塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.25,27.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16788, 1578, '520602', '环北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.192,27.7495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16789, 1578, '520602', '川硐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.277,27.8536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16790, 1578, '520602', '有关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.249,27.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16791, 1579, '520621', '桃映镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.11,27.8385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16792, 1579, '520621', '怒溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.929,27.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16793, 1579, '520621', '民和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.742,27.4856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16794, 1579, '520621', '闵孝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.668,27.758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16795, 1579, '520621', '官和侗族土家族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.659,27.577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16796, 1579, '520621', '德旺土家族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.597,27.8839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16797, 1579, '520621', '坝盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.952,27.7276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16798, 1579, '520621', '凯德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.762,27.66', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16799, 1579, '520621', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.613,27.8722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16800, 1579, '520621', '双江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.866,27.7627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16801, 1580, '520603', '黄道侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.238,27.5243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16802, 1580, '520603', '鱼塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.022,27.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16803, 1580, '520603', '茶店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.18,27.6374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16804, 1580, '520603', '万山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.229,27.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16805, 1580, '520603', '敖寨侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.193,27.5357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16806, 1580, '520603', '高楼坪侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.197,27.5215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16807, 1580, '520603', '下溪侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.281,27.5443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16808, 1580, '520603', '谢桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.176,27.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16809, 1580, '520603', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.037,27.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16810, 1581, '520628', '妙隘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.014,28.1885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16811, 1581, '520628', '蓼皋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.152,28.1613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16812, 1581, '520628', '瓦溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.703,28.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16813, 1581, '520628', '太平营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.182,28.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16814, 1581, '520628', '长坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.238,28.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16815, 1581, '520628', '黄板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.188,28.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16816, 1581, '520628', '大路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.009,28.1533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16817, 1581, '520628', '九江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.15,28.1645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16818, 1581, '520628', '冷水溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.805,28.2412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16819, 1581, '520628', '乌罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.849,28.1095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16820, 1581, '520628', '平头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.076,28.0669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16821, 1581, '520628', '石梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.707,28.1947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16822, 1581, '520628', '大坪场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.051,28.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16823, 1581, '520628', '寨英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.976,28.0314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16824, 1581, '520628', '牛郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.149,27.9412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16825, 1581, '520628', '长兴堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.141,28.3576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16826, 1581, '520628', '沙坝河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.04,27.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16827, 1581, '520628', '盘信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.164,28.0254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16828, 1581, '520628', '正大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.201,27.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16829, 1581, '520628', '普觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.049,28.0464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16830, 1581, '520628', '世昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.224,28.1544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16831, 1581, '520628', '永安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.65,28.2157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16832, 1581, '520628', '大兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.193,27.9377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16833, 1581, '520628', '木树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.232,28.4013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16834, 1581, '520628', '孟溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.98,28.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16835, 1581, '520628', '盘石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.273,28.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16836, 1581, '520628', '甘龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.615,28.3246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16837, 1581, '520628', '迓驾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.217,28.3963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16838, 1582, '520627', '泉坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.28,28.6009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16839, 1582, '520627', '中界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.585,28.4612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16840, 1582, '520627', '客田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.237,28.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16841, 1582, '520627', '后坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.164,28.9804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16842, 1582, '520627', '谯家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.481,28.4305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16843, 1582, '520627', '思渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.253,28.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16844, 1582, '520627', '沙子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.561,28.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16845, 1582, '520627', '晓景乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.597,28.4562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16846, 1582, '520627', '黑水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.498,28.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16847, 1582, '520627', '官舟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.396,28.5284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16848, 1582, '520627', '甘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.419,28.4324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16849, 1582, '520627', '黄土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.265,28.7538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16850, 1582, '520627', '板场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.358,28.476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16851, 1582, '520627', '新景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.272,28.8629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16852, 1582, '520627', '洪渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.317,28.935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16853, 1582, '520627', '土地坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.233,28.4754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16854, 1582, '520627', '淇滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.404,28.5477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16855, 1582, '520627', '夹石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.363,28.3606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16856, 1582, '520627', '中寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.123,28.6297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16857, 1582, '520627', '塘坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.179,28.9427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16858, 1582, '520627', '祐溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.487,28.5408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16859, 1582, '520627', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.494,28.5883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16860, 1582, '520627', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.547,28.623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16861, 1583, '520624', '胡家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.972,27.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16862, 1583, '520624', '鹦鹉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.216,28.1399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16863, 1583, '520624', '文家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.049,27.7183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16864, 1583, '520624', '凉水井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.322,28.0311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16865, 1583, '520624', '孙家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.263,27.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16866, 1583, '520624', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.209,27.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16867, 1583, '520624', '亭子坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.975,27.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16868, 1583, '520624', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.293,27.7361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16869, 1583, '520624', '瓮溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.053,27.6549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16870, 1583, '520624', '香坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.064,27.8377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16871, 1583, '520624', '合朋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.958,27.7743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16872, 1583, '520624', '大坝场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.414,27.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16873, 1583, '520624', '张家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.054,27.942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16874, 1583, '520624', '天桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.374,27.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16875, 1583, '520624', '枫芸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.076,27.8326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16876, 1583, '520624', '长坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.971,27.7529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16877, 1583, '520624', '思林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.201,27.8603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16878, 1583, '520624', '杨家坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.987,27.9297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16879, 1583, '520624', '邵家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.233,27.8412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16880, 1583, '520624', '宽坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.998,27.9869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16881, 1583, '520624', '东华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.094,28.087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16882, 1583, '520624', '大河坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.151,27.9043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16883, 1583, '520624', '许家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.047,27.8373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16884, 1583, '520624', '塘头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.127,27.7217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16885, 1583, '520624', '三道水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.056,27.7155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16886, 1583, '520624', '关中坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.258,27.9387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16887, 1583, '520624', '双塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.194,28.0118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16888, 1583, '520624', '思唐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.257,27.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16889, 1583, '520624', '青杠坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.024,27.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16890, 1584, '520622', '田坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.119,27.38', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16891, 1584, '520622', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.909,27.1448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16892, 1584, '520622', '亚鱼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.127,27.5108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16893, 1584, '520622', '朱家场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.9,27.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16894, 1584, '520622', '麻音塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.98,27.3325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16895, 1584, '520622', '平溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.93,27.2855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16896, 1584, '520622', '皂角坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.915,27.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16897, 1584, '520622', '大龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.999,27.2645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16898, 1585, '520323', '洋川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.159,27.9681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16899, 1585, '520323', '蒲场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.08,27.9608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16900, 1585, '520323', '茅垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.121,28.1779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16901, 1585, '520323', '青杠塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.116,28.3334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16902, 1585, '520323', '坪乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.41,28.22', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16903, 1585, '520323', '宽阔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.046,28.2589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16904, 1585, '520323', '旺草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.216,28.2418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16905, 1585, '520323', '枧坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.992,28.0243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16906, 1585, '520323', '小关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.382,27.9805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16907, 1585, '520323', '黄杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.071,28.2554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16908, 1585, '520323', '风华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.098,27.8953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16909, 1585, '520323', '大路槽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.276,28.0392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16910, 1585, '520323', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.341,28.1451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16911, 1585, '520323', '太白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.998,28.3583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16912, 1585, '520323', '郑场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.305,27.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16913, 1586, '520328', '茶城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.464,27.7975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16914, 1586, '520328', '天城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.635,27.8085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16915, 1586, '520328', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.5,27.7467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16916, 1586, '520328', '石莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.414,27.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16917, 1586, '520328', '茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.38,27.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16918, 1586, '520328', '抄乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.514,27.6299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16919, 1586, '520328', '高台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.345,27.5815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16920, 1586, '520328', '洗马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.462,27.9032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16921, 1586, '520328', '新南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.36,27.5546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16922, 1586, '520328', '西河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.506,28.1788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16923, 1586, '520328', '黄家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.381,27.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16924, 1586, '520328', '湄江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.524,27.7958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16925, 1586, '520328', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.677,27.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16926, 1586, '520328', '鱼泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.462,27.9095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16927, 1586, '520328', '桃花江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.467,27.7995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16928, 1586, '520328', '马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.519,28.0672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16929, 1586, '520328', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.534,27.8625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16930, 1587, '520322', '小水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.899,28.3921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16931, 1587, '520322', '九坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.66,28.17', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16932, 1587, '520322', '尧龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.78,28.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16933, 1587, '520322', '楚米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.751,28.3177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16934, 1587, '520322', '马鬃苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.907,28.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16935, 1587, '520322', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.832,28.3478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16936, 1587, '520322', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.729,28.1638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16937, 1587, '520322', '风水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.557,28.1327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16938, 1587, '520322', '新站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.822,28.4247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16939, 1587, '520322', '夜郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.812,28.4313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16940, 1587, '520322', '官仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.777,28.0825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16941, 1587, '520322', '水坝塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.16,28.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16942, 1587, '520322', '娄山关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.782,28.1706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16943, 1587, '520322', '坡渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.894,28.6573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16944, 1587, '520322', '燎原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.74,28.0674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16945, 1587, '520322', '狮溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.148,28.7389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16946, 1587, '520322', '黄莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.98,28.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16947, 1587, '520322', '芭蕉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.163,28.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16948, 1587, '520322', '花秋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.657,28.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16949, 1587, '520322', '茅石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.898,28.1995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16950, 1587, '520322', '松坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.778,28.489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16951, 1587, '520322', '羊磴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.984,28.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16952, 1587, '520322', '容光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.551,28.1274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16953, 1587, '520322', '木瓜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.039,28.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16954, 1588, '520329', '大乌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.738,27.4934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16955, 1588, '520329', '白泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.943,27.1481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16956, 1588, '520329', '敖溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.671,27.4926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16957, 1588, '520329', '花山苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.552,27.4155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16958, 1588, '520329', '松烟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.642,27.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16959, 1588, '520329', '龙家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.583,27.5646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16960, 1588, '520329', '关兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.687,27.562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16961, 1588, '520329', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.714,27.3272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16962, 1588, '520329', '构皮滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.617,27.3817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16963, 1588, '520329', '小腮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.914,27.3343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16964, 1589, '520304', '石板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.681,27.5714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16965, 1589, '520304', '乌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.77,27.3437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16966, 1589, '520304', '西坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.157,27.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16967, 1589, '520304', '南白街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.802,27.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16968, 1589, '520304', '平正仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.567,27.818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16969, 1589, '520304', '枫香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.535,27.7105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16970, 1589, '520304', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.931,27.434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16971, 1589, '520304', '茅栗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.055,27.4384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16972, 1589, '520304', '洪关苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.444,27.5981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16973, 1589, '520304', '团溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.143,27.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16974, 1589, '520304', '泮水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.474,27.5209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16975, 1589, '520304', '马蹄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.4,27.553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16976, 1589, '520304', '铁厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.204,27.4546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16977, 1589, '520304', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.829,27.4565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16978, 1589, '520304', '鸭溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.709,27.6175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16979, 1589, '520304', '尚嵇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.908,27.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16980, 1589, '520304', '乐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.596,27.6336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16981, 1589, '520304', '苟江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.825,27.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16982, 1589, '520304', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.936,27.3812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16983, 1589, '520304', '龙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.927,27.5328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16984, 1589, '520304', '影山湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.844,27.5312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16985, 1589, '520304', '桂花桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.838,27.5468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16986, 1589, '520304', '龙坑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.864,27.5755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16987, 1589, '520304', '播南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.771,27.4871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16988, 1590, '520382', '坛厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.382,27.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16989, 1590, '520382', '茅坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.172,27.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16990, 1590, '520382', '中枢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.445,27.8367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16991, 1590, '520382', '苍龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.451,27.9465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16992, 1590, '520382', '茅台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.411,27.8538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16993, 1590, '520382', '沙滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.299,28.0644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16994, 1590, '520382', '喜头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.527,27.8554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16995, 1590, '520382', '鲁班镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.362,27.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16996, 1590, '520382', '后山苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.167,27.6319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16997, 1590, '520382', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.3,28.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16998, 1590, '520382', '九仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.094,27.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (16999, 1590, '520382', '龙井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.113,27.7595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17000, 1590, '520382', '二合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.359,28.0173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17001, 1590, '520382', '合马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.316,28.045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17002, 1590, '520382', '高大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.442,27.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17003, 1590, '520382', '盐津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.338,27.7854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17004, 1590, '520382', '大坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.436,27.9638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17005, 1590, '520382', '火石岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.382,28.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17006, 1590, '520382', '长岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.399,27.6894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17007, 1590, '520382', '学孔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.516,27.9368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17008, 1590, '520382', '五马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.254,27.7167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17009, 1591, '520381', '元厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.928,28.4183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17010, 1591, '520381', '长沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.969,28.6591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17011, 1591, '520381', '文华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.713,28.5747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17012, 1591, '520381', '市中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.708,28.5743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17013, 1591, '520381', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.93,28.619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17014, 1591, '520381', '葫市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.912,28.4377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17015, 1591, '520381', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.713,28.4703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17016, 1591, '520381', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.772,28.4263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17017, 1591, '520381', '天台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.743,28.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17018, 1591, '520381', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.098,28.6203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17019, 1591, '520381', '宝源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.713,28.3433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17020, 1591, '520381', '旺隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.948,28.5873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17021, 1591, '520381', '金华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.716,28.5748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17022, 1591, '520381', '长期镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.018,28.6713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17023, 1591, '520381', '丙安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.849,28.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17024, 1591, '520381', '两河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.776,28.4199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17025, 1591, '520381', '石堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.161,28.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17026, 1592, '520330', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.176,28.1879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17027, 1592, '520330', '桃林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.58,28.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17028, 1592, '520330', '醒民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.001,28.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17029, 1592, '520330', '民化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.137,28.332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17030, 1592, '520330', '同民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.004,28.2143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17031, 1592, '520330', '良村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.382,28.3851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17032, 1592, '520330', '习酒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.205,28.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17033, 1592, '520330', '官店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.579,28.2807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17034, 1592, '520330', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.426,28.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17035, 1592, '520330', '温水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.458,28.3906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17036, 1592, '520330', '程寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.195,28.4758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17037, 1592, '520330', '双龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.534,28.3635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17038, 1592, '520330', '土城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.945,28.3007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17039, 1592, '520330', '桑木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.277,28.2054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17040, 1592, '520330', '坭坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.475,28.7523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17041, 1592, '520330', '二里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.446,28.2575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17042, 1592, '520330', '二郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.304,28.1784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17043, 1592, '520330', '大坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.454,28.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17044, 1592, '520330', '寨坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.555,28.7019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17045, 1592, '520330', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.374,28.5216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17046, 1592, '520330', '杉王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.111,28.4147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17047, 1592, '520330', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.228,28.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17048, 1592, '520330', '隆兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.145,28.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17049, 1592, '520330', '东皇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.187,28.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17050, 1592, '520330', '马临街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.216,28.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17051, 1592, '520330', '仙源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.619,28.4419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17052, 1593, '520325', '上坝土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.494,28.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17053, 1593, '520325', '棕坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.697,28.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17054, 1593, '520325', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.725,28.845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17055, 1593, '520325', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.617,29.026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17056, 1593, '520325', '洛龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.671,29.0062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17057, 1593, '520325', '隆兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.593,28.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17058, 1593, '520325', '忠信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.778,28.9345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17059, 1593, '520325', '阳溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.59,29.0143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17060, 1593, '520325', '三桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.547,29.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17061, 1593, '520325', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.555,28.7556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17062, 1593, '520325', '平模镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.492,28.8569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17063, 1593, '520325', '玉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.556,28.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17064, 1593, '520325', '桃源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.747,28.9021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17065, 1593, '520325', '大磏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.551,28.9864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17066, 1594, '520324', '小雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.305,28.4836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17067, 1594, '520324', '杨兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.403,28.7489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17068, 1594, '520324', '安场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.489,28.7022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17069, 1594, '520324', '碧峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.352,28.7182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17070, 1594, '520324', '新州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.439,28.8391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17071, 1594, '520324', '班竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.577,28.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17072, 1594, '520324', '凤仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.406,28.5503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17073, 1594, '520324', '俭坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.494,28.5348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17074, 1594, '520324', '瑞溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.354,28.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17075, 1594, '520324', '市坪苗族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.574,28.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17076, 1594, '520324', '谢坝仡佬族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.538,28.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17077, 1594, '520324', '桴焉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.19,28.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17078, 1594, '520324', '土坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.248,28.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17079, 1594, '520324', '中观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.483,28.3989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17080, 1594, '520324', '流渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.413,28.2862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17081, 1594, '520324', '和溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.305,28.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17082, 1594, '520324', '庙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.172,28.476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17083, 1594, '520324', '乐俭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.384,28.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17084, 1594, '520324', '格林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.463,28.5917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17085, 1594, '520324', '瑞濠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.464,28.6073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17086, 1595, '520326', '蕉坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.025,28.7873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17087, 1595, '520326', '石朝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.954,28.4919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17088, 1595, '520326', '镇南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.928,28.7405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17089, 1595, '520326', '红丝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.087,28.7448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17090, 1595, '520326', '柏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.955,28.7338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17091, 1595, '520326', '大坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.943,28.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17092, 1595, '520326', '都濡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.828,28.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17093, 1595, '520326', '泥高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.893,28.8598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17094, 1595, '520326', '涪洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.756,28.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17095, 1595, '520326', '茅天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.015,28.9098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17096, 1595, '520326', '黄都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.761,28.4241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17097, 1595, '520326', '分水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.93,28.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17098, 1595, '520326', '浞水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.967,28.9102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17099, 1595, '520326', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.832,28.4369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17100, 1595, '520326', '砚山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.876,28.793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17101, 1596, '520327', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.755,28.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17102, 1596, '520327', '进化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.728,27.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17103, 1596, '520327', '蜂岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.764,27.6682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17104, 1596, '520327', '石径乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.8,28.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17105, 1596, '520327', '花坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.787,27.9861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17106, 1596, '520327', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.593,28.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17107, 1596, '520327', '土溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.69,28.2331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17108, 1596, '520327', '琊川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.663,27.7246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17109, 1596, '520327', '天桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.754,27.6243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17110, 1596, '520327', '何坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.658,27.8738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17111, 1596, '520327', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.799,27.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17112, 1596, '520327', '新建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.623,28.2167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17113, 1596, '520327', '绥阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.697,28.0225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17114, 1596, '520327', '王寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.852,27.7403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17115, 1597, '520303', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.975,27.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17116, 1597, '520303', '董公寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.948,27.8051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17117, 1597, '520303', '上海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.922,27.721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17118, 1597, '520303', '洗马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.922,27.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17119, 1597, '520303', '毛石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.612,27.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17120, 1597, '520303', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.026,27.8755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17121, 1597, '520303', '芝麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.698,27.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17122, 1597, '520303', '团泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.984,27.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17123, 1597, '520303', '山盆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.68,27.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17124, 1597, '520303', '泗渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.964,27.976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17125, 1597, '520303', '松林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.575,27.7492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17126, 1597, '520303', '沙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.769,27.9779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17127, 1597, '520303', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.95,27.7143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17128, 1597, '520303', '大连路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.951,27.7197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17129, 1598, '520302', '南关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.909,27.6793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17130, 1598, '520302', '忠庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.859,27.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17131, 1598, '520302', '虾子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.064,27.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17132, 1598, '520302', '深溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.992,27.6361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17133, 1598, '520302', '延安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.935,27.7008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17134, 1598, '520302', '三渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.245,27.7229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17135, 1598, '520302', '喇叭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.172,27.6097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17136, 1598, '520302', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.398,27.9236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17137, 1598, '520302', '舟水桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.903,27.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17138, 1598, '520302', '中山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.929,27.6903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17139, 1598, '520302', '长征镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.949,27.7088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17140, 1598, '520302', '万里路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.917,27.678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17141, 1598, '520302', '南门关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.908,27.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17142, 1598, '520302', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.93,27.6839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17143, 1598, '520302', '巷口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.823,27.7113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17144, 1598, '520302', '金鼎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.837,27.7568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17145, 1598, '520302', '新中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107,27.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17146, 1598, '520302', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.918,27.6974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17147, 1598, '520302', '北京路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.947,27.7076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17148, 1598, '520302', '新舟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.181,27.8591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17149, 1598, '520302', '海龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.814,27.7214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17150, 1598, '520302', '新蒲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.07,27.6871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17151, 1599, '520402', '宁谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.964,26.2125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17152, 1599, '520402', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.928,26.2568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17153, 1599, '520402', '蔡官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.973,26.4121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17154, 1599, '520402', '西航街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.859,26.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17155, 1599, '520402', '鸡场布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.057,26.0577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17156, 1599, '520402', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.931,26.2438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17157, 1599, '520402', '七眼桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.047,26.3407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17158, 1599, '520402', '岩腊苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.972,26.116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17159, 1599, '520402', '大西桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.158,26.3083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17160, 1599, '520402', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.929,26.2487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17161, 1599, '520402', '黄腊布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.243,26.2865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17162, 1599, '520402', '新场布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.963,26.1509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17163, 1599, '520402', '龙宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.984,26.1573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17164, 1599, '520402', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.937,26.2478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17165, 1599, '520402', '华西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.892,26.2595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17166, 1599, '520402', '双堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.192,26.1883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17167, 1599, '520402', '刘官乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.183,26.2871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17168, 1599, '520402', '旧州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.159,26.2869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17169, 1599, '520402', '宋旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.911,26.2826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17170, 1599, '520402', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.935,26.2629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17171, 1599, '520402', '幺铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.781,26.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17172, 1599, '520402', '东屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.214,26.2369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17173, 1599, '520402', '轿子山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.93,26.2981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17174, 1599, '520402', '杨武布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.18,25.9654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17175, 1600, '520425', '猴场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.322,25.4643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17176, 1600, '520425', '格凸河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.235,25.7006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17177, 1600, '520425', '猫营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.015,25.9927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17178, 1600, '520425', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.306,25.5476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17179, 1600, '520425', '白石岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.997,25.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17180, 1600, '520425', '宗地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.268,25.649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17181, 1600, '520425', '板当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.226,25.9173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17182, 1600, '520425', '坝羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.224,26.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17183, 1600, '520425', '五峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.12,25.8163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17184, 1600, '520425', '松山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.083,25.7498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17185, 1600, '520425', '四大寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.092,25.5813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17186, 1600, '520425', '火花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.99,25.5997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17187, 1601, '520423', '募役乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.764,25.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17188, 1601, '520423', '打帮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.826,25.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17189, 1601, '520423', '六马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.843,25.7139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17190, 1601, '520423', '本寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.9,25.9076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17191, 1601, '520423', '革利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.94,25.981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17192, 1601, '520423', '沙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.814,25.8086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17193, 1601, '520423', '马厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.712,25.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17194, 1601, '520423', '江龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.873,25.9979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17195, 1601, '520423', '扁担山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.645,26.0949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17196, 1601, '520423', '丁旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.714,26.1641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17197, 1601, '520423', '良田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.857,25.5874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17198, 1601, '520423', '大山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.748,26.103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17199, 1601, '520423', '简嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.922,25.5847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17200, 1601, '520423', '黄果树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.719,26.0223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17201, 1601, '520423', '朵卜陇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.827,26.0497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17202, 1601, '520423', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.726,26.0807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17203, 1602, '520424', '板贵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.65,25.7024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17204, 1602, '520424', '新铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.348,25.9088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17205, 1602, '520424', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.656,26.0277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17206, 1602, '520424', '上关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.573,25.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17207, 1602, '520424', '花江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.602,25.8142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17208, 1602, '520424', '顶云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.466,26.0225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17209, 1602, '520424', '关索街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.567,25.9178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17210, 1602, '520424', '岗乌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.257,25.9874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17211, 1602, '520424', '断桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.627,25.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17212, 1602, '520424', '八德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.693,25.8575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17213, 1602, '520424', '普利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.475,25.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17214, 1602, '520424', '沙营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.409,26.0169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17215, 1602, '520424', '坡贡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.536,26.0688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17216, 1602, '520424', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.501,25.9488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17217, 1603, '520403', '安平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.236,26.3661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17218, 1603, '520403', '十字回族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.203,26.4506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17219, 1603, '520403', '乐平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.013,26.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17220, 1603, '520403', '夏云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.347,26.4129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17221, 1603, '520403', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.277,26.4439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17222, 1603, '520403', '白云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.18,26.3242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17223, 1603, '520403', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.346,26.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17224, 1603, '520403', '天龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.182,26.399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17225, 1603, '520403', '羊昌布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.331,26.361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17226, 1603, '520403', '马场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.487,26.2663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17227, 1603, '520403', '齐伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.246,26.5308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17228, 1604, '520422', '白岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.821,26.3445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17229, 1604, '520422', '猴场苗族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.963,26.5251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17230, 1604, '520422', '补郎苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.887,26.4832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17231, 1604, '520422', '猫洞苗族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.993,26.4415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17232, 1604, '520422', '坪上苗族彝族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.777,26.468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17233, 1604, '520422', '马官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.674,26.2033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17234, 1604, '520422', '龙场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.702,26.3752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17235, 1604, '520422', '鸡场坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.645,26.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17236, 1604, '520422', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.712,26.3756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17237, 1604, '520422', '马场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.579,26.3307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17238, 1604, '520422', '化处镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.53,26.2338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17239, 1605, '522729', '鼓扬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.331,25.7157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17240, 1605, '522729', '白云山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.465,26.2242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17241, 1605, '522729', '敦操乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.415,25.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17242, 1605, '522729', '长寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.36,26.0807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17243, 1605, '522729', '摆所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.286,25.8616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17244, 1605, '522729', '广顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.457,26.2242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17245, 1605, '522729', '代化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.347,25.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17246, 1606, '522726', '玉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.731,25.678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17247, 1606, '522726', '影山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.575,25.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17248, 1606, '522726', '麻万镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.542,25.856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17249, 1606, '522726', '百泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.554,25.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17250, 1606, '522726', '下司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.334,25.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17251, 1606, '522726', '基长镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.756,25.7925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17252, 1606, '522726', '麻尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.424,25.3227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17253, 1606, '522726', '上司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.435,25.5406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17254, 1607, '522731', '芦山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.529,25.9451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17255, 1607, '522731', '羡塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.735,25.8905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17256, 1607, '522731', '王佑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.509,25.8673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17257, 1607, '522731', '断杉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.689,25.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17258, 1607, '522731', '好花红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.647,26.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17259, 1607, '522731', '雅水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.849,25.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17260, 1607, '522731', '岗度镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.875,26.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17261, 1607, '522731', '摆金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.74,26.1033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17262, 1607, '522731', '濛江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.783,26.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17263, 1607, '522731', '涟江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.616,26.0944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17264, 1608, '522727', '卡蒲毛南族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.354,25.7621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17265, 1608, '522727', '塘边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.794,25.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17266, 1608, '522727', '通州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.905,25.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17267, 1608, '522727', '牙舟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.173,25.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17268, 1608, '522727', '者密镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.243,25.7067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17269, 1608, '522727', '金盆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.319,25.8703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17270, 1608, '522727', '克度镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.87,25.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17271, 1608, '522727', '甲茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.173,25.7831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17272, 1608, '522727', '平舟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.336,25.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17273, 1608, '522727', '掌布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.045,25.9414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17274, 1608, '522727', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.946,25.9735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17275, 1609, '522728', '木引镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.402,25.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17276, 1609, '522728', '凤亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.765,25.1831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17277, 1609, '522728', '红水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.56,25.0842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17278, 1609, '522728', '茂井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.908,25.4315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17279, 1609, '522728', '罗悃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.523,25.3343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17280, 1609, '522728', '边阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.646,25.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17281, 1609, '522728', '逢亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.503,25.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17282, 1609, '522728', '龙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.745,25.3525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17283, 1609, '522728', '沫阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.871,25.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17284, 1610, '522722', '播尧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.792,25.4657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17285, 1610, '522722', '翁昂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.839,25.2549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17286, 1610, '522722', '洞塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.955,25.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17287, 1610, '522722', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.759,25.2891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17288, 1610, '522722', '瑶麓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.072,25.4312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17289, 1610, '522722', '瑶山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.765,25.2877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17290, 1610, '522722', '茂兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.015,25.4069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17291, 1610, '522722', '立化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.106,25.3671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17292, 1610, '522722', '捞村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.805,25.1196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17293, 1610, '522722', '佳荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.1,25.4687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17294, 1610, '522722', '方村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.762,25.5579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17295, 1610, '522722', '小七孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.666,25.3424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17296, 1610, '522722', '甲良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.766,25.548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17297, 1610, '522722', '永康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.933,25.3867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17298, 1610, '522722', '玉屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.866,25.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17299, 1611, '522730', '冠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.926,26.5174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17300, 1611, '522730', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.079,26.3991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17301, 1611, '522730', '洗马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.162,26.7033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17302, 1611, '522730', '湾滩河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.926,26.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17303, 1611, '522730', '谷脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.016,26.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17304, 1611, '522730', '醒狮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.049,26.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17305, 1612, '522723', '新巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.169,26.7298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17306, 1612, '522723', '沿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.178,26.4373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17307, 1612, '522723', '云雾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.187,26.2845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17308, 1612, '522723', '昌明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.198,26.4621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17309, 1612, '522723', '德新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.321,26.7342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17310, 1612, '522723', '金南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.24,26.4525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17311, 1612, '522723', '宝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.359,26.5523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17312, 1612, '522723', '盘江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.18,26.6629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17313, 1613, '522732', '扬拱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.103,25.7554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17314, 1613, '522732', '恒丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.85,25.5728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17315, 1613, '522732', '九阡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.043,25.6539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17316, 1613, '522732', '都江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.038,25.8873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17317, 1613, '522732', '合江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.75,25.9108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17318, 1613, '522732', '拉揽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.934,25.9162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17319, 1613, '522732', '水龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.901,25.902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17320, 1613, '522732', '交梨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.906,26.124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17321, 1613, '522732', '三洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.99,25.7949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17322, 1613, '522732', '巫不乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.181,26.0347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17323, 1613, '522732', '羊福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.136,26.0899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17324, 1613, '522732', '坝街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.062,25.7623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17325, 1613, '522732', '普安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.736,26.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17326, 1613, '522732', '周覃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.898,25.7056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17327, 1613, '522732', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.94,25.8355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17328, 1613, '522732', '打鱼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.067,26.0759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17329, 1613, '522732', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.94,26.0865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17330, 1613, '522732', '廷牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.807,25.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17331, 1613, '522732', '塘州乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.833,25.7485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17332, 1613, '522732', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.73,25.9589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17333, 1613, '522732', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.776,26.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17334, 1614, '522725', '建中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.287,27.0979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17335, 1614, '522725', '猴场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.521,27.137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17336, 1614, '522725', '银盏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.455,27.2047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17337, 1614, '522725', '瓮水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.447,27.0276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17338, 1614, '522725', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.655,27.109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17339, 1614, '522725', '江界河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.258,27.276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17340, 1614, '522725', '珠藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.337,27.362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17341, 1614, '522725', '岚关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.559,27.0372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17342, 1614, '522725', '平定营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.476,26.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17343, 1614, '522725', '中坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.374,27.1469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17344, 1614, '522725', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.322,27.2613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17345, 1614, '522725', '天文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.407,27.2134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17346, 1614, '522725', '雍阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.49,27.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17347, 1615, '522702', '谷汪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.339,26.7915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17348, 1615, '522702', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.511,26.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17349, 1615, '522702', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.587,26.673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17350, 1615, '522702', '藜山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.567,26.742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17351, 1615, '522702', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.505,26.6541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17352, 1615, '522702', '仙桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.336,26.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17353, 1615, '522702', '马场坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.506,26.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17354, 1615, '522702', '龙昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.445,26.8335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17355, 1615, '522702', '陆坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.601,26.77', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17356, 1615, '522702', '黄丝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.52,26.5891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17357, 1615, '522702', '地松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.546,26.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17358, 1615, '522702', '高石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.501,26.8454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17359, 1615, '522702', '牛场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.414,26.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17360, 1615, '522702', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.668,26.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17361, 1615, '522702', '岔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.406,26.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17362, 1615, '522702', '道坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.324,26.8786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17363, 1615, '522702', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.316,26.8756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17364, 1616, '522701', '广惠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.519,26.275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17365, 1616, '522701', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.521,26.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17366, 1616, '522701', '沙包堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.503,26.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17367, 1616, '522701', '小围寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.523,26.2462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17368, 1616, '522701', '绿茵湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.472,26.1598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17369, 1616, '522701', '毛尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.429,26.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17370, 1616, '522701', '匀东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.552,26.1364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17371, 1616, '522701', '墨冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.354,25.8877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17372, 1616, '522701', '平浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.404,26.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17373, 1616, '522701', '归兰水族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.669,26.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17374, 1617, '520502', '八寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.336,27.4479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17375, 1617, '520502', '梨树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.411,27.3085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17376, 1617, '520502', '水箐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.113,27.3154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17377, 1617, '520502', '海子街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.467,27.4327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17378, 1617, '520502', '阿市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.578,27.6102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17379, 1617, '520502', '龙场营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.78,27.6821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17380, 1617, '520502', '市西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.26,27.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17381, 1617, '520502', '鸭池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.365,27.2252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17382, 1617, '520502', '碧阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.307,27.2822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17383, 1617, '520502', '大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.717,27.6773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17384, 1617, '520502', '千溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.224,27.1922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17385, 1617, '520502', '麻园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,27.3053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17386, 1617, '520502', '层台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.43,27.5495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17387, 1617, '520502', '岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.321,27.164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17388, 1617, '520502', '阴底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.085,27.1431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17389, 1617, '520502', '燕子口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.407,27.6281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17390, 1617, '520502', '观音桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.375,27.351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17391, 1617, '520502', '野角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.058,27.3387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17392, 1617, '520502', '小吉场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.508,27.5384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17393, 1617, '520502', '清水铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.514,27.6581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17394, 1617, '520502', '撒拉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.027,27.2282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17395, 1617, '520502', '三板桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.24,27.2655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17396, 1617, '520502', '洪山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.275,27.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17397, 1617, '520502', '德溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.35,27.3243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17398, 1617, '520502', '田坝桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.322,27.4423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17399, 1617, '520502', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.003,27.3159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17400, 1617, '520502', '生机镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.434,27.7065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17401, 1617, '520502', '何官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.234,27.3', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17402, 1617, '520502', '碧海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.408,27.3777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17403, 1617, '520502', '朱昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.336,27.1991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17404, 1617, '520502', '大新桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.269,27.3533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17405, 1617, '520502', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.317,27.6961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17406, 1617, '520502', '田坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.234,27.1471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17407, 1617, '520502', '放珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.994,27.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17408, 1617, '520502', '大银镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.322,27.6239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17409, 1617, '520502', '青场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.997,27.3703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17410, 1617, '520502', '小坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.45,27.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17411, 1617, '520502', '对坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.37,27.5026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17412, 1617, '520502', '普宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.656,27.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17413, 1617, '520502', '长春堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.231,27.2717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17414, 1617, '520502', '杨家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.006,27.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17415, 1617, '520502', '田坎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.783,27.6849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17416, 1617, '520502', '市东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.293,27.2971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17417, 1617, '520502', '亮岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.427,27.6502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17418, 1617, '520502', '林口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.404,27.6392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17419, 1618, '520521', '鼎新彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.4,27.0486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17420, 1618, '520521', '雨冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.918,27.399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17421, 1618, '520521', '绿塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.35,27.0519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17422, 1618, '520521', '双山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.471,27.1259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17423, 1618, '520521', '果瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.778,27.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17424, 1618, '520521', '兴隆苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.58,27.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17425, 1618, '520521', '长石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.701,27.492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17426, 1618, '520521', '大水彝族苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.965,27.2757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17427, 1618, '520521', '顺德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.587,27.0955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17428, 1618, '520521', '普底彝族苗族白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.857,27.2335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17429, 1618, '520521', '八堡彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.621,27.4506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17430, 1618, '520521', '瓢井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.66,27.4431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17431, 1618, '520521', '理化苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.639,27.0474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17432, 1618, '520521', '牛场苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.537,26.936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17433, 1618, '520521', '竹园彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.568,27.2824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17434, 1618, '520521', '三元彝族苗族白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.807,27.3806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17435, 1618, '520521', '沙厂彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.941,27.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17436, 1618, '520521', '星宿苗族彝族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.916,27.4091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17437, 1618, '520521', '响水白族彝族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.555,27.3495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17438, 1618, '520521', '核桃彝族白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.623,27.3655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17439, 1618, '520521', '文阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.453,27.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17440, 1618, '520521', '六龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.703,27.131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17441, 1618, '520521', '对江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.502,27.1241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17442, 1618, '520521', '马场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.497,27.0241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17443, 1618, '520521', '猫场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.366,27.0134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17444, 1618, '520521', '百纳彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.861,27.3184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17445, 1618, '520521', '慕俄格古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.622,27.1529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17446, 1618, '520521', '黄泥塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.77,27.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17447, 1618, '520521', '大山苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.833,27.4942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17448, 1618, '520521', '黄泥彝族苗族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.042,27.288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17449, 1618, '520521', '安乐彝族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.684,27.2132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17450, 1618, '520521', '达溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.61,27.3614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17451, 1618, '520521', '凤山彝族蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.746,27.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17452, 1618, '520521', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.624,27.1229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17453, 1618, '520521', '小屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.587,27.0965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17454, 1618, '520521', '羊场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.711,27.0607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17455, 1618, '520521', '东关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.64,27.1947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17456, 1618, '520521', '九驿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.597,27.2062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17457, 1618, '520521', '归化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.466,27.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17458, 1618, '520521', '鹏程街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.789,27.1105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17459, 1619, '520522', '五里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.918,26.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17460, 1619, '520522', '永燊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.177,27.1459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17461, 1619, '520522', '中坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.209,27.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17462, 1619, '520522', '素朴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.305,26.999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17463, 1619, '520522', '金兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.012,26.8836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17464, 1619, '520522', '铁石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.283,26.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17465, 1619, '520522', '中建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.273,27.2715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17466, 1619, '520522', '绿化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.046,26.9562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17467, 1619, '520522', '花溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.295,27.2137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17468, 1619, '520522', '杜鹃街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.943,27.0311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17469, 1619, '520522', '林泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.867,26.9909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17470, 1619, '520522', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.096,27.0567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17471, 1619, '520522', '观音洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.967,26.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17472, 1619, '520522', '定新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.067,27.1916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17473, 1619, '520522', '新仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.094,26.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17474, 1619, '520522', '谷里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.138,27.01', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17475, 1619, '520522', '钟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.193,26.995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17476, 1619, '520522', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.054,27.1289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17477, 1619, '520522', '莲城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.023,27.016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17478, 1619, '520522', '协和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.227,27.0435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17479, 1619, '520522', '金碧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.94,26.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17480, 1619, '520522', '水西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.028,27.098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17481, 1619, '520522', '仁和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.067,27.2081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17482, 1619, '520522', '锦星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.932,27.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17483, 1619, '520522', '金坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.923,27.1684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17484, 1619, '520522', '重新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.139,27.2537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17485, 1619, '520522', '雨朵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.022,26.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17486, 1619, '520522', '洪水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.978,27.1158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17487, 1619, '520522', '太来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.325,27.039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17488, 1619, '520522', '红林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.926,27.1482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17489, 1619, '520522', '大关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.127,26.9494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17490, 1620, '520523', '大田彝族苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.028,27.465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17491, 1620, '520523', '清池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.894,27.6664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17492, 1620, '520523', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.441,27.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17493, 1620, '520523', '茶园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.506,27.4763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17494, 1620, '520523', '安底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.401,27.3455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17495, 1620, '520523', '安洛苗族彝族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.145,27.2486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17496, 1620, '520523', '平坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.089,27.5297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17497, 1620, '520523', '长坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.45,27.3387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17498, 1620, '520523', '五龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.293,27.4348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17499, 1620, '520523', '岚头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.469,27.4057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17500, 1620, '520523', '西洛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.105,27.4329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17501, 1620, '520523', '化觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.498,27.2171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17502, 1620, '520523', '后山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.531,27.3136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17503, 1620, '520523', '岩孔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.137,27.5395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17504, 1620, '520523', '石场苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.987,27.634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17505, 1620, '520523', '桂花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.027,27.5419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17506, 1620, '520523', '马路彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.879,27.643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17507, 1620, '520523', '源村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.592,27.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17508, 1620, '520523', '太平彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.897,27.5212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17509, 1620, '520523', '木孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.558,27.4525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17510, 1620, '520523', '新化苗族彝族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.136,27.4107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17511, 1620, '520523', '禹谟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.407,27.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17512, 1620, '520523', '柳塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.214,27.3891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17513, 1620, '520523', '沙土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.555,27.397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17514, 1620, '520523', '鼓场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.208,27.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17515, 1620, '520523', '民兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.243,27.503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17516, 1621, '520525', '昆寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.2,26.92', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17517, 1621, '520525', '老凹坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.457,26.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17518, 1621, '520525', '左鸠戛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.079,26.856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17519, 1621, '520525', '沙包乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.391,26.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17520, 1621, '520525', '乐治镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.459,26.8872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17521, 1621, '520525', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.377,26.7645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17522, 1621, '520525', '姑开乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.114,27.0255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17523, 1621, '520525', '羊场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.07,27.0043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17524, 1621, '520525', '厍东关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.229,27.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17525, 1621, '520525', '曙光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,26.6536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17526, 1621, '520525', '维新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.198,27.0597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17527, 1621, '520525', '锅圈岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.083,26.9602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17528, 1621, '520525', '水东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.574,26.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17529, 1621, '520525', '中岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.184,26.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17530, 1621, '520525', '居仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.395,26.7707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17531, 1621, '520525', '董地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.215,27.0062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17532, 1621, '520525', '勺窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.284,26.7921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17533, 1621, '520525', '百兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.264,26.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17534, 1621, '520525', '张家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.37,26.6807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17535, 1621, '520525', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.163,26.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17536, 1621, '520525', '阳长镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.157,26.704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17537, 1621, '520525', '化作乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.241,26.9247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17538, 1621, '520525', '寨乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.257,26.8837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17539, 1621, '520525', '猪场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.17,26.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17540, 1621, '520525', '雍熙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.332,26.7986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17541, 1621, '520525', '新房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.159,26.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17542, 1622, '520524', '化起镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.047,26.7346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17543, 1622, '520524', '熊家场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.654,26.4905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17544, 1622, '520524', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.046,26.7454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17545, 1622, '520524', '马场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.073,26.6587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17546, 1622, '520524', '上坪寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.073,26.5045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17547, 1622, '520524', '桂果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.858,26.6591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17548, 1622, '520524', '猫场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.082,26.5084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17549, 1622, '520524', '文腾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.775,26.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17550, 1622, '520524', '自强乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.1,26.7007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17551, 1622, '520524', '黑土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.745,26.5443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17552, 1622, '520524', '实兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.918,26.6028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17553, 1622, '520524', '纳雍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.955,26.7627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17554, 1622, '520524', '少普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.559,26.4863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17555, 1622, '520524', '中寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.596,26.7022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17556, 1622, '520524', '牛场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.007,26.5525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17557, 1622, '520524', '三塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.427,26.6074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17558, 1622, '520524', '珠藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.644,26.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17559, 1622, '520524', '官寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.838,26.7973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17560, 1622, '520524', '八步街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.853,26.8737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17561, 1622, '520524', '后寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.546,26.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17562, 1622, '520524', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.699,26.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17563, 1622, '520524', '以那镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.663,26.8505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17564, 1622, '520524', '白泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.567,26.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17565, 1622, '520524', '金龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.636,26.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17566, 1622, '520524', '大平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.03,26.8093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17567, 1622, '520524', '三甲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.852,26.7096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17568, 1622, '520524', '鸡场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.42,26.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17569, 1622, '520524', '茶店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.819,26.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17570, 1622, '520524', '绮陌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.756,26.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17571, 1622, '520524', '金凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.72,26.6567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17572, 1622, '520524', '双堰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.777,26.6888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17573, 1622, '520524', '阿弓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.539,26.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17574, 1622, '520524', '惠民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.84,26.7259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17575, 1623, '520526', '小海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.07,26.9891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17576, 1623, '520526', '板底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.551,26.9541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17577, 1623, '520526', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.06,26.8288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17578, 1623, '520526', '兔街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.107,27.2055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17579, 1623, '520526', '观风海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.053,26.9818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17580, 1623, '520526', '猴场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.681,26.7094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17581, 1623, '520526', '盐仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.349,26.9495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17582, 1623, '520526', '炉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.453,26.7922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17583, 1623, '520526', '秀水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.965,26.9641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17584, 1623, '520526', '中水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.886,27.1788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17585, 1623, '520526', '黑石头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.937,26.8533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17586, 1623, '520526', '海拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.856,26.8436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17587, 1623, '520526', '斗古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.826,27.0001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17588, 1623, '520526', '黑土河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.891,27.3038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17589, 1623, '520526', '龙街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.023,27.3013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17590, 1623, '520526', '岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.776,26.7494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17591, 1623, '520526', '雪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.037,27.178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17592, 1623, '520526', '云贵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.039,27.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17593, 1623, '520526', '羊街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.343,26.9964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17594, 1623, '520526', '麻乍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.035,26.7307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17595, 1623, '520526', '大街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.222,27.1904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17596, 1623, '520526', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.471,26.7273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17597, 1623, '520526', '新发布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.625,26.6597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17598, 1623, '520526', '迤那镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.912,27.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17599, 1623, '520526', '么站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.21,26.6393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17600, 1623, '520526', '牛棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.869,27.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17601, 1623, '520526', '哈喇河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.949,26.8409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17602, 1623, '520526', '二塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.656,26.6731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17603, 1623, '520526', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.546,26.8048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17604, 1623, '520526', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.905,27.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17605, 1623, '520526', '金斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.262,26.7122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17606, 1623, '520526', '金钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.428,26.786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17607, 1623, '520526', '哲觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.027,26.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17608, 1623, '520526', '玉龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.751,27.1401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17609, 1623, '520526', '五里岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.292,26.9033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17610, 1623, '520526', '陕桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.304,26.8947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17611, 1623, '520526', '草海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.204,26.9014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17612, 1623, '520526', '开华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.257,26.9932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17613, 1623, '520526', '海边街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.22,26.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17614, 1623, '520526', '六桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.28,26.7918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17615, 1623, '520526', '雄山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.256,26.9145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17616, 1624, '520527', '野马川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.838,27.183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17617, 1624, '520527', '雉街彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.722,26.9475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17618, 1624, '520527', '古达苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.949,27.0692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17619, 1624, '520527', '白果街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.749,26.9964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17620, 1624, '520527', '安乐溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.408,27.374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17621, 1624, '520527', '松林坡白族彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.896,26.9076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17622, 1624, '520527', '妈姑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.605,27.0532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17623, 1624, '520527', '辅处彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.366,27.2148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17624, 1624, '520527', '德卓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.311,27.3037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17625, 1624, '520527', '朱明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.543,27.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17626, 1624, '520527', '达依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.676,27.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17627, 1624, '520527', '罗州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.549,27.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17628, 1624, '520527', '可乐彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.35,27.2677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17629, 1624, '520527', '哲庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.883,27.2195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17630, 1624, '520527', '六曲河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.677,27.1958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17631, 1624, '520527', '水塘堡彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.658,27.1114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17632, 1624, '520527', '铁匠苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.43,27.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17633, 1624, '520527', '威奢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.85,27.0798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17634, 1624, '520527', '兴发苗族彝族回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.824,27.0315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17635, 1624, '520527', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.84,27.1785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17636, 1624, '520527', '双坪彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.421,27.1605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17637, 1624, '520527', '珠市彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.668,26.9891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17638, 1624, '520527', '双河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.659,27.181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17639, 1624, '520527', '财神镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.662,27.185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17640, 1624, '520527', '古基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.809,27.201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17641, 1624, '520527', '河镇彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.362,27.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17642, 1624, '520527', '结构彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.453,27.2086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17643, 1624, '520527', '七家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.663,27.1157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17644, 1624, '520527', '金银山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.733,27.0791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17645, 1624, '520527', '汉阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.75,27.144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17646, 1625, '522624', '滚马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.61,27.0378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17647, 1625, '522624', '雪洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.876,27.0055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17648, 1625, '522624', '良上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.791,26.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17649, 1625, '522624', '桐林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.941,26.9523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17650, 1625, '522624', '八弓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.72,27.0492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17651, 1625, '522624', '长吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.769,26.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17652, 1625, '522624', '瓦寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.77,26.9444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17653, 1625, '522624', '台烈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.595,26.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17654, 1625, '522624', '款场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.045,26.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17655, 1625, '522624', '文笔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.693,26.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17656, 1625, '522624', '武笔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,26.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17657, 1626, '522632', '崇义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.53,26.1849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17658, 1626, '522632', '平永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.391,26.1899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17659, 1626, '522632', '寨蒿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.539,26.2438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17660, 1626, '522632', '三江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.306,26.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17661, 1626, '522632', '仁里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.38,26.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17662, 1626, '522632', '忠诚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.611,26.1126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17663, 1626, '522632', '水尾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.178,25.7539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17664, 1626, '522632', '两汪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.453,26.3647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17665, 1626, '522632', '朗洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.576,26.4179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17666, 1626, '522632', '八开镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.309,25.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17667, 1626, '522632', '乐里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.425,26.3016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17668, 1626, '522632', '平阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.34,26.3479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17669, 1626, '522632', '兴华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.183,25.9336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17670, 1626, '522632', '计划乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.35,25.7898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17671, 1626, '522632', '栽麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.659,26.1039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17672, 1626, '522632', '定威乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.308,25.9275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17673, 1626, '522632', '古州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.462,25.9821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17674, 1626, '522632', '平江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.327,26.0294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17675, 1626, '522632', '塔石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.318,26.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17676, 1627, '522634', '望丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.03,26.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17677, 1627, '522634', '郎德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.072,26.4797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17678, 1627, '522634', '丹江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.088,26.4513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17679, 1627, '522634', '方祥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.236,26.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17680, 1627, '522634', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.071,26.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17681, 1627, '522634', '达地水族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.169,26.0381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17682, 1627, '522634', '西江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.179,26.5377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17683, 1627, '522634', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.279,26.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17684, 1628, '522627', '社学街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.286,26.9933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17685, 1628, '522627', '江东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.473,27.0551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17686, 1628, '522627', '地湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.576,26.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17687, 1628, '522627', '兰田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.356,27.153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17688, 1628, '522627', '瓮洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.491,27.0791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17689, 1628, '522627', '竹林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.345,26.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17690, 1628, '522627', '邦洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.176,26.9408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17691, 1628, '522627', '渡马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.327,27.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17692, 1628, '522627', '坪地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.034,27.1009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17693, 1628, '522627', '坌处镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.293,26.7013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17694, 1628, '522627', '石洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.088,26.8025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17695, 1628, '522627', '白市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.385,27.0157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17696, 1628, '522627', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.251,26.8667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17697, 1628, '522627', '高酿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.192,26.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17698, 1628, '522627', '远口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.471,26.8244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17699, 1628, '522627', '注溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.256,27.0698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17700, 1629, '522623', '双井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.243,26.9685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17701, 1629, '522623', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.043,27.0716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17702, 1629, '522623', '马溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.062,27.2233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17703, 1629, '522623', '马号乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.319,26.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17704, 1629, '522623', '杨柳塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.117,26.9105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17705, 1629, '522623', '甘溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.286,27.1282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17706, 1629, '522623', '白垛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.079,27.1422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17707, 1629, '522623', '牛大场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.883,27.1653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17708, 1630, '522625', '羊场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.253,27.1756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17709, 1630, '522625', '金堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.471,27.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17710, 1630, '522625', '大地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.165,27.2794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17711, 1630, '522625', '蕉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.611,27.1586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17712, 1630, '522625', '涌溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.377,27.0231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17713, 1630, '522625', '青溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.736,27.1657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17714, 1630, '522625', '都坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.411,27.3373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17715, 1630, '522625', '羊坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.747,27.0831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17716, 1630, '522625', '舞阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.392,26.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17717, 1630, '522625', '尚寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.374,27.3417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17718, 1630, '522625', '报京乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.538,26.8797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17719, 1630, '522625', '江古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.501,27.2692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17720, 1631, '522636', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.813,26.225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17721, 1631, '522636', '兴仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.867,26.3718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17722, 1631, '522636', '雅灰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.082,26.1414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17723, 1631, '522636', '扬武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.891,26.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17724, 1631, '522636', '南皋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.825,26.3927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17725, 1631, '522636', '排调镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.931,26.2783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17726, 1632, '522601', '碧波镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.572,26.6052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17727, 1632, '522601', '湾水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.957,26.7113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17728, 1632, '522601', '西门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.971,26.5897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17729, 1632, '522601', '下司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.752,26.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17730, 1632, '522601', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.92,26.7148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17731, 1632, '522601', '旁海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.091,26.6675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17732, 1632, '522601', '三棵树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.09,26.5601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17733, 1632, '522601', '炉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.738,26.7283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17734, 1632, '522601', '舟溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.935,26.4899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17735, 1632, '522601', '大风洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.733,26.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17736, 1632, '522601', '湾溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.944,26.6281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17737, 1632, '522601', '鸭塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.979,26.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17738, 1632, '522601', '开怀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.091,26.5642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17739, 1632, '522601', '洗马河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.074,26.5982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17740, 1632, '522601', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.962,26.5628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17741, 1632, '522601', '大十字街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.978,26.5601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17742, 1632, '522601', '凯棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.091,26.7418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17743, 1632, '522601', '万潮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.881,26.6083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17744, 1632, '522601', '有关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.88,26.497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17745, 1633, '522631', '尚重镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.755,26.2716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17746, 1633, '522631', '九潮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.671,26.2064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17747, 1633, '522631', '德化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.766,26.4925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17748, 1633, '522631', '岩洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.003,26.136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17749, 1633, '522631', '龙额镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.27,25.8931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17750, 1633, '522631', '德顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.444,26.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17751, 1633, '522631', '坝寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,26.2803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17752, 1633, '522631', '雷洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.33,25.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17753, 1633, '522631', '德凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.183,26.2074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17754, 1633, '522631', '双江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.825,25.9815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17755, 1633, '522631', '地坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.297,25.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17756, 1633, '522631', '洪州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.487,26.1487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17757, 1633, '522631', '口江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.814,26.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17758, 1633, '522631', '永从镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.064,26.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17759, 1633, '522631', '中潮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.287,26.2924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17760, 1633, '522631', '高屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.186,26.3893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17761, 1633, '522631', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.336,26.0736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17762, 1633, '522631', '罗里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.038,26.3419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17763, 1633, '522631', '大稼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.954,26.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17764, 1633, '522631', '敖市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.034,26.4179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17765, 1633, '522631', '平寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.85,26.4278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17766, 1633, '522631', '肇兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.108,25.9811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17767, 1633, '522631', '茅贡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.831,26.2184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17768, 1633, '522631', '顺化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.257,26.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17769, 1633, '522631', '孟彦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.773,26.2379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17770, 1634, '522633', '谷坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.878,25.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17771, 1634, '522633', '翠里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.778,25.6177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17772, 1634, '522633', '洛香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.002,25.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17773, 1634, '522633', '西山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.971,25.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17774, 1634, '522633', '庆云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.102,25.8692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17775, 1634, '522633', '高增乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.938,25.8766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17776, 1634, '522633', '加勉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.445,25.6445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17777, 1634, '522633', '东朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.462,25.8142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17778, 1634, '522633', '下江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.592,25.7297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17779, 1634, '522633', '加榜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.584,25.6391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17780, 1634, '522633', '丙妹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.834,25.8223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17781, 1634, '522633', '刚边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.656,25.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17782, 1634, '522633', '往洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.695,25.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17783, 1634, '522633', '秀塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.45,25.4897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17784, 1634, '522633', '宰便镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.563,25.6282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17785, 1634, '522633', '停洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.597,25.8685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17786, 1634, '522633', '贯洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.082,25.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17787, 1634, '522633', '雍里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.816,25.7482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17788, 1634, '522633', '斗里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.994,25.5363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17789, 1634, '522633', '加鸠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.416,25.6738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17790, 1634, '522633', '丙梅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.96,25.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17791, 1635, '522629', '久仰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.5,26.5333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17792, 1635, '522629', '敏洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.86,26.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17793, 1635, '522629', '磻溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.944,26.7553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17794, 1635, '522629', '观么乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.699,26.7977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17795, 1635, '522629', '太拥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.497,26.4998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17796, 1635, '522629', '革东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.437,26.7922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17797, 1635, '522629', '柳川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.564,26.7236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17798, 1635, '522629', '南哨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.61,26.5855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17799, 1635, '522629', '岑松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.599,26.7979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17800, 1635, '522629', '南加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.782,26.6203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17801, 1635, '522629', '南寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.747,26.6834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17802, 1635, '522629', '南明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.045,26.8751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17803, 1636, '522628', '钟灵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.191,26.5668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17804, 1636, '522628', '茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.178,26.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17805, 1636, '522628', '河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.973,26.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17806, 1636, '522628', '大同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.252,26.6641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17807, 1636, '522628', '敦寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.382,26.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17808, 1636, '522628', '彦洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.003,26.6554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17809, 1636, '522628', '偶里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.213,26.623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17810, 1636, '522628', '隆里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.143,26.4471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17811, 1636, '522628', '启蒙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.056,26.5261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17812, 1636, '522628', '铜鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.339,26.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17813, 1636, '522628', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.144,26.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17814, 1636, '522628', '新化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.14,26.4023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17815, 1636, '522628', '固本乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.905,26.4961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17816, 1636, '522628', '平秋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.023,26.6959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17817, 1636, '522628', '平略镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.038,26.6402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17818, 1637, '522630', '老屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.347,26.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17819, 1637, '522630', '方召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.361,26.6792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17820, 1637, '522630', '革一乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.228,26.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17821, 1637, '522630', '南宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.34,26.5453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17822, 1637, '522630', '台盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.216,26.7095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17823, 1637, '522630', '排羊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.231,26.5338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17824, 1637, '522630', '施洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.237,26.8026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17825, 1637, '522630', '台拱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.317,26.748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17826, 1638, '522622', '野洞河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.776,26.8837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17827, 1638, '522622', '翁坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.968,26.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17828, 1638, '522622', '平溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.777,27.1707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17829, 1638, '522622', '新州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.853,27.0102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17830, 1638, '522622', '浪洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.729,27.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17831, 1638, '522622', '上塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.602,26.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17832, 1638, '522622', '一碗水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.84,27.1038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17833, 1638, '522622', '旧州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.804,27.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17834, 1638, '522622', '谷陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.062,26.9074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17835, 1638, '522622', '重安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.858,26.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17836, 1638, '522622', '纸房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.685,27.1915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17837, 1639, '522635', '坝芒布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.375,26.5458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17838, 1639, '522635', '贤昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.625,26.3698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17839, 1639, '522635', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.663,26.455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17840, 1639, '522635', '宣威镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.751,26.3905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17841, 1639, '522635', '杏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.588,26.5137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17842, 1639, '522635', '谷硐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.482,26.5636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17843, 1640, '522626', '天马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.73,27.438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17844, 1640, '522626', '龙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.437,27.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17845, 1640, '522626', '水尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.949,27.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17846, 1640, '522626', '大有镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.764,27.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17847, 1640, '522626', '思旸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.691,27.2214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17848, 1640, '522626', '天星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.828,27.4028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17849, 1640, '522626', '注溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.627,27.3236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17850, 1640, '522626', '凯本镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.592,27.4333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17851, 1640, '522626', '平庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.602,27.4241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17852, 1640, '522626', '客楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.409,27.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17853, 1640, '522626', '羊桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.824,27.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17854, 1640, '522626', '舞水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.829,27.1895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17855, 1641, '522301', '马岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.858,25.2118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17856, 1641, '522301', '郑屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.045,25.1449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17857, 1641, '522301', '敬南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.882,25.0152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17858, 1641, '522301', '南盘江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.957,24.8843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17859, 1641, '522301', '桔山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.945,25.1564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17860, 1641, '522301', '泥凼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.812,24.856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17861, 1641, '522301', '黄草街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.887,25.1061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17862, 1641, '522301', '鲁屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.134,25.1359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17863, 1641, '522301', '猪场坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.794,24.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17864, 1641, '522301', '捧乍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.634,24.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17865, 1641, '522301', '三江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.56,24.8235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17866, 1641, '522301', '顶效镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.967,25.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17867, 1641, '522301', '七舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.839,25.0234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17868, 1641, '522301', '下五屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.878,25.0743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17869, 1641, '522301', '鲁布格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.579,24.8589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17870, 1641, '522301', '万屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.049,25.3073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17871, 1641, '522301', '白碗窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.742,25.0752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17872, 1641, '522301', '仓更镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.775,24.8061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17873, 1641, '522301', '兴泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.913,25.0586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17874, 1641, '522301', '洛万乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.672,24.7508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17875, 1641, '522301', '雄武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.674,24.9707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17876, 1641, '522301', '坪东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.885,25.1105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17877, 1641, '522301', '万峰林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.895,24.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17878, 1641, '522301', '乌沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.791,25.1093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17879, 1641, '522301', '威舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.644,25.3556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17880, 1641, '522301', '则戎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.933,24.9783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17881, 1641, '522301', '清水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.799,25.3381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17882, 1641, '522301', '丰都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.932,25.0756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17883, 1641, '522301', '沧江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.77,24.7415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17884, 1641, '522301', '木贾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.831,25.2237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17885, 1642, '522302', '波阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.372,25.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17886, 1642, '522302', '新龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.017,25.3958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17887, 1642, '522302', '雨樟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.09,25.3713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17888, 1642, '522302', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.182,25.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17889, 1642, '522302', '鲁础营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.083,25.3678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17890, 1642, '522302', '真武山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.151,25.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17891, 1642, '522302', '百德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.458,25.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17892, 1642, '522302', '屯脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.289,25.3885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17893, 1642, '522302', '马马崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.488,25.6921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17894, 1642, '522302', '下山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.192,25.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17895, 1642, '522302', '潘家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.152,25.611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17896, 1642, '522302', '巴铃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.459,25.5028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17897, 1642, '522302', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.522,25.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17898, 1642, '522302', '大山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.335,25.617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17899, 1642, '522302', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.293,25.4217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17900, 1642, '522302', '陆官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.247,25.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17901, 1642, '522302', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.311,25.4206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17902, 1642, '522302', '薏品田园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.229,25.3897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17903, 1643, '522328', '德卧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.225,25.0457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17904, 1643, '522328', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.344,25.1576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17905, 1643, '522328', '海子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.262,25.2851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17906, 1643, '522328', '龙广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.212,25.1902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17907, 1643, '522328', '木咱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.294,25.043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17908, 1643, '522328', '洒雨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.356,25.2431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17909, 1643, '522328', '万峰湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.135,25.0247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17910, 1643, '522328', '招堤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.606,25.2416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17911, 1643, '522328', '栖凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.379,25.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17912, 1643, '522328', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.454,25.2945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17913, 1643, '522328', '普坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.339,25.3342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17914, 1643, '522328', '笃山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.503,25.2934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17915, 1643, '522328', '钱相街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.47,25.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17916, 1643, '522328', '五福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.464,25.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17917, 1643, '522328', '春潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.488,24.9537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17918, 1644, '522327', '百口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.02,24.8248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17919, 1644, '522327', '岩架镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.837,25.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17920, 1644, '522327', '巧马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.459,24.9142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17921, 1644, '522327', '弼佑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.918,24.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17922, 1644, '522327', '八渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.773,24.7162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17923, 1644, '522327', '丫他镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.608,24.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17924, 1644, '522327', '秧坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.86,24.9381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17925, 1644, '522327', '纳福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.803,24.9958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17926, 1644, '522327', '者楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.798,24.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17927, 1644, '522327', '双江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.014,25.0074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17928, 1644, '522327', '冗渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.66,25.1589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17929, 1644, '522327', '坡妹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.628,25.2259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17930, 1644, '522327', '高洛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.816,25.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17931, 1645, '522325', '小屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.554,25.4657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17932, 1645, '522325', '鲁贡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.763,25.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17933, 1645, '522325', '长田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.519,25.5374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17934, 1645, '522325', '鲁容乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.788,25.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17935, 1645, '522325', '者相镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.735,25.5105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17936, 1645, '522325', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.513,25.4666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17937, 1645, '522325', '平街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.578,25.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17938, 1645, '522325', '连环乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.705,25.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17939, 1645, '522325', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.788,25.2062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17940, 1645, '522325', '白层镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.715,25.3867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17941, 1645, '522325', '挽澜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.496,25.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17942, 1645, '522325', '珉谷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.636,25.388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17943, 1645, '522325', '北盘江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.604,25.5376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17944, 1645, '522325', '龙兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.515,25.4473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17945, 1645, '522325', '永丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.639,25.3852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17946, 1645, '522325', '双峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.708,25.4786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17947, 1645, '522325', '丰茂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.632,25.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17948, 1646, '522323', '白沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.03,25.9117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17949, 1646, '522323', '高棉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.04,25.8649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17950, 1646, '522323', '楼下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.893,25.3498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17951, 1646, '522323', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.999,25.6636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17952, 1646, '522323', '罗汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.955,25.6747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17953, 1646, '522323', '龙吟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.103,26.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17954, 1646, '522323', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.956,25.7837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17955, 1646, '522323', '江西坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.002,25.8451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17956, 1646, '522323', '兴中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.04,25.8682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17957, 1646, '522323', '盘水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.024,25.8189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17958, 1646, '522323', '地瓜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.943,25.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17959, 1646, '522323', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.016,25.5542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17960, 1646, '522323', '九峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.927,25.7551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17961, 1646, '522323', '茶源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.042,25.7332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17962, 1647, '522326', '新屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.06,25.2997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17963, 1647, '522326', '蔗香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.238,25.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17964, 1647, '522326', '油迈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.976,25.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17965, 1647, '522326', '乐元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.997,25.2463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17966, 1647, '522326', '大观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.181,25.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17967, 1647, '522326', '昂武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.385,25.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17968, 1647, '522326', '打易镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.158,25.478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17969, 1647, '522326', '桑郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.409,25.1519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17970, 1647, '522326', '乐旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.287,25.3103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17971, 1647, '522326', '平洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.089,25.0419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17972, 1647, '522326', '王母街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.165,25.1686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17973, 1647, '522326', '郊纳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.204,25.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17974, 1647, '522326', '麻山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.323,25.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17975, 1647, '522326', '边饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.005,25.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17976, 1647, '522326', '石屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.019,25.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17977, 1648, '522324', '碧痕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.145,25.7563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17978, 1648, '522324', '中营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.14,26.0894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17979, 1648, '522324', '鸡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.2,25.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17980, 1648, '522324', '紫马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.261,25.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17981, 1648, '522324', '长流乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.139,26.0857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17982, 1648, '522324', '大厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.181,25.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17983, 1648, '522324', '三宝彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.258,25.7405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17984, 1648, '522324', '光照镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,25.8447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17985, 1648, '522324', '安谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.226,25.7102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17986, 1648, '522324', '沙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.144,25.8169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17987, 1648, '522324', '花贡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.146,25.9207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17988, 1648, '522324', '莲城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.169,25.8105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17989, 1648, '522324', '东观街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.289,25.8354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17990, 1648, '522324', '茶马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.152,25.9645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17991, 1649, '520121', '楠木渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.076,27.3003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17992, 1649, '520121', '南龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.083,27.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17993, 1649, '520121', '冯三镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.965,27.2133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17994, 1649, '520121', '禾丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.946,26.9371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17995, 1649, '520121', '龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.147,26.9645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17996, 1649, '520121', '永温镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.849,27.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17997, 1649, '520121', '南山社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.961,27.0629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17998, 1649, '520121', '花梨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.12,27.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (17999, 1649, '520121', '金中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.838,27.1713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18000, 1649, '520121', '紫兴社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.959,27.0524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18001, 1649, '520121', '南江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.94,26.985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18002, 1649, '520121', '双流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.927,27.1294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18003, 1649, '520121', '宅吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.097,27.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18004, 1649, '520121', '毛云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.157,26.9427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18005, 1649, '520121', '米坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.13,27.1836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18006, 1649, '520121', '龙水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.178,27.1964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18007, 1649, '520121', '高寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.128,26.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18008, 1649, '520121', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.976,27.1003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18009, 1650, '520113', '大山洞社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.634,26.6857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18010, 1650, '520113', '艳山红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.656,26.6859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18011, 1650, '520113', '铝兴社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.656,26.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18012, 1650, '520113', '沙文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.643,26.7811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18013, 1650, '520113', '红云社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.627,26.6805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18014, 1650, '520113', '都拉布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.73,26.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18015, 1650, '520113', '都新社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.713,26.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18016, 1650, '520113', '艳山红社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.632,26.6719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18017, 1650, '520113', '麦架镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.551,26.7432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18018, 1650, '520113', '白沙关社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.645,26.6923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18019, 1650, '520113', '牛场布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.774,26.8173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18020, 1651, '520122', '新华社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.735,27.0956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18021, 1651, '520122', '鹿窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.568,27.1501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18022, 1651, '520122', '小寨坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.702,27.125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18023, 1651, '520122', '石硐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.57,27.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18024, 1651, '520122', '九庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.573,27.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18025, 1651, '520122', '流长镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.69,27.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18026, 1651, '520122', '青山苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.637,27.0252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18027, 1651, '520122', '养龙司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.682,27.2405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18028, 1651, '520122', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.82,27.2655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18029, 1651, '520122', '西山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.622,27.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18030, 1651, '520122', '永靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.736,27.0923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18031, 1652, '520123', '六屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.777,26.9581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18032, 1652, '520123', '龙岗社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.584,26.8373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18033, 1652, '520123', '扎佐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.752,26.9444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18034, 1652, '520123', '洒坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.447,26.9474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18035, 1652, '520123', '大石布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.446,27.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18036, 1652, '520123', '谷堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.554,26.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18037, 1652, '520123', '六桶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.502,27.1403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18038, 1652, '520123', '六广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.523,27.0126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18039, 1652, '520123', '小箐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.509,26.9032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18040, 1652, '520123', '久长镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.751,26.931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18041, 1652, '520123', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.586,26.8285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18042, 1653, '520181', '麦格苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.403,26.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18043, 1653, '520181', '巢凤社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.509,26.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18044, 1653, '520181', '犁倭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.254,26.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18045, 1653, '520181', '卫城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.438,26.8671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18046, 1653, '520181', '王庄布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.273,26.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18047, 1653, '520181', '红枫湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.465,26.5375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18048, 1653, '520181', '流长苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.276,26.6979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18049, 1653, '520181', '暗流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.253,26.861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18050, 1653, '520181', '新岭社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.461,26.5418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18051, 1653, '520181', '红新社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.479,26.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18052, 1653, '520181', '百花社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.51,26.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18053, 1653, '520181', '站街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.436,26.5614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18054, 1653, '520181', '红塔社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.452,26.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18055, 1653, '520181', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.238,26.7697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18056, 1654, '520112', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.859,26.8972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18057, 1654, '520112', '贵阳市三江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.83,26.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18058, 1654, '520112', '下坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.934,26.7551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18059, 1654, '520112', '新堡布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.874,26.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18060, 1654, '520112', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.806,26.704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18061, 1654, '520112', '高新社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.775,26.6453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18062, 1654, '520112', '新天社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.744,26.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18063, 1654, '520112', '偏坡布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.878,26.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18064, 1654, '520112', '顺新社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.744,26.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18065, 1654, '520112', '百宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.012,26.8855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18066, 1654, '520112', '羊昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.917,26.8911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18067, 1654, '520112', '振新社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.794,26.6415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18068, 1654, '520112', '创新社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.777,26.6362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18069, 1654, '520112', '水田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.818,26.7902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18070, 1655, '520102', '水口寺社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.729,26.5788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18071, 1655, '520102', '龙洞社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.75,26.5572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18072, 1655, '520102', '花果园社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.679,26.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18073, 1655, '520102', '太慈社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.69,26.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18074, 1655, '520102', '永乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.914,26.5939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18075, 1655, '520102', '市府社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.707,26.5727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18076, 1655, '520102', '新华社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.717,26.5701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18077, 1655, '520102', '云关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.729,26.5788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18078, 1655, '520102', '后巢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.694,26.5512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18079, 1655, '520102', '河滨社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.707,26.5751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18080, 1655, '520102', '二戈寨社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.738,26.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18081, 1655, '520102', '中曹司社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.672,26.5067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18082, 1655, '520102', '西湖社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.726,26.5751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18083, 1655, '520102', '油榨社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.738,26.5676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18084, 1655, '520102', '大南社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.717,26.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18085, 1655, '520102', '中南社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.712,26.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18086, 1655, '520102', '小碧布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.84,26.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18087, 1655, '520102', '见龙社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.772,26.5121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18088, 1655, '520102', '遵义社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.697,26.5538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18089, 1655, '520102', '沙冲社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.695,26.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18090, 1655, '520102', '兴关社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.72,26.5466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18091, 1655, '520102', '沙南社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.708,26.542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18092, 1656, '520111', '黔陶布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.756,26.3824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18093, 1656, '520111', '石板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.585,26.4715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18094, 1656, '520111', '湖潮苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.572,26.46', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18095, 1656, '520111', '金竹社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.63,26.5271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18096, 1656, '520111', '久安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.583,26.544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18097, 1656, '520111', '党武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.624,26.4063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18098, 1656, '520111', '孟关苗族布依族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.757,26.4681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18099, 1656, '520111', '麦坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.511,26.4808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18100, 1656, '520111', '黄河社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.705,26.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18101, 1656, '520111', '明珠社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.667,26.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18102, 1656, '520111', '青岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.692,26.37', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18103, 1656, '520111', '小孟社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.682,26.453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18104, 1656, '520111', '航天社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.687,26.4989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18105, 1656, '520111', '三江社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.689,26.5041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18106, 1656, '520111', '清溪社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.649,26.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18107, 1656, '520111', '溪北社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.671,26.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18108, 1656, '520111', '燕楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.571,26.3399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18109, 1656, '520111', '清浦社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.703,26.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18110, 1656, '520111', '贵筑社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.633,26.4028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18111, 1656, '520111', '黔江社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.712,26.5268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18112, 1656, '520111', '瑞华社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.705,26.5212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18113, 1656, '520111', '高坡苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.767,26.2662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18114, 1656, '520111', '阳光社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.686,26.4374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18115, 1656, '520111', '平桥社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.68,26.5012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18116, 1656, '520111', '马铃布依族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.54,26.2835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18117, 1656, '520111', '花孟社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.685,26.4395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18118, 1656, '520111', '航空社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.716,26.4985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18119, 1656, '520111', '金欣社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.662,26.4824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18120, 1656, '520111', '兴隆社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.694,26.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18121, 1657, '520103', '北京路社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.71,26.5985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18122, 1657, '520103', '荷塘社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.657,26.6029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18123, 1657, '520103', '普天社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.642,26.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18124, 1657, '520103', '蔡关社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.667,26.5577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18125, 1657, '520103', '普陀社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.723,26.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18126, 1657, '520103', '宅吉社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.716,26.6065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18127, 1657, '520103', '省府社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.703,26.609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18128, 1657, '520103', '市西社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.695,26.5723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18129, 1657, '520103', '黔东社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.719,26.5894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18130, 1657, '520103', '金关社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.654,26.5799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18131, 1657, '520103', '三桥社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.664,26.5833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18132, 1657, '520103', '黔灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.715,26.6065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18133, 1657, '520103', '威清社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.701,26.5889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18134, 1657, '520103', '中华社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.715,26.5842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18135, 1657, '520103', '中环社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.704,26.5888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18136, 1657, '520103', '栖霞社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.727,26.592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18137, 1657, '520103', '金惠社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.604,26.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18138, 1657, '520103', '贵乌社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.727,26.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18139, 1657, '520103', '中天社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.734,26.6122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18140, 1657, '520103', '延中社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.71,26.587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18141, 1657, '520103', '圣泉社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.67,26.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18142, 1657, '520103', '中东社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.724,26.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18143, 1657, '520103', '金龙社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.693,26.5721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18144, 1657, '520103', '东山社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.736,26.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18145, 1657, '520103', '头桥社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.702,26.5997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18146, 1657, '520103', '金狮社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.726,26.6027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18147, 1657, '520103', '金鸭社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.64,26.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18148, 1657, '520103', '水东社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.77,26.6149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18149, 1658, '520115', '世纪城社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.628,26.5941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18150, 1658, '520115', '金华园社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.633,26.6546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18151, 1658, '520115', '新世界社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.613,26.6493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18152, 1658, '520115', '百花湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.47,26.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18153, 1658, '520115', '金华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.506,26.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18154, 1658, '520115', '朱昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.554,26.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18155, 1658, '520115', '金源社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.614,26.6139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18156, 1658, '520115', '逸景社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.613,26.6161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18157, 1658, '520115', '碧海社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.632,26.6345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18158, 1658, '520115', '金麦社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.597,26.6425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18159, 1658, '520115', '金岭社区服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.692,26.6375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18160, 1659, '310120', '南桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.493,30.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18161, 1659, '310120', '金海社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.479,30.9753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18162, 1659, '310120', '柘林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.408,30.8704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18163, 1659, '310120', '海湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.635,30.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18164, 1659, '310120', '庄行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.383,30.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18165, 1659, '310120', '金汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.578,30.9997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18166, 1659, '310120', '青村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.597,30.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18167, 1659, '310120', '四团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.74,30.8904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18168, 1659, '310120', '奉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.638,30.9822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18169, 1659, '310120', '奉浦社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.446,30.9229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18170, 1659, '310120', '上海海港综合经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.708,30.9069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18171, 1659, '310120', '上海市奉贤区海湾旅游区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.521,30.8585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18172, 1660, '310151', '中兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.752,31.6661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18173, 1660, '310151', '新海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.285,31.7995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18174, 1660, '310151', '绿华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.224,31.7886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18175, 1660, '310151', '堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.635,31.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18176, 1660, '310151', '新村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.266,31.8641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18177, 1660, '310151', '港沿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.608,31.5927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18178, 1660, '310151', '长兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.58,31.4796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18179, 1660, '310151', '竖新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.66,31.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18180, 1660, '310151', '上实现代农业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.246,31.419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18181, 1660, '310151', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.529,31.7381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18182, 1660, '310151', '城桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.42,31.6484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18183, 1660, '310151', '东平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.844,31.5542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18184, 1660, '310151', '陈家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.879,31.5117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18185, 1660, '310151', '港西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.409,31.7322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18186, 1660, '310151', '前卫农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.749,31.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18187, 1660, '310151', '庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.279,31.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18188, 1660, '310151', '建设镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.461,31.6918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18189, 1660, '310151', '东平林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.474,31.6739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18190, 1660, '310151', '向化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.752,31.5943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18191, 1660, '310151', '三星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.222,31.7858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18192, 1660, '310151', '横沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.078,31.3235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18193, 1661, '310116', '漕泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.356,30.8283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18194, 1661, '310116', '廊下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.173,30.8204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18195, 1661, '310116', '吕巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.196,30.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18196, 1661, '310116', '张堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.268,30.8197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18197, 1661, '310116', '金山工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.315,30.8529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18198, 1661, '310116', '亭林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.282,30.8948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18199, 1661, '310116', '山阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.428,30.6807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18200, 1661, '310116', '朱泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.187,30.9164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18201, 1661, '310116', '石化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.377,30.6929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18202, 1661, '310116', '金山卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.277,30.7707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18203, 1661, '310116', '枫泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.109,30.8714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18204, 1662, '310115', '康桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.601,31.1551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18205, 1662, '310115', '宣桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.707,31.0868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18206, 1662, '310115', '航头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.558,31.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18207, 1662, '310115', '祝桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.919,31.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18208, 1662, '310115', '沪东新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.574,31.2873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18209, 1662, '310115', '大团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.722,31.0057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18210, 1662, '310115', '潍坊新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.525,31.2299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18211, 1662, '310115', '高东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.677,31.3094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18212, 1662, '310115', '惠南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.853,30.9913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18213, 1662, '310115', '北蔡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.521,31.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18214, 1662, '310115', '高行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.592,31.3311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18215, 1662, '310115', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.638,31.0855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18216, 1662, '310115', '花木街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.579,31.2399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18217, 1662, '310115', '张江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.592,31.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18218, 1662, '310115', '洋泾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.548,31.2538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18219, 1662, '310115', '金桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.629,31.2812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18220, 1662, '310115', '东明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.489,31.143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18221, 1662, '310115', '南码头路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.502,31.1956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18222, 1662, '310115', '周浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.649,31.1291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18223, 1662, '310115', '周家渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.507,31.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18224, 1662, '310115', '张江高科技园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.638,31.2162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18225, 1662, '310115', '万祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.862,30.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18226, 1662, '310115', '塘桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.527,31.2171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18227, 1662, '310115', '曹路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.656,31.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18228, 1662, '310115', '川沙新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.74,31.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18229, 1662, '310115', '合庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.719,31.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18230, 1662, '310115', '外高桥保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.585,31.3585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18231, 1662, '310115', '金杨新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.564,31.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18232, 1662, '310115', '泥城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.796,30.9489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18233, 1662, '310115', '金桥经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.678,31.2325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18234, 1662, '310115', '浦兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.589,31.287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18235, 1662, '310115', '上钢新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.478,31.1887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18236, 1662, '310115', '陆家嘴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.527,31.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18237, 1662, '310115', '三林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.539,31.1332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18238, 1662, '310115', '南汇新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.891,30.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18239, 1662, '310115', '书院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.836,30.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18240, 1662, '310115', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.546,31.3594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18241, 1662, '310115', '唐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.646,31.2458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18242, 1662, '310115', '老港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.806,31.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18243, 1663, '310101', '豫园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.495,31.229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18244, 1663, '310101', '小东门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.495,31.2244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18245, 1663, '310101', '淮海中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.479,31.2263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18246, 1663, '310101', '打浦桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.472,31.2108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18247, 1663, '310101', '老西门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.492,31.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18248, 1663, '310101', '南京东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.474,31.2413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18249, 1663, '310101', '外滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.496,31.2328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18250, 1663, '310101', '半淞园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.483,31.2088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18251, 1663, '310101', '瑞金二路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.457,31.2211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18252, 1663, '310101', '五里桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.485,31.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18253, 1664, '310113', '张庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.459,31.3391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18254, 1664, '310113', '大场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.398,31.3351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18255, 1664, '310113', '罗店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.377,31.4402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18256, 1664, '310113', '宝山城市工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.336,31.3044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18257, 1664, '310113', '月浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.384,31.415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18258, 1664, '310113', '淞南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.457,31.3409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18259, 1664, '310113', '庙行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.409,31.3316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18260, 1664, '310113', '吴淞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.506,31.3786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18261, 1664, '310113', '杨行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.425,31.4005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18262, 1664, '310113', '罗泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.302,31.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18263, 1664, '310113', '友谊路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.501,31.3836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18264, 1664, '310113', '顾村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.374,31.3738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18265, 1664, '310113', '高境镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.498,31.3375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18266, 1665, '310107', '长征镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.376,31.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18267, 1665, '310107', '真如镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.39,31.2655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18268, 1665, '310107', '万里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.406,31.2769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18269, 1665, '310107', '宜川路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.442,31.2641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18270, 1665, '310107', '石泉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.418,31.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18271, 1665, '310107', '长寿路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.448,31.2421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18272, 1665, '310107', '甘泉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.426,31.2717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18273, 1665, '310107', '桃浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.355,31.2998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18274, 1665, '310107', '长风新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.4,31.2353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18275, 1665, '310107', '曹杨新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.399,31.243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18276, 1666, '310114', '新成路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.275,31.4013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18277, 1666, '310114', '嘉定镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.249,31.3931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18278, 1666, '310114', '华亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.235,31.4435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18279, 1666, '310114', '菊园新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.203,31.3726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18280, 1666, '310114', '南翔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.275,31.2877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18281, 1666, '310114', '嘉定工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.206,31.4089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18282, 1666, '310114', '外冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.173,31.3928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18283, 1666, '310114', '马陆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.316,31.3981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18284, 1666, '310114', '江桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.253,31.2945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18285, 1666, '310114', '徐行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.199,31.3812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18286, 1666, '310114', '真新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.362,31.2391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18287, 1666, '310114', '安亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.203,31.3365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18288, 1667, '310110', '江浦路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.522,31.2732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18289, 1667, '310110', '长白新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.543,31.2994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18290, 1667, '310110', '新江湾城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.52,31.3437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18291, 1667, '310110', '大桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.524,31.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18292, 1667, '310110', '五角场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.489,31.3115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18293, 1667, '310110', '定海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.558,31.3035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18294, 1667, '310110', '延吉新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.533,31.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18295, 1667, '310110', '控江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.512,31.2851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18296, 1667, '310110', '四平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.497,31.2847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18297, 1667, '310110', '长海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.528,31.2889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18298, 1667, '310110', '殷行街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.529,31.3389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18299, 1667, '310110', '平凉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.52,31.2628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18300, 1668, '310117', '洞泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.256,31.1021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18301, 1668, '310117', '叶榭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.362,30.9428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18302, 1668, '310117', '新浜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.034,30.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18303, 1668, '310117', '小昆山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.086,31.0631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18304, 1668, '310117', '佘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.184,31.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18305, 1668, '310117', '岳阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.228,31.0205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18306, 1668, '310117', '永丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.177,31.0038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18307, 1668, '310117', '泖港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.219,30.9454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18308, 1668, '310117', '石湖荡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.097,30.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18309, 1668, '310117', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.282,31.072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18310, 1668, '310117', '车墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.294,31.0092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18311, 1668, '310117', '松江工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.334,31.0402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18312, 1668, '310117', '泗泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.24,31.1301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18313, 1668, '310117', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.242,31.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18314, 1668, '310117', '九亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.305,31.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18315, 1668, '310117', '九里亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.325,31.1422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18316, 1668, '310117', '广富林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.238,31.0573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18317, 1668, '310117', '方松街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.196,31.0434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18318, 1669, '310109', '四川北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.481,31.2556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18319, 1669, '310109', '欧阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.485,31.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18320, 1669, '310109', '北外滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.512,31.2597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18321, 1669, '310109', '嘉兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.494,31.2684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18322, 1669, '310109', '曲阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.501,31.288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18323, 1669, '310109', '广中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.463,31.2755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18324, 1669, '310109', '江湾镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.478,31.2896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18325, 1669, '310109', '凉城新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.462,31.2798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18326, 1670, '310106', '石门二路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.459,31.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18327, 1670, '310106', '芷江西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.459,31.2603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18328, 1670, '310106', '江宁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.445,31.2406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18329, 1670, '310106', '北站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.48,31.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18330, 1670, '310106', '彭浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.432,31.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18331, 1670, '310106', '彭浦新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.448,31.317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18332, 1670, '310106', '曹家渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.433,31.235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18333, 1670, '310106', '大宁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.461,31.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18334, 1670, '310106', '天目西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.46,31.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18335, 1670, '310106', '南京西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.468,31.2255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18336, 1670, '310106', '共和新路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.467,31.2717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18337, 1670, '310106', '静安寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.436,31.2236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18338, 1670, '310106', '临汾路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.455,31.3135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18339, 1670, '310106', '宝山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.479,31.26', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18340, 1671, '310105', '北新泾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.366,31.2259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18341, 1671, '310105', '程家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.357,31.1874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18342, 1671, '310105', '华阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.423,31.2277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18343, 1671, '310105', '仙霞新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.388,31.2137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18344, 1671, '310105', '天山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.405,31.214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18345, 1671, '310105', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.42,31.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18346, 1671, '310105', '新泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.346,31.2399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18347, 1671, '310105', '虹桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.384,31.1923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18348, 1671, '310105', '周家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.385,31.2152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18349, 1671, '310105', '江苏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.435,31.2252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18350, 1672, '310112', '虹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.413,31.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18351, 1672, '310112', '吴泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.455,31.0719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18352, 1672, '310112', '江川路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.359,30.9975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18353, 1672, '310112', '马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.368,31.0058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18354, 1672, '310112', '莘庄工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.392,31.0626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18355, 1672, '310112', '新虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.301,31.2165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18356, 1672, '310112', '古美街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.396,31.1559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18357, 1672, '310112', '颛桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.423,31.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18358, 1672, '310112', '梅陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.392,31.1591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18359, 1672, '310112', '华漕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.267,31.2517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18360, 1672, '310112', '浦锦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.477,31.1113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18361, 1672, '310112', '浦江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.543,30.9939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18362, 1672, '310112', '莘庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.395,31.1287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18363, 1672, '310112', '七宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.331,31.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18364, 1673, '310104', '田林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.417,31.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18365, 1673, '310104', '枫林路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.456,31.2005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18366, 1673, '310104', '漕河泾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.442,31.1774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18367, 1673, '310104', '龙华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.448,31.1786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18368, 1673, '310104', '湖南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.45,31.2165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18369, 1673, '310104', '斜土路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.459,31.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18370, 1673, '310104', '徐家汇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.426,31.1985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18371, 1673, '310104', '天平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.462,31.2102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18372, 1673, '310104', '康健新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.412,31.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18373, 1673, '310104', '华泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.437,31.1278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18374, 1673, '310104', '虹梅路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.398,31.1788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18375, 1673, '310104', '漕河泾新兴技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.413,31.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18376, 1673, '310104', '长桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.45,31.1536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18377, 1673, '310104', '凌云路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.426,31.1498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18378, 1674, '310118', '重固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.17,31.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18379, 1674, '310118', '朱家角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.941,31.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18380, 1674, '310118', '夏阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.106,31.1395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18381, 1674, '310118', '赵巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.183,31.1431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18382, 1674, '310118', '金泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.943,31.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18383, 1674, '310118', '香花桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.106,31.2239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18384, 1674, '310118', '盈浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.068,31.1523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18385, 1674, '310118', '练塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.06,31.0543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18386, 1674, '310118', '华新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.202,31.2555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18387, 1674, '310118', '徐泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.257,31.2071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18388, 1674, '310118', '白鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.162,31.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18389, 1675, '371525', '贾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.626,36.5511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18390, 1675, '371525', '万善乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.468,36.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18391, 1675, '371525', '桑阿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.492,36.4112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18392, 1675, '371525', '清泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,36.4699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18393, 1675, '371525', '崇文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.479,36.5226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18394, 1675, '371525', '东古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.3,36.5278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18395, 1675, '371525', '范寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.655,36.6133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18396, 1675, '371525', '北馆陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.42,36.6831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18397, 1675, '371525', '烟庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.523,36.5335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18398, 1675, '371525', '甘官屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,36.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18399, 1675, '371525', '定远寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.687,36.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18400, 1675, '371525', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,36.6539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18401, 1675, '371525', '兰沃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.54,36.6033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18402, 1675, '371525', '梁堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.462,36.4396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18403, 1675, '371525', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.544,36.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18404, 1675, '371525', '辛集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.643,36.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18405, 1675, '371525', '斜店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.39,36.4524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18406, 1675, '371525', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,36.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18407, 1676, '371522', '王庄集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.466,36.0339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18408, 1676, '371522', '徐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.6,36.0707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18409, 1676, '371522', '河店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.69,36.3865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18410, 1676, '371522', '王奉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.448,36.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18411, 1676, '371522', '燕塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.671,36.249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18412, 1676, '371522', '大王寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.536,36.3499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18413, 1676, '371522', '张鲁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.619,36.2849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18414, 1676, '371522', '魏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.538,36.3844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18415, 1676, '371522', '古云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.364,35.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18416, 1676, '371522', '东鲁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.739,36.2556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18417, 1676, '371522', '十八里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.565,36.1606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18418, 1676, '371522', '莘亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.663,36.3206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18419, 1676, '371522', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.629,36.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18420, 1676, '371522', '燕店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.606,36.342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18421, 1676, '371522', '柿子园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.546,36.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18422, 1676, '371522', '妹冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.56,36.159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18423, 1676, '371522', '朝城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.576,36.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18424, 1676, '371522', '观城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.452,35.9664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18425, 1676, '371522', '张寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.5,36.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18426, 1676, '371522', '莘州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.646,36.2174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18427, 1676, '371522', '俎店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.562,36.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18428, 1676, '371522', '樱桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.459,35.8723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18429, 1676, '371522', '董杜庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,36.1311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18430, 1676, '371522', '大张家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.431,35.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18431, 1677, '371503', '贾寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.996,36.6598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18432, 1677, '371503', '杨官屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.991,36.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18433, 1677, '371503', '冯官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.249,36.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18434, 1677, '371503', '温陈街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.202,36.5633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18435, 1677, '371503', '振兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.278,36.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18436, 1677, '371503', '博平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.101,36.643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18437, 1677, '371503', '乐平铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.275,36.4996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18438, 1677, '371503', '洪官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.945,36.6141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18439, 1677, '371503', '杜郎口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.305,36.5742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18440, 1677, '371503', '信发街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.213,36.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18441, 1677, '371503', '胡屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.194,36.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18442, 1677, '371503', '肖庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.991,36.6316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18443, 1677, '371503', '韩屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.188,36.6937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18444, 1677, '371503', '菜屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.995,36.7402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18445, 1678, '371502', '韩集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.172,36.4409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18446, 1678, '371502', '新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.969,36.4611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18447, 1678, '371502', '沙镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.789,36.3809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18448, 1678, '371502', '顾官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.119,36.3798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18449, 1678, '371502', '郑家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.755,36.4464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18450, 1678, '371502', '斗虎屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.798,36.6925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18451, 1678, '371502', '朱老庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,36.3655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18452, 1678, '371502', '梁水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.887,36.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18453, 1678, '371502', '张炉集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.803,36.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18454, 1678, '371502', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.056,36.482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18455, 1678, '371502', '于集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.049,36.3779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18456, 1678, '371502', '蒋官屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.072,36.4797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18457, 1678, '371502', '阎寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.84,36.5217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18458, 1678, '371502', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.053,36.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18459, 1678, '371502', '堂邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.805,36.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18460, 1678, '371502', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.028,36.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18461, 1678, '371502', '广平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.131,36.4948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18462, 1678, '371502', '道口铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,36.4894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18463, 1678, '371502', '湖西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.937,36.3742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18464, 1678, '371502', '柳园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.984,36.4419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18465, 1678, '371502', '古楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.968,36.4713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18466, 1678, '371502', '许营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.041,36.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18467, 1678, '371502', '侯营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.901,36.438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18468, 1678, '371502', '香江管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.96,36.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18469, 1679, '371581', '唐园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.578,36.7748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18470, 1679, '371581', '康庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,36.6952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18471, 1679, '371581', '金郝庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.023,36.8937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18472, 1679, '371581', '戴湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.784,36.7884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18473, 1679, '371581', '尚店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.735,36.6995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18474, 1679, '371581', '八岔路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.63,36.6568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18475, 1679, '371581', '魏湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,36.7151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18476, 1679, '371581', '松林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.854,36.9162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18477, 1679, '371581', '先锋路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,36.9117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18478, 1679, '371581', '刘垓子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.774,36.7784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18479, 1679, '371581', '老赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.901,36.8492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18480, 1679, '371581', '大辛庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.744,36.8089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18481, 1679, '371581', '青年路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,36.8128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18482, 1679, '371581', '潘庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.502,36.7321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18483, 1679, '371581', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.711,36.8592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18484, 1679, '371581', '烟店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.478,36.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18485, 1680, '371524', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.357,36.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18486, 1680, '371524', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.096,36.2945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18487, 1680, '371524', '铜城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.295,36.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18488, 1680, '371524', '牛角店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.491,36.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18489, 1680, '371524', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.315,36.3311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18490, 1680, '371524', '姚寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.341,36.4421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18491, 1680, '371524', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.281,36.4075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18492, 1680, '371524', '高集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.412,36.4316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18493, 1680, '371524', '姜楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.202,36.3093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18494, 1680, '371524', '鱼山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.248,36.2619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18495, 1681, '371521', '定水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.797,36.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18496, 1681, '371521', '阿城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.008,36.1988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18497, 1681, '371521', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.737,36.1293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18498, 1681, '371521', '郭店屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.877,36.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18499, 1681, '371521', '侨润街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.791,36.1511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18500, 1681, '371521', '石佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.856,36.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18501, 1681, '371521', '阎楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.863,36.1074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18502, 1681, '371521', '张秋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.012,36.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18503, 1681, '371521', '高庙王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.748,36.0802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18504, 1681, '371521', '博济桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.772,36.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18505, 1681, '371521', '大布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.715,36.1868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18506, 1681, '371521', '狮子楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.744,36.139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18507, 1681, '371521', '安乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.994,36.2293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18508, 1681, '371521', '七级镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.973,36.2876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18509, 1681, '371521', '李台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.745,36.0145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18510, 1681, '371521', '十五里园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.924,36.1031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18511, 1681, '371521', '金斗营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.727,35.9892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18512, 1681, '371521', '寿张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,36.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18513, 1682, '371526', '杨屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.284,36.807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18514, 1682, '371526', '姜店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.209,36.7992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18515, 1682, '371526', '人和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.306,36.9009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18516, 1682, '371526', '赵寨子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.176,36.7195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18517, 1682, '371526', '琉璃寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.291,36.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18518, 1682, '371526', '三十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.056,36.821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18519, 1682, '371526', '鱼邱湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.273,36.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18520, 1682, '371526', '汇鑫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.15,36.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18521, 1682, '371526', '尹集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.305,36.955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18522, 1682, '371526', '清平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.114,36.8215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18523, 1682, '371526', '梁村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.173,36.909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18524, 1682, '371526', '固河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.411,36.8511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18525, 1683, '370304', '山头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.904,36.5003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18526, 1683, '370304', '博山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.998,36.41', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18527, 1683, '370304', '池上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.035,36.3744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18528, 1683, '370304', '八陡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.872,36.4431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18529, 1683, '370304', '石马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.883,36.4228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18530, 1683, '370304', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.84,36.4928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18531, 1683, '370304', '域城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.838,36.492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18532, 1683, '370304', '源泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.976,36.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18533, 1683, '370304', '白塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.867,36.5196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18534, 1683, '370304', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.866,36.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18535, 1684, '370305', '皇城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.393,36.9109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18536, 1684, '370305', '朱台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.268,36.9158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18537, 1684, '370305', '齐都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.312,36.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18538, 1684, '370305', '敬仲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.376,36.9749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18539, 1684, '370305', '金岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.184,36.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18540, 1684, '370305', '雪宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.193,36.7857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18541, 1684, '370305', '辛店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.219,36.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18542, 1684, '370305', '稷下街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.233,36.8283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18543, 1684, '370305', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.272,36.9048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18544, 1684, '370305', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.25,36.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18545, 1684, '370305', '闻韶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.312,36.8301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18546, 1684, '370305', '齐陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.465,36.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18547, 1685, '370322', '青城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.645,37.2113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18548, 1685, '370322', '芦湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.899,37.238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18549, 1685, '370322', '常家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.895,37.1718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18550, 1685, '370322', '黑里寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.629,37.1632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18551, 1685, '370322', '花沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.799,37.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18552, 1685, '370322', '唐坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.05,37.1548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18553, 1685, '370322', '木李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.764,37.2448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18554, 1685, '370322', '高城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.001,37.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18555, 1685, '370322', '田镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.813,37.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18556, 1686, '370321', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.952,36.9836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18557, 1686, '370321', '索镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.103,36.9543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18558, 1686, '370321', '少海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.079,36.9709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18559, 1686, '370321', '唐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.999,36.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18560, 1686, '370321', '果里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.11,36.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18561, 1686, '370321', '荆家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.027,37.0981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18562, 1686, '370321', '田庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.027,37.0418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18563, 1686, '370321', '马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.946,37.0614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18564, 1686, '370321', '起凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.065,37.0835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18565, 1687, '370303', '房镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.996,36.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18566, 1687, '370303', '中埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.175,36.8687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18567, 1687, '370303', '体育场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.093,36.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18568, 1687, '370303', '马尚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.026,36.8374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18569, 1687, '370303', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.035,36.8142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18570, 1687, '370303', '南定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.053,36.783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18571, 1687, '370303', '杏园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.08,36.777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18572, 1687, '370303', '四宝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.093,36.8159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18573, 1687, '370303', '沣水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.07,36.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18574, 1687, '370303', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.025,36.8031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18575, 1687, '370303', '傅家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.001,36.7494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18576, 1687, '370303', '科苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.032,36.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18577, 1687, '370303', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.03,36.7841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18578, 1688, '370323', '鲁村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.088,36.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18579, 1688, '370323', '悦庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.264,36.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18580, 1688, '370323', '中庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.286,36.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18581, 1688, '370323', '东里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.358,36.0757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18582, 1688, '370323', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.31,36.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18583, 1688, '370323', '南鲁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.177,36.2337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18584, 1688, '370323', '大张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.076,36.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18585, 1688, '370323', '张家坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.389,36.0466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18586, 1688, '370323', '燕崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.252,36.1431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18587, 1688, '370323', '历山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.17,36.2291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18588, 1688, '370323', '南麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.107,36.1988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18589, 1688, '370323', '西里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.287,36.0339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18590, 1689, '370302', '将军路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.93,36.6369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18591, 1689, '370302', '松龄路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.967,36.6623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18592, 1689, '370302', '罗村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.036,36.6755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18593, 1689, '370302', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.1,36.5466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18594, 1689, '370302', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.985,36.6338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18595, 1689, '370302', '岭子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.828,36.6385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18596, 1689, '370302', '寨里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.001,36.6454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18597, 1689, '370302', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.959,36.6047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18598, 1689, '370302', '太河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.095,36.517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18599, 1689, '370302', '昆仑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.899,36.6429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18600, 1689, '370302', '双杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.949,36.7517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18601, 1689, '370302', '钟楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.937,36.6968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18602, 1689, '370302', '般阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,36.6479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18603, 1690, '370306', '南郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.896,36.7512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18604, 1690, '370306', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.852,36.7021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18605, 1690, '370306', '永安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.824,36.8243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18606, 1690, '370306', '丝绸路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.875,36.801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18607, 1690, '370306', '商家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.825,36.6872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18608, 1690, '370306', '青年路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.885,36.8142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18609, 1690, '370306', '萌水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.847,36.7179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18610, 1690, '370306', '北郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.903,36.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18611, 1690, '370306', '城北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.872,36.8512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18612, 1690, '370306', '大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.828,36.8009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18613, 1691, '371323', '富官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.961,36.104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18614, 1691, '371323', '许家湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.586,35.7321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18615, 1691, '371323', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.635,35.9991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18616, 1691, '371323', '圈里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.75,36.1324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18617, 1691, '371323', '院东头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.448,35.7635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18618, 1691, '371323', '道托镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.639,35.9311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18619, 1691, '371323', '沙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.546,36.0505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18620, 1691, '371323', '夏蔚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.342,35.9304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18621, 1691, '371323', '马站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.687,36.069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18622, 1691, '371323', '崔家峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.398,35.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18623, 1691, '371323', '龙家圈街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.583,35.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18624, 1691, '371323', '高庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.301,35.8844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18625, 1691, '371323', '四十里堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.703,35.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18626, 1691, '371323', '泉庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.387,35.9878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18627, 1691, '371323', '杨庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.813,36.085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18628, 1691, '371323', '黄山铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.461,35.7935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18629, 1691, '371323', '诸葛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.645,35.945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18630, 1691, '371323', '沂城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.66,35.7562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18631, 1692, '371328', '常路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.927,35.8733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18632, 1692, '371328', '旧寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.05,35.8161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18633, 1692, '371328', '联城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.841,35.7306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18634, 1692, '371328', '坦埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.132,35.8347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18635, 1692, '371328', '高都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.998,35.8722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18636, 1692, '371328', '垛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.069,35.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18637, 1692, '371328', '蒙阴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.874,35.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18638, 1692, '371328', '岱崮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.115,35.9236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18639, 1692, '371328', '野店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.115,35.9233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18640, 1692, '371328', '桃墟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.957,35.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18641, 1693, '371326', '流峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.546,35.436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18642, 1693, '371326', '白彦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.593,35.3324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18643, 1693, '371326', '丰阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.458,35.4244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18644, 1693, '371326', '地方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.816,35.3773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18645, 1693, '371326', '仲村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.71,35.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18646, 1693, '371326', '铜石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.726,35.4362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18647, 1693, '371326', '临涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.474,35.4027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18648, 1693, '371326', '保太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.734,35.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18649, 1693, '371326', '温水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.742,35.5323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18650, 1693, '371326', '柏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.807,35.4728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18651, 1693, '371326', '卞桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.795,35.4578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18652, 1693, '371326', '郑城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.617,35.2474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18653, 1693, '371326', '平邑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.693,35.4032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18654, 1693, '371326', '武台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.71,35.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18655, 1694, '371322', '高峰头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.322,34.5757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18656, 1694, '371322', '归昌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.328,34.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18657, 1694, '371322', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.313,34.6487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18658, 1694, '371322', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.287,34.7164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18659, 1694, '371322', '杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.233,34.4822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18660, 1694, '371322', '李庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.359,34.8817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18661, 1694, '371322', '重坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.096,34.5887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18662, 1694, '371322', '泉源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.415,34.6924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18663, 1694, '371322', '港上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.196,34.6262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18664, 1694, '371322', '红花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,34.4947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18665, 1694, '371322', '庙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.378,34.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18666, 1694, '371322', '郯城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.347,34.7055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18667, 1694, '371322', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.244,34.5669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18668, 1695, '371327', '道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.674,35.302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18669, 1695, '371327', '涝坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.884,35.3549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18670, 1695, '371327', '洙边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.818,35.1295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18671, 1695, '371327', '坪上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.027,35.2138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18672, 1695, '371327', '文疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.987,35.3693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18673, 1695, '371327', '朱芦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.102,35.298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18674, 1695, '371327', '坊前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.952,35.2234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18675, 1695, '371327', '大店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.888,35.3375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18676, 1695, '371327', '团林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.124,35.1666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18677, 1695, '371327', '十字路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.928,35.2201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18678, 1695, '371327', '板泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.615,35.0989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18679, 1695, '371327', '相沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.828,35.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18680, 1695, '371327', '岭泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.657,35.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18681, 1695, '371327', '石莲子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.695,35.3804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18682, 1695, '371327', '筵宾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.82,35.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18683, 1695, '371327', '壮岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.01,35.0986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18684, 1696, '371321', '湖头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.686,35.61', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18685, 1696, '371321', '蒲汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.703,35.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18686, 1696, '371321', '辛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.613,35.5629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18687, 1696, '371321', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.507,35.523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18688, 1696, '371321', '岸堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.228,35.7567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18689, 1696, '371321', '依汶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.306,35.653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18690, 1696, '371321', '界湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.438,35.6099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18691, 1696, '371321', '马牧池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.258,35.7224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18692, 1696, '371321', '青驼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.25,35.4237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18693, 1696, '371321', '张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.424,35.5188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18694, 1696, '371321', '苏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.611,35.6442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18695, 1696, '371321', '双堠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.263,35.5166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18696, 1696, '371321', '孙祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.21,35.6066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18697, 1696, '371321', '砖埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.423,35.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18698, 1696, '371321', '铜井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.403,35.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18699, 1697, '371302', '白沙埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.402,35.2529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18700, 1697, '371302', '汪沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.288,35.3705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18701, 1697, '371302', '柳青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.35,35.1787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18702, 1697, '371302', '金雀山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.344,35.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18703, 1697, '371302', '方城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.217,35.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18704, 1697, '371302', '义堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.135,35.1549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18705, 1697, '371302', '李官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.348,35.3016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18706, 1697, '371302', '枣沟头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.27,35.2223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18707, 1697, '371302', '半程镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.322,35.3301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18708, 1697, '371302', '兰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.212,35.1187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18709, 1697, '371302', '银雀山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.265,35.0621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18710, 1697, '371302', '马厂湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.125,35.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18711, 1698, '371311', '傅庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.276,34.9456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18712, 1698, '371311', '盛庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.243,35', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18713, 1698, '371311', '高都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.334,34.9665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18714, 1698, '371311', '册山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.313,34.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18715, 1698, '371311', '罗西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.139,35.0004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18716, 1698, '371311', '沂堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.116,34.9814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18717, 1698, '371311', '黄山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.297,34.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18718, 1698, '371311', '褚墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.257,34.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18719, 1698, '371311', '罗庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.323,34.976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18720, 1699, '371329', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.724,34.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18721, 1699, '371329', '白旄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.615,35.0425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18722, 1699, '371329', '临沭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.635,34.9378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18723, 1699, '371329', '曹庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.436,34.8287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18724, 1699, '371329', '郑山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.613,34.9986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18725, 1699, '371329', '店头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.616,34.8603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18726, 1699, '371329', '青云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.613,35.047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18727, 1699, '371329', '蛟龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.706,34.8723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18728, 1699, '371329', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.682,34.7566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18729, 1699, '371329', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.614,34.7543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18730, 1700, '371312', '芝麻墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.466,35.0449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18731, 1700, '371312', '九曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.426,35.0475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18732, 1700, '371312', '郑旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.57,35.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18733, 1700, '371312', '八湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.554,35.266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18734, 1700, '371312', '梅埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.496,34.9802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18735, 1700, '371312', '汤河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.56,35.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18736, 1700, '371312', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.483,35.2124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18737, 1700, '371312', '汤头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.574,35.3473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18738, 1700, '371312', '凤凰岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.437,35.0815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18739, 1700, '371312', '相公街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.494,35.1515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18740, 1700, '371312', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.507,34.9732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18741, 1701, '371325', '上冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.927,35.3376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18742, 1701, '371325', '费城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.039,35.2525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18743, 1701, '371325', '梁邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.638,35.1015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18744, 1701, '371325', '东蒙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.977,35.415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18745, 1701, '371325', '胡阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.082,35.3156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18746, 1701, '371325', '薛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.03,35.3482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18747, 1701, '371325', '朱田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.872,35.2209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18748, 1701, '371325', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.84,35.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18749, 1701, '371325', '大田庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.914,35.4262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18750, 1701, '371325', '探沂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.063,35.1778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18751, 1701, '371325', '石井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.733,35.1196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18752, 1701, '371325', '马庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.91,35.164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18753, 1702, '371324', '卞庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.032,34.8751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18754, 1702, '371324', '下村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.772,35.0406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18755, 1702, '371324', '长城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.086,34.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18756, 1702, '371324', '鲁城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.757,34.9345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18757, 1702, '371324', '向城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.898,34.8963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18758, 1702, '371324', '南桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.012,34.742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18759, 1702, '371324', '车辋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.846,35.0094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18760, 1702, '371324', '尚岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.834,34.9305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18761, 1702, '371324', '庄坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.28,34.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18762, 1702, '371324', '苍山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.022,34.9544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18763, 1702, '371324', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.856,34.8431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18764, 1702, '371324', '兰陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.896,34.8022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18765, 1702, '371324', '磨山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.133,34.8468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18766, 1702, '371324', '芦柞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.129,34.7185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18767, 1702, '371324', '矿坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.009,35.0629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18768, 1702, '371324', '神山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.222,34.8847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18769, 1702, '371324', '大仲村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.107,34.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18770, 1703, '370285', '姜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.595,36.7139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18771, 1703, '370285', '水集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.431,37.0151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18772, 1703, '370285', '河头店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.491,37.0457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18773, 1703, '370285', '马连庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.538,37.1327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18774, 1703, '370285', '沽河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.372,36.9004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18775, 1703, '370285', '望城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.544,36.9398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18776, 1703, '370285', '南墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.346,37.0875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18777, 1703, '370285', '夏格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.419,36.7211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18778, 1703, '370285', '店埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.391,36.7155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18779, 1703, '370285', '院上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.327,36.8982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18780, 1703, '370285', '日庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.409,37.0084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18781, 1704, '370283', '蓼兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.96,36.5961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18782, 1704, '370283', '明村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.538,36.7917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18783, 1704, '370283', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.894,36.9449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18784, 1704, '370283', '大泽山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.956,37.0116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18785, 1704, '370283', '凤台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.982,36.7155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18786, 1704, '370283', '古岘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.274,36.7336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18787, 1704, '370283', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.764,36.897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18788, 1704, '370283', '南村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.093,36.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18789, 1704, '370283', '旧店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.238,37.0392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18790, 1704, '370283', '田庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.788,36.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18791, 1704, '370283', '仁兆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.284,36.6766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18792, 1704, '370283', '同和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.938,36.762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18793, 1704, '370283', '崔家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.663,36.6201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18794, 1704, '370283', '云山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.271,36.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18795, 1704, '370283', '东阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.123,36.8356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18796, 1704, '370283', '平度外向型工业加工区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.049,36.7808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18797, 1704, '370283', '李园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.887,36.8841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18798, 1704, '370283', '白沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.036,36.6481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18799, 1705, '370214', '红岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.318,36.186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18800, 1705, '370214', '上马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.225,36.2228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18801, 1705, '370214', '夏庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.487,36.2757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18802, 1705, '370214', '城阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.37,36.2905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18803, 1705, '370214', '惜福镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.49,36.3282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18804, 1705, '370214', '流亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.397,36.2816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18805, 1705, '370214', '棘洪滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.281,36.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18806, 1705, '370214', '河套街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.12,36.2719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18807, 1706, '370215', '环秀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.463,36.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18808, 1706, '370215', '移风店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.176,36.4734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18809, 1706, '370215', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.574,36.402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18810, 1706, '370215', '北安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.387,36.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18811, 1706, '370215', '灵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.501,36.6286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18812, 1706, '370215', '金口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.663,36.5829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18813, 1706, '370215', '大信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.398,36.4771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18814, 1706, '370215', '田横镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.837,36.3769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18815, 1706, '370215', '蓝村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.168,36.3819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18816, 1706, '370215', '鳌山卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.582,36.3771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18817, 1706, '370215', '段泊岚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.332,36.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18818, 1706, '370215', '通济街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.442,36.4244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18819, 1706, '370215', '潮海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.468,36.4286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18820, 1706, '370215', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.515,36.4102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18821, 1706, '370215', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.637,36.481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18822, 1707, '370213', '振华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.389,36.1547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18823, 1707, '370213', '浮山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.458,36.1475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18824, 1707, '370213', '永安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.382,36.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18825, 1707, '370213', '九水路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.511,36.2063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18826, 1707, '370213', '虎山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.432,36.2044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18827, 1707, '370213', '永清路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.409,36.1662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18828, 1707, '370213', '兴华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.39,36.1908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18829, 1707, '370213', '李村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.417,36.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18830, 1707, '370213', '楼山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.389,36.1929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18831, 1707, '370213', '兴城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.381,36.2109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18832, 1707, '370213', '湘潭路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.409,36.231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18833, 1708, '370212', '沙子口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.59,36.0791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18834, 1708, '370212', '中韩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.484,35.9639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18835, 1708, '370212', '王哥庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.732,36.225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18836, 1708, '370212', '北宅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.588,36.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18837, 1708, '370212', '金家岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.476,36.1278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18838, 1709, '370211', '藏马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.744,35.7133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18839, 1709, '370211', '琅琊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.841,35.6103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18840, 1709, '370211', '红石崖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.078,36.1241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18841, 1709, '370211', '辛安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.13,36.0458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18842, 1709, '370211', '铁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.958,35.9383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18843, 1709, '370211', '六汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.772,36.0118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18844, 1709, '370211', '隐珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.001,35.908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18845, 1709, '370211', '张家楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.862,35.8796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18846, 1709, '370211', '珠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.99,35.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18847, 1709, '370211', '珠海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.862,35.8604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18848, 1709, '370211', '黄岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.142,36.0614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18849, 1709, '370211', '灵珠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.06,36.0146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18850, 1709, '370211', '泊里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.742,35.5847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18851, 1709, '370211', '长江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.182,35.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18852, 1709, '370211', '海青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.586,35.6732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18853, 1709, '370211', '大村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.813,35.8761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18854, 1709, '370211', '灵山卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.182,35.7898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18855, 1709, '370211', '薛家岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.326,35.944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18856, 1709, '370211', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.947,35.8146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18857, 1709, '370211', '宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.8,36.0284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18858, 1709, '370211', '王台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120,36.0839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18859, 1709, '370211', '大场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.638,35.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18860, 1710, '370203', '大港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.307,36.0889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18861, 1710, '370203', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.405,36.1407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18862, 1710, '370203', '同安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.399,36.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18863, 1710, '370203', '合肥路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.418,36.1218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18864, 1710, '370203', '宁夏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.371,36.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18865, 1710, '370203', '台东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.351,36.0867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18866, 1710, '370203', '浮山新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.426,36.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18867, 1710, '370203', '兴隆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.352,36.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18868, 1710, '370203', '水清沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.353,36.1298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18869, 1710, '370203', '洪山坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.397,36.1143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18870, 1710, '370203', '阜新路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.363,36.1053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18871, 1710, '370203', '敦化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.385,36.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18872, 1710, '370203', '镇江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.368,36.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18873, 1710, '370203', '华阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.339,36.0881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18874, 1710, '370203', '四方街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.35,36.1186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18875, 1710, '370203', '辽宁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.325,36.0837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18876, 1710, '370203', '小港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.329,36.0887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18877, 1710, '370203', '登州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.347,36.0827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18878, 1710, '370203', '海伦路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.365,36.1231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18879, 1710, '370203', '延安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.358,36.0712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18880, 1710, '370203', '即墨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.319,36.076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18881, 1710, '370203', '洛阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.378,36.1513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18882, 1710, '370203', '辽源路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.385,36.0973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18883, 1711, '370281', '铺集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.751,36.1587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18884, 1711, '370281', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.915,36.1767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18885, 1711, '370281', '李哥庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.212,36.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18886, 1711, '370281', '胶莱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.121,36.4044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18887, 1711, '370281', '中云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.971,36.263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18888, 1711, '370281', '阜安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.051,36.3064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18889, 1711, '370281', '洋河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.911,36.1679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18890, 1711, '370281', '三里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.046,36.239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18891, 1711, '370281', '胶北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.925,36.4193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18892, 1711, '370281', '胶西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.957,36.2435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18893, 1711, '370281', '里岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.887,36.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18894, 1711, '370281', '胶东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120,36.3616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18895, 1712, '370202', '八大关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.343,36.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18896, 1712, '370202', '中山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.312,36.0683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18897, 1712, '370202', '金门路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.409,36.0908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18898, 1712, '370202', '云南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.318,36.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18899, 1712, '370202', '江苏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.326,36.0721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18900, 1712, '370202', '香港中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.398,36.0743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18901, 1712, '370202', '湛山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.366,36.0696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18902, 1712, '370202', '珠海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.398,36.058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18903, 1712, '370202', '八大峡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.297,36.0658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18904, 1712, '370202', '八大湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.374,36.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18905, 1713, '371002', '鲸园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.119,37.5065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18906, 1713, '371002', '皇冠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.214,37.4293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18907, 1713, '371002', '张村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.008,37.5058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18908, 1713, '371002', '西苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.134,37.4446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18909, 1713, '371002', '凤林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.129,37.3674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18910, 1713, '371002', '羊亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.022,37.3748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18911, 1713, '371002', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.223,37.3413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18912, 1713, '371002', '草庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.083,37.3094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18913, 1713, '371002', '田和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.041,37.495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18914, 1713, '371002', '竹岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.114,37.4891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18915, 1713, '371002', '环翠楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.2,37.5119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18916, 1713, '371002', '怡园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.011,37.5274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18917, 1713, '371002', '汪疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.044,37.3807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18918, 1713, '371002', '崮山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.202,37.4173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18919, 1713, '371002', '初村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.977,37.3902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18920, 1713, '371002', '苘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.051,37.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18921, 1713, '371002', '孙家疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.167,37.5255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18922, 1713, '371002', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.207,37.3922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18923, 1713, '371002', '泊于镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.271,37.3818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18924, 1714, '371003', '埠口港', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.161,37.0594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18925, 1714, '371003', '龙山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.978,37.2063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18926, 1714, '371003', '米山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.953,37.2266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18927, 1714, '371003', '泽头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.852,37.0879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18928, 1714, '371003', '界石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.921,37.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18929, 1714, '371003', '环山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.022,37.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18930, 1714, '371003', '宋村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.973,37.1233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18931, 1714, '371003', '葛家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.752,37.1787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18932, 1714, '371003', '泽库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.035,36.8778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18933, 1714, '371003', '小观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.824,36.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18934, 1714, '371003', '文登营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.191,37.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18935, 1714, '371003', '大水泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.183,37.2143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18936, 1714, '371003', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.195,37.1371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18937, 1714, '371003', '张家产镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.058,37.0402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18938, 1714, '371003', '侯家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.031,37.0568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18939, 1714, '371003', '天福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.064,37.2092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18940, 1714, '371003', '开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.064,37.2553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18941, 1715, '371083', '诸往镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.371,37.0317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18942, 1715, '371083', '南黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.704,37.0006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18943, 1715, '371083', '海阳所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.642,36.7939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18944, 1715, '371083', '乳山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.497,36.7394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18945, 1715, '371083', '夏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.582,36.9194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18946, 1715, '371083', '冯家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.638,37.0321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18947, 1715, '371083', '白沙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.707,36.8103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18948, 1715, '371083', '育黎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.401,37.067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18949, 1715, '371083', '乳山寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.392,36.942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18950, 1715, '371083', '午极镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.431,37.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18951, 1715, '371083', '徐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.704,36.9555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18952, 1715, '371083', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.514,36.8773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18953, 1715, '371083', '大孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.595,36.9664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18954, 1715, '371083', '崖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.393,37.0695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18955, 1715, '371083', '下初镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.545,37.0979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18956, 1716, '371082', '埠柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.421,37.3637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18957, 1716, '371082', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.469,37.02', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18958, 1716, '371082', '崂山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.484,37.0499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18959, 1716, '371082', '港西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.489,37.4531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18960, 1716, '371082', '俚岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.529,37.2199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18961, 1716, '371082', '斥山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.418,36.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18962, 1716, '371082', '虎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.2,37.0112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18963, 1716, '371082', '滕家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.39,37.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18964, 1716, '371082', '荫子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.271,37.2431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18965, 1716, '371082', '上庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.204,37.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18966, 1716, '371082', '大疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.334,37.1453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18967, 1716, '371082', '王连街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.419,37.0262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18968, 1716, '371082', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.475,36.9522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18969, 1716, '371082', '宁津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.588,36.9663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18970, 1716, '371082', '寻山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.503,37.2084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18971, 1716, '371082', '成山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.668,37.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18972, 1716, '371082', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.405,37.2061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18973, 1716, '371082', '夏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.428,37.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18974, 1716, '371082', '崖西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.324,37.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18975, 1716, '371082', '人和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.243,36.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18976, 1716, '371082', '港湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.381,36.8959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18977, 1716, '371082', '崖头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.413,37.1816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18978, 1717, '370602', '凤凰台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.32,37.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18979, 1717, '370602', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.403,37.5434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18980, 1717, '370602', '白石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.356,37.5443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18981, 1717, '370602', '芝罘岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.49,37.5784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18982, 1717, '370602', '世回尧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.352,37.5084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18983, 1717, '370602', '黄务街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.352,37.4874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18984, 1717, '370602', '只楚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.32,37.5327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18985, 1717, '370602', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.368,37.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18986, 1717, '370602', '通伸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.362,37.544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18987, 1717, '370602', '毓璜顶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.379,37.5507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18988, 1717, '370602', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.403,37.5425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18989, 1717, '370602', '奇山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.411,37.5294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18990, 1718, '370614', '大钦岛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.812,38.3158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18991, 1718, '370614', '登州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.764,37.8142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18992, 1718, '370614', '大柳行镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.059,37.6333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18993, 1718, '370614', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.879,37.7788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18994, 1718, '370614', '北长山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.692,37.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18995, 1718, '370614', '南王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.75,37.777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18996, 1718, '370614', '村里集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.867,37.4985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18997, 1718, '370614', '黑山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.627,37.942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18998, 1718, '370614', '南隍城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.915,38.3641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (18999, 1718, '370614', '小门家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.761,37.6685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19000, 1718, '370614', '刘家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.839,37.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19001, 1718, '370614', '潮水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.914,37.6438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19002, 1718, '370614', '紫荆山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.726,37.8164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19003, 1718, '370614', '砣矶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.859,38.0705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19004, 1718, '370614', '北隍城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.928,38.3954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19005, 1718, '370614', '小钦岛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.845,38.3565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19006, 1718, '370614', '北沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.7,37.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19007, 1718, '370614', '大辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.855,37.559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19008, 1718, '370614', '蓬莱阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.79,37.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19009, 1718, '370614', '南长山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.726,37.9303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19010, 1719, '370683', '三山岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.996,37.4319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19011, 1719, '370683', '城港路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.963,37.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19012, 1719, '370683', '金仓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.822,37.3176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19013, 1719, '370683', '平里店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.087,37.3069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19014, 1719, '370683', '文昌路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.936,37.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19015, 1719, '370683', '程郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.995,37.2387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19016, 1719, '370683', '夏邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.908,37.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19017, 1719, '370683', '虎头崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.754,37.1478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19018, 1719, '370683', '驿道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.19,37.2919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19019, 1719, '370683', '文峰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.944,37.155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19020, 1719, '370683', '永安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.941,37.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19021, 1719, '370683', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.828,37.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19022, 1719, '370683', '柞村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.039,37.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19023, 1719, '370683', '朱桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.108,37.2933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19024, 1719, '370683', '郭家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.212,37.1961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19025, 1719, '370683', '金城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.173,37.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19026, 1719, '370683', '土山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.699,37.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19027, 1720, '370687', '辛安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.938,36.6221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19028, 1720, '370687', '外向型工业加工区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.193,36.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19029, 1720, '370687', '朱吴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.135,36.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19030, 1720, '370687', '盘石店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.283,36.9185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19031, 1720, '370687', '小纪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.916,36.8728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19032, 1720, '370687', '二十里店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.039,36.7855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19033, 1720, '370687', '方圆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.177,36.7938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19034, 1720, '370687', '行村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.928,36.7791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19035, 1720, '370687', '郭城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.152,37.1358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19036, 1720, '370687', '东村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.154,36.8232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19037, 1720, '370687', '发城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.036,37.038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19038, 1720, '370687', '留格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.467,36.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19039, 1720, '370687', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.393,36.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19040, 1720, '370687', '徐家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.991,37.0386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19041, 1720, '370687', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.291,36.7615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19042, 1721, '370681', '东江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.53,37.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19043, 1721, '370681', '北马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.358,37.6044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19044, 1721, '370681', '兰高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.588,37.6079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19045, 1721, '370681', '黄山馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.249,37.5603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19046, 1721, '370681', '徐福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.431,37.7896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19047, 1721, '370681', '新嘉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.376,37.6746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19048, 1721, '370681', '芦头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.461,37.5794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19049, 1721, '370681', '东莱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.5,37.6539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19050, 1721, '370681', '龙港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.377,37.6647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19051, 1721, '370681', '诸由观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.564,37.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19052, 1721, '370681', '七甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.578,37.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19053, 1721, '370681', '下丁家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.479,37.5238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19054, 1721, '370681', '石良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.654,37.5591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19055, 1722, '370682', '姜疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.698,36.7543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19056, 1722, '370682', '团旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.552,36.7456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19057, 1722, '370682', '谭格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.648,37.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19058, 1722, '370682', '沐浴店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.708,37.13', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19059, 1722, '370682', '穴坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.777,36.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19060, 1722, '370682', '山前店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.986,37.043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19061, 1722, '370682', '城厢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.716,36.9973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19062, 1722, '370682', '吕格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.577,36.8627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19063, 1722, '370682', '河洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.676,37.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19064, 1722, '370682', '古柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.653,36.9501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19065, 1722, '370682', '羊郡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.809,36.6947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19066, 1722, '370682', '冯格庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.604,36.9815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19067, 1722, '370682', '照旺庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.791,36.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19068, 1722, '370682', '大夼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.809,36.8358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19069, 1722, '370682', '高格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.737,36.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19070, 1722, '370682', '柏林庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.649,37.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19071, 1722, '370682', '龙旺庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.763,36.9716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19072, 1722, '370682', '万第镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.81,36.8781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19073, 1723, '370685', '泉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.424,37.3265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19074, 1723, '370685', '蚕庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.177,37.4315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19075, 1723, '370685', '大秦家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.514,37.3352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19076, 1723, '370685', '金岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.35,37.443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19077, 1723, '370685', '梦芝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.407,37.3921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19078, 1723, '370685', '齐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.38,37.2889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19079, 1723, '370685', '张星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.293,37.5297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19080, 1723, '370685', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.41,37.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19081, 1723, '370685', '阜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.616,37.4076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19082, 1723, '370685', '罗峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.405,37.3637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19083, 1723, '370685', '夏甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.258,37.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19084, 1723, '370685', '毕郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.576,37.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19085, 1723, '370685', '玲珑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.469,37.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19086, 1723, '370685', '辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.208,37.5275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19087, 1724, '370611', '张格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.199,37.4171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19088, 1724, '370611', '高疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.149,37.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19089, 1724, '370611', '东厅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.234,37.5114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19090, 1724, '370611', '古现街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.145,37.5966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19091, 1724, '370611', '门楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.297,37.474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19092, 1724, '370611', '大季家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.014,37.6837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19093, 1724, '370611', '回里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.3,37.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19094, 1724, '370611', '清洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.268,37.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19095, 1724, '370611', '福莱山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.199,37.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19096, 1724, '370611', '八角街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.1,37.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19097, 1724, '370611', '福新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.175,37.5328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19098, 1725, '370613', '滨海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.463,37.471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19099, 1725, '370613', '初家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.394,37.4516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19100, 1725, '370613', '解甲庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.459,37.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19101, 1725, '370613', '莱山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.351,37.3972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19102, 1725, '370613', '院格庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.394,37.3372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19103, 1725, '370613', '马山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.491,37.4222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19104, 1725, '370613', '黄海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.436,37.472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19105, 1726, '370686', '翠屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.812,37.3078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19106, 1726, '370686', '蛇窝泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.842,37.1576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19107, 1726, '370686', '唐家泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.986,37.2726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19108, 1726, '370686', '观里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.672,37.2096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19109, 1726, '370686', '桃村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.235,37.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19110, 1726, '370686', '松山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.797,37.4346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19111, 1726, '370686', '杨础镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.767,37.2074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19112, 1726, '370686', '亭口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.98,37.4273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19113, 1726, '370686', '臧家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.851,37.5183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19114, 1726, '370686', '庙后镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.103,37.434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19115, 1726, '370686', '官道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.64,37.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19116, 1726, '370686', '苏家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.632,37.4395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19117, 1726, '370686', '庄园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.808,37.3103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19118, 1726, '370686', '山东栖霞经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.095,37.434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19119, 1726, '370686', '寺口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.591,37.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19120, 1726, '370686', '西城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.706,37.3616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19121, 1727, '370612', '水道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.614,37.2066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19122, 1727, '370612', '昆嵛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.732,37.3121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19123, 1727, '370612', '观水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.238,37.2541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19124, 1727, '370612', '玉林店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.606,37.3216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19125, 1727, '370612', '王格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.444,37.2111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19126, 1727, '370612', '姜格庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.729,37.4572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19127, 1727, '370612', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.703,37.3537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19128, 1727, '370612', '武宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.57,37.3973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19129, 1727, '370612', '大窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.639,37.4234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19130, 1727, '370612', '宁海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.575,37.4176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19131, 1727, '370612', '文化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.573,37.3878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19132, 1727, '370612', '养马岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.66,37.4669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19133, 1727, '370612', '高陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.424,37.2919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19134, 1728, '370705', '廿里堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.141,36.6737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19135, 1728, '370705', '北海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.156,36.7305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19136, 1728, '370705', '大虞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.133,36.7412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19137, 1728, '370705', '北苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.122,36.7596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19138, 1728, '370705', '广文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.137,36.713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19139, 1728, '370705', '清池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.216,36.7304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19140, 1728, '370705', '梨园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.152,36.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19141, 1728, '370705', '潍州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.112,36.7007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19142, 1728, '370705', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.072,36.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19143, 1728, '370705', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.119,36.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19144, 1729, '370724', '五井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.396,36.4928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19145, 1729, '370724', '冶源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.444,36.46', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19146, 1729, '370724', '寺头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.494,36.3417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19147, 1729, '370724', '柳山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.72,36.4011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19148, 1729, '370724', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.611,36.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19149, 1729, '370724', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.395,36.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19150, 1729, '370724', '九山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.403,36.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19151, 1729, '370724', '辛寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.677,36.4617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19152, 1729, '370724', '沂山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.683,36.1517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19153, 1729, '370724', '龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.676,36.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19154, 1730, '370702', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.113,36.7052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19155, 1730, '370702', '望留街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.995,36.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19156, 1730, '370702', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.073,36.721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19157, 1730, '370702', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.099,36.7079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19158, 1730, '370702', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.077,36.7177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19159, 1730, '370702', '潍城经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.025,36.7492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19160, 1730, '370702', '于河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.982,36.7071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19161, 1731, '370784', '景芝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.337,36.3338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19162, 1731, '370784', '大盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.793,36.2827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19163, 1731, '370784', '吾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.875,36.277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19164, 1731, '370784', '辉渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.044,36.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19165, 1731, '370784', '凌河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.026,36.3257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19166, 1731, '370784', '金冢子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.217,36.3648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19167, 1731, '370784', '柘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.98,36.2099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19168, 1731, '370784', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.102,36.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19169, 1731, '370784', '石埠子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.05,36.1967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19170, 1731, '370784', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.114,36.2976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19171, 1731, '370784', '石堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.289,36.4205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19172, 1731, '370784', '兴安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.112,36.3017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19173, 1732, '370782', '贾悦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.109,36.1031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19174, 1732, '370782', '桃林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.535,35.8504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19175, 1732, '370782', '龙都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.29,35.9676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19176, 1732, '370782', '诸城经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.359,36.0843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19177, 1732, '370782', '枳沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.204,35.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19178, 1732, '370782', '百尺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.529,36.1773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19179, 1732, '370782', '密州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.503,36.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19180, 1732, '370782', '林家村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.696,36.053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19181, 1732, '370782', '相州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,36.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19182, 1732, '370782', '皇华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.467,35.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19183, 1732, '370782', '昌城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.519,36.1907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19184, 1732, '370782', '辛兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.564,36.0037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19185, 1732, '370782', '石桥子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.325,36.158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19186, 1732, '370782', '舜王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.345,36.1598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19187, 1733, '370783', '羊口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.686,37.1946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19188, 1733, '370783', '营里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.81,37.1098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19189, 1733, '370783', '上口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.848,36.9834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19190, 1733, '370783', '化龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.601,36.9983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19191, 1733, '370783', '洛城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.915,36.9233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19192, 1733, '370783', '文家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.746,36.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19193, 1733, '370783', '田柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.742,36.9715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19194, 1733, '370783', '圣城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.772,36.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19195, 1733, '370783', '侯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.987,37.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19196, 1733, '370783', '台头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.671,37.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19197, 1733, '370783', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.708,36.9743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19198, 1733, '370783', '稻田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.972,36.8692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19199, 1733, '370783', '孙家集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.677,36.8522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19200, 1733, '370783', '纪台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.811,36.8147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19201, 1733, '370783', '双王城生态经济园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.639,37.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19202, 1734, '370703', '高里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.095,36.843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19203, 1734, '370703', '开元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.099,36.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19204, 1734, '370703', '固堤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.247,36.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19205, 1734, '370703', '朱里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.32,36.7845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19206, 1734, '370703', '寒亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.174,36.7896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19207, 1734, '370703', '央子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.073,37.0138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19208, 1734, '370703', '大家洼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.894,37.1867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19209, 1735, '370786', '都昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.313,36.8843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19210, 1735, '370786', '奎聚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.46,36.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19211, 1735, '370786', '饮马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.463,36.7598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19212, 1735, '370786', '北孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.486,36.6409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19213, 1735, '370786', '龙池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.252,37.0903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19214, 1735, '370786', '围子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.505,36.8886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19215, 1735, '370786', '卜庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.453,36.9579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19216, 1735, '370786', '柳疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.49,37.1424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19217, 1735, '370786', '下营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.457,37.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19218, 1736, '370725', '朱刘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.882,36.7054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19219, 1736, '370725', '红河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.949,36.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19220, 1736, '370725', '唐吾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.912,36.4001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19221, 1736, '370725', '营丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.938,36.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19222, 1736, '370725', '乔官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.804,36.5047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19223, 1736, '370725', '县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.836,36.6996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19224, 1736, '370725', '宝都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.837,36.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19225, 1736, '370725', '宝城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.812,36.7162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19226, 1736, '370725', '五图街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.883,36.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19227, 1737, '370781', '何官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.557,36.9225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19228, 1737, '370781', '东夏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.586,36.792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19229, 1737, '370781', '黄楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.586,36.7183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19230, 1737, '370781', '青州经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.457,36.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19231, 1737, '370781', '高柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.526,36.8255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19232, 1737, '370781', '邵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.34,36.7697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19233, 1737, '370781', '王府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.368,36.6888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19234, 1737, '370781', '庙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.253,36.6816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19235, 1737, '370781', '弥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.51,36.6334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19236, 1737, '370781', '王坟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.429,36.6071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19237, 1737, '370781', '益都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.457,36.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19238, 1737, '370781', '云门山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.48,36.6676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19239, 1737, '370781', '谭坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.636,36.6855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19240, 1738, '370785', '姜庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.77,36.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19241, 1738, '370785', '阚家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.543,36.4384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19242, 1738, '370785', '高密市醴泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.654,36.5024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19243, 1738, '370785', '大牟家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.658,36.6217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19244, 1738, '370785', '柏城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.799,36.1675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19245, 1738, '370785', '高密市朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.781,36.3367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19246, 1738, '370785', '井沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.662,36.3534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19247, 1738, '370785', '高密市密水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.753,36.3824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19248, 1738, '370785', '夏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.937,36.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19249, 1738, '370785', '柴沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.669,36.171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19250, 1739, '370704', '赵戈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.379,36.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19251, 1739, '370704', '太保庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.451,36.3932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19252, 1739, '370704', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.165,36.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19253, 1739, '370704', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.311,36.6169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19254, 1739, '370704', '坊城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.201,36.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19255, 1739, '370704', '黄旗堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.343,36.5944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19256, 1739, '370704', '坊安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.196,36.6168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19257, 1740, '370522', '明集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.134,37.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19258, 1740, '370522', '盐窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.347,37.7886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19259, 1740, '370522', '利津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.241,37.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19260, 1740, '370522', '北宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.169,37.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19261, 1740, '370522', '刁口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.557,38.0226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19262, 1740, '370522', '汀罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.563,37.7982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19263, 1740, '370522', '凤凰城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.164,37.5092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19264, 1740, '370522', '陈庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.485,37.7053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19265, 1740, '370522', '利津县县城社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.268,37.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19266, 1740, '370522', '利津县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.234,37.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19267, 1741, '370523', '乐安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.434,37.137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19268, 1741, '370523', '李鹊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.332,37.0358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19269, 1741, '370523', '花官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.44,37.228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19270, 1741, '370523', '丁庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.735,37.2919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19271, 1741, '370523', '广饶滨海新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.861,37.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19272, 1741, '370523', '大码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.672,37.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19273, 1741, '370523', '东营农业高新技术产业示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.712,37.3319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19274, 1741, '370523', '稻庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.536,37.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19275, 1741, '370523', '大王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.529,36.9393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19276, 1741, '370523', '广饶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.473,37.1258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19277, 1741, '370523', '陈官乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.507,37.2962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19278, 1742, '370502', '胜园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.434,37.4178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19279, 1742, '370502', '文汇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.528,37.5269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19280, 1742, '370502', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.735,37.4924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19281, 1742, '370502', '辛店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.509,37.5005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19282, 1742, '370502', '六户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.689,37.3932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19283, 1742, '370502', '史口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.483,37.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19284, 1742, '370502', '牛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.548,37.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19285, 1742, '370502', '龙居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.237,37.4147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19286, 1742, '370502', '黄河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.49,37.439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19287, 1742, '370502', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.927,37.3506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19288, 1743, '370503', '河口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.567,38.0577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19289, 1743, '370503', '六合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.623,37.8181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19290, 1743, '370503', '仙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.735,37.8881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19291, 1743, '370503', '开发区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.522,37.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19292, 1743, '370503', '孤岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.823,37.9111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19293, 1743, '370503', '义和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.335,37.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19294, 1743, '370503', '河口蓝色经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.467,37.9594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19295, 1743, '370503', '新户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.41,38.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19296, 1744, '370505', '东营市现代畜牧业示范区类似乡级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.851,37.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19297, 1744, '370505', '胜坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.409,37.5125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19298, 1744, '370505', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.872,37.6283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19299, 1744, '370505', '社管会类似乡级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.544,37.5872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19300, 1744, '370505', '董集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.433,37.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19301, 1744, '370505', '红光类似乡级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.891,37.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19302, 1744, '370505', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.615,37.5561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19303, 1744, '370505', '郝家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,37.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19304, 1744, '370505', '垦利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.53,37.5305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19305, 1744, '370505', '开发区类似乡级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.586,37.5743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19306, 1744, '370505', '黄河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.865,37.6416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19307, 1744, '370505', '垦东类似乡级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.79,37.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19308, 1745, '371602', '市东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.013,37.4473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19309, 1745, '371602', '市西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.998,37.3802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19310, 1745, '371602', '杜店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.957,37.3968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19311, 1745, '371602', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.91,37.3813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19312, 1745, '371602', '杨柳雪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.885,37.3951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19313, 1745, '371602', '小营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.059,37.3341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19314, 1745, '371602', '北镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.068,37.3732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19315, 1745, '371602', '三河湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.862,37.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19316, 1745, '371602', '秦皇台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.133,37.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19317, 1745, '371602', '市中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.014,37.3574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19318, 1745, '371602', '梁才街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.087,37.4382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19319, 1745, '371602', '彭李街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118,37.4257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19320, 1745, '371602', '滨北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.885,37.5012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19321, 1745, '371602', '青田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.975,37.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19322, 1745, '371602', '里则街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,37.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19323, 1746, '371603', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.766,37.759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19324, 1746, '371603', '富国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.145,37.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19325, 1746, '371603', '滨海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.173,37.8322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19326, 1746, '371603', '冯家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,37.7392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19327, 1746, '371603', '利国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.257,37.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19328, 1746, '371603', '下洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.965,37.7305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19329, 1746, '371603', '黄升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.02,37.6317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19330, 1746, '371603', '下河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.328,37.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19331, 1746, '371603', '富源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.213,37.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19332, 1746, '371603', '大高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.881,37.5957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19333, 1746, '371603', '泊头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.117,37.6603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19334, 1747, '371681', '长山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.851,36.994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19335, 1747, '371681', '好生街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.785,36.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19336, 1747, '371681', '高新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.753,36.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19337, 1747, '371681', '临池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.756,36.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19338, 1747, '371681', '韩店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.674,36.9785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19339, 1747, '371681', '九户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.552,37.0513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19340, 1747, '371681', '孙镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.668,37.0092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19341, 1747, '371681', '焦桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.791,36.9666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19342, 1747, '371681', '西董街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.769,36.8197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19343, 1747, '371681', '明集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.625,36.9761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19344, 1747, '371681', '黄山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.683,36.8766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19345, 1747, '371681', '青阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.651,36.8688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19346, 1747, '371681', '魏桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.473,37.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19347, 1747, '371681', '台子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.574,37.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19348, 1747, '371681', '黛溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.68,36.9134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19349, 1747, '371681', '码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.442,37.0441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19350, 1748, '371625', '乔庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.218,37.3793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19351, 1748, '371625', '庞家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.164,37.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19352, 1748, '371625', '纯化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.26,37.2686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19353, 1748, '371625', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.331,37.1501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19354, 1748, '371625', '湖滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.203,37.1257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19355, 1748, '371625', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.182,37.216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19356, 1748, '371625', '陈户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.215,37.3036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19357, 1748, '371625', '兴福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.259,37.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19358, 1748, '371625', '博昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.073,37.1789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19359, 1748, '371625', '吕艺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.364,37.2102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19360, 1748, '371625', '锦秋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.069,37.116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19361, 1748, '371625', '曹王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.225,37.0518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19362, 1749, '371623', '信阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.572,37.8018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19363, 1749, '371623', '水湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.668,37.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19364, 1749, '371623', '车王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.619,37.9634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19365, 1749, '371623', '埕口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.897,38.2796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19366, 1749, '371623', '棣丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.63,37.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19367, 1749, '371623', '碣石山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.744,37.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19368, 1749, '371623', '海丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.552,37.7869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19369, 1749, '371623', '柳堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.71,37.923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19370, 1749, '371623', '西小王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.991,37.8285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19371, 1749, '371623', '小泊头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.556,38.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19372, 1749, '371623', '佘家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.799,37.8399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19373, 1749, '371623', '马山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.733,38.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19374, 1750, '371622', '金阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.606,37.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19375, 1750, '371622', '流坡坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.449,37.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19376, 1750, '371622', '洋湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.291,37.5094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19377, 1750, '371622', '劳店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.694,37.6867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19378, 1750, '371622', '翟王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.508,37.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19379, 1750, '371622', '温店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.36,37.6573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19380, 1750, '371622', '河流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.654,37.6328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19381, 1750, '371622', '水落坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.724,37.6139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19382, 1750, '371622', '信城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.574,37.6644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19383, 1750, '371622', '商店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.724,37.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19384, 1751, '371621', '魏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.752,37.328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19385, 1751, '371621', '何坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.529,37.5348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19386, 1751, '371621', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.671,37.345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19387, 1751, '371621', '皂户李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.542,37.4523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19388, 1751, '371621', '姜楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.534,37.2956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19389, 1751, '371621', '孙武街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.555,37.5171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19390, 1751, '371621', '大年陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.545,37.1984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19391, 1751, '371621', '桑落墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.699,37.4453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19392, 1751, '371621', '石庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.374,37.5163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19393, 1751, '371621', '麻店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.622,37.467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19394, 1751, '371621', '李庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.523,37.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19395, 1751, '371621', '武定府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.533,37.4795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19396, 1751, '371621', '胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.741,37.4625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19397, 1751, '371621', '淄角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.473,37.378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19398, 1751, '371621', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.629,37.3993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19399, 1752, '371121', '石场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.193,35.6596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19400, 1752, '371121', '汪湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.063,35.9033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19401, 1752, '371121', '中至镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.115,35.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19402, 1752, '371121', '户部乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.369,35.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19403, 1752, '371121', '潮河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.465,35.6494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19404, 1752, '371121', '高泽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.107,35.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19405, 1752, '371121', '街头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.199,35.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19406, 1752, '371121', '叩官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.437,35.7216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19407, 1752, '371121', '许孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.244,35.8269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19408, 1752, '371121', '松柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.317,35.7889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19409, 1752, '371121', '洪凝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.151,35.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19410, 1752, '371121', '于里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.072,35.828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19411, 1753, '371102', '山海天旅游度假区临时工作委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.535,35.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19412, 1753, '371102', '北京路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.517,35.412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19413, 1753, '371102', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.207,35.4809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19414, 1753, '371102', '石臼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.523,35.3894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19415, 1753, '371102', '南湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.311,35.5244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19416, 1753, '371102', '奎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.409,35.4091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19417, 1753, '371102', '涛雒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.435,35.3043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19418, 1753, '371102', '陈疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.23,35.5454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19419, 1753, '371102', '秦楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.502,35.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19420, 1753, '371102', '两城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.532,35.5521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19421, 1753, '371102', '河山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.525,35.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19422, 1753, '371102', '日照街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.484,35.5074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19423, 1753, '371102', '三庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.219,35.5204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19424, 1753, '371102', '后村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.371,35.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19425, 1754, '371122', '店子集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.964,35.6082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19426, 1754, '371122', '陵阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.909,35.5534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19427, 1754, '371122', '库山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,35.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19428, 1754, '371122', '寨里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.953,35.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19429, 1754, '371122', '峤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.902,35.6231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19430, 1754, '371122', '招贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.001,35.7508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19431, 1754, '371122', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.949,35.4947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19432, 1754, '371122', '城阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.893,35.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19433, 1754, '371122', '夏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.773,35.4794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19434, 1754, '371122', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.825,35.52', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19435, 1754, '371122', '棋山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.93,35.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19436, 1754, '371122', '阎庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.813,35.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19437, 1754, '371122', '刘官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.803,35.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19438, 1754, '371122', '浮来山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.794,35.6686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19439, 1754, '371122', '果庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.767,35.8106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19440, 1754, '371122', '安庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.763,35.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19441, 1754, '371122', '洛河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.789,35.7741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19442, 1754, '371122', '莒县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.834,35.6533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19443, 1754, '371122', '桑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.98,35.6869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19444, 1754, '371122', '小店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.83,35.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19445, 1754, '371122', '东莞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.899,35.9649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19446, 1755, '371103', '高兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.29,35.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19447, 1755, '371103', '巨峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.233,35.3355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19448, 1755, '371103', '黄墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.128,35.449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19449, 1755, '371103', '碑廓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.238,35.2184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19450, 1755, '371103', '中楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.975,35.4491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19451, 1755, '371103', '安东卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.277,35.1629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19452, 1755, '371103', '虎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.265,35.185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19453, 1755, '371103', '岚山头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.359,35.128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19454, 1755, '371103', '前三岛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.372,35.1292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19455, 1756, '370404', '榴园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.459,34.7167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19456, 1756, '370404', '古邵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.506,34.631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19457, 1756, '370404', '阴平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.505,34.7039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19458, 1756, '370404', '吴林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.642,34.7804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19459, 1756, '370404', '底阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.72,34.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19460, 1756, '370404', '坛山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.543,34.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19461, 1756, '370404', '峨山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.748,34.8279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19462, 1757, '370406', '桑村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.379,35.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19463, 1757, '370406', '冯卯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.378,35.2482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19464, 1757, '370406', '西集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.419,34.9784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19465, 1757, '370406', '水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.489,35.2127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19466, 1757, '370406', '山城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.449,35.1406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19467, 1757, '370406', '徐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.519,35.0712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19468, 1757, '370406', '北庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.632,35.0297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19469, 1757, '370406', '凫城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.445,35.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19470, 1757, '370406', '城头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.383,35.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19471, 1757, '370406', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.337,35.2473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19472, 1758, '370403', '兴城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.324,34.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19473, 1758, '370403', '张范街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.383,34.8281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19474, 1758, '370403', '邹坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.45,34.9181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19475, 1758, '370403', '周营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.387,34.7206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19476, 1758, '370403', '临城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.234,34.8003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19477, 1758, '370403', '陶庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,34.8509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19478, 1758, '370403', '沙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,34.7648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19479, 1758, '370403', '常庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.262,34.781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19480, 1758, '370403', '兴仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.311,34.8505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19481, 1759, '370402', '光明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.574,34.8425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19482, 1759, '370402', '文化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.582,34.8431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19483, 1759, '370402', '孟庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.723,34.9565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19484, 1759, '370402', '齐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.595,34.8712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19485, 1759, '370402', '各塔埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.582,34.8198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19486, 1759, '370402', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.541,34.8555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19487, 1759, '370402', '龙山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.541,34.8689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19488, 1759, '370402', '矿区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.564,34.8903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19489, 1759, '370402', '中心街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.574,34.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19490, 1759, '370402', '西王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.639,34.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19491, 1759, '370402', '税郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.654,34.8684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19492, 1760, '370481', '大坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.02,35.1917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19493, 1760, '370481', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.205,35.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19494, 1760, '370481', '善南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.182,35.0643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19495, 1760, '370481', '姜屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.085,35.1432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19496, 1760, '370481', '东沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.2,35.1151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19497, 1760, '370481', '鲍沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.088,35.0072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19498, 1760, '370481', '龙阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,35.2182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19499, 1760, '370481', '柴胡店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.247,34.9089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19500, 1760, '370481', '洪绪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.139,35.056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19501, 1760, '370481', '张汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.148,34.9416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19502, 1760, '370481', '东郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.275,35.2921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19503, 1760, '370481', '西岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.01,34.9937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19504, 1760, '370481', '界河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.008,35.2092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19505, 1760, '370481', '木石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.272,34.9378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19506, 1760, '370481', '北辛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.194,35.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19507, 1760, '370481', '级索镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.026,35.0586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19508, 1760, '370481', '南沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.246,35.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19509, 1760, '370481', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.242,34.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19510, 1760, '370481', '荆河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.116,35.1094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19511, 1760, '370481', '羊庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.325,35.0263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19512, 1760, '370481', '滨湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.975,35.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19513, 1761, '370405', '张山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.453,34.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19514, 1761, '370405', '邳庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.793,34.5762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19515, 1761, '370405', '运河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.739,34.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19516, 1761, '370405', '马兰屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.664,34.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19517, 1761, '370405', '泥沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.657,34.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19518, 1761, '370405', '涧头集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.547,34.5809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19519, 1762, '371422', '杜集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.874,37.7348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19520, 1762, '371422', '刘营伍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.789,37.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19521, 1762, '371422', '柴胡店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.907,37.6843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19522, 1762, '371422', '大曹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.618,37.6386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19523, 1762, '371422', '时集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.744,37.7259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19524, 1762, '371422', '大柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.934,37.7814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19525, 1762, '371422', '张大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.759,37.8021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19526, 1762, '371422', '相衙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.727,37.6665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19527, 1762, '371422', '宁城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.778,37.6622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19528, 1762, '371422', '保店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.699,37.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19529, 1762, '371422', '津城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.829,37.6022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19530, 1762, '371422', '长官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.873,37.7878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19531, 1763, '371481', '孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.097,37.6781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19532, 1763, '371481', '郭家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.14,37.7529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19533, 1763, '371481', '云红街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.276,37.7583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19534, 1763, '371481', '市中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.188,37.7742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19535, 1763, '371481', '杨安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.187,37.6777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19536, 1763, '371481', '铁营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.232,37.6633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19537, 1763, '371481', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.182,37.5487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19538, 1763, '371481', '寨头堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.191,37.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19539, 1763, '371481', '大孙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.041,37.8393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19540, 1763, '371481', '西段乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,37.8312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19541, 1763, '371481', '丁坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.119,37.7394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19542, 1763, '371481', '郑店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.096,37.5511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19543, 1763, '371481', '胡家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.13,37.7782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19544, 1763, '371481', '黄夹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.068,37.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19545, 1763, '371481', '朱集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.187,37.8234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19546, 1763, '371481', '化楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.097,37.551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19547, 1764, '371402', '新湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.281,37.4703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19548, 1764, '371402', '长河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.336,37.4547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19549, 1764, '371402', '黄河涯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.283,37.4013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19550, 1764, '371402', '赵虎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.514,37.5529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19551, 1764, '371402', '二屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.303,37.5681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19552, 1764, '371402', '广川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.314,37.4644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19553, 1764, '371402', '天衢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.375,37.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19554, 1764, '371402', '抬头寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.358,37.344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19555, 1764, '371402', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.303,37.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19556, 1764, '371402', '宋官屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.372,37.4441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19557, 1764, '371402', '袁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.411,37.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19558, 1764, '371402', '运河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.255,37.4844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19559, 1765, '371428', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.97,37.1922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19560, 1765, '371428', '鲁权屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.065,37.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19561, 1765, '371428', '郝王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.191,37.2933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19562, 1765, '371428', '广运街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.096,37.2508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19563, 1765, '371428', '武城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.239,37.2168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19564, 1765, '371428', '甲马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.01,37.1902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19565, 1765, '371428', '李家户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.001,37.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19566, 1765, '371428', '四女寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.152,37.2971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19567, 1766, '371423', '渤海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.39,37.8176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19568, 1766, '371423', '东辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.362,37.7206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19569, 1766, '371423', '常家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.48,37.8458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19570, 1766, '371423', '庆云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.357,37.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19571, 1766, '371423', '尚堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.498,37.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19572, 1766, '371423', '中丁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.507,37.7277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19573, 1766, '371423', '徐园子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.517,37.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19574, 1766, '371423', '崔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.529,37.9203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19575, 1766, '371423', '严务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.567,37.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19576, 1767, '371427', '新盛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.073,37.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19577, 1767, '371427', '东李官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.233,37.0013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19578, 1767, '371427', '双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.895,36.9958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19579, 1767, '371427', '苏留庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.115,37.1445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19580, 1767, '371427', '田庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.933,37.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19581, 1767, '371427', '南城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.039,36.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19582, 1767, '371427', '郑保屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.811,37.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19583, 1767, '371427', '宋楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.965,36.944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19584, 1767, '371427', '银城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.073,37.0094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19585, 1767, '371427', '渡口驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.858,37.0657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19586, 1767, '371427', '香赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.126,36.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19587, 1767, '371427', '白马湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.762,36.926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19588, 1767, '371427', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.055,37.0354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19589, 1767, '371427', '雷集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.219,37.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19590, 1768, '371425', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.486,36.4814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19591, 1768, '371425', '安头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.827,36.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19592, 1768, '371425', '潘店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.412,36.6651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19593, 1768, '371425', '赵官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.533,36.5346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19594, 1768, '371425', '华店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.675,36.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19595, 1768, '371425', '胡官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.581,36.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19596, 1768, '371425', '刘桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.639,36.7448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19597, 1768, '371425', '仁里集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.547,36.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19598, 1768, '371425', '晏北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.766,36.9117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19599, 1768, '371425', '表白寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.895,36.8987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19600, 1768, '371425', '焦庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.696,36.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19601, 1768, '371425', '晏城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.747,36.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19602, 1768, '371425', '祝阿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.674,36.7681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19603, 1768, '371425', '大黄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.823,36.9702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19604, 1768, '371425', '宣章屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.79,36.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19605, 1769, '371482', '辛寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.452,36.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19606, 1769, '371482', '莒镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,36.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19607, 1769, '371482', '伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.546,36.8247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19608, 1769, '371482', '房寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.533,37.0207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19609, 1769, '371482', '安仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,36.8748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19610, 1769, '371482', '张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.609,37.0739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19611, 1769, '371482', '李屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.482,36.758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19612, 1769, '371482', '十里望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.614,37.0197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19613, 1769, '371482', '市中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,36.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19614, 1769, '371482', '梁家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.62,37.032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19615, 1769, '371482', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.691,37.0748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19616, 1770, '371424', '翟家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.942,37.4219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19617, 1770, '371424', '临邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.899,37.2815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19618, 1770, '371424', '孟寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.974,37.217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19619, 1770, '371424', '宿安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.939,37.2658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19620, 1770, '371424', '临南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.878,37.1169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19621, 1770, '371424', '恒源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.8,37.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19622, 1770, '371424', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.748,37.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19623, 1770, '371424', '邢侗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.876,37.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19624, 1770, '371424', '林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.882,37.3415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19625, 1770, '371424', '临盘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.802,37.1792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19626, 1770, '371424', '理合务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.897,37.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19627, 1770, '371424', '德平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.959,37.4214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19628, 1771, '371403', '徽王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.666,37.4274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19629, 1771, '371403', '边临镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.591,37.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19630, 1771, '371403', '糜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.8,37.4451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19631, 1771, '371403', '丁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.484,37.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19632, 1771, '371403', '滋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.763,37.3608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19633, 1771, '371403', '义渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.732,37.4384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19634, 1771, '371403', '神头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.723,37.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19635, 1771, '371403', '郑家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.686,37.2186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19636, 1771, '371403', '于集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,37.4259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19637, 1771, '371403', '临齐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.637,37.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19638, 1771, '371403', '前孙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.653,37.5191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19639, 1771, '371403', '安德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.525,37.4063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19640, 1771, '371403', '宋家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.802,37.516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19641, 1772, '371426', '龙门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.463,37.1945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19642, 1772, '371426', '王打卦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.326,37.1876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19643, 1772, '371426', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.384,37.1545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19644, 1772, '371426', '前曹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.506,37.0287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19645, 1772, '371426', '三唐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,37.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19646, 1772, '371426', '腰站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.244,37.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19647, 1772, '371426', '张华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.361,36.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19648, 1772, '371426', '王杲铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.277,37.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19649, 1772, '371426', '王凤楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.716,37.1986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19650, 1772, '371426', '恩城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.2,37.161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19651, 1772, '371426', '坊子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.463,37.1945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19652, 1772, '371426', '王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.424,37.0809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19653, 1773, '370117', '颜庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.789,36.1413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19654, 1773, '370117', '里辛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.916,36.1615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19655, 1773, '370117', '辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.884,36.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19656, 1773, '370117', '艾山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.757,35.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19657, 1773, '370117', '汶源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.918,36.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19658, 1774, '370116', '寨里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,36.3218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19659, 1774, '370116', '杨庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.488,36.2723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19660, 1774, '370116', '苗山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.851,36.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19661, 1774, '370116', '雪野镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.501,36.5097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19662, 1774, '370116', '方下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.505,36.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19663, 1774, '370116', '张家洼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.672,36.2902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19664, 1774, '370116', '高庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.702,36.1886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19665, 1774, '370116', '大王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.411,36.3337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19666, 1774, '370116', '口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.68,36.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19667, 1774, '370116', '牛泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.449,36.1825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19668, 1774, '370116', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.628,36.2395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19669, 1774, '370116', '和庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.757,36.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19670, 1774, '370116', '茶业口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.758,36.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19671, 1774, '370116', '羊里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.497,36.3347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19672, 1774, '370116', '鹏泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.699,36.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19673, 1775, '370114', '双山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.571,36.6699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19674, 1775, '370114', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.362,36.8221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19675, 1775, '370114', '垛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.45,36.5431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19676, 1775, '370114', '高官寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.329,36.9562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19677, 1775, '370114', '埠村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.455,36.5963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19678, 1775, '370114', '普集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.595,36.6857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19679, 1775, '370114', '圣井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.371,36.6659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19680, 1775, '370114', '相公庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.541,36.8108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19681, 1775, '370114', '黄河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.335,37.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19682, 1775, '370114', '曹范街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.429,36.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19683, 1775, '370114', '文祖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.483,36.6178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19684, 1775, '370114', '官庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.621,36.6988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19685, 1775, '370114', '枣园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,36.7921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19686, 1775, '370114', '宁家埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.428,36.8392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19687, 1775, '370114', '绣惠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.501,36.8606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19688, 1775, '370114', '明水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.498,36.7816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19689, 1775, '370114', '刁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.536,36.8435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19690, 1775, '370114', '白云湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.392,36.952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19691, 1776, '370105', '堤口路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.975,36.6917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19692, 1776, '370105', '北园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.041,36.7204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19693, 1776, '370105', '南村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.003,36.6861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19694, 1776, '370105', '北村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.981,36.6998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19695, 1776, '370105', '纬北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.006,36.6847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19696, 1776, '370105', '大桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.065,36.8334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19697, 1776, '370105', '官扎营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.989,36.6802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19698, 1776, '370105', '桑梓店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.947,36.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19699, 1776, '370105', '天桥东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.999,36.6844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19700, 1776, '370105', '泺口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.986,36.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19701, 1776, '370105', '宝华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.976,36.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19702, 1776, '370105', '北坦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.012,36.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19703, 1776, '370105', '无影山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.977,36.692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19704, 1776, '370105', '药山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.944,36.7439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19705, 1776, '370105', '制锦市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.008,36.6673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19706, 1777, '370115', '仁风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.348,37.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19707, 1777, '370115', '垛石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.178,37.024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19708, 1777, '370115', '济北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.188,36.9988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19709, 1777, '370115', '崔寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.115,36.8997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19710, 1777, '370115', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.044,37.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19711, 1777, '370115', '曲堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.347,37.1235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19712, 1777, '370115', '孙耿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.066,36.928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19713, 1777, '370115', '回河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.079,36.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19714, 1777, '370115', '济阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.185,36.9382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19715, 1777, '370115', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.076,36.9574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19716, 1778, '370112', '彩石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.246,36.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19717, 1778, '370112', '华山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.028,36.7259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19718, 1778, '370112', '郭店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.245,36.7385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19719, 1778, '370112', '全福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.071,36.7056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19720, 1778, '370112', '西营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,36.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19721, 1778, '370112', '柳埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.074,36.4749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19722, 1778, '370112', '遥墙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.208,36.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19723, 1778, '370112', '唐王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.331,36.7975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19724, 1778, '370112', '仲宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.182,36.4991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19725, 1778, '370112', '巨野河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.324,36.6285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19726, 1778, '370112', '孙村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.323,36.6809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19727, 1778, '370112', '王舍人街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.142,36.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19728, 1778, '370112', '唐冶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.203,36.6822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19729, 1778, '370112', '鲍山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.155,36.7325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19730, 1778, '370112', '山大路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.06,36.6831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19731, 1778, '370112', '临港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.204,36.7845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19732, 1778, '370112', '港沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.247,36.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19733, 1778, '370112', '洪家楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.063,36.6923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19734, 1778, '370112', '荷花路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.141,36.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19735, 1778, '370112', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.093,36.6928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19736, 1778, '370112', '董家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,36.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19737, 1779, '370102', '泉城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.029,36.6787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19738, 1779, '370102', '舜华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.139,36.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19739, 1779, '370102', '甸柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.065,36.6691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19740, 1779, '370102', '智远街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.118,36.7062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19741, 1779, '370102', '燕山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.058,36.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19742, 1779, '370102', '文东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.041,36.6639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19743, 1779, '370102', '建新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.048,36.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19744, 1779, '370102', '龙洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.12,36.6653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19745, 1779, '370102', '趵突泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.015,36.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19746, 1779, '370102', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.04,36.6734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19747, 1779, '370102', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.054,36.6853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19748, 1779, '370102', '姚家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.09,36.6794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19749, 1779, '370102', '千佛山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.027,36.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19750, 1779, '370102', '大明湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.027,36.6733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19751, 1780, '370124', '东阿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.348,36.2058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19752, 1780, '370124', '洪范池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.326,36.1464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19753, 1780, '370124', '孔村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.463,36.2139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19754, 1780, '370124', '玫瑰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.381,36.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19755, 1780, '370124', '锦水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.373,36.2716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19756, 1780, '370124', '榆山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.461,36.2206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19757, 1780, '370124', '安城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.48,36.3002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19758, 1780, '370124', '孝直镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.457,36.1445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19759, 1781, '370126', '贾庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.992,37.3242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19760, 1781, '370126', '殷巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.149,37.4761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19761, 1781, '370126', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.357,37.4489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19762, 1781, '370126', '韩庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.284,37.5223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19763, 1781, '370126', '许商街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,37.3558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19764, 1781, '370126', '张坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.116,37.3727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19765, 1781, '370126', '龙桑寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.337,37.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19766, 1781, '370126', '孙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.191,37.3307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19767, 1781, '370126', '白桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.198,37.2129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19768, 1781, '370126', '郑路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.382,37.3531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19769, 1781, '370126', '玉皇庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.037,37.2374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19770, 1781, '370126', '怀仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.096,37.3883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19771, 1782, '370103', '二七街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.983,36.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19772, 1782, '370103', '七贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.937,36.625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19773, 1782, '370103', '十六里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.01,36.6057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19774, 1782, '370103', '王官庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.959,36.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19775, 1782, '370103', '四里村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.991,36.6417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19776, 1782, '370103', '魏家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.003,36.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19777, 1782, '370103', '大观园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.99,36.6673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19778, 1782, '370103', '白马山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.913,36.6348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19779, 1782, '370103', '杆石桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.003,36.66', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19780, 1782, '370103', '舜玉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.022,36.6369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19781, 1782, '370103', '泺源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.016,36.6647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19782, 1782, '370103', '陡沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.908,36.6218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19783, 1782, '370103', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.023,36.6019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19784, 1782, '370103', '舜耕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.018,36.6083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19785, 1782, '370103', '党家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.928,36.5875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19786, 1782, '370103', '七里山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.979,36.6324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19787, 1782, '370103', '六里山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.002,36.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19788, 1783, '370104', '美里湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.887,36.7147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19789, 1783, '370104', '张庄路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.935,36.667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19790, 1783, '370104', '匡山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.929,36.6879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19791, 1783, '370104', '段店北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.929,36.6514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19792, 1783, '370104', '吴家堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.914,36.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19793, 1783, '370104', '道德街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.971,36.6574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19794, 1783, '370104', '营市街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.958,36.6607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19795, 1783, '370104', '南辛庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.947,36.6477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19796, 1783, '370104', '五里沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.977,36.664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19797, 1783, '370104', '西市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.974,36.6667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19798, 1783, '370104', '振兴街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.98,36.6545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19799, 1783, '370104', '中大槐树街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.965,36.6627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19800, 1783, '370104', '青年公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.981,36.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19801, 1783, '370104', '玉清湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.851,36.6374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19802, 1783, '370104', '腊山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.871,36.6288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19803, 1783, '370104', '兴福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.88,36.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19804, 1784, '370113', '归德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.684,36.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19805, 1784, '370113', '双泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.686,36.3719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19806, 1784, '370113', '万德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.853,36.3668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19807, 1784, '370113', '崮云湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.814,36.5847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19808, 1784, '370113', '张夏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.882,36.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19809, 1784, '370113', '马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.795,36.4372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19810, 1784, '370113', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.718,36.5927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19811, 1784, '370113', '五峰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.843,36.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19812, 1784, '370113', '孝里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.655,36.4109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19813, 1784, '370113', '平安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.822,36.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19814, 1785, '371726', '闫什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.701,35.4846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19815, 1785, '371726', '箕山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.656,35.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19816, 1785, '371726', '富春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.446,35.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19817, 1785, '371726', '李进士堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.523,35.6804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19818, 1785, '371726', '郑营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.57,35.5168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19819, 1785, '371726', '陈王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.571,35.5867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19820, 1785, '371726', '大埝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.611,35.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19821, 1785, '371726', '临濮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.369,35.5074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19822, 1785, '371726', '董口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.443,35.5918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19823, 1785, '371726', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.519,35.6222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19824, 1785, '371726', '古泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.495,35.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19825, 1785, '371726', '引马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.634,35.5424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19826, 1785, '371726', '红船镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.671,35.5861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19827, 1785, '371726', '左营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.587,35.7099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19828, 1785, '371726', '什集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.445,35.4857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19829, 1785, '371726', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.569,35.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19830, 1785, '371726', '彭楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.563,35.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19831, 1786, '371702', '牡丹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.511,35.317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19832, 1786, '371702', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.473,35.2641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19833, 1786, '371702', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.446,35.282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19834, 1786, '371702', '何楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.382,35.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19835, 1786, '371702', '吴店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.407,35.3412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19836, 1786, '371702', '高庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.347,35.4328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19837, 1786, '371702', '吕陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.324,35.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19838, 1786, '371702', '李村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.253,35.4325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19839, 1786, '371702', '大黄集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.282,35.039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19840, 1786, '371702', '黄堽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.466,35.3755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19841, 1786, '371702', '丹阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.509,35.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19842, 1786, '371702', '王浩屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.313,35.1454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19843, 1786, '371702', '沙土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.74,35.3632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19844, 1786, '371702', '小留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.402,35.4143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19845, 1786, '371702', '都司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.628,35.3797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19846, 1786, '371702', '佃户屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.518,35.2111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19847, 1786, '371702', '万福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.374,35.2275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19848, 1786, '371702', '安兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.663,35.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19849, 1786, '371702', '胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.682,35.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19850, 1786, '371702', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.436,35.2562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19851, 1786, '371702', '岳程街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.57,35.2763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19852, 1786, '371702', '马岭岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.325,35.2487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19853, 1786, '371702', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.44,35.2405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19854, 1786, '371702', '皇镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.673,35.2979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19855, 1787, '371728', '三春集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.987,35.0804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19856, 1787, '371728', '刘楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,35.1878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19857, 1787, '371728', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.092,35.0663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19858, 1787, '371728', '小井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.144,35.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19859, 1787, '371728', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.187,35.1259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19860, 1787, '371728', '陆圈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.146,35.2697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19861, 1787, '371728', '焦园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.825,35.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19862, 1787, '371728', '武胜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.154,35.3503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19863, 1787, '371728', '沙窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.044,35.2477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19864, 1787, '371728', '鱼沃街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.129,35.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19865, 1787, '371728', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.109,35.3336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19866, 1787, '371728', '东明集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.094,35.2011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19867, 1787, '371728', '菜园集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.195,35.4216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19868, 1787, '371728', '长兴集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.944,35.1533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19869, 1788, '371703', '仿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.539,35.1757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19870, 1788, '371703', '南王店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.539,35.0392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19871, 1788, '371703', '杜堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.661,35.1825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19872, 1788, '371703', '孟海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.736,35.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19873, 1788, '371703', '半堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.681,35.2135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19874, 1788, '371703', '张湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.435,35.1052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19875, 1788, '371703', '黄店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.732,35.1363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19876, 1788, '371703', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.672,35.2275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19877, 1788, '371703', '天中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.533,35.0794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19878, 1788, '371703', '冉固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.66,35.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19879, 1788, '371703', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,35.0219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19880, 1788, '371703', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.593,35.0858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19881, 1789, '371725', '程屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.91,35.7796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19882, 1789, '371725', '郭屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.921,35.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19883, 1789, '371725', '陈坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.719,35.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19884, 1789, '371725', '玉皇庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.857,35.6572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19885, 1789, '371725', '李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.791,35.7835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19886, 1789, '371725', '郓州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.934,35.592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19887, 1789, '371725', '黄安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.739,35.5156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19888, 1789, '371725', '南赵楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.893,35.4262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19889, 1789, '371725', '黄堆集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.078,35.5714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19890, 1789, '371725', '杨庄集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.014,35.728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19891, 1789, '371725', '潘渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.911,35.7316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19892, 1789, '371725', '唐庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.871,35.4698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19893, 1789, '371725', '武安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.742,35.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19894, 1789, '371725', '张鲁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.777,35.6885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19895, 1789, '371725', '丁里长街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.026,35.5698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19896, 1789, '371725', '张营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.09,35.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19897, 1789, '371725', '水堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.739,35.664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19898, 1789, '371725', '唐塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.884,35.5972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19899, 1789, '371725', '侯咽集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.766,35.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19900, 1789, '371725', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.85,35.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19901, 1789, '371725', '随官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.962,35.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19902, 1789, '371725', '黄集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.833,35.7692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19903, 1790, '371724', '田桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.93,35.3161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19904, 1790, '371724', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.88,35.3647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19905, 1790, '371724', '核桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.253,35.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19906, 1790, '371724', '章缝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.02,35.2486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19907, 1790, '371724', '田庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.109,35.4935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19908, 1790, '371724', '龙固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.905,35.3258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19909, 1790, '371724', '麒麟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.137,35.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19910, 1790, '371724', '陶庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.161,35.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19911, 1790, '371724', '独山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.092,35.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19912, 1790, '371724', '大谢集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.112,35.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19913, 1790, '371724', '大义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.077,35.3262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19914, 1790, '371724', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.075,35.3872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19915, 1790, '371724', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.793,35.1685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19916, 1790, '371724', '营里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.049,35.1843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19917, 1790, '371724', '董官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.004,35.308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19918, 1790, '371724', '永丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.026,35.3512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19919, 1790, '371724', '万丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.913,35.1897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19920, 1791, '371723', '成武县白浮图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.099,34.9938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19921, 1791, '371723', '成武县九女集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.83,34.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19922, 1791, '371723', '成武县天宫庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,34.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19923, 1791, '371723', '成武县苟村集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.947,34.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19924, 1791, '371723', '文亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.941,34.9743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19925, 1791, '371723', '成武县孙寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,34.9113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19926, 1791, '371723', '成武县党集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.981,34.9997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19927, 1791, '371723', '永昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.891,34.9522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19928, 1791, '371723', '成武县大田集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116,35.032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19929, 1791, '371723', '成武县汶上集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.79,35.1414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19930, 1791, '371723', '成武县张楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.067,35.0534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19931, 1791, '371723', '成武县南鲁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.949,35.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19932, 1791, '371723', '成武县伯乐集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.837,35.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19933, 1792, '371721', '苏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.766,34.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19934, 1792, '371721', '郑庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.481,34.8258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19935, 1792, '371721', '仵楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,34.6373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19936, 1792, '371721', '邵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.543,34.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19937, 1792, '371721', '青固集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.759,34.7246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19938, 1792, '371721', '安蔡楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.716,34.6567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19939, 1792, '371721', '梁堤头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.559,34.6315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19940, 1792, '371721', '桃源集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.266,35.0518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19941, 1792, '371721', '楼庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.294,34.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19942, 1792, '371721', '古营集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.628,34.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19943, 1792, '371721', '倪集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.454,34.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19944, 1792, '371721', '魏湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.341,34.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19945, 1792, '371721', '阎店楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.559,34.7789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19946, 1792, '371721', '砖庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.414,34.9611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19947, 1792, '371721', '庄寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.228,35.0347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19948, 1792, '371721', '曹城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.504,34.8591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19949, 1792, '371721', '常乐集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.301,34.9038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19950, 1792, '371721', '侯集回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.75,34.8666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19951, 1792, '371721', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.635,34.8067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19952, 1792, '371721', '大集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.66,34.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19953, 1792, '371721', '韩集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.294,35.0318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19954, 1792, '371721', '朱洪庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.559,34.6874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19955, 1792, '371721', '青岗集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.417,34.9639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19956, 1792, '371721', '普连集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.532,34.9277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19957, 1792, '371721', '青菏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.522,34.9422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19958, 1792, '371721', '孙老家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.646,34.8027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19959, 1792, '371721', '磐石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.551,34.8402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19960, 1793, '371722', '龙王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.184,34.6548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19961, 1793, '371722', '园艺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.107,34.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19962, 1793, '371722', '高韦庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.801,34.574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19963, 1793, '371722', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.043,34.7998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19964, 1793, '371722', '莱河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.021,34.7309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19965, 1793, '371722', '杨楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.22,34.6682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19966, 1793, '371722', '李新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.05,34.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19967, 1793, '371722', '朱集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.337,34.6865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19968, 1793, '371722', '浮岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.992,34.6701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19969, 1793, '371722', '时楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.254,34.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19970, 1793, '371722', '谢集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.999,34.8272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19971, 1793, '371722', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.164,34.7756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19972, 1793, '371722', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.048,34.8004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19973, 1793, '371722', '张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.31,34.8204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19974, 1793, '371722', '黄岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.114,34.721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19975, 1793, '371722', '高老家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.896,34.7181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19976, 1793, '371722', '郭村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.93,34.8117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19977, 1793, '371722', '曹庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.919,34.7029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19978, 1793, '371722', '李田楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.202,34.8353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19979, 1793, '371722', '徐寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.197,34.9319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19980, 1793, '371722', '终兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.25,34.7381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19981, 1793, '371722', '蔡堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.219,34.6339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19982, 1794, '370982', '刘杜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.544,35.8616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19983, 1794, '370982', '西张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.584,35.9757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19984, 1794, '370982', '石莱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.476,35.8114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19985, 1794, '370982', '谷里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.56,35.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19986, 1794, '370982', '汶南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.831,35.819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19987, 1794, '370982', '果都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.502,35.986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19988, 1794, '370982', '放城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.6,35.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19989, 1794, '370982', '禹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.329,35.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19990, 1794, '370982', '东都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.72,35.8693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19991, 1794, '370982', '新汶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.659,35.8915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19992, 1794, '370982', '羊流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.453,36.04', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19993, 1794, '370982', '楼德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.361,35.9109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19994, 1794, '370982', '天宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.407,36.0245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19995, 1794, '370982', '龙廷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.924,35.9859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19996, 1794, '370982', '翟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.626,35.9439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19997, 1794, '370982', '宫里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.405,35.8534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19998, 1794, '370982', '泉沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.631,36.0401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (19999, 1794, '370982', '岳家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.587,35.8236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20000, 1794, '370982', '小协镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.643,35.9015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20001, 1794, '370982', '青云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.927,35.9877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20002, 1794, '370982', '新甫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.739,35.8722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20003, 1795, '370923', '梯门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.334,36.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20004, 1795, '370923', '接山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.531,36.0297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20005, 1795, '370923', '戴庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.143,36.0028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20006, 1795, '370923', '老湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.323,36.0244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20007, 1795, '370923', '大羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.419,36.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20008, 1795, '370923', '斑鸠店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,36.1377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20009, 1795, '370923', '银山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.077,36.0384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20010, 1795, '370923', '东平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.42,35.9983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20011, 1795, '370923', '彭集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.406,35.8571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20012, 1795, '370923', '商老庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.249,35.9329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20013, 1795, '370923', '旧县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.206,36.1132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20014, 1795, '370923', '新湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.285,35.9072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20015, 1795, '370923', '沙河站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.33,35.8816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20016, 1795, '370923', '州城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.287,35.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20017, 1796, '370902', '省庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.199,36.2349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20018, 1796, '370902', '邱家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.329,36.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20019, 1796, '370902', '大津口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.11,36.2858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20020, 1796, '370902', '泰前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.096,36.3176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20021, 1796, '370902', '岱庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.125,36.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20022, 1796, '370902', '上高街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.218,36.2182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20023, 1796, '370902', '财源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.124,36.1947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20024, 1796, '370902', '徐家楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.084,36.1513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20025, 1797, '370911', '马庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.018,36.0429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20026, 1797, '370911', '徂徕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.308,36.1453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20027, 1797, '370911', '北集坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.065,36.143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20028, 1797, '370911', '房村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.263,36.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20029, 1797, '370911', '下港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.261,36.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20030, 1797, '370911', '道朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.985,36.2321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20031, 1797, '370911', '角峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.468,36.1727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20032, 1797, '370911', '满庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.055,36.1231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20033, 1797, '370911', '天平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.945,36.2055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20034, 1797, '370911', '山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.231,36.2772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20035, 1797, '370911', '范镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.437,36.1874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20036, 1797, '370911', '粥店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.072,36.2876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20037, 1797, '370911', '黄前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.15,36.3282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20038, 1797, '370911', '良庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.246,36.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20039, 1797, '370911', '化马湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.37,36.1356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20040, 1797, '370911', '夏张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.897,36.1491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20041, 1797, '370911', '祝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.321,36.3271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20042, 1797, '370911', '大汶口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.095,36.008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20043, 1798, '370983', '汶阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.866,35.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20044, 1798, '370983', '石横镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,36.2506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20045, 1798, '370983', '仪阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.753,36.1543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20046, 1798, '370983', '边院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.846,35.9963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20047, 1798, '370983', '王瓜店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.688,36.1597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20048, 1798, '370983', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.798,36.2128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20049, 1798, '370983', '安临站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.722,36.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20050, 1798, '370983', '孙伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.74,35.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20051, 1798, '370983', '潮泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.804,36.2291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20052, 1798, '370983', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,36.0941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20053, 1798, '370983', '安驾庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.787,36.0163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20054, 1798, '370983', '湖屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.657,36.2204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20055, 1798, '370983', '老城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.841,36.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20056, 1798, '370983', '桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,36.1596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20057, 1799, '370921', '堽城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.853,35.9054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20058, 1799, '370921', '鹤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.696,35.9222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20059, 1799, '370921', '华丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.112,35.9531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20060, 1799, '370921', '东疏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.679,35.7218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20061, 1799, '370921', '文庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.792,35.7657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20062, 1799, '370921', '乡饮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.871,35.7533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20063, 1799, '370921', '泗店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.828,35.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20064, 1799, '370921', '八仙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.787,35.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20065, 1799, '370921', '葛石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.93,35.8487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20066, 1799, '370921', '蒋集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.991,35.9519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20067, 1799, '370921', '伏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.802,35.8988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20068, 1799, '370921', '东庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.25,35.8715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20069, 1799, '370921', '磁窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.063,35.7939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20070, 1800, '370830', '郭仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.476,35.8333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20071, 1800, '370830', '汶上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.535,35.7836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20072, 1800, '370830', '次丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.417,35.7157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20073, 1800, '370830', '杨店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.589,35.8773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20074, 1800, '370830', '康驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.492,35.6075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20075, 1800, '370830', '中都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.454,35.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20076, 1800, '370830', '苑庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.54,35.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20077, 1800, '370830', '义桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.523,35.6867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20078, 1800, '370830', '郭楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.408,35.7944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20079, 1800, '370830', '寅寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.464,35.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20080, 1800, '370830', '军屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,35.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20081, 1800, '370830', '南站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.458,35.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20082, 1800, '370830', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.608,35.7609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20083, 1800, '370830', '刘楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.362,35.625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20084, 1800, '370830', '南旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.332,35.6018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20085, 1801, '370883', '钢山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.001,35.4487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20086, 1801, '370883', '北宿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.879,35.4077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20087, 1801, '370883', '千泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.981,35.4041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20088, 1801, '370883', '张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.198,35.4333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20089, 1801, '370883', '凫山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.928,35.4089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20090, 1801, '370883', '郭里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.786,35.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20091, 1801, '370883', '香城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.201,35.3583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20092, 1801, '370883', '看庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.049,35.2783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20093, 1801, '370883', '田黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.302,35.4816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20094, 1801, '370883', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.761,35.3831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20095, 1801, '370883', '中心店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.983,35.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20096, 1801, '370883', '峄山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.074,35.3421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20097, 1801, '370883', '城前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.364,35.3158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20098, 1801, '370883', '大束镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.105,35.3643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20099, 1801, '370883', '唐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.923,35.3325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20100, 1801, '370883', '石墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.924,35.2996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20101, 1802, '370831', '泗河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.322,35.6734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20102, 1802, '370831', '高峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.26,35.7687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20103, 1802, '370831', '星村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.367,35.7564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20104, 1802, '370831', '金庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.236,35.6129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20105, 1802, '370831', '苗馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.36,35.63', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20106, 1802, '370831', '华村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.45,35.7391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20107, 1802, '370831', '柘沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.135,35.7673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20108, 1802, '370831', '泗张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.46,35.5576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20109, 1802, '370831', '泉林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,35.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20110, 1802, '370831', '中册镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.227,35.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20111, 1802, '370831', '圣水峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.268,35.5953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20112, 1802, '370831', '济河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.25,35.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20113, 1802, '370831', '杨柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.15,35.7083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20114, 1803, '370881', '小雪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.038,35.5095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20115, 1803, '370881', '石门山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.036,35.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20116, 1803, '370881', '吴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.029,35.777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20117, 1803, '370881', '时庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.879,35.619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20118, 1803, '370881', '防山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.037,35.5895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20119, 1803, '370881', '尼山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.115,35.5149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20120, 1803, '370881', '鲁城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.01,35.6147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20121, 1803, '370881', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.974,35.6728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20122, 1803, '370881', '息陬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.041,35.5698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20123, 1803, '370881', '书院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.063,35.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20124, 1803, '370881', '陵城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.953,35.5744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20125, 1803, '370881', '姚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.882,35.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20126, 1804, '370811', '古槐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.574,35.4176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20127, 1804, '370811', '安居街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.555,35.3818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20128, 1804, '370811', '观音阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.605,35.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20129, 1804, '370811', '济东物业服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.686,35.3521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20130, 1804, '370811', '越河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.59,35.393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20131, 1804, '370811', '济阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.542,35.3988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20132, 1804, '370811', '柳行街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.64,35.41', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20133, 1804, '370811', '长沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.426,35.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20134, 1804, '370811', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.721,35.3443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20135, 1804, '370811', '廿里铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.609,35.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20136, 1804, '370811', '李营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.6,35.5191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20137, 1804, '370811', '阜桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.637,35.4186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20138, 1804, '370811', '南张街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.51,35.4927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20139, 1804, '370811', '金城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.565,35.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20140, 1804, '370811', '许庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.592,35.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20141, 1804, '370811', '洸河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.603,35.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20142, 1804, '370811', '仙营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.597,35.4326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20143, 1804, '370811', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.586,35.3809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20144, 1804, '370811', '接庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.709,35.4081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20145, 1804, '370811', '唐口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.48,35.3408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20146, 1804, '370811', '喻屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,35.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20147, 1805, '370829', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.38,35.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20148, 1805, '370829', '黄垓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.117,35.605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20149, 1805, '370829', '梁宝寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.298,35.6237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20150, 1805, '370829', '卧龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.227,35.4489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20151, 1805, '370829', '仲山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.221,35.3586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20152, 1805, '370829', '纸坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.299,35.367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20153, 1805, '370829', '马村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.239,35.4911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20154, 1805, '370829', '老僧堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.119,35.5569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20155, 1805, '370829', '满硐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.354,35.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20156, 1805, '370829', '嘉祥经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.444,35.4356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20157, 1805, '370829', '嘉祥镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.362,35.4485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20158, 1805, '370829', '万张街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,35.4905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20159, 1805, '370829', '疃里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.378,35.4478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20160, 1805, '370829', '金屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.442,35.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20161, 1805, '370829', '孟姑集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.189,35.4946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20162, 1805, '370829', '大张楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.345,35.5207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20163, 1806, '370832', '小安山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.135,35.8933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20164, 1806, '370832', '马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.07,35.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20165, 1806, '370832', '水泊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.118,35.8089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20166, 1806, '370832', '小路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.977,35.8603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20167, 1806, '370832', '韩垓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.264,35.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20168, 1806, '370832', '大路口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.008,35.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20169, 1806, '370832', '拳铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.135,35.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20170, 1806, '370832', '梁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,35.7571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20171, 1806, '370832', '寿张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.042,35.8443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20172, 1806, '370832', '梁山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.051,35.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20173, 1806, '370832', '韩岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.222,35.746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20174, 1806, '370832', '赵堌堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.921,35.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20175, 1806, '370832', '黑虎庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.877,35.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20176, 1806, '370832', '馆驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.219,35.8352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20177, 1806, '370832', '杨营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.042,35.8438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20178, 1807, '370827', '鱼城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.481,34.9708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20179, 1807, '370827', '王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.525,35.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20180, 1807, '370827', '罗屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.47,35.1072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20181, 1807, '370827', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.474,35.126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20182, 1807, '370827', '李阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.499,34.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20183, 1807, '370827', '唐马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,34.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20184, 1807, '370827', '谷亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,34.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20185, 1807, '370827', '王鲁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.643,35.0641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20186, 1807, '370827', '张黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.609,35.1337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20187, 1807, '370827', '滨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.636,34.997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20188, 1807, '370827', '老砦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.71,34.9323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20189, 1808, '370828', '马庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.2,35.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20190, 1808, '370828', '化雨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.327,34.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20191, 1808, '370828', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.314,34.9831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20192, 1808, '370828', '王丕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.281,35.0119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20193, 1808, '370828', '胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.354,35.1521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20194, 1808, '370828', '高河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.36,35.1227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20195, 1808, '370828', '鸡黍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.248,34.9304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20196, 1808, '370828', '羊山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.221,35.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20197, 1808, '370828', '鱼山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.321,35.1054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20198, 1808, '370828', '卜集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.452,35.1852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20199, 1808, '370828', '金乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.327,35.1244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20200, 1808, '370828', '肖云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.394,34.9386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20201, 1808, '370828', '司马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.322,34.9413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20202, 1809, '370826', '两城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.771,35.1763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20203, 1809, '370826', '傅村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.095,34.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20204, 1809, '370826', '马坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.767,35.3272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20205, 1809, '370826', '微山岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,34.6681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20206, 1809, '370826', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.639,35.0674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20207, 1809, '370826', '昭阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.153,34.7257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20208, 1809, '370826', '鲁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.66,35.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20209, 1809, '370826', '留庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.889,35.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20210, 1809, '370826', '夏镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.099,34.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20211, 1809, '370826', '西平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.936,34.862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20212, 1809, '370826', '欢城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.102,34.9375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20213, 1809, '370826', '张楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.928,34.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20214, 1809, '370826', '赵庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.972,34.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20215, 1809, '370826', '高楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.272,34.512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20216, 1809, '370826', '韩庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.331,34.5607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20217, 1810, '370812', '颜店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.605,35.6035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20218, 1810, '370812', '王因街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.774,35.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20219, 1810, '370812', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.819,35.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20220, 1810, '370812', '小孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.62,35.6831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20221, 1810, '370812', '新驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.618,35.6717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20222, 1810, '370812', '新兖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.829,35.5277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20223, 1810, '370812', '漕河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.794,35.6827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20224, 1810, '370812', '黄屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.73,35.5092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20225, 1810, '370812', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,35.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20226, 1810, '370812', '酒仙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.839,35.5941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20227, 1810, '370812', '兴隆庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.823,35.4722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20228, 1810, '370812', '龙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.809,35.5721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20229, 1811, '340602', '段圆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.995,34.2228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20230, 1811, '340602', '高岳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.804,34.0022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20231, 1811, '340602', '矿山集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.852,33.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20232, 1811, '340602', '石台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.947,34.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20233, 1811, '340602', '朔里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.821,34.0668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20234, 1812, '340604', '宋町镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.843,33.8803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20235, 1812, '340604', '烈山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.802,33.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20236, 1812, '340604', '烈山区工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.818,33.8834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20237, 1812, '340604', '古饶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.805,33.7621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20238, 1812, '340604', '杨庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.803,33.9171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20239, 1813, '340603', '相南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.805,33.969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20240, 1813, '340603', '渠沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.616,33.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20241, 1813, '340603', '南黎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.797,33.9523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20242, 1813, '340603', '淮北凤凰山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.771,34.0008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20243, 1813, '340603', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.817,33.9947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20244, 1813, '340603', '三堤口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.759,33.9496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20245, 1813, '340603', '西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.775,33.9972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20246, 1813, '340603', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.811,33.9498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20247, 1813, '340603', '曲阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.779,33.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20248, 1813, '340603', '任圩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.829,33.9471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20249, 1813, '340603', '东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.81,33.9724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20250, 1814, '340621', '铁佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.529,33.88', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20251, 1814, '340621', '临涣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.525,33.749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20252, 1814, '340621', '五沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.636,33.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20253, 1814, '340621', '双堆集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.938,33.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20254, 1814, '340621', '濉溪县濉芜产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.71,33.8695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20255, 1814, '340621', '孙町镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.785,33.6454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20256, 1814, '340621', '四铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.746,33.7827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20257, 1814, '340621', '濉溪县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.714,33.9096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20258, 1814, '340621', '韩村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.686,33.6307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20259, 1814, '340621', '百善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.627,33.8438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20260, 1814, '340621', '濉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.72,33.9358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20261, 1814, '340621', '刘桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.64,33.922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20262, 1814, '340621', '南坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,33.5804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20263, 1815, '340711', '铜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.27,30.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20264, 1815, '340711', '大桥经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.792,30.835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20265, 1815, '340711', '安矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.949,30.6572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20266, 1815, '340711', '周潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.513,30.9536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20267, 1815, '340711', '大通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.792,30.835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20268, 1815, '340711', '陈瑶湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.561,30.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20269, 1815, '340711', '桥南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.774,30.9154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20270, 1815, '340711', '老洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.552,30.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20271, 1815, '340711', '灰河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.711,30.857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20272, 1815, '340711', '两矿一公司专管办', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.818,30.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20273, 1815, '340711', '普济圩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.674,30.9521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20274, 1816, '340705', '铜官山区虚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.772,30.9144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20275, 1816, '340705', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.914,30.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20276, 1816, '340705', '狮子山区虚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.834,30.9488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20277, 1816, '340705', '东郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.833,30.9311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20278, 1816, '340705', '铜陵市经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,31.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20279, 1817, '340722', '凤仪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.504,30.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20280, 1817, '340722', '雨坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.211,30.8541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20281, 1817, '340722', '官埠桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.226,30.7497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20282, 1817, '340722', '会宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.238,30.8592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20283, 1817, '340722', '欧山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.323,30.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20284, 1817, '340722', '铁铜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,30.6773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20285, 1817, '340722', '麒麟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.192,31.0594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20286, 1817, '340722', '横埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.471,30.9057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20287, 1817, '340722', '项铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.343,30.9191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20288, 1817, '340722', '金社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.432,30.9131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20289, 1817, '340722', '钱桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.189,30.996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20290, 1817, '340722', '白柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.289,30.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20291, 1817, '340722', '浮山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.219,30.9086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20292, 1817, '340722', '义津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.16,30.9628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20293, 1817, '340722', '汤沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.492,30.8181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20294, 1817, '340722', '长沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.45,30.7488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20295, 1817, '340722', '钱铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.503,31.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20296, 1817, '340722', '枞阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.227,30.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20297, 1817, '340722', '枞阳经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.265,30.7421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20298, 1817, '340722', '白梅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,30.9724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20299, 1818, '340706', '天门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.881,30.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20300, 1818, '340706', '西联镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.937,31.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20301, 1818, '340706', '胥坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.87,31.0526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20302, 1818, '340706', '五松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.783,30.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20303, 1818, '340706', '金桥工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.05,30.987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20304, 1818, '340706', '循环经济园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.792,30.9624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20305, 1818, '340706', '东联镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.977,31.0778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20306, 1818, '340706', '钟鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.095,30.8824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20307, 1818, '340706', '老洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.742,30.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20308, 1818, '340706', '顺安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.989,30.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20309, 1819, '340882', '天柱山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.463,30.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20310, 1819, '340882', '油坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.624,30.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20311, 1819, '340882', '黄泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.522,30.5128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20312, 1819, '340882', '槎水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.508,30.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20313, 1819, '340882', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.565,30.6462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20314, 1819, '340882', '旅游度假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.54,30.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20315, 1819, '340882', '黄柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.633,30.9737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20316, 1819, '340882', '源潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.61,30.8152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20317, 1819, '340882', '五庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.27,30.6841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20318, 1819, '340882', '痘姆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.461,30.6559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20319, 1819, '340882', '黄铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.468,30.6129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20320, 1819, '340882', '余井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.559,30.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20321, 1819, '340882', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.621,30.9646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20322, 1819, '340882', '水吼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.398,30.7773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20323, 1819, '340882', '龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.474,30.793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20324, 1819, '340882', '塔畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.605,30.9438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20325, 1819, '340882', '王河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.563,30.5355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20326, 1819, '340882', '梅城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.598,30.6754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20327, 1820, '340826', '洲头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.285,29.9985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20328, 1820, '340826', '下仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.387,30.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20329, 1820, '340826', '九姑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.21,30.1102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20330, 1820, '340826', '二郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.065,30.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20331, 1820, '340826', '高岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.282,30.2458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20332, 1820, '340826', '佐坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.106,30.1213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20333, 1820, '340826', '华阳河农场总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.295,29.9599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20334, 1820, '340826', '千岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.22,30.108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20335, 1820, '340826', '长铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.158,30.2136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20336, 1820, '340826', '河塌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.176,30.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20337, 1820, '340826', '程岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.241,30.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20338, 1820, '340826', '陈汉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.958,30.394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20339, 1820, '340826', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.568,29.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20340, 1820, '340826', '汇口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.247,29.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20341, 1820, '340826', '凉亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.162,30.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20342, 1820, '340826', '九成监狱管理分局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.506,30.0611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20343, 1820, '340826', '五里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.214,30.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20344, 1820, '340826', '破凉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,30.3064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20345, 1820, '340826', '趾凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.132,30.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20346, 1820, '340826', '柳坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,30.3243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20347, 1820, '340826', '隘口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.039,30.3805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20348, 1820, '340826', '许岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.318,30.1612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20349, 1820, '340826', '北浴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.95,30.3684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20350, 1820, '340826', '孚玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.109,30.2226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20351, 1821, '340811', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.09,30.6814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20352, 1821, '340811', '白泽湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.091,30.5734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20353, 1821, '340811', '罗岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.987,30.7271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20354, 1821, '340811', '菱北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.023,30.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20355, 1821, '340811', '大桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.039,30.5658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20356, 1821, '340811', '大龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.017,30.648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20357, 1821, '340811', '五横乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.022,30.6989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20358, 1822, '340825', '城西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.259,30.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20359, 1822, '340825', '刘畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.97,30.4966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20360, 1822, '340825', '花凉亭水电站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.261,30.4648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20361, 1822, '340825', '寺前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.22,30.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20362, 1822, '340825', '新仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.366,30.4358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20363, 1822, '340825', '汤泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.257,30.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20364, 1822, '340825', '天华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.111,30.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20365, 1822, '340825', '大石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.452,30.2653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20366, 1822, '340825', '徐桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.389,30.3367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20367, 1822, '340825', '晋熙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.286,30.5413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20368, 1822, '340825', '北中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.825,30.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20369, 1822, '340825', '小池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,30.5403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20370, 1822, '340825', '江塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.279,30.3469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20371, 1822, '340825', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.324,30.4543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20372, 1822, '340825', '牛镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.051,30.6798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20373, 1822, '340825', '百里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.944,30.6048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20374, 1822, '340825', '弥陀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.911,30.5972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20375, 1823, '340828', '毛尖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.381,30.8451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20376, 1823, '340828', '中关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.223,30.8493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20377, 1823, '340828', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.3,30.8843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20378, 1823, '340828', '青天乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.227,30.9861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20379, 1823, '340828', '头陀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.368,31.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20380, 1823, '340828', '田头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.159,30.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20381, 1823, '340828', '石关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.393,31.0542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20382, 1823, '340828', '店前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.014,30.7935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20383, 1823, '340828', '响肠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.347,30.8081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20384, 1823, '340828', '古坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.892,30.8498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20385, 1823, '340828', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.123,30.9884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20386, 1823, '340828', '河图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.998,30.8074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20387, 1823, '340828', '巍岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,30.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20388, 1823, '340828', '冶溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.928,30.771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20389, 1823, '340828', '天堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.348,30.8686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20390, 1823, '340828', '包家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.093,31.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20391, 1823, '340828', '姚河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.463,31.1169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20392, 1823, '340828', '主簿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,31.0769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20393, 1823, '340828', '五河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.2,30.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20394, 1823, '340828', '莲云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,30.908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20395, 1823, '340828', '菖蒲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.217,30.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20396, 1823, '340828', '来榜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.203,30.9743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20397, 1823, '340828', '黄尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.209,31.0577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20398, 1823, '340828', '白帽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.933,30.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20399, 1824, '340802', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.041,30.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20400, 1824, '340802', '新河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.058,30.5261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20401, 1824, '340802', '孝肃路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.043,30.5154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20402, 1824, '340802', '新洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.243,30.5323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20403, 1824, '340802', '龙狮桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.089,30.5231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20404, 1824, '340802', '老峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.119,30.5368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20405, 1824, '340802', '宜城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.047,30.5089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20406, 1824, '340802', '长风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.186,30.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20407, 1824, '340802', '华中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.066,30.5132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20408, 1824, '340802', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.06,30.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20409, 1825, '340881', '金神镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.95,30.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20410, 1825, '340881', '唐湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.793,31.0388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20411, 1825, '340881', '龙眠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.996,31.0735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20412, 1825, '340881', '新渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.919,30.9242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20413, 1825, '340881', '孔城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.035,31.029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20414, 1825, '340881', '青草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.821,30.9272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20415, 1825, '340881', '范岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.8,30.9759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20416, 1825, '340881', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.9,31.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20417, 1825, '340881', '鲟鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,30.6823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20418, 1825, '340881', '龙腾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.981,31.0468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20419, 1825, '340881', '黄甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.842,31.1117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20420, 1825, '340881', '嬉子湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.015,30.8691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20421, 1825, '340881', '大关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.971,31.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20422, 1825, '340881', '吕亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.028,31.1485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20423, 1825, '340881', '桐城双新经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.921,30.8111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20424, 1825, '340881', '双港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.946,30.8428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20425, 1826, '340827', '杨湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.572,30.1154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20426, 1826, '340827', '望江县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.719,30.1133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20427, 1826, '340827', '漳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.826,30.378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20428, 1826, '340827', '凉泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.584,30.2225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20429, 1826, '340827', '鸦滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.639,30.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20430, 1826, '340827', '华阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.735,30.1013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20431, 1826, '340827', '高士镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.764,30.3674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20432, 1826, '340827', '赛口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.796,30.4202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20433, 1826, '340827', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.552,30.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20434, 1826, '340827', '太慈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.843,30.2105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20435, 1826, '340827', '雷池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.725,30.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20436, 1827, '340822', '雷埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.525,30.4002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20437, 1827, '340822', '江镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.757,30.526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20438, 1827, '340822', '石镜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.837,30.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20439, 1827, '340822', '黄墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.73,30.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20440, 1827, '340822', '秀山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.755,30.6754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20441, 1827, '340822', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.631,30.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20442, 1827, '340822', '公岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.757,30.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20443, 1827, '340822', '月山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.889,30.6234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20444, 1827, '340822', '小市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.663,30.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20445, 1827, '340822', '茶岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.883,30.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20446, 1827, '340822', '腊树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.519,30.4012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20447, 1827, '340822', '洪铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.812,30.5628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20448, 1827, '340822', '高河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.824,30.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20449, 1827, '340822', '马庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.826,30.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20450, 1827, '340822', '清河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.715,30.5575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20451, 1827, '340822', '石牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.627,30.4351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20452, 1827, '340822', '黄龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.677,30.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20453, 1827, '340822', '三桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.674,30.6452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20454, 1827, '340822', '凉亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.912,30.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20455, 1827, '340822', '金拱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.855,30.7415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20456, 1828, '340803', '山口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.922,30.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20457, 1828, '340803', '皖河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.794,30.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20458, 1828, '340803', '石化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.038,30.5147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20459, 1828, '340803', '集贤路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.042,30.5355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20460, 1828, '340803', '花亭路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.051,30.5248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20461, 1828, '340803', '菱湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.043,30.5153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20462, 1828, '340803', '德宽路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.028,30.5147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20463, 1828, '340803', '龙山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.036,30.513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20464, 1828, '340803', '玉琳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.03,30.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20465, 1828, '340803', '大观开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.012,30.5229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20466, 1828, '340803', '十里铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.03,30.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20467, 1828, '340803', '安徽安庆海口经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.961,30.4746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20468, 1828, '340803', '海口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.843,30.4794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20469, 1829, '341723', '九华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.767,30.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20470, 1829, '341723', '杜村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.696,30.5187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20471, 1829, '341723', '酉华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.016,30.5885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20472, 1829, '341723', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.804,30.7358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20473, 1829, '341723', '蓉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.826,30.7089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20474, 1829, '341723', '乔木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.075,30.7429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20475, 1829, '341723', '九华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.784,30.4539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20476, 1829, '341723', '丁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,30.8064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20477, 1829, '341723', '庙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.76,30.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20478, 1829, '341723', '杨田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.89,30.5699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20479, 1829, '341723', '陵阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.925,30.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20480, 1829, '341723', '木镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.966,30.7638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20481, 1829, '341723', '朱备镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.839,30.5423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20482, 1829, '341723', '青阳县开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.884,30.6349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20483, 1830, '341721', '张溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.097,30.2036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20484, 1830, '341721', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.078,30.0227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20485, 1830, '341721', '昭潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.789,29.6197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20486, 1830, '341721', '葛公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.139,30.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20487, 1830, '341721', '木塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.919,29.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20488, 1830, '341721', '泥溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.799,29.7857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20489, 1830, '341721', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.024,30.4297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20490, 1830, '341721', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.871,29.6686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20491, 1830, '341721', '洋湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.162,30.2344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20492, 1830, '341721', '尧渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.128,30.2', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20493, 1830, '341721', '官港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117,29.9858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20494, 1830, '341721', '香隅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.835,29.9623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20495, 1830, '341721', '大渡口经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.078,30.4634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20496, 1830, '341721', '大渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.097,30.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20497, 1830, '341721', '东至经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.856,30.0828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20498, 1830, '341721', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.668,29.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20499, 1830, '341721', '东流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.026,30.2749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20500, 1831, '341702', '涓桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.399,30.5976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20501, 1831, '341702', '牌楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.3,30.3147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20502, 1831, '341702', '梅街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.707,30.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20503, 1831, '341702', '梅村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.434,30.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20504, 1831, '341702', '梅龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.583,30.692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20505, 1831, '341702', '棠溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.649,30.27', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20506, 1831, '341702', '牛头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,30.5519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20507, 1831, '341702', '杏花村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.488,30.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20508, 1831, '341702', '里山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.525,30.614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20509, 1831, '341702', '前江工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.258,30.5256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20510, 1831, '341702', '秋浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.486,30.6431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20511, 1831, '341702', '清风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.471,30.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20512, 1831, '341702', '马衙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.585,30.6959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20513, 1831, '341702', '唐田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.237,30.345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20514, 1831, '341702', '池州市火车站站前区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.511,30.6232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20515, 1831, '341702', '墩上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.687,30.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20516, 1831, '341702', '安徽贵池工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.569,30.6987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20517, 1831, '341702', '清溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.511,30.6227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20518, 1831, '341702', '乌沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.265,30.6528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20519, 1831, '341702', '秋江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.333,30.6849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20520, 1831, '341702', '池阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.486,30.6431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20521, 1831, '341702', '殷汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.322,30.4622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20522, 1831, '341702', '池州市开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.554,30.7', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20523, 1831, '341702', '安徽省江南产业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.663,30.7475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20524, 1831, '341702', '江口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.577,30.7566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20525, 1832, '341722', '大演乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.52,30.1753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20526, 1832, '341722', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.322,30.3132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20527, 1832, '341722', '横渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.586,30.2234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20528, 1832, '341722', '七都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.668,30.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20529, 1832, '341722', '仁里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.611,30.2785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20530, 1832, '341722', '矶滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.433,30.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20531, 1832, '341722', '仙寓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.472,30.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20532, 1832, '341722', '丁香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.362,30.2293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20533, 1833, '340506', '博望高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.835,31.4933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20534, 1833, '340506', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.799,31.6257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20535, 1833, '340506', '博望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.808,31.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20536, 1833, '340506', '丹阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.738,31.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20537, 1834, '340521', '塘南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.634,31.4143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20538, 1834, '340521', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.619,31.4632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20539, 1834, '340521', '当涂青山河高新技术产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.558,31.3464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20540, 1834, '340521', '当涂经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.479,31.5494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20541, 1834, '340521', '江心乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.412,31.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20542, 1834, '340521', '乌溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.634,31.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20543, 1834, '340521', '黄池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.567,31.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20544, 1834, '340521', '护河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.661,31.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20545, 1834, '340521', '年陡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.437,31.4765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20546, 1834, '340521', '太白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.436,31.4761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20547, 1834, '340521', '大陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.632,31.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20548, 1834, '340521', '姑孰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.586,31.5895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20549, 1834, '340521', '胡阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.859,31.4056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20550, 1834, '340521', '当涂现代农业示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.552,31.5503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20551, 1835, '340504', '采石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.471,31.6719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20552, 1835, '340504', '佳山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.484,31.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20553, 1835, '340504', '平湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.472,31.6836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20554, 1835, '340504', '雨山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.484,31.6795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20555, 1835, '340504', '雨山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.485,31.5988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20556, 1835, '340504', '银塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.478,31.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20557, 1835, '340504', '安民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.485,31.6713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20558, 1835, '340504', '向山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.605,31.6789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20559, 1836, '340503', '塘西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.509,31.7298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20560, 1836, '340503', '金家庄工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.52,31.7252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20561, 1836, '340503', '湖东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.52,31.6807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20562, 1836, '340503', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.51,31.6998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20563, 1836, '340503', '沙塘路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.497,31.7013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20564, 1836, '340503', '慈湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.497,31.7289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20565, 1836, '340503', '金家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.44,31.7403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20566, 1836, '340503', '花山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.555,31.7111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20567, 1836, '340503', '江东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.524,31.7266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20568, 1836, '340503', '桃源路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.527,31.6816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20569, 1836, '340503', '慈湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.525,31.7461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20570, 1836, '340503', '霍里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.627,31.759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20571, 1837, '340523', '姥桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.264,31.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20572, 1837, '340523', '功桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.188,31.5376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20573, 1837, '340523', '安徽和县台湾农民创业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.377,31.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20574, 1837, '340523', '白桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.271,31.5126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20575, 1837, '340523', '西埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.182,31.7546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20576, 1837, '340523', '香泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.364,31.9302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20577, 1837, '340523', '安徽和县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.374,31.7562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20578, 1837, '340523', '善厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.084,31.8491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20579, 1837, '340523', '历阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.389,31.7501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20580, 1837, '340523', '乌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.462,31.8166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20581, 1837, '340523', '安徽精细化工产业有机合成基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.469,31.7972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20582, 1837, '340523', '石杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.387,32.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20583, 1838, '340522', '含山县褒禅山经济园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.076,31.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20584, 1838, '340522', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.939,31.588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20585, 1838, '340522', '运漕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.12,31.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20586, 1838, '340522', '陶厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.065,31.5868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20587, 1838, '340522', '铜闸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.135,31.517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20588, 1838, '340522', '仙踪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.001,31.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20589, 1838, '340522', '昭关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.033,31.8475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20590, 1838, '340522', '安徽含山工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.972,31.564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20591, 1838, '340522', '安徽含山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.102,31.7544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20592, 1838, '340522', '环峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.102,31.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20593, 1838, '340522', '林头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.957,31.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20594, 1839, '341222', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.598,33.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20595, 1839, '341222', '郭庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.675,33.2684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20596, 1839, '341222', '高庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.575,33.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20597, 1839, '341222', '苗老集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.866,33.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20598, 1839, '341222', '双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.503,33.5209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20599, 1839, '341222', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,33.2155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20600, 1839, '341222', '关集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.667,33.1768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20601, 1839, '341222', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.596,33.2042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20602, 1839, '341222', '二郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.841,33.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20603, 1839, '341222', '李兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.437,33.5256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20604, 1839, '341222', '桑营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.588,33.5387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20605, 1839, '341222', '宫集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.765,33.3837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20606, 1839, '341222', '税镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.445,33.2592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20607, 1839, '341222', '原墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.711,33.3593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20608, 1839, '341222', '坟台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.652,33.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20609, 1839, '341222', '胡总乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.51,33.133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20610, 1839, '341222', '马集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.563,33.3698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20611, 1839, '341222', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.568,33.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20612, 1839, '341222', '三塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.751,33.2211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20613, 1839, '341222', '阮桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.68,33.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20614, 1839, '341222', '五星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.556,33.3656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20615, 1839, '341222', '三堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.782,33.3331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20616, 1839, '341222', '肖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,33.2122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20617, 1839, '341222', '清浅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.521,33.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20618, 1839, '341222', '倪邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.603,33.4512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20619, 1839, '341222', '开发区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,33.2321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20620, 1839, '341222', '双浮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.561,33.3066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20621, 1839, '341222', '赵庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.507,33.4448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20622, 1839, '341222', '赵集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.69,33.1746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20623, 1839, '341222', '大庙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,33.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20624, 1839, '341222', '蔡庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.522,33.3353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20625, 1839, '341222', '皮条孙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.524,33.272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20626, 1840, '341203', '正午镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.956,32.9649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20627, 1840, '341203', '冉庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.905,33.0671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20628, 1840, '341203', '杨楼孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.123,32.8359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20629, 1840, '341203', '老庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,32.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20630, 1840, '341203', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.85,32.9012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20631, 1840, '341203', '插花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.917,32.9879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20632, 1840, '341203', '口孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.061,32.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20633, 1840, '341203', '新乌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.127,32.9018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20634, 1840, '341203', '枣庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.042,32.9578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20635, 1840, '341203', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.896,32.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20636, 1840, '341203', '袁寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.887,32.8933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20637, 1840, '341203', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.865,32.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20638, 1841, '341221', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.203,32.8418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20639, 1841, '341221', '单桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.295,33.0184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20640, 1841, '341221', '瓦店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.084,32.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20641, 1841, '341221', '吕寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.419,32.7118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20642, 1841, '341221', '黄岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.065,33.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20643, 1841, '341221', '长官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.346,32.9525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20644, 1841, '341221', '田桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.236,33.0342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20645, 1841, '341221', '关庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.976,33.0499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20646, 1841, '341221', '艾亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.205,32.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20647, 1841, '341221', '韦寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.148,33.0016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20648, 1841, '341221', '白庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.173,33.0493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20649, 1841, '341221', '陶老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.203,32.6064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20650, 1841, '341221', '庙岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.955,33.0237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20651, 1841, '341221', '土陂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.407,32.7585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20652, 1841, '341221', '张新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.316,32.6992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20653, 1841, '341221', '迎仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.179,32.9187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20654, 1841, '341221', '姜寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.975,32.991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20655, 1841, '341221', '谭棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,32.9823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20656, 1841, '341221', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.408,33.0165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20657, 1841, '341221', '邢塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.277,33.0442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20658, 1841, '341221', '高塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.438,32.9189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20659, 1841, '341221', '同城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.051,33.0478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20660, 1841, '341221', '老集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.381,32.8812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20661, 1841, '341221', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.287,33.0264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20662, 1841, '341221', '宋集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.283,32.8981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20663, 1841, '341221', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.179,33.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20664, 1841, '341221', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.272,33.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20665, 1841, '341221', '滑集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.308,32.7678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20666, 1842, '341204', '行流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.726,33.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20667, 1842, '341204', '闻集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.626,33.1405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20668, 1842, '341204', '周棚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.885,33.0069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20669, 1842, '341204', '中市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.813,32.96', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20670, 1842, '341204', '伍明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.905,33.0698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20671, 1842, '341204', '宁老庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.654,32.9455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20672, 1843, '341202', '袁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.857,32.8108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20673, 1843, '341202', '阜阳开发区京九街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.826,32.8748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20674, 1843, '341202', '阜阳合肥现代产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.912,32.8018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20675, 1843, '341202', '马寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.545,32.9544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20676, 1843, '341202', '颍西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.804,32.9141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20677, 1843, '341202', '西湖景区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.638,32.9365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20678, 1843, '341202', '三十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.928,32.8078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20679, 1843, '341202', '清河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.857,32.8757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20680, 1843, '341202', '三塔集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.701,32.8154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20681, 1843, '341202', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.808,32.9066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20682, 1843, '341202', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.571,32.9721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20683, 1843, '341202', '王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.721,32.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20684, 1843, '341202', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.593,32.901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20685, 1843, '341202', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.801,32.9006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20686, 1843, '341202', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.716,32.8114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20687, 1843, '341202', '程集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.671,32.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20688, 1843, '341202', '安徽颍州经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,32.8246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20689, 1844, '341225', '王堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.367,32.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20690, 1844, '341225', '王家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.649,32.4571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20691, 1844, '341225', '赵集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.511,32.7573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20692, 1844, '341225', '中岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.711,32.5786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20693, 1844, '341225', '柳沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.662,32.7054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20694, 1844, '341225', '苗集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.677,32.6551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20695, 1844, '341225', '许堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.716,32.7629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20696, 1844, '341225', '王化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.637,32.5341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20697, 1844, '341225', '会龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,32.6827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20698, 1844, '341225', '方集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.323,32.5543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20699, 1844, '341225', '老观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.738,32.5125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20700, 1844, '341225', '王店孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.578,32.8018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20701, 1844, '341225', '朱寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.942,32.6879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20702, 1844, '341225', '鹿城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.662,32.6523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20703, 1844, '341225', '于集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.622,32.5482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20704, 1844, '341225', '田集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.584,32.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20705, 1844, '341225', '张寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.861,32.6904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20706, 1844, '341225', '新村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.609,32.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20707, 1844, '341225', '曹集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.733,32.5099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20708, 1844, '341225', '黄岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.756,32.636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20709, 1844, '341225', '郜台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.852,32.6112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20710, 1844, '341225', '龙王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,32.5187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20711, 1844, '341225', '柴集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.63,32.7577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20712, 1844, '341225', '焦陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.841,32.7147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20713, 1844, '341225', '安徽阜南经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.596,32.6541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20714, 1844, '341225', '阜濛农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.796,32.5309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20715, 1844, '341225', '公桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.46,32.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20716, 1844, '341225', '地城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.533,32.561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20717, 1844, '341225', '段郢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.366,32.6454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20718, 1844, '341225', '洪河桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.511,32.4684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20719, 1845, '341226', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.072,32.7627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20720, 1845, '341226', '夏桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.405,32.708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20721, 1845, '341226', '五十铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.013,32.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20722, 1845, '341226', '南照镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.965,32.6637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20723, 1845, '341226', '关屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.163,32.4995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20724, 1845, '341226', '刘集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.386,32.6211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20725, 1845, '341226', '黄坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.494,32.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20726, 1845, '341226', '王岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.371,32.5461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20727, 1845, '341226', '黄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.287,32.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20728, 1845, '341226', '江店孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.405,32.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20729, 1845, '341226', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.247,32.7809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20730, 1845, '341226', '十八里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.131,32.6695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20731, 1845, '341226', '八里河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.256,32.6007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20732, 1845, '341226', '润河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.05,32.5846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20733, 1845, '341226', '垂岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,32.5473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20734, 1845, '341226', '鲁口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.514,32.5586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20735, 1845, '341226', '西三十铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.063,32.7325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20736, 1845, '341226', '耿棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,32.6351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20737, 1845, '341226', '杨湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.447,32.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20738, 1845, '341226', '谢桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.308,32.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20739, 1845, '341226', '赛涧回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.464,32.5317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20740, 1845, '341226', '陈桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.374,32.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20741, 1845, '341226', '红星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.959,32.6981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20742, 1845, '341226', '盛堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.12,32.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20743, 1845, '341226', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.243,32.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20744, 1845, '341226', '慎城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.326,32.6399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20745, 1845, '341226', '半岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.211,32.5441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20746, 1845, '341226', '建颍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.148,32.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20747, 1845, '341226', '迪沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.406,32.8371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20748, 1845, '341226', '六十铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.044,32.7916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20749, 1846, '341282', '邴集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,33.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20750, 1846, '341282', '代桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.48,33.0156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20751, 1846, '341282', '光武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.4,33.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20752, 1846, '341282', '顾集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.329,33.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20753, 1846, '341282', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.345,33.3011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20754, 1846, '341282', '舒庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.395,33.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20755, 1846, '341282', '芦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.365,33.5211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20756, 1846, '341282', '砖集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.268,33.1365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20757, 1846, '341282', '靳寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.369,33.3394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20758, 1846, '341282', '泉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.403,33.0871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20759, 1846, '341282', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.381,33.2969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20760, 1846, '341282', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.322,33.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20761, 1846, '341282', '陶庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.424,33.1653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20762, 1846, '341282', '颍南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.33,33.2335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20763, 1846, '341282', '任寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.433,33.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20764, 1846, '341282', '新马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.391,33.3935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20765, 1846, '341282', '田营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.374,33.1933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20766, 1846, '341282', '大黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.415,33.2998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20767, 1847, '341003', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.165,30.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20768, 1847, '341003', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.033,30.3782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20769, 1847, '341003', '乌石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.994,30.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20770, 1847, '341003', '永丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.004,30.4895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20771, 1847, '341003', '耿城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.155,30.2554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20772, 1847, '341003', '汤口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.101,30.0389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20773, 1847, '341003', '新明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.179,30.3928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20774, 1847, '341003', '黄山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.191,30.0814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20775, 1847, '341003', '谭家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.259,30.118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20776, 1847, '341003', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.182,30.4517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20777, 1847, '341003', '太平湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.931,30.332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20778, 1847, '341003', '三口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.177,30.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20779, 1847, '341003', '仙源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.193,30.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20780, 1847, '341003', '焦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.077,30.2442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20781, 1847, '341003', '新丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.102,30.4694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20782, 1848, '341023', '西递镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.013,29.9282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20783, 1848, '341023', '美溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.785,30.1502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20784, 1848, '341023', '宏潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.851,30.154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20785, 1848, '341023', '碧阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.864,29.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20786, 1848, '341023', '宏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.022,30.0783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20787, 1848, '341023', '柯村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.662,30.104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20788, 1848, '341023', '渔亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.939,29.879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20789, 1848, '341023', '洪星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.771,30.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20790, 1849, '341024', '古溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.562,29.9797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20791, 1849, '341024', '塔坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.676,29.83', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20792, 1849, '341024', '闪里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.346,29.8263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20793, 1849, '341024', '溶口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.58,29.8194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20794, 1849, '341024', '祁红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.596,29.6743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20795, 1849, '341024', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.254,29.909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20796, 1849, '341024', '历口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.499,30.035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20797, 1849, '341024', '大坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.704,30.0133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20798, 1849, '341024', '祁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.632,29.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20799, 1849, '341024', '平里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.575,29.729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20800, 1849, '341024', '金字牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.898,29.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20801, 1849, '341024', '安凌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.561,30.1053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20802, 1849, '341024', '箬坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.381,30.0086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20803, 1849, '341024', '柏溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,29.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20804, 1849, '341024', '芦溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.526,29.6244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20805, 1849, '341024', '渚口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.415,29.8506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20806, 1849, '341024', '小路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.631,29.9345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20807, 1849, '341024', '凫峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.904,29.8157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20808, 1850, '341021', '昌溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.641,29.921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20809, 1850, '341021', '北岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.515,29.9458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20810, 1850, '341021', '霞坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.597,29.9415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20811, 1850, '341021', '雄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.448,29.8377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20812, 1850, '341021', '新溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.71,29.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20813, 1850, '341021', '歙县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.466,29.8915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20814, 1850, '341021', '徽城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.465,29.8803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20815, 1850, '341021', '郑村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.346,29.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20816, 1850, '341021', '深渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.608,29.8894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20817, 1850, '341021', '上丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.337,29.9986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20818, 1850, '341021', '街口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.634,29.7564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20819, 1850, '341021', '岔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.769,29.9315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20820, 1850, '341021', '富堨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.332,29.9506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20821, 1850, '341021', '武阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.697,29.8782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20822, 1850, '341021', '许村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.332,30.0277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20823, 1850, '341021', '桂林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.426,30.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20824, 1850, '341021', '三阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.774,30.06', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20825, 1850, '341021', '杞梓里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.749,30.0507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20826, 1850, '341021', '狮石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.456,29.5904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20827, 1850, '341021', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.4,29.7798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20828, 1850, '341021', '小川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.635,29.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20829, 1850, '341021', '坑口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.503,29.8209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20830, 1850, '341021', '绍濂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.438,29.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20831, 1850, '341021', '溪头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.43,30.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20832, 1850, '341021', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.499,29.5701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20833, 1850, '341021', '璜田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.612,29.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20834, 1850, '341021', '长陔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.534,29.7028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20835, 1850, '341021', '森村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.461,29.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20836, 1850, '341021', '金川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.813,29.9889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20837, 1851, '341004', '杨村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.144,30.0063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20838, 1851, '341004', '潜口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.35,29.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20839, 1851, '341004', '徽州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.319,29.839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20840, 1851, '341004', '富溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.299,30.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20841, 1851, '341004', '呈坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.233,29.9742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20842, 1851, '341004', '洽舍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.211,29.9466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20843, 1851, '341004', '西溪南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.216,29.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20844, 1851, '341004', '岩寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.324,29.7687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20845, 1852, '341022', '璜尖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.355,29.541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20846, 1852, '341022', '陈霞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.101,29.6932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20847, 1852, '341022', '榆村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.354,29.6386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20848, 1852, '341022', '齐云山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.043,29.8671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20849, 1852, '341022', '流口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.789,29.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20850, 1852, '341022', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.968,29.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20851, 1852, '341022', '岭南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.182,29.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20852, 1852, '341022', '山斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.16,29.5172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20853, 1852, '341022', '兰田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.088,29.8586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20854, 1852, '341022', '东临溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.32,29.6162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20855, 1852, '341022', '龙田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.188,29.4499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20856, 1852, '341022', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,29.7669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20857, 1852, '341022', '汪村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.837,29.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20858, 1852, '341022', '渭桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.015,29.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20859, 1852, '341022', '海阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.19,29.8495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20860, 1852, '341022', '鹤城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.749,29.6548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20861, 1852, '341022', '商山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.16,29.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20862, 1852, '341022', '源芳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.308,29.5839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20863, 1852, '341022', '五城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.076,29.6279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20864, 1852, '341022', '白际乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.372,29.5348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20865, 1852, '341022', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.203,29.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20866, 1853, '341002', '阳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.312,29.6885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20867, 1853, '341002', '昱东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.321,29.7246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20868, 1853, '341002', '昱中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.313,29.7097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20869, 1853, '341002', '老街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.3,29.7197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20870, 1853, '341002', '黎阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.295,29.7181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20871, 1853, '341002', '奕棋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.278,29.7257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20872, 1853, '341002', '屯光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.36,29.782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20873, 1853, '341002', '昱西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.289,29.7166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20874, 1853, '341002', '新潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.234,29.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20875, 1854, '341525', '落儿岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,31.358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20876, 1854, '341525', '上士市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.049,31.1392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20877, 1854, '341525', '太平畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.98,31.1049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20878, 1854, '341525', '诸佛庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.21,31.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20879, 1854, '341525', '磨子潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,31.2281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20880, 1854, '341525', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.336,31.4223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20881, 1854, '341525', '衡山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.339,31.3523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20882, 1854, '341525', '漫水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.114,31.234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20883, 1854, '341525', '黑石渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.202,31.4269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20884, 1854, '341525', '与儿街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.402,31.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20885, 1854, '341525', '下符桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.424,31.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20886, 1854, '341525', '单龙寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.402,31.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20887, 1854, '341525', '但家庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.405,31.4611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20888, 1854, '341525', '佛子岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.3,31.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20889, 1854, '341525', '东西溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.43,31.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20890, 1854, '341525', '太阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.134,31.1575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20891, 1854, '341525', '大化坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.118,31.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20892, 1855, '341503', '徐集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.442,31.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20893, 1855, '341503', '城南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.492,31.6478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20894, 1855, '341503', '苏埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.422,31.6812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20895, 1855, '341503', '石婆店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.181,31.7016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20896, 1855, '341503', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.408,31.8262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20897, 1855, '341503', '韩摆渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.44,31.6993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20898, 1855, '341503', '单王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.496,31.9737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20899, 1855, '341503', '顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.434,31.9522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20900, 1855, '341503', '石板冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.301,31.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20901, 1855, '341503', '独山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.271,31.6708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20902, 1855, '341503', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.461,31.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20903, 1855, '341503', '固镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.392,31.9742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20904, 1855, '341503', '罗集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.278,31.8611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20905, 1855, '341503', '小华山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.505,31.7029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20906, 1855, '341503', '分路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.293,31.785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20907, 1855, '341503', '西河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.232,31.5589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20908, 1855, '341503', '平桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.418,31.8015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20909, 1855, '341503', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.488,31.7601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20910, 1855, '341503', '六安市裕安区经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.49,31.6793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20911, 1855, '341503', '狮子岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.279,31.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20912, 1855, '341503', '江家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.298,31.871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20913, 1855, '341503', '丁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.291,31.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20914, 1855, '341503', '西市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.48,31.7526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20915, 1856, '341524', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.77,31.6849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20916, 1856, '341524', '南溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.661,31.5833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20917, 1856, '341524', '铁冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.661,31.7609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20918, 1856, '341524', '燕子河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.044,31.3578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20919, 1856, '341524', '张冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.951,31.4204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20920, 1856, '341524', '白塔畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.001,31.747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20921, 1856, '341524', '汤家汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.644,31.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20922, 1856, '341524', '桃岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.741,31.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20923, 1856, '341524', '吴家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.621,31.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20924, 1856, '341524', '全军乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.808,31.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20925, 1856, '341524', '现代产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.937,31.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20926, 1856, '341524', '槐树湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.87,31.557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20927, 1856, '341524', '古碑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.833,31.4271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20928, 1856, '341524', '关庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.426,31.5217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20929, 1856, '341524', '花石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.679,31.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20930, 1856, '341524', '果子园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.623,31.4284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20931, 1856, '341524', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.869,31.4771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20932, 1856, '341524', '麻埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.15,31.5699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20933, 1856, '341524', '长岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.916,31.2421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20934, 1856, '341524', '斑竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.566,31.4316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20935, 1856, '341524', '梅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.928,31.7912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20936, 1856, '341524', '天堂寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.742,31.2688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20937, 1856, '341524', '油坊店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.858,31.5304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20938, 1856, '341524', '沙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.384,31.4261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20939, 1857, '341502', '东市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.516,31.7392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20940, 1857, '341502', '六安经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.576,31.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20941, 1857, '341502', '椿树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.661,31.7294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20942, 1857, '341502', '横塘岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.493,31.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20943, 1857, '341502', '中市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.497,31.7594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20944, 1857, '341502', '翁墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.645,31.8674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20945, 1857, '341502', '木厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.541,31.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20946, 1857, '341502', '毛坦厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.561,31.3766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20947, 1857, '341502', '三里桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.498,31.7807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20948, 1857, '341502', '中店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.53,31.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20949, 1857, '341502', '东桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.628,31.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20950, 1857, '341502', '清水河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.527,31.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20951, 1857, '341502', '三十铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.654,31.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20952, 1857, '341502', '施桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.741,31.5463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20953, 1857, '341502', '张店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.576,31.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20954, 1857, '341502', '城北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.577,31.8831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20955, 1857, '341502', '淠东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.557,31.9804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20956, 1857, '341502', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.786,31.4515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20957, 1857, '341502', '望城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.534,31.7617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20958, 1857, '341502', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.57,31.9539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20959, 1857, '341502', '先生店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.577,31.7214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20960, 1857, '341502', '东河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.499,31.4539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20961, 1857, '341502', '孙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.653,31.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20962, 1858, '341504', '孙岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.999,31.9637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20963, 1858, '341504', '姚李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,31.8683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20964, 1858, '341504', '叶集区镇平岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.973,31.8454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20965, 1858, '341504', '三元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.031,31.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20966, 1858, '341504', '洪集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.099,31.9228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20967, 1858, '341504', '叶集区镇区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.926,31.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20968, 1859, '341522', '邵岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.1,32.2936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20969, 1859, '341522', '曹庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,32.009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20970, 1859, '341522', '临水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,32.5584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20971, 1859, '341522', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.043,32.1408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20972, 1859, '341522', '临淮岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.296,32.3887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20973, 1859, '341522', '城西湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.083,32.4423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20974, 1859, '341522', '宋店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.218,32.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20975, 1859, '341522', '众兴集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.133,32.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20976, 1859, '341522', '王截流乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.052,32.4696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20977, 1859, '341522', '长集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.11,32.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20978, 1859, '341522', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.373,32.4359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20979, 1859, '341522', '冯井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.988,32.4003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20980, 1859, '341522', '彭塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.451,32.073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20981, 1859, '341522', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.424,32.1384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20982, 1859, '341522', '水产局管辖村', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.428,32.386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20983, 1859, '341522', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.001,32.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20984, 1859, '341522', '高塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.022,32.4126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20985, 1859, '341522', '安徽霍邱经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.939,32.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20986, 1859, '341522', '范桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.975,32.4556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20987, 1859, '341522', '孟集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.433,32.4', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20988, 1859, '341522', '扈胡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.977,32.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20989, 1859, '341522', '夏店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.27,32.0875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20990, 1859, '341522', '马店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.973,32.3164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20991, 1859, '341522', '潘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.458,32.3946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20992, 1859, '341522', '乌龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,32.0529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20993, 1859, '341522', '岔路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.168,32.1094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20994, 1859, '341522', '周集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.003,32.4769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20995, 1859, '341522', '三流乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,32.2269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20996, 1859, '341522', '白莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.033,32.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20997, 1859, '341522', '石店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.094,32.379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20998, 1859, '341522', '冯瓴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.449,32.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (20999, 1859, '341522', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.26,32.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21000, 1860, '341523', '南港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.985,31.3704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21001, 1860, '341523', '杭埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.145,31.5548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21002, 1860, '341523', '河棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.765,31.1622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21003, 1860, '341523', '棠树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.804,31.4657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21004, 1860, '341523', '庐镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.818,31.1351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21005, 1860, '341523', '五显镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.638,31.3668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21006, 1860, '341523', '桃溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.954,31.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21007, 1860, '341523', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.974,31.4753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21008, 1860, '341523', '高峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.692,31.2617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21009, 1860, '341523', '干汊河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.854,31.4351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21010, 1860, '341523', '柏林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.832,31.5158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21011, 1860, '341523', '万佛湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.72,31.3706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21012, 1860, '341523', '阙店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.891,31.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21013, 1860, '341523', '春秋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.915,31.3579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21014, 1860, '341523', '千人桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.046,31.5174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21015, 1860, '341523', '晓天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.507,31.1413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21016, 1860, '341523', '山七镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.695,31.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21017, 1860, '341523', '百神庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.043,31.4535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21018, 1860, '341523', '张母桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.732,31.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21019, 1860, '341523', '舒城县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.963,31.4969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21020, 1860, '341523', '舒茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.043,31.3733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21021, 1860, '341523', '汤池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.856,31.2788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21022, 1861, '340421', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.39,32.9144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21023, 1861, '340421', '尚塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.377,32.9937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21024, 1861, '340421', '岳张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.466,32.7405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21025, 1861, '340421', '关店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.624,32.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21026, 1861, '340421', '毛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,32.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21027, 1861, '340421', '顾桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.568,32.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21028, 1861, '340421', '桂集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.594,32.738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21029, 1861, '340421', '焦岗湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.607,32.645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21030, 1861, '340421', '夏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.567,32.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21031, 1861, '340421', '大兴集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,32.9062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21032, 1861, '340421', '古店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.552,32.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21033, 1861, '340421', '丁集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.629,32.8607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21034, 1861, '340421', '朱马店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.457,32.9331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21035, 1861, '340421', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,32.8029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21036, 1861, '340421', '李冲回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.752,32.6928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21037, 1861, '340421', '钱庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.466,32.848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21038, 1861, '340421', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.522,32.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21039, 1861, '340421', '刘集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.598,32.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21040, 1861, '340421', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.75,32.693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21041, 1862, '340405', '八公山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.848,32.6047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21042, 1862, '340405', '毕家岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.839,32.6532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21043, 1862, '340405', '新庄孜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.853,32.6474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21044, 1862, '340405', '妙山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.789,32.639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21045, 1862, '340405', '土坝孜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.843,32.6174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21046, 1862, '340405', '山王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.834,32.6493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21047, 1863, '340406', '芦集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.668,32.8204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21048, 1863, '340406', '平圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.958,32.6955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21049, 1863, '340406', '田集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.771,32.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21050, 1863, '340406', '高皇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.051,32.7302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21051, 1863, '340406', '祁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.832,32.7161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21052, 1863, '340406', '古沟回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.837,32.7543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21053, 1863, '340406', '架河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.77,32.7723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21054, 1863, '340406', '潘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.784,32.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21055, 1863, '340406', '夹沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.931,32.7988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21056, 1863, '340406', '贺疃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.707,32.9197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21057, 1863, '340406', '泥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.844,32.8382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21058, 1864, '340402', '九龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.072,32.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21059, 1864, '340402', '淮南经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.068,32.6584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21060, 1864, '340402', '孔店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.036,32.5466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21061, 1864, '340402', '上窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.158,32.7506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21062, 1864, '340402', '大通街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.038,32.6155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21063, 1864, '340402', '洛河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.068,32.6918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21064, 1865, '340404', '孙庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.984,32.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21065, 1865, '340404', '谢三村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.864,32.61', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21066, 1865, '340404', '孤堆回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.928,32.5668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21067, 1865, '340404', '杨公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.955,32.5257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21068, 1865, '340404', '望峰岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.852,32.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21069, 1865, '340404', '蔡家岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.864,32.61', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21070, 1865, '340404', '立新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.852,32.6133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21071, 1865, '340404', '平山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.861,32.5983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21072, 1865, '340404', '谢家集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.866,32.6009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21073, 1865, '340404', '唐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.837,32.6018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21074, 1865, '340404', '李郢孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.905,32.5899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21075, 1866, '340403', '安成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.969,32.6202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21076, 1866, '340403', '舜耕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.012,32.6441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21077, 1866, '340403', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.974,32.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21078, 1866, '340403', '泉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.955,32.6445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21079, 1866, '340403', '田东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.03,32.6665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21080, 1866, '340403', '三和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.036,32.6121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21081, 1866, '340403', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.009,32.6573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21082, 1866, '340403', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.005,32.6307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21083, 1866, '340403', '洞山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.014,32.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21084, 1866, '340403', '新淮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.019,32.6539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21085, 1866, '340403', '国庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.026,32.6319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21086, 1866, '340403', '史院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.03,32.4618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21087, 1866, '340403', '曹庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.997,32.4832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21088, 1866, '340403', '淮滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.011,32.6635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21089, 1867, '340422', '八公山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.754,32.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21090, 1867, '340422', '寿西湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.777,32.5709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21091, 1867, '340422', '三觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.792,32.0495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21092, 1867, '340422', '双庙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.882,32.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21093, 1867, '340422', '茶庵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.764,32.0432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21094, 1867, '340422', '陶店回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.876,32.3226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21095, 1867, '340422', '炎刘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.825,32.1444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21096, 1867, '340422', '窑口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.759,32.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21097, 1867, '340422', '迎河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.534,32.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21098, 1867, '340422', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.61,32.2685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21099, 1867, '340422', '正阳关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.489,32.4454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21100, 1867, '340422', '安丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.612,32.1371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21101, 1867, '340422', '正阳关农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.528,32.4539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21102, 1867, '340422', '丰庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.556,32.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21103, 1867, '340422', '大顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.993,32.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21104, 1867, '340422', '众兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.672,32.1392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21105, 1867, '340422', '安丰塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.73,32.4217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21106, 1867, '340422', '瓦埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.986,32.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21107, 1867, '340422', '涧沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.614,32.5103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21108, 1867, '340422', '堰口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.745,32.3622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21109, 1867, '340422', '保义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.697,32.2635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21110, 1867, '340422', '寿春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.744,32.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21111, 1867, '340422', '张李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.596,32.1959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21112, 1867, '340422', '安徽寿县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.77,32.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21113, 1867, '340422', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.755,32.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21114, 1867, '340422', '隐贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.612,32.1222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21115, 1867, '340422', '小甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.9,32.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21116, 1867, '340422', '刘岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.912,32.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21117, 1868, '340311', '沫口精细化工园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.554,33.0043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21118, 1868, '340311', '吴小街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.398,32.9643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21119, 1868, '340311', '梅桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.255,33.0449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21120, 1868, '340311', '曹老集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.384,33.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21121, 1868, '340311', '小蚌埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.343,32.9484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21122, 1868, '340311', '淮滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.344,32.9616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21123, 1868, '340311', '蚌埠工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.318,32.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21124, 1868, '340311', '沫河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.637,32.9931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21125, 1869, '340322', '申集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.748,33.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21126, 1869, '340322', '城南工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,33.1098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21127, 1869, '340322', '临北回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.57,32.978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21128, 1869, '340322', '小圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.645,33.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21129, 1869, '340322', '浍南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.555,33.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21130, 1869, '340322', '沱湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.82,33.1545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21131, 1869, '340322', '小溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.948,33.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21132, 1869, '340322', '双忠庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.898,33.1915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21133, 1869, '340322', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.669,33.0175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21134, 1869, '340322', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.019,33.1637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21135, 1869, '340322', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.682,33.043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21136, 1869, '340322', '头铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,33.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21137, 1869, '340322', '朱顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.07,33.1389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21138, 1869, '340322', '武桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.988,33.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21139, 1869, '340322', '东刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.593,33.2861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21140, 1870, '340321', '龙亢农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.861,33.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21141, 1870, '340321', '双桥集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.942,33.2972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21142, 1870, '340321', '鲍集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.111,33.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21143, 1870, '340321', '河溜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.907,33.0406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21144, 1870, '340321', '魏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.235,33.1288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21145, 1870, '340321', '唐集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.012,32.8032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21146, 1870, '340321', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.254,32.9812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21147, 1870, '340321', '褚集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.886,33.2318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21148, 1870, '340321', '兰桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.89,32.9796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21149, 1870, '340321', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.995,33.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21150, 1870, '340321', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,33.0532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21151, 1870, '340321', '徐圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.871,33.0889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21152, 1870, '340321', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.165,33.1238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21153, 1870, '340321', '淝河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.975,33.1676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21154, 1870, '340321', '荆芡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.149,33.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21155, 1870, '340321', '白莲坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.965,32.9119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21156, 1870, '340321', '万福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.781,32.9968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21157, 1870, '340321', '淝南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.943,33.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21158, 1870, '340321', '常坟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.043,32.8392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21159, 1870, '340321', '龙亢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.926,33.1607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21160, 1871, '340304', '秦集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,32.9458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21161, 1871, '340304', '禹会虚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.302,32.9392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21162, 1871, '340304', '长青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.327,32.9499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21163, 1871, '340304', '安徽怀远马城经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.142,32.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21164, 1871, '340304', '高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.333,32.9066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21165, 1871, '340304', '马城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.247,32.799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21166, 1872, '340303', '湖滨社区行政事务管理中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.436,32.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21167, 1872, '340303', '天桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.368,32.9428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21168, 1872, '340303', '淮河社区行政事务管理中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.369,32.9306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21169, 1872, '340303', '宏业村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.397,32.9388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21170, 1872, '340303', '燕山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.3,32.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21171, 1872, '340303', '纬二路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.352,32.9481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21172, 1872, '340303', '青年街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.365,32.9455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21173, 1872, '340303', '黄庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.355,32.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21174, 1872, '340303', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.387,32.9402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21175, 1872, '340303', '龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,32.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21176, 1872, '340303', '雪华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.401,32.9292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21177, 1873, '340302', '东升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.378,32.9455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21178, 1873, '340302', '治淮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.371,32.9511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21179, 1873, '340302', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.364,32.949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21180, 1873, '340302', '延安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.38,32.9399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21181, 1873, '340302', '长淮卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.432,32.9384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21182, 1873, '340302', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.385,32.9515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21183, 1873, '340302', '曹山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.397,32.9388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21184, 1873, '340302', '李楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.417,32.8788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21185, 1874, '340323', '新马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.315,33.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21186, 1874, '340323', '杨庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,33.2557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21187, 1874, '340323', '王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.433,33.1137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21188, 1874, '340323', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.309,33.3676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21189, 1874, '340323', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.514,33.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21190, 1874, '340323', '任桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.253,33.5007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21191, 1874, '340323', '仲兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.276,33.4036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21192, 1874, '340323', '湖沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.094,33.3984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21193, 1874, '340323', '濠城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.512,33.2841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21194, 1874, '340323', '石湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.426,33.3699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21195, 1874, '340323', '连城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.327,33.2842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21196, 1874, '340323', '固镇开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.378,33.2506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21197, 1875, '340222', '新港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.084,31.1492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21198, 1875, '340222', '横山公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.215,31.1393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21199, 1875, '340222', '峨山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.21,31.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21200, 1875, '340222', '平铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.293,31.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21201, 1875, '340222', '繁阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.154,31.0744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21202, 1875, '340222', '荻港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.053,31.1704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21203, 1875, '340222', '孙村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.157,31.0644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21204, 1876, '340203', '弋江桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.381,31.3007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21205, 1876, '340203', '中山南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.372,31.3149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21206, 1876, '340203', '芜湖高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.395,31.2538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21207, 1876, '340203', '中南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,31.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21208, 1876, '340203', '火龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.398,31.2564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21209, 1876, '340203', '瀂港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.397,31.2555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21210, 1876, '340203', '马塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.386,31.2998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21211, 1876, '340203', '白马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.373,31.1829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21212, 1876, '340203', '南瑞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.395,31.3071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21213, 1877, '340202', '汀棠公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.373,31.3788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21214, 1877, '340202', '赭麓公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.398,31.3391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21215, 1877, '340202', '方村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.446,31.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21216, 1877, '340202', '赭山公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.365,31.3425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21217, 1877, '340202', '滨江公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.349,31.3425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21218, 1877, '340202', '弋矶山公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.347,31.3555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21219, 1877, '340202', '天门山公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.338,31.3884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21220, 1877, '340202', '大砻坊公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.38,31.3258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21221, 1877, '340202', '镜湖新城公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.401,31.3256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21222, 1877, '340202', '荆山公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.432,31.3091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21223, 1877, '340202', '张家山公共服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.38,31.3428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21224, 1878, '340281', '红庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.731,31.3872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21225, 1878, '340281', '姚沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.904,31.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21226, 1878, '340281', '赫店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.803,31.3253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21227, 1878, '340281', '安徽无为经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.345,31.3683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21228, 1878, '340281', '石涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.853,31.3798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21229, 1878, '340281', '牛埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.622,31.0342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21230, 1878, '340281', '蜀山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.661,31.2611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21231, 1878, '340281', '严桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.838,31.4695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21232, 1878, '340281', '鹤毛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.575,31.1492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21233, 1878, '340281', '昆山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.553,31.0643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21234, 1878, '340281', '洪巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.637,31.1649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21235, 1878, '340281', '福渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.001,31.364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21236, 1878, '340281', '泥汊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.957,31.2788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21237, 1878, '340281', '泉塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.69,31.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21238, 1878, '340281', '高沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.964,31.1429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21239, 1878, '340281', '襄安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.746,31.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21240, 1878, '340281', '陡沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.05,31.3099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21241, 1878, '340281', '刘渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.76,31.1719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21242, 1878, '340281', '十里墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.856,31.216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21243, 1878, '340281', '无城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.85,31.3171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21244, 1878, '340281', '开城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.734,31.3465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21245, 1879, '340208', '高安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.169,31.2167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21246, 1879, '340208', '龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.264,31.1909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21247, 1879, '340208', '保定街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.19,31.2421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21248, 1879, '340208', '安徽芜湖三山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.189,31.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21249, 1879, '340208', '峨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.252,31.186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21250, 1879, '340208', '三山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.199,31.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21251, 1880, '340207', '安徽芜湖鸠江经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.431,31.4721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21252, 1880, '340207', '裕溪口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.305,31.4442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21253, 1880, '340207', '官陡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.382,31.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21254, 1880, '340207', '四褐山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.353,31.4528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21255, 1880, '340207', '安徽省江北产业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.282,31.4818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21256, 1880, '340207', '汤沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.207,31.2804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21257, 1880, '340207', '清水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.521,31.3766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21258, 1880, '340207', '芜湖经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,31.4091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21259, 1880, '340207', '万春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.498,31.3097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21260, 1880, '340207', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.365,31.4142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21261, 1880, '340207', '白茆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.074,31.3134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21262, 1880, '340207', '沈巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.15,31.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21263, 1880, '340207', '湾里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.383,31.3999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21264, 1880, '340207', '二坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.212,31.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21265, 1881, '340221', '红杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.589,31.0468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21266, 1881, '340221', '六郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.497,31.3056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21267, 1881, '340221', '陶辛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.462,31.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21268, 1881, '340221', '安徽新芜经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.599,31.1341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21269, 1881, '340221', '湾沚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.609,31.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21270, 1881, '340221', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.645,31.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21271, 1882, '340223', '安徽南陵工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.323,30.8993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21272, 1882, '340223', '烟墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.163,30.7753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21273, 1882, '340223', '何湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.145,30.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21274, 1882, '340223', '三里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.355,30.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21275, 1882, '340223', '籍山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.419,30.8922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21276, 1882, '340223', '许镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.398,31.1683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21277, 1882, '340223', '弋江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.397,30.9798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21278, 1882, '340223', '家发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.272,30.9671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21279, 1882, '340223', '工山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.272,30.9658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21280, 1883, '341182', '明东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.044,32.7658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21281, 1883, '341182', '自来桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.292,32.7334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21282, 1883, '341182', '石坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.09,32.721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21283, 1883, '341182', '柳巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.048,33.1325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21284, 1883, '341182', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.833,32.9819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21285, 1883, '341182', '明南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.053,32.6564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21286, 1883, '341182', '女山湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.164,32.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21287, 1883, '341182', '明光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.094,32.7123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21288, 1883, '341182', '张八岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.153,32.5451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21289, 1883, '341182', '泊岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.177,33.2176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21290, 1883, '341182', '古沛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.978,33.0054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21291, 1883, '341182', '明西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.936,32.7773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21292, 1883, '341182', '三界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.13,32.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21293, 1883, '341182', '管店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.109,32.7086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21294, 1883, '341182', '苏巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.998,32.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21295, 1883, '341182', '潘村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.235,33.0557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21296, 1883, '341182', '涧溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.2,32.7976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21297, 1884, '341181', '大通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.807,32.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21298, 1884, '341181', '万寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.066,32.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21299, 1884, '341181', '冶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.975,32.5541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21300, 1884, '341181', '铜城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.891,32.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21301, 1884, '341181', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.005,32.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21302, 1884, '341181', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.994,32.7574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21303, 1884, '341181', '郑集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.912,32.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21304, 1884, '341181', '张铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.746,32.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21305, 1884, '341181', '石梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.854,32.6704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21306, 1884, '341181', '安徽省大圹圩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.065,32.7482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21307, 1884, '341181', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.846,32.6658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21308, 1884, '341181', '金集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.043,32.515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21309, 1884, '341181', '仁和集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.149,32.7309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21310, 1884, '341181', '天长街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.028,32.6463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21311, 1884, '341181', '城东新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.01,32.6714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21312, 1884, '341181', '秦栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.157,32.5526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21313, 1884, '341181', '汊涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.734,32.7306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21314, 1885, '341126', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.72,32.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21315, 1885, '341126', '官塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.204,32.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21316, 1885, '341126', '西泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.27,32.8021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21317, 1885, '341126', '枣巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.764,33.005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21318, 1885, '341126', '临淮关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.614,32.9234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21319, 1885, '341126', '武店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.284,32.7531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21320, 1885, '341126', '黄湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.721,33.006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21321, 1885, '341126', '小溪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.859,32.8852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21322, 1885, '341126', '刘府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.402,32.8337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21323, 1885, '341126', '总铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.628,32.7575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21324, 1885, '341126', '凤阳县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.516,32.9353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21325, 1885, '341126', '殷涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.457,32.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21326, 1885, '341126', '府城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.539,32.9768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21327, 1885, '341126', '安徽凤阳硅工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.714,32.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21328, 1885, '341126', '红心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.814,32.7482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21329, 1885, '341126', '大溪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.805,32.9683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21330, 1885, '341126', '大庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.408,32.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21331, 1886, '341125', '七里塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.312,32.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21332, 1886, '341125', '张桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.652,32.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21333, 1886, '341125', '池河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.87,32.5367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21334, 1886, '341125', '能仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.305,32.6242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21335, 1886, '341125', '界牌集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.814,32.3262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21336, 1886, '341125', '桑涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.804,32.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21337, 1886, '341125', '仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.723,32.3886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21338, 1886, '341125', '永康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.469,32.6516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21339, 1886, '341125', '蒋集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,32.2989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21340, 1886, '341125', '凌家湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.36,32.5642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21341, 1886, '341125', '三和集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.79,32.5795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21342, 1886, '341125', '西卅店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.595,32.4938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21343, 1886, '341125', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.739,32.3218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21344, 1886, '341125', '定远盐化工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.295,32.5615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21345, 1886, '341125', '拂晓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.973,32.6062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21346, 1886, '341125', '二龙回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.688,32.3308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21347, 1886, '341125', '藕塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.896,32.3496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21348, 1886, '341125', '连江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.59,32.2979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21349, 1886, '341125', '范岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.711,32.5705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21350, 1886, '341125', '严桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.712,32.4664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21351, 1886, '341125', '朱湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.408,32.4686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21352, 1886, '341125', '吴圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.466,32.3154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21353, 1886, '341125', '定城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.693,32.493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21354, 1886, '341125', '定远县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,32.5024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21355, 1886, '341125', '炉桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.286,32.6084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21356, 1887, '341122', '独山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.615,32.4339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21357, 1887, '341122', '汊河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.518,32.2762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21358, 1887, '341122', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.397,32.4846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21359, 1887, '341122', '大英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.571,32.3015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21360, 1887, '341122', '张山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.527,32.4778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21361, 1887, '341122', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.554,32.407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21362, 1887, '341122', '三城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.446,32.2042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21363, 1887, '341122', '舜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.441,32.6045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21364, 1887, '341122', '雷官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.644,32.3717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21365, 1887, '341122', '施官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.463,32.4158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21366, 1887, '341122', '半塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.496,32.6616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21367, 1887, '341122', '杨郢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.498,32.6781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21368, 1888, '341103', '黄泥岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.366,32.5782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21369, 1888, '341103', '南谯工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.353,32.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21370, 1888, '341103', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.267,32.4615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21371, 1888, '341103', '章广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.93,32.3212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21372, 1888, '341103', '珠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.144,32.4745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21373, 1888, '341103', '龙蟠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.356,32.29', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21374, 1888, '341103', '大柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.043,32.4317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21375, 1888, '341103', '施集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.116,32.2205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21376, 1888, '341103', '大王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.376,32.2967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21377, 1888, '341103', '乌衣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.502,32.1961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21378, 1888, '341103', '腰铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.283,32.2184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21379, 1889, '341102', '西涧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.349,32.4157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21380, 1889, '341102', '东门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.319,32.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21381, 1889, '341102', '扬子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.31,32.3264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21382, 1889, '341102', '西门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.298,32.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21383, 1889, '341102', '清流街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.337,32.3034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21384, 1889, '341102', '城北新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.431,32.3131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21385, 1889, '341102', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.305,32.2799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21386, 1889, '341102', '南门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.298,32.3089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21387, 1889, '341102', '滁州市经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.373,32.3748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21388, 1889, '341102', '琅琊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.241,32.3096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21389, 1889, '341102', '安徽滁州琅琊经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.37,32.3752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21390, 1889, '341102', '北门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.304,32.326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21391, 1890, '341124', '武岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.2,32.0238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21392, 1890, '341124', '六镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.055,32.0726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21393, 1890, '341124', '十字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.231,32.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21394, 1890, '341124', '襄河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.226,32.1318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21395, 1890, '341124', '二郎口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.117,31.9995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21396, 1890, '341124', '古河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.866,31.9399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21397, 1890, '341124', '大墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.843,31.969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21398, 1890, '341124', '石沛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.075,32.1651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21399, 1890, '341124', '马厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.023,31.9634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21400, 1890, '341124', '西王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.968,32.2254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21401, 1891, '340124', '冶父山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.305,31.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21402, 1891, '340124', '矾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.375,31.0268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21403, 1891, '340124', '龙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.529,31.1343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21404, 1891, '340124', '柯坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.095,31.256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21405, 1891, '340124', '庐城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.333,31.3574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21406, 1891, '340124', '同大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.252,31.5042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21407, 1891, '340124', '石头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.277,31.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21408, 1891, '340124', '白山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.453,31.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21409, 1891, '340124', '万山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.178,31.3527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21410, 1891, '340124', '郭河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.27,31.4568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21411, 1891, '340124', '金牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.224,31.436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21412, 1891, '340124', '安徽庐江经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.301,31.2955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21413, 1891, '340124', '泥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.295,31.1745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21414, 1891, '340124', '汤池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.107,31.377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21415, 1891, '340124', '乐桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.124,31.1429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21416, 1891, '340124', '盛桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.426,31.4472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21417, 1891, '340124', '白湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.396,31.3096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21418, 1891, '340124', '罗河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.27,30.9917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21419, 1892, '340111', '烟墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.291,31.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21420, 1892, '340111', '淝河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.312,31.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21421, 1892, '340111', '骆岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.306,31.7972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21422, 1892, '340111', '义城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.302,31.744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21423, 1892, '340111', '芜湖路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.268,31.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21424, 1892, '340111', '滨湖世纪社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.286,31.744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21425, 1892, '340111', '望湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.292,31.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21426, 1892, '340111', '大圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.368,31.7824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21427, 1892, '340111', '常青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.275,31.8244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21428, 1892, '340111', '包公街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.304,31.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21429, 1892, '340111', '同安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.289,31.8321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21430, 1893, '340181', '栏杆集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.841,31.9704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21431, 1893, '340181', '槐林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.54,31.3796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21432, 1893, '340181', '中垾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.716,31.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21433, 1893, '340181', '夏阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.81,31.7558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21434, 1893, '340181', '凤凰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.906,31.6161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21435, 1893, '340181', '亚父街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.892,31.5916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21436, 1893, '340181', '庙岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.731,31.8392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21437, 1893, '340181', '柘皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.734,31.8403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21438, 1893, '340181', '银屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.827,31.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21439, 1893, '340181', '苏湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.832,31.9113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21440, 1893, '340181', '中庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.474,31.5292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21441, 1893, '340181', '烔炀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.628,31.6366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21442, 1893, '340181', '坝镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.584,31.3417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21443, 1893, '340181', '黄麓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.593,31.5198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21444, 1893, '340181', '散兵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.791,31.556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21445, 1893, '340181', '天河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.851,31.5883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21446, 1893, '340181', '半汤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.888,31.6297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21447, 1893, '340181', '卧牛山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.818,31.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21448, 1894, '340123', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.183,31.5508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21449, 1894, '340123', '紫蓬山', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.91,31.7444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21450, 1894, '340123', '官亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.699,31.83', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21451, 1894, '340123', '山南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.764,31.5838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21452, 1894, '340123', '花岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.001,31.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21453, 1894, '340123', '高店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.851,31.9556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21454, 1894, '340123', '紫蓬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.084,31.7793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21455, 1894, '340123', '上派镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.162,31.7465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21456, 1894, '340123', '柿树岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.981,31.5359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21457, 1894, '340123', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.416,31.5869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21458, 1894, '340123', '铭传乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.766,31.7619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21459, 1894, '340123', '桃花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.218,31.7491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21460, 1894, '340123', '严店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.255,31.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21461, 1894, '340123', '桃花工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.205,31.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21462, 1895, '340104', '笔架山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,31.8254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21463, 1895, '340104', '蜀山新产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.156,31.8951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21464, 1895, '340104', '井岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.194,31.8625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21465, 1895, '340104', '三里庵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.276,31.8535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21466, 1895, '340104', '小庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.103,31.9192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21467, 1895, '340104', '高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.043,31.824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21468, 1895, '340104', '南岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,31.9166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21469, 1895, '340104', '临湖社区管理管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.205,31.7251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21470, 1895, '340104', '南七街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.227,31.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21471, 1895, '340104', '琥珀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.257,31.872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21472, 1895, '340104', '稻香村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.269,31.8416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21473, 1895, '340104', '芙蓉社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.2,31.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21474, 1895, '340104', '莲花社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.217,31.778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21475, 1895, '340104', '五里墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.236,31.8773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21476, 1895, '340104', '锦绣社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.203,31.7274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21477, 1895, '340104', '荷叶地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.234,31.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21478, 1895, '340104', '海恒社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.241,31.7654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21479, 1895, '340104', '西园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.224,31.8498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21480, 1895, '340104', '高刘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.042,32.0011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21481, 1896, '340103', '杏林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.295,31.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21482, 1896, '340103', '四里河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.242,31.8761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21483, 1896, '340103', '大杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.198,31.8661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21484, 1896, '340103', '三孝口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.27,31.8695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21485, 1896, '340103', '双岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.272,31.8743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21486, 1896, '340103', '逍遥津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.3,31.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21487, 1896, '340103', '杏花村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.251,31.9179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21488, 1896, '340103', '三十岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.102,31.9198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21489, 1896, '340103', '海棠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.261,31.8955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21490, 1896, '340103', '亳州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.254,31.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21491, 1896, '340103', '庐阳工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.298,31.9229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21492, 1897, '340121', '吴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.002,32.1606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21493, 1897, '340121', '岗集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.076,31.9589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21494, 1897, '340121', '杜集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.287,32.4428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21495, 1897, '340121', '左店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.267,32.4514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21496, 1897, '340121', '双墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.2,32.0881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21497, 1897, '340121', '陶楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.123,32.0937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21498, 1897, '340121', '造甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.321,32.3102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21499, 1897, '340121', '朱巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.185,32.3035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21500, 1897, '340121', '罗塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.049,32.4408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21501, 1897, '340121', '杨庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.038,32.1546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21502, 1897, '340121', '水湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.101,32.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21503, 1897, '340121', '下塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,32.2926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21504, 1897, '340121', '义井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.071,32.2718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21505, 1897, '340121', '庄墓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.049,32.3761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21506, 1897, '340121', '双凤开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.262,31.9533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21507, 1898, '340122', '包公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.758,32.0341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21508, 1898, '340122', '撮镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.405,31.8367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21509, 1898, '340122', '店埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.445,31.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21510, 1898, '340122', '牌坊回族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.501,31.9314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21511, 1898, '340122', '肥东新城开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.435,31.8577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21512, 1898, '340122', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.659,31.8469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21513, 1898, '340122', '众兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.377,31.9855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21514, 1898, '340122', '响导乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.586,32.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21515, 1898, '340122', '合肥循环经济示范园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.503,31.7877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21516, 1898, '340122', '杨店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.522,32.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21517, 1898, '340122', '元疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.343,32.0843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21518, 1898, '340122', '马湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.766,32.0336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21519, 1898, '340122', '张集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.706,32.0816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21520, 1898, '340122', '长临河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.416,31.753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21521, 1898, '340122', '八斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.501,32.2031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21522, 1898, '340122', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.684,32.2202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21523, 1898, '340122', '梁园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.524,32.0416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21524, 1898, '340122', '白龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.4,32.2551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21525, 1898, '340122', '桥头集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.572,31.6974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21526, 1898, '340122', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.718,32.063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21527, 1899, '340102', '和平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.324,31.8541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21528, 1899, '340102', '三里街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.311,31.8757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21529, 1899, '340102', '铜陵路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.327,31.8595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21530, 1899, '340102', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.297,31.8747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21531, 1899, '340102', '磨店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.366,31.9581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21532, 1899, '340102', '大通路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.313,31.8582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21533, 1899, '340102', '瑶海区工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.334,31.8929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21534, 1899, '340102', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.294,31.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21535, 1899, '340102', '红光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.351,31.8585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21536, 1899, '340102', '三十头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.31,31.9896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21537, 1899, '340102', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.311,31.8531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21538, 1899, '340102', '七里站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.35,31.8714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21539, 1899, '340102', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.35,31.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21540, 1899, '340102', '长淮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.306,31.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21541, 1899, '340102', '七里塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.296,31.9247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21542, 1899, '340102', '方庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.324,31.8864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21543, 1899, '340102', '合肥龙岗综合经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.362,31.8852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21544, 1899, '340102', '明光路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.306,31.8571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21545, 1900, '341882', '卢村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.389,30.8153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21546, 1900, '341882', '杨滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.215,30.8276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21547, 1900, '341882', '柏垫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.229,30.8407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21548, 1900, '341882', '祠山岗茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.525,30.8969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21549, 1900, '341882', '东亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.508,30.8757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21550, 1900, '341882', '四合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.309,30.7275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21551, 1900, '341882', '桃州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.453,30.9572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21552, 1900, '341882', '邱村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.415,31.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21553, 1900, '341882', '誓节镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.357,30.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21554, 1900, '341882', '新杭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.467,31.0578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21555, 1901, '341824', '伏岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.772,30.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21556, 1901, '341824', '生态工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.576,30.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21557, 1901, '341824', '荆州乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.865,30.2363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21558, 1901, '341824', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.441,30.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21559, 1901, '341824', '家朋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.786,30.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21560, 1901, '341824', '金沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.67,30.2019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21561, 1901, '341824', '华阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.548,30.1233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21562, 1901, '341824', '临溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.503,29.9985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21563, 1901, '341824', '扬溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.674,30.1949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21564, 1901, '341824', '瀛洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.637,30.0989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21565, 1901, '341824', '板桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.68,30.3188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21566, 1901, '341824', '上庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.478,30.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21567, 1902, '341825', '旌阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.582,30.3721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21568, 1902, '341825', '庙首镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.353,30.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21569, 1902, '341825', '云乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.612,30.3929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21570, 1902, '341825', '版书镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.446,30.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21571, 1902, '341825', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.3,30.3431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21572, 1902, '341825', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.41,30.4264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21573, 1902, '341825', '白地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.363,30.2264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21574, 1902, '341825', '蔡家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.488,30.3955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21575, 1902, '341825', '俞村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.659,30.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21576, 1902, '341825', '孙村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.414,30.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21577, 1903, '341802', '金坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.647,30.8991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21578, 1903, '341802', '孙埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.851,30.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21579, 1903, '341802', '养贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.737,31.1512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21580, 1903, '341802', '济川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.765,30.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21581, 1903, '341802', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.661,30.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21582, 1903, '341802', '澄江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.745,30.9836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21583, 1903, '341802', '古泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.675,31.0652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21584, 1903, '341802', '朱桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.798,31.1456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21585, 1903, '341802', '水东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.983,30.8502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21586, 1903, '341802', '沈村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.821,30.9579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21587, 1903, '341802', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.803,30.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21588, 1903, '341802', '杨柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.545,30.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21589, 1903, '341802', '双桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.833,30.9322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21590, 1903, '341802', '敬亭山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.683,30.9877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21591, 1903, '341802', '黄渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.818,30.8325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21592, 1903, '341802', '五星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.789,31.0443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21593, 1903, '341802', '鳌峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.721,30.901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21594, 1903, '341802', '文昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.472,30.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21595, 1903, '341802', '水阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.721,31.3138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21596, 1903, '341802', '西林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.733,30.9577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21597, 1903, '341802', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.747,30.7821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21598, 1903, '341802', '周王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.718,30.8234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21599, 1903, '341802', '洪林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.916,30.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21600, 1903, '341802', '飞彩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.67,30.9573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21601, 1903, '341802', '寒亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.534,30.9139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21602, 1903, '341802', '狸桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.911,31.2428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21603, 1904, '341881', '中溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.128,30.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21604, 1904, '341881', '方塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.76,30.4352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21605, 1904, '341881', '胡乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.779,30.445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21606, 1904, '341881', '宁墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.075,30.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21607, 1904, '341881', '港口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.929,30.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21608, 1904, '341881', '万家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.161,30.2981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21609, 1904, '341881', '西津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.992,30.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21610, 1904, '341881', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.906,30.5814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21611, 1904, '341881', '青龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.905,30.6518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21612, 1904, '341881', '云梯畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.329,30.3949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21613, 1904, '341881', '南极乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.983,30.3905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21614, 1904, '341881', '河沥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.065,30.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21615, 1904, '341881', '甲路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.798,30.4456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21616, 1904, '341881', '梅林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.071,30.6363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21617, 1904, '341881', '汪溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119,30.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21618, 1904, '341881', '竹峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.893,30.5524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21619, 1904, '341881', '霞西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.039,30.5799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21620, 1904, '341881', '仙霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.253,30.4526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21621, 1905, '341821', '毕桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.038,31.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21622, 1905, '341821', '梅渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.199,31.2891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21623, 1905, '341821', '飞鲤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.006,31.0718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21624, 1905, '341821', '上海市白茅岭监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.331,31.0306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21625, 1905, '341821', '涛城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.304,31.1456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21626, 1905, '341821', '十字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.215,31.0303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21627, 1905, '341821', '建平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.105,31.1649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21628, 1905, '341821', '安徽省国营十字铺茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.159,31.0251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21629, 1905, '341821', '姚村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.07,30.936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21630, 1905, '341821', '新发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.073,31.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21631, 1905, '341821', '郎溪经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.249,31.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21632, 1905, '341821', '凌笪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.351,31.3014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21633, 1906, '341823', '泾川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.406,30.7365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21634, 1906, '341823', '琴溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.507,30.8281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21635, 1906, '341823', '昌桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.308,30.8089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21636, 1906, '341823', '桃花潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.172,30.5873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21637, 1906, '341823', '云岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.195,30.7031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21638, 1906, '341823', '黄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.32,30.6093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21639, 1906, '341823', '蔡村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.633,30.6314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21640, 1906, '341823', '茂林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.226,30.439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21641, 1906, '341823', '丁家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.297,30.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21642, 1906, '341823', '汀溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.541,30.608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21643, 1906, '341823', '榔桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.423,30.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21644, 1907, '341602', '安徽亳州工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.721,33.8453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21645, 1907, '341602', '谯东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.829,33.8892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21646, 1907, '341602', '张店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.926,33.8965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21647, 1907, '341602', '城父镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.938,33.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21648, 1907, '341602', '薛阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.763,33.8753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21649, 1907, '341602', '立德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.843,33.5643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21650, 1907, '341602', '亳州市经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.826,33.7789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21651, 1907, '341602', '五马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.889,33.8752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21652, 1907, '341602', '花戏楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.759,33.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21653, 1907, '341602', '十河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.584,33.7877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21654, 1907, '341602', '十八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.627,33.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21655, 1907, '341602', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.761,33.571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21656, 1907, '341602', '汤陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.817,33.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21657, 1907, '341602', '牛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.567,33.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21658, 1907, '341602', '芦庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.82,34.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21659, 1907, '341602', '魏岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.675,33.8727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21660, 1907, '341602', '古井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,34.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21661, 1907, '341602', '龙杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.758,33.4944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21662, 1907, '341602', '颜集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.901,34.012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21663, 1907, '341602', '双沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.602,33.6949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21664, 1907, '341602', '沙土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.983,33.7734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21665, 1907, '341602', '十九里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.827,33.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21666, 1907, '341602', '淝河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.654,33.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21667, 1907, '341602', '观堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.921,33.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21668, 1907, '341602', '华佗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.813,33.9746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21669, 1907, '341602', '赵桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.758,33.7559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21670, 1907, '341602', '大杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.966,33.7006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21671, 1908, '341623', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.224,33.3632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21672, 1908, '341623', '胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.151,32.9741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21673, 1908, '341623', '张村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.913,33.3435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21674, 1908, '341623', '西潘楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.127,33.2368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21675, 1908, '341623', '王人镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.86,33.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21676, 1908, '341623', '汝集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.91,33.2548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21677, 1908, '341623', '纪王场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.05,33.3292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21678, 1908, '341623', '城北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.259,33.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21679, 1908, '341623', '中疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,33.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21680, 1908, '341623', '马店孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.067,33.1097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21681, 1908, '341623', '新张集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.291,32.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21682, 1908, '341623', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.984,33.0681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21683, 1908, '341623', '程家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,33.1163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21684, 1908, '341623', '孙庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.021,33.2148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21685, 1908, '341623', '孙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.068,33.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21686, 1908, '341623', '利辛县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.138,33.1255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21687, 1908, '341623', '巩店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.938,33.2045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21688, 1908, '341623', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.22,33.0962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21689, 1908, '341623', '江集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.132,33.3089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21690, 1908, '341623', '阚疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.291,33.0445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21691, 1908, '341623', '望疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.315,33.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21692, 1908, '341623', '展沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.366,32.9407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21693, 1908, '341623', '王市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,33.2318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21694, 1908, '341623', '大李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.067,32.9889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21695, 1908, '341623', '柴湖良种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.243,32.9605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21696, 1909, '341622', '范集工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.613,33.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21697, 1909, '341622', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.325,33.2891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21698, 1909, '341622', '立仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.766,33.0955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21699, 1909, '341622', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.526,33.2812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21700, 1909, '341622', '安徽蒙城经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.598,33.2494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21701, 1909, '341622', '双涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.629,33.211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21702, 1909, '341622', '坛城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.521,33.4237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21703, 1909, '341622', '小涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.527,33.4062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21704, 1909, '341622', '楚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.523,33.0659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21705, 1909, '341622', '蒙城县农业委员会直辖村级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.666,33.2846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21706, 1909, '341622', '篱笆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.428,33.0812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21707, 1909, '341622', '板桥集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.637,33.3246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21708, 1909, '341622', '小辛集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.456,33.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21709, 1909, '341622', '漆园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.648,33.3572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21710, 1909, '341622', '庄周街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.542,33.2576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21711, 1909, '341622', '岳坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.343,33.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21712, 1909, '341622', '淮北矿业集团有限责任公司许疃煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.713,33.4156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21713, 1909, '341622', '乐土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.551,33.2057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21714, 1909, '341622', '三义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.376,33.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21715, 1909, '341622', '许疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,33.3684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21716, 1909, '341622', '王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,33.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21717, 1909, '341622', '白杨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.723,33.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21718, 1910, '341621', '西阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.292,33.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21719, 1910, '341621', '店集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.967,33.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21720, 1910, '341621', '安徽省涡阳工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.19,33.5066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21721, 1910, '341621', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.341,33.6136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21722, 1910, '341621', '天静宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.168,33.6016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21723, 1910, '341621', '花沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.009,33.5312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21724, 1910, '341621', '义门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.066,33.6762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21725, 1910, '341621', '楚店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.159,33.47', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21726, 1910, '341621', '丹城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.395,33.7818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21727, 1910, '341621', '公吉寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.114,33.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21728, 1910, '341621', '标里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.951,33.5879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21729, 1910, '341621', '牌坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.074,33.7485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21730, 1910, '341621', '临湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.936,33.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21731, 1910, '341621', '陈大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.04,33.6242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21732, 1910, '341621', '马店集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,33.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21733, 1910, '341621', '青町镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,33.5604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21734, 1910, '341621', '石弓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.359,33.6741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21735, 1910, '341621', '曹市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.419,33.562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21736, 1910, '341621', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.187,33.7193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21737, 1910, '341621', '涡南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.146,33.3838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21738, 1910, '341621', '高炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,33.5156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21739, 1910, '341621', '单集林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.422,33.5042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21740, 1910, '341621', '高公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,33.4452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21741, 1910, '341621', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.197,33.5016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21742, 1910, '341621', '星园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.196,33.4992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21743, 1911, '341302', '栏杆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.183,33.9853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21744, 1911, '341302', '宿州高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.969,33.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21745, 1911, '341302', '永镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.098,33.2956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21746, 1911, '341302', '蕲县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.93,33.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21747, 1911, '341302', '支河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.146,33.9085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21748, 1911, '341302', '桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.919,33.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21749, 1911, '341302', '芦岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,33.4482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21750, 1911, '341302', '灰古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.099,33.7278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21751, 1911, '341302', '宿州埇桥经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.192,34.0689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21752, 1911, '341302', '三八街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.922,33.6694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21753, 1911, '341302', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.974,33.6462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21754, 1911, '341302', '夹沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.025,33.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21755, 1911, '341302', '时村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.406,33.8523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21756, 1911, '341302', '埇桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.973,33.6405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21757, 1911, '341302', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.993,33.6485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21758, 1911, '341302', '宿州马鞍山现代产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.2,33.6894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21759, 1911, '341302', '蒿沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,33.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21760, 1911, '341302', '大泽乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.161,33.4814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21761, 1911, '341302', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.019,33.6391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21762, 1911, '341302', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.98,33.6357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21763, 1911, '341302', '杨庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.274,34.0773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21764, 1911, '341302', '三里湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.981,33.6267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21765, 1911, '341302', '汴河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.05,33.7218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21766, 1911, '341302', '顺河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.105,33.8234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21767, 1911, '341302', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.112,33.7762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21768, 1911, '341302', '符离镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.959,33.871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21769, 1911, '341302', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.96,33.6674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21770, 1911, '341302', '沱河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.007,33.6297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21771, 1911, '341302', '宿州经济技术开发区鞋城管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.933,33.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21772, 1911, '341302', '宿州经济技术开发区北杨寨行政管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.911,33.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21773, 1911, '341302', '曹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.124,34.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21774, 1911, '341302', '西二铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.87,33.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21775, 1911, '341302', '朱仙庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.077,33.6075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21776, 1911, '341302', '金海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.002,33.6178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21777, 1911, '341302', '解集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.42,33.8914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21778, 1911, '341302', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.928,33.3588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21779, 1911, '341302', '桃沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.233,33.7951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21780, 1911, '341302', '道东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.995,33.638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21781, 1911, '341302', '大店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.282,33.6393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21782, 1911, '341302', '夹沟农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.132,33.8488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21783, 1911, '341302', '苗安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.396,33.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21784, 1911, '341302', '褚兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.376,34.0753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21785, 1912, '341324', '黑塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118,33.6419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21786, 1912, '341324', '墩集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.022,33.4212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21787, 1912, '341324', '丁湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.846,33.4606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21788, 1912, '341324', '草庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.952,33.4754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21789, 1912, '341324', '黄圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.696,33.7012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21790, 1912, '341324', '瓦坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.939,33.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21791, 1912, '341324', '刘圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.977,33.6902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21792, 1912, '341324', '大路口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.845,33.3909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21793, 1912, '341324', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.817,33.6972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21794, 1912, '341324', '屏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.786,33.5855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21795, 1912, '341324', '泗城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.874,33.511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21796, 1912, '341324', '长沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.647,33.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21797, 1912, '341324', '山头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.11,33.6848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21798, 1912, '341324', '草沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.775,33.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21799, 1912, '341324', '泗县开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.914,33.4909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21800, 1912, '341324', '大杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.757,33.6639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21801, 1913, '341322', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.546,34.197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21802, 1913, '341322', '闫集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.732,34.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21803, 1913, '341322', '孙圩子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.777,34.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21804, 1913, '341322', '庄里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.064,33.9794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21805, 1913, '341322', '赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,34.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21806, 1913, '341322', '萧县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.027,34.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21807, 1913, '341322', '张庄寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.64,34.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21808, 1913, '341322', '杜楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.8,34.2319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21809, 1913, '341322', '祖楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.675,34.1146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21810, 1913, '341322', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.653,34.4079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21811, 1913, '341322', '王寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.692,34.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21812, 1913, '341322', '石林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.588,34.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21813, 1913, '341322', '黄口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.641,34.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21814, 1913, '341322', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.003,34.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21815, 1913, '341322', '永堌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.015,34.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21816, 1913, '341322', '杨楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.852,34.2902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21817, 1913, '341322', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.061,34.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21818, 1913, '341322', '马井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.8,34.2284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21819, 1913, '341322', '圣泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.935,34.3077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21820, 1913, '341322', '酒店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.672,34.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21821, 1913, '341322', '刘套镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.901,34.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21822, 1913, '341322', '龙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.023,34.2158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21823, 1913, '341322', '青龙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.6,34.0507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21824, 1913, '341322', '丁里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.945,34.1547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21825, 1914, '341323', '娄庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.445,33.6081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21826, 1914, '341323', '灵璧县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.565,33.5315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21827, 1914, '341323', '尤集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.41,33.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21828, 1914, '341323', '渔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.693,33.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21829, 1914, '341323', '尹集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.426,33.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21830, 1914, '341323', '大路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.584,33.8229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21831, 1914, '341323', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.754,33.8914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21832, 1914, '341323', '下楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.459,34.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21833, 1914, '341323', '朱集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,33.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21834, 1914, '341323', '灵城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.578,33.5974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21835, 1914, '341323', '虞姬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.609,33.6228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21836, 1914, '341323', '杨疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,33.7211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21837, 1914, '341323', '大庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.678,33.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21838, 1914, '341323', '黄湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.417,33.4785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21839, 1914, '341323', '禅堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.504,33.7019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21840, 1914, '341323', '浍沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.546,33.8305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21841, 1914, '341323', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.526,33.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21842, 1914, '341323', '冯庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.603,33.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21843, 1914, '341323', '韦集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.53,33.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21844, 1914, '341323', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.672,33.9446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21845, 1915, '341321', '关帝庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.358,34.383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21846, 1915, '341321', '赵屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.226,34.4249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21847, 1915, '341321', '程庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.528,34.3293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21848, 1915, '341321', '周寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.466,34.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21849, 1915, '341321', '李庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.44,34.4167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21850, 1915, '341321', '曹庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.243,34.4793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21851, 1915, '341321', '葛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.525,34.4811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21852, 1915, '341321', '薛楼板材加工园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.441,34.3214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21853, 1915, '341321', '良梨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.498,34.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21854, 1915, '341321', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.394,34.4404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21855, 1915, '341321', '砀城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.472,34.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21856, 1915, '341321', '高铁新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.375,34.4117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21857, 1915, '341321', '唐寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.566,34.4418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21858, 1915, '341321', '朱楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.506,34.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21859, 1915, '341321', '玄庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.432,34.493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21860, 1915, '341321', '官庄坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.196,34.5584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21861, 1916, '500236', '竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.171,31.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21862, 1916, '500236', '公平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.101,31.1534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21863, 1916, '500236', '冯坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.493,30.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21864, 1916, '500236', '红土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.105,31.1708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21865, 1916, '500236', '鹤峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.492,30.9414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21866, 1916, '500236', '鱼复街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.505,31.0463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21867, 1916, '500236', '大树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.256,31.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21868, 1916, '500236', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.198,30.8033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21869, 1916, '500236', '太和土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.191,30.682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21870, 1916, '500236', '青莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.131,31.1584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21871, 1916, '500236', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.356,30.9149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21872, 1916, '500236', '五马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.372,30.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21873, 1916, '500236', '草堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.603,31.1391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21874, 1916, '500236', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.369,30.7632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21875, 1916, '500236', '岩湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.51,31.2351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21876, 1916, '500236', '安坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.328,30.9643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21877, 1916, '500236', '平安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.153,31.3045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21878, 1916, '500236', '龙桥土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.393,30.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21879, 1916, '500236', '吐祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.182,30.7888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21880, 1916, '500236', '白帝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.497,31.118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21881, 1916, '500236', '朱衣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.339,31.0623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21882, 1916, '500236', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.456,30.9974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21883, 1916, '500236', '羊市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.111,30.8582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21884, 1916, '500236', '夔门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.44,31.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21885, 1916, '500236', '康乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.379,31.1991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21886, 1916, '500236', '康坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.238,31.0092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21887, 1916, '500236', '汾河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.473,31.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21888, 1916, '500236', '甲高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.147,30.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21889, 1916, '500236', '石岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.372,31.125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21890, 1916, '500236', '云雾土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.099,30.5773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21891, 1916, '500236', '长安土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.548,30.7992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21892, 1916, '500236', '永安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.399,31.0355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21893, 1917, '500238', '徐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.552,31.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21894, 1917, '500238', '尖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.896,31.3924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21895, 1917, '500238', '双阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.765,31.5307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21896, 1917, '500238', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.578,31.4061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21897, 1917, '500238', '红池坝经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.019,31.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21898, 1917, '500238', '蒲莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.547,31.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21899, 1917, '500238', '宁河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.594,31.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21900, 1917, '500238', '花台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.629,31.3307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21901, 1917, '500238', '土城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.094,31.6555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21902, 1917, '500238', '天元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.094,31.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21903, 1917, '500238', '乌龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.288,31.667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21904, 1917, '500238', '通城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.711,31.3997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21905, 1917, '500238', '鱼鳞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.453,31.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21906, 1917, '500238', '古路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.403,31.3625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21907, 1917, '500238', '塘坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.364,31.4583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21908, 1917, '500238', '长桂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.303,31.5373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21909, 1917, '500238', '田坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.814,31.3913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21910, 1917, '500238', '菱角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.363,31.391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21911, 1917, '500238', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.012,31.4024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21912, 1917, '500238', '宁厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.78,31.4941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21913, 1917, '500238', '峰灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.542,31.3077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21914, 1917, '500238', '中岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.798,31.5026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21915, 1917, '500238', '柏杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.544,31.3934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21916, 1917, '500238', '白鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.488,31.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21917, 1917, '500238', '上磺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.523,31.3551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21918, 1917, '500238', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.604,31.5932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21919, 1917, '500238', '文峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.179,31.5476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21920, 1917, '500238', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.5,31.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21921, 1917, '500238', '兰英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.776,31.4468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21922, 1917, '500238', '下堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.38,31.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21923, 1917, '500238', '中梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.337,31.6172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21924, 1917, '500238', '天星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.526,31.5027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21925, 1917, '500238', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.416,31.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21926, 1918, '500229', '周溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.442,31.8841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21927, 1918, '500229', '北屏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.71,32.0338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21928, 1918, '500229', '修齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.806,31.9261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21929, 1918, '500229', '咸宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.638,31.7275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21930, 1918, '500229', '庙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.444,31.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21931, 1918, '500229', '治平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.77,31.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21932, 1918, '500229', '高观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.865,31.8352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21933, 1918, '500229', '岚天乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.955,31.9182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21934, 1918, '500229', '葛城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.652,31.9518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21935, 1918, '500229', '明通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.536,31.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21936, 1918, '500229', '巴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.45,32.1083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21937, 1918, '500229', '厚坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.844,31.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21938, 1918, '500229', '龙田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.763,31.9536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21939, 1918, '500229', '高燕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.549,31.9771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21940, 1918, '500229', '河鱼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.997,31.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21941, 1918, '500229', '鸡鸣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.555,31.7378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21942, 1918, '500229', '沿河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.345,32.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21943, 1918, '500229', '蓼子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.555,31.8547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21944, 1918, '500229', '高楠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.508,32.128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21945, 1918, '500229', '复兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.68,31.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21946, 1918, '500229', '坪坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.432,32.0485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21947, 1918, '500229', '明中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.712,31.702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21948, 1918, '500229', '东安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.061,31.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21949, 1918, '500229', '左岚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.414,32.1922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21950, 1918, '500229', '双河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.286,31.9389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21951, 1919, '500230', '三合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.683,29.8332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21952, 1919, '500230', '名山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.713,29.9313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21953, 1919, '500230', '包鸾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.72,29.7835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21954, 1919, '500230', '双路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.805,29.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21955, 1919, '500230', '三建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.892,29.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21956, 1919, '500230', '虎威镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.687,29.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21957, 1919, '500230', '湛普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.675,29.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21958, 1919, '500230', '董家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.675,30.263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21959, 1919, '500230', '龙孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.898,30.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21960, 1919, '500230', '暨龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.98,29.6574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21961, 1919, '500230', '太平坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.123,29.7599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21962, 1919, '500230', '仙女湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.839,29.5705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21963, 1919, '500230', '许明寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.662,30.1995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21964, 1919, '500230', '高家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.977,29.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21965, 1919, '500230', '武平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.089,29.8388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21966, 1919, '500230', '都督乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.085,29.6762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21967, 1919, '500230', '三元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.66,30.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21968, 1919, '500230', '龙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.99,29.8475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21969, 1919, '500230', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.697,30.1433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21970, 1919, '500230', '兴龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.569,30.0615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21971, 1919, '500230', '保合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.687,30.0627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21972, 1919, '500230', '仁沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.595,30.0938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21973, 1919, '500230', '青龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.728,30.1751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21974, 1919, '500230', '兴义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.805,29.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21975, 1919, '500230', '树人镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.761,30.0291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21976, 1919, '500230', '十直镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.756,30.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21977, 1919, '500230', '栗子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.921,29.7789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21978, 1919, '500230', '南天湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.796,29.7462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21979, 1919, '500230', '社坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.608,30.0196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21980, 1919, '500230', '江池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.957,29.9329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21981, 1920, '500243', '黄家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.053,29.1888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21982, 1920, '500243', '石盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.211,29.0703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21983, 1920, '500243', '太原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.226,29.7458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21984, 1920, '500243', '鹿鸣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.046,29.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21985, 1920, '500243', '诸佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.493,29.2942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21986, 1920, '500243', '绍庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.106,29.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21987, 1920, '500243', '长生镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.297,29.3767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21988, 1920, '500243', '石柳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.42,29.6307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21989, 1920, '500243', '走马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.448,29.4832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21990, 1920, '500243', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.324,29.3168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21991, 1920, '500243', '郁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.381,29.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21992, 1920, '500243', '善感乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.353,29.1231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21993, 1920, '500243', '保家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.413,29.4356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21994, 1920, '500243', '梅子垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.495,29.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21995, 1920, '500243', '润溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.015,29.1974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21996, 1920, '500243', '鹿角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.374,29.2234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21997, 1920, '500243', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.498,29.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21998, 1920, '500243', '万足镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.206,29.2225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (21999, 1920, '500243', '桑柘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.324,29.3168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22000, 1920, '500243', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.163,29.512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22001, 1920, '500243', '岩东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.234,29.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22002, 1920, '500243', '普子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.3,29.664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22003, 1920, '500243', '汉葭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.252,29.4199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22004, 1920, '500243', '双龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.245,29.1145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22005, 1920, '500243', '乔梓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.37,29.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22006, 1920, '500243', '鞍子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.414,29.1718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22007, 1920, '500243', '朗溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.147,29.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22008, 1920, '500243', '芦塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.344,29.5562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22009, 1920, '500243', '联合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.368,29.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22010, 1920, '500243', '高谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.05,29.4078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22011, 1920, '500243', '连湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.399,29.6605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22012, 1920, '500243', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.51,29.4527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22013, 1920, '500243', '桐楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.535,29.2691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22014, 1920, '500243', '靛水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.996,29.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22015, 1920, '500243', '龙塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.987,29.1221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22016, 1920, '500243', '棣棠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.156,29.5779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22017, 1920, '500243', '三义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.424,29.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22018, 1920, '500243', '大垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.907,29.0571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22019, 1920, '500243', '龙射镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.111,29.5056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22020, 1921, '500241', '孝溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.861,28.3591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22021, 1921, '500241', '隘口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.859,28.2943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22022, 1921, '500241', '官庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.997,28.5783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22023, 1921, '500241', '海洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.083,28.7847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22024, 1921, '500241', '宋农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.075,28.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22025, 1921, '500241', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.838,28.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22026, 1921, '500241', '平凯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.037,28.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22027, 1921, '500241', '膏田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.8,28.5293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22028, 1921, '500241', '兰桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.983,28.2436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22029, 1921, '500241', '涌洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.106,28.6178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22030, 1921, '500241', '龙池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.007,28.6104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22031, 1921, '500241', '里仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.156,28.6999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22032, 1921, '500241', '溶溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.818,28.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22033, 1921, '500241', '岑溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.084,28.363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22034, 1921, '500241', '清溪场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.871,28.4573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22035, 1921, '500241', '石堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.234,28.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22036, 1921, '500241', '大溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.127,28.806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22037, 1921, '500241', '妙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.963,28.6331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22038, 1921, '500241', '中和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.039,28.4868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22039, 1921, '500241', '峨溶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.279,28.617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22040, 1921, '500241', '石耶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.04,28.397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22041, 1921, '500241', '钟灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.948,28.3385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22042, 1921, '500241', '中平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.154,28.399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22043, 1921, '500241', '雅江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.116,28.5062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22044, 1921, '500241', '乌杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.897,28.4534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22045, 1921, '500241', '梅江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.004,28.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22046, 1921, '500241', '洪安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.146,28.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22047, 1922, '500235', '南溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.849,31.1829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22048, 1922, '500235', '养鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.616,31.0665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22049, 1922, '500235', '桑坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.973,31.2523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22050, 1922, '500235', '故陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.163,30.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22051, 1922, '500235', '云安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.863,31.0733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22052, 1922, '500235', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.986,31.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22053, 1922, '500235', '农坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.732,31.4058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22054, 1922, '500235', '路阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.664,31.2315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22055, 1922, '500235', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.587,31.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22056, 1922, '500235', '后叶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.639,31.3379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22057, 1922, '500235', '巴阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.539,30.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22058, 1922, '500235', '人和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.638,31.0316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22059, 1922, '500235', '青龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.763,30.9631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22060, 1922, '500235', '黄石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.686,31.019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22061, 1922, '500235', '红狮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.043,31.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22062, 1922, '500235', '外郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.743,30.7684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22063, 1922, '500235', '盘龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.753,30.9026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22064, 1922, '500235', '泥溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.851,30.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22065, 1922, '500235', '普安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.946,30.9012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22066, 1922, '500235', '鱼泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.815,31.3042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22067, 1922, '500235', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,31.3183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22068, 1922, '500235', '上坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.9,31.3466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22069, 1922, '500235', '洞鹿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.978,31.1109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22070, 1922, '500235', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.803,31.0579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22071, 1922, '500235', '沙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.902,31.3454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22072, 1922, '500235', '双土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.977,31.1578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22073, 1922, '500235', '凤鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.838,30.9093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22074, 1922, '500235', '龙角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.928,30.8279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22075, 1922, '500235', '龙洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.169,31.0664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22076, 1922, '500235', '渠马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.594,31.1547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22077, 1922, '500235', '宝坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.947,30.9166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22078, 1922, '500235', '云阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.895,31.0225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22079, 1922, '500235', '栖霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.816,30.9614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22080, 1922, '500235', '新津乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.98,30.8608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22081, 1922, '500235', '双江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.734,30.9869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22082, 1922, '500235', '堰坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.977,30.8038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22083, 1922, '500235', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.659,31.2483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22084, 1922, '500235', '大阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.022,31.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22085, 1922, '500235', '蔈草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.927,30.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22086, 1922, '500235', '耀灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.901,30.6718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22087, 1922, '500235', '高阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.684,31.1764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22088, 1922, '500235', '清水土家族自治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.944,30.7174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22089, 1923, '500237', '高唐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.868,31.0814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22090, 1923, '500237', '建坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.911,31.052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22091, 1923, '500237', '庙宇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.649,30.9639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22092, 1923, '500237', '抱龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.011,31.0147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22093, 1923, '500237', '大昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.736,31.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22094, 1923, '500237', '曲尺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.695,31.022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22095, 1923, '500237', '铜鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.693,30.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22096, 1923, '500237', '巫峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.91,31.1193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22097, 1923, '500237', '大溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.691,31.027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22098, 1923, '500237', '竹贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.018,31.2832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22099, 1923, '500237', '官阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.947,31.39', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22100, 1923, '500237', '红椿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.683,30.858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22101, 1923, '500237', '培石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.073,30.9676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22102, 1923, '500237', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.761,30.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22103, 1923, '500237', '福田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.738,31.2908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22104, 1923, '500237', '骡坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.079,31.2404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22105, 1923, '500237', '当阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.005,31.4522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22106, 1923, '500237', '两坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.014,31.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22107, 1923, '500237', '平河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.033,31.3474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22108, 1923, '500237', '龙门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.905,31.1172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22109, 1923, '500237', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.852,31.2204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22110, 1923, '500237', '金坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.949,31.2279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22111, 1923, '500237', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.696,31.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22112, 1923, '500237', '三溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.085,31.1456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22113, 1923, '500237', '笃坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.067,30.9595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22114, 1923, '500237', '邓家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.085,30.8864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22115, 1924, '500242', '酉酬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.058,28.9429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22116, 1924, '500242', '后坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.419,28.7411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22117, 1924, '500242', '龚滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.422,28.9437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22118, 1924, '500242', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.571,28.6675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22119, 1924, '500242', '官清乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.685,28.5967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22120, 1924, '500242', '涂市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.806,28.874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22121, 1924, '500242', '万木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.531,28.7218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22122, 1924, '500242', '木叶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.904,29.2971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22123, 1924, '500242', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.849,28.794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22124, 1924, '500242', '黑水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.734,29.0447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22125, 1924, '500242', '双泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.621,28.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22126, 1924, '500242', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.999,29.2453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22127, 1924, '500242', '泔溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.004,29.1915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22128, 1924, '500242', '浪坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.506,29.0825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22129, 1924, '500242', '苍岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.617,29.0905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22130, 1924, '500242', '天馆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.459,28.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22131, 1924, '500242', '庙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.416,29.0513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22132, 1924, '500242', '车田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.024,29.1852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22133, 1924, '500242', '板溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.853,28.7801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22134, 1924, '500242', '酉水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.065,28.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22135, 1924, '500242', '清泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.473,28.8001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22136, 1924, '500242', '楠木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.752,28.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22137, 1924, '500242', '李溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.678,28.6027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22138, 1924, '500242', '腴地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.88,29.0027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22139, 1924, '500242', '南腰界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.671,28.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22140, 1924, '500242', '花田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.705,29.0257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22141, 1924, '500242', '大溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.122,29.11', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22142, 1924, '500242', '五福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.16,29.1795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22143, 1924, '500242', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.722,28.7252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22144, 1924, '500242', '丁市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.472,28.8143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22145, 1924, '500242', '两罾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.446,28.9222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22146, 1924, '500242', '麻旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.909,28.9266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22147, 1924, '500242', '可大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.201,29.0551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22148, 1924, '500242', '铜鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.645,28.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22149, 1924, '500242', '毛坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.838,29.1062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22150, 1924, '500242', '宜居乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.516,28.8443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22151, 1924, '500242', '偏柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.052,29.1149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22152, 1924, '500242', '钟多街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.852,28.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22153, 1924, '500242', '桃花源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.737,28.7978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22154, 1925, '500231', '裴兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.491,30.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22155, 1925, '500231', '坪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.385,30.1041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22156, 1925, '500231', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.408,30.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22157, 1925, '500231', '高安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.523,30.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22158, 1925, '500231', '白家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.354,30.0431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22159, 1925, '500231', '包家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.342,30.0851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22160, 1925, '500231', '黄沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.338,30.2789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22161, 1925, '500231', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.405,30.1645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22162, 1925, '500231', '普顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.553,30.4329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22163, 1925, '500231', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.486,30.1038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22164, 1925, '500231', '大石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.532,30.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22165, 1925, '500231', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.506,30.421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22166, 1925, '500231', '鹤游镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.361,30.1086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22167, 1925, '500231', '杠家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.491,30.2383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22168, 1925, '500231', '周嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.466,30.4404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22169, 1925, '500231', '五洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.315,30.2261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22170, 1925, '500231', '沙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.541,30.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22171, 1925, '500231', '砚台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.405,30.1618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22172, 1925, '500231', '永平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.442,30.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22173, 1925, '500231', '曹回镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.501,30.3936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22174, 1925, '500231', '长龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.4,30.3108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22175, 1925, '500231', '桂阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.318,30.2699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22176, 1925, '500231', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.487,30.4851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22177, 1925, '500231', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.299,30.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22178, 1925, '500231', '桂溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.316,30.3621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22179, 1925, '500231', '澄溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.339,30.1524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22180, 1926, '500233', '官坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.852,30.4478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22181, 1926, '500233', '任家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.856,30.1728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22182, 1926, '500233', '石子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.03,30.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22183, 1926, '500233', '拔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.721,30.3465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22184, 1926, '500233', '乌杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.031,30.2266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22185, 1926, '500233', '金鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.714,30.4417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22186, 1926, '500233', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.846,30.3335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22187, 1926, '500233', '野鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.054,30.562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22188, 1926, '500233', '兴峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.922,30.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22189, 1926, '500233', '金声乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.001,30.4514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22190, 1926, '500233', '洋渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.967,30.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22191, 1926, '500233', '善广乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.798,30.2171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22192, 1926, '500233', '汝溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.014,30.4909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22193, 1926, '500233', '东溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.086,30.2735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22194, 1926, '500233', '新立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.674,30.2485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22195, 1926, '500233', '石黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.816,30.5264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22196, 1926, '500233', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.693,30.3869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22197, 1926, '500233', '石宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.136,30.4969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22198, 1926, '500233', '磨子土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.055,30.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22199, 1926, '500233', '马灌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.694,30.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22200, 1926, '500233', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.075,30.2846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22201, 1926, '500233', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.801,30.3379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22202, 1926, '500233', '涂井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.088,30.4811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22203, 1926, '500233', '双桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.629,30.2516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22204, 1926, '500233', '忠州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.04,30.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22205, 1926, '500233', '三汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.794,30.4397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22206, 1926, '500233', '白公街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.96,30.2635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22207, 1926, '500233', '黄金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.067,30.4144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22208, 1926, '500233', '新生街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.925,30.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22209, 1927, '500240', '枫木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.436,30.2214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22210, 1927, '500240', '鱼池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.287,30.3359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22211, 1927, '500240', '黄水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.322,30.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22212, 1927, '500240', '黄鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.337,29.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22213, 1927, '500240', '王场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.166,30.3367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22214, 1927, '500240', '悦崃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.314,30.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22215, 1927, '500240', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.512,30.0953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22216, 1927, '500240', '中益乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.337,30.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22217, 1927, '500240', '黎场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.163,30.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22218, 1927, '500240', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.219,30.1328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22219, 1927, '500240', '大歇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.074,30.0254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22220, 1927, '500240', '西沱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.204,30.3744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22221, 1927, '500240', '三星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.095,29.8719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22222, 1927, '500240', '龙沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.184,30.183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22223, 1927, '500240', '三益乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.294,30.1564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22224, 1927, '500240', '沙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.408,30.0656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22225, 1927, '500240', '马武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.313,29.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22226, 1927, '500240', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.148,30.0522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22227, 1927, '500240', '沿溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.194,30.244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22228, 1927, '500240', '金竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.435,29.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22229, 1927, '500240', '王家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.306,30.3882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22230, 1927, '500240', '六塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.284,29.9858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22231, 1927, '500240', '龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.267,29.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22232, 1927, '500240', '临溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.293,30.3876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22233, 1927, '500240', '石家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.319,30.3321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22234, 1927, '500240', '河嘴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.366,30.513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22235, 1927, '500240', '万朝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.157,30.1664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22236, 1927, '500240', '下路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.081,29.9652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22237, 1927, '500240', '金铃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.466,29.9936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22238, 1927, '500240', '万安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.048,29.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22239, 1927, '500240', '洗新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.333,29.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22240, 1927, '500240', '南宾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.172,30.0202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22241, 1927, '500240', '新乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.457,29.9408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22242, 1928, '500117', '铜溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.156,29.947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22243, 1928, '500117', '小沔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.579,30.146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22244, 1928, '500117', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.013,30.3089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22245, 1928, '500117', '草街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.4,30.0215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22246, 1928, '500117', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.052,30.1462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22247, 1928, '500117', '肖家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.446,30.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22248, 1928, '500117', '涞滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.413,30.1885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22249, 1928, '500117', '清平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.518,30.0061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22250, 1928, '500117', '云门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.416,30.1344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22251, 1928, '500117', '合阳城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.244,30.0732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22252, 1928, '500117', '钓鱼城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.271,30.0718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22253, 1928, '500117', '土场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.489,29.9681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22254, 1928, '500117', '三庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.077,30.2779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22255, 1928, '500117', '钱塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.259,30.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22256, 1928, '500117', '南津街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.26,29.8882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22257, 1928, '500117', '隆兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.015,30.1631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22258, 1928, '500117', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.407,30.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22259, 1928, '500117', '双凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.394,30.0195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22260, 1928, '500117', '二郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.987,30.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22261, 1928, '500117', '古楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.133,30.1641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22262, 1928, '500117', '大石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.185,30.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22263, 1928, '500117', '渭沱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.162,30.0509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22264, 1928, '500117', '盐井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.314,29.9515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22265, 1928, '500117', '狮滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.512,30.0252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22266, 1928, '500117', '沙鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.425,30.2487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22267, 1928, '500117', '龙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.455,30.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22268, 1928, '500117', '燕窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.056,30.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22269, 1928, '500117', '香龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.608,30.2304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22270, 1928, '500117', '双槐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.604,30.2258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22271, 1928, '500117', '三汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.599,30.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22272, 1929, '500152', '别口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.938,30.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22273, 1929, '500152', '群力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.798,30.3121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22274, 1929, '500152', '寿桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.864,29.9144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22275, 1929, '500152', '小渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.878,29.9149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22276, 1929, '500152', '五桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.744,29.8534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22277, 1929, '500152', '太安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.802,30.1346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22278, 1929, '500152', '宝龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.91,30.3279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22279, 1929, '500152', '桂林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.826,30.2731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22280, 1929, '500152', '卧佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.778,29.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22281, 1929, '500152', '双江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.716,30.2525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22282, 1929, '500152', '塘坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.791,30.0415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22283, 1929, '500152', '崇龛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.555,30.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22284, 1929, '500152', '柏梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.732,30.1499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22285, 1929, '500152', '梓潼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.803,30.1383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22286, 1929, '500152', '上和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.927,30.1641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22287, 1929, '500152', '田家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.91,30.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22288, 1929, '500152', '龙形镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.891,30.2663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22289, 1929, '500152', '花岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.671,30.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22290, 1929, '500152', '米心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.789,30.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22291, 1929, '500152', '玉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.796,30.3007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22292, 1929, '500152', '新胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.773,29.9831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22293, 1929, '500152', '古溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.887,30.3926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22294, 1930, '500151', '双山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.808,29.8333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22295, 1930, '500151', '土桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.029,29.8058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22296, 1930, '500151', '旧县街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.268,29.8938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22297, 1930, '500151', '石鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.093,29.7762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22298, 1930, '500151', '侣俸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.944,29.9113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22299, 1930, '500151', '平滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.833,29.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22300, 1930, '500151', '安居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.035,29.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22301, 1930, '500151', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.964,29.5782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22302, 1930, '500151', '白羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.058,29.9542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22303, 1930, '500151', '永嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.935,29.5983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22304, 1930, '500151', '巴川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.037,29.8883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22305, 1930, '500151', '福果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.075,29.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22306, 1930, '500151', '小林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.837,29.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22307, 1930, '500151', '虎峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.08,29.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22308, 1930, '500151', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.005,29.9521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22309, 1930, '500151', '少云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.93,30.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22310, 1930, '500151', '围龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.973,29.6511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22311, 1930, '500151', '安溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.027,29.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22312, 1930, '500151', '庆隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.116,29.7753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22313, 1930, '500151', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.934,30.0341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22314, 1930, '500151', '大庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.075,29.6747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22315, 1930, '500151', '维新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.933,30.0631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22316, 1930, '500151', '二坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.134,29.9026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22317, 1930, '500151', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.094,29.9178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22318, 1930, '500151', '蒲吕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.159,29.8575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22319, 1930, '500151', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.125,29.8943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22320, 1930, '500151', '华兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.038,29.6045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22321, 1930, '500151', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.036,29.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22322, 1931, '500115', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.154,29.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22323, 1931, '500115', '新市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.12,29.9732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22324, 1931, '500115', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.029,29.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22325, 1931, '500115', '渡舟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.146,29.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22326, 1931, '500115', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.151,29.7933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22327, 1931, '500115', '洪湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.928,30.0165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22328, 1931, '500115', '长寿湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.236,29.9379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22329, 1931, '500115', '八颗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.015,29.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22330, 1931, '500115', '但渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.138,29.8134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22331, 1931, '500115', '龙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.175,30.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22332, 1931, '500115', '云集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.326,29.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22333, 1931, '500115', '邻封镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.169,29.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22334, 1931, '500115', '晏家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.994,29.8721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22335, 1931, '500115', '万顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.98,30.0882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22336, 1931, '500115', '葛兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.154,30.0054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22337, 1931, '500115', '海棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.246,30.1432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22338, 1931, '500115', '石堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.16,30.132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22339, 1931, '500115', '云台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.166,30.1248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22340, 1931, '500115', '菩提街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.041,29.8738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22341, 1932, '500120', '青杠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.197,29.4971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22342, 1932, '500120', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.1,29.5446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22343, 1932, '500120', '福禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.133,29.5875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22344, 1932, '500120', '广普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.131,29.363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22345, 1932, '500120', '河边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.193,29.6217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22346, 1932, '500120', '大路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.225,29.7713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22347, 1932, '500120', '健龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.18,29.3929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22348, 1932, '500120', '丁家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.161,29.4352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22349, 1932, '500120', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.105,29.3257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22350, 1932, '500120', '正兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.124,29.5293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22351, 1932, '500120', '璧城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.231,29.6327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22352, 1932, '500120', '七塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.24,29.7586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22353, 1932, '500120', '璧泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.172,29.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22354, 1932, '500120', '来凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.162,29.4689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22355, 1932, '500120', '八塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.285,29.8088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22356, 1933, '500111', '龙水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.789,29.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22357, 1933, '500111', '智凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.762,29.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22358, 1933, '500111', '拾万镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.864,29.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22359, 1933, '500111', '龙岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.649,29.7343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22360, 1933, '500111', '国梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.888,29.7901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22361, 1933, '500111', '珠溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.645,29.5593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22362, 1933, '500111', '古龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.991,29.7135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22363, 1933, '500111', '龙滩子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.783,29.4813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22364, 1933, '500111', '玉龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.844,29.5846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22365, 1933, '500111', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.898,29.7507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22366, 1933, '500111', '季家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.53,29.6561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22367, 1933, '500111', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.632,29.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22368, 1933, '500111', '棠香街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.761,29.685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22369, 1933, '500111', '万古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.94,29.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22370, 1933, '500111', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.841,29.6678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22371, 1933, '500111', '雍溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.992,29.7116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22372, 1933, '500111', '双路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.77,29.4617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22373, 1933, '500111', '高升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.637,29.7398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22374, 1933, '500111', '通桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.791,29.521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22375, 1933, '500111', '邮亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.706,29.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22376, 1933, '500111', '宝顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.748,29.7999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22377, 1933, '500111', '石马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.862,29.6641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22378, 1933, '500111', '三驱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.629,29.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22379, 1933, '500111', '龙石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.624,29.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22380, 1933, '500111', '铁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.577,29.6711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22381, 1933, '500111', '宝兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.673,29.6068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22382, 1933, '500111', '中敖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.734,29.7947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22383, 1934, '500153', '双河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.598,29.3416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22384, 1934, '500153', '河包镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.505,29.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22385, 1934, '500153', '龙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.41,29.4673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22386, 1934, '500153', '昌元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.521,29.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22387, 1934, '500153', '清流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.357,29.5507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22388, 1934, '500153', '吴家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.386,29.5959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22389, 1934, '500153', '古昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.558,29.4917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22390, 1934, '500153', '清江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.507,29.3104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22391, 1934, '500153', '万灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.637,29.4429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22392, 1934, '500153', '昌州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.621,29.4329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22393, 1934, '500153', '荣隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.489,29.4783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22394, 1934, '500153', '仁义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.429,29.4872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22395, 1934, '500153', '观胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.409,29.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22396, 1934, '500153', '铜鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.47,29.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22397, 1934, '500153', '直升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.654,29.3931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22398, 1934, '500153', '盘龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.413,29.5612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22399, 1934, '500153', '峰高街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.649,29.3986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22400, 1934, '500153', '远觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.338,29.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22401, 1934, '500153', '清升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.504,29.3178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22402, 1934, '500153', '广顺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.558,29.3634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22403, 1934, '500153', '安富街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.496,29.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22404, 1935, '500118', '吉安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.767,29.2104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22405, 1935, '500118', '三教镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.91,29.5371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22406, 1935, '500118', '南大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.838,29.307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22407, 1935, '500118', '松溉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.866,29.074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22408, 1935, '500118', '陈食街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.969,29.3456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22409, 1935, '500118', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.911,29.5236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22410, 1935, '500118', '卫星湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.869,29.2337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22411, 1935, '500118', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.038,29.5291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22412, 1935, '500118', '五间镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.813,29.1885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22413, 1935, '500118', '何埂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.865,29.0722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22414, 1935, '500118', '来苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.754,29.2063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22415, 1935, '500118', '仙龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.803,29.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22416, 1935, '500118', '青峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.801,29.3558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22417, 1935, '500118', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.934,29.2479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22418, 1935, '500118', '红炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.693,29.3578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22419, 1935, '500118', '宝峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.715,29.2343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22420, 1935, '500118', '茶山竹海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.012,29.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22421, 1935, '500118', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.874,29.4102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22422, 1935, '500118', '大安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.977,29.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22423, 1935, '500118', '双石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.773,29.3841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22424, 1935, '500118', '中山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.926,29.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22425, 1935, '500118', '永荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.685,29.3466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22426, 1935, '500118', '朱沱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.796,29.0752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22427, 1936, '500103', '大坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.528,29.5432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22428, 1936, '500103', '七星岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.563,29.5589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22429, 1936, '500103', '两路口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.555,29.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22430, 1936, '500103', '石油路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.491,29.5472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22431, 1936, '500103', '菜园坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.544,29.5491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22432, 1936, '500103', '上清寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.551,29.5636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22433, 1936, '500103', '大溪沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.552,29.5643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22434, 1936, '500103', '化龙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.503,29.5485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22435, 1936, '500103', '解放碑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.575,29.5629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22436, 1936, '500103', '朝天门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.589,29.5544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22437, 1936, '500103', '南纪门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.574,29.5525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22438, 1937, '500156', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.892,29.334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22439, 1937, '500156', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.435,29.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22440, 1937, '500156', '羊角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.566,29.4538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22441, 1937, '500156', '后坪苗族土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.077,29.6032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22442, 1937, '500156', '沧沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.929,29.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22443, 1937, '500156', '平桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.38,29.4124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22444, 1937, '500156', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.668,29.5761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22445, 1937, '500156', '长坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.468,29.3603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22446, 1937, '500156', '土地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.883,29.4708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22447, 1937, '500156', '大洞河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.459,29.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22448, 1937, '500156', '黄莺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.651,29.2697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22449, 1937, '500156', '和顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.462,29.5015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22450, 1937, '500156', '仙女山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.687,29.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22451, 1937, '500156', '鸭江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.329,29.4606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22452, 1937, '500156', '火炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.827,29.4183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22453, 1937, '500156', '接龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.879,29.5527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22454, 1937, '500156', '文复苗族土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.936,29.3035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22455, 1937, '500156', '土坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.672,29.456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22456, 1937, '500156', '凤来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.355,29.3969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22457, 1937, '500156', '桐梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.934,29.5625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22458, 1937, '500156', '庙垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.317,29.4319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22459, 1937, '500156', '赵家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.573,29.271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22460, 1937, '500156', '石桥苗族土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.816,29.2303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22461, 1937, '500156', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.536,29.3353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22462, 1937, '500156', '浩口苗族仡佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.86,29.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22463, 1937, '500156', '芙蓉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.845,29.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22464, 1937, '500156', '凤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.645,29.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22465, 1938, '500119', '河图镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.994,29.3069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22466, 1938, '500119', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.08,29.2326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22467, 1938, '500119', '石墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.165,29.2841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22468, 1938, '500119', '神童镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.953,29.1705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22469, 1938, '500119', '楠竹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.162,29.2627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22470, 1938, '500119', '木凉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.056,29.2287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22471, 1938, '500119', '太平场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.934,29.4576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22472, 1938, '500119', '乾丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.99,29.3771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22473, 1938, '500119', '合溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.278,28.9034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22474, 1938, '500119', '石莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.915,29.1356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22475, 1938, '500119', '石溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.016,29.3764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22476, 1938, '500119', '黎香湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.951,29.3196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22477, 1938, '500119', '骑龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.276,29.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22478, 1938, '500119', '峰岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.143,29.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22479, 1938, '500119', '大有镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.288,28.9334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22480, 1938, '500119', '中桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.238,29.3186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22481, 1938, '500119', '福寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.049,29.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22482, 1938, '500119', '头渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.211,29.0332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22483, 1938, '500119', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.959,29.4047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22484, 1938, '500119', '大观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.967,29.2111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22485, 1938, '500119', '德隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.288,28.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22486, 1938, '500119', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.172,29.1822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22487, 1938, '500119', '水江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.304,29.3104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22488, 1938, '500119', '南平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.96,29.0594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22489, 1938, '500119', '民主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.157,29.3716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22490, 1938, '500119', '三泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.188,29.1103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22491, 1938, '500119', '冷水关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.145,29.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22492, 1938, '500119', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.109,28.9964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22493, 1938, '500119', '古花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.322,28.9267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22494, 1938, '500119', '鸣玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.091,29.3373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22495, 1938, '500119', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.975,29.1864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22496, 1938, '500119', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.157,29.0056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22497, 1938, '500119', '庆元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.343,28.915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22498, 1938, '500119', '山王坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.33,29.1774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22499, 1939, '500107', '含谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.392,29.5389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22500, 1939, '500107', '石板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.382,29.4023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22501, 1939, '500107', '中梁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.439,29.4581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22502, 1939, '500107', '渝州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.483,29.5382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22503, 1939, '500107', '陶家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.351,29.3902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22504, 1939, '500107', '金凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.317,29.5427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22505, 1939, '500107', '巴福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.315,29.4279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22506, 1939, '500107', '谢家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.523,29.5255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22507, 1939, '500107', '黄桷坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.534,29.4913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22508, 1939, '500107', '走马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.317,29.486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22509, 1939, '500107', '石坪桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.498,29.522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22510, 1939, '500107', '华岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.44,29.4952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22511, 1939, '500107', '白市驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.335,29.478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22512, 1939, '500107', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.508,29.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22513, 1939, '500107', '西彭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.318,29.3743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22514, 1939, '500107', '杨家坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.511,29.5155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22515, 1939, '500107', '铜罐驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.359,29.3219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22516, 1939, '500107', '石桥铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.499,29.5202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22517, 1940, '500104', '跳磴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.424,29.4254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22518, 1940, '500104', '新山村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.489,29.4864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22519, 1940, '500104', '建胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.53,29.3886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22520, 1940, '500104', '春晖路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.488,29.4317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22521, 1940, '500104', '跃进村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.514,29.4919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22522, 1940, '500104', '八桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.495,29.4296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22523, 1940, '500104', '茄子溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.513,29.412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22524, 1940, '500104', '九宫庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.476,29.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22525, 1941, '500101', '牌楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.372,30.7924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22526, 1941, '500101', '地宝土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.795,30.6248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22527, 1941, '500101', '后山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.017,30.8108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22528, 1941, '500101', '龙沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.202,30.6375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22529, 1941, '500101', '分水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.134,30.685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22530, 1941, '500101', '黄柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.551,30.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22531, 1941, '500101', '甘宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.203,30.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22532, 1941, '500101', '龙都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.427,30.7252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22533, 1941, '500101', '周家坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.372,30.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22534, 1941, '500101', '普子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.83,30.5877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22535, 1941, '500101', '双河口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.369,30.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22536, 1941, '500101', '百安坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.454,30.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22537, 1941, '500101', '长坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.28,30.4622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22538, 1941, '500101', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.183,30.6829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22539, 1941, '500101', '余家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.963,30.8462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22540, 1941, '500101', '弹子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.999,30.8186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22541, 1941, '500101', '小周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.503,30.9409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22542, 1941, '500101', '龙驹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.763,30.7272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22543, 1941, '500101', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.3,30.7108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22544, 1941, '500101', '太龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.519,30.8032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22545, 1941, '500101', '新乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.343,30.4746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22546, 1941, '500101', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.795,30.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22547, 1941, '500101', '太安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.638,30.7905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22548, 1941, '500101', '走马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.498,30.626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22549, 1941, '500101', '白羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.682,30.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22550, 1941, '500101', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.428,30.7288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22551, 1941, '500101', '天城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.419,30.9053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22552, 1941, '500101', '柱山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.254,30.7821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22553, 1941, '500101', '高梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.241,30.7856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22554, 1941, '500101', '陈家坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.461,30.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22555, 1941, '500101', '恒合土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.77,30.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22556, 1941, '500101', '熊家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.53,30.9955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22557, 1941, '500101', '五桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.484,30.8182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22558, 1941, '500101', '李河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.276,30.8284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22559, 1941, '500101', '梨树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.781,30.6474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22560, 1941, '500101', '大周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.473,30.9332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22561, 1941, '500101', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.351,30.861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22562, 1941, '500101', '九池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.313,30.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22563, 1941, '500101', '钟鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.424,30.8637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22564, 1941, '500101', '太白街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.333,30.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22565, 1941, '500101', '郭村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.127,30.5834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22566, 1941, '500101', '孙家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.013,30.7422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22567, 1941, '500101', '武陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.191,30.5482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22568, 1941, '500101', '高笋塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.378,30.8103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22569, 1941, '500101', '茨竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.458,30.6234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22570, 1941, '500101', '溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.347,30.5578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22571, 1941, '500101', '燕山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.328,30.497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22572, 1941, '500101', '长滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.669,30.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22573, 1941, '500101', '铁峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.428,30.9394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22574, 1941, '500101', '瀼渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.296,30.5871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22575, 1941, '500101', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.467,30.7448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22576, 1941, '500101', '罗田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.51,30.5321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22577, 1942, '500102', '武陵山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.526,29.5376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22578, 1942, '500102', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.519,29.8256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22579, 1942, '500102', '新妙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.975,29.6348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22580, 1942, '500102', '马武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.22,29.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22581, 1942, '500102', '焦石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.509,29.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22582, 1942, '500102', '石沱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.114,29.6454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22583, 1942, '500102', '南沱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.528,29.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22584, 1942, '500102', '李渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.34,29.7962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22585, 1942, '500102', '青羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.115,29.4901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22586, 1942, '500102', '百胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.439,29.9437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22587, 1942, '500102', '龙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.313,29.6202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22588, 1942, '500102', '大顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.058,29.6083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22589, 1942, '500102', '珍溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.441,29.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22590, 1942, '500102', '大木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.649,29.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22591, 1942, '500102', '崇义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.365,29.7059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22592, 1942, '500102', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.156,29.4871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22593, 1942, '500102', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.412,29.8049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22594, 1942, '500102', '江东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.5,29.7121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22595, 1942, '500102', '同乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.144,29.4519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22596, 1942, '500102', '增福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.007,29.5959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22597, 1942, '500102', '罗云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.604,29.8078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22598, 1942, '500102', '白涛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.471,29.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22599, 1942, '500102', '敦仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.398,29.6894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22600, 1942, '500102', '义和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.197,29.7564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22601, 1942, '500102', '蔺市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.298,29.6638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22602, 1942, '500102', '荔枝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.393,29.698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22603, 1942, '500102', '马鞍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.209,29.7117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22604, 1943, '500110', '篆塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.635,28.8974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22605, 1943, '500110', '隆盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.769,29.1489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22606, 1943, '500110', '文龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.66,29.1054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22607, 1943, '500110', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.7,29.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22608, 1943, '500110', '青年镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.804,28.8594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22609, 1943, '500110', '赶水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.702,28.7577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22610, 1943, '500110', '郭扶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.587,28.9232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22611, 1943, '500110', '扶欢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.759,28.8638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22612, 1943, '500110', '中峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.511,28.8538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22613, 1943, '500110', '永城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.796,29.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22614, 1943, '500110', '金桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.943,29.0257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22615, 1943, '500110', '丁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.618,28.7403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22616, 1943, '500110', '古南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.627,29.0229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22617, 1943, '500110', '东溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.677,28.8061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22618, 1943, '500110', '黑山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.966,28.9594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22619, 1943, '500110', '新盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.676,29.1154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22620, 1943, '500110', '丛林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.94,29.026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22621, 1943, '500110', '关坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.768,28.8283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22622, 1943, '500110', '南桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.904,28.9938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22623, 1943, '500110', '三角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.721,29.0983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22624, 1943, '500110', '永新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.447,29.0324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22625, 1943, '500110', '石角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.744,29.0166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22626, 1943, '500110', '三江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.643,28.9696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22627, 1943, '500110', '东林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.95,28.938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22628, 1943, '500110', '万盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.931,28.9883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22629, 1943, '500110', '万东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.937,28.9936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22630, 1943, '500110', '打通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.687,28.5792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22631, 1943, '500110', '石林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.887,28.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22632, 1943, '500110', '石壕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.745,28.4815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22633, 1943, '500110', '安稳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.735,28.6674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22634, 1944, '500155', '和林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.629,30.6117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22635, 1944, '500155', '明达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.673,30.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22636, 1944, '500155', '铁门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.713,30.5108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22637, 1944, '500155', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.654,30.7924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22638, 1944, '500155', '礼让镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.609,30.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22639, 1944, '500155', '星桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.729,30.746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22640, 1944, '500155', '七星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.476,30.6664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22641, 1944, '500155', '紫照镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.953,30.5278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22642, 1944, '500155', '仁贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.644,30.6517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22643, 1944, '500155', '梁平县梁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.877,30.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22644, 1944, '500155', '碧山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.476,30.7339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22645, 1944, '500155', '竹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.55,30.7503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22646, 1944, '500155', '复平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.855,30.7775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22647, 1944, '500155', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.865,30.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22648, 1944, '500155', '福禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.949,30.707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22649, 1944, '500155', '云龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.672,30.5494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22650, 1944, '500155', '梁平县双桂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.705,30.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22651, 1944, '500155', '新盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.714,30.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22652, 1944, '500155', '文化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.75,30.7816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22653, 1944, '500155', '石安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.94,30.5597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22654, 1944, '500155', '金带镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.718,30.6477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22655, 1944, '500155', '大观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.792,30.571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22656, 1944, '500155', '虎城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.492,30.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22657, 1944, '500155', '安胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.692,30.713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22658, 1944, '500155', '荫平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.564,30.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22659, 1944, '500155', '聚奎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.59,30.6762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22660, 1944, '500155', '柏家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.87,30.5979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22661, 1944, '500155', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.523,30.5375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22662, 1944, '500155', '合兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.806,30.6992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22663, 1944, '500155', '梁平县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.734,30.6677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22664, 1944, '500155', '曲水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108,30.6838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22665, 1944, '500155', '龙胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.55,30.788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22666, 1944, '500155', '梁平县双桂工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.749,30.652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22667, 1944, '500155', '袁驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.545,30.716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22668, 1944, '500155', '屏锦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.545,30.5554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22669, 1945, '500154', '大德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.401,31.3027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22670, 1945, '500154', '厚坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.512,31.2424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22671, 1945, '500154', '谭家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.56,31.5275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22672, 1945, '500154', '白鹤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.466,31.2852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22673, 1945, '500154', '铁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.083,31.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22674, 1945, '500154', '河堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.567,31.456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22675, 1945, '500154', '云枫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.361,31.1427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22676, 1945, '500154', '关面乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.577,31.5507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22677, 1945, '500154', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.114,31.2101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22678, 1945, '500154', '敦好镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.359,31.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22679, 1945, '500154', '郭家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.418,31.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22680, 1945, '500154', '九龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.27,31.2873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22681, 1945, '500154', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.454,31.1515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22682, 1945, '500154', '长沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.318,31.0647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22683, 1945, '500154', '镇安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.285,31.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22684, 1945, '500154', '岳溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.111,30.9842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22685, 1945, '500154', '紫水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.313,31.456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22686, 1945, '500154', '赵家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.372,31.1225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22687, 1945, '500154', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.435,31.3827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22688, 1945, '500154', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.155,31.1425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22689, 1945, '500154', '白桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.577,31.2993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22690, 1945, '500154', '五通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.063,30.9504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22691, 1945, '500154', '丰乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.431,31.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22692, 1945, '500154', '和谦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.433,31.4035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22693, 1945, '500154', '汉丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.424,31.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22694, 1945, '500154', '金峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.532,31.2266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22695, 1945, '500154', '南门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.199,30.9386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22696, 1945, '500154', '渠口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.47,31.1591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22697, 1945, '500154', '镇东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.399,31.251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22698, 1945, '500154', '雪宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.702,31.6344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22699, 1945, '500154', '满月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.505,31.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22700, 1945, '500154', '竹溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.252,31.179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22701, 1945, '500154', '三汇口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.134,31.2121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22702, 1945, '500154', '大进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.442,31.6037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22703, 1945, '500154', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.249,31.4178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22704, 1945, '500154', '麻柳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.319,31.4808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22705, 1945, '500154', '巫山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.079,30.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22706, 1945, '500154', '天和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.255,31.3227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22707, 1945, '500154', '南雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.106,31.1039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22708, 1945, '500154', '义和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.089,31.1013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22709, 1946, '500116', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.26,28.8563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22710, 1946, '500116', '贾嗣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.426,29.08', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22711, 1946, '500116', '德感街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.164,29.2278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22712, 1946, '500116', '珞璜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.403,29.2619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22713, 1946, '500116', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.177,29.1246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22714, 1946, '500116', '嘉平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.319,28.9782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22715, 1946, '500116', '龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.146,29.1375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22716, 1946, '500116', '油溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.164,29.2286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22717, 1946, '500116', '石蟆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.046,28.992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22718, 1946, '500116', '蔡家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.258,28.9175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22719, 1946, '500116', '夏坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.516,29.0601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22720, 1946, '500116', '双福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.315,29.3887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22721, 1946, '500116', '慈云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.199,29.1226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22722, 1946, '500116', '鼎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.266,29.2445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22723, 1946, '500116', '李市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.242,29.1081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22724, 1946, '500116', '朱杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.976,29.1209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22725, 1946, '500116', '柏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.349,28.7687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22726, 1946, '500116', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.014,29.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22727, 1946, '500116', '支坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.4,29.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22728, 1946, '500116', '先锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.229,29.1878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22729, 1946, '500116', '广兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.516,29.0611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22730, 1946, '500116', '吴滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.038,29.285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22731, 1946, '500116', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.429,29.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22732, 1946, '500116', '几江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.272,29.2791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22733, 1946, '500116', '杜市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.495,29.1539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22734, 1946, '500116', '中山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.321,28.6647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22735, 1946, '500116', '四面山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.402,28.7593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22736, 1946, '500116', '塘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.048,28.998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22737, 1946, '500116', '圣泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.267,29.37', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22738, 1947, '500114', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.506,29.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22739, 1947, '500114', '五里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.857,29.4002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22740, 1947, '500114', '濯水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.721,29.3429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22741, 1947, '500114', '白土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.606,29.3745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22742, 1947, '500114', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.739,29.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22743, 1947, '500114', '邻鄂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.852,29.4275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22744, 1947, '500114', '舟白街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.829,29.5495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22745, 1947, '500114', '金洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.826,29.2371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22746, 1947, '500114', '冯家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.751,29.382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22747, 1947, '500114', '太极乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.622,29.3236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22748, 1947, '500114', '石会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.628,29.6197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22749, 1947, '500114', '杉岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.603,29.7352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22750, 1947, '500114', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.788,29.5978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22751, 1947, '500114', '鹅池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.655,29.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22752, 1947, '500114', '石家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.64,29.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22753, 1947, '500114', '水市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.656,29.2826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22754, 1947, '500114', '黑溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.579,29.6503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22755, 1947, '500114', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.777,29.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22756, 1947, '500114', '沙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.562,29.5409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22757, 1947, '500114', '阿蓬江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.734,29.2144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22758, 1947, '500114', '马喇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.898,29.3527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22759, 1947, '500114', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.578,29.3805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22760, 1947, '500114', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.652,29.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22761, 1947, '500114', '水田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.719,29.3837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22762, 1947, '500114', '黄溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.613,29.7424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22763, 1947, '500114', '蓬东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.849,29.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22764, 1947, '500114', '金溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.642,29.4805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22765, 1947, '500114', '小南海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.643,29.6637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22766, 1947, '500114', '黎水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.6,29.7917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22767, 1947, '500114', '中塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.797,29.5637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22768, 1948, '500108', '花园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.552,29.5309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22769, 1948, '500108', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.623,29.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22770, 1948, '500108', '南坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.569,29.4836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22771, 1948, '500108', '南坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.578,29.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22772, 1948, '500108', '迎龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.694,29.5457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22773, 1948, '500108', '涂山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.599,29.5613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22774, 1948, '500108', '弹子石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.597,29.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22775, 1948, '500108', '广阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.747,29.6033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22776, 1948, '500108', '鸡冠石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.618,29.5759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22777, 1948, '500108', '海棠溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.569,29.4836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22778, 1948, '500108', '龙门浩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.599,29.5623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22779, 1948, '500108', '铜元局街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.564,29.532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22780, 1948, '500108', '峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.673,29.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22781, 1948, '500108', '长生桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.61,29.5126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22782, 1948, '500108', '天文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.636,29.5067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22783, 1949, '500113', '接龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.842,29.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22784, 1949, '500113', '木洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.904,29.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22785, 1949, '500113', '麻柳嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.929,29.6634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22786, 1949, '500113', '丰盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.861,29.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22787, 1949, '500113', '天星寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.791,29.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22788, 1949, '500113', '一品街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.552,29.3273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22789, 1949, '500113', '李家沱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.545,29.4573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22790, 1949, '500113', '姜家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.824,29.4402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22791, 1949, '500113', '惠民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.709,29.4092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22792, 1949, '500113', '界石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.571,29.3692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22793, 1949, '500113', '龙洲湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.573,29.367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22794, 1949, '500113', '南泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.593,29.3988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22795, 1949, '500113', '双河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.905,29.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22796, 1949, '500113', '安澜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.615,29.2669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22797, 1949, '500113', '东泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.833,29.5122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22798, 1949, '500113', '鱼洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.475,29.3252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22799, 1949, '500113', '花溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.545,29.4566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22800, 1949, '500113', '跳石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.613,29.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22801, 1949, '500113', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.867,29.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22802, 1949, '500113', '石滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.887,29.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22803, 1949, '500113', '南彭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.687,29.4124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22804, 1949, '500113', '二圣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.741,29.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22805, 1950, '500106', '新桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.433,29.5173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22806, 1950, '500106', '天星桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.453,29.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22807, 1950, '500106', '石井坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.445,29.6129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22808, 1950, '500106', '虎溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.297,29.6314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22809, 1950, '500106', '青木关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.288,29.6629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22810, 1950, '500106', '联芳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.48,29.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22811, 1950, '500106', '双碑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.44,29.6061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22812, 1950, '500106', '小龙坎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.467,29.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22813, 1950, '500106', '覃家岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.446,29.5578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22814, 1950, '500106', '歌乐山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.428,29.5025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22815, 1950, '500106', '井口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.428,29.5981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22816, 1950, '500106', '西永街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.403,29.5952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22817, 1950, '500106', '回龙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.368,29.7358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22818, 1950, '500106', '土主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.352,29.6685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22819, 1950, '500106', '童家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.43,29.5835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22820, 1950, '500106', '曾家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.274,29.5289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22821, 1950, '500106', '陈家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.291,29.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22822, 1950, '500106', '中梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.402,29.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22823, 1950, '500106', '山洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.419,29.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22824, 1950, '500106', '沙坪坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.455,29.5682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22825, 1950, '500106', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.31,29.7387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22826, 1950, '500106', '土湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.468,29.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22827, 1950, '500106', '渝碚路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.475,29.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22828, 1950, '500106', '磁器口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.457,29.5802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22829, 1951, '500109', '天府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.477,29.8951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22830, 1951, '500109', '柳荫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.621,30.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22831, 1951, '500109', '金刀峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.607,30.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22832, 1951, '500109', '东阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.453,29.8789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22833, 1951, '500109', '蔡家岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.466,29.764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22834, 1951, '500109', '童家溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.448,29.7305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22835, 1951, '500109', '天生街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.423,29.8261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22836, 1951, '500109', '静观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.579,29.965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22837, 1951, '500109', '北温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.381,29.8155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22838, 1951, '500109', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.431,29.8301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22839, 1951, '500109', '水土街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.574,29.8483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22840, 1951, '500109', '复兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.555,29.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22841, 1951, '500109', '施家梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.467,29.7633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22842, 1951, '500109', '三圣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.606,29.892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22843, 1951, '500109', '澄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.332,29.851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22844, 1951, '500109', '龙凤桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.413,29.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22845, 1951, '500109', '歇马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.374,29.8069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22846, 1952, '500112', '石船镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.868,29.8204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22847, 1952, '500112', '洛碛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.912,29.802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22848, 1952, '500112', '王家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.692,29.7265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22849, 1952, '500112', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.49,29.5995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22850, 1952, '500112', '大盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.882,29.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22851, 1952, '500112', '悦来街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.515,29.692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22852, 1952, '500112', '龙兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.777,29.7511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22853, 1952, '500112', '翠云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.561,29.7172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22854, 1952, '500112', '玉峰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.697,29.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22855, 1952, '500112', '木耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.665,29.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22856, 1952, '500112', '统景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.816,29.8893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22857, 1952, '500112', '双凤桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.599,29.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22858, 1952, '500112', '古路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.744,29.8839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22859, 1952, '500112', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.714,29.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22860, 1952, '500112', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.806,29.8896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22861, 1952, '500112', '龙塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.561,29.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22862, 1952, '500112', '两路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.632,29.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22863, 1952, '500112', '天宫殿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.511,29.6031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22864, 1952, '500112', '鸳鸯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.569,29.6774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22865, 1952, '500112', '礼嘉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.53,29.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22866, 1952, '500112', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.554,29.6379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22867, 1952, '500112', '宝圣湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.592,29.6661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22868, 1952, '500112', '仙桃街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.579,29.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22869, 1952, '500112', '茨竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.669,30.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22870, 1952, '500112', '人和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.52,29.6528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22871, 1952, '500112', '双龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.6,29.7257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22872, 1952, '500112', '大竹林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.468,29.6467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22873, 1952, '500112', '康美街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.52,29.6533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22874, 1952, '500112', '回兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.651,29.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22875, 1952, '500112', '龙溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.511,29.6031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22876, 1953, '500105', '郭家沱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.715,29.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22877, 1953, '500105', '石马河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.493,29.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22878, 1953, '500105', '寸滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.605,29.6361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22879, 1953, '500105', '大石坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.503,29.5674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22880, 1953, '500105', '铁山坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.667,29.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22881, 1953, '500105', '鱼嘴镇人民政府', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.766,29.6525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22882, 1953, '500105', '华新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.528,29.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22883, 1953, '500105', '复盛镇人民政府', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.783,29.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22884, 1953, '500105', '江北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.57,29.5632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22885, 1953, '500105', '五宝镇人民政府', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.826,29.6362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22886, 1953, '500105', '五里店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.551,29.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22887, 1953, '500105', '观音桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.526,29.5681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22888, 1954, '540232', '纳久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5561,29.9226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22889, 1954, '540232', '帕羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.4564,30.3235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22890, 1954, '540232', '亚热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8949,29.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22891, 1954, '540232', '琼果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.0251,30.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22892, 1954, '540232', '仁多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.939,31.1769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22893, 1954, '540232', '吉拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2689,30.3276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22894, 1954, '540232', '帕江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6143,31.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22895, 1954, '540232', '吉玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2951,30.9155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22896, 1954, '540232', '霍尔巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5295,30.2782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22897, 1954, '540232', '隆格尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.5452,31.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22898, 1954, '540232', '拉让乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.8041,29.8058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22899, 1954, '540232', '偏吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.6673,29.2002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22900, 1954, '540232', '布多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1229,30.3619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22901, 1955, '540226', '达居乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.591,29.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22902, 1955, '540226', '达若乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6873,29.8091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22903, 1955, '540226', '如萨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7868,30.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22904, 1955, '540226', '切热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.836,29.4959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22905, 1955, '540226', '亚木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5082,29.5658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22906, 1955, '540226', '贡久布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8801,30.9069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22907, 1955, '540226', '秋窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2757,29.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22908, 1955, '540226', '卡嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0565,29.3462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22909, 1955, '540226', '查孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3203,30.3682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22910, 1955, '540226', '措迈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.0079,30.2024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22911, 1955, '540226', '雄巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.82,29.7177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22912, 1955, '540226', '尼果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9478,30.897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22913, 1955, '540226', '日吾其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3836,29.3169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22914, 1955, '540226', '多白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.2567,29.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22915, 1955, '540226', '阿木雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.149,29.8899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22916, 1955, '540226', '桑桑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2722,29.422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22917, 1955, '540226', '孔隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0099,30.6446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22918, 1956, '540227', '春哲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4906,29.9709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22919, 1956, '540227', '娘热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1336,30.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22920, 1956, '540227', '美巴切勤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5277,30.4047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22921, 1956, '540227', '则许乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9837,29.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22922, 1956, '540227', '达那普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.6499,29.7557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22923, 1956, '540227', '措布西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1866,29.9257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22924, 1956, '540227', '南木切乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3461,29.4979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22925, 1956, '540227', '列巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.1041,29.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22926, 1956, '540227', '达那塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.5441,29.344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22927, 1956, '540227', '塔定乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2964,29.4345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22928, 1956, '540227', '荣玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3665,29.3973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22929, 1956, '540227', '达木夏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6135,29.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22930, 1956, '540227', '青都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.199,29.9967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22931, 1956, '540227', '卡嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.215,29.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22932, 1956, '540227', '切琼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8254,30.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22933, 1956, '540227', '查布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2687,29.6758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22934, 1956, '540227', '仁钦则乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4331,29.5709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22935, 1956, '540227', '纳当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2581,29.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22936, 1956, '540227', '通门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2109,29.3285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22937, 1957, '540236', '加加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4063,29.6958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22938, 1957, '540236', '夏如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0798,29.304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22939, 1957, '540236', '如角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6985,29.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22940, 1957, '540236', '旦嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.5672,29.3553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22941, 1957, '540236', '雄如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8173,29.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22942, 1957, '540236', '拉藏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3963,29.5965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22943, 1957, '540236', '达吉岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.0328,29.5929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22944, 1957, '540236', '昌果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.5257,28.8332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22945, 1958, '540221', '仁堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2262,29.9867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22946, 1958, '540221', '南木林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1346,29.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22947, 1958, '540221', '甲措乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1503,29.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22948, 1958, '540221', '多角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8849,29.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22949, 1958, '540221', '达那乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2352,29.5954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22950, 1958, '540221', '普当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.077,29.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22951, 1958, '540221', '索金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5069,29.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22952, 1958, '540221', '艾玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2388,29.5636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22953, 1958, '540221', '热当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3797,29.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22954, 1958, '540221', '达孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6046,29.6086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22955, 1958, '540221', '卡孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0531,29.6323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22956, 1958, '540221', '芒热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5885,29.897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22957, 1958, '540221', '土布加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5523,29.4834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22958, 1958, '540221', '秋木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8699,29.5827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22959, 1958, '540221', '茶尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3078,29.551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22960, 1958, '540221', '奴玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6865,29.498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22961, 1958, '540221', '拉布普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6125,30.2135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22962, 1959, '540202', '江当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2126,29.3669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22963, 1959, '540202', '甲措雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9049,29.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22964, 1959, '540202', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.944,29.3406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22965, 1959, '540202', '曲美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7512,29.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22966, 1959, '540202', '东嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8281,29.3415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22967, 1959, '540202', '联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6025,29.3463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22968, 1959, '540202', '年木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3983,29.2444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22969, 1959, '540202', '聂日雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4597,29.3089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22970, 1959, '540202', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8797,29.3075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22971, 1959, '540202', '边雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9738,29.282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22972, 1959, '540202', '纳尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.6148,29.0934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22973, 1959, '540202', '曲布雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8306,29.2108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22974, 1960, '540225', '扎西岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1784,29.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22975, 1960, '540225', '拉孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7798,29.2316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22976, 1960, '540225', '查务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4798,29.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22977, 1960, '540225', '锡钦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6743,29.0953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22978, 1960, '540225', '芒普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6627,28.9706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22979, 1960, '540225', '扎西宗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8258,29.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22980, 1960, '540225', '柳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1787,29.228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22981, 1960, '540225', '曲玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7162,29.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22982, 1960, '540225', '曲下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.631,29.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22983, 1960, '540225', '热萨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9693,29.2679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22984, 1960, '540225', '彭措林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.762,29.4131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22985, 1961, '540229', '普松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.1741,29.2694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22986, 1961, '540229', '然巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0498,29.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22987, 1961, '540229', '德吉林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7673,29.1449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22988, 1961, '540229', '母乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6563,29.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22989, 1961, '540229', '茶巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.913,29.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22990, 1961, '540229', '仁布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8386,29.2896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22991, 1961, '540229', '切洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6942,29.3468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22992, 1961, '540229', '帕当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2528,29.224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22993, 1961, '540229', '康雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9693,29.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22994, 1962, '540224', '扎西岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9133,28.8395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22995, 1962, '540224', '拉洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.5666,28.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22996, 1962, '540224', '木拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7997,28.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22997, 1962, '540224', '扯休乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.6353,29.211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22998, 1962, '540224', '吉定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3761,29.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (22999, 1962, '540224', '查荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2809,29.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23000, 1962, '540224', '麻布加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8886,28.8514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23001, 1962, '540224', '赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7426,28.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23002, 1962, '540224', '萨迦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0558,28.8087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23003, 1962, '540224', '雄麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9184,28.6684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23004, 1962, '540224', '雄玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3284,29.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23005, 1963, '540234', '宗嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.1232,28.9629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23006, 1963, '540234', '吉隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4444,28.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23007, 1963, '540234', '贡当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.8139,28.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23008, 1963, '540234', '差那乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4953,28.9975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23009, 1963, '540234', '折巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.9677,28.8795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23010, 1964, '540228', '嘎普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0816,28.6828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23011, 1964, '540228', '杜琼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2653,28.9684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23012, 1964, '540228', '洛江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2088,29.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23013, 1964, '540228', '玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0187,28.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23014, 1964, '540228', '者下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.923,28.972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23015, 1964, '540228', '曲奴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1501,29.1151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23016, 1964, '540228', '旺丹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0726,28.8587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23017, 1964, '540228', '强堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3392,29.1595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23018, 1964, '540228', '嘎东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0173,29.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23019, 1964, '540228', '巴扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1507,29.1949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23020, 1964, '540228', '东喜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.8493,28.4668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23021, 1965, '540222', '达孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3956,29.0959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23022, 1965, '540222', '年堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6465,28.9426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23023, 1965, '540222', '车仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7191,28.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23024, 1965, '540222', '紫金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5223,28.8738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23025, 1965, '540222', '江孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6405,28.8692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23026, 1965, '540222', '热索乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4021,29.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23027, 1965, '540222', '江热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5556,28.8962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23028, 1965, '540222', '卡麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4484,29.2217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23029, 1965, '540222', '日朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8109,29.029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23030, 1965, '540222', '康卓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4601,28.9547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23031, 1965, '540222', '纳如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7035,29.1889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23032, 1965, '540222', '藏改乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4924,29.0117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23033, 1965, '540222', '加克西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1517,28.6762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23034, 1965, '540222', '日星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2003,28.9025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23035, 1965, '540222', '金嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2216,28.8308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23036, 1965, '540222', '热龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0193,28.79', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23037, 1965, '540222', '重孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4551,29.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23038, 1965, '540222', '龙马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.883,28.9815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23039, 1965, '540222', '卡堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5216,29.1189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23040, 1966, '540223', '措果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3006,28.4211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23041, 1966, '540223', '尼辖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5685,28.6777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23042, 1966, '540223', '加措乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.491,28.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23043, 1966, '540223', '长所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4782,28.7451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23044, 1966, '540223', '曲当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5776,28.4243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23045, 1966, '540223', '扎果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.7613,28.4991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23046, 1966, '540223', '扎西宗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8631,28.4983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23047, 1966, '540223', '盆吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9205,29.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23048, 1966, '540223', '岗嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.6327,28.62', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23049, 1966, '540223', '绒辖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3901,28.2923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23050, 1966, '540223', '曲洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3681,28.6315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23051, 1966, '540223', '协格尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9328,28.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23052, 1966, '540223', '克玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.7038,28.62', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23053, 1967, '540235', '波绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0034,28.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23054, 1967, '540235', '亚来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0871,28.486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23055, 1967, '540235', '乃龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2971,28.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23056, 1967, '540235', '樟木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0791,28.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23057, 1967, '540235', '门布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.0433,28.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23058, 1967, '540235', '聂拉木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.7469,28.3633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23059, 1967, '540235', '锁作乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3358,28.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23060, 1968, '540233', '下亚东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.9257,27.458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23061, 1968, '540233', '堆纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0924,27.9425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23062, 1968, '540233', '吉汝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0457,28.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23063, 1968, '540233', '下司马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7981,27.5872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23064, 1968, '540233', '帕里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0173,27.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23065, 1968, '540233', '上亚东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0323,27.6484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23066, 1968, '540233', '康布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0237,27.7067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23067, 1969, '540237', '直克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.3733,28.4855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23068, 1969, '540237', '岗巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.5321,28.2865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23069, 1969, '540237', '龙中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.6942,28.4504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23070, 1969, '540237', '昌龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1909,28.2372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23071, 1969, '540237', '孔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.7411,28.6196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23072, 1970, '540230', '嘎拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0442,28.368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23073, 1970, '540230', '涅如麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0019,28.7542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23074, 1970, '540230', '雄章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1411,28.4493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23075, 1970, '540230', '南尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5833,28.7336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23076, 1970, '540230', '少岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7266,28.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23077, 1970, '540230', '康如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5232,28.6548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23078, 1970, '540230', '萨玛达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4483,28.4138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23079, 1970, '540230', '康马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7652,28.4239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23080, 1970, '540230', '涅如堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.7759,28.335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23081, 1971, '540231', '定结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0677,28.4467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23082, 1971, '540231', '扎西岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2939,28.6334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23083, 1971, '540231', '琼孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9985,28.2881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23084, 1971, '540231', '陈塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5807,27.9957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23085, 1971, '540231', '多布扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1266,28.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23086, 1971, '540231', '萨尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.6588,28.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23087, 1971, '540231', '确布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9472,28.395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23088, 1971, '540231', '江嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7469,28.4995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23089, 1971, '540231', '日屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.5536,28.0819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23090, 1971, '540231', '郭加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.712,28.4654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23091, 1972, '540523', '桑日镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0966,29.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23092, 1972, '540523', '白堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.1417,29.3412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23093, 1972, '540523', '绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0176,29.2326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23094, 1972, '540523', '增期乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4087,29.8038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23095, 1973, '540521', '扎其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.3787,29.1654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23096, 1973, '540521', '阿扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.222,29.4218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23097, 1973, '540521', '桑耶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.3466,29.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23098, 1973, '540521', '吉汝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2951,28.9624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23099, 1973, '540521', '扎唐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2073,29.1476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23100, 1974, '540502', '索珠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6275,29.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23101, 1974, '540502', '泽当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6613,29.266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23102, 1974, '540502', '亚堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.9385,28.7488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23103, 1974, '540502', '昌珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7189,29.167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23104, 1974, '540502', '多颇章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6147,29.4606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23105, 1974, '540502', '颇章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8361,29.1729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23106, 1974, '540502', '结巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7533,29.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23107, 1975, '540528', '安绕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.538,29.3494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23108, 1975, '540528', '拉绥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.3928,29.2337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23109, 1975, '540528', '加查镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.906,29.2267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23110, 1975, '540528', '洛林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.5615,28.8439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23111, 1975, '540528', '冷达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.6478,29.1166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23112, 1975, '540528', '崔久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.5927,29.3675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23113, 1975, '540528', '坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.881,29.4789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23114, 1976, '540524', '拉玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6464,29.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23115, 1976, '540524', '下水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6731,29.0989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23116, 1976, '540524', '琼结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4955,28.9061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23117, 1976, '540524', '加麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6716,29.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23118, 1977, '540522', '朗杰学乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9994,29.1592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23119, 1977, '540522', '江塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6908,29.3295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23120, 1977, '540522', '甲竹林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9559,29.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23121, 1977, '540522', '东拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6791,29.1799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23122, 1977, '540522', '吉雄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0381,29.4124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23123, 1977, '540522', '昌果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0849,29.3602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23124, 1977, '540522', '岗堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7119,29.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23125, 1977, '540522', '杰德秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9967,29.2277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23126, 1978, '540531', '工布学乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0529,28.7209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23127, 1978, '540531', '多却乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5831,28.7897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23128, 1978, '540531', '阿扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5834,29.0181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23129, 1978, '540531', '打隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2109,28.7831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23130, 1978, '540531', '浪卡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2147,28.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23131, 1978, '540531', '张达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.8946,29.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23132, 1978, '540531', '卡热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3043,29.234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23133, 1978, '540531', '普玛江塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.1653,28.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23134, 1978, '540531', '卡龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5546,29.1351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23135, 1978, '540531', '白地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3072,29.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23136, 1979, '540525', '曲松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.2662,29.2428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23137, 1979, '540525', '堆随乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0136,28.9655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23138, 1979, '540525', '罗布沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.1991,29.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23139, 1979, '540525', '下江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.2178,28.9512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23140, 1979, '540525', '邱多江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.1579,28.9937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23141, 1980, '540526', '措美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1501,28.5495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23142, 1980, '540526', '乃西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2232,28.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23143, 1980, '540526', '哲古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2721,28.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23144, 1980, '540526', '古堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6801,28.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23145, 1981, '540530', '贡日门巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8113,27.9124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23146, 1981, '540530', '浪坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8671,27.8006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23147, 1981, '540530', '库局乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4307,28.0089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23148, 1981, '540530', '曲卓木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6071,28.3921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23149, 1981, '540530', '觉拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4877,28.3106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23150, 1981, '540530', '卡达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.3504,27.8299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23151, 1981, '540530', '麻玛门巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8437,27.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23152, 1981, '540530', '错那镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8956,27.7934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23153, 1981, '540530', '勒门巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6093,27.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23154, 1981, '540530', '吉巴门巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6934,28.011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23155, 1982, '540529', '列麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.6664,28.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23156, 1982, '540529', '准巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.9332,28.3657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23157, 1982, '540529', '热荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.9165,28.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23158, 1982, '540529', '日当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.208,28.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23159, 1982, '540529', '加玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8734,28.3043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23160, 1982, '540529', '隆子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4365,28.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23161, 1982, '540529', '斗玉珞巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8309,28.3643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23162, 1982, '540529', '玉麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1192,28.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23163, 1982, '540529', '三安曲林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7173,28.7593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23164, 1982, '540529', '雪沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.5317,28.7665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23165, 1982, '540529', '扎日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2425,28.6279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23166, 1983, '540527', '生格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0091,28.3406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23167, 1983, '540527', '边巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2948,28.1033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23168, 1983, '540527', '洛扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7655,28.3013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23169, 1983, '540527', '扎日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3123,28.259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23170, 1983, '540527', '拉郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1509,27.9114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23171, 1983, '540527', '拉康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1268,28.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23172, 1983, '540527', '色乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6374,28.2446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23173, 1984, '540624', '扎仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.3396,31.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23174, 1984, '540624', '岗尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.844,34.8594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23175, 1984, '540624', '帮麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7615,32.6782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23176, 1984, '540624', '扎曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5294,32.8256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23177, 1984, '540624', '色务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3384,35.9473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23178, 1984, '540624', '帕那镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7845,32.6592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23179, 1984, '540624', '滩堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0811,32.1815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23180, 1984, '540624', '措玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1378,32.1921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23181, 1984, '540624', '强玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6756,31.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23182, 1985, '540623', '下曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4736,32.195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23183, 1985, '540623', '桑荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4765,32.5689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23184, 1985, '540623', '当木江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0362,32.3248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23185, 1985, '540623', '索雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8278,32.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23186, 1985, '540623', '聂荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.145,32.0822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23187, 1985, '540623', '永曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7709,32.7296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23188, 1985, '540623', '白雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.6787,32.1016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23189, 1985, '540623', '尼玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.2411,31.8547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23190, 1985, '540623', '查当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2085,32.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23191, 1985, '540623', '色庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.9444,32.1803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23192, 1986, '540628', '巴青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.4171,32.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23193, 1986, '540628', '江绵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.3333,32.4067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23194, 1986, '540628', '拉西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.9253,31.9606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23195, 1986, '540628', '阿秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.331,32.1164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23196, 1986, '540628', '岗切乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3914,32.3649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23197, 1986, '540628', '贡日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4756,32.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23198, 1986, '540628', '雅安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.3795,31.8609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23199, 1986, '540628', '玛如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1994,32.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23200, 1986, '540628', '本塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0296,32.2006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23201, 1986, '540628', '杂色镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.0058,32.1725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23202, 1987, '540625', '雄梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0136,31.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23203, 1987, '540625', '马跃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9155,31.5215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23204, 1987, '540625', '下过乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.0272,31.0588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23205, 1987, '540625', '买巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.2493,31.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23206, 1987, '540625', '申扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.9793,31.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23207, 1987, '540625', '塔尔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6939,31.0097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23208, 1987, '540625', '卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.1309,30.3655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23209, 1987, '540625', '巴扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.2969,30.5255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23210, 1988, '540627', '普保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8445,31.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23211, 1988, '540627', '门当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.0105,31.978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23212, 1988, '540627', '马前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.9447,31.6533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23213, 1988, '540627', '德庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.2777,30.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23214, 1988, '540627', '保吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.007,30.7857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23215, 1988, '540627', '青龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3612,31.2608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23216, 1988, '540627', '佳琼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3562,32.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23217, 1988, '540627', '尼玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9198,31.0221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23218, 1988, '540627', '北拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3778,31.4993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23219, 1988, '540627', '新吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.5568,30.7507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23220, 1989, '540622', '香曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6027,31.6499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23221, 1989, '540622', '茶曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2838,31.6178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23222, 1989, '540622', '比如镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5407,31.5215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23223, 1989, '540622', '恰则乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.1445,31.7194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23224, 1989, '540622', '白嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.9953,31.2054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23225, 1989, '540622', '夏曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7766,31.8697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23226, 1989, '540622', '扎拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3838,31.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23227, 1989, '540622', '达塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8205,31.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23228, 1989, '540622', '羊秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.7007,31.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23229, 1989, '540622', '良曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.2705,31.3611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23230, 1990, '540626', '热瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.8988,31.8757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23231, 1990, '540626', '亚拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.7759,31.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23232, 1990, '540626', '加勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1117,31.7498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23233, 1990, '540626', '荣布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6724,31.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23234, 1990, '540626', '嘎美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1198,31.8449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23235, 1990, '540626', '江达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.2646,31.3787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23236, 1990, '540626', '赤多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.0595,31.4476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23237, 1990, '540626', '若达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.9204,31.7699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23238, 1990, '540626', '西昌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8045,31.5588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23239, 1990, '540626', '嘎木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9887,31.2876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23240, 1991, '540621', '嘉黎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.9709,30.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23241, 1991, '540621', '措拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0368,31.1257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23242, 1991, '540621', '夏玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.6533,30.9431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23243, 1991, '540621', '绒多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8538,30.496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23244, 1991, '540621', '林堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.5045,31.0271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23245, 1991, '540621', '忠玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6468,30.4713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23246, 1991, '540621', '阿扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0695,30.4957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23247, 1991, '540621', '藏比乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.3605,30.9127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23248, 1991, '540621', '措多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4102,30.5752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23249, 1991, '540621', '鸽群乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6284,30.9414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23250, 1992, '540602', '那么切乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8025,31.4284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23251, 1992, '540602', '油恰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0278,30.8746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23252, 1992, '540602', '孔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.521,31.7732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23253, 1992, '540602', '罗玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7239,31.3119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23254, 1992, '540602', '尼玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.558,31.6043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23255, 1992, '540602', '那曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.911,31.5698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23256, 1992, '540602', '达萨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4472,31.4467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23257, 1992, '540602', '色雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7151,31.3595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23258, 1992, '540602', '达前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.541,31.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23259, 1992, '540602', '劳麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.7373,31.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23260, 1992, '540602', '香茂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2581,31.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23261, 1992, '540602', '古露镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.5641,30.9672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23262, 1993, '540629', '达果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.75,30.8037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23263, 1993, '540629', '军仓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9484,30.8888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23264, 1993, '540629', '吉瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.4666,30.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23265, 1993, '540629', '中仓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.6954,32.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23266, 1993, '540629', '荣玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1704,34.3864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23267, 1993, '540629', '尼玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.8492,31.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23268, 1993, '540629', '俄久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.3373,32.0254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23269, 1993, '540629', '文布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.2987,31.5559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23270, 1993, '540629', '卓瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8971,30.7874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23271, 1993, '540629', '阿索乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9366,32.7338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23272, 1993, '540629', '申亚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8704,31.0928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23273, 1993, '540629', '卓尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.3766,31.2767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23274, 1993, '540629', '甲谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.9122,30.7874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23275, 1993, '540629', '来多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9725,31.3968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23276, 1994, '540630', '巴岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.6407,32.4162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23277, 1994, '540630', '雅曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.1143,35.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23278, 1994, '540630', '协德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '88.4697,31.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23279, 1994, '540630', '措折强玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '86.1876,36.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23280, 1994, '540630', '多玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.3568,32.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23281, 1994, '540630', '嘎措乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.7947,36.3775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23282, 1994, '540630', '措折罗玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '87.8855,31.6406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23283, 1995, '540324', '木塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0438,32.4011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23284, 1995, '540324', '沙贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6871,31.2609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23285, 1995, '540324', '甘岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0617,31.9191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23286, 1995, '540324', '协雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6222,31.4215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23287, 1995, '540324', '尺犊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8558,31.6053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23288, 1995, '540324', '布塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.241,32.2815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23289, 1995, '540324', '色扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.1984,31.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23290, 1995, '540324', '觉恩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.212,31.0318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23291, 1995, '540324', '丁青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7243,31.7635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23292, 1995, '540324', '嘎塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6885,32.038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23293, 1995, '540324', '巴达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.7607,31.5773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23294, 1995, '540324', '当堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.2931,31.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23295, 1995, '540324', '桑多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.8255,31.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23296, 1996, '540302', '日通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.1094,31.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23297, 1996, '540302', '约巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8702,31.6425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23298, 1996, '540302', '俄洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8751,31.3052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23299, 1996, '540302', '嘎玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8308,32.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23300, 1996, '540302', '柴维乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0876,31.6409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23301, 1996, '540302', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0649,31.1279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23302, 1996, '540302', '拉多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2115,31.9354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23303, 1996, '540302', '若巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8432,30.9142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23304, 1996, '540302', '埃西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.3054,31.1876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23305, 1996, '540302', '面达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2954,32.1325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23306, 1996, '540302', '妥坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4611,31.4149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23307, 1996, '540302', '如意乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0276,31.4417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23308, 1996, '540302', '芒达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7653,31.5931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23309, 1996, '540302', '卡若镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2225,31.0473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23310, 1996, '540302', '沙贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9432,31.4464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23311, 1997, '540321', '岩比乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7686,31.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23312, 1997, '540321', '字呷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6352,31.8637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23313, 1997, '540321', '德登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7632,31.9873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23314, 1997, '540321', '波罗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7342,31.0668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23315, 1997, '540321', '娘西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3779,31.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23316, 1997, '540321', '青泥洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7811,31.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23317, 1997, '540321', '岗托镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4727,31.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23318, 1997, '540321', '生达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4119,32.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23319, 1997, '540321', '江达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1828,31.5885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23320, 1997, '540321', '卡贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0531,31.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23321, 1997, '540321', '邓柯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4914,32.5377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23322, 1997, '540321', '同普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1595,31.6704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23323, 1997, '540321', '汪布顶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1037,32.2908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23324, 1998, '540323', '伊日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.4707,31.7183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23325, 1998, '540323', '长毛岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9737,31.6316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23326, 1998, '540323', '岗色乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9181,31.8192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23327, 1998, '540323', '尚卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6294,31.6422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23328, 1998, '540323', '吉多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.3786,31.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23329, 1998, '540323', '宾达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7286,31.1197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23330, 1998, '540323', '类乌齐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.2861,31.5462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23331, 1998, '540323', '甲桑卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.2144,31.8739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23332, 1998, '540323', '桑多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.5535,31.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23333, 1998, '540323', '卡玛多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.2865,31.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23334, 1999, '540330', '都瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8886,31.1267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23335, 1999, '540330', '尼木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.2923,31.2251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23336, 1999, '540330', '热玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0607,31.1595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23337, 1999, '540330', '沙丁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4747,31.2285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23338, 1999, '540330', '金岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.1488,30.8496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23339, 1999, '540330', '加贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.7724,30.7033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23340, 1999, '540330', '草卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.7643,31.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23341, 1999, '540330', '马武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.2629,31.0347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23342, 1999, '540330', '边坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6396,30.7151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23343, 1999, '540330', '马秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4269,31.1645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23344, 1999, '540330', '拉孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9294,30.8579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23345, 2000, '540322', '木协乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.736,30.3814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23346, 2000, '540322', '敏都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7552,30.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23347, 2000, '540322', '雄松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8535,30.5188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23348, 2000, '540322', '罗麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.842,30.672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23349, 2000, '540322', '莫洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.228,30.9807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23350, 2000, '540322', '则巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7232,30.9962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23351, 2000, '540322', '沙东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7679,30.6571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23352, 2000, '540322', '克日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7162,30.9803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23353, 2000, '540322', '拉妥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4081,30.5556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23354, 2000, '540322', '哈加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.444,30.7889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23355, 2000, '540322', '相皮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9509,31.1794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23356, 2000, '540322', '阿旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5686,30.7652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23357, 2001, '540329', '孜托镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7115,30.7649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23358, 2001, '540329', '白达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.3506,30.7989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23359, 2001, '540329', '马利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9958,30.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23360, 2001, '540329', '硕督镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.5229,30.768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23361, 2001, '540329', '俄西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.4462,31.0903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23362, 2001, '540329', '玉西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1891,30.8569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23363, 2001, '540329', '康沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.0015,30.8342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23364, 2001, '540329', '新荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6876,30.9534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23365, 2001, '540329', '达龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.8755,30.9034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23366, 2001, '540329', '中亦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3178,30.7369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23367, 2001, '540329', '腊久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.812,30.3706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23368, 2002, '540325', '察拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5371,30.3284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23369, 2002, '540325', '阿孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0544,30.3199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23370, 2002, '540325', '荣周乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6614,30.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23371, 2002, '540325', '肯通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7641,31.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23372, 2002, '540325', '卡贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6688,30.3373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23373, 2002, '540325', '烟多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.343,30.8234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23374, 2002, '540325', '新卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4366,30.9539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23375, 2002, '540325', '王卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4324,31.0494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23376, 2002, '540325', '香堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9454,30.7708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23377, 2002, '540325', '宗沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1797,30.4262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23378, 2002, '540325', '吉塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.3158,30.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23379, 2002, '540325', '巴日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.846,30.3663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23380, 2002, '540325', '扩达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7852,31.0348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23381, 2003, '540326', '夏里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.511,30.3962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23382, 2003, '540326', '林卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9651,29.881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23383, 2003, '540326', '郭庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.5642,30.8711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23384, 2003, '540326', '集中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2991,30.5343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23385, 2003, '540326', '然乌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7749,29.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23386, 2003, '540326', '帮达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.1889,30.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23387, 2003, '540326', '拥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.3989,30.6822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23388, 2003, '540326', '白玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7926,30.1847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23389, 2003, '540326', '拉根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0155,30.1848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23390, 2003, '540326', '瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6355,30.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23391, 2003, '540326', '益庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2138,30.658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23392, 2003, '540326', '卡瓦白庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8542,30.2536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23393, 2003, '540326', '吉达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6329,29.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23394, 2003, '540326', '同卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.412,30.6713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23395, 2004, '540327', '东坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4069,29.8689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23396, 2004, '540327', '仁果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9509,29.7767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23397, 2004, '540327', '田妥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8428,29.847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23398, 2004, '540327', '中林卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.3334,29.3902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23399, 2004, '540327', '扎玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8972,29.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23400, 2004, '540327', '旺达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6077,29.6786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23401, 2004, '540327', '美玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6189,30.0575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23402, 2004, '540327', '下林卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6519,29.593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23403, 2004, '540327', '碧土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3614,28.7822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23404, 2004, '540327', '绕金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8402,29.1056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23405, 2005, '540328', '徐中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7184,29.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23406, 2005, '540328', '索多西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9484,29.1727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23407, 2005, '540328', '嘎托镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3947,29.4682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23408, 2005, '540328', '曲孜卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5996,29.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23409, 2005, '540328', '如美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2687,29.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23410, 2005, '540328', '曲登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1471,29.3517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23411, 2005, '540328', '戈波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6973,30.3002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23412, 2005, '540328', '朱巴龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7997,30.0369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23413, 2005, '540328', '纳西民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6361,28.9735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23414, 2005, '540328', '木许乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6581,28.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23415, 2005, '540328', '帮达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8824,29.4916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23416, 2005, '540328', '措瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2391,30.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23417, 2005, '540328', '宗西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6087,29.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23418, 2005, '540328', '洛尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5518,29.7194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23419, 2005, '540328', '昂多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4623,29.9228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23420, 2005, '540328', '莽岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8592,29.423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23421, 2006, '540122', '羊八井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6001,30.3093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23422, 2006, '540122', '当曲卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9625,30.48', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23423, 2006, '540122', '纳木湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9458,31.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23424, 2006, '540122', '宁中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5043,30.3736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23425, 2006, '540122', '格达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.271,29.7149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23426, 2006, '540122', '乌玛塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.472,30.4513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23427, 2006, '540122', '龙仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2626,30.4761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23428, 2006, '540122', '公塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.137,30.4458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23429, 2007, '540121', '江热夏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.3322,29.9792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23430, 2007, '540121', '松盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2293,30.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23431, 2007, '540121', '卡孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9858,29.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23432, 2007, '540121', '旁多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.127,30.1074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23433, 2007, '540121', '唐古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.63,30.4191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23434, 2007, '540121', '强嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1514,30.104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23435, 2007, '540121', '春堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9677,30.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23436, 2007, '540121', '阿朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4093,30.1957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23437, 2007, '540121', '甘丹曲果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.2723,29.9376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23438, 2007, '540121', '边交林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.3692,29.814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23439, 2008, '540123', '续迈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.21,29.4956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23440, 2008, '540123', '吞巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.3449,29.3093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23441, 2008, '540123', '帕古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.99,29.62', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23442, 2008, '540123', '普松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.1468,29.5395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23443, 2008, '540123', '卡如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8156,29.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23444, 2008, '540123', '尼木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.0046,29.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23445, 2008, '540123', '麻江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.8817,29.7291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23446, 2008, '540123', '塔荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.1516,29.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23447, 2009, '540104', '章多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4524,29.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23448, 2009, '540104', '帮堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.3444,29.6777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23449, 2009, '540104', '塔杰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4265,29.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23450, 2009, '540104', '唐嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.5173,29.9503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23451, 2009, '540104', '雪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.424,29.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23452, 2009, '540104', '德庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.4179,29.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23453, 2010, '540127', '唐加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8669,29.9406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23454, 2010, '540127', '扎雪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6725,30.1034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23455, 2010, '540127', '门巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.1393,30.2006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23456, 2010, '540127', '工卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.7675,29.7241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23457, 2010, '540127', '甲玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.6143,29.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23458, 2010, '540127', '扎西岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.8019,29.8494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23459, 2010, '540127', '尼玛江热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0606,29.8084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23460, 2010, '540127', '日多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.0651,29.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23461, 2011, '540103', '德庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.709,30.1279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23462, 2011, '540103', '乃琼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7842,29.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23463, 2011, '540103', '古荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5723,29.8039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23464, 2011, '540103', '马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6588,29.7944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23465, 2011, '540103', '东嘎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.958,29.654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23466, 2011, '540103', '羊达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.8855,29.6896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23467, 2011, '540103', '柳梧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0505,29.6252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23468, 2012, '540124', '南木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7463,29.521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23469, 2012, '540124', '曲水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.7271,29.584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23470, 2012, '540124', '茶巴拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.4832,29.4249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23471, 2012, '540124', '才纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9378,29.458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23472, 2012, '540124', '达嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.5043,29.5678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23473, 2012, '540124', '聂当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.821,29.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23474, 2013, '540102', '嘎玛贡桑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1402,29.6576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23475, 2013, '540102', '吉崩岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.108,29.6429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23476, 2013, '540102', '娘热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0429,29.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23477, 2013, '540102', '纳金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1619,29.6761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23478, 2013, '540102', '夺底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1069,29.7621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23479, 2013, '540102', '两岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1198,29.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23480, 2013, '540102', '蔡公堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1491,29.6405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23481, 2013, '540102', '金珠西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.0248,29.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23482, 2013, '540102', '扎细街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1567,29.6754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23483, 2013, '540102', '吉日街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1367,29.6488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23484, 2013, '540102', '公德林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1108,29.675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23485, 2013, '540102', '八廓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '91.1323,29.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23486, 2014, '540424', '八盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.2525,30.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23487, 2014, '540424', '松宗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1224,29.8605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23488, 2014, '540424', '玉普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.3148,29.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23489, 2014, '540424', '玉许乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0876,30.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23490, 2014, '540424', '古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.1165,30.1015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23491, 2014, '540424', '多吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1292,30.1969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23492, 2014, '540424', '康玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.503,30.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23493, 2014, '540424', '扎木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7106,29.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23494, 2014, '540424', '倾多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6355,30.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23495, 2014, '540424', '易贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.1771,30.5147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23496, 2015, '540421', '仲莎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3766,29.8839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23497, 2015, '540421', '加兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.4484,29.793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23498, 2015, '540421', '娘蒲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8066,30.4007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23499, 2015, '540421', '工布江达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.6161,29.8568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23500, 2015, '540421', '错高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.8206,29.9519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23501, 2015, '540421', '巴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.8337,29.9985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23502, 2015, '540421', '朱拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.4283,30.3974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23503, 2015, '540421', '江达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0023,30.0887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23504, 2015, '540421', '金达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.6851,30.097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23505, 2016, '540423', '帮辛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3185,29.6103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23506, 2016, '540423', '德兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.2186,29.4576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23507, 2016, '540423', '甘登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3275,29.5838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23508, 2016, '540423', '墨脱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.3122,27.7383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23509, 2016, '540423', '达木珞巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0572,29.4779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23510, 2016, '540423', '格当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.5081,29.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23511, 2016, '540423', '加热萨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3291,29.7129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23512, 2016, '540423', '背崩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.7897,29.1633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23513, 2017, '540402', '米瑞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.659,29.597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23514, 2017, '540402', '百巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.092,29.5354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23515, 2017, '540402', '布久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4434,29.5658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23516, 2017, '540402', '林芝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.475,29.7729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23517, 2017, '540402', '鲁朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.3761,30.24', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23518, 2017, '540402', '更章门巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.0525,29.8196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23519, 2017, '540402', '八一镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.3111,29.9263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23520, 2018, '540422', '米林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.279,29.2479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23521, 2018, '540422', '扎西绕登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.856,29.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23522, 2018, '540422', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.244,29.2432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23523, 2018, '540422', '派镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8992,29.8268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23524, 2018, '540422', '南伊珞巴民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.9569,28.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23525, 2018, '540422', '羌纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4953,29.4366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23526, 2018, '540422', '丹娘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.7566,29.526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23527, 2018, '540422', '里龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.5983,28.9754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23528, 2019, '540425', '上察隅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.8506,28.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23529, 2019, '540425', '察瓦龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.492,28.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23530, 2019, '540425', '下察隅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9016,28.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23531, 2019, '540425', '古拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5513,29.0162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23532, 2019, '540425', '竹瓦根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0707,29.1149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23533, 2019, '540425', '古玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0882,29.5385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23534, 2020, '540426', '仲达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8545,28.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23535, 2020, '540426', '登木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.5146,28.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23536, 2020, '540426', '洞嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.9999,29.1943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23537, 2020, '540426', '金东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.266,28.8901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23538, 2020, '540426', '拉多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.9541,28.7676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23539, 2020, '540426', '朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.0446,29.1562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23540, 2021, '542526', '先遣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.4311,34.5308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23541, 2021, '542526', '物玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '83.0347,32.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23542, 2021, '542526', '改则镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1305,32.1301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23543, 2021, '542526', '古姆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.4565,33.8067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23544, 2021, '542526', '洞措乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.3961,32.1012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23545, 2021, '542526', '麻米乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.1531,32.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23546, 2021, '542526', '察布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.9851,35.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23547, 2022, '542522', '托林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.6693,31.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23548, 2022, '542522', '底雅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.7582,31.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23549, 2022, '542522', '楚鲁松杰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.7267,31.9716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23550, 2022, '542522', '萨让乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.8298,31.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23551, 2022, '542522', '达巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.6755,30.7051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23552, 2022, '542522', '曲松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.4176,32.0516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23553, 2022, '542522', '香孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.4125,32.0295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23554, 2023, '542527', '磁石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.8234,31.033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23555, 2023, '542527', '达雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.2498,31.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23556, 2023, '542527', '措勤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.6901,30.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23557, 2023, '542527', '江让乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '84.4667,30.4844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23558, 2023, '542527', '曲洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '85.2601,30.38', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23559, 2024, '542521', '普兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1586,30.6014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23560, 2024, '542521', '霍尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.2795,30.402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23561, 2024, '542521', '巴嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9107,30.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23562, 2025, '542523', '扎西岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.599,32.7443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23563, 2025, '542523', '左左乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.9585,32.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23564, 2025, '542523', '昆莎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.879,32.2885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23565, 2025, '542523', '门士乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '80.4148,31.1431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23566, 2025, '542523', '狮泉河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.9602,32.3456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23567, 2026, '542525', '盐湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.7253,33.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23568, 2026, '542525', '雄巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.6955,32.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23569, 2026, '542525', '革吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.1626,32.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23570, 2026, '542525', '亚热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.42,31.1532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23571, 2026, '542525', '文布当桑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '82.5739,32.1356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23572, 2027, '542524', '热帮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '81.8278,33.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23573, 2027, '542524', '日土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.0391,33.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23574, 2027, '542524', '东汝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.8553,34.5417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23575, 2027, '542524', '多玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '78.6526,34.0438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23576, 2027, '542524', '日松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '79.6144,32.7346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23577, 2028, '430611', '广兴洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.878,29.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23578, 2028, '430611', '良心堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.729,29.4045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23579, 2028, '430611', '许市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.827,29.6041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23580, 2028, '430611', '钱粮湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.725,29.3925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23581, 2028, '430611', '柳林洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.078,29.4383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23582, 2029, '430603', '文桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.383,29.6004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23583, 2029, '430603', '道仁矶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.31,29.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23584, 2029, '430603', '长炼工矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.354,29.5422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23585, 2029, '430603', '路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.344,29.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23586, 2029, '430603', '岳化工矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.296,29.4776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23587, 2029, '430603', '陆城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.35,29.6128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23588, 2029, '430603', '云溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.371,29.4614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23589, 2029, '430603', '松杨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.197,29.4475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23590, 2030, '430623', '北景港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.444,29.3605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23591, 2030, '430623', '新河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.529,29.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23592, 2030, '430623', '三封寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.698,29.5974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23593, 2030, '430623', '团洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.818,29.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23594, 2030, '430623', '插旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.665,29.4', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23595, 2030, '430623', '万庾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.591,29.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23596, 2030, '430623', '治河渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.577,29.5059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23597, 2030, '430623', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.71,29.5944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23598, 2030, '430623', '操军镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.414,29.3789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23599, 2030, '430623', '禹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.664,29.396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23600, 2030, '430623', '注滋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.683,29.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23601, 2030, '430623', '章华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.594,29.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23602, 2030, '430623', '鲇鱼须镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.5,29.5327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23603, 2030, '430623', '梅田湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.402,29.5502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23604, 2031, '430602', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.131,29.3791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23605, 2031, '430602', '经济技术开发区通海路管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.169,29.3368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23606, 2031, '430602', '奇家岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.14,29.3335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23607, 2031, '430602', '金鹗山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.103,29.3662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23608, 2031, '430602', '吕仙亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.075,29.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23609, 2031, '430602', '求索街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.096,29.3356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23610, 2031, '430602', '城陵矶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.153,29.4554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23611, 2031, '430602', '三眼桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.118,29.3571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23612, 2031, '430602', '五里牌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.119,29.3668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23613, 2031, '430602', '梅溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.19,29.386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23614, 2031, '430602', '王家河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.147,29.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23615, 2031, '430602', '望岳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.117,29.3949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23616, 2031, '430602', '康王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.225,29.296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23617, 2031, '430602', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.087,29.3327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23618, 2031, '430602', '东茅岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.1,29.3717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23619, 2031, '430602', '洛王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.161,29.3891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23620, 2031, '430602', '枫桥湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.115,29.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23621, 2031, '430602', '洞庭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.126,29.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23622, 2031, '430602', '岳阳楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.114,29.3919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23623, 2031, '430602', '金凤桥管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.195,29.3467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23624, 2031, '430602', '郭镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.161,29.2376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23625, 2031, '430602', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.163,29.3316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23626, 2031, '430602', '西塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.262,29.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23627, 2032, '430681', '汨罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.026,28.8268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23628, 2032, '430681', '长乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.346,28.8504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23629, 2032, '430681', '古培镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.084,28.7832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23630, 2032, '430681', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.19,28.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23631, 2032, '430681', '营田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.943,29.0416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23632, 2032, '430681', '天问街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.907,28.8455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23633, 2032, '430681', '营田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.907,28.8473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23634, 2032, '430681', '屈子祠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.983,28.8821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23635, 2032, '430681', '河市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.964,28.9072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23636, 2032, '430681', '弼时镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.186,28.5292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23637, 2032, '430681', '归义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.119,28.7947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23638, 2032, '430681', '桃林寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.08,28.9095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23639, 2032, '430681', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.4,28.9018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23640, 2032, '430681', '凤凰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.96,28.9981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23641, 2032, '430681', '神鼎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.189,28.682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23642, 2032, '430681', '罗江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.22,28.9204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23643, 2032, '430681', '川山坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.001,28.5967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23644, 2032, '430681', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.07,28.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23645, 2032, '430681', '白塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.988,29.027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23646, 2032, '430681', '大荆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.228,28.9618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23647, 2033, '430624', '岭北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.76,28.5324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23648, 2033, '430624', '六塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.972,28.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23649, 2033, '430624', '静河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.899,28.5863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23650, 2033, '430624', '东塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.989,28.8176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23651, 2033, '430624', '湘滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.618,28.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23652, 2033, '430624', '三塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.902,28.7843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23653, 2033, '430624', '青潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.746,28.8921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23654, 2033, '430624', '杨林寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.744,28.7219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23655, 2033, '430624', '樟树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.859,28.5633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23656, 2033, '430624', '南湖洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.616,28.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23657, 2033, '430624', '新泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.676,28.6676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23658, 2033, '430624', '鹤龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.782,28.706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23659, 2033, '430624', '文星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.957,28.741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23660, 2033, '430624', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.91,28.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23661, 2034, '430682', '黄盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.573,29.8153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23662, 2034, '430682', '詹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.578,29.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23663, 2034, '430682', '五里牌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.465,29.5245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23664, 2034, '430682', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.41,29.2754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23665, 2034, '430682', '羊楼司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.563,29.5742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23666, 2034, '430682', '白羊田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.441,29.2871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23667, 2034, '430682', '桃矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.474,29.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23668, 2034, '430682', '忠防镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.476,29.3709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23669, 2034, '430682', '坦渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.642,29.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23670, 2034, '430682', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.405,29.4231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23671, 2034, '430682', '云湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.392,29.4454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23672, 2034, '430682', '桃林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.443,29.4087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23673, 2034, '430682', '江南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.447,29.6755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23674, 2034, '430682', '聂市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.503,29.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23675, 2035, '430621', '步仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.374,29.0506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23676, 2035, '430621', '黄沙街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.171,29.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23677, 2035, '430621', '杨林街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.374,29.0815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23678, 2035, '430621', '柏祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.28,29.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23679, 2035, '430621', '月田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.582,29.1375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23680, 2035, '430621', '中洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.056,29.1058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23681, 2035, '430621', '筻口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.255,29.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23682, 2035, '430621', '新墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.254,29.1543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23683, 2035, '430621', '新开镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.289,29.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23684, 2035, '430621', '东洞庭湖管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.019,29.1736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23685, 2035, '430621', '长湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.241,29.1021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23686, 2035, '430621', '公田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.496,29.1847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23687, 2035, '430621', '荣家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.074,29.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23688, 2035, '430621', '张谷英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.485,29.0966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23689, 2035, '430621', '毛田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.498,29.2309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23690, 2036, '430626', '梅仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.712,28.9474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23691, 2036, '430626', '安定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.677,28.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23692, 2036, '430626', '三阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.575,28.5844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23693, 2036, '430626', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.001,28.7591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23694, 2036, '430626', '南江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.767,29.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23695, 2036, '430626', '汉昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.551,28.7544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23696, 2036, '430626', '三市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.684,28.5958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23697, 2036, '430626', '浯口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.47,28.827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23698, 2036, '430626', '瓮江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.411,28.7423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23699, 2036, '430626', '板江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.704,29.0333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23700, 2036, '430626', '岑川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.465,28.9727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23701, 2036, '430626', '三墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.705,28.8901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23702, 2036, '430626', '石牛寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.923,28.9876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23703, 2036, '430626', '伍市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.184,28.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23704, 2036, '430626', '木金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.906,28.879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23705, 2036, '430626', '童市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.725,28.7875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23706, 2036, '430626', '上塔市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.791,29.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23707, 2036, '430626', '大洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.613,28.9781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23708, 2036, '430626', '虹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.923,28.9866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23709, 2036, '430626', '余坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.559,28.9702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23710, 2036, '430626', '向家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.244,28.6552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23711, 2036, '430626', '福寿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.787,28.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23712, 2036, '430626', '加义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.858,28.5322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23713, 2036, '430626', '长寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.915,28.7587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23714, 2037, '430902', '张家塞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.409,28.7165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23715, 2037, '430902', '新桥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.209,28.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23716, 2037, '430902', '大码头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.322,28.6026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23717, 2037, '430902', '汽车路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.346,28.5926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23718, 2037, '430902', '迎风桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.279,28.7009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23719, 2037, '430902', '沙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.476,28.6929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23720, 2037, '430902', '茈湖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.545,28.7913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23721, 2037, '430902', '长春工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.32,28.6053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23722, 2037, '430902', '长春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.288,28.6917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23723, 2038, '430922', '灰山港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.211,28.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23724, 2038, '430922', '武潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.795,28.5689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23725, 2038, '430922', '鲊埠回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.836,28.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23726, 2038, '430922', '沾溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.999,28.58', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23727, 2038, '430922', '修山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.974,28.6286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23728, 2038, '430922', '马迹塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.813,28.4305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23729, 2038, '430922', '石牛江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.149,28.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23730, 2038, '430922', '板溪林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.943,28.3623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23731, 2038, '430922', '松木塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.083,28.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23732, 2038, '430922', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.058,28.4598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23733, 2038, '430922', '桃花江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.114,28.511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23734, 2038, '430922', '浮丘山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.076,28.4692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23735, 2038, '430922', '大栗港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.92,28.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23736, 2038, '430922', '牛田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.107,28.3978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23737, 2038, '430922', '三堂街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.986,28.6448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23738, 2038, '430922', '鸬鹚渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.017,28.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23739, 2039, '430903', '沧水铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.402,28.4798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23740, 2039, '430903', '八字哨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.534,28.6276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23741, 2039, '430903', '衡龙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.476,28.3314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23742, 2039, '430903', '桃花仑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.356,28.5906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23743, 2039, '430903', '会龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.293,28.5554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23744, 2039, '430903', '笔架山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.506,28.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23745, 2039, '430903', '兰溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.49,28.5371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23746, 2039, '430903', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.331,28.5314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23747, 2039, '430903', '金银山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.338,28.5638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23748, 2039, '430903', '新市渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.302,28.4929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23749, 2039, '430903', '龙岭工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.39,28.5418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23750, 2039, '430903', '谢林港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.341,28.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23751, 2039, '430903', '泉交河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.613,28.5416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23752, 2039, '430903', '泥江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.201,28.4211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23753, 2039, '430903', '岳家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.457,28.3473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23754, 2039, '430903', '赫山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.407,28.5971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23755, 2039, '430903', '欧江岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.669,28.5838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23756, 2040, '430923', '高明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.809,28.0721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23757, 2040, '430923', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.782,28.3974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23758, 2040, '430923', '滔溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.535,28.3795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23759, 2040, '430923', '大福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.922,28.3413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23760, 2040, '430923', '冷市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.452,28.4305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23761, 2040, '430923', '烟溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.985,28.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23762, 2040, '430923', '龙塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.387,28.5476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23763, 2040, '430923', '羊角塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.643,28.6251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23764, 2040, '430923', '梅城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.562,28.2537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23765, 2040, '430923', '渠江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.965,28.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23766, 2040, '430923', '柘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.096,28.2878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23767, 2040, '430923', '田庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.277,28.3746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23768, 2040, '430923', '清塘铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.858,28.1433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23769, 2040, '430923', '江南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.352,28.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23770, 2040, '430923', '乐安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.486,28.1582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23771, 2040, '430923', '马路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.935,28.4213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23772, 2040, '430923', '东坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.187,28.5191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23773, 2040, '430923', '小淹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.61,28.4233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23774, 2040, '430923', '古楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.98,28.1631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23775, 2040, '430923', '仙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.793,28.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23776, 2040, '430923', '奎溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.818,28.2064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23777, 2040, '430923', '平口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.994,28.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23778, 2040, '430923', '南金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.029,28.2625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23779, 2041, '430981', '泗湖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.637,28.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23780, 2041, '430981', '阳罗洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.56,29.1095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23781, 2041, '430981', '漉湖芦苇场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.762,29.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23782, 2041, '430981', '共华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.376,29.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23783, 2041, '430981', '南嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.306,28.9561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23784, 2041, '430981', '三眼塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.364,28.723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23785, 2041, '430981', '南大膳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.649,29.0283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23786, 2041, '430981', '茶盘洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.768,28.9625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23787, 2041, '430981', '草尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.392,29.1036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23788, 2041, '430981', '庆云山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.379,28.839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23789, 2041, '430981', '琼湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.316,28.8469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23790, 2041, '430981', '黄茅洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.651,29.0531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23791, 2041, '430981', '四季红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.545,29.1374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23792, 2041, '430981', '南洞庭芦苇场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.662,28.8322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23793, 2041, '430981', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.35,28.8247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23794, 2041, '430981', '新湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.31,28.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23795, 2041, '430981', '万子湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.42,28.7984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23796, 2042, '430921', '麻河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.262,29.3759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23797, 2042, '430921', '北洲子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.727,29.1771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23798, 2042, '430921', '南湾湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,29.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23799, 2042, '430921', '金盆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.718,29.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23800, 2042, '430921', '沙堡洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.427,29.1713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23801, 2042, '430921', '千山红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.402,29.1448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23802, 2042, '430921', '明山头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.558,29.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23803, 2042, '430921', '三仙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.312,29.2244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23804, 2042, '430921', '武圣宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.224,29.2947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23805, 2042, '430921', '浪拔湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.284,29.4976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23806, 2042, '430921', '厂窖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.221,29.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23807, 2042, '430921', '青树嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.475,29.2576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23808, 2042, '430921', '华阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.651,29.3239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23809, 2042, '430921', '中鱼口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.458,29.2933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23810, 2042, '430921', '茅草街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.3,29.0863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23811, 2042, '430921', '河坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.631,29.201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23812, 2042, '430921', '南洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.387,29.3767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23813, 2042, '430921', '乌嘴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.439,29.3419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23814, 2043, '430423', '贯塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.543,27.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23815, 2043, '430423', '店门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.699,27.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23816, 2043, '430423', '永和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.789,27.2057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23817, 2043, '430423', '长江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.831,27.3495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23818, 2043, '430423', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.48,27.3643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23819, 2043, '430423', '福田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.752,27.3429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23820, 2043, '430423', '江东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.591,27.3664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23821, 2043, '430423', '开云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.915,27.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23822, 2043, '430423', '东湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.573,27.2955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23823, 2043, '430423', '萱洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.721,27.1061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23824, 2043, '430423', '岭坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.677,27.3874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23825, 2043, '430423', '白果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.692,27.453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23826, 2044, '430424', '石湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.942,27.3509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23827, 2044, '430424', '高湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.185,27.0835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23828, 2044, '430424', '石滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.886,26.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23829, 2044, '430424', '新塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.947,27.1995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23830, 2044, '430424', '霞流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.832,27.0275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23831, 2044, '430424', '荣桓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.139,27.1501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23832, 2044, '430424', '蓬源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.183,27.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23833, 2044, '430424', '大浦工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.789,27.01', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23834, 2044, '430424', '大浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.822,26.9447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23835, 2044, '430424', '白莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.004,27.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23836, 2044, '430424', '南湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.097,26.9064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23837, 2044, '430424', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.091,27.1454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23838, 2044, '430424', '甘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.042,27.1325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23839, 2044, '430424', '杨林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.04,27.0232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23840, 2044, '430424', '草市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.169,26.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23841, 2044, '430424', '三樟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.986,27.3254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23842, 2044, '430424', '吴集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.87,27.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23843, 2044, '430424', '洣水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.963,27.0828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23844, 2045, '430421', '台源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.459,27.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23845, 2045, '430421', '西渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.37,26.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23846, 2045, '430421', '溪江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.316,27.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23847, 2045, '430421', '杉桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.471,27.0735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23848, 2045, '430421', '樟树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.468,26.9513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23849, 2045, '430421', '渣江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.398,27.1856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23850, 2045, '430421', '大安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.179,27.1764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23851, 2045, '430421', '库宗桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.172,27.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23852, 2045, '430421', '金兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.091,27.2011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23853, 2045, '430421', '岣嵝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.666,27.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23854, 2045, '430421', '岘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.189,26.9936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23855, 2045, '430421', '长安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.352,27.1172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23856, 2045, '430421', '界牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.57,27.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23857, 2045, '430421', '洪市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.247,27.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23858, 2045, '430421', '井头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.095,27.0538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23859, 2045, '430421', '樟木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.629,27.0732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23860, 2045, '430421', '栏垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.328,27.0955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23861, 2045, '430421', '关市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.061,26.952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23862, 2045, '430421', '板市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.489,26.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23863, 2045, '430421', '曲兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.113,27.2206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23864, 2045, '430421', '金溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.307,27.359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23865, 2045, '430421', '石市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.473,27.3497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23866, 2045, '430421', '演陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.312,27.0278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23867, 2045, '430421', '三湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.308,27.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23868, 2045, '430421', '集兵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.518,27.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23869, 2046, '430412', '寿岳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.665,27.3088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23870, 2046, '430412', '祝融街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.728,27.2361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23871, 2046, '430412', '南岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.669,27.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23872, 2047, '430481', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.981,26.617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23873, 2047, '430481', '大市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.03,26.5252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23874, 2047, '430481', '长坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.765,26.2627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23875, 2047, '430481', '哲桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.826,26.4733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23876, 2047, '430481', '南京乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.635,26.3327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23877, 2047, '430481', '永济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.792,26.6201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23878, 2047, '430481', '小水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.848,26.3367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23879, 2047, '430481', '大义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.016,26.2981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23880, 2047, '430481', '仁义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.692,26.1421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23881, 2047, '430481', '亮源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.068,26.6217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23882, 2047, '430481', '肥田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.778,26.6098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23883, 2047, '430481', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.969,26.5011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23884, 2047, '430481', '坛下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.724,26.5272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23885, 2047, '430481', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.998,26.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23886, 2047, '430481', '蔡子池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.831,26.4954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23887, 2047, '430481', '五里牌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.872,26.4347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23888, 2047, '430481', '太和圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.693,26.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23889, 2047, '430481', '公平圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.88,26.2595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23890, 2047, '430481', '黄市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.899,26.2477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23891, 2047, '430481', '太平圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.81,26.2284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23892, 2047, '430481', '遥田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.823,26.5067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23893, 2047, '430481', '东湖圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.134,26.4897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23894, 2047, '430481', '夏塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.05,26.3815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23895, 2047, '430481', '余庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.754,26.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23896, 2047, '430481', '灶市街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.903,26.3584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23897, 2047, '430481', '马水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.114,26.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23898, 2047, '430481', '水东江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.97,26.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23899, 2047, '430481', '导子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.037,26.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23900, 2047, '430481', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.113,26.4307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23901, 2048, '430406', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.617,26.8968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23902, 2048, '430406', '岳屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.57,26.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23903, 2048, '430406', '天马山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.601,26.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23904, 2048, '430406', '雁峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.619,26.8871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23905, 2048, '430406', '白沙洲工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.615,26.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23906, 2048, '430406', '白沙洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.635,26.855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23907, 2048, '430406', '黄茶岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.66,26.8616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23908, 2049, '430405', '冶金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.637,26.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23909, 2049, '430405', '衡州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.703,26.8978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23910, 2049, '430405', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.633,26.8801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23911, 2049, '430405', '东阳渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.65,26.7768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23912, 2049, '430405', '广东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.62,26.8841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23913, 2049, '430405', '粤汉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.623,26.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23914, 2049, '430405', '苗圃街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.65,26.8909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23915, 2049, '430405', '松林茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.625,26.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23916, 2049, '430405', '白渔潭园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.694,26.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23917, 2049, '430405', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.665,26.8866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23918, 2049, '430405', '茶山坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.669,26.9823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23919, 2049, '430405', '金甲岭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.692,26.9806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23920, 2049, '430405', '酃湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.668,26.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23921, 2049, '430405', '酃湖渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.67,26.8738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23922, 2050, '430407', '合江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.654,26.9537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23923, 2050, '430407', '青山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.601,26.9073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23924, 2050, '430407', '黄沙湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.639,26.943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23925, 2050, '430407', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.611,26.9022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23926, 2050, '430407', '松木工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.631,26.9815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23927, 2050, '430407', '五一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.62,26.9308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23928, 2050, '430407', '潇湘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.602,26.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23929, 2050, '430407', '角山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.59,26.9998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23930, 2051, '430422', '硫市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.457,26.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23931, 2051, '430422', '铁丝塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.946,26.8361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23932, 2051, '430422', '柞市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.369,26.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23933, 2051, '430422', '廖田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.721,26.6426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23934, 2051, '430422', '松江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.557,26.7191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23935, 2051, '430422', '冠市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.881,26.7737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23936, 2051, '430422', '近尾洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.411,26.644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23937, 2051, '430422', '泉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.287,26.7599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23938, 2051, '430422', '衡州监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.657,26.7435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23939, 2051, '430422', '相市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.842,26.7746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23940, 2051, '430422', '茅市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.307,26.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23941, 2051, '430422', '衡南县原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.767,26.7309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23942, 2051, '430422', '谭子山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.413,26.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23943, 2051, '430422', '泉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.786,26.8787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23944, 2051, '430422', '栗江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.502,26.6864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23945, 2051, '430422', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.767,26.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23946, 2051, '430422', '鸡笼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.263,26.8208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23947, 2051, '430422', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.884,26.6907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23948, 2051, '430422', '宝盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.019,26.7931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23949, 2051, '430422', '衡南县岐山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.16,26.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23950, 2051, '430422', '咸塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.785,26.9361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23951, 2051, '430422', '茶市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.83,26.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23952, 2051, '430422', '云集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.481,26.7446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23953, 2051, '430422', '三塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.439,26.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23954, 2051, '430422', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.942,26.8606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23955, 2052, '430426', '城连圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.692,26.889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23956, 2052, '430426', '过水坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.079,26.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23957, 2052, '430426', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.99,26.7498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23958, 2052, '430426', '洪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.113,26.8771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23959, 2052, '430426', '太和堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.658,26.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23960, 2052, '430426', '鸟江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.172,26.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23961, 2052, '430426', '砖塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.802,26.8174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23962, 2052, '430426', '四明山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,26.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23963, 2052, '430426', '凤歧坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.741,27.0547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23964, 2052, '430426', '官家嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.779,26.9686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23965, 2052, '430426', '马杜桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.93,26.9401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23966, 2052, '430426', '金桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.139,26.6907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23967, 2052, '430426', '蒋家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.673,26.904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23968, 2052, '430426', '归阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.254,26.5595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23969, 2052, '430426', '粮市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.276,26.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23970, 2052, '430426', '白鹤铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.222,26.808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23971, 2052, '430426', '黄土铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.841,26.9064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23972, 2052, '430426', '石亭子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.818,26.789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23973, 2052, '430426', '白地市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.914,26.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23974, 2052, '430426', '河洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.269,26.5296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23975, 2052, '430426', '风石堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.946,26.8441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23976, 2052, '430426', '灵官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.021,26.7282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23977, 2052, '430426', '步云桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.756,26.8796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23978, 2053, '430408', '联合街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.559,26.8709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23979, 2053, '430408', '呆鹰岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.527,26.947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23980, 2053, '430408', '雨母山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.528,26.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23981, 2053, '430408', '红湘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.591,26.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23982, 2053, '430408', '华兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.578,26.8974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23983, 2053, '430408', '蒸湘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.568,26.9076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23984, 2054, '430482', '蓬塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.578,26.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23985, 2054, '430482', '庙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.488,26.2163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23986, 2054, '430482', '泉峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.417,26.4063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23987, 2054, '430482', '兰江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.372,26.4364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23988, 2054, '430482', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.627,26.2585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23989, 2054, '430482', '西岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.524,26.2888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23990, 2054, '430482', '烟洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.582,26.4835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23991, 2054, '430482', '胜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.343,26.3593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23992, 2054, '430482', '天堂山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.269,26.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23993, 2054, '430482', '官岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.209,26.4022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23994, 2054, '430482', '荫田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.638,26.4038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23995, 2054, '430482', '大堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.157,26.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23996, 2054, '430482', '罗桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.43,26.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23997, 2054, '430482', '柏坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.52,26.5637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23998, 2054, '430482', '培元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.381,26.4376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (23999, 2054, '430482', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.44,26.2816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24000, 2054, '430482', '洋泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.215,26.1722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24001, 2054, '430482', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.249,26.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24002, 2054, '430482', '宜阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.494,26.4022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24003, 2054, '430482', '塔山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.28,26.2022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24004, 2054, '430482', '水口山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.594,26.5962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24005, 2054, '430482', '三角塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.427,26.3776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24006, 2055, '431381', '潘桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.44,27.6349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24007, 2055, '431381', '同兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.447,27.7015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24008, 2055, '431381', '梓龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.512,27.7204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24009, 2055, '431381', '毛易镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.497,27.6952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24010, 2055, '431381', '禾青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.415,27.6161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24011, 2055, '431381', '渣渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.512,27.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24012, 2055, '431381', '冷水江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.414,27.6876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24013, 2055, '431381', '三尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.388,27.5998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24014, 2055, '431381', '金竹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.519,27.6288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24015, 2055, '431381', '中连乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.494,27.7343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24016, 2055, '431381', '沙塘湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.479,27.6513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24017, 2055, '431381', '布溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.435,27.6788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24018, 2055, '431381', '锡矿山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.571,27.8064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24019, 2055, '431381', '铎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.547,27.6744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24020, 2056, '431322', '天门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.93,27.8751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24021, 2056, '431322', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.167,27.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24022, 2056, '431322', '文田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.98,27.7755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24023, 2056, '431322', '孟公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.185,27.9753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24024, 2056, '431322', '荣华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.229,28.1223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24025, 2056, '431322', '上梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.343,27.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24026, 2056, '431322', '桑梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.439,27.8281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24027, 2056, '431322', '水车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.954,27.7264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24028, 2056, '431322', '金凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.072,27.9921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24029, 2056, '431322', '游家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.201,27.8719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24030, 2056, '431322', '古台山国有林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.031,27.8255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24031, 2056, '431322', '上渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.326,27.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24032, 2056, '431322', '白溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.328,28.0909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24033, 2056, '431322', '坐石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.487,27.9638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24034, 2056, '431322', '田坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.529,28.0063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24035, 2056, '431322', '奉家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.873,27.8458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24036, 2056, '431322', '维山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.279,27.6507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24037, 2056, '431322', '圳上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.351,28.0993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24038, 2056, '431322', '槎溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.106,27.7129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24039, 2056, '431322', '炉观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.092,27.7808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24040, 2056, '431322', '吉庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.457,28.0266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24041, 2056, '431322', '温塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.469,27.8538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24042, 2056, '431322', '油溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.29,27.9745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24043, 2056, '431322', '科头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.252,27.7104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24044, 2056, '431322', '石冲口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.328,27.6734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24045, 2056, '431322', '洋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.247,27.7158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24046, 2056, '431322', '大熊山国有林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.331,28.2204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24047, 2056, '431322', '曹家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.367,27.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24048, 2056, '431322', '琅塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.186,27.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24049, 2057, '431382', '古塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.676,27.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24050, 2057, '431382', '石马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.722,27.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24051, 2057, '431382', '六亩塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.66,27.7461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24052, 2057, '431382', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.677,27.6106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24053, 2057, '431382', '伏口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.756,27.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24054, 2057, '431382', '桥头河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.88,27.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24055, 2057, '431382', '茅塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.764,27.6252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24056, 2057, '431382', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.753,27.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24057, 2057, '431382', '七星街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.837,27.9477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24058, 2057, '431382', '杨市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.842,27.6402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24059, 2057, '431382', '斗笠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.853,27.7278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24060, 2057, '431382', '渡头塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.888,27.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24061, 2057, '431382', '湄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.688,27.8869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24062, 2057, '431382', '金石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.919,27.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24063, 2057, '431382', '三甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.674,27.6093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24064, 2057, '431382', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.737,27.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24065, 2057, '431382', '蓝田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.658,27.7242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24066, 2057, '431382', '枫坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.748,27.6767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24067, 2057, '431382', '荷塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.937,27.5827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24068, 2058, '431321', '杏子铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.209,27.5659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24069, 2058, '431321', '印塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.079,27.4782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24070, 2058, '431321', '荷叶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.467,27.4421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24071, 2058, '431321', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.235,27.475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24072, 2058, '431321', '石牛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.272,27.4296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24073, 2058, '431321', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.048,27.4798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24074, 2058, '431321', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.155,27.4611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24075, 2058, '431321', '沙塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.243,27.4755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24076, 2058, '431321', '梓门桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.251,27.537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24077, 2058, '431321', '洪山殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.009,27.5786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24078, 2058, '431321', '花门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.036,27.3284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24079, 2058, '431321', '井字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.394,27.4976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24080, 2058, '431321', '走马街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.166,27.5475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24081, 2058, '431321', '锁石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.155,27.2964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24082, 2058, '431321', '三塘铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.993,27.388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24083, 2058, '431321', '青树坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.077,27.4123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24084, 2059, '431302', '大埠桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.042,27.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24085, 2059, '431302', '茶园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.045,27.6717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24086, 2059, '431302', '花山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.036,27.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24087, 2059, '431302', '双江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.923,27.8582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24088, 2059, '431302', '涟滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.004,27.7866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24089, 2059, '431302', '黄泥塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.952,27.7729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24090, 2059, '431302', '大科街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.994,27.7158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24091, 2059, '431302', '水洞底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.87,27.6369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24092, 2059, '431302', '乐坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.037,27.7451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24093, 2059, '431302', '万宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.037,27.6974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24094, 2059, '431302', '长青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.973,27.7143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24095, 2059, '431302', '石井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.953,27.7369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24096, 2059, '431302', '杉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.976,27.7774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24097, 2059, '431302', '蛇形山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.047,27.6407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24098, 2060, '430726', '三圣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.114,29.8585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24099, 2060, '430726', '磨市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.923,29.7864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24100, 2060, '430726', '罗坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.78,29.8683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24101, 2060, '430726', '维新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.029,29.831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24102, 2060, '430726', '楚江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.373,29.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24103, 2060, '430726', '洛浦寺林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.449,29.6663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24104, 2060, '430726', '皂市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.192,29.7458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24105, 2060, '430726', '雁池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.955,29.7693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24106, 2060, '430726', '夹山管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.487,29.55', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24107, 2060, '430726', '子良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.312,29.9802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24108, 2060, '430726', '二都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.491,29.5669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24109, 2060, '430726', '秀坪园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.459,29.4692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24110, 2060, '430726', '白云山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.162,29.678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24111, 2060, '430726', '壶瓶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.756,29.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24112, 2060, '430726', '白云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.106,29.6685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24113, 2060, '430726', '东山峰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.68,29.9389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24114, 2060, '430726', '夹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.463,29.5525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24115, 2060, '430726', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.908,30.0087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24116, 2060, '430726', '蒙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.412,29.4362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24117, 2060, '430726', '新关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.363,29.6541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24118, 2060, '430726', '所街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.925,29.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24119, 2060, '430726', '新铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.293,29.6981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24120, 2060, '430726', '易家渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.389,29.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24121, 2060, '430726', '大同山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.096,29.8263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24122, 2060, '430726', '南北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.676,29.9053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24123, 2061, '430723', '梦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.787,29.8276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24124, 2061, '430723', '甘溪滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.304,29.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24125, 2061, '430723', '涔南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.751,29.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24126, 2061, '430723', '如东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.935,29.7768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24127, 2061, '430723', '城头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.697,29.6652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24128, 2061, '430723', '澧浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.781,29.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24129, 2061, '430723', '王家厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.585,29.8131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24130, 2061, '430723', '金罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.613,29.8922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24131, 2061, '430723', '澧南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.681,29.6094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24132, 2061, '430723', '大堰垱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.71,29.815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24133, 2061, '430723', '火连坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.485,29.8036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24134, 2061, '430723', '澧阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.766,29.6746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24135, 2061, '430723', '澧澹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.803,29.654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24136, 2061, '430723', '盐井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.707,29.8945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24137, 2061, '430723', '小渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.904,29.5944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24138, 2061, '430723', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.976,29.7901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24139, 2061, '430723', '码头铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.446,29.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24140, 2061, '430723', '官垸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.998,29.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24141, 2061, '430723', '澧西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.725,29.7148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24142, 2062, '430781', '金鱼岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.88,29.6018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24143, 2062, '430781', '白衣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.849,29.4864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24144, 2062, '430781', '襄阳街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.849,29.6086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24145, 2062, '430781', '三洲驿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.871,29.6493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24146, 2062, '430781', '汪家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.895,29.655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24147, 2062, '430781', '涔澹农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.929,29.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24148, 2062, '430781', '毛里湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.852,29.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24149, 2062, '430781', '新洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.864,29.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24150, 2062, '430781', '嘉山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.85,29.5475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24151, 2062, '430781', '药山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.916,29.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24152, 2063, '430724', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.514,29.6966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24153, 2063, '430724', '太浮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.597,29.3153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24154, 2063, '430724', '停弦渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.569,29.6011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24155, 2063, '430724', '修梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.607,29.5409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24156, 2063, '430724', '四新岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.66,29.3922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24157, 2063, '430724', '安福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.619,29.4941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24158, 2063, '430724', '陈二乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.563,29.3792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24159, 2063, '430724', '柏枝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.708,29.3997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24160, 2063, '430724', '杨板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.672,29.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24161, 2063, '430724', '杉板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.535,29.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24162, 2063, '430724', '佘市桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.571,29.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24163, 2063, '430724', '望城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.622,29.4338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24164, 2063, '430724', '烽火乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.721,29.4522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24165, 2063, '430724', '合口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.561,29.6877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24166, 2063, '430724', '文家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.594,29.4207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24167, 2063, '430724', '刻木山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.508,29.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24168, 2064, '430722', '聂家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.78,28.9118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24169, 2064, '430722', '百禄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.306,28.7977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24170, 2064, '430722', '龙阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.964,28.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24171, 2064, '430722', '军山铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.208,28.691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24172, 2064, '430722', '罐头嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.981,29.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24173, 2064, '430722', '株木山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.939,28.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24174, 2064, '430722', '毛家滩回族维吾尔族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.849,28.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24175, 2064, '430722', '酉港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.235,29.1148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24176, 2064, '430722', '洋淘湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.258,28.8913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24177, 2064, '430722', '朱家铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.751,28.7346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24178, 2064, '430722', '龙潭桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.122,28.8164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24179, 2064, '430722', '崔家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.948,28.7228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24180, 2064, '430722', '洲口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.988,28.991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24181, 2064, '430722', '丰家铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.81,28.7059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24182, 2064, '430722', '西洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.089,29.1113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24183, 2064, '430722', '太子庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.918,28.7791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24184, 2064, '430722', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.208,29.1216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24185, 2064, '430722', '岩汪湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.012,28.9355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24186, 2064, '430722', '坡头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.14,29.0054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24187, 2064, '430722', '沧港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.856,28.9924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24188, 2064, '430722', '蒋家嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.249,28.839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24189, 2065, '430703', '灌溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.58,29.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24190, 2065, '430703', '中河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.044,29.3893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24191, 2065, '430703', '斗姆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.646,28.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24192, 2065, '430703', '草坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.603,28.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24193, 2065, '430703', '花岩溪林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.538,28.6526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24194, 2065, '430703', '石板滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.619,29.1792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24195, 2065, '430703', '镇德桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.831,29.1818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24196, 2065, '430703', '石门桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.761,28.9534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24197, 2065, '430703', '韩公渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.979,29.1222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24198, 2065, '430703', '石公桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.832,29.1789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24199, 2065, '430703', '牛鼻滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.791,29.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24200, 2065, '430703', '特种养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.888,29.139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24201, 2065, '430703', '西洞庭管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.012,29.2755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24202, 2065, '430703', '鼎城区园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.787,29.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24203, 2065, '430703', '周家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.871,29.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24204, 2065, '430703', '贺家山原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.891,28.9999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24205, 2065, '430703', '蒿子港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.06,29.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24206, 2065, '430703', '尧天坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.483,28.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24207, 2065, '430703', '黄土店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.678,28.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24208, 2065, '430703', '双桥坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.724,29.2925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24209, 2065, '430703', '十美堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.009,29.1389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24210, 2065, '430703', '蔡家岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.574,29.2762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24211, 2065, '430703', '谢家铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.717,28.7333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24212, 2065, '430703', '郭家铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.696,28.9586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24213, 2065, '430703', '花岩溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.56,28.6309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24214, 2065, '430703', '许家桥回族维吾尔族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.522,28.8795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24215, 2065, '430703', '红云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.686,28.9975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24216, 2065, '430703', '玉霞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.695,29.0219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24217, 2066, '430702', '德山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.706,28.9468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24218, 2066, '430702', '芦荻山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.76,29.0357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24219, 2066, '430702', '长庚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.681,29.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24220, 2066, '430702', '柳叶湖旅游渡假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.663,29.1339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24221, 2066, '430702', '永安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.726,29.0234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24222, 2066, '430702', '府坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.693,29.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24223, 2066, '430702', '白鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.705,29.1749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24224, 2066, '430702', '白马湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.688,29.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24225, 2066, '430702', '丹阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.699,29.049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24226, 2066, '430702', '河洑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.65,29.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24227, 2066, '430702', '启明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.704,29.0145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24228, 2066, '430702', '南坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.684,29.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24229, 2066, '430702', '德山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.757,28.9421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24230, 2066, '430702', '穿紫河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.699,29.0491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24231, 2066, '430702', '东江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.724,29.0202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24232, 2066, '430702', '丹洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.6,28.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24233, 2066, '430702', '芷兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.713,29.0707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24234, 2066, '430702', '芙蓉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.601,29.0704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24235, 2067, '430725', '枫树维吾尔族回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.469,29.0868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24236, 2067, '430725', '牛车河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.95,28.9959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24237, 2067, '430725', '九溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.293,29.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24238, 2067, '430725', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.065,29.0396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24239, 2067, '430725', '黄石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.237,29.1363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24240, 2067, '430725', '西安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111,28.4402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24241, 2067, '430725', '剪市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.355,28.8459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24242, 2067, '430725', '泥窝潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.342,28.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24243, 2067, '430725', '马鬃岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.473,29.1804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24244, 2067, '430725', '观音寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.111,28.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24245, 2067, '430725', '盘塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.47,29.2179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24246, 2067, '430725', '木塘垸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.552,29.0394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24247, 2067, '430725', '双溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.373,29.2785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24248, 2067, '430725', '桃花源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.427,28.8351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24249, 2067, '430725', '陬市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.511,29.1257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24250, 2067, '430725', '架桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.505,29.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24251, 2067, '430725', '佘家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.269,28.8816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24252, 2067, '430725', '热市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.374,29.2813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24253, 2067, '430725', '三阳港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.344,29.0991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24254, 2067, '430725', '茶庵铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.096,28.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24255, 2067, '430725', '漆河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.238,29.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24256, 2067, '430725', '杨溪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.264,28.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24257, 2067, '430725', '漳江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.487,28.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24258, 2067, '430725', '郑家驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.37,28.7462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24259, 2067, '430725', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.342,28.6689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24260, 2067, '430725', '夷望溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.309,28.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24261, 2067, '430725', '理公港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.076,29.1536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24262, 2067, '430725', '青林回族维吾尔族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.379,28.992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24263, 2068, '430721', '深柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.188,29.3621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24264, 2068, '430721', '安丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.051,29.4577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24265, 2068, '430721', '下渔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.216,29.2902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24266, 2068, '430721', '安全乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.166,29.5695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24267, 2068, '430721', '安障乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.143,29.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24268, 2068, '430721', '黄山头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.148,29.6558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24269, 2068, '430721', '安康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.149,29.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24270, 2068, '430721', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.299,29.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24271, 2068, '430721', '陈家嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.134,29.1591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24272, 2068, '430721', '官垱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.264,29.6038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24273, 2068, '430721', '大鲸港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.077,29.4039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24274, 2068, '430721', '大湖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.065,29.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24275, 2069, '430811', '中湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.426,29.3561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24276, 2069, '430811', '协合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.47,29.354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24277, 2069, '430811', '军地坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.556,29.2904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24278, 2069, '430811', '锣鼓塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.456,29.3582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24279, 2070, '430821', '广福桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.332,29.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24280, 2070, '430821', '江垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.69,29.604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24281, 2070, '430821', '零阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.13,29.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24282, 2070, '430821', '杨柳铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.212,29.5504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24283, 2070, '430821', '岩泊渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.972,29.3171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24284, 2070, '430821', '通津铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.936,29.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24285, 2070, '430821', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.878,29.1577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24286, 2070, '430821', '宜冲桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.813,29.3872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24287, 2070, '430821', '象市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.78,29.5955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24288, 2070, '430821', '许家坊土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.583,29.2899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24289, 2070, '430821', '洞溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.769,29.1495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24290, 2070, '430821', '赵家岗土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.656,29.5276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24291, 2070, '430821', '苗市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.287,29.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24292, 2070, '430821', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.718,29.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24293, 2070, '430821', '三官寺土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.662,29.4613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24294, 2070, '430821', '东岳观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.059,29.6175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24295, 2070, '430821', '南山坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.954,29.2962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24296, 2070, '430821', '杉木桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.858,29.5676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24297, 2070, '430821', '金岩土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.709,29.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24298, 2070, '430821', '高峰土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.943,29.4888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24299, 2070, '430821', '阳和土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.664,29.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24300, 2070, '430821', '甘堰土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.734,29.3746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24301, 2070, '430821', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.901,29.6846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24302, 2070, '430821', '龙潭河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.095,29.2687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24303, 2070, '430821', '零溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.085,29.366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24304, 2070, '430821', '二坊坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.116,29.2558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24305, 2071, '430822', '天星山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.297,29.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24306, 2071, '430822', '马合口白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.28,29.5508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24307, 2071, '430822', '澧源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.167,29.4447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24308, 2071, '430822', '蹇家坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.929,29.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24309, 2071, '430822', '利福塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.068,29.3805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24310, 2071, '430822', '瑞塔铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.266,29.4769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24311, 2071, '430822', '麦地坪白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.409,29.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24312, 2071, '430822', '竹叶坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.575,29.5576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24313, 2071, '430822', '上河溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.741,29.5343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24314, 2071, '430822', '桥自弯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.208,29.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24315, 2071, '430822', '刘家坪白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.227,29.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24316, 2071, '430822', '上洞街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.013,29.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24317, 2071, '430822', '河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.817,29.5121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24318, 2071, '430822', '凉水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.13,29.6021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24319, 2071, '430822', '廖家村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.009,29.4402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24320, 2071, '430822', '空壳树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.401,29.4579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24321, 2071, '430822', '沙塔坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.073,29.553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24322, 2071, '430822', '白石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.629,29.7575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24323, 2071, '430822', '谷罗山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.223,29.6199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24324, 2071, '430822', '人潮溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.764,29.7134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24325, 2071, '430822', '芙蓉桥白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.354,29.651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24326, 2071, '430822', '五道水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.888,29.7659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24327, 2071, '430822', '走马坪白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.403,29.497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24328, 2071, '430822', '八大公山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.76,29.6891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24329, 2071, '430822', '陈家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.927,29.54', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24330, 2071, '430822', '洪家关白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.163,29.494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24331, 2071, '430822', '龙潭坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.188,29.7545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24332, 2071, '430822', '官地坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.459,29.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24333, 2072, '430802', '教字垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.392,29.2327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24334, 2072, '430802', '合作桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.561,29.2171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24335, 2072, '430802', '三岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.611,29.0955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24336, 2072, '430802', '大庸桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.322,29.0997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24337, 2072, '430802', '三家馆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.347,29.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24338, 2072, '430802', '永定街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.466,29.1354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24339, 2072, '430802', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.481,29.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24340, 2072, '430802', '沅古坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.699,29.0687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24341, 2072, '430802', '西溪坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.504,29.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24342, 2072, '430802', '罗水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.229,29.2524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24343, 2072, '430802', '桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.296,29.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24344, 2072, '430802', '谢家垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.684,29.0223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24345, 2072, '430802', '南庄坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.431,29.1014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24346, 2072, '430802', '茅溪水库管理所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.322,29.2202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24347, 2072, '430802', '尹家溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.321,29.2173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24348, 2072, '430802', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.456,29.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24349, 2072, '430802', '四都坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.367,28.9847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24350, 2072, '430802', '后坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.437,29.0812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24351, 2072, '430802', '双溪桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.626,29.0553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24352, 2072, '430802', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.46,29.2791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24353, 2072, '430802', '官黎坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.472,29.1043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24354, 2072, '430802', '罗塔坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.171,29.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24355, 2072, '430802', '崇文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.534,29.164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24356, 2072, '430802', '王家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.865,29.0642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24357, 2072, '430802', '阳湖坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.629,29.2144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24358, 2072, '430802', '茅岩河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.224,29.2896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24359, 2073, '431281', '高坡街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.975,27.1065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24360, 2073, '431281', '茅渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.282,27.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24361, 2073, '431281', '龙船塘瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.136,27.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24362, 2073, '431281', '新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.992,27.0772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24363, 2073, '431281', '大崇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.177,27.2865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24364, 2073, '431281', '托口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.625,27.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24365, 2073, '431281', '铁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.261,27.2996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24366, 2073, '431281', '桂花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.996,27.0781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24367, 2073, '431281', '河滨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.03,27.1162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24368, 2073, '431281', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.999,27.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24369, 2073, '431281', '沅河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.72,27.2008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24370, 2073, '431281', '洗马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.441,27.2931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24371, 2073, '431281', '深渡苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.097,27.1515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24372, 2073, '431281', '湾溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.361,27.3884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24373, 2073, '431281', '岩垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.751,27.2826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24374, 2073, '431281', '横岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.922,27.1453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24375, 2073, '431281', '塘湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.418,27.3162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24376, 2073, '431281', '江市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.711,27.1512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24377, 2073, '431281', '群峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.277,27.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24378, 2073, '431281', '雪峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.346,27.29', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24379, 2073, '431281', '熟坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.175,27.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24380, 2073, '431281', '岔头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.114,27.4455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24381, 2073, '431281', '沅江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.984,27.1146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24382, 2073, '431281', '沙湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.054,27.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24383, 2073, '431281', '安江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.196,27.3159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24384, 2073, '431281', '黔城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.891,27.2763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24385, 2074, '431228', '洞下场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.547,27.3205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24386, 2074, '431228', '木叶溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.567,27.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24387, 2074, '431228', '梨溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.49,27.3166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24388, 2074, '431228', '公坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.808,27.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24389, 2074, '431228', '罗岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.481,27.2', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24390, 2074, '431228', '大树坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.468,27.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24391, 2074, '431228', '大垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.46,27.0857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24392, 2074, '431228', '大洪山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.37,27.3986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24393, 2074, '431228', '杨公庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.552,27.3365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24394, 2074, '431228', '楠木坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.562,27.3065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24395, 2074, '431228', '禾梨坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.675,27.2799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24396, 2074, '431228', '板山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.414,27.154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24397, 2074, '431228', '五郎溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.674,27.6028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24398, 2074, '431228', '岩桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.778,27.4681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24399, 2074, '431228', '牛牯坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.799,27.6104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24400, 2074, '431228', '晓坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.651,27.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24401, 2074, '431228', '新店坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.356,27.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24402, 2074, '431228', '艾头坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.719,27.5486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24403, 2074, '431228', '竹坪铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.666,27.4626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24404, 2074, '431228', '罗卜田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.772,27.3289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24405, 2074, '431228', '土桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.581,27.4399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24406, 2074, '431228', '碧涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.584,27.2189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24407, 2074, '431228', '罗旧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.751,27.5244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24408, 2074, '431228', '冷水溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.591,27.2169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24409, 2074, '431228', '芷江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.667,27.4699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24410, 2074, '431228', '水宽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.808,27.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24411, 2074, '431228', '麻缨塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.594,27.4108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24412, 2074, '431228', '上坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.37,27.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24413, 2075, '431230', '大高坪苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.567,26.1846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24414, 2075, '431230', '牙屯堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.593,26.194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24415, 2075, '431230', '独坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.45,26.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24416, 2075, '431230', '通道县播阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.527,26.1938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24417, 2075, '431230', '播阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.492,26.2', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24418, 2075, '431230', '通道县地连林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.76,26.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24419, 2075, '431230', '菁芜洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.752,26.2435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24420, 2075, '431230', '万佛山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.996,26.295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24421, 2075, '431230', '县溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.722,26.3245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24422, 2075, '431230', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.792,26.31', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24423, 2075, '431230', '坪坦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.761,26.0033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24424, 2075, '431230', '陇城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.681,25.8961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24425, 2075, '431230', '双江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.782,26.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24426, 2076, '431223', '柿溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.343,27.9869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24427, 2076, '431223', '上蒲溪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.413,27.6428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24428, 2076, '431223', '小龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.135,27.8051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24429, 2076, '431223', '船溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.265,28.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24430, 2076, '431223', '苏木溪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.44,27.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24431, 2076, '431223', '桥头溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.088,27.7902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24432, 2076, '431223', '大水田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.03,27.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24433, 2076, '431223', '仙人湾瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.39,27.7794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24434, 2076, '431223', '龙头庵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.378,27.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24435, 2076, '431223', '黄溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.35,27.7233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24436, 2076, '431223', '田湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.345,28.1697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24437, 2076, '431223', '罗子山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.439,27.7072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24438, 2076, '431223', '后塘瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.413,27.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24439, 2076, '431223', '龙泉岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.09,27.8407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24440, 2076, '431223', '长田湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.211,27.8116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24441, 2076, '431223', '谭家场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.411,27.9948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24442, 2076, '431223', '孝坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.099,27.8641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24443, 2076, '431223', '安坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.053,27.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24444, 2076, '431223', '修溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.331,28.0732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24445, 2076, '431223', '潭湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.177,27.9846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24446, 2076, '431223', '火马冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.189,27.89', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24447, 2076, '431223', '辰阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.234,28.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24448, 2076, '431223', '锦滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.163,27.9102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24449, 2077, '431222', '明溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.43,28.8241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24450, 2077, '431222', '大合坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.607,28.8952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24451, 2077, '431222', '肖家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.712,28.663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24452, 2077, '431222', '北溶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.483,28.7141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24453, 2077, '431222', '火场土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.579,28.9929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24454, 2077, '431222', '五强溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.012,28.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24455, 2077, '431222', '沅陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.36,28.5634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24456, 2077, '431222', '借母溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.491,28.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24457, 2077, '431222', '盘古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.226,28.339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24458, 2077, '431222', '二酉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.273,28.6339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24459, 2077, '431222', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.026,28.5901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24460, 2077, '431222', '荔溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.424,28.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24461, 2077, '431222', '深溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.463,28.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24462, 2077, '431222', '清浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.681,28.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24463, 2077, '431222', '七甲坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.951,28.9967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24464, 2077, '431222', '太常乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.26,28.4275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24465, 2077, '431222', '凉水井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.468,28.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24466, 2077, '431222', '马底驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.703,28.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24467, 2077, '431222', '麻溪铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.362,28.363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24468, 2077, '431222', '楠木铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.659,28.5285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24469, 2077, '431222', '陈家滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.693,28.7329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24470, 2077, '431222', '筲箕湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.293,28.205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24471, 2077, '431222', '杜家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.823,28.4749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24472, 2078, '431224', '小横垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.5,27.6643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24473, 2078, '431224', '龙庄湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.624,27.4474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24474, 2078, '431224', '油洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.74,27.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24475, 2078, '431224', '沿溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.74,27.6928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24476, 2078, '431224', '舒溶溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.513,27.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24477, 2078, '431224', '均坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.522,28.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24478, 2078, '431224', '葛竹坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.549,27.4995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24479, 2078, '431224', '黄茅园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.513,27.5018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24480, 2078, '431224', '淘金坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.675,27.8578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24481, 2078, '431224', '中都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.742,27.6894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24482, 2078, '431224', '两丫坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.667,27.7816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24483, 2078, '431224', '桥江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.63,27.9267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24484, 2078, '431224', '卢峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.637,27.9517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24485, 2078, '431224', '双井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.648,28.0268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24486, 2078, '431224', '祖市殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.74,28.0537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24487, 2078, '431224', '水东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.571,27.817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24488, 2078, '431224', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.552,27.5059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24489, 2078, '431224', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.971,28.0028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24490, 2078, '431224', '深子湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.807,28.2123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24491, 2078, '431224', '低庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.835,28.1047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24492, 2078, '431224', '大江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.489,27.8876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24493, 2078, '431224', '观音阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.626,27.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24494, 2078, '431224', '思蒙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.472,27.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24495, 2078, '431224', '北斗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.572,27.6183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24496, 2078, '431224', '统溪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.584,27.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24497, 2079, '431229', '横江桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.571,26.4558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24498, 2079, '431229', '三锹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.485,26.6601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24499, 2079, '431229', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.768,26.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24500, 2079, '431229', '太阳坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.707,26.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24501, 2079, '431229', '渠阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.653,26.6603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24502, 2079, '431229', '寨牙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.825,26.5643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24503, 2079, '431229', '大堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.492,26.6687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24504, 2079, '431229', '坳上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.671,26.7029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24505, 2079, '431229', '新厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.468,26.4125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24506, 2079, '431229', '铺口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.477,26.5917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24507, 2079, '431229', '藕团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.42,26.39', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24508, 2079, '431229', '平茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.402,26.4057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24509, 2079, '431229', '文溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.773,26.6113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24510, 2080, '431225', '团河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.98,26.8989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24511, 2080, '431225', '高椅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.043,27.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24512, 2080, '431225', '漠滨侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.593,27.0091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24513, 2080, '431225', '宝田侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.602,27.0332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24514, 2080, '431225', '连山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.751,26.8386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24515, 2080, '431225', '地灵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.612,26.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24516, 2080, '431225', '蒲稳侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.581,26.9515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24517, 2080, '431225', '堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.837,26.9632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24518, 2080, '431225', '炮团侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.47,26.829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24519, 2080, '431225', '沙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.872,26.7993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24520, 2080, '431225', '广坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.58,26.8559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24521, 2080, '431225', '马鞍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.838,27.0624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24522, 2080, '431225', '坪村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.688,26.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24523, 2080, '431225', '林城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.84,26.9445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24524, 2080, '431225', '若水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.931,26.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24525, 2080, '431225', '金竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.84,27.0404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24526, 2080, '431225', '金子岩侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.98,26.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24527, 2080, '431225', '青朗侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.652,26.9057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24528, 2081, '431227', '步头降苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.307,27.269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24529, 2081, '431227', '中寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.27,27.2644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24530, 2081, '431227', '米贝苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.317,27.1751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24531, 2081, '431227', '波洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.335,27.3209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24532, 2081, '431227', '鱼市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.153,27.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24533, 2081, '431227', '晃州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.14,27.3151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24534, 2081, '431227', '禾滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.202,27.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24535, 2081, '431227', '凉伞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.887,27.1115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24536, 2081, '431227', '扶罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.146,27.2306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24537, 2081, '431227', '林冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.004,27.1443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24538, 2081, '431227', '贡溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.166,27.139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24539, 2082, '431226', '大桥江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.664,27.6896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24540, 2082, '431226', '兰里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.969,27.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24541, 2082, '431226', '石羊哨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.728,27.9213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24542, 2082, '431226', '吕家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.968,27.9332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24543, 2082, '431226', '黄桑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.988,27.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24544, 2082, '431226', '舒家村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.646,27.7293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24545, 2082, '431226', '江口墟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.713,27.7358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24546, 2082, '431226', '板栗树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.804,27.973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24547, 2082, '431226', '和坪溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.918,27.8614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24548, 2082, '431226', '岩门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.712,27.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24549, 2082, '431226', '隆家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.727,27.7669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24550, 2082, '431226', '谭家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.707,27.8312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24551, 2082, '431226', '文昌阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.584,27.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24552, 2082, '431226', '兰村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.798,27.8281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24553, 2082, '431226', '郭公坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.534,27.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24554, 2082, '431226', '尧市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.555,27.6336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24555, 2082, '431226', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.78,27.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24556, 2082, '431226', '锦和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.587,27.6802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24557, 2083, '431221', '新建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.181,27.5912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24558, 2083, '431221', '铜鼎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.275,27.6438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24559, 2083, '431221', '黄岩旅游度假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.046,27.4596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24560, 2083, '431221', '接龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.34,27.5382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24561, 2083, '431221', '桐木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.902,27.334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24562, 2083, '431221', '袁家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.252,27.5506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24563, 2083, '431221', '铁坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.344,27.4765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24564, 2083, '431221', '铜湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.37,27.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24565, 2083, '431221', '中方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.908,27.3063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24566, 2083, '431221', '蒿吉坪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.402,27.5535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24567, 2083, '431221', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.119,27.6622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24568, 2083, '431221', '新路河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.37,27.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24569, 2083, '431221', '泸阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.168,27.576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24570, 2084, '431202', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.89,27.5076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24571, 2084, '431202', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.061,27.4736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24572, 2084, '431202', '盈口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.956,27.5588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24573, 2084, '431202', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.938,27.541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24574, 2084, '431202', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.969,27.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24575, 2084, '431202', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.986,27.5398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24576, 2084, '431202', '迎丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.98,27.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24577, 2084, '431202', '黄金坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.056,27.6981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24578, 2084, '431202', '坨院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.018,27.5442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24579, 2084, '431202', '凉亭坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.939,27.7029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24580, 2085, '433127', '砂坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.975,29.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24581, 2085, '433127', '万民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.95,29.3918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24582, 2085, '433127', '高坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.02,28.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24583, 2085, '433127', '车坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.012,29.1941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24584, 2085, '433127', '首车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.738,29.1372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24585, 2085, '433127', '盐井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.715,29.2599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24586, 2085, '433127', '松柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.057,28.9333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24587, 2085, '433127', '西歧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.692,29.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24588, 2085, '433127', '对山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.604,28.9291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24589, 2085, '433127', '塔卧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.885,29.2297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24590, 2085, '433127', '永茂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.221,28.9677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24591, 2085, '433127', '石堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.989,28.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24592, 2085, '433127', '颗砂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.857,29.1415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24593, 2085, '433127', '青坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.19,29.0886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24594, 2085, '433127', '润雅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.111,29.1383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24595, 2085, '433127', '朗溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.257,28.9151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24596, 2085, '433127', '两岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.723,29.2101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24597, 2085, '433127', '万坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.839,29.3063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24598, 2085, '433127', '毛坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.889,29.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24599, 2085, '433127', '小溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.15,28.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24600, 2085, '433127', '灵溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.005,29.0762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24601, 2085, '433127', '泽家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.866,28.8452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24602, 2085, '433127', '芙蓉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.939,28.8064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24603, 2086, '433125', '水银乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.666,28.6374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24604, 2086, '433125', '白云山农垦场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.322,28.6838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24605, 2086, '433125', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.441,28.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24606, 2086, '433125', '阳朝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.707,28.6771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24607, 2086, '433125', '大妥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.49,28.7227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24608, 2086, '433125', '清水坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.325,28.7661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24609, 2086, '433125', '碗米坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.558,28.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24610, 2086, '433125', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.589,28.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24611, 2086, '433125', '葫芦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.752,28.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24612, 2086, '433125', '毛沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.303,28.6238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24613, 2086, '433125', '麻风村', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.227,28.6391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24614, 2086, '433125', '夯沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.651,28.4488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24615, 2086, '433125', '比耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.387,28.7649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24616, 2086, '433125', '迁陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.716,28.7626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24617, 2086, '433125', '普戎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.643,28.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24618, 2086, '433125', '涂乍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.7,28.6014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24619, 2086, '433125', '水田河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.565,28.5408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24620, 2086, '433125', '扁朝牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.597,28.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24621, 2086, '433125', '野竹坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.221,28.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24622, 2086, '433125', '钟灵山工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.709,28.7658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24623, 2087, '433124', '雅酉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.407,28.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24624, 2087, '433124', '猫儿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.28,28.4479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24625, 2087, '433124', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.438,28.4583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24626, 2087, '433124', '边城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.343,28.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24627, 2087, '433124', '长乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.505,28.555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24628, 2087, '433124', '麻栗场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.469,28.4781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24629, 2087, '433124', '吉卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.476,28.3674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24630, 2087, '433124', '补抽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.425,28.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24631, 2087, '433124', '民乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.259,28.4458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24632, 2087, '433124', '花垣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.461,28.4714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24633, 2087, '433124', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.478,28.3901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24634, 2087, '433124', '石栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.398,28.439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24635, 2088, '433101', '吉凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.653,28.2005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24636, 2088, '433101', '已略乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.741,28.4333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24637, 2088, '433101', '峒河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.736,28.3071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24638, 2088, '433101', '马颈坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.535,28.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24639, 2088, '433101', '河溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.766,28.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24640, 2088, '433101', '矮寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.635,28.3611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24641, 2088, '433101', '镇溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.735,28.3063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24642, 2088, '433101', '丹青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.021,28.4354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24643, 2088, '433101', '乾州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.674,28.2861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24644, 2088, '433101', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.789,28.3094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24645, 2089, '433126', '坪坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.958,28.5245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24646, 2089, '433126', '红石林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.923,28.7423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24647, 2089, '433126', '断龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.766,28.6978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24648, 2089, '433126', '默戎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.803,28.5053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24649, 2089, '433126', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.253,28.7108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24650, 2089, '433126', '岩头寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.171,28.582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24651, 2089, '433126', '古阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.89,28.6495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24652, 2090, '433122', '白羊溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.92,28.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24653, 2090, '433122', '潭溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.03,28.2778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24654, 2090, '433122', '石榴坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.978,27.9712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24655, 2090, '433122', '浦市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.079,28.1875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24656, 2090, '433122', '合水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.926,28.0341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24657, 2090, '433122', '达岚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.963,28.0013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24658, 2090, '433122', '永兴场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.916,28.1115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24659, 2090, '433122', '小章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.851,28.1687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24660, 2090, '433122', '兴隆场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.847,28.1112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24661, 2090, '433122', '解放岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.704,28.1562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24662, 2090, '433122', '军亭界林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.114,28.2985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24663, 2090, '433122', '武溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.115,28.2812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24664, 2090, '433122', '洗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.997,28.2126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24665, 2091, '433130', '老兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.359,29.2103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24666, 2091, '433130', '茨岩塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.684,29.3446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24667, 2091, '433130', '红岩溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.66,29.3556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24668, 2091, '433130', '洗车河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.558,29.1986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24669, 2091, '433130', '桂塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.34,29.0815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24670, 2091, '433130', '内溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.281,28.8983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24671, 2091, '433130', '茅坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.532,29.4009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24672, 2091, '433130', '华塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.444,29.4711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24673, 2091, '433130', '咱果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.382,29.0782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24674, 2091, '433130', '洛塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.477,29.2211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24675, 2091, '433130', '里耶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.292,28.92', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24676, 2091, '433130', '石羔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.497,29.598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24677, 2091, '433130', '水田坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.703,29.5049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24678, 2091, '433130', '洗洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.439,29.4222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24679, 2091, '433130', '召市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.388,29.1757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24680, 2091, '433130', '民安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.447,29.472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24681, 2091, '433130', '大安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.645,29.4758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24682, 2091, '433130', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.493,29.4785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24683, 2091, '433130', '农车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.599,29.0433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24684, 2091, '433130', '石牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.553,29.493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24685, 2091, '433130', '苗儿滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.525,28.9403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24686, 2091, '433130', '靛房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.53,29.0302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24687, 2092, '433123', '落潮井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.387,27.934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24688, 2092, '433123', '水打田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.619,27.9217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24689, 2092, '433123', '麻冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.385,28.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24690, 2092, '433123', '腊尔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.394,28.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24691, 2092, '433123', '山江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.447,28.1091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24692, 2092, '433123', '阿拉营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.433,27.9238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24693, 2092, '433123', '木江坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.639,28.0264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24694, 2092, '433123', '茶田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.381,27.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24695, 2092, '433123', '林峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.526,27.8855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24696, 2092, '433123', '吉信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.517,28.1453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24697, 2092, '433123', '两林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.431,28.1301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24698, 2092, '433123', '廖家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.544,27.9769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24699, 2092, '433123', '千工坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.507,28.0834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24700, 2092, '433123', '禾库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.503,28.2884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24701, 2092, '433123', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.385,27.8776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24702, 2092, '433123', '筸子坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.545,28.1228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24703, 2092, '433123', '沱江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.578,27.9986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24704, 2093, '430105', '月湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.025,28.2313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24705, 2093, '430105', '四方坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.007,28.2372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24706, 2093, '430105', '清水塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.994,28.2131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24707, 2093, '430105', '伍家岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.99,28.24', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24708, 2093, '430105', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.005,28.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24709, 2093, '430105', '通泰街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.976,28.2061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24710, 2093, '430105', '新河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.97,28.2195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24711, 2093, '430105', '芙蓉北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.968,28.2606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24712, 2093, '430105', '浏阳河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.014,28.2579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24713, 2093, '430105', '望麓园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.98,28.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24714, 2093, '430105', '捞刀河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.035,28.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24715, 2093, '430105', '秀峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.969,28.3281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24716, 2093, '430105', '沙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.082,28.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24717, 2093, '430105', '洪山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,28.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24718, 2093, '430105', '湘雅路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.982,28.2087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24719, 2093, '430105', '青竹湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.965,28.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24720, 2094, '430104', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.737,28.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24721, 2094, '430104', '学士街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.841,28.1373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24722, 2094, '430104', '雨敞坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.647,28.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24723, 2094, '430104', '桔子洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.926,28.1814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24724, 2094, '430104', '望月湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.951,28.2075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24725, 2094, '430104', '天顶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.883,28.2567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24726, 2094, '430104', '咸嘉湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.927,28.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24727, 2094, '430104', '洋湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.917,28.1348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24728, 2094, '430104', '观沙岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.947,28.2588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24729, 2094, '430104', '坪塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.891,27.9853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24730, 2094, '430104', '望岳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.93,28.2712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24731, 2094, '430104', '岳麓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.952,28.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24732, 2094, '430104', '银盆岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.939,28.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24733, 2094, '430104', '望城坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.918,28.2236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24734, 2094, '430104', '含浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.868,28.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24735, 2094, '430104', '麓谷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.856,28.1941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24736, 2094, '430104', '梅溪湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.891,28.1886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24737, 2094, '430104', '西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.945,28.2125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24738, 2095, '430103', '金盆岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.98,28.1606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24739, 2095, '430103', '黑石铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.958,28.0774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24740, 2095, '430103', '桂花坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.978,28.0981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24741, 2095, '430103', '大托铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.943,28.0355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24742, 2095, '430103', '城南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.976,28.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24743, 2095, '430103', '裕南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.981,28.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24744, 2095, '430103', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.001,28.0664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24745, 2095, '430103', '赤岭路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.971,28.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24746, 2095, '430103', '文源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.987,28.1368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24747, 2095, '430103', '青园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.005,28.1263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24748, 2095, '430103', '新开铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.975,28.1402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24749, 2095, '430103', '坡子街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.978,28.1944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24750, 2095, '430103', '南托街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.97,28.0509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24751, 2095, '430103', '暮云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.989,28.0341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24752, 2096, '430181', '澄潭江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,28.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24753, 2096, '430181', '沿溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.846,28.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24754, 2096, '430181', '社港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.516,28.4692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24755, 2096, '430181', '大围山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.95,28.438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24756, 2096, '430181', '文家市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.976,28.1102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24757, 2096, '430181', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.336,27.9285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24758, 2096, '430181', '葛家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.385,28.09', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24759, 2096, '430181', '沙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.461,28.4322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24760, 2096, '430181', '北盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.424,28.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24761, 2096, '430181', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.383,28.2813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24762, 2096, '430181', '张坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.091,28.3976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24763, 2096, '430181', '金刚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,27.9521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24764, 2096, '430181', '淮川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.626,28.1543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24765, 2096, '430181', '普迹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.388,27.9753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24766, 2096, '430181', '荷花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.63,28.1334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24767, 2096, '430181', '枨冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.559,27.962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24768, 2096, '430181', '洞阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.389,28.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24769, 2096, '430181', '达浒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.871,28.3993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24770, 2096, '430181', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.943,28.1639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24771, 2096, '430181', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.838,28.3477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24772, 2096, '430181', '龙伏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.532,28.3741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24773, 2096, '430181', '镇头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.399,28.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24774, 2096, '430181', '蕉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.47,28.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24775, 2096, '430181', '小河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.056,28.2665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24776, 2096, '430181', '淳口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.481,28.3573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24777, 2096, '430181', '柏加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.262,28.0081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24778, 2096, '430181', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.854,28.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24779, 2096, '430181', '关口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.61,28.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24780, 2096, '430181', '集里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.547,28.1935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24781, 2096, '430181', '古港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.731,28.2677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24782, 2096, '430181', '大瑶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.735,27.99', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24783, 2096, '430181', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.033,28.2426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24784, 2097, '430121', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.304,28.5317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24785, 2097, '430121', '长龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.165,28.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24786, 2097, '430121', '湘龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.038,28.2821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24787, 2097, '430121', '安沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.1,28.4169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24788, 2097, '430121', '黄花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.182,28.2835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24789, 2097, '430121', '春华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.272,28.3775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24790, 2097, '430121', '路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.252,28.4489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24791, 2097, '430121', '江背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.274,28.1401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24792, 2097, '430121', '星沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.113,28.2765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24793, 2097, '430121', '青山铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.166,28.4495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24794, 2097, '430121', '果园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.219,28.3752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24795, 2097, '430121', '福临镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.201,28.5678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24796, 2097, '430121', '北山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.06,28.5018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24797, 2097, '430121', '泉塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.105,28.208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24798, 2097, '430121', '榔梨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.107,28.1941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24799, 2097, '430121', '金井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.419,28.62', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24800, 2097, '430121', '黄兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.169,28.1949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24801, 2097, '430121', '开慧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.334,28.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24802, 2098, '430112', '白沙洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.837,28.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24803, 2098, '430112', '黄金园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.768,28.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24804, 2098, '430112', '白箬铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.7,28.2696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24805, 2098, '430112', '金山桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.885,28.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24806, 2098, '430112', '大泽湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.876,28.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24807, 2098, '430112', '丁字湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.943,28.3893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24808, 2098, '430112', '桥驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.899,28.4523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24809, 2098, '430112', '月亮岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.952,28.2655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24810, 2098, '430112', '高塘岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.835,28.3456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24811, 2098, '430112', '茶亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.874,28.504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24812, 2098, '430112', '雷锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.78,28.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24813, 2098, '430112', '乌山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.718,28.3347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24814, 2098, '430112', '铜官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.854,28.4537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24815, 2098, '430112', '靖港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.734,28.3873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24816, 2098, '430112', '乔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.771,28.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24817, 2099, '430182', '夏铎铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.617,28.2375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24818, 2099, '430182', '花明楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.616,28.0094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24819, 2099, '430182', '大屯营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.644,28.0117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24820, 2099, '430182', '巷子口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.966,28.1413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24821, 2099, '430182', '城郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.574,28.318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24822, 2099, '430182', '道林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.666,28.051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24823, 2099, '430182', '双凫铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.268,28.1651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24824, 2099, '430182', '白马桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.496,28.2487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24825, 2099, '430182', '黄材镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.053,28.2517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24826, 2099, '430182', '大成桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.343,28.2142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24827, 2099, '430182', '青山桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.032,27.913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24828, 2099, '430182', '资福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.395,28.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24829, 2099, '430182', '沩山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.025,28.2003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24830, 2099, '430182', '老粮仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.201,28.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24831, 2099, '430182', '沙田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.078,28.1237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24832, 2099, '430182', '回龙铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.462,28.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24833, 2099, '430182', '玉潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.543,28.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24834, 2099, '430182', '东湖塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.584,28.0234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24835, 2099, '430182', '横市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.158,28.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24836, 2099, '430182', '金洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.629,28.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24837, 2099, '430182', '煤炭坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.422,28.3067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24838, 2099, '430182', '历经铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.568,28.2493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24839, 2099, '430182', '龙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.984,28.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24840, 2099, '430182', '流沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.067,27.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24841, 2099, '430182', '喻家坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.354,28.2404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24842, 2099, '430182', '灰汤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.266,28.0623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24843, 2099, '430182', '坝塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.526,28.2056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24844, 2099, '430182', '菁华铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.569,28.3129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24845, 2099, '430182', '双江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.621,28.3068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24846, 2100, '430102', '文艺路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.986,28.1949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24847, 2100, '430102', '火星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,28.2025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24848, 2100, '430102', '韭菜园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.006,28.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24849, 2100, '430102', '朝阳街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.997,28.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24850, 2100, '430102', '东屯渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.037,28.1979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24851, 2100, '430102', '荷花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.016,28.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24852, 2100, '430102', '隆平高科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.074,28.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24853, 2100, '430102', '东岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.076,28.1906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24854, 2100, '430102', '马王堆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.024,28.2088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24855, 2100, '430102', '五里牌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.999,28.1945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24856, 2100, '430102', '定王台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.977,28.1933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24857, 2100, '430102', '湘湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.002,28.214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24858, 2100, '430102', '马坡岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.083,28.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24859, 2100, '430102', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.078,28.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24860, 2101, '430111', '长沙雨花经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.039,28.0703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24861, 2101, '430111', '圭塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.026,28.1585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24862, 2101, '430111', '井湾子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.012,28.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24863, 2101, '430111', '跳马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.067,28.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24864, 2101, '430111', '左家塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.012,28.185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24865, 2101, '430111', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.047,28.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24866, 2101, '430111', '东塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.986,28.172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24867, 2101, '430111', '砂子塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.996,28.169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24868, 2101, '430111', '雨花亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.015,28.1366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24869, 2101, '430111', '同升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.011,28.0789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24870, 2101, '430111', '高桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.014,28.1635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24871, 2101, '430111', '侯家塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.988,28.1858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24872, 2101, '430111', '洞井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.014,28.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24873, 2101, '430111', '黎托街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.058,28.1591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24874, 2102, '430321', '乌石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.686,27.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24875, 2102, '430321', '分水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.541,27.5854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24876, 2102, '430321', '中路铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.941,27.6059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24877, 2102, '430321', '谭家山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,27.6608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24878, 2102, '430321', '射埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.878,27.6594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24879, 2102, '430321', '石鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.429,27.5385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24880, 2102, '430321', '石潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.656,27.7773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24881, 2102, '430321', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.861,27.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24882, 2102, '430321', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.907,27.5009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24883, 2102, '430321', '锦石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.719,27.6511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24884, 2102, '430321', '杨嘉桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.795,27.8407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24885, 2102, '430321', '茶恩寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.806,27.4515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24886, 2102, '430321', '青山桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.631,27.4895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24887, 2102, '430321', '云湖桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.584,27.843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24888, 2102, '430321', '易俗河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.027,27.711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24889, 2102, '430321', '花石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.7,27.5089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24890, 2102, '430321', '排头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.662,27.6406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24891, 2103, '430302', '雨湖路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.916,27.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24892, 2103, '430302', '长城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.856,27.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24893, 2103, '430302', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.945,27.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24894, 2103, '430302', '广场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.893,27.8602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24895, 2103, '430302', '中山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.897,27.8575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24896, 2103, '430302', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.877,27.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24897, 2103, '430302', '昭潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.887,27.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24898, 2103, '430302', '羊牯塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.857,27.8821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24899, 2103, '430302', '平政路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.916,27.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24900, 2103, '430302', '城正街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.918,27.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24901, 2103, '430302', '姜畲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.847,27.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24902, 2103, '430302', '云塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.912,27.8763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24903, 2103, '430302', '万楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.911,27.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24904, 2103, '430302', '窑湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.878,27.8531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24905, 2103, '430302', '响水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.888,27.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24906, 2103, '430302', '楠竹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.66,27.8347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24907, 2103, '430302', '鹤岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.795,28.0241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24908, 2104, '430304', '社建村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.958,27.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24909, 2104, '430304', '岳塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.914,27.8275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24910, 2104, '430304', '五里堆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.943,27.8527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24911, 2104, '430304', '东坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.911,27.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24912, 2104, '430304', '宝塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.925,27.8371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24913, 2104, '430304', '中洲路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.925,27.813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24914, 2104, '430304', '书院路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.924,27.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24915, 2104, '430304', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.92,27.8384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24916, 2104, '430304', '霞城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.913,27.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24917, 2104, '430304', '板塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.992,27.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24918, 2104, '430304', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.925,27.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24919, 2104, '430304', '下摄司街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.932,27.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24920, 2104, '430304', '双马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.025,27.8421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24921, 2104, '430304', '荷塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.967,27.906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24922, 2104, '430304', '昭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.028,27.9808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24923, 2105, '430382', '杨林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.549,27.9685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24924, 2105, '430382', '银田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.591,27.9026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24925, 2105, '430382', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.494,27.9049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24926, 2105, '430382', '韶山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.446,27.8715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24927, 2106, '430381', '潭市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.266,27.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24928, 2106, '430381', '梅桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.552,27.5624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24929, 2106, '430381', '育塅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.373,27.8008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24930, 2106, '430381', '山枣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.425,27.6401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24931, 2106, '430381', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.548,27.7419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24932, 2106, '430381', '毛田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.11,27.733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24933, 2106, '430381', '金石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.413,28.0396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24934, 2106, '430381', '栗山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.43,27.6302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24935, 2106, '430381', '新湘路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.529,27.737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24936, 2106, '430381', '棋梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.113,27.762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24937, 2106, '430381', '中沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.325,27.4892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24938, 2106, '430381', '虞塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.3,27.6484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24939, 2106, '430381', '壶天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.067,27.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24940, 2106, '430381', '翻江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.108,27.8653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24941, 2106, '430381', '金薮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.229,27.9635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24942, 2106, '430381', '东郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.605,27.7999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24943, 2106, '430381', '白田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.411,27.9574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24944, 2106, '430381', '泉塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.443,27.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24945, 2106, '430381', '龙洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.565,27.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24946, 2106, '430381', '昆仑桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.525,27.7316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24947, 2106, '430381', '月山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.254,27.8883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24948, 2106, '430381', '望春门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.527,27.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24949, 2107, '430202', '宋家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.195,27.9004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24950, 2107, '430202', '仙庾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.257,28.0017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24951, 2107, '430202', '桂花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.184,27.8921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24952, 2107, '430202', '茨菇塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.172,27.8539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24953, 2107, '430202', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.191,27.8631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24954, 2107, '430202', '月塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.174,27.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24955, 2108, '430223', '皇图岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.408,27.3884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24956, 2108, '430223', '丫江桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.211,27.2843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24957, 2108, '430223', '菜花坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.274,26.9659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24958, 2108, '430223', '桃水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.239,27.1447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24959, 2108, '430223', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.315,27.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24960, 2108, '430223', '酒埠江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.499,27.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24961, 2108, '430223', '上云桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.451,27.0988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24962, 2108, '430223', '联星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.362,27.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24963, 2108, '430223', '柏市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.714,27.3256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24964, 2108, '430223', '鸭塘铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.295,27.0747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24965, 2108, '430223', '莲塘坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.48,27.0958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24966, 2108, '430223', '槚山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,27.2684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24967, 2108, '430223', '鸾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.68,27.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24968, 2108, '430223', '大同桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.299,27.174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24969, 2108, '430223', '黄丰桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.661,27.2967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24970, 2108, '430223', '江桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.335,27.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24971, 2108, '430223', '网岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.456,27.2776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24972, 2108, '430223', '渌田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.305,26.8671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24973, 2108, '430223', '石羊塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.266,27.1383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24974, 2108, '430223', '宁家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.396,27.2873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24975, 2109, '430224', '利民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.521,26.8164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24976, 2109, '430224', '茶陵县红色农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.724,26.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24977, 2109, '430224', '洣江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.62,26.7836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24978, 2109, '430224', '平水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.431,26.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24979, 2109, '430224', '枣市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.495,26.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24980, 2109, '430224', '虎踞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.495,26.9146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24981, 2109, '430224', '火田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.718,26.9958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24982, 2109, '430224', '舲舫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.618,26.6814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24983, 2109, '430224', '马江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.546,26.6199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24984, 2109, '430224', '浣溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.555,26.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24985, 2109, '430224', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.493,26.8051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24986, 2109, '430224', '高陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.791,27.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24987, 2109, '430224', '湖口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.61,26.6643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24988, 2109, '430224', '思聪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.494,26.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24989, 2109, '430224', '汉背街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.794,27.037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24990, 2109, '430224', '桃坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.705,26.6816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24991, 2109, '430224', '秩堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.838,26.9769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24992, 2109, '430224', '严塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.706,26.8614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24993, 2109, '430224', '界首镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.492,26.6496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24994, 2109, '430224', '八团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.678,27.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24995, 2109, '430224', '下东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.484,26.7261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24996, 2109, '430224', '腰潞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.603,26.9571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24997, 2109, '430224', '茶陵监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.579,26.7383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24998, 2110, '430225', '船形乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.636,26.2708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (24999, 2110, '430225', '下村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.029,26.2665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25000, 2110, '430225', '策源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.031,26.3744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25001, 2110, '430225', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.849,26.2314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25002, 2110, '430225', '炎陵县大院农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.096,26.4613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25003, 2110, '430225', '炎陵县桃源洞管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.081,26.4968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25004, 2110, '430225', '垄溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.891,26.4682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25005, 2110, '430225', '十都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.108,26.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25006, 2110, '430225', '霞阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.792,26.5633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25007, 2110, '430225', '沔渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.868,26.653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25008, 2110, '430225', '中村瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.848,26.1023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25009, 2110, '430225', '鹿原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.591,26.4714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25010, 2111, '430212', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.154,27.3805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25011, 2111, '430212', '朱亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.062,27.4104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25012, 2111, '430212', '淦田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.119,27.4381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25013, 2111, '430212', '平山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.055,27.4491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25014, 2111, '430212', '古岳峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.007,27.6222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25015, 2111, '430212', '龙凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.062,27.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25016, 2111, '430212', '龙船镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.002,27.4851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25017, 2111, '430212', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.106,27.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25018, 2111, '430212', '渌口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.27,27.7627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25019, 2111, '430212', '南洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.167,27.4971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25020, 2112, '430203', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.168,27.8283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25021, 2112, '430203', '贺家土街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.138,27.8568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25022, 2112, '430203', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.15,27.8439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25023, 2112, '430203', '枫溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.121,27.7926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25024, 2112, '430203', '庆云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.157,27.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25025, 2112, '430203', '建宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.153,27.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25026, 2112, '430203', '董家段街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.221,27.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25027, 2112, '430203', '白关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.341,27.8585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25028, 2113, '430211', '栗雨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.075,27.8186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25029, 2113, '430211', '三门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.044,27.6564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25030, 2113, '430211', '马家河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.063,27.8296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25031, 2113, '430211', '嵩山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.069,27.8243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25032, 2113, '430211', '雷打石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.028,27.711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25033, 2113, '430211', '群丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.069,27.7891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25034, 2113, '430211', '泰山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.102,27.8064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25035, 2114, '430204', '铜塘湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.073,27.8957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25036, 2114, '430204', '井龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.15,27.9298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25037, 2114, '430204', '清水塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.077,27.944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25038, 2114, '430204', '龙头铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.157,27.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25039, 2114, '430204', '云田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.194,28.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25040, 2114, '430204', '学林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.146,27.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25041, 2114, '430204', '田心街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.108,27.8951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25042, 2114, '430204', '响石岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.11,27.8829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25043, 2115, '430281', '均楚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.271,27.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25044, 2115, '430281', '仙岳山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.494,27.6629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25045, 2115, '430281', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.528,27.9594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25046, 2115, '430281', '沈潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.526,27.495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25047, 2115, '430281', '嘉树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.462,27.5817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25048, 2115, '430281', '泗汾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.46,27.5227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25049, 2115, '430281', '石亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.253,27.6843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25050, 2115, '430281', '孙家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.495,27.5942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25051, 2115, '430281', '船湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.491,27.4564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25052, 2115, '430281', '明月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.449,27.5026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25053, 2115, '430281', '板杉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.356,27.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25054, 2115, '430281', '东富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.556,27.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25055, 2115, '430281', '白兔潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.713,27.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25056, 2115, '430281', '枫林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.414,27.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25057, 2115, '430281', '左权镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.384,27.7211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25058, 2115, '430281', '茶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.417,27.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25059, 2115, '430281', '来龙门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.544,27.7095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25060, 2115, '430281', '浦口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.623,27.7345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25061, 2115, '430281', '李畋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.567,27.8633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25062, 2115, '430281', '国瓷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.445,27.7193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25063, 2115, '430281', '王仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.571,27.7979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25064, 2115, '430281', '阳三石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.575,27.6518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25065, 2115, '430281', '沩山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.522,27.8146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25066, 2116, '430524', '北山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.144,27.122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25067, 2116, '430524', '三阁司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.002,27.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25068, 2116, '430524', '高平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.148,27.5497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25069, 2116, '430524', '桃花坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.08,27.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25070, 2116, '430524', '滩头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.088,27.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25071, 2116, '430524', '周旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.148,27.1954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25072, 2116, '430524', '七江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.995,27.4961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25073, 2116, '430524', '罗洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.079,27.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25074, 2116, '430524', '岩口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.083,27.4313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25075, 2116, '430524', '山界回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.012,27.0726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25076, 2116, '430524', '南岳庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.909,27.1866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25077, 2116, '430524', '雨山铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.097,27.2018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25078, 2116, '430524', '麻塘山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.699,27.4274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25079, 2116, '430524', '荷香桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.922,27.2837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25080, 2116, '430524', '司门前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.931,27.5151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25081, 2116, '430524', '横板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.932,27.2249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25082, 2116, '430524', '金石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.971,27.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25083, 2116, '430524', '小沙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.698,27.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25084, 2116, '430524', '鸭田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.982,27.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25085, 2116, '430524', '荷田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.085,27.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25086, 2116, '430524', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.993,27.2117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25087, 2116, '430524', '羊古坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.968,27.4706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25088, 2116, '430524', '六都寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.914,27.3906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25089, 2116, '430524', '虎形山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.635,27.535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25090, 2116, '430524', '大水田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.801,27.4817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25091, 2116, '430524', '西洋江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.867,27.2234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25092, 2116, '430524', '花门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.035,27.0691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25093, 2117, '430503', '檀江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.51,27.1854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25094, 2117, '430503', '雨溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.442,27.1849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25095, 2117, '430503', '中心路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.464,27.2329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25096, 2117, '430503', '罗市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.436,27.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25097, 2117, '430503', '翠园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.456,27.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25098, 2117, '430503', '城西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.43,27.2338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25099, 2117, '430503', '城北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.458,27.2364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25100, 2117, '430503', '火车南站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.475,27.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25101, 2117, '430503', '学院路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.445,27.2098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25102, 2117, '430503', '红旗路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.457,27.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25103, 2117, '430503', '百春园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.441,27.2016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25104, 2117, '430503', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.529,27.1597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25105, 2117, '430503', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.432,27.2335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25106, 2117, '430503', '蔡锷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.546,27.1632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25107, 2118, '430527', '东山侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.95,26.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25108, 2118, '430527', '红岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.401,26.8546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25109, 2118, '430527', '乐安铺苗族侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.008,26.5078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25110, 2118, '430527', '唐家坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.396,26.8834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25111, 2118, '430527', '黄土矿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.376,26.9203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25112, 2118, '430527', '武阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.238,26.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25113, 2118, '430527', '水口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.233,26.9375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25114, 2118, '430527', '鹅公岭侗族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.927,26.6367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25115, 2118, '430527', '关峡苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.263,26.6029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25116, 2118, '430527', '长铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.159,26.5922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25117, 2118, '430527', '李熙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.413,26.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25118, 2118, '430527', '寨市苗族侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.933,26.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25119, 2118, '430527', '瓦屋塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.292,26.838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25120, 2118, '430527', '金屋塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.373,26.998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25121, 2118, '430527', '河口苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.069,26.7636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25122, 2118, '430527', '麻塘苗族瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.097,26.896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25123, 2118, '430527', '长铺子苗族侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.034,26.5628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25124, 2119, '430511', '邵阳市园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.481,27.2642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25125, 2119, '430511', '陈家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.466,27.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25126, 2119, '430511', '新滩镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.378,27.2583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25127, 2119, '430511', '状元洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.462,27.281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25128, 2120, '430502', '小江湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.471,27.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25129, 2120, '430502', '渡头桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.571,27.2169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25130, 2120, '430502', '汽车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.484,27.2434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25131, 2120, '430502', '桥头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.472,27.2374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25132, 2120, '430502', '龙须塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.511,27.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25133, 2120, '430502', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.551,27.2747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25134, 2120, '430502', '火车站乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.513,27.2588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25135, 2120, '430502', '高崇山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.545,27.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25136, 2120, '430502', '东风路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.519,27.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25137, 2121, '430523', '五峰铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.471,26.9431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25138, 2121, '430523', '谷洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.503,27.0212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25139, 2121, '430523', '罗城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.578,26.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25140, 2121, '430523', '小溪市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.253,27.1497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25141, 2121, '430523', '长乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.11,26.9667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25142, 2121, '430523', '九公桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.366,27.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25143, 2121, '430523', '白仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.263,26.9481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25144, 2121, '430523', '黄亭市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.197,27.0236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25145, 2121, '430523', '五丰铺林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.563,26.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25146, 2121, '430523', '河伯岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.235,26.7353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25147, 2121, '430523', '金称市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.179,26.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25148, 2121, '430523', '黄塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.394,26.9881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25149, 2121, '430523', '岩口铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.282,27.2245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25150, 2121, '430523', '七里山园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.34,27.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25151, 2121, '430523', '塘渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.292,27.0636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25152, 2121, '430523', '诸甲亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.548,27.0693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25153, 2121, '430523', '金江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.42,26.8689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25154, 2121, '430523', '霞塘云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.226,27', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25155, 2121, '430523', '下花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.514,27.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25156, 2121, '430523', '蔡桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.085,26.9497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25157, 2121, '430523', '塘田市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.295,26.814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25158, 2121, '430523', '长阳铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.282,27.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25159, 2121, '430523', '河伯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.251,26.8112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25160, 2121, '430523', '郦家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.572,27.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25161, 2121, '430523', '黄荆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.437,27.083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25162, 2122, '430529', '汀坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.343,26.1073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25163, 2122, '430529', '兰蓉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.428,26.3564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25164, 2122, '430529', '五团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.099,26.0483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25165, 2122, '430529', '威溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.591,26.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25166, 2122, '430529', '茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.366,26.4691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25167, 2122, '430529', '儒林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.441,26.4392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25168, 2122, '430529', '白毛坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.399,26.289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25169, 2122, '430529', '丹口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.148,26.2248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25170, 2122, '430529', '西岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.339,26.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25171, 2122, '430529', '蒋坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.381,26.5375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25172, 2122, '430529', '长安营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.995,26.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25173, 2123, '430582', '流泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.887,27.3168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25174, 2123, '430582', '简家陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.817,27.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25175, 2123, '430582', '火厂坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.881,27.2109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25176, 2123, '430582', '廉桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.877,27.3816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25177, 2123, '430582', '两市塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.75,27.2412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25178, 2123, '430582', '堡面前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.98,27.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25179, 2123, '430582', '斫曹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.857,27.389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25180, 2123, '430582', '周官桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.827,27.2591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25181, 2123, '430582', '仙槎桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.715,27.2009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25182, 2123, '430582', '界岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.892,27.3252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25183, 2123, '430582', '水东江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.092,27.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25184, 2123, '430582', '宋家塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.714,27.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25185, 2123, '430582', '黑田铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.713,27.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25186, 2123, '430582', '流光岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.943,27.2685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25187, 2123, '430582', '团山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.971,27.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25188, 2123, '430582', '九龙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.668,27.1479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25189, 2123, '430582', '佘田桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.92,27.147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25190, 2123, '430582', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.989,27.2057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25191, 2123, '430582', '砂石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.87,27.26', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25192, 2123, '430582', '野鸡坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.892,27.1524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25193, 2123, '430582', '双凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.742,27.1136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25194, 2123, '430582', '魏家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.687,27.2064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25195, 2123, '430582', '大禾塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.844,27.2885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25196, 2123, '430582', '灵官殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.992,27.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25197, 2123, '430582', '牛马司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.71,27.2976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25198, 2124, '430522', '新田铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.361,27.3878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25199, 2124, '430522', '潭溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.675,27.5372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25200, 2124, '430522', '太芝庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.635,27.4537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25201, 2124, '430522', '龙溪铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.211,27.5459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25202, 2124, '430522', '小塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.246,27.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25203, 2124, '430522', '寸石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.592,27.489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25204, 2124, '430522', '严塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.369,27.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25205, 2124, '430522', '酿溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.457,27.3716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25206, 2124, '430522', '巨口铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.273,27.4177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25207, 2124, '430522', '坪上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.524,27.6053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25208, 2124, '430522', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.368,27.5214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25209, 2124, '430522', '雀塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.535,27.3419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25210, 2124, '430522', '迎光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.242,27.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25211, 2124, '430522', '潭府乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.688,27.4726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25212, 2124, '430522', '陈家坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.579,27.4088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25213, 2125, '430528', '黄金瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.526,26.4328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25214, 2125, '430528', '黄龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.939,26.5281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25215, 2125, '430528', '一渡水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.225,26.6517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25216, 2125, '430528', '回龙寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.038,26.6659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25217, 2125, '430528', '靖位乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.171,26.4733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25218, 2125, '430528', '马头桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.996,26.8442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25219, 2125, '430528', '巡田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.206,26.7179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25220, 2125, '430528', '崀山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.797,26.3845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25221, 2125, '430528', '清江桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.982,26.6853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25222, 2125, '430528', '水庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.579,26.5057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25223, 2125, '430528', '安山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.962,26.7496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25224, 2125, '430528', '麻林瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.601,26.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25225, 2125, '430528', '丰田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.03,26.9016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25226, 2125, '430528', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.904,26.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25227, 2125, '430528', '万塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.749,26.5216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25228, 2125, '430528', '金石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.704,26.4135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25229, 2126, '430581', '秦桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.854,26.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25230, 2126, '430581', '安乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.651,26.7332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25231, 2126, '430581', '文坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.669,26.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25232, 2126, '430581', '水西门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.605,26.7321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25233, 2126, '430581', '迎春亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.621,26.7565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25234, 2126, '430581', '水浸坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.825,26.8159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25235, 2126, '430581', '邓元泰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.567,26.7467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25236, 2126, '430581', '龙田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.608,26.8082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25237, 2126, '430581', '邓家铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.896,26.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25238, 2126, '430581', '头堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.659,26.8303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25239, 2126, '430581', '晏田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.773,26.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25240, 2126, '430581', '大甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.715,26.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25241, 2126, '430581', '荆竹铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.793,26.8961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25242, 2126, '430581', '辕门口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.612,26.7147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25243, 2126, '430581', '双牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.934,27.0232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25244, 2126, '430581', '法相岩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.612,26.6692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25245, 2126, '430581', '司马冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.757,26.626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25246, 2126, '430581', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.706,26.7126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25247, 2126, '430581', '稠树塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.794,26.7729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25248, 2126, '430581', '湾头桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.558,26.8887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25249, 2126, '430581', '马坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.787,26.8912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25250, 2127, '430525', '罗溪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.313,27.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25251, 2127, '430525', '洞口县茶铺茶场管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.652,26.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25252, 2127, '430525', '醪田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.75,27.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25253, 2127, '430525', '石江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.759,27.1291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25254, 2127, '430525', '竹市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.654,27.1587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25255, 2127, '430525', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.453,27.1976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25256, 2127, '430525', '杨林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.9,26.9734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25257, 2127, '430525', '渣坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.494,27.1866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25258, 2127, '430525', '水东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.711,27.1683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25259, 2127, '430525', '桐山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.627,27.291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25260, 2127, '430525', '月溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.499,27.1942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25261, 2127, '430525', '花古街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.559,27.0486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25262, 2127, '430525', '长塘瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.517,27.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25263, 2127, '430525', '岩山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.601,27.1814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25264, 2127, '430525', '毓兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.555,27.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25265, 2127, '430525', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.599,26.9394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25266, 2127, '430525', '古楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.451,27.0871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25267, 2127, '430525', '山门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.727,27.2296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25268, 2127, '430525', '石柱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.774,27.26', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25269, 2127, '430525', '大屋瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.625,27.2925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25270, 2127, '430525', '黄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.806,27.0292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25271, 2127, '430525', '高沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.637,26.9876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25272, 2127, '430525', '雪峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.668,27.0547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25273, 2127, '430525', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.563,27.0377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25274, 2128, '431028', '龙市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.318,26.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25275, 2128, '431028', '平背乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.302,26.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25276, 2128, '431028', '竹山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.38,26.5171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25277, 2128, '431028', '承坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.355,26.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25278, 2128, '431028', '渡口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.165,26.8269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25279, 2128, '431028', '牌楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.321,26.6428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25280, 2128, '431028', '洋际乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.233,26.6563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25281, 2128, '431028', '永乐江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.241,26.7745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25282, 2128, '431028', '华王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.205,26.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25283, 2128, '431028', '灵官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.193,26.5892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25284, 2128, '431028', '龙海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.329,26.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25285, 2128, '431028', '金紫仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.502,26.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25286, 2128, '431028', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,26.5807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25287, 2129, '431026', '热水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.835,25.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25288, 2129, '431026', '南洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.761,25.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25289, 2129, '431026', '三江口瑶族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.845,25.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25290, 2129, '431026', '卢阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.704,25.4806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25291, 2129, '431026', '濠头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.872,25.6134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25292, 2129, '431026', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.736,25.4387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25293, 2129, '431026', '井坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.667,25.4664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25294, 2129, '431026', '泉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.668,25.5155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25295, 2129, '431026', '大坪国有林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.735,25.4362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25296, 2129, '431026', '集益乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.779,25.5312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25297, 2129, '431026', '暖水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.739,25.6661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25298, 2129, '431026', '文明瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.667,25.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25299, 2129, '431026', '土桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.745,25.54', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25300, 2129, '431026', '延寿瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.56,25.4916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25301, 2130, '431023', '樟树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.258,26.4154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25302, 2130, '431023', '七甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.458,26.3121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25303, 2130, '431023', '龙形市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.366,26.3522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25304, 2130, '431023', '鲤鱼塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.286,26.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25305, 2130, '431023', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.792,26.1373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25306, 2130, '431023', '黄泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.176,26.2418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25307, 2130, '431023', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.29,26.3067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25308, 2130, '431023', '柏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.245,26.4065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25309, 2130, '431023', '大布江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.458,26.271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25310, 2130, '431023', '洋塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.891,26.0516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25311, 2130, '431023', '油麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.801,26.1053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25312, 2130, '431023', '马田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.898,26.1524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25313, 2130, '431023', '便江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.107,26.2463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25314, 2130, '431023', '金龟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.196,26.3371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25315, 2130, '431023', '高亭司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.879,26.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25316, 2130, '431023', '湘阴渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.054,26.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25317, 2131, '431003', '白鹿洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,25.8013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25318, 2131, '431003', '坳上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.098,25.7688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25319, 2131, '431003', '五里牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.09,25.9152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25320, 2131, '431003', '苏仙岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.041,25.815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25321, 2131, '431003', '卜里坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.046,25.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25322, 2131, '431003', '白露塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.084,25.7899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25323, 2131, '431003', '五盖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.081,25.619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25324, 2131, '431003', '观山洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.12,25.7462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25325, 2131, '431003', '南塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.036,25.7908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25326, 2131, '431003', '栖凤渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.929,25.9497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25327, 2131, '431003', '王仙岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.085,25.7915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25328, 2131, '431003', '良田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.065,25.6358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25329, 2131, '431003', '许家洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.097,25.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25330, 2131, '431003', '飞天山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.105,25.916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25331, 2132, '431081', '蓼江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.211,26.1472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25332, 2132, '431081', '兴宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.538,25.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25333, 2132, '431081', '清江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.331,25.8448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25334, 2132, '431081', '东江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.227,25.9542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25335, 2132, '431081', '八面山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.585,25.938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25336, 2132, '431081', '滁口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.449,25.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25337, 2132, '431081', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.259,26.0206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25338, 2132, '431081', '汤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.594,26.186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25339, 2132, '431081', '白廊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.395,25.9449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25340, 2132, '431081', '州门司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.687,26.0415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25341, 2132, '431081', '唐洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.229,25.9511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25342, 2132, '431081', '黄草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.488,25.7476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25343, 2132, '431081', '回龙山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.234,26.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25344, 2133, '431002', '鲁塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.8,25.5478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25345, 2133, '431002', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.035,25.8035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25346, 2133, '431002', '华塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.92,25.8611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25347, 2133, '431002', '涌泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.989,25.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25348, 2133, '431002', '郴江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.037,25.7673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25349, 2133, '431002', '骆仙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.981,25.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25350, 2133, '431002', '北湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.033,25.8102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25351, 2133, '431002', '燕泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.027,25.7735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25352, 2133, '431002', '下湄桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,25.8168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25353, 2133, '431002', '增福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.904,25.6758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25354, 2133, '431002', '保和瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.841,25.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25355, 2133, '431002', '仰天湖瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.785,25.487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25356, 2134, '431027', '宋坪林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.742,26.0002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25357, 2134, '431027', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.873,25.9745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25358, 2134, '431027', '四都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.741,26.0089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25359, 2134, '431027', '清泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.148,26.1789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25360, 2134, '431027', '新坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.927,25.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25361, 2134, '431027', '东洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.838,25.8052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25362, 2134, '431027', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.748,25.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25363, 2134, '431027', '普乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.965,25.805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25364, 2134, '431027', '桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.167,26.1595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25365, 2134, '431027', '寨前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.851,26.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25366, 2134, '431027', '沤江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.892,26.0626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25367, 2134, '431027', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.835,25.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25368, 2135, '431025', '万水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.421,25.3936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25369, 2135, '431025', '镇南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.641,25.5059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25370, 2135, '431025', '楚江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.541,25.4256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25371, 2135, '431025', '舜峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.455,25.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25372, 2135, '431025', '南强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.584,25.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25373, 2135, '431025', '金江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.731,25.468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25374, 2135, '431025', '香花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.529,25.5425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25375, 2135, '431025', '麦市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.481,25.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25376, 2135, '431025', '花塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.537,25.4145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25377, 2135, '431025', '武水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.675,25.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25378, 2135, '431025', '水东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.683,25.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25379, 2135, '431025', '西山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.438,25.1817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25380, 2135, '431025', '汾市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.724,25.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25381, 2136, '431022', '浆水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.782,25.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25382, 2136, '431022', '一六镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.819,25.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25383, 2136, '431022', '岩泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.923,25.2126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25384, 2136, '431022', '麻田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.781,25.3202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25385, 2136, '431022', '栗源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.905,25.2413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25386, 2136, '431022', '迎春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.758,25.2434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25387, 2136, '431022', '赤石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.201,25.5774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25388, 2136, '431022', '黄沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.775,25.1781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25389, 2136, '431022', '白石渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.075,25.4353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25390, 2136, '431022', '五岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.087,25.4912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25391, 2136, '431022', '天塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.816,25.1452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25392, 2136, '431022', '长村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.821,25.2435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25393, 2136, '431022', '里田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.22,25.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25394, 2136, '431022', '关溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.947,25.0919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25395, 2136, '431022', '瑶岗仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.243,25.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25396, 2136, '431022', '莽山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.792,25.0202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25397, 2136, '431022', '玉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.807,25.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25398, 2136, '431022', '梅田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.791,25.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25399, 2136, '431022', '笆篱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.979,25.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25400, 2136, '431022', '杨梅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.151,25.4735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25401, 2137, '431024', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.446,25.7501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25402, 2137, '431024', '袁家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.408,25.5846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25403, 2137, '431024', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.421,25.6014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25404, 2137, '431024', '广发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.279,25.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25405, 2137, '431024', '塘村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.393,25.525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25406, 2137, '431024', '晋屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.306,25.6389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25407, 2137, '431024', '普满乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.534,25.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25408, 2137, '431024', '行廊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.463,25.6056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25409, 2137, '431024', '坦坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.39,25.7101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25410, 2137, '431024', '珠泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.31,25.6326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25411, 2138, '431021', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.659,25.5656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25412, 2138, '431021', '雷坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.732,25.9412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25413, 2138, '431021', '浩塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.605,25.7759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25414, 2138, '431021', '荷叶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.678,25.5616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25415, 2138, '431021', '泗洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.443,26.0602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25416, 2138, '431021', '欧阳海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.51,26.0749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25417, 2138, '431021', '洋市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.895,25.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25418, 2138, '431021', '方元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.635,25.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25419, 2138, '431021', '黄沙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.704,25.7159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25420, 2138, '431021', '塘市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.407,25.9978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25421, 2138, '431021', '仁义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.663,25.9217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25422, 2138, '431021', '流峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.454,26.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25423, 2138, '431021', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.636,26.0137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25424, 2138, '431021', '华山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.341,26.0322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25425, 2138, '431021', '莲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.449,26.0562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25426, 2138, '431021', '四里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.412,25.9342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25427, 2138, '431021', '樟市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.728,25.8918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25428, 2138, '431021', '舂陵江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.549,25.8884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25429, 2138, '431021', '正和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,25.7676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25430, 2138, '431021', '光明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.429,26.1897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25431, 2138, '431021', '桥市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.593,26.0772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25432, 2138, '431021', '鹿峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,25.7153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25433, 2138, '431021', '龙潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.741,25.7846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25434, 2138, '431021', '敖泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.569,25.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25435, 2138, '431021', '白水瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.274,26.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25436, 2139, '431103', '伊塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.712,26.4282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25437, 2139, '431103', '牛角坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.627,26.6058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25438, 2139, '431103', '杨村甸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.55,26.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25439, 2139, '431103', '黄阳司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.658,26.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25440, 2139, '431103', '肖家园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.595,26.439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25441, 2139, '431103', '花桥街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.533,26.6937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25442, 2139, '431103', '高溪市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.593,26.5719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25443, 2139, '431103', '珊瑚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.582,26.4346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25444, 2139, '431103', '梧桐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.584,26.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25445, 2139, '431103', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.606,26.5007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25446, 2139, '431103', '普利桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.648,26.7435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25447, 2139, '431103', '菱角山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.623,26.4682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25448, 2139, '431103', '蔡市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.549,26.3513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25449, 2139, '431103', '梅湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.649,26.4403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25450, 2139, '431103', '杨家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.523,26.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25451, 2139, '431103', '上岭桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.74,26.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25452, 2139, '431103', '曲河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.688,26.42', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25453, 2140, '431121', '黄泥塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.176,26.5252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25454, 2140, '431121', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.834,26.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25455, 2140, '431121', '茅竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.851,26.4803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25456, 2140, '431121', '三口塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.787,26.4562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25457, 2140, '431121', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.839,26.6169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25458, 2140, '431121', '下马渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.837,26.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25459, 2140, '431121', '八宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.104,26.3803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25460, 2140, '431121', '观音滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.888,26.4202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25461, 2140, '431121', '梅溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.047,26.525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25462, 2140, '431121', '畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.749,26.7177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25463, 2140, '431121', '文明铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.798,26.7932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25464, 2140, '431121', '大村甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.798,26.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25465, 2140, '431121', '羊角塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.143,26.5506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25466, 2140, '431121', '长虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.82,26.6134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25467, 2140, '431121', '黎家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.749,26.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25468, 2140, '431121', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.035,26.4636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25469, 2140, '431121', '进宝塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.097,26.3983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25470, 2140, '431121', '晒北滩瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.113,26.1701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25471, 2140, '431121', '文富市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.827,26.7502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25472, 2140, '431121', '潘市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.054,26.5247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25473, 2140, '431121', '龚家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.746,26.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25474, 2140, '431121', '浯溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.829,26.5377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25475, 2140, '431121', '肖家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.919,26.3199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25476, 2140, '431121', '凤凰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.031,26.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25477, 2140, '431121', '大忠桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.907,26.4453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25478, 2140, '431121', '石鼓源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.182,26.341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25479, 2140, '431121', '七里桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.953,26.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25480, 2140, '431121', '金洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.025,26.2404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25481, 2141, '431122', '川岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.304,26.5552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25482, 2141, '431122', '芦洪市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.441,26.604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25483, 2141, '431122', '黄泥洞林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.357,26.6612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25484, 2141, '431122', '紫溪市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.157,26.365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25485, 2141, '431122', '大盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.37,26.7811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25486, 2141, '431122', '水岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.207,26.4641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25487, 2141, '431122', '新圩江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.327,26.795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25488, 2141, '431122', '南桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.435,26.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25489, 2141, '431122', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.432,26.793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25490, 2141, '431122', '井头圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.513,26.4459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25491, 2141, '431122', '横塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.363,26.3071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25492, 2141, '431122', '端桥铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.515,26.5271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25493, 2141, '431122', '石期市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.507,26.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25494, 2141, '431122', '大庙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.18,26.3071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25495, 2141, '431122', '大庙口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.067,26.5101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25496, 2141, '431122', '白牙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.322,26.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25497, 2141, '431122', '鹿马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.312,26.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25498, 2142, '431102', '富家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.568,26.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25499, 2142, '431102', '邮亭圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.768,26.2347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25500, 2142, '431102', '南津渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.659,26.2239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25501, 2142, '431102', '石岩头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.297,26.0513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25502, 2142, '431102', '凼底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.693,26.1553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25503, 2142, '431102', '大庆坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.326,25.9638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25504, 2142, '431102', '珠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.296,26.1605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25505, 2142, '431102', '梳子铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.448,26.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25506, 2142, '431102', '菱角塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.65,26.2585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25507, 2142, '431102', '水口山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.412,26.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25508, 2142, '431102', '黄田铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.538,26.2569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25509, 2142, '431102', '徐家井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.627,26.2186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25510, 2142, '431102', '七里店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.659,26.2618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25511, 2142, '431102', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.552,26.2454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25512, 2143, '431128', '金盆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.188,25.7483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25513, 2143, '431128', '门楼下瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.235,26.0977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25514, 2143, '431128', '石羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.237,25.7748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25515, 2143, '431128', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.101,25.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25516, 2143, '431128', '枧头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.08,25.8146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25517, 2143, '431128', '三井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.172,25.8503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25518, 2143, '431128', '陶岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.325,25.7773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25519, 2143, '431128', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.297,25.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25520, 2143, '431128', '金陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.258,25.9867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25521, 2143, '431128', '新隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.322,25.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25522, 2143, '431128', '骥村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.179,26.0036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25523, 2143, '431128', '大坪塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.272,25.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25524, 2144, '431126', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.094,25.6736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25525, 2144, '431126', '桐木漯瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.926,26.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25526, 2144, '431126', '棉花坪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.928,25.7455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25527, 2144, '431126', '保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.023,25.744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25528, 2144, '431126', '九疑山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.971,25.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25529, 2144, '431126', '水市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.985,25.51', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25530, 2144, '431126', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.004,25.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25531, 2144, '431126', '天堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.91,25.5997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25532, 2144, '431126', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.935,25.7419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25533, 2144, '431126', '柏家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.947,25.8552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25534, 2144, '431126', '清水桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.005,25.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25535, 2144, '431126', '荒塘瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.012,25.9809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25536, 2144, '431126', '禾亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.98,25.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25537, 2144, '431126', '湾井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112,25.4031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25538, 2144, '431126', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.024,25.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25539, 2144, '431126', '鲤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.112,25.8958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25540, 2144, '431126', '文庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.931,25.6078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25541, 2144, '431126', '东溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.021,25.6061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25542, 2144, '431126', '舜陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.933,25.598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25543, 2145, '431123', '理家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.686,25.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25544, 2145, '431123', '五星岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.814,26.0577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25545, 2145, '431123', '上梧江瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.691,25.8654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25546, 2145, '431123', '打鼓坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.577,25.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25547, 2145, '431123', '塘底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.711,25.8932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25548, 2145, '431123', '麻江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.809,26.0002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25549, 2145, '431123', '江村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.73,25.6875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25550, 2145, '431123', '双牌阳明山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.885,26.0768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25551, 2145, '431123', '茶林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.765,26.0807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25552, 2145, '431123', '泷泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.561,25.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25553, 2145, '431123', '五里牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.656,26.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25554, 2145, '431123', '何家洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.574,25.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25555, 2146, '431127', '土市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.299,25.5284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25556, 2146, '431127', '太平圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.37,25.5394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25557, 2146, '431127', '蓝山南岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.219,25.5512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25558, 2146, '431127', '所城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.128,25.1954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25559, 2146, '431127', '蓝山荆竹林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.074,25.143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25560, 2146, '431127', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.358,25.4476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25561, 2146, '431127', '楠市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.211,25.6069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25562, 2146, '431127', '荆竹瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.039,25.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25563, 2146, '431127', '犁头瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.076,25.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25564, 2146, '431127', '汇源瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.091,25.3907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25565, 2146, '431127', '湘江源瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.992,25.2024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25566, 2146, '431127', '浆洞瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.215,25.1894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25567, 2146, '431127', '祠堂圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.142,25.5079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25568, 2146, '431127', '大桥瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.14,25.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25569, 2146, '431127', '蓝山浆洞林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.274,25.1728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25570, 2146, '431127', '蓝山原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.295,25.3921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25571, 2146, '431127', '蓝山黄毛岭茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.225,25.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25572, 2146, '431127', '塔峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.222,25.4603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25573, 2146, '431127', '毛俊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.317,25.4252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25574, 2147, '431124', '寿雁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.461,25.6453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25575, 2147, '431124', '仙子脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.401,25.665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25576, 2147, '431124', '乐福堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.521,25.7102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25577, 2147, '431124', '道县月岩林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.322,25.5013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25578, 2147, '431124', '道县桥头林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.456,25.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25579, 2147, '431124', '西洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.585,25.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25580, 2147, '431124', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.457,25.785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25581, 2147, '431124', '洪塘营瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.827,25.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25582, 2147, '431124', '濂溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.607,25.5537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25583, 2147, '431124', '富塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.573,25.5798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25584, 2147, '431124', '梅花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.555,25.6654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25585, 2147, '431124', '白芒铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.688,25.5292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25586, 2147, '431124', '上关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.702,25.5012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25587, 2147, '431124', '东门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.617,25.5656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25588, 2147, '431124', '蚣坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.681,25.4899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25589, 2147, '431124', '柑子园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.773,25.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25590, 2147, '431124', '横岭瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.795,25.3181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25591, 2147, '431124', '四马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.758,25.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25592, 2147, '431124', '道县大坪铺农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.424,25.5272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25593, 2147, '431124', '清塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.522,25.4949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25594, 2147, '431124', '白马渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.737,25.6421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25595, 2147, '431124', '万家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.523,25.4509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25596, 2147, '431124', '审章塘瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.566,25.3042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25597, 2147, '431124', '营江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.54,25.4789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25598, 2147, '431124', '祥霖铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.551,25.4544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25599, 2148, '431125', '回龙圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.349,25.2097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25600, 2148, '431125', '潇浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.218,25.2354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25601, 2148, '431125', '桃川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.142,25.1237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25602, 2148, '431125', '夏层铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.179,25.2232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25603, 2148, '431125', '千家峒瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.235,25.2529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25604, 2148, '431125', '粗石江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.059,25.0708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25605, 2148, '431125', '源口瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.03,25.0618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25606, 2148, '431125', '松柏瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.39,25.2463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25607, 2148, '431125', '兰溪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.136,25.1368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25608, 2148, '431125', '上江圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.411,25.2776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25609, 2149, '431129', '界牌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.628,25.3165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25610, 2149, '431129', '湘江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.904,25.199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25611, 2149, '431129', '大石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.542,24.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25612, 2149, '431129', '白芒营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.626,24.9186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25613, 2149, '431129', '未竹口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.772,24.8486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25614, 2149, '431129', '桥市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.597,25.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25615, 2149, '431129', '大路铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.581,25.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25616, 2149, '431129', '码市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.143,25.0527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25617, 2149, '431129', '涔天河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.795,25.0749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25618, 2149, '431129', '河路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.535,24.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25619, 2149, '431129', '涛圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,24.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25620, 2149, '431129', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.959,25.0071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25621, 2149, '431129', '大锡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.986,24.8388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25622, 2149, '431129', '小圩壮族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.704,24.9146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25623, 2149, '431129', '沱江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.682,25.177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25624, 2149, '431129', '大圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.701,24.9162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25625, 2326, '460204', '国营立才农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.318,18.5225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25626, 2326, '460204', '育才镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.398,18.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25627, 2326, '460204', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.437,18.3836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25628, 2326, '460204', '河西区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.387,18.2314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25629, 2326, '460204', '天涯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.348,18.3799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25630, 2327, '460202', '海棠湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.657,18.2978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25631, 2327, '460202', '国营南田农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.745,18.4993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25632, 2328, '460203', '国营南新农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.534,18.3014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25633, 2328, '460203', '河东区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.52,18.2993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25634, 2328, '460203', '吉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.551,18.2762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25635, 2329, '460205', '崖城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.197,18.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25636, 2329, '460205', '国营南滨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.153,18.4655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25637, 2364, '460301', '永兴岛', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.692,16.5641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25638, 2366, '460108', '海府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.341,20.0288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25639, 2366, '460108', '灵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.382,20.0165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25640, 2366, '460108', '罗牛山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.56,19.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25641, 2366, '460108', '海甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.353,20.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25642, 2366, '460108', '国营桂林洋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.527,20.0753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25643, 2366, '460108', '白龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.367,20.0276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25644, 2366, '460108', '国营三江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.628,19.9716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25645, 2366, '460108', '博爱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.345,20.0428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25646, 2366, '460108', '和平南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.357,20.0287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25647, 2366, '460108', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.545,19.8922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25648, 2366, '460108', '演丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.524,19.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25649, 2366, '460108', '蓝天街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.372,20.0215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25650, 2366, '460108', '大致坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.625,19.8533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25651, 2366, '460108', '新埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.314,20.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25652, 2366, '460108', '白沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.36,20.0381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25653, 2366, '460108', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.335,20.0451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25654, 2367, '460106', '金贸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.301,20.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25655, 2367, '460106', '城西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.311,19.9951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25656, 2367, '460106', '大同街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.336,20.0368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25657, 2367, '460106', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.333,19.8351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25658, 2367, '460106', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.331,20.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25659, 2367, '460106', '龙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.313,19.9357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25660, 2367, '460106', '新坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.358,19.7872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25661, 2367, '460106', '海垦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.305,20.0181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25662, 2367, '460106', '金宇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.33,20.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25663, 2367, '460106', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.341,20.0446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25664, 2367, '460106', '遵谭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.293,19.8512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25665, 2368, '460107', '大坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.615,19.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25666, 2368, '460107', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.379,19.9829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25667, 2368, '460107', '国兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.339,20.0085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25668, 2368, '460107', '省岭脚热带作物场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.473,19.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25669, 2368, '460107', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.535,19.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25670, 2368, '460107', '府城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.342,20.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25671, 2368, '460107', '国营红明农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.422,19.7863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25672, 2368, '460107', '省长昌煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.48,19.6276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25673, 2368, '460107', '三门坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.62,19.7015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25674, 2368, '460107', '云龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.503,19.8505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25675, 2368, '460107', '凤翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.342,19.9915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25676, 2368, '460107', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.411,19.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25677, 2368, '460107', '旧州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.458,19.8288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25678, 2368, '460107', '甲子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.46,19.6264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25679, 2368, '460107', '国营东昌农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.59,19.6442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25680, 2369, '460105', '秀英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.285,20.0132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25681, 2369, '460105', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.242,19.9101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25682, 2369, '460105', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.222,19.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25683, 2369, '460105', '海秀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.294,20.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25684, 2369, '460105', '海秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.287,19.9959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25685, 2369, '460105', '石山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.152,19.9303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25686, 2369, '460105', '西秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.178,20.0776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25687, 2369, '460105', '长流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.248,20.0232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25688, 2391, '632623', '下藏科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.744,34.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25689, 2391, '632623', '青珍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.965,34.33', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25690, 2391, '632623', '上贡麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.466,34.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25691, 2391, '632623', '下贡麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9662,33.8527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25692, 2391, '632623', '柯曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6559,34.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25693, 2391, '632623', '岗龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.404,33.974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25694, 2391, '632623', '江千乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.471,34.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25695, 2392, '632621', '大武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.195,34.4021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25696, 2392, '632621', '优云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9561,34.6803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25697, 2392, '632621', '当洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7031,34.1141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25698, 2392, '632621', '雪山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5709,34.8387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25699, 2392, '632621', '拉加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.126,34.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25700, 2392, '632621', '东倾沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9859,34.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25701, 2392, '632621', '大武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.499,34.2995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25702, 2392, '632621', '下大武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1867,35.2208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25703, 2393, '632624', '下红科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7867,33.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25704, 2393, '632624', '特合土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4012,34.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25705, 2393, '632624', '窝赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8042,33.5047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25706, 2393, '632624', '莫坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.029,33.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25707, 2393, '632624', '建设乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0119,33.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25708, 2393, '632624', '德昂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.325,33.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25709, 2393, '632624', '桑日麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5853,33.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25710, 2393, '632624', '吉迈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7644,33.6923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25711, 2393, '632624', '满掌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.242,33.4967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25712, 2393, '632624', '上红科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2148,32.9942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25713, 2394, '632625', '哇赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.418,33.7841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25714, 2394, '632625', '哇尔依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.361,33.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25715, 2394, '632625', '智青松多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.408,33.6487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25716, 2394, '632625', '白玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.671,33.2906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25717, 2394, '632625', '索呼日麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.034,33.2306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25718, 2394, '632625', '门堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.949,33.956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25719, 2395, '632622', '亚尔堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.176,33.0244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25720, 2395, '632622', '赛来塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.521,32.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25721, 2395, '632622', '多贡麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.319,33.1904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25722, 2395, '632622', '知钦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.482,32.669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25723, 2395, '632622', '马可河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.294,33.0046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25724, 2395, '632622', '江日堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.714,33.1585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25725, 2395, '632622', '达卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7867,33.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25726, 2395, '632622', '灯塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.944,33.0302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25727, 2395, '632622', '吉卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.092,32.6753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25728, 2396, '632626', '黄河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3093,34.0877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25729, 2396, '632626', '扎陵湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.206,35.0363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25730, 2396, '632626', '花石峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3918,35.4617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25731, 2396, '632626', '玛查理镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0375,34.1233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25732, 2397, '632523', '河东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.485,36.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25733, 2397, '632523', '拉西瓦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.143,36.2798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25734, 2397, '632523', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.316,36.1046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25735, 2397, '632523', '新街回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.404,35.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25736, 2397, '632523', '常牧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.438,35.8489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25737, 2397, '632523', '河阴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.305,36.047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25738, 2397, '632523', '尕让乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.417,36.2231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25739, 2398, '632521', '石乃亥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5611,37.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25740, 2398, '632521', '黑马河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7753,36.7689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25741, 2398, '632521', '龙羊峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.461,36.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25742, 2398, '632521', '廿地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.539,36.4494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25743, 2398, '632521', '沙珠玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.307,36.0675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25744, 2398, '632521', '江西沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.546,36.5681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25745, 2398, '632521', '安置农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.543,36.5618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25746, 2398, '632521', '塘格木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8058,36.2098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25747, 2398, '632521', '切吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6348,36.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25748, 2398, '632521', '湖东种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.702,36.7479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25749, 2398, '632521', '恰卜恰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.766,36.3369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25750, 2398, '632521', '巴卡台农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.043,36.3365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25751, 2398, '632521', '铁卜加草改站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5518,37.0556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25752, 2398, '632521', '倒淌河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.05,36.2968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25753, 2398, '632521', '铁盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.426,35.8196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25754, 2399, '632525', '贵南草业开发有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.114,35.8084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25755, 2399, '632525', '森多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.665,35.5505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25756, 2399, '632525', '茫拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.846,35.5503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25757, 2399, '632525', '沙沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.877,36.1221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25758, 2399, '632525', '塔秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.285,35.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25759, 2399, '632525', '茫曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.657,35.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25760, 2399, '632525', '过马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.989,35.8881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25761, 2400, '632522', '省牧草良种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.736,35.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25762, 2400, '632522', '河北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.566,35.2581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25763, 2400, '632522', '巴沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.286,35.5378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25764, 2400, '632522', '秀麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.566,35.2589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25765, 2400, '632522', '唐谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.568,35.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25766, 2400, '632522', '尕巴松多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.543,35.1855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25767, 2401, '632524', '温泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2996,35.3845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25768, 2401, '632524', '子科滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9783,35.6027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25769, 2401, '632524', '中铁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.224,35.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25770, 2401, '632524', '曲什安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7046,35.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25771, 2401, '632524', '河卡种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9009,35.8872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25772, 2401, '632524', '龙藏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.076,34.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25773, 2401, '632524', '河卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.235,35.6633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25774, 2401, '632524', '唐乃亥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9584,35.5813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25775, 2402, '632723', '拉布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2335,33.012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25776, 2402, '632723', '称文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0328,33.5339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25777, 2402, '632723', '歇武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4778,33.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25778, 2402, '632723', '珍秦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0979,33.5793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25779, 2402, '632723', '扎朵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7769,33.7309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25780, 2402, '632723', '尕朵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0895,33.6837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25781, 2402, '632723', '清水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.3893,34.3387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25782, 2403, '632724', '加吉博洛格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7933,33.5932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25783, 2403, '632724', '多彩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0933,33.5551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25784, 2403, '632724', '扎河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4594,34.6835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25785, 2403, '632724', '立新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9377,33.789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25786, 2403, '632724', '索加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '89.4436,35.9127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25787, 2403, '632724', '治渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.1889,34.4917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25788, 2404, '632726', '麻多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1605,35.6398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25789, 2404, '632726', '曲麻河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3042,34.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25790, 2404, '632726', '秋智乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.0862,34.2151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25791, 2404, '632726', '叶格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.5715,35.4147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25792, 2404, '632726', '巴干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1769,34.3354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25793, 2404, '632726', '约改镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6934,34.1401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25794, 2405, '632701', '下拉秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1057,32.7186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25795, 2405, '632701', '上拉秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9569,33.0819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25796, 2405, '632701', '小苏莽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.2723,32.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25797, 2405, '632701', '隆宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7217,33.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25798, 2405, '632701', '哈秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.2362,33.6348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25799, 2405, '632701', '结古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8387,33.1394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25800, 2405, '632701', '巴塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4287,32.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25801, 2405, '632701', '仲达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9022,33.1087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25802, 2405, '632701', '安冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6238,33.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25803, 2406, '632722', '扎青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.0413,33.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25804, 2406, '632722', '苏鲁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0813,32.2881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25805, 2406, '632722', '阿多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6329,32.7617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25806, 2406, '632722', '结多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4966,32.5999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25807, 2406, '632722', '查旦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.1975,32.6634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25808, 2406, '632722', '昂赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.0038,32.9225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25809, 2406, '632722', '莫云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '92.8628,33.662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25810, 2406, '632722', '萨呼腾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.64,33.3199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25811, 2407, '632725', '觉拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.0369,32.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25812, 2407, '632725', '毛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7177,32.3695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25813, 2407, '632725', '吉尼赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.1837,32.2645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25814, 2407, '632725', '吉曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7988,31.7146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25815, 2407, '632725', '香达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.4974,32.4535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25816, 2407, '632725', '东坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.4278,32.2344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25817, 2407, '632725', '娘拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9573,32.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25818, 2407, '632725', '尕羊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.374,31.9265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25819, 2407, '632725', '白扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6306,31.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25820, 2407, '632725', '着晓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.4742,32.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25821, 2408, '632322', '康扬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.909,36.0365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25822, 2408, '632322', '马克堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.943,35.9623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25823, 2408, '632322', '尖扎滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.841,35.6846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25824, 2408, '632322', '昂拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.032,35.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25825, 2408, '632322', '能科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.887,35.8761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25826, 2408, '632322', '措周乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.832,35.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25827, 2408, '632322', '坎布拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.648,36.1546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25828, 2408, '632322', '当顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.994,35.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25829, 2408, '632322', '贾加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.684,35.9467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25830, 2409, '632321', '双朋西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.182,35.5191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25831, 2409, '632321', '多哇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.972,35.3159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25832, 2409, '632321', '兰采乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.871,35.6736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25833, 2409, '632321', '隆务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.986,35.5256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25834, 2409, '632321', '扎毛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.859,35.2486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25835, 2409, '632321', '加吾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.081,35.4278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25836, 2409, '632321', '瓜什则乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.174,35.4871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25837, 2409, '632321', '曲库乎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.022,35.3742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25838, 2409, '632321', '年都乎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.049,35.5964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25839, 2409, '632321', '黄乃亥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.971,35.636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25840, 2409, '632321', '保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.206,35.6588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25841, 2410, '632324', '多松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.352,34.2474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25842, 2410, '632324', '宁木特乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.234,34.8578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25843, 2410, '632324', '优干宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.69,34.8916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25844, 2410, '632324', '赛尔龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.176,34.4485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25845, 2410, '632324', '柯生乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.58,34.1971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25846, 2411, '632323', '泽曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.464,35.2189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25847, 2411, '632323', '王加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.412,35.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25848, 2411, '632323', '麦秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.02,35.1713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25849, 2411, '632323', '多禾茂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.686,34.9282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25850, 2411, '632323', '和日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.062,35.0617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25851, 2411, '632323', '西卜沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.63,34.9778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25852, 2411, '632323', '宁秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.314,34.9838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25853, 2412, '632823', '苏里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0047,38.8825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25854, 2412, '632823', '阳康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8148,38.1163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25855, 2412, '632823', '生格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1114,37.5236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25856, 2412, '632823', '织合玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1033,37.7281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25857, 2412, '632823', '舟群乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2517,37.9504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25858, 2412, '632823', '木里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2455,38.3295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25859, 2412, '632823', '江河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4982,37.5791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25860, 2412, '632823', '新源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0697,37.2707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25861, 2412, '632823', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3968,38.1224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25862, 2412, '632823', '快尔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5684,37.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25863, 2413, '632802', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.3946,37.3534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25864, 2413, '632802', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.368,37.3924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25865, 2413, '632802', '尕海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7215,37.365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25866, 2413, '632802', '柯鲁柯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0512,38.6344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25867, 2413, '632802', '蓄集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6821,38.3631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25868, 2413, '632802', '怀头他拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9353,38.2418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25869, 2413, '632802', '火车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.385,37.3635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25870, 2414, '632822', '香加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9161,35.9851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25871, 2414, '632822', '巴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0469,35.4256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25872, 2414, '632822', '夏日哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6364,36.5769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25873, 2414, '632822', '沟里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8959,36.0009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25874, 2414, '632822', '热水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9076,35.5983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25875, 2414, '632822', '宗加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.5651,36.022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25876, 2414, '632822', '香日德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8056,36.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25877, 2414, '632822', '察汉乌苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.151,36.3471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25878, 2415, '632801', '黄河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9028,36.3926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25879, 2415, '632801', '西藏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8622,36.3802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25880, 2415, '632801', '郭勒木德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.4819,36.3913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25881, 2415, '632801', '格尔木农垦有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0948,36.4022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25882, 2415, '632801', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9083,36.4403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25883, 2415, '632801', '金峰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8997,36.4159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25884, 2415, '632801', '乌图美仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.9186,36.921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25885, 2415, '632801', '昆仑路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9186,36.4064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25886, 2415, '632801', '大格勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6643,36.1339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25887, 2415, '632801', '察尔汗工行委', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.5034,37.5094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25888, 2415, '632801', '唐古拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8463,36.3586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25889, 2416, '632825', '柴旦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.9577,38.4294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25890, 2416, '632825', '锡铁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.3701,37.161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25891, 2417, '632821', '柯柯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2227,37.2657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25892, 2417, '632821', '茶卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9809,36.9253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25893, 2417, '632821', '铜普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.55,37.1291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25894, 2417, '632821', '希里沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4631,36.9726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25895, 2417, '632821', '海西州莫河畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8963,36.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25896, 2418, '632803', '花土沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.6778,37.6875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25897, 2418, '632803', '茫崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '90.1426,38.4035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25898, 2418, '632803', '冷湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.1356,39.149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25899, 2419, '630224', '塔加藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.58,35.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25900, 2419, '630224', '谢家滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.239,36.0608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25901, 2419, '630224', '昂思多镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.167,36.2489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25902, 2419, '630224', '德恒隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.191,36.0012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25903, 2419, '630224', '沙连堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.066,36.0713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25904, 2419, '630224', '阿什奴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.196,36.0007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25905, 2419, '630224', '查甫藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.862,36.2181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25906, 2419, '630224', '二塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.175,36.2012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25907, 2419, '630224', '牙什尕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.982,36.1541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25908, 2419, '630224', '李家峡管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.826,36.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25909, 2419, '630224', '石大仓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.396,36.035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25910, 2419, '630224', '巴燕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.217,36.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25911, 2419, '630224', '扎巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.998,36.2628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25912, 2419, '630224', '金源藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.474,36.0369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25913, 2419, '630224', '甘都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.255,35.8807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25914, 2419, '630224', '初麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.386,36.0304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25915, 2419, '630224', '群科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.062,36.0675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25916, 2419, '630224', '公伯峡管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.238,35.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25917, 2419, '630224', '雄先藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.863,36.2293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25918, 2420, '630222', '前河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.788,36.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25919, 2420, '630222', '新民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.606,36.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25920, 2420, '630222', '大庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.869,36.1358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25921, 2420, '630222', '川口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.842,36.3508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25922, 2420, '630222', '马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.783,36.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25923, 2420, '630222', '总堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.83,36.1649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25924, 2420, '630222', '甘沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.71,36.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25925, 2420, '630222', '官亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.752,35.9398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25926, 2420, '630222', '转导乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.902,35.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25927, 2420, '630222', '北山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.726,36.3955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25928, 2420, '630222', '西沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.675,36.2042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25929, 2420, '630222', '隆治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.882,36.2406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25930, 2420, '630222', '中川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.867,35.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25931, 2420, '630222', '杏儿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.664,35.9252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25932, 2420, '630222', '古鄯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.744,36.1635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25933, 2420, '630222', '巴州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.798,36.2464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25934, 2420, '630222', '李二堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.648,36.2589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25935, 2420, '630222', '峡门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.515,36.2856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25936, 2420, '630222', '核桃庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.709,36.2985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25937, 2420, '630222', '松树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.633,36.3588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25938, 2420, '630222', '满坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.698,36.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25939, 2420, '630222', '马场垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.86,36.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25940, 2421, '630202', '李家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.549,36.6802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25941, 2421, '630202', '雨润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.243,36.4736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25942, 2421, '630202', '碾伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.378,36.5501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25943, 2421, '630202', '洪水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.606,36.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25944, 2421, '630202', '寿乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.405,36.8335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25945, 2421, '630202', '达拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.222,36.6305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25946, 2421, '630202', '马厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.723,36.5083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25947, 2421, '630202', '中岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.549,36.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25948, 2421, '630202', '蒲台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.455,36.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25949, 2421, '630202', '下营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.114,36.3837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25950, 2421, '630202', '城台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.167,36.4115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25951, 2421, '630202', '瞿昙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.218,36.3143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25952, 2421, '630202', '高店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.18,36.5199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25953, 2421, '630202', '共和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.297,36.6021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25954, 2421, '630202', '芦化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.757,36.5803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25955, 2421, '630202', '峰堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.329,36.4435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25956, 2421, '630202', '中坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.41,36.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25957, 2421, '630202', '高庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.592,36.4706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25958, 2421, '630202', '马营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.625,36.6311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25959, 2422, '630225', '道帏藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.55,35.6747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25960, 2422, '630225', '岗察藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.483,35.5129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25961, 2422, '630225', '街子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.347,35.7982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25962, 2422, '630225', '白庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.583,35.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25963, 2422, '630225', '文都藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.28,35.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25964, 2422, '630225', '查汗都斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.218,35.8459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25965, 2422, '630225', '尕楞藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.359,35.816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25966, 2422, '630225', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.466,35.8752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25967, 2422, '630225', '积石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.501,35.795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25968, 2423, '630203', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.025,36.4212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25969, 2423, '630203', '石灰窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.888,36.4115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25970, 2423, '630203', '沙沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.094,36.283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25971, 2423, '630203', '洪水泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.01,36.4855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25972, 2423, '630203', '巴藏沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.071,36.3929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25973, 2423, '630203', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.968,36.3441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25974, 2423, '630203', '小峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.945,36.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25975, 2423, '630203', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.184,36.5306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25976, 2424, '630223', '林川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.974,37.0123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25977, 2424, '630223', '哈拉直沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.974,36.7039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25978, 2424, '630223', '东山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.956,36.7711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25979, 2424, '630223', '蔡家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.858,36.7295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25980, 2424, '630223', '台子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.938,36.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25981, 2424, '630223', '五峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.911,36.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25982, 2424, '630223', '松多藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.27,36.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25983, 2424, '630223', '巴扎藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.131,36.9764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25984, 2424, '630223', '高寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.951,36.61', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25985, 2424, '630223', '东和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.065,36.9807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25986, 2424, '630223', '南门峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.883,36.9437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25987, 2424, '630223', '威远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.009,36.885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25988, 2424, '630223', '红崖子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.076,36.6896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25989, 2424, '630223', '丹麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.205,36.9053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25990, 2424, '630223', '西山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.894,36.8185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25991, 2424, '630223', '五十镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.223,36.7517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25992, 2424, '630223', '东沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.057,36.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25993, 2424, '630223', '塘川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.949,36.6307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25994, 2424, '630223', '加定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.238,36.8688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25995, 2425, '630123', '寺寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.921,36.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25996, 2425, '630123', '申中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.158,36.7486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25997, 2425, '630123', '东峡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.313,36.6971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25998, 2425, '630123', '波航乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.11,36.5793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (25999, 2425, '630123', '大华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.149,36.7306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26000, 2425, '630123', '巴燕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.096,36.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26001, 2425, '630123', '日月乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.108,36.5846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26002, 2425, '630123', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.159,36.6085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26003, 2425, '630123', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.268,36.7158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26004, 2426, '630102', '清真巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.784,36.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26005, 2426, '630102', '东关大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.793,36.6219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26006, 2426, '630102', '大众街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.781,36.5783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26007, 2426, '630102', '周家泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.801,36.6146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26008, 2426, '630102', '八一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.818,36.5877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26009, 2426, '630102', '韵家口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.812,36.5957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26010, 2426, '630102', '林家崖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.799,36.6269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26011, 2426, '630102', '乐家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.832,36.5287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26012, 2426, '630102', '火车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.819,36.6211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26013, 2427, '630121', '良教乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.583,36.9367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26014, 2427, '630121', '多林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.434,37.0741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26015, 2427, '630121', '朔北藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.695,36.9515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26016, 2427, '630121', '宝库乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.993,37.2497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26017, 2427, '630121', '景阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.56,36.9084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26018, 2427, '630121', '逊让乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.463,37.0336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26019, 2427, '630121', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.668,36.9751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26020, 2427, '630121', '斜沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.543,36.958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26021, 2427, '630121', '黄家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.59,36.8966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26022, 2427, '630121', '石山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.767,36.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26023, 2427, '630121', '长宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.747,36.7542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26024, 2427, '630121', '青林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.221,37.2237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26025, 2427, '630121', '东峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.784,37.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26026, 2427, '630121', '塔尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.636,37.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26027, 2427, '630121', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.521,37.0693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26028, 2427, '630121', '向化藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.726,37.1936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26029, 2427, '630121', '桦林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.678,37.059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26030, 2427, '630121', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.362,37.1402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26031, 2427, '630121', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.567,37.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26032, 2427, '630121', '极乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.575,36.9931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26033, 2428, '630104', '西关大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.762,36.6222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26034, 2428, '630104', '兴海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.77,36.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26035, 2428, '630104', '古城台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.754,36.6216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26036, 2428, '630104', '胜利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.757,36.6404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26037, 2428, '630104', '虎台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.72,36.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26038, 2428, '630104', '彭家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.661,36.6318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26039, 2429, '630106', '上新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.598,36.4701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26040, 2429, '630106', '海子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.604,36.7369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26041, 2429, '630106', '土门关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.677,36.5102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26042, 2429, '630106', '鲁沙尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.642,36.4909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26043, 2429, '630106', '汉东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.507,36.5514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26044, 2429, '630106', '拦隆口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.405,36.759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26045, 2429, '630106', '李家山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.543,36.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26046, 2429, '630106', '群加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.613,36.3368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26047, 2429, '630106', '大才乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.478,36.5357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26048, 2429, '630106', '上五庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.264,36.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26049, 2429, '630106', '田家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.754,36.47', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26050, 2429, '630106', '甘河工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.528,36.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26051, 2429, '630106', '西堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.566,36.6073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26052, 2429, '630106', '康川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.513,36.6558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26053, 2429, '630106', '共和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.41,36.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26054, 2429, '630106', '甘河滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.514,36.5978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26055, 2429, '630106', '多巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.503,36.7096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26056, 2430, '630103', '南川东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.775,36.6074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26057, 2430, '630103', '饮马街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.786,36.6274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26058, 2430, '630103', '礼让街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.781,36.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26059, 2430, '630103', '南川工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.689,36.541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26060, 2430, '630103', '仓门街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.786,36.6131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26061, 2430, '630103', '人民街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.779,36.6144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26062, 2430, '630103', '总寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.684,36.5411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26063, 2430, '630103', '南川西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.738,36.6161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26064, 2430, '630103', '南滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.784,36.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26065, 2431, '630105', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.767,36.6705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26066, 2431, '630105', '大堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.599,36.6852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26067, 2431, '630105', '小桥大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.732,36.6937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26068, 2431, '630105', '廿里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.729,36.694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26069, 2431, '630105', '马坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.704,36.6987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26070, 2431, '630105', '生物科技产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.75,36.6657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26071, 2432, '632223', '哈勒景蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.764,37.3012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26072, 2432, '632223', '西海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.912,36.9378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26073, 2432, '632223', '金滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.999,36.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26074, 2432, '632223', '青海湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.997,37.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26075, 2432, '632223', '甘子河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.641,37.2863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26076, 2432, '632223', '三角城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.94,36.9259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26077, 2433, '632221', '麻莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.64,37.3337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26078, 2433, '632221', '仙米乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.427,37.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26079, 2433, '632221', '苏吉滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.421,37.5532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26080, 2433, '632221', '浩门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.614,37.2715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26081, 2433, '632221', '门源种马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.473,37.4129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26082, 2433, '632221', '皇城蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.258,37.6578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26083, 2433, '632221', '珠固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.329,37.3519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26084, 2433, '632221', '北山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.567,37.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26085, 2433, '632221', '西滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.789,37.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26086, 2433, '632221', '青石咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.284,37.4212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26087, 2433, '632221', '泉口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.789,37.5289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26088, 2433, '632221', '东川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.848,37.4431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26089, 2433, '632221', '阴田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.692,37.2444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26090, 2433, '632221', '门源监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.509,37.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26091, 2434, '632224', '三角城种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.3,37.3354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26092, 2434, '632224', '沙柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.218,37.7586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26093, 2434, '632224', '伊克乌兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.014,37.4924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26094, 2434, '632224', '吉尔孟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.105,37.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26095, 2434, '632224', '哈尔盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.357,37.5207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26096, 2434, '632224', '青海湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.039,37.2553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26097, 2434, '632224', '泉吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6667,37.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26098, 2435, '632222', '扎麻什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.083,38.0915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26099, 2435, '632222', '默勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.847,38.1403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26100, 2435, '632222', '八宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.024,38.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26101, 2435, '632222', '央隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6239,38.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26102, 2435, '632222', '阿柔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.048,37.8264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26103, 2435, '632222', '野牛沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0207,38.6147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26104, 2435, '632222', '峨堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.796,37.8185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26105, 2436, '350924', '凤阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.52,27.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26106, 2436, '350924', '武曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.527,27.2545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26107, 2436, '350924', '竹管垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.544,27.3924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26108, 2436, '350924', '大安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.48,27.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26109, 2436, '350924', '下党乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.343,27.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26110, 2436, '350924', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.617,27.4252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26111, 2436, '350924', '清源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.45,27.4406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26112, 2436, '350924', '平溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.245,27.3372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26113, 2436, '350924', '芹洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.408,27.4222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26114, 2436, '350924', '托溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.344,27.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26115, 2436, '350924', '鳌阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.47,27.4504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26116, 2436, '350924', '犀溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.617,27.4713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26117, 2436, '350924', '斜滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.415,27.3647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26118, 2436, '350924', '坑底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.532,27.5637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26119, 2437, '350923', '路下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.794,26.9623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26120, 2437, '350923', '熙岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.024,26.8559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26121, 2437, '350923', '岭下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.931,27.169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26122, 2437, '350923', '双溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.001,27.047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26123, 2437, '350923', '屏城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.95,26.9514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26124, 2437, '350923', '寿山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.131,26.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26125, 2437, '350923', '古峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.955,26.9009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26126, 2437, '350923', '棠口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.995,26.9391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26127, 2437, '350923', '长桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.735,26.8213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26128, 2437, '350923', '黛溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.178,26.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26129, 2437, '350923', '甘棠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.91,26.8078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26130, 2438, '350982', '龙安开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.357,27.1781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26131, 2438, '350982', '点头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.088,27.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26132, 2438, '350982', '嵛山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.376,26.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26133, 2438, '350982', '贯岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.161,27.3741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26134, 2438, '350982', '硖门畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.173,27.0526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26135, 2438, '350982', '磻溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.054,27.1559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26136, 2438, '350982', '管阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.046,27.3357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26137, 2438, '350982', '桐山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.13,27.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26138, 2438, '350982', '桐城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.149,27.3454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26139, 2438, '350982', '山前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.226,27.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26140, 2438, '350982', '太姥山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.513,26.9642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26141, 2438, '350982', '沙埕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.689,26.9305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26142, 2438, '350982', '店下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.274,27.2221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26143, 2438, '350982', '叠石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.189,27.3968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26144, 2438, '350982', '白琳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.177,27.1338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26145, 2438, '350982', '前岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.296,27.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26146, 2438, '350982', '佳阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.357,27.2842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26147, 2439, '350981', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.664,27.1118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26148, 2439, '350981', '下白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.701,26.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26149, 2439, '350981', '溪柄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.724,27.0181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26150, 2439, '350981', '坂中畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.598,27.095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26151, 2439, '350981', '赛岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.741,26.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26152, 2439, '350981', '城阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.644,27.1015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26153, 2439, '350981', '福安畲族开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.507,27.0435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26154, 2439, '350981', '范坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.657,27.3111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26155, 2439, '350981', '阳头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.659,27.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26156, 2439, '350981', '上白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.67,27.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26157, 2439, '350981', '晓阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.523,27.1906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26158, 2439, '350981', '穆云畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.492,27.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26159, 2439, '350981', '穆阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.525,27.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26160, 2439, '350981', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.577,26.969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26161, 2439, '350981', '湾坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.701,26.8047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26162, 2439, '350981', '溪潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.609,27.0505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26163, 2439, '350981', '社口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.617,27.2239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26164, 2439, '350981', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.657,27.0704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26165, 2439, '350981', '罗江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.591,26.9495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26166, 2439, '350981', '康厝畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.525,27.0521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26167, 2439, '350981', '溪尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.743,26.8787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26168, 2439, '350981', '潭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.65,27.3586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26169, 2439, '350981', '湾坞工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.745,26.7955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26170, 2439, '350981', '松罗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.819,26.8859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26171, 2440, '350922', '平湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.722,26.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26172, 2440, '350922', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.714,26.607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26173, 2440, '350922', '鹤塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.038,26.7117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26174, 2440, '350922', '黄田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.609,26.4919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26175, 2440, '350922', '卓洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.996,26.6564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26176, 2440, '350922', '凤都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.644,26.7412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26177, 2440, '350922', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.678,26.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26178, 2440, '350922', '凤埔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.643,26.8126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26179, 2440, '350922', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,26.6474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26180, 2440, '350922', '大甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.379,26.6149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26181, 2440, '350922', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.696,26.3975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26182, 2440, '350922', '杉洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.238,26.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26183, 2440, '350922', '吉巷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.032,26.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26184, 2440, '350922', '泮洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.82,26.4338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26185, 2441, '350925', '浦源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.315,27.1673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26186, 2441, '350925', '狮城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.416,27.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26187, 2441, '350925', '礼门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.168,27.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26188, 2441, '350925', '玛坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.379,27.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26189, 2441, '350925', '李墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.177,27.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26190, 2441, '350925', '泗桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.255,27.1491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26191, 2441, '350925', '七步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.316,27.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26192, 2441, '350925', '纯池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.219,27.3132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26193, 2441, '350925', '咸村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.324,27.0003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26194, 2442, '350902', '石后乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.408,26.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26195, 2442, '350902', '飞鸾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.554,26.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26196, 2442, '350902', '七都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.47,26.7381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26197, 2442, '350902', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.797,26.6002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26198, 2442, '350902', '九都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.494,26.8732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26199, 2442, '350902', '八都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.575,26.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26200, 2442, '350902', '蕉北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.505,26.6694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26201, 2442, '350902', '东侨开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.538,26.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26202, 2442, '350902', '金涵畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.556,26.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26203, 2442, '350902', '漳湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.55,26.6907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26204, 2442, '350902', '赤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.545,26.9492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26205, 2442, '350902', '洋中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.278,26.6853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26206, 2442, '350902', '城南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.528,26.6496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26207, 2442, '350902', '蕉南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.529,26.6464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26208, 2442, '350902', '霍童镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.282,26.8487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26209, 2442, '350902', '虎贝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.264,26.8193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26210, 2442, '350902', '洪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.209,26.9337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26211, 2443, '350921', '崇儒畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.94,27.0079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26212, 2443, '350921', '海岛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.987,26.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26213, 2443, '350921', '下浒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.96,26.6347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26214, 2443, '350921', '盐田畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.905,26.9244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26215, 2443, '350921', '沙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.946,26.8123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26216, 2443, '350921', '松港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.971,26.9496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26217, 2443, '350921', '松城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.951,26.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26218, 2443, '350921', '长春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.11,26.6099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26219, 2443, '350921', '北壁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.975,26.5506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26220, 2443, '350921', '三沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.259,26.9393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26221, 2443, '350921', '溪南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.821,26.6766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26222, 2443, '350921', '水门畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.987,27.0642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26223, 2443, '350921', '柏洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.937,27.0943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26224, 2443, '350921', '牙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.103,27.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26225, 2444, '350926', '富溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.798,27.1785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26226, 2444, '350926', '双城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.901,27.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26227, 2444, '350926', '楮坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,27.2595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26228, 2444, '350926', '乍洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.95,27.2411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26229, 2444, '350926', '东源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.851,27.2178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26230, 2444, '350926', '英山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.777,27.2704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26231, 2444, '350926', '宅中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.84,27.1394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26232, 2444, '350926', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.889,27.2227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26233, 2444, '350926', '黄柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.786,27.1946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26234, 2445, '350722', '南浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.528,27.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26235, 2445, '350722', '古楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,28.1204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26236, 2445, '350722', '莲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.429,27.9062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26237, 2445, '350722', '盘亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.354,28.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26238, 2445, '350722', '忠信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.684,28.2829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26239, 2445, '350722', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.4,27.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26240, 2445, '350722', '河滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.543,27.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26241, 2445, '350722', '仙阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.391,28.0406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26242, 2445, '350722', '官路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.502,28.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26243, 2445, '350722', '水北街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.579,27.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26244, 2445, '350722', '石陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.359,27.7571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26245, 2445, '350722', '山下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.304,27.8368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26246, 2445, '350722', '管厝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.621,28.0976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26247, 2445, '350722', '水南农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.526,27.9128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26248, 2445, '350722', '九牧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.48,28.1016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26249, 2445, '350722', '富岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.601,27.9439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26250, 2445, '350722', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.298,27.9108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26251, 2445, '350722', '枫溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.257,27.7906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26252, 2445, '350722', '濠村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.393,27.6279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26253, 2445, '350722', '万安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.532,27.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26254, 2446, '350782', '星村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.769,27.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26255, 2446, '350782', '洋庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.96,27.7743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26256, 2446, '350782', '兴田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.966,27.6097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26257, 2446, '350782', '崇安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.011,27.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26258, 2446, '350782', '上梅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.209,27.7738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26259, 2446, '350782', '五夫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.279,27.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26260, 2446, '350782', '吴屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.137,27.7744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26261, 2446, '350782', '新丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.104,27.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26262, 2446, '350782', '岚谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.222,28.0593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26263, 2446, '350782', '武夷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.926,27.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26264, 2447, '350703', '徐市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.074,27.2558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26265, 2447, '350703', '水吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.241,27.4665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26266, 2447, '350703', '漳墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.6,27.5187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26267, 2447, '350703', '麻沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.804,27.3299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26268, 2447, '350703', '童游街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.218,27.4498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26269, 2447, '350703', '黄坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.607,27.6762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26270, 2447, '350703', '回龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.312,27.571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26271, 2447, '350703', '莒口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.909,27.4583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26272, 2447, '350703', '将口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.131,27.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26273, 2447, '350703', '小湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.39,27.2679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26274, 2447, '350703', '崇雒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.239,27.5657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26275, 2447, '350703', '书坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.777,27.3311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26276, 2447, '350703', '潭城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.995,27.2792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26277, 2448, '350723', '崇仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.305,27.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26278, 2448, '350723', '司前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.457,27.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26279, 2448, '350723', '李坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.152,27.413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26280, 2448, '350723', '止马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.227,27.4292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26281, 2448, '350723', '寨里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.425,27.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26282, 2448, '350723', '杭川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.356,27.5442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26283, 2448, '350723', '华桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.259,27.5734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26284, 2448, '350723', '鸾风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.421,27.6156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26285, 2449, '350724', '松源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.759,27.5822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26286, 2449, '350724', '花桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.569,27.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26287, 2449, '350724', '茶平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.828,27.5083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26288, 2449, '350724', '渭田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.773,27.6381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26289, 2449, '350724', '旧县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.815,27.6525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26290, 2449, '350724', '郑墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.598,27.5145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26291, 2449, '350724', '溪东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.755,27.7404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26292, 2449, '350724', '河东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.883,27.5425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26293, 2449, '350724', '祖墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.674,27.6815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26294, 2450, '350783', '迪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.483,26.819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26295, 2450, '350783', '南雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.224,26.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26296, 2450, '350783', '吉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.197,27.1471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26297, 2450, '350783', '小桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.359,26.9902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26298, 2450, '350783', '小松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.361,27.2714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26299, 2450, '350783', '徐墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.267,27.29', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26300, 2450, '350783', '川石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.595,27.2403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26301, 2450, '350783', '东峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.494,27.2138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26302, 2450, '350783', '房道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.161,27.0795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26303, 2450, '350783', '建安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.382,27.1075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26304, 2450, '350783', '龙村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.59,27.2553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26305, 2450, '350783', '顺阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.572,27.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26306, 2450, '350783', '通济街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.392,27.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26307, 2450, '350783', '东游镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.611,27.2368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26308, 2450, '350783', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.579,27.0128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26309, 2450, '350783', '瓯宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.247,27.008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26310, 2450, '350783', '芝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.328,27.0915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26311, 2450, '350783', '水源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.728,27.1458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26312, 2451, '350721', '郑坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.816,26.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26313, 2451, '350721', '高阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.087,26.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26314, 2451, '350721', '双溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.738,26.8237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26315, 2451, '350721', '建西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.9,26.9313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26316, 2451, '350721', '洋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.856,26.832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26317, 2451, '350721', '大干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.754,26.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26318, 2451, '350721', '岚下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.96,26.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26319, 2451, '350721', '洋墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.86,27.0649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26320, 2451, '350721', '埔上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.805,27.1071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26321, 2451, '350721', '仁寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.86,27.0859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26322, 2451, '350721', '元坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.719,26.8672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26323, 2451, '350721', '大历镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.019,26.9302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26324, 2452, '350781', '金坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.205,27.3064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26325, 2452, '350781', '桂林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.163,27.2028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26326, 2452, '350781', '通泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.452,27.3111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26327, 2452, '350781', '水北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.465,27.3933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26328, 2452, '350781', '昭阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.501,27.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26329, 2452, '350781', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.255,27.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26330, 2452, '350781', '吴家塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.674,27.3153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26331, 2452, '350781', '卫闽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.765,27.1169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26332, 2452, '350781', '晒口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.576,27.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26333, 2452, '350781', '沿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.267,27.3209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26334, 2452, '350781', '肖家坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.256,27.157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26335, 2452, '350781', '大竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.568,27.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26336, 2452, '350781', '水北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.493,27.5802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26337, 2452, '350781', '大埠岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.351,27.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26338, 2452, '350781', '洪墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.617,27.0582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26339, 2452, '350781', '张厝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.475,27.1106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26340, 2452, '350781', '下沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.537,27.3185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26341, 2452, '350781', '拿口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.617,27.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26342, 2452, '350781', '城郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.416,27.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26343, 2453, '350725', '铁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.863,27.4344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26344, 2453, '350725', '东平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.577,27.4936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26345, 2453, '350725', '熊山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.823,27.3773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26346, 2453, '350725', '石屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.812,27.3939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26347, 2453, '350725', '岭腰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.038,27.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26348, 2453, '350725', '镇前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.947,27.2673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26349, 2453, '350725', '星溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.793,27.4073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26350, 2453, '350725', '澄源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.154,27.3823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26351, 2453, '350725', '外屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.027,27.4053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26352, 2453, '350725', '杨源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.01,27.2372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26353, 2454, '350702', '樟湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.526,26.336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26354, 2454, '350702', '水东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.302,26.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26355, 2454, '350702', '大横镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.263,26.8605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26356, 2454, '350702', '炉下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.248,26.4418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26357, 2454, '350702', '王台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.894,26.7161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26358, 2454, '350702', '紫云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.154,26.6527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26359, 2454, '350702', '四鹤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.094,26.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26360, 2454, '350702', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.32,26.4567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26361, 2454, '350702', '赤门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.455,26.6174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26362, 2454, '350702', '塔前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.205,26.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26363, 2454, '350702', '洋后镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.535,26.6865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26364, 2454, '350702', '黄墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.093,26.6599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26365, 2454, '350702', '夏道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.244,26.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26366, 2454, '350702', '南山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.379,26.6847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26367, 2454, '350702', '来舟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.983,26.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26368, 2454, '350702', '峡阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.098,26.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26369, 2454, '350702', '水南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.133,26.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26370, 2454, '350702', '巨口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.506,26.4678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26371, 2454, '350702', '梅山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.169,26.6495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26372, 2454, '350702', '茫荡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.154,26.6867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26373, 2454, '350702', '西芹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.063,26.4384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26374, 2455, '350322', '鲤南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.766,25.3699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26375, 2455, '350322', '大济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.487,25.4033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26376, 2455, '350322', '西苑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.51,25.5648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26377, 2455, '350322', '石苍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.681,25.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26378, 2455, '350322', '钟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.768,25.5462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26379, 2455, '350322', '菜溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.684,25.6201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26380, 2455, '350322', '社硎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.653,25.5477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26381, 2455, '350322', '郊尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.815,25.3421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26382, 2455, '350322', '赖店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.723,25.3324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26383, 2455, '350322', '鲤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.689,25.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26384, 2455, '350322', '度尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.496,25.4681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26385, 2455, '350322', '龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.604,25.3355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26386, 2455, '350322', '游洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.767,25.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26387, 2455, '350322', '盖尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.83,25.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26388, 2455, '350322', '榜头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.718,25.4154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26389, 2455, '350322', '枫亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.77,25.2737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26390, 2455, '350322', '园庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.683,25.2172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26391, 2455, '350322', '书峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.691,25.4802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26392, 2456, '350304', '西天尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.997,25.5463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26393, 2456, '350304', '拱辰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.027,25.4674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26394, 2456, '350304', '镇海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.013,25.4342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26395, 2456, '350304', '北高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.167,25.3903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26396, 2456, '350304', '新度镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.002,25.3981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26397, 2456, '350304', '黄石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.067,25.3965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26398, 2457, '350305', '东埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.087,25.1754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26399, 2457, '350305', '山亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.051,25.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26400, 2457, '350305', '笏石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.099,25.2785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26401, 2457, '350305', '忠门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.09,25.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26402, 2457, '350305', '南日镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.566,25.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26403, 2457, '350305', '月塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.093,25.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26404, 2457, '350305', '埭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.268,25.352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26405, 2457, '350305', '湄洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.078,25.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26406, 2457, '350305', '平海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.28,25.1577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26407, 2457, '350305', '后海管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.219,25.2799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26408, 2457, '350305', '东峤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.145,25.2941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26409, 2457, '350305', '前沁农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.145,25.2803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26410, 2457, '350305', '东庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.088,25.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26411, 2458, '350302', '龙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.999,25.4962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26412, 2458, '350302', '灵川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.979,25.3556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26413, 2458, '350302', '华亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.914,25.4288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26414, 2458, '350302', '霞林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.986,25.4239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26415, 2458, '350302', '凤凰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.941,25.4347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26416, 2458, '350302', '常太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.941,25.5561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26417, 2458, '350302', '东海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.917,25.3395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26418, 2459, '350303', '国欢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.13,25.4969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26419, 2459, '350303', '大洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.104,25.7542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26420, 2459, '350303', '涵东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.111,25.4592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26421, 2459, '350303', '庄边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.888,25.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26422, 2459, '350303', '涵西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.093,25.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26423, 2459, '350303', '赤港开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.173,25.4556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26424, 2459, '350303', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.176,25.5476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26425, 2459, '350303', '梧塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.051,25.5197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26426, 2459, '350303', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.009,25.6282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26427, 2459, '350303', '萩芦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.155,25.583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26428, 2459, '350303', '新县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.108,25.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26429, 2459, '350303', '白塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.064,25.4727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26430, 2459, '350303', '三江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.126,25.4585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26431, 2460, '350881', '官田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.511,25.0596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26432, 2460, '350881', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.503,25.7062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26433, 2460, '350881', '赤水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.224,25.6045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26434, 2460, '350881', '吾祠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.711,25.6016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26435, 2460, '350881', '灵地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.588,25.6632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26436, 2460, '350881', '溪南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.629,25.5212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26437, 2460, '350881', '永福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.49,25.1568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26438, 2460, '350881', '芦芝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.615,25.227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26439, 2460, '350881', '桂林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.44,25.1887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26440, 2460, '350881', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.401,25.3829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26441, 2460, '350881', '象湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.717,25.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26442, 2460, '350881', '西园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.389,25.3969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26443, 2460, '350881', '双洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.379,25.7427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26444, 2460, '350881', '菁城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.401,25.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26445, 2460, '350881', '南洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.307,25.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26446, 2460, '350881', '拱桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.295,25.2529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26447, 2461, '350823', '蛟洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.638,25.1718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26448, 2461, '350823', '泮境乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.5,25.0678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26449, 2461, '350823', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.484,25.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26450, 2461, '350823', '中都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.387,24.9417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26451, 2461, '350823', '步云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.81,25.3516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26452, 2461, '350823', '湖洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.38,25.1561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26453, 2461, '350823', '才溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.394,25.2847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26454, 2461, '350823', '下都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.503,24.8842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26455, 2461, '350823', '白砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.554,25.1922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26456, 2461, '350823', '珊瑚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.282,25.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26457, 2461, '350823', '官庄畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.333,25.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26458, 2461, '350823', '蓝溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.59,24.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26459, 2461, '350823', '通贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.403,25.3198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26460, 2461, '350823', '古田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.856,25.2385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26461, 2461, '350823', '稔田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.533,24.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26462, 2461, '350823', '太拔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.625,25.0129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26463, 2461, '350823', '茶地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.577,25.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26464, 2461, '350823', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.653,25.0975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26465, 2461, '350823', '庐丰畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.457,25.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26466, 2461, '350823', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.54,25.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26467, 2461, '350823', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.444,25.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26468, 2461, '350823', '临城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.428,24.9979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26469, 2462, '350824', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.119,25.0636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26470, 2462, '350824', '中堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.279,25.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26471, 2462, '350824', '民主乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.972,24.9897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26472, 2462, '350824', '下坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.014,24.9374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26473, 2462, '350824', '永平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.005,25.2564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26474, 2462, '350824', '岩前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.238,24.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26475, 2462, '350824', '桃溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.15,25.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26476, 2462, '350824', '象洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.287,24.9512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26477, 2462, '350824', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.032,25.2236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26478, 2462, '350824', '湘店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.159,25.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26479, 2462, '350824', '东留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.874,25.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26480, 2462, '350824', '大禾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,25.4522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26481, 2462, '350824', '中赤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.156,24.969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26482, 2462, '350824', '中山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.995,25.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26483, 2462, '350824', '武东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.297,25.1745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26484, 2462, '350824', '十方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.191,25.069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26485, 2462, '350824', '平川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,25.0976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26486, 2463, '350803', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.814,24.7103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26487, 2463, '350803', '峰市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.592,24.6965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26488, 2463, '350803', '大溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.877,24.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26489, 2463, '350803', '下洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.879,24.5994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26490, 2463, '350803', '高头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.012,24.6763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26491, 2463, '350803', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.711,24.7437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26492, 2463, '350803', '堂堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.774,24.8749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26493, 2463, '350803', '陈东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.919,24.7591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26494, 2463, '350803', '抚市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.934,24.8669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26495, 2463, '350803', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.009,24.7967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26496, 2463, '350803', '虎岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.804,25.0731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26497, 2463, '350803', '湖坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.941,24.693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26498, 2463, '350803', '湖雷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.801,24.8447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26499, 2463, '350803', '合溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.645,24.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26500, 2463, '350803', '坎市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.876,24.9238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26501, 2463, '350803', '仙师乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.57,24.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26502, 2463, '350803', '岐岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.792,24.7044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26503, 2463, '350803', '西溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.739,24.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26504, 2463, '350803', '金砂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.665,24.7946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26505, 2463, '350803', '高陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.818,24.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26506, 2463, '350803', '培丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.934,24.8766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26507, 2463, '350803', '洪山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.454,24.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26508, 2463, '350803', '古竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.988,24.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26509, 2463, '350803', '湖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.916,24.5126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26510, 2464, '350802', '中城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.015,25.0989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26511, 2464, '350802', '东肖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.985,25.0153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26512, 2464, '350802', '龙门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.979,25.0963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26513, 2464, '350802', '小池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.93,25.1609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26514, 2464, '350802', '雁石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,25.3389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26515, 2464, '350802', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.021,25.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26516, 2464, '350802', '适中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.143,25.0153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26517, 2464, '350802', '岩山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.135,25.1484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26518, 2464, '350802', '大池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.713,25.1517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26519, 2464, '350802', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.137,25.4144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26520, 2464, '350802', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.948,25.4725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26521, 2464, '350802', '铁山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.056,25.165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26522, 2464, '350802', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.003,25.109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26523, 2464, '350802', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.047,25.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26524, 2464, '350802', '红坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.931,25.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26525, 2464, '350802', '曹溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.059,25.0732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26526, 2464, '350802', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.069,25.1191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26527, 2464, '350802', '苏坂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.317,25.3357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26528, 2464, '350802', '江山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.982,25.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26529, 2464, '350802', '西陂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.021,25.1424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26530, 2465, '350821', '汀州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.337,25.7995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26531, 2465, '350821', '四都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.13,25.7592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26532, 2465, '350821', '涂坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.473,25.5766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26533, 2465, '350821', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.523,25.8433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26534, 2465, '350821', '濯田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.237,25.6286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26535, 2465, '350821', '馆前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.522,25.9659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26536, 2465, '350821', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.282,25.7351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26537, 2465, '350821', '三洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.332,25.614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26538, 2465, '350821', '宣成乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.354,25.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26539, 2465, '350821', '策武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.34,25.8024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26540, 2465, '350821', '南山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.547,25.4482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26541, 2465, '350821', '铁长乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.401,25.9759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26542, 2465, '350821', '河田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.395,25.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26543, 2465, '350821', '羊牯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.304,25.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26544, 2465, '350821', '红山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.109,25.5844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26545, 2465, '350821', '庵杰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.415,25.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26546, 2465, '350821', '童坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.556,25.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26547, 2465, '350821', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.36,25.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26548, 2466, '350825', '隔川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.727,25.7698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26549, 2466, '350825', '新泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,25.3621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26550, 2466, '350825', '赖源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.17,25.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26551, 2466, '350825', '莲峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.72,25.7294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26552, 2466, '350825', '塘前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.936,25.7807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26553, 2466, '350825', '文亨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.758,25.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26554, 2466, '350825', '北团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.625,25.874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26555, 2466, '350825', '曲溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.897,25.6505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26556, 2466, '350825', '罗坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.678,25.7894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26557, 2466, '350825', '揭乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.925,25.6746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26558, 2466, '350825', '庙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.702,25.3778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26559, 2466, '350825', '姑田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.993,25.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26560, 2466, '350825', '莒溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.736,25.5532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26561, 2466, '350825', '四堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.675,25.9299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26562, 2466, '350825', '朋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.685,25.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26563, 2466, '350825', '宣和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.591,25.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26564, 2466, '350825', '林坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.661,25.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26565, 2467, '350122', '长龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.569,26.3875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26566, 2467, '350122', '小沧畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.317,26.3604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26567, 2467, '350122', '蓼沿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.386,26.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26568, 2467, '350122', '晓澳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.639,26.2183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26569, 2467, '350122', '官坂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.643,26.3303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26570, 2467, '350122', '筱埕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.81,26.2285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26571, 2467, '350122', '丹阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.452,26.3861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26572, 2467, '350122', '透堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.598,26.3573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26573, 2467, '350122', '潘渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,26.2828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26574, 2467, '350122', '东岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.644,26.244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26575, 2467, '350122', '安凯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.878,26.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26576, 2467, '350122', '坑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.789,26.3516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26577, 2467, '350122', '凤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.514,26.1956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26578, 2467, '350122', '敖江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.558,26.2583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26579, 2467, '350122', '东湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.525,26.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26580, 2467, '350122', '浦口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.644,26.2862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26581, 2467, '350122', '苔菉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.091,26.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26582, 2467, '350122', '黄岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.037,26.2399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26583, 2467, '350122', '下宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.85,26.3712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26584, 2467, '350122', '江南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.472,26.2123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26585, 2467, '350122', '马鼻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.593,26.3811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26586, 2467, '350122', '琯头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.666,26.1447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26587, 2468, '350123', '鉴江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.678,26.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26588, 2468, '350123', '洪洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.445,26.5681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26589, 2468, '350123', '起步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.555,26.5559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26590, 2468, '350123', '中房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.408,26.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26591, 2468, '350123', '飞竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.29,26.5749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26592, 2468, '350123', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.537,26.4256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26593, 2468, '350123', '西兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.378,26.5331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26594, 2468, '350123', '碧里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.682,26.5343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26595, 2468, '350123', '罗源湾', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.675,26.4726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26596, 2468, '350123', '霍口畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.131,26.52', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26597, 2468, '350123', '松山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.625,26.521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26598, 2468, '350123', '白塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.482,26.4908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26599, 2469, '350124', '下祝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.015,26.4897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26600, 2469, '350124', '池园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.591,26.0933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26601, 2469, '350124', '桔林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.743,26.4317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26602, 2469, '350124', '上莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.584,26.061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26603, 2469, '350124', '三溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.836,26.1244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26604, 2469, '350124', '塔庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.774,26.0808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26605, 2469, '350124', '梅溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.788,26.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26606, 2469, '350124', '白中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.719,26.1675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26607, 2469, '350124', '坂东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.714,26.0835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26608, 2469, '350124', '金沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.63,26.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26609, 2469, '350124', '省璜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.668,25.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26610, 2469, '350124', '梅城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.862,26.2261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26611, 2469, '350124', '云龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.827,26.1863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26612, 2469, '350124', '雄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.803,26.3574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26613, 2469, '350124', '白樟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.707,26.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26614, 2469, '350124', '东桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.918,26.4531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26615, 2470, '350121', '甘蔗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.114,26.1923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26616, 2470, '350121', '上街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.219,26.01', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26617, 2470, '350121', '大湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.124,26.4405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26618, 2470, '350121', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.958,26.2542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26619, 2470, '350121', '竹岐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.072,26.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26620, 2470, '350121', '廷坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.018,26.5306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26621, 2470, '350121', '洋里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.985,26.4306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26622, 2470, '350121', '祥谦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.39,25.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26623, 2470, '350121', '江洋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.137,26.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26624, 2470, '350121', '荆溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.132,26.1962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26625, 2470, '350121', '南通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.205,25.8923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26626, 2470, '350121', '小箬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.916,26.3173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26627, 2470, '350121', '尚干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.368,25.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26628, 2470, '350121', '鸿尾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.93,26.2008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26629, 2470, '350121', '青口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.365,25.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26630, 2470, '350121', '南屿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.117,25.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26631, 2471, '350104', '东升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.324,26.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26632, 2471, '350104', '盖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.293,26.0095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26633, 2471, '350104', '对湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.313,26.0443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26634, 2471, '350104', '红星农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.297,25.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26635, 2471, '350104', '城门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.339,26.008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26636, 2471, '350104', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.311,26.0501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26637, 2471, '350104', '上渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.3,26.0269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26638, 2471, '350104', '螺洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.343,26.0032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26639, 2471, '350104', '下渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.327,26.0411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26640, 2471, '350104', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.279,26.0557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26641, 2471, '350104', '仓前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.322,26.0394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26642, 2471, '350104', '建新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.29,26.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26643, 2471, '350104', '三叉街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,26.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26644, 2471, '350104', '仓山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.314,26.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26645, 2472, '350125', '同安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.744,25.8686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26646, 2472, '350125', '盖洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.461,25.8997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26647, 2472, '350125', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.845,26.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26648, 2472, '350125', '洑口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.396,25.8345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26649, 2472, '350125', '岭路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.966,25.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26650, 2472, '350125', '富泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.842,25.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26651, 2472, '350125', '长庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.542,25.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26652, 2472, '350125', '清凉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.915,25.9526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26653, 2472, '350125', '赤锡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.817,25.7195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26654, 2472, '350125', '塘前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.151,25.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26655, 2472, '350125', '梧桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.684,25.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26656, 2472, '350125', '东洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.618,25.9426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26657, 2472, '350125', '大洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.736,25.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26658, 2472, '350125', '盘谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.797,25.9969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26659, 2472, '350125', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.823,26.027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26660, 2472, '350125', '葛岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.023,25.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26661, 2472, '350125', '嵩口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.6,25.8643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26662, 2472, '350125', '霞拔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.674,25.9586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26663, 2472, '350125', '丹云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.963,25.9915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26664, 2472, '350125', '樟城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.934,25.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26665, 2472, '350125', '城峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.943,25.8581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26666, 2473, '350181', '龙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.546,25.6066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26667, 2473, '350181', '三山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.612,25.5795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26668, 2473, '350181', '东阁华侨', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.446,25.6548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26669, 2473, '350181', '音西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.297,25.7669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26670, 2473, '350181', '阳下街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.444,25.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26671, 2473, '350181', '上迳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,25.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26672, 2473, '350181', '港头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.466,25.5786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26673, 2473, '350181', '江镜华侨', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.434,25.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26674, 2473, '350181', '宏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.286,25.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26675, 2473, '350181', '玉屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.419,25.7428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26676, 2473, '350181', '龙江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.389,25.7052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26677, 2473, '350181', '江镜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.403,25.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26678, 2473, '350181', '海口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.45,25.7506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26679, 2473, '350181', '一都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.173,25.8112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26680, 2473, '350181', '东张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.144,25.6696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26681, 2473, '350181', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.45,25.7543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26682, 2473, '350181', '江阴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.381,25.4325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26683, 2473, '350181', '渔溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.232,25.6689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26684, 2473, '350181', '东瀚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.656,25.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26685, 2473, '350181', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.624,25.5123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26686, 2473, '350181', '城头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.587,25.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26687, 2473, '350181', '南岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.466,25.7186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26688, 2473, '350181', '沙埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.462,25.4123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26689, 2473, '350181', '石竹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.289,25.757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26690, 2473, '350181', '新厝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.172,25.6164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26691, 2473, '350181', '镜洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.289,25.7284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26692, 2474, '350112', '罗联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.462,25.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26693, 2474, '350112', '湖南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.649,25.9782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26694, 2474, '350112', '猴屿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.535,26.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26695, 2474, '350112', '文武砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.588,25.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26696, 2474, '350112', '金峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.62,25.9964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26697, 2474, '350112', '航城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.558,26.0095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26698, 2474, '350112', '松下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.663,25.6857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26699, 2474, '350112', '梅花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.69,26.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26700, 2474, '350112', '漳港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.594,25.955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26701, 2474, '350112', '文岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.724,25.9744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26702, 2474, '350112', '潭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.584,26.0404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26703, 2474, '350112', '吴航街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.54,25.968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26704, 2474, '350112', '首占镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.435,25.9067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26705, 2474, '350112', '营前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.477,25.9778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26706, 2474, '350112', '鹤上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.55,25.9716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26707, 2474, '350112', '玉田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.424,25.9206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26708, 2474, '350112', '古槐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.532,25.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26709, 2474, '350112', '江田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.499,25.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26710, 2475, '350128', '南海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.7,25.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26711, 2475, '350128', '东庠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.909,25.5953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26712, 2475, '350128', '苏澳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.697,25.5742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26713, 2475, '350128', '流水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.817,25.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26714, 2475, '350128', '中楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.733,25.5272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26715, 2475, '350128', '平原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.732,25.6219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26716, 2475, '350128', '芦洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.708,25.5544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26717, 2475, '350128', '北厝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.693,25.4306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26718, 2475, '350128', '屿头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.562,25.6507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26719, 2475, '350128', '敖东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.754,25.3911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26720, 2475, '350128', '澳前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.815,25.4236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26721, 2475, '350128', '岚城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.823,25.5119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26722, 2475, '350128', '潭城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.77,25.5204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26723, 2475, '350128', '大练乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.715,25.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26724, 2475, '350128', '白青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.779,25.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26725, 2476, '350103', '洋中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.308,26.0637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26726, 2476, '350103', '茶亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.304,26.0677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26727, 2476, '350103', '义洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.302,26.0629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26728, 2476, '350103', '瀛洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.324,26.0608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26729, 2476, '350103', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.313,26.0735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26730, 2476, '350103', '宁化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.281,26.0552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26731, 2476, '350103', '后洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,26.0556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26732, 2476, '350103', '苍霞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.297,26.0514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26733, 2476, '350103', '上海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.295,26.0715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26734, 2476, '350103', '鳌峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.344,26.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26735, 2477, '350102', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.292,26.0851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26736, 2477, '350102', '鼓东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.297,26.0963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26737, 2477, '350102', '鼓西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.289,26.0963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26738, 2477, '350102', '水部街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,26.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26739, 2477, '350102', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.249,26.09', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26740, 2477, '350102', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.307,26.0891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26741, 2477, '350102', '华大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.308,26.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26742, 2477, '350102', '五凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.265,26.1025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26743, 2477, '350102', '安泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.291,26.076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26744, 2477, '350102', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.304,26.088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26745, 2478, '350105', '亭江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.435,26.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26746, 2478, '350105', '马尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.402,26.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26747, 2478, '350105', '琅岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.614,26.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26748, 2478, '350105', '罗星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.466,26.0544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26749, 2479, '350111', '鼓山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.375,26.1246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26750, 2479, '350111', '宦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.374,26.1276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26751, 2479, '350111', '王庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.331,26.0814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26752, 2479, '350111', '寿山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.277,26.3088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26753, 2479, '350111', '茶园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.33,26.1209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26754, 2479, '350111', '岳峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.336,26.1138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26755, 2479, '350111', '日溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.284,26.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26756, 2479, '350111', '象园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.323,26.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26757, 2479, '350111', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.332,26.1196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26758, 2480, '350429', '大田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117,26.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26759, 2480, '350429', '上青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.142,27.0512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26760, 2480, '350429', '新桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.057,27.0984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26761, 2480, '350429', '开善乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.166,26.7788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26762, 2480, '350429', '大龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.908,26.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26763, 2480, '350429', '下渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.196,26.7917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26764, 2480, '350429', '朱口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.331,27.1055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26765, 2480, '350429', '梅口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.972,26.8166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26766, 2480, '350429', '杉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.174,26.99', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26767, 2481, '350402', '陈大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.555,26.2529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26768, 2481, '350402', '列东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.683,26.229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26769, 2481, '350402', '洋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.752,26.3328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26770, 2481, '350402', '列西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.567,26.2883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26771, 2481, '350402', '徐碧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,26.2414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26772, 2481, '350402', '福建梅列经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.568,26.2894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26773, 2482, '350424', '石壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.51,26.3354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26774, 2482, '350424', '城南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.723,26.2642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26775, 2482, '350424', '河龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.649,26.4084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26776, 2482, '350424', '水茜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.693,26.4688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26777, 2482, '350424', '泉上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.884,26.4447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26778, 2482, '350424', '方田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.496,26.1301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26779, 2482, '350424', '济村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.595,26.281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26780, 2482, '350424', '湖村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.872,26.4032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26781, 2482, '350424', '城郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.605,26.2807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26782, 2482, '350424', '安远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.721,26.5941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26783, 2482, '350424', '中沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.653,26.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26784, 2482, '350424', '曹坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.602,26.1138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26785, 2482, '350424', '翠江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,26.2495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26786, 2482, '350424', '安乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.681,26.1823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26787, 2482, '350424', '淮土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.405,26.2635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26788, 2482, '350424', '治平畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.51,26.0982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26789, 2483, '350423', '里田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.699,25.9795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26790, 2483, '350423', '赖坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.872,25.9562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26791, 2483, '350423', '李家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.858,25.8629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26792, 2483, '350423', '长校镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.737,26.0179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26793, 2483, '350423', '嵩口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.866,26.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26794, 2483, '350423', '温郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.061,26.1803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26795, 2483, '350423', '林畲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.003,26.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26796, 2483, '350423', '田源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.867,26.0654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26797, 2483, '350423', '龙津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.812,26.2988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26798, 2483, '350423', '沙芜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.898,25.9752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26799, 2483, '350423', '灵地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.746,25.8529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26800, 2483, '350423', '嵩溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.882,26.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26801, 2483, '350423', '余朋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.035,26.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26802, 2484, '350481', '曹远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.218,26.1069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26803, 2484, '350481', '西洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.403,25.8764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26804, 2484, '350481', '燕东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.389,25.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26805, 2484, '350481', '燕北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.362,26.005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26806, 2484, '350481', '槐南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.647,26.0559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26807, 2484, '350481', '大湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.301,26.1534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26808, 2484, '350481', '安砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.173,25.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26809, 2484, '350481', '贡川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.395,26.1063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26810, 2484, '350481', '青水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.563,25.9867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26811, 2484, '350481', '燕南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.349,25.9311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26812, 2484, '350481', '洪田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.255,25.962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26813, 2484, '350481', '罗坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.999,25.8599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26814, 2484, '350481', '小陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.068,25.7083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26815, 2484, '350481', '上坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.394,25.9641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26816, 2484, '350481', '燕西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.273,25.9863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26817, 2485, '350403', '莘口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.432,26.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26818, 2485, '350403', '中村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.7,26.2423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26819, 2485, '350403', '城东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.618,26.2301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26820, 2485, '350403', '岩前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.33,26.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26821, 2485, '350403', '白沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.555,26.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26822, 2485, '350403', '富兴堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.621,26.1858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26823, 2485, '350403', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.633,26.2494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26824, 2485, '350403', '荆西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.544,26.1782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26825, 2486, '350425', '奇韬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.916,26.0666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26826, 2486, '350425', '文江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.876,25.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26827, 2486, '350425', '均溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,25.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26828, 2486, '350425', '湖美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.895,25.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26829, 2486, '350425', '前坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.833,25.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26830, 2486, '350425', '华兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.901,25.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26831, 2486, '350425', '桃源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.508,25.8165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26832, 2486, '350425', '武陵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.739,25.6509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26833, 2486, '350425', '吴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.902,25.5682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26834, 2486, '350425', '建设镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.828,25.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26835, 2486, '350425', '谢洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.738,25.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26836, 2486, '350425', '上京镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.722,25.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26837, 2486, '350425', '屏山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.887,25.6622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26838, 2486, '350425', '济阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.997,25.627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26839, 2486, '350425', '梅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.991,25.9968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26840, 2486, '350425', '石牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.745,25.7132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26841, 2486, '350425', '东风农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.745,25.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26842, 2486, '350425', '太华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.693,25.7765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26843, 2486, '350425', '广平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.775,26.1027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26844, 2487, '350426', '溪尾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.399,26.2075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26845, 2487, '350426', '新阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.999,26.1317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26846, 2487, '350426', '汤川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.466,26.1653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26847, 2487, '350426', '中仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.33,26.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26848, 2487, '350426', '台溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.34,26.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26849, 2487, '350426', '西城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.008,26.3292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26850, 2487, '350426', '坂面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.144,26.1208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26851, 2487, '350426', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.211,26.2031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26852, 2487, '350426', '八字桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.82,26.1331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26853, 2487, '350426', '梅仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.135,26.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26854, 2487, '350426', '尤溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.415,26.3788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26855, 2487, '350426', '西滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.325,26.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26856, 2487, '350426', '管前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.949,26.2894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26857, 2487, '350426', '联合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.277,26.372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26858, 2487, '350426', '洋中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.442,26.3256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26859, 2488, '350430', '客坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.647,26.7319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26860, 2488, '350430', '福建建宁经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.869,26.8612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26861, 2488, '350430', '伊家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.739,26.7578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26862, 2488, '350430', '溪源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.058,27.0402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26863, 2488, '350430', '里心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.627,26.7909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26864, 2488, '350430', '黄坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.879,26.8971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26865, 2488, '350430', '均口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.798,26.7518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26866, 2488, '350430', '濉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.848,26.7366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26867, 2488, '350430', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.703,26.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26868, 2488, '350430', '黄埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.584,26.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26869, 2489, '350427', '富口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.668,26.5244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26870, 2489, '350427', '郑湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.04,26.4348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26871, 2489, '350427', '青山纸业工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.99,26.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26872, 2489, '350427', '海西物流园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.771,26.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26873, 2489, '350427', '青州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.9,26.5485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26874, 2489, '350427', '南阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.936,26.3814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26875, 2489, '350427', '虬江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.884,26.4055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26876, 2489, '350427', '金古园开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.88,26.4048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26877, 2489, '350427', '金沙园开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.77,26.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26878, 2489, '350427', '大洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.802,26.3092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26879, 2489, '350427', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.798,26.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26880, 2489, '350427', '夏茂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.672,26.6515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26881, 2489, '350427', '湖源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.747,26.1455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26882, 2489, '350427', '高砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.864,26.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26883, 2489, '350427', '南霞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.888,26.3459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26884, 2489, '350427', '凤岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.677,26.3453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26885, 2490, '350421', '夏阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.333,26.4259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26886, 2490, '350421', '瀚仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.239,26.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26887, 2490, '350421', '雪峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.179,26.3406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26888, 2490, '350421', '胡坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.24,26.3084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26889, 2490, '350421', '沙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.371,26.382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26890, 2490, '350421', '夏坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.907,26.598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26891, 2490, '350421', '盖洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.087,26.3564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26892, 2490, '350421', '枫溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.81,26.5746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26893, 2490, '350421', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.237,26.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26894, 2491, '350428', '水南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.483,26.7031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26895, 2491, '350428', '黄潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.251,26.752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26896, 2491, '350428', '漠源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.533,26.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26897, 2491, '350428', '光明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.35,26.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26898, 2491, '350428', '万全乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.199,26.7071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26899, 2491, '350428', '安仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.389,26.9415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26900, 2491, '350428', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.359,26.89', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26901, 2491, '350428', '南口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.392,26.6255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26902, 2491, '350428', '高唐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.494,26.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26903, 2491, '350428', '白莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,26.4832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26904, 2491, '350428', '余坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.314,26.8854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26905, 2491, '350428', '大源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.344,27.0256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26906, 2491, '350428', '古镛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.478,26.8482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26907, 2492, '350526', '汤头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.043,25.8557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26908, 2492, '350526', '浔中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.197,25.5128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26909, 2492, '350526', '桂阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.283,25.8097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26910, 2492, '350526', '国宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.17,25.6142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26911, 2492, '350526', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.366,25.796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26912, 2492, '350526', '葛坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.103,25.8756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26913, 2492, '350526', '上涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.165,25.7886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26914, 2492, '350526', '龙浔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.197,25.4484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26915, 2492, '350526', '赤水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.137,25.6638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26916, 2492, '350526', '南埕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.348,25.7426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26917, 2492, '350526', '大铭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.04,25.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26918, 2492, '350526', '三班镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.308,25.4905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26919, 2492, '350526', '美湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.08,25.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26920, 2492, '350526', '龙门滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.286,25.5135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26921, 2492, '350526', '雷峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.273,25.7014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26922, 2492, '350526', '杨梅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.241,25.8901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26923, 2492, '350526', '盖德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.107,25.5257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26924, 2492, '350526', '春美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.06,25.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26925, 2493, '350525', '五里街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.311,25.4083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26926, 2493, '350525', '岵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.274,25.241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26927, 2493, '350525', '下洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.906,25.4865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26928, 2493, '350525', '东平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.367,25.3459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26929, 2493, '350525', '东关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.424,25.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26930, 2493, '350525', '湖洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.389,25.3391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26931, 2493, '350525', '坑仔口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.938,25.3925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26932, 2493, '350525', '介福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.369,25.4627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26933, 2493, '350525', '一都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.757,25.5089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26934, 2493, '350525', '石鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.19,25.3447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26935, 2493, '350525', '桂洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.057,25.5287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26936, 2493, '350525', '苏坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.186,25.4449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26937, 2493, '350525', '达埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.117,25.2844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26938, 2493, '350525', '锦斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.096,25.3955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26939, 2493, '350525', '玉斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.007,25.3861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26940, 2493, '350525', '外山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.446,25.3297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26941, 2493, '350525', '桃城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.368,25.3854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26942, 2493, '350525', '呈祥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.13,25.4578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26943, 2493, '350525', '仙夹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.179,25.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26944, 2493, '350525', '蓬壶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.115,25.4009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26945, 2493, '350525', '吾峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.236,25.4203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26946, 2493, '350525', '横口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.918,25.4112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26947, 2494, '350504', '虹山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.571,25.2915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26948, 2494, '350504', '马甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.676,25.1868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26949, 2494, '350504', '双阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.598,24.9782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26950, 2494, '350504', '万安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.645,24.9578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26951, 2494, '350504', '罗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.67,25.2053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26952, 2494, '350504', '河市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.624,25.087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26953, 2495, '350505', '南埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.948,25.2124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26954, 2495, '350505', '山腰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.837,25.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26955, 2495, '350505', '涂岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.875,25.2095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26956, 2495, '350505', '界山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.946,25.2142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26957, 2495, '350505', '后龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.981,25.1524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26958, 2495, '350505', '峰尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.962,25.0993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26959, 2495, '350505', '前黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.874,25.1759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26960, 2496, '350503', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.659,24.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26961, 2496, '350503', '北峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.584,24.9916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26962, 2496, '350503', '丰泽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.599,24.8982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26963, 2496, '350503', '东海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.617,24.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26964, 2496, '350503', '华大街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.621,24.9448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26965, 2496, '350503', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.621,24.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26966, 2496, '350503', '泉秀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.59,24.8911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26967, 2496, '350503', '清源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.622,24.965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26968, 2497, '350581', '祥芝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.76,24.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26969, 2497, '350581', '灵秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.603,24.7448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26970, 2497, '350581', '凤里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.635,24.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26971, 2497, '350581', '宝盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.639,24.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26972, 2497, '350581', '锦尚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.705,24.733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26973, 2497, '350581', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.704,24.663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26974, 2497, '350581', '鸿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.712,24.7421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26975, 2497, '350581', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.655,24.7226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26976, 2497, '350581', '蚶江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.688,24.8007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26977, 2498, '350583', '柳城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.392,24.9595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26978, 2498, '350583', '丰州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.547,25.008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26979, 2498, '350583', '翔云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.138,24.9251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26980, 2498, '350583', '霞美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.462,24.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26981, 2498, '350583', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.368,24.8473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26982, 2498, '350583', '金淘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.278,25.1432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26983, 2498, '350583', '码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.374,25.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26984, 2498, '350583', '九都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.372,25.2316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26985, 2498, '350583', '罗东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.47,25.1869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26986, 2498, '350583', '眉山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.282,25.1076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26987, 2498, '350583', '梅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.451,25.1446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26988, 2498, '350583', '雪峰管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.497,25.0592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26989, 2498, '350583', '蓬华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.154,25.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26990, 2498, '350583', '石井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.428,24.5881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26991, 2498, '350583', '诗山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.266,25.2324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26992, 2498, '350583', '水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.337,24.7642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26993, 2498, '350583', '洪梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.518,25.1534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26994, 2498, '350583', '美林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.341,25.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26995, 2498, '350583', '省新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.383,25.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26996, 2498, '350583', '溪美街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.321,24.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26997, 2498, '350583', '乐峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.531,25.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26998, 2498, '350583', '东田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.313,24.9829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (26999, 2498, '350583', '洪濑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.511,25.1119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27000, 2498, '350583', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.454,25.3064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27001, 2498, '350583', '英都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.253,24.999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27002, 2498, '350583', '康美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.444,25.0892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27003, 2498, '350583', '仑苍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.33,25.0541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27004, 2499, '350521', '螺城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.826,25.0622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27005, 2499, '350521', '净峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.038,25.0696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27006, 2499, '350521', '东桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.949,25.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27007, 2499, '350521', '螺阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.828,25.0423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27008, 2499, '350521', '紫山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.688,25.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27009, 2499, '350521', '山霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.889,24.8776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27010, 2499, '350521', '百崎回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.733,24.8942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27011, 2499, '350521', '小岞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.033,24.9617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27012, 2499, '350521', '城南工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.793,24.9984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27013, 2499, '350521', '黄塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.647,25.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27014, 2499, '350521', '崇武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.964,24.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27015, 2499, '350521', '洛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.698,24.9832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27016, 2499, '350521', '惠南工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.754,24.8893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27017, 2499, '350521', '涂寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.879,24.9793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27018, 2499, '350521', '辋川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.812,25.056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27019, 2499, '350521', '张坂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.797,24.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27020, 2499, '350521', '东园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.77,24.9434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27021, 2499, '350521', '东岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.868,24.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27022, 2500, '350582', '灵源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.528,24.7402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27023, 2500, '350582', '青阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.554,24.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27024, 2500, '350582', '紫帽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.494,24.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27025, 2500, '350582', '晋江市经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.452,24.6866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27026, 2500, '350582', '梅岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.564,24.8367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27027, 2500, '350582', '安平开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.453,24.6968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27028, 2500, '350582', '新塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.584,24.7588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27029, 2500, '350582', '英林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.583,24.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27030, 2500, '350582', '磁灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.444,24.8496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27031, 2500, '350582', '罗山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.534,24.7602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27032, 2500, '350582', '深沪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.69,24.6392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27033, 2500, '350582', '金井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.557,24.5377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27034, 2500, '350582', '池店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.563,24.8356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27035, 2500, '350582', '西滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.666,24.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27036, 2500, '350582', '龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.662,24.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27037, 2500, '350582', '陈埭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.703,24.8247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27038, 2500, '350582', '安海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.444,24.7122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27039, 2500, '350582', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.59,24.742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27040, 2500, '350582', '东石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.515,24.6004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27041, 2500, '350582', '泉州出口加工区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.514,24.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27042, 2500, '350582', '内坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.47,24.8232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27043, 2500, '350582', '西园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.527,24.8393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27044, 2502, '350502', '金龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.561,24.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27045, 2502, '350502', '浮桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.53,24.9321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27046, 2502, '350502', '海滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.57,24.9048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27047, 2502, '350502', '常泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.52,24.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27048, 2502, '350502', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.539,24.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27049, 2502, '350502', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.588,24.903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27050, 2502, '350502', '鲤中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.578,24.9107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27051, 2502, '350502', '开元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.581,24.9241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27052, 2502, '350502', '清濛经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.532,24.8633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27053, 2503, '350524', '蓝田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.791,25.133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27054, 2503, '350524', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.949,24.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27055, 2503, '350524', '感德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.758,25.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27056, 2503, '350524', '蓬莱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.052,25.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27057, 2503, '350524', '金谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.134,25.2842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27058, 2503, '350524', '白濑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.001,25.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27059, 2503, '350524', '凤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.163,25.0924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27060, 2503, '350524', '参内乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.199,25.1267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27061, 2503, '350524', '芦田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.812,25.1038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27062, 2503, '350524', '湖上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.024,25.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27063, 2503, '350524', '长坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.874,25.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27064, 2503, '350524', '官桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.039,25.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27065, 2503, '350524', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.201,25.0728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27066, 2503, '350524', '桃舟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.686,25.3967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27067, 2503, '350524', '尚卿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.96,25.2156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27068, 2503, '350524', '祥华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.742,25.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27069, 2503, '350524', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.045,24.9795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27070, 2503, '350524', '西坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.949,24.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27071, 2503, '350524', '龙涓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.838,24.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27072, 2503, '350524', '福田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.753,25.2519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27073, 2503, '350524', '魁斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.186,25.1603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27074, 2503, '350524', '虎邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.007,25.0764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27075, 2503, '350524', '剑斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.999,25.3843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27076, 2503, '350524', '湖头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.024,25.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27077, 2504, '350206', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.171,24.5141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27078, 2504, '350206', '火炬高技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.118,24.513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27079, 2504, '350206', '象屿保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.096,24.5169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27080, 2504, '350206', '禾山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.128,24.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27081, 2504, '350206', '殿前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.156,24.5552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27082, 2504, '350206', '湖里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.091,24.4862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27083, 2504, '350206', '江头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.134,24.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27084, 2505, '350203', '中华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.086,24.4583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27085, 2505, '350203', '鹭江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.073,24.4538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27086, 2505, '350203', '开元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.09,24.4524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27087, 2505, '350203', '厦港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.092,24.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27088, 2505, '350203', '梧村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.117,24.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27089, 2505, '350203', '鼓浪屿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.061,24.4379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27090, 2505, '350203', '莲前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.194,24.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27091, 2505, '350203', '筼筜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.106,24.4926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27092, 2505, '350203', '滨海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.092,24.4372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27093, 2505, '350203', '嘉莲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.116,24.482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27094, 2506, '350213', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.255,24.783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27095, 2506, '350213', '内厝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.295,24.7038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27096, 2506, '350213', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.339,24.6235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27097, 2506, '350213', '马巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.263,24.6951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27098, 2506, '350213', '大嶝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.404,24.5464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27099, 2506, '350213', '大帽山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.307,24.7554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27100, 2507, '350205', '第一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.96,24.516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27101, 2507, '350205', '天竺山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.935,24.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27102, 2507, '350205', '新阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.034,24.5179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27103, 2507, '350205', '厦门海沧保税港区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.964,24.4442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27104, 2507, '350205', '海沧农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.993,24.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27105, 2507, '350205', '东孚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.961,24.5136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27106, 2507, '350205', '海沧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.984,24.4999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27107, 2508, '350211', '后溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.04,24.6585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27108, 2508, '350211', '杏滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.004,24.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27109, 2508, '350211', '侨英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.115,24.6237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27110, 2508, '350211', '灌口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.948,24.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27111, 2508, '350211', '集美街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.077,24.5927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27112, 2508, '350211', '天马华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.08,24.615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27113, 2508, '350211', '坂头防护林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.984,24.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27114, 2508, '350211', '省天马种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.125,24.6169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27115, 2508, '350211', '第二农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.014,24.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27116, 2508, '350211', '杏林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.051,24.6142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27117, 2509, '350212', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.079,24.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27118, 2509, '350212', '竹坝华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.212,24.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27119, 2509, '350212', '汀溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.12,24.8839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27120, 2509, '350212', '祥平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.126,24.7669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27121, 2509, '350212', '凤南农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.078,24.6856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27122, 2509, '350212', '洪塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.222,24.6922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27123, 2509, '350212', '西柯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.186,24.6602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27124, 2509, '350212', '五显镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.216,24.7687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27125, 2509, '350212', '白沙仑农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.073,24.7404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27126, 2509, '350212', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.039,24.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27127, 2509, '350212', '大同街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.156,24.7454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27128, 2510, '350629', '丰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.7,24.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27129, 2510, '350629', '高安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.363,24.8379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27130, 2510, '350629', '马坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.347,24.9781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27131, 2510, '350629', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.544,24.9258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27132, 2510, '350629', '仙都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.643,25.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27133, 2510, '350629', '华丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.491,24.9774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27134, 2510, '350629', '福建土楼华安旅游区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.67,25.0506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27135, 2510, '350629', '高车乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.466,24.9171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27136, 2510, '350629', '沙建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.629,24.8019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27137, 2510, '350629', '湖林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.522,25.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27138, 2511, '350627', '南坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.288,24.597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27139, 2511, '350627', '船场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.197,24.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27140, 2511, '350627', '奎洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.17,24.8418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27141, 2511, '350627', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.4,24.771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27142, 2511, '350627', '书洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.105,24.641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27143, 2511, '350627', '山城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.316,24.5418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27144, 2511, '350627', '大房农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.575,24.4975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27145, 2511, '350627', '和溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.259,24.9721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27146, 2511, '350627', '梅林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.049,24.8066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27147, 2511, '350627', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.3,24.844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27148, 2511, '350627', '丰田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.431,24.6541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27149, 2511, '350627', '靖城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.535,24.4971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27150, 2512, '350681', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.829,24.3136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27151, 2512, '350681', '榜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.727,24.4371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27152, 2512, '350681', '苍坂农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.869,24.5242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27153, 2512, '350681', '招商局漳州开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.082,24.3442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27154, 2512, '350681', '颜厝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.682,24.4855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27155, 2512, '350681', '角美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.958,24.4815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27156, 2512, '350681', '九龙岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.678,24.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27157, 2512, '350681', '良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.796,24.5106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27158, 2512, '350681', '隆教畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.086,24.1858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27159, 2512, '350681', '林下林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.588,24.4697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27160, 2512, '350681', '程溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.631,24.4142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27161, 2512, '350681', '海澄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.782,24.3834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27162, 2512, '350681', '东泗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.724,24.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27163, 2512, '350681', '石码镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.809,24.4466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27164, 2512, '350681', '紫泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.812,24.4731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27165, 2512, '350681', '龙池开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.962,24.4801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27166, 2512, '350681', '港尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.088,24.3623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27167, 2512, '350681', '双第华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.705,24.3848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27168, 2512, '350681', '九湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.584,24.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27169, 2512, '350681', '浮宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.972,24.3917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27170, 2512, '350681', '角美工业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.871,24.5104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27171, 2512, '350681', '程溪农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.592,24.4644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27172, 2512, '350681', '东园开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.906,24.3627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27173, 2512, '350681', '东园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.842,24.3749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27174, 2513, '350623', '南浦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.562,24.2991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27175, 2513, '350623', '深土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.8,24.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27176, 2513, '350623', '湖西畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.777,24.1609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27177, 2513, '350623', '南山华侨茶果场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.853,24.2136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27178, 2513, '350623', '白竹湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.892,24.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27179, 2513, '350623', '绥安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.593,24.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27180, 2513, '350623', '盘陀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.483,24.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27181, 2513, '350623', '官浔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.71,24.2936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27182, 2513, '350623', '石古农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.557,24.1551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27183, 2513, '350623', '万安农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,24.1279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27184, 2513, '350623', '旧镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,24.0864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27185, 2513, '350623', '赤湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.825,24.1103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27186, 2513, '350623', '前亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.973,24.2542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27187, 2513, '350623', '佛昙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.911,24.215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27188, 2513, '350623', '杜浔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.617,24.0369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27189, 2513, '350623', '赤土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.67,24.1798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27190, 2513, '350623', '石榴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.476,24.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27191, 2513, '350623', '霞美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.609,24.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27192, 2513, '350623', '长桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.647,24.2341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27193, 2513, '350623', '马坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.911,24.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27194, 2513, '350623', '大南坂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.575,24.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27195, 2513, '350623', '下蔡林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.685,23.9416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27196, 2513, '350623', '沙西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.524,23.9975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27197, 2513, '350623', '六鳌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.867,23.9089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27198, 2513, '350623', '玳瑁山茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.833,24.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27199, 2513, '350623', '长桥农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.683,24.2831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27200, 2513, '350623', '古雷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,23.781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27201, 2513, '350623', '中西林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.561,24.2084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27202, 2513, '350623', '漳浦盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.808,24.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27203, 2513, '350623', '赤岭畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.828,24.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27204, 2514, '350626', '杏陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.43,23.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27205, 2514, '350626', '樟塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.42,23.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27206, 2514, '350626', '前楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.412,23.6735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27207, 2514, '350626', '铜陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.518,23.7252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27208, 2514, '350626', '康美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,23.7108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27209, 2514, '350626', '西埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.391,23.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27210, 2514, '350626', '陈城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.669,23.5484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27211, 2515, '350624', '岭下溪国有防护林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.992,24.015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27212, 2515, '350624', '国营西山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.248,23.6777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27213, 2515, '350624', '深桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.248,23.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27214, 2515, '350624', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.189,23.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27215, 2515, '350624', '霞葛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.98,24.0144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27216, 2515, '350624', '梅洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.323,23.8586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27217, 2515, '350624', '秀篆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.049,24.079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27218, 2515, '350624', '官陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.058,23.9994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27219, 2515, '350624', '金星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,23.7763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27220, 2515, '350624', '建设乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.095,23.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27221, 2515, '350624', '国营湖内林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,23.8021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27222, 2515, '350624', '西潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.142,23.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27223, 2515, '350624', '梅岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,23.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27224, 2515, '350624', '南诏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.154,23.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27225, 2515, '350624', '诏安工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.138,23.7073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27226, 2515, '350624', '白洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.08,23.7204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27227, 2515, '350624', '诏安金都工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.254,23.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27228, 2515, '350624', '四都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.276,23.7688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27229, 2515, '350624', '桥东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.237,23.7443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27230, 2515, '350624', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,23.9355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27231, 2516, '350602', '后房农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.665,24.5784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27232, 2516, '350602', '天宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.597,24.5551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27233, 2516, '350602', '芗城区奶牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.597,24.6317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27234, 2516, '350602', '五峰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.521,24.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27235, 2516, '350602', '芝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.624,24.5613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27236, 2516, '350602', '西桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.639,24.4906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27237, 2516, '350602', '天宝林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.572,24.6401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27238, 2516, '350602', '南坑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.676,24.5404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27239, 2516, '350602', '通北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.636,24.5353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27240, 2516, '350602', '新桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.659,24.5058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27241, 2516, '350602', '巷口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.676,24.5197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27242, 2516, '350602', '石亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.634,24.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27243, 2516, '350602', '东铺头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.637,24.5163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27244, 2516, '350602', '浦南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.601,24.636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27245, 2517, '350603', '蓝田开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.746,24.5077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27246, 2517, '350603', '蓝田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.735,24.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27247, 2517, '350603', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.701,24.5762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27248, 2517, '350603', '郭坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.721,24.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27249, 2517, '350603', '步文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.694,24.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27250, 2518, '350622', '云陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.36,23.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27251, 2518, '350622', '火田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.335,24.0516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27252, 2518, '350622', '马铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.252,24.1596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27253, 2518, '350622', '下河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.132,24.0625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27254, 2518, '350622', '常山华侨经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.368,23.8105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27255, 2518, '350622', '东厦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.366,23.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27256, 2518, '350622', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,23.9243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27257, 2518, '350622', '莆美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.349,23.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27258, 2518, '350622', '陈岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.359,23.8147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27259, 2518, '350622', '列屿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.422,23.8427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27260, 2518, '350622', '云陵工业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.358,23.8786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27261, 2518, '350622', '和平农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.288,23.9431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27262, 2519, '350628', '芦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.048,24.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27263, 2519, '350628', '国强乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,24.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27264, 2519, '350628', '坂仔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.219,24.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27265, 2519, '350628', '小溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.231,24.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27266, 2519, '350628', '五寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.408,24.1946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27267, 2519, '350628', '秀峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.926,24.3848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27268, 2519, '350628', '山格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.151,24.4582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27269, 2519, '350628', '南胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.455,24.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27270, 2519, '350628', '崎岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.013,24.3563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27271, 2519, '350628', '福建平和工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.452,24.4662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27272, 2519, '350628', '九峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.038,24.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27273, 2519, '350628', '安厚农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.457,24.4679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27274, 2519, '350628', '霞寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.097,24.4397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27275, 2519, '350628', '长乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.906,24.386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27276, 2519, '350628', '大溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.204,24.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27277, 2519, '350628', '安厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.193,24.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27278, 2519, '350628', '文峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.513,24.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27279, 2520, '350625', '马洋溪生态旅游区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.833,24.7157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27280, 2520, '350625', '枋洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.828,24.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27281, 2520, '350625', '岩溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.784,24.8502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27282, 2520, '350625', '林墩工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.901,24.8122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27283, 2520, '350625', '坂里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.678,24.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27284, 2520, '350625', '武安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.721,24.6148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27285, 2520, '350625', '长泰经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.784,24.6047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27286, 2520, '350625', '陈巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.818,24.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27287, 2520, '350625', '国营古农农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.802,24.7174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27288, 2521, '640202', '长胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.237,39.0567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27289, 2521, '640202', '石炭井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.32,39.06', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27290, 2521, '640202', '星海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.397,38.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27291, 2521, '640202', '青山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.34,39.0466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27292, 2521, '640202', '长兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.392,39.0504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27293, 2521, '640202', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.398,39.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27294, 2521, '640202', '锦林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.373,38.9584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27295, 2521, '640202', '沟口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.427,39.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27296, 2521, '640202', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.356,38.9988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27297, 2521, '640202', '白芨沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.243,39.0569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27298, 2521, '640202', '长城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.367,39.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27299, 2522, '640205', '礼和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.779,39.0522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27300, 2522, '640205', '庙台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.792,39.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27301, 2522, '640205', '河滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.721,39.3606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27302, 2522, '640205', '园艺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.799,39.2322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27303, 2522, '640205', '尾闸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.714,39.172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27304, 2522, '640205', '简泉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.625,39.1523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27305, 2522, '640205', '燕子墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.665,39.1142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27306, 2522, '640205', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.786,39.2609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27307, 2522, '640205', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.755,39.2316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27308, 2522, '640205', '良种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.796,39.1782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27309, 2522, '640205', '中街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.773,39.2449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27310, 2522, '640205', '火车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.721,39.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27311, 2522, '640205', '红果子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.536,39.3102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27312, 2522, '640205', '国营农林牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.792,39.1263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27313, 2522, '640205', '育才路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.763,39.2261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27314, 2523, '640221', '前进农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.325,38.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27315, 2523, '640221', '黄渠桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.621,39.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27316, 2523, '640221', '高仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.607,38.702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27317, 2523, '640221', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.514,38.9394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27318, 2523, '640221', '灵沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.719,39.0256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27319, 2523, '640221', '头闸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.591,38.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27320, 2523, '640221', '渠口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.638,38.9066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27321, 2523, '640221', '崇岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.081,39.0382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27322, 2523, '640221', '红崖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.943,39.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27323, 2523, '640221', '通伏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.601,38.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27324, 2523, '640221', '高庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.551,39.015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27325, 2523, '640221', '姚伏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.447,38.8081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27326, 2523, '640221', '宝丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.745,39.0849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27327, 2523, '640221', '陶乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.8,38.8055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27328, 2524, '640521', '渠口农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.801,37.6549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27329, 2524, '640521', '恩和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.798,37.5242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27330, 2524, '640521', '鸣沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.769,37.5228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27331, 2524, '640521', '新堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.715,37.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27332, 2524, '640521', '白马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.932,37.5803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27333, 2524, '640521', '余丁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.6,37.6752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27334, 2524, '640521', '喊叫水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.425,37.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27335, 2524, '640521', '舟塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.649,37.5097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27336, 2524, '640521', '石空镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.618,37.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27337, 2524, '640521', '宁安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.643,37.3971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27338, 2524, '640521', '长山头农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.77,37.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27339, 2524, '640521', '徐套乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.451,36.889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27340, 2524, '640521', '大战场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.555,37.1795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27341, 2525, '640522', '高崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.956,36.9065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27342, 2525, '640522', '海城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.616,36.6653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27343, 2525, '640522', '李俊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.787,36.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27344, 2525, '640522', '关庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.457,36.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27345, 2525, '640522', '涵养林总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.552,36.5126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27346, 2525, '640522', '李旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.042,36.7849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27347, 2525, '640522', '老城管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.636,36.5326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27348, 2525, '640522', '史店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.805,36.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27349, 2525, '640522', '七营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.077,36.5408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27350, 2525, '640522', '九彩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.875,36.268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27351, 2525, '640522', '西安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.38,36.6937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27352, 2525, '640522', '贾塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.866,36.6776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27353, 2525, '640522', '郑旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.912,36.5112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27354, 2525, '640522', '种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.22,36.7044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27355, 2525, '640522', '关桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.645,36.7918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27356, 2525, '640522', '海原县工业物流园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.069,36.3775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27357, 2525, '640522', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.096,36.3294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27358, 2525, '640522', '红羊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.626,36.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27359, 2525, '640522', '曹洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.655,36.3656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27360, 2525, '640522', '甘城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.38,36.6217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27361, 2525, '640522', '树台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.415,36.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27362, 2526, '640502', '柔远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.294,37.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27363, 2526, '640502', '永康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.212,37.4254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27364, 2526, '640502', '宣和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.394,37.3218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27365, 2526, '640502', '文昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.19,37.5155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27366, 2526, '640502', '常乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.081,37.285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27367, 2526, '640502', '滨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.135,37.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27368, 2526, '640502', '中卫工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.4,37.7101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27369, 2526, '640502', '镇罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.313,37.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27370, 2526, '640502', '东园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.365,37.5622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27371, 2526, '640502', '中卫山羊选育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.48,37.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27372, 2526, '640502', '兴仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.244,37.0263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27373, 2526, '640502', '迎水桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.163,37.5355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27374, 2526, '640502', '蒿川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.565,36.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27375, 2526, '640502', '香山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.656,37.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27376, 2527, '640423', '沙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.993,35.6118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27377, 2527, '640423', '山河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.187,35.6395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27378, 2527, '640423', '观庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.021,35.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27379, 2527, '640423', '好水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.043,35.6612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27380, 2527, '640423', '凤岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.132,35.5456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27381, 2527, '640423', '陈靳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.116,35.5452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27382, 2527, '640423', '奠安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.065,35.4391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27383, 2527, '640423', '温堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.025,35.5005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27384, 2527, '640423', '杨河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.985,35.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27385, 2527, '640423', '张程乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.971,35.6086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27386, 2527, '640423', '神林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.881,35.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27387, 2527, '640423', '六盘山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.116,35.6247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27388, 2527, '640423', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.07,35.6361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27389, 2527, '640423', '联财镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.872,35.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27390, 2528, '640425', '白阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.654,35.7786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27391, 2528, '640425', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.429,35.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27392, 2528, '640425', '冯庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.919,36.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27393, 2528, '640425', '红河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.718,35.7895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27394, 2528, '640425', '王洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.653,35.9917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27395, 2528, '640425', '新集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.498,35.7325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27396, 2528, '640425', '交岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.508,36.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27397, 2528, '640425', '草庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.657,36.0295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27398, 2528, '640425', '孟塬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.928,36.0166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27399, 2528, '640425', '罗洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.602,36.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27400, 2528, '640425', '城阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.726,35.7921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27401, 2528, '640425', '小岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.793,36.224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27402, 2529, '640402', '北塬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.253,36.0457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27403, 2529, '640402', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.31,35.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27404, 2529, '640402', '彭堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.115,36.1626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27405, 2529, '640402', '官厅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.215,35.9929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27406, 2529, '640402', '炭山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.424,36.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27407, 2529, '640402', '头营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.165,36.2606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27408, 2529, '640402', '黄铎堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.969,36.2952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27409, 2529, '640402', '三营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.268,36.3717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27410, 2529, '640402', '开城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.253,35.9671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27411, 2529, '640402', '张易镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.019,35.8632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27412, 2529, '640402', '中河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.094,36.0566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27413, 2529, '640402', '新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.222,36.0278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27414, 2529, '640402', '河川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.438,36.04', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27415, 2529, '640402', '寨科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.502,36.4014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27416, 2530, '640424', '兴盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.382,35.4323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27417, 2530, '640424', '大湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.257,35.7611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27418, 2530, '640424', '泾河源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.406,35.4376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27419, 2530, '640424', '香水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.307,35.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27420, 2530, '640424', '黄花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.336,35.549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27421, 2530, '640424', '六盘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.331,35.7274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27422, 2530, '640424', '新民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.393,35.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27423, 2531, '640422', '偏城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.897,35.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27424, 2531, '640422', '马莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.954,35.8786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27425, 2531, '640422', '火石寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.654,36.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27426, 2531, '640422', '兴平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.578,35.8607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27427, 2531, '640422', '红耀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.47,36.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27428, 2531, '640422', '将台堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.805,35.8637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27429, 2531, '640422', '西滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.779,35.9325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27430, 2531, '640422', '白崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.888,36.1676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27431, 2531, '640422', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.837,35.741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27432, 2531, '640422', '什字乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.863,35.7372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27433, 2531, '640422', '沙沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.895,36.1725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27434, 2531, '640422', '硝河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.845,35.9528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27435, 2531, '640422', '马建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.468,35.9964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27436, 2531, '640422', '吉强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.731,35.9223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27437, 2531, '640422', '平峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.606,35.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27438, 2531, '640422', '新营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.58,36.2338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27439, 2531, '640422', '田坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.433,36.0412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27440, 2531, '640422', '震湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.581,35.8915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27441, 2531, '640422', '王民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.793,35.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27442, 2532, '640105', '朔方路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.067,38.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27443, 2532, '640105', '镇北堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.166,38.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27444, 2532, '640105', '西花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.148,38.491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27445, 2532, '640105', '北京西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.137,38.4727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27446, 2532, '640105', '文昌路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.101,38.454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27447, 2532, '640105', '兴泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.102,38.4325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27448, 2532, '640105', '贺兰山西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.212,38.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27449, 2532, '640105', '宁华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.951,38.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27450, 2533, '640121', '黄羊滩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.973,38.2799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27451, 2533, '640121', '玉泉营农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.012,38.2566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27452, 2533, '640121', '闽宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.055,38.3134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27453, 2533, '640121', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.282,38.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27454, 2533, '640121', '望远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.241,38.3352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27455, 2533, '640121', '李俊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.076,38.2101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27456, 2533, '640121', '望洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.107,38.2637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27457, 2533, '640121', '杨和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.24,38.3007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27458, 2534, '640106', '长城中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.229,38.4738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27459, 2534, '640106', '黄河东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.166,38.4303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27460, 2534, '640106', '良田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.166,38.4303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27461, 2534, '640106', '丰登镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.255,38.6079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27462, 2534, '640106', '上海西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.212,38.5109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27463, 2534, '640106', '北京中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.203,38.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27464, 2534, '640106', '满城北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.221,38.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27465, 2535, '640122', '京星农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.51,38.6196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27466, 2535, '640122', '暖泉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.221,38.8104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27467, 2535, '640122', '金贵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.45,38.5797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27468, 2535, '640122', '洪广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.361,38.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27469, 2535, '640122', '南梁台子管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.227,38.7058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27470, 2535, '640122', '习岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.246,38.6138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27471, 2535, '640122', '常信乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.302,38.6955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27472, 2535, '640122', '立岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.419,38.6597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27473, 2535, '640122', '宁夏原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.368,38.5755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27474, 2536, '640104', '丽景街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.307,38.5181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27475, 2536, '640104', '解放西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.265,38.4806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27476, 2536, '640104', '胜利街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.28,38.4519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27477, 2536, '640104', '通贵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.446,38.4792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27478, 2536, '640104', '文化街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.28,38.4762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27479, 2536, '640104', '玉皇阁北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.287,38.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27480, 2536, '640104', '中山南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.282,38.4581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27481, 2536, '640104', '凤凰北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.253,38.4833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27482, 2536, '640104', '新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.278,38.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27483, 2536, '640104', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.36,38.5127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27484, 2536, '640104', '燕鸽湖管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.339,38.4555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27485, 2536, '640104', '银古路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.263,38.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27486, 2536, '640104', '掌政镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.392,38.4549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27487, 2536, '640104', '富宁街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.255,38.4653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27488, 2536, '640104', '前进街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.263,38.4466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27489, 2536, '640104', '月牙湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.449,38.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27490, 2537, '640181', '狼皮子梁管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.427,38.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27491, 2537, '640181', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.336,38.1171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27492, 2537, '640181', '东塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.355,38.1366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27493, 2537, '640181', '梧桐树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.449,38.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27494, 2537, '640181', '马家滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.453,37.8593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27495, 2537, '640181', '郝家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.275,37.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27496, 2537, '640181', '宁东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.696,38.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27497, 2537, '640181', '灵武农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.285,38.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27498, 2537, '640181', '崇兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.344,37.9878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27499, 2537, '640181', '白土岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.303,37.815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27500, 2537, '640181', '临河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.615,38.2378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27501, 2538, '640381', '树新林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.809,38.0508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27502, 2538, '640381', '陈袁滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.169,38.0635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27503, 2538, '640381', '大坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.89,38.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27504, 2538, '640381', '小坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.053,38.0552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27505, 2538, '640381', '叶盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.143,38.1574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27506, 2538, '640381', '峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.057,37.9084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27507, 2538, '640381', '瞿靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.973,38.0496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27508, 2538, '640381', '青铜峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.622,37.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27509, 2538, '640381', '连湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.965,38.0895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27510, 2538, '640381', '裕民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.066,38.0204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27511, 2538, '640381', '邵岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.772,38.1667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27512, 2539, '640324', '田老庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.339,37.1239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27513, 2539, '640324', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.984,37.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27514, 2539, '640324', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.737,36.9172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27515, 2539, '640324', '下马关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.548,37.1536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27516, 2539, '640324', '预旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.204,36.8039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27517, 2539, '640324', '丁塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.007,37.0677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27518, 2539, '640324', '韦州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.292,37.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27519, 2539, '640324', '王团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.973,36.8837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27520, 2539, '640324', '豫海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.003,37.0354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27521, 2539, '640324', '张家塬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.306,36.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27522, 2539, '640324', '马高庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.635,36.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27523, 2540, '640323', '冯记沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.773,37.6651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27524, 2540, '640323', '王乐井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.13,37.9502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27525, 2540, '640323', '大水坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.293,37.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27526, 2540, '640323', '惠安堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.627,37.3216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27527, 2540, '640323', '高沙窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.019,38.1274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27528, 2540, '640323', '花马池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.211,38.1341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27529, 2540, '640323', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.4,37.6538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27530, 2540, '640323', '麻黄山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.195,37.1307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27531, 2541, '640303', '红寺堡开发区红寺堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.137,37.5276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27532, 2541, '640303', '红寺堡开发区大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.012,37.2444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27533, 2541, '640303', '红寺堡工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.125,37.5447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27534, 2541, '640303', '红寺堡开发区南川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.333,37.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27535, 2541, '640303', '红寺堡开发区太阳山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.295,37.5229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27536, 2542, '640302', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.199,37.9853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27537, 2542, '640302', '巴浪湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.246,37.9513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27538, 2542, '640302', '孙家滩管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.3,37.6331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27539, 2542, '640302', '马莲渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.198,37.9285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27540, 2542, '640302', '郭家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.252,37.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27541, 2542, '640302', '高闸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.112,37.8917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27542, 2542, '640302', '东塔寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.228,38.0433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27543, 2542, '640302', '太阳山开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.513,37.374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27544, 2542, '640302', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.185,37.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27545, 2542, '640302', '扁担沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.313,37.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27546, 2542, '640302', '金星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.193,37.9901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27547, 2542, '640302', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.163,37.9924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27548, 2542, '640302', '金积镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.057,37.9311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27549, 2542, '640302', '金银滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.235,37.9486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27550, 2542, '640302', '上桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.203,37.9773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27551, 2543, '451028', '花坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.32,24.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27552, 2543, '451028', '同乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.486,24.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27553, 2543, '451028', '逻西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.63,24.9449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27554, 2543, '451028', '幼平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.549,25.0808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27555, 2543, '451028', '新化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.652,24.7774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27556, 2543, '451028', '甘田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.451,24.6621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27557, 2543, '451028', '雅长乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.313,24.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27558, 2543, '451028', '逻沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.33,24.768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27559, 2544, '451031', '革步乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.054,24.6847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27560, 2544, '451031', '金钟山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.83,24.6401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27561, 2544, '451031', '蛇场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.283,24.5786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27562, 2544, '451031', '者浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.201,24.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27563, 2544, '451031', '岩茶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.484,24.5708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27564, 2544, '451031', '新州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.318,24.7642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27565, 2544, '451031', '德峨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.169,24.732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27566, 2544, '451031', '隆或镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.509,24.6445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27567, 2544, '451031', '桠杈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.203,24.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27568, 2544, '451031', '克长乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.301,24.678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27569, 2544, '451031', '平班镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.429,24.8374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27570, 2544, '451031', '介廷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.602,24.5642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27571, 2544, '451031', '沙梨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.583,24.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27572, 2544, '451031', '猪场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.149,24.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27573, 2544, '451031', '者保乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.337,24.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27574, 2544, '451031', '天生桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.186,24.8157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27575, 2545, '451030', '八达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.914,24.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27576, 2545, '451030', '那佐苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.41,24.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27577, 2545, '451030', '那劳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.318,24.387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27578, 2545, '451030', '马蚌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.679,24.5714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27579, 2545, '451030', '普合苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.233,24.3827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27580, 2545, '451030', '足别瑶族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.411,24.2229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27581, 2545, '451030', '西平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.124,24.4077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27582, 2545, '451030', '古障镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.804,24.6158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27583, 2546, '451027', '逻楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.717,24.4731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27584, 2546, '451027', '玉洪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.568,24.5899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27585, 2546, '451027', '泗城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.659,24.4356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27586, 2546, '451027', '沙里瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.771,24.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27587, 2546, '451027', '伶站瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.58,24.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27588, 2546, '451027', '加尤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.632,24.5726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27589, 2546, '451027', '下甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.59,24.2811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27590, 2546, '451027', '朝里瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.448,24.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27591, 2547, '451002', '阳圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.216,24.0773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27592, 2547, '451002', '四塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.885,24.0295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27593, 2547, '451002', '龙景街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.492,23.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27594, 2547, '451002', '百城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.539,23.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27595, 2547, '451002', '龙川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.754,24.1951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27596, 2547, '451002', '大楞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.213,23.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27597, 2547, '451002', '汪甸瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.316,24.2245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27598, 2547, '451002', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.578,24.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27599, 2547, '451002', '泮水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.248,23.6702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27600, 2548, '451082', '果化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.404,23.4417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27601, 2548, '451082', '平果铝', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.527,23.3411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27602, 2548, '451082', '黎明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.478,23.8607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27603, 2548, '451082', '同老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.423,23.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27604, 2548, '451082', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.692,23.3268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27605, 2548, '451082', '坡造镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.639,23.5044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27606, 2548, '451082', '风梧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.65,23.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27607, 2548, '451082', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.442,23.3281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27608, 2548, '451082', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.446,23.6077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27609, 2548, '451082', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.608,23.6449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27610, 2548, '451082', '榜圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.574,23.813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27611, 2548, '451082', '海城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.37,23.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27612, 2548, '451082', '四塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.837,23.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27613, 2549, '451026', '平孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.96,23.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27614, 2549, '451026', '德隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.823,23.3421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27615, 2549, '451026', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.926,23.4211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27616, 2549, '451026', '百合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.881,23.1997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27617, 2549, '451026', '坡荷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.91,23.3557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27618, 2549, '451026', '百省乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.683,23.2635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27619, 2549, '451026', '百南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.778,23.1072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27620, 2549, '451026', '龙合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.01,23.2815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27621, 2549, '451026', '百都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.761,23.3155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27622, 2550, '451081', '壬庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.4,22.9675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27623, 2550, '451081', '龙临镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.207,23.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27624, 2550, '451081', '龙邦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.286,22.9469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27625, 2550, '451081', '安宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.185,23.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27626, 2550, '451081', '果乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.064,23.324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27627, 2550, '451081', '新甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.234,23.3024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27628, 2550, '451081', '同德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.581,23.1295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27629, 2550, '451081', '渠洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.256,23.4065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27630, 2550, '451081', '南坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.011,23.1844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27631, 2550, '451081', '新靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.43,23.1945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27632, 2550, '451081', '湖润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.762,23.0566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27633, 2550, '451081', '禄峒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.171,23.2105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27634, 2550, '451081', '岳圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.502,22.9442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27635, 2550, '451081', '化峒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.474,23.0685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27636, 2550, '451081', '武平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.478,23.2751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27637, 2550, '451081', '魁圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.199,23.4112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27638, 2550, '451081', '安德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.01,23.2667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27639, 2550, '451081', '吞盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.132,23.1208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27640, 2550, '451081', '地州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.338,23.0721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27641, 2551, '451029', '百乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.279,24.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27642, 2551, '451029', '那比乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.729,24.1134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27643, 2551, '451029', '潞城瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.932,24.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27644, 2551, '451029', '六隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.056,24.2114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27645, 2551, '451029', '八渡瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.867,24.4462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27646, 2551, '451029', '平塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.641,24.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27647, 2551, '451029', '者苗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.74,24.5142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27648, 2551, '451029', '定安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.628,24.398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27649, 2551, '451029', '旧州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.669,24.758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27650, 2551, '451029', '八桂瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.156,24.2156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27651, 2551, '451029', '乐里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.127,24.3203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27652, 2551, '451029', '浪平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.191,24.5725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27653, 2551, '451029', '利周瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.279,24.2701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27654, 2551, '451029', '高龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.621,24.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27655, 2552, '451003', '坡洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.724,23.6963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27656, 2552, '451003', '头塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.914,23.8454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27657, 2552, '451003', '那坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.626,23.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27658, 2552, '451003', '巴别乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.581,23.6228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27659, 2552, '451003', '玉凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.139,24.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27660, 2552, '451003', '田州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.971,23.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27661, 2552, '451003', '洞靖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.547,23.7153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27662, 2552, '451003', '百育镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.962,23.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27663, 2552, '451003', '五村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.679,23.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27664, 2552, '451003', '那满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.018,23.6224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27665, 2553, '451024', '东凌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.237,23.6543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27666, 2553, '451024', '荣华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.843,23.3504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27667, 2553, '451024', '德保铝业', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.598,23.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27668, 2553, '451024', '足荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.731,23.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27669, 2553, '451024', '那甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.66,23.5167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27670, 2553, '451024', '龙光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.857,23.2577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27671, 2553, '451024', '都安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.417,23.3901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27672, 2553, '451024', '隆桑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.844,23.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27673, 2553, '451024', '燕峒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.592,23.2502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27674, 2553, '451024', '敬德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.219,23.5557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27675, 2553, '451024', '巴头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.403,23.5114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27676, 2553, '451024', '马隘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.626,23.3818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27677, 2553, '451024', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.689,23.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27678, 2554, '451022', '朔良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.279,23.9019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27679, 2554, '451022', '江城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.149,23.3733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27680, 2554, '451022', '那拔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.089,23.8993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27681, 2554, '451022', '作登瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.045,23.5602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27682, 2554, '451022', '义圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.141,23.9884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27683, 2554, '451022', '印茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.176,23.4897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27684, 2554, '451022', '思林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.296,23.579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27685, 2554, '451022', '林逢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.324,23.7147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27686, 2554, '451022', '平马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.176,23.7385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27687, 2554, '451022', '祥周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.083,23.6707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27688, 2555, '450512', '兴港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.488,21.5663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27689, 2555, '450512', '营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.531,21.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27690, 2555, '450512', '南康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.379,21.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27691, 2556, '450503', '福成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.378,21.6322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27692, 2556, '450503', '侨港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.12,21.4175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27693, 2556, '450503', '银滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.173,21.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27694, 2556, '450503', '平阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.222,21.6063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27695, 2557, '450502', '驿马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.168,21.4622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27696, 2557, '450502', '海角街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.115,21.4843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27697, 2557, '450502', '涠洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.217,20.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27698, 2557, '450502', '中街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.115,21.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27699, 2557, '450502', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.104,21.4697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27700, 2557, '450502', '地角街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.057,21.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27701, 2557, '450502', '高德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.193,21.5858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27702, 2557, '450502', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.128,21.4789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27703, 2558, '450521', '石康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.269,21.7558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27704, 2558, '450521', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.698,21.806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27705, 2558, '450521', '星岛湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.087,21.8611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27706, 2558, '450521', '西场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.963,21.7368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27707, 2558, '450521', '沙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.07,21.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27708, 2558, '450521', '石湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.223,21.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27709, 2558, '450521', '常乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.36,21.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27710, 2558, '450521', '曲樟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.582,21.9033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27711, 2558, '450521', '廉州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.279,21.7247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27712, 2558, '450521', '乌家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.979,21.8303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27713, 2558, '450521', '公馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.65,21.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27714, 2558, '450521', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.578,21.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27715, 2558, '450521', '闸口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.43,21.7361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27716, 2558, '450521', '山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.695,21.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27717, 2558, '450521', '党江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.16,21.6695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27718, 2559, '450702', '东场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.762,21.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27719, 2559, '450702', '大番坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.689,21.9114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27720, 2559, '450702', '龙门港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.533,21.782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27721, 2559, '450702', '水东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.674,21.9864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27722, 2559, '450702', '久隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.748,22.11', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27723, 2559, '450702', '那思镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.005,22.0258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27724, 2559, '450702', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.627,21.9589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27725, 2559, '450702', '那彭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.861,22.078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27726, 2559, '450702', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.605,21.9518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27727, 2559, '450702', '尖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.587,21.9441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27728, 2559, '450702', '南珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.587,22.0162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27729, 2559, '450702', '沙埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.793,22.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27730, 2559, '450702', '丽光华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.865,21.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27731, 2559, '450702', '那丽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.868,21.8819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27732, 2559, '450702', '三娘湾旅游管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.698,21.6115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27733, 2559, '450702', '黄屋屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.574,22.0403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27734, 2559, '450702', '康熙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.541,21.9525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27735, 2559, '450702', '中马钦州产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.673,21.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27736, 2559, '450702', '广西钦州保税港区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.659,21.644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27737, 2559, '450702', '犀牛脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.72,21.7921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27738, 2559, '450702', '钦州港经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.646,21.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27739, 2560, '450703', '平吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.743,22.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27740, 2560, '450703', '新棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.621,22.4369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27741, 2560, '450703', '青塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.776,22.242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27742, 2560, '450703', '板城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.676,22.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27743, 2560, '450703', '大垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.694,22.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27744, 2560, '450703', '长滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.608,22.3659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27745, 2560, '450703', '鸿亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.646,21.9861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27746, 2560, '450703', '小董镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.549,22.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27747, 2560, '450703', '贵台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.31,22.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27748, 2560, '450703', '子材街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.609,21.994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27749, 2560, '450703', '大直镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.249,22.0719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27750, 2560, '450703', '长田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.605,22.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27751, 2560, '450703', '那蒙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.451,22.2477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27752, 2560, '450703', '大寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.423,22.2688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27753, 2561, '450722', '安石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.51,22.059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27754, 2561, '450722', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.382,22.1882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27755, 2561, '450722', '官垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.743,22.4838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27756, 2561, '450722', '泉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.398,21.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27757, 2561, '450722', '乐民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.619,22.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27758, 2561, '450722', '石埇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.528,21.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27759, 2561, '450722', '北通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.364,22.2816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27760, 2561, '450722', '白石水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.272,22.1878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27761, 2561, '450722', '寨圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.7,22.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27762, 2561, '450722', '张黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.428,22.1012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27763, 2561, '450722', '平睦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.81,22.4252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27764, 2561, '450722', '福旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.563,22.5345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27765, 2561, '450722', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.401,22.3235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27766, 2561, '450722', '六硍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.752,22.564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27767, 2561, '450722', '大成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.268,22.0121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27768, 2561, '450722', '小江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.63,22.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27769, 2562, '450721', '文利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.119,21.9649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27770, 2562, '450721', '三隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.004,22.394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27771, 2562, '450721', '陆屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.906,22.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27772, 2562, '450721', '国营新光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.9,22.2615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27773, 2562, '450721', '旧州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.037,22.4064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27774, 2562, '450721', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.292,22.3989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27775, 2562, '450721', '烟墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.026,22.4861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27776, 2562, '450721', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.415,22.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27777, 2562, '450721', '丰塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.426,22.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27778, 2562, '450721', '伯劳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.012,22.1188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27779, 2562, '450721', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.888,22.5026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27780, 2562, '450721', '那隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.088,22.3762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27781, 2562, '450721', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.497,22.5163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27782, 2562, '450721', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.9,22.4729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27783, 2562, '450721', '佛子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.333,22.4393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27784, 2562, '450721', '灵城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.339,22.512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27785, 2562, '450721', '平南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.165,22.5313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27786, 2562, '450721', '武利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.256,22.0903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27787, 2562, '450721', '檀圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.288,22.2477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27788, 2562, '450721', '国营华山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.247,22.2627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27789, 2563, '450226', '梅林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.039,25.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27790, 2563, '450226', '高基瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.754,25.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27791, 2563, '450226', '良口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.519,25.7562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27792, 2563, '450226', '程村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.523,25.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27793, 2563, '450226', '洋溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.382,25.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27794, 2563, '450226', '丹洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.59,25.6646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27795, 2563, '450226', '老堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.392,25.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27796, 2563, '450226', '独峒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.517,25.8976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27797, 2563, '450226', '八江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.549,25.9663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27798, 2563, '450226', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.592,25.5875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27799, 2563, '450226', '古宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.536,25.8316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27800, 2563, '450226', '富禄苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.168,25.7945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27801, 2563, '450226', '斗江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.697,25.6901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27802, 2563, '450226', '同乐苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.332,25.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27803, 2563, '450226', '林溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.624,25.9519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27804, 2564, '450225', '同练瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.61,25.4077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27805, 2564, '450225', '怀宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.936,25.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27806, 2564, '450225', '洞头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.868,25.5076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27807, 2564, '450225', '拱洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.274,25.6826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27808, 2564, '450225', '良寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.091,25.6081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27809, 2564, '450225', '融水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.331,25.1932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27810, 2564, '450225', '杆洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.65,25.4908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27811, 2564, '450225', '和睦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.159,24.8334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27812, 2564, '450225', '滚贝侗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.807,25.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27813, 2564, '450225', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.338,25.6106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27814, 2564, '450225', '安陲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.234,25.4403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27815, 2564, '450225', '大浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.374,25.5667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27816, 2564, '450225', '香粉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.142,25.3069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27817, 2564, '450225', '安太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.149,25.4483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27818, 2564, '450225', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.084,25.0283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27819, 2564, '450225', '红水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.217,25.6251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27820, 2564, '450225', '大年乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.129,25.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27821, 2564, '450225', '三防镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.864,25.3051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27822, 2564, '450225', '四荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.128,25.3588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27823, 2564, '450225', '汪洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.685,25.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27824, 2565, '450224', '泗顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.536,25.115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27825, 2565, '450224', '沙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.44,24.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27826, 2565, '450224', '潭头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.311,24.9583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27827, 2565, '450224', '东起乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.371,25.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27828, 2565, '450224', '桥板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.546,25.0015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27829, 2565, '450224', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.471,25.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27830, 2565, '450224', '浮石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.447,25.1619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27831, 2565, '450224', '板榄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.697,25.5585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27832, 2565, '450224', '大将镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.528,25.3889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27833, 2565, '450224', '大坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.555,25.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27834, 2565, '450224', '雅瑶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.623,25.3164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27835, 2565, '450224', '大良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.312,24.8882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27836, 2566, '450223', '导江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.654,24.3287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27837, 2566, '450223', '四排乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.821,24.3694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27838, 2566, '450223', '江口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.546,24.3303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27839, 2566, '450223', '鹿寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.664,24.5303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27840, 2566, '450223', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.482,24.6467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27841, 2566, '450223', '黄冕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.878,24.8126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27842, 2566, '450223', '寨沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.883,24.4697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27843, 2566, '450223', '中渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.717,24.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27844, 2566, '450223', '拉沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.955,24.6179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27845, 2567, '450205', '白露街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.379,24.3894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27846, 2567, '450205', '石碑坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.344,24.4711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27847, 2567, '450205', '雅儒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.4,24.3398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27848, 2567, '450205', '钢城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.35,24.3908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27849, 2567, '450205', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.408,24.3335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27850, 2567, '450205', '沙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.411,24.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27851, 2567, '450205', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.477,24.4625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27852, 2567, '450205', '雀儿山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.393,24.3747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27853, 2567, '450205', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.399,24.3546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27854, 2567, '450205', '锦绣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.402,24.3557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27855, 2567, '450205', '柳长街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.427,24.3938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27856, 2567, '450205', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.417,24.3419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27857, 2568, '450202', '中南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.404,24.3099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27858, 2568, '450202', '静兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.473,24.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27859, 2568, '450202', '潭中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.448,24.3542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27860, 2568, '450202', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.481,24.3548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27861, 2568, '450202', '水上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.421,24.3107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27862, 2568, '450202', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.414,24.3212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27863, 2568, '450202', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.417,24.3077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27864, 2569, '450222', '社冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.151,24.5106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27865, 2569, '450222', '东泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.433,24.5625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27866, 2569, '450222', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.202,24.5909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27867, 2569, '450222', '冲脉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.981,24.5801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27868, 2569, '450222', '寨隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.021,24.627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27869, 2569, '450222', '龙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.142,24.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27870, 2569, '450222', '马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.008,24.545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27871, 2569, '450222', '沙埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.423,24.587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27872, 2569, '450222', '古砦仫佬族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.133,24.7936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27873, 2569, '450222', '大埔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.229,24.748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27874, 2569, '450222', '六塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.981,24.5832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27875, 2569, '450222', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.277,24.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27876, 2570, '450203', '麒麟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.439,24.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27877, 2570, '450203', '里雍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.524,24.2613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27878, 2570, '450203', '白莲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.409,24.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27879, 2570, '450203', '洛埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.519,24.3693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27880, 2570, '450203', '驾鹤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.435,24.3081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27881, 2570, '450203', '天马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.411,24.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27882, 2570, '450203', '荣军街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.418,24.2902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27883, 2570, '450203', '雒容镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.668,24.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27884, 2570, '450203', '箭盘山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.429,24.3096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27885, 2570, '450203', '阳和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.489,24.319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27886, 2570, '450203', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.599,24.1899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27887, 2570, '450203', '五里亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.43,24.2878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27888, 2571, '450206', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.136,24.3273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27889, 2571, '450206', '百朋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.249,24.1954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27890, 2571, '450206', '成团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.237,24.3122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27891, 2571, '450206', '里高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.964,24.1432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27892, 2571, '450206', '新兴工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.392,24.0256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27893, 2571, '450206', '进德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.305,24.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27894, 2571, '450206', '新兴农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.392,24.0823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27895, 2571, '450206', '土博镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.062,24.3813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27896, 2571, '450206', '拉堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.288,24.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27897, 2571, '450206', '穿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.484,23.9613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27898, 2572, '450204', '流山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.164,24.4629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27899, 2572, '450204', '银山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.401,24.2941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27900, 2572, '450204', '洛满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.166,24.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27901, 2572, '450204', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.397,24.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27902, 2572, '450204', '潭西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.385,24.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27903, 2572, '450204', '柳石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.389,24.2947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27904, 2572, '450204', '太阳村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.324,24.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27905, 2572, '450204', '柳南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.407,24.3005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27906, 2572, '450204', '鹅山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.373,24.3052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27907, 2572, '450204', '南环街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.385,24.3003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27908, 2572, '450204', '南站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.394,24.3332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27909, 2573, '451322', '中平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.931,24.0395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27910, 2573, '451322', '水晶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.925,24.295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27911, 2573, '451322', '运江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.625,24.1451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27912, 2573, '451322', '大乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.926,24.0535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27913, 2573, '451322', '罗秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.841,24.1289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27914, 2573, '451322', '百丈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.949,23.9707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27915, 2573, '451322', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.501,23.9489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27916, 2573, '451322', '妙皇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.702,23.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27917, 2573, '451322', '象州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.636,24.0538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27918, 2573, '451322', '寺村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.803,24.05', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27919, 2573, '451322', '马坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.602,24.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27920, 2574, '451321', '欧洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.715,24.2481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27921, 2574, '451321', '红渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.537,23.9313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27922, 2574, '451321', '思练镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.801,24.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27923, 2574, '451321', '遂意乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.439,23.9538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27924, 2574, '451321', '北更乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.425,23.8119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27925, 2574, '451321', '安东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.015,24.0642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27926, 2574, '451321', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.822,24.2035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27927, 2574, '451321', '新圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.693,23.9308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27928, 2574, '451321', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.684,24.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27929, 2574, '451321', '马泗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.687,24.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27930, 2574, '451321', '果遂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.833,23.9493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27931, 2574, '451321', '古蓬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.567,23.7588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27932, 2575, '451324', '头排镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.031,24.3476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27933, 2575, '451324', '长垌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.071,24.1075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27934, 2575, '451324', '三江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.17,24.3286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27935, 2575, '451324', '六巷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.999,23.9619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27936, 2575, '451324', '桐木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.094,24.2402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27937, 2575, '451324', '金秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.218,24.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27938, 2575, '451324', '三角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.132,24.3083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27939, 2575, '451324', '大樟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.959,23.9051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27940, 2575, '451324', '罗香乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.263,24.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27941, 2575, '451324', '忠良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.286,24.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27942, 2576, '451302', '七洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.102,24.061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27943, 2576, '451302', '石牙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.393,23.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27944, 2576, '451302', '大湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.376,23.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27945, 2576, '451302', '三五镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.178,23.5823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27946, 2576, '451302', '良塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.02,23.8987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27947, 2576, '451302', '南泗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.552,23.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27948, 2576, '451302', '寺山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.432,23.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27949, 2576, '451302', '高安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.48,23.7165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27950, 2576, '451302', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.235,23.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27951, 2576, '451302', '正龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.34,23.8172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27952, 2576, '451302', '来华投资区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.192,23.7505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27953, 2576, '451302', '桥巩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.214,23.8154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27954, 2576, '451302', '五山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.321,23.4104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27955, 2576, '451302', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.207,23.691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27956, 2576, '451302', '红河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.384,23.682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27957, 2576, '451302', '良江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.058,23.6399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27958, 2576, '451302', '平阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.804,23.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27959, 2576, '451302', '石陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.915,23.4229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27960, 2576, '451302', '城厢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.214,23.6684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27961, 2576, '451302', '蒙村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.414,23.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27962, 2576, '451302', '陶邓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.996,23.4742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27963, 2576, '451302', '小平阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.084,23.4425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27964, 2576, '451302', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.246,23.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27965, 2576, '451302', '迁江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.983,23.7144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27966, 2576, '451302', '八一街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.302,23.9201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27967, 2576, '451302', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.297,24.0196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27968, 2577, '451323', '思灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.506,23.4714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27969, 2577, '451323', '黔江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.687,23.6448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27970, 2577, '451323', '桐岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.592,23.436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27971, 2577, '451323', '二塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.641,23.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27972, 2577, '451323', '武宣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.679,23.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27973, 2577, '451323', '通挽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.556,23.4135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27974, 2577, '451323', '东乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.918,23.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27975, 2577, '451323', '禄新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.527,23.5724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27976, 2577, '451323', '金鸡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.689,23.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27977, 2577, '451323', '三里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.748,23.4755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27978, 2577, '451323', '黄茆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.634,23.8026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27979, 2578, '451381', '岭南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.869,23.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27980, 2578, '451381', '北泗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.916,23.8495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27981, 2578, '451381', '河里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.858,23.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27982, 2579, '450125', '巷贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.641,23.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27983, 2579, '450125', '塘红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.539,23.6425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27984, 2579, '450125', '木山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.724,23.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27985, 2579, '450125', '大丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.459,23.5282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27986, 2579, '450125', '镇圩瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.454,23.6579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27987, 2579, '450125', '白圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.777,23.5176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27988, 2579, '450125', '明亮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.639,23.4003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27989, 2579, '450125', '三里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.618,23.5736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27990, 2579, '450125', '西燕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.433,23.5417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27991, 2579, '450125', '澄泰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.642,23.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27992, 2579, '450125', '乔贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.662,23.6786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27993, 2580, '450110', '仙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.087,23.4208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27994, 2580, '450110', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.502,23.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27995, 2580, '450110', '府城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.241,23.5025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27996, 2580, '450110', '甘圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.203,23.0233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27997, 2580, '450110', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.351,23.1435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27998, 2580, '450110', '宁武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.169,23.047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (27999, 2580, '450110', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.267,23.2899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28000, 2580, '450110', '锣圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.033,23.4086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28001, 2580, '450110', '灵马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.901,23.4725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28002, 2580, '450110', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.321,23.1519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28003, 2580, '450110', '两江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.296,23.4961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28004, 2580, '450110', '罗波镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.445,23.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28005, 2580, '450110', '百合农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.15,23.3984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28006, 2580, '450110', '南宁华侨投资区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.043,23.311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28007, 2580, '450110', '东风农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.387,23.2772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28008, 2580, '450110', '陆斡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.308,23.3841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28009, 2581, '450124', '加方乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.361,23.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28010, 2581, '450124', '白山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.142,23.7772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28011, 2581, '450124', '乔利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.048,23.6766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28012, 2581, '450124', '永州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.745,23.5638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28013, 2581, '450124', '古寨瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.31,23.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28014, 2581, '450124', '林圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.03,23.5303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28015, 2581, '450124', '光明山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.281,23.51', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28016, 2581, '450124', '金钗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.383,23.9303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28017, 2581, '450124', '百龙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.201,23.8704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28018, 2581, '450124', '古零镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.225,23.5704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28019, 2581, '450124', '周鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.047,23.6793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28020, 2581, '450124', '里当瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.397,23.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28021, 2582, '450127', '陶圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.081,22.7763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28022, 2582, '450127', '良圻农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.115,22.7297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28023, 2582, '450127', '新福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.943,22.7153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28024, 2582, '450127', '平朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.845,22.7501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28025, 2582, '450127', '峦城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.874,22.839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28026, 2582, '450127', '百合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.499,22.76', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28027, 2582, '450127', '云表镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.301,22.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28028, 2582, '450127', '校椅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.267,22.7458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28029, 2582, '450127', '平马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.064,22.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28030, 2582, '450127', '镇龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.266,23.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28031, 2582, '450127', '南乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.042,22.5468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28032, 2582, '450127', '马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.512,22.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28033, 2582, '450127', '莲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.253,22.7008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28034, 2582, '450127', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.051,22.9292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28035, 2582, '450127', '马岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.369,22.8301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28036, 2582, '450127', '六景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.946,22.902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28037, 2582, '450127', '那阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.396,22.7042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28038, 2582, '450127', '横州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.265,22.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28039, 2583, '450126', '思陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.686,23.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28040, 2583, '450126', '洋桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.019,23.3571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28041, 2583, '450126', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.721,23.2866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28042, 2583, '450126', '露圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.034,23.0636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28043, 2583, '450126', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.851,23.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28044, 2583, '450126', '陈平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.701,23.1116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28045, 2583, '450126', '中华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.906,23.0985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28046, 2583, '450126', '武陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.867,23.1952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28047, 2583, '450126', '古辣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.967,23.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28048, 2583, '450126', '王灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.055,23.1564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28049, 2583, '450126', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.936,22.9044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28050, 2583, '450126', '邹圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.846,23.3926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28051, 2583, '450126', '黎塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.121,23.2308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28052, 2583, '450126', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.957,23.2658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28053, 2583, '450126', '宾州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.809,23.2881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28054, 2583, '450126', '廖平农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.95,23.3543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28055, 2583, '450126', '和吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.145,23.247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28056, 2584, '450108', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.332,22.4821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28057, 2584, '450108', '良庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.378,22.708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28058, 2584, '450108', '南晓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.404,22.3509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28059, 2584, '450108', '大沙田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.324,22.7729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28060, 2584, '450108', '那陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.294,22.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28061, 2584, '450108', '那马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.399,22.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28062, 2584, '450108', '玉洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.384,22.6615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28063, 2585, '450109', '那楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.58,22.6804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28064, 2585, '450109', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.725,22.642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28065, 2585, '450109', '百济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.439,22.4792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28066, 2585, '450109', '新江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.518,22.6557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28067, 2585, '450109', '蒲庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.591,22.7884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28068, 2586, '450105', '延安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.115,22.3923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28069, 2586, '450105', '明阳工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.163,22.4878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28070, 2586, '450105', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.279,22.7165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28071, 2586, '450105', '江西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.016,22.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28072, 2586, '450105', '那洪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.288,22.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28073, 2586, '450105', '苏圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.996,22.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28074, 2586, '450105', '经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.311,22.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28075, 2586, '450105', '福建园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.289,22.7657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28076, 2586, '450105', '沙井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.153,22.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28077, 2586, '450105', '金凯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.301,22.777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28078, 2586, '450105', '吴圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.19,22.5088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28079, 2587, '450102', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.356,22.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28080, 2587, '450102', '昆仑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.715,23.087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28081, 2587, '450102', '五塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.576,23.0314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28082, 2587, '450102', '民生街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.351,22.8513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28083, 2587, '450102', '九曲湾农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.455,22.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28084, 2587, '450102', '三塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.566,22.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28085, 2588, '450107', '安宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.354,22.9552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28086, 2588, '450107', '那龙矿务局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.188,22.8763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28087, 2588, '450107', '西乡塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.271,22.8452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28088, 2588, '450107', '安吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.282,22.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28089, 2588, '450107', '衡阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.294,22.8381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28090, 2588, '450107', '金光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.02,22.8609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28091, 2588, '450107', '华强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.308,22.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28092, 2588, '450107', '心圩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.269,22.8442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28093, 2588, '450107', '石埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.205,22.8414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28094, 2588, '450107', '坛洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.017,22.8173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28095, 2588, '450107', '双定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.092,23.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28096, 2588, '450107', '北湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.304,22.852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28097, 2588, '450107', '金陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.035,23.05', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28098, 2588, '450107', '新阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.281,22.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28099, 2588, '450107', '高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.173,22.9067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28100, 2588, '450107', '上尧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.284,22.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28101, 2589, '450103', '伶俐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.71,22.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28102, 2589, '450103', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.318,22.8104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28103, 2589, '450103', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.364,22.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28104, 2589, '450103', '新竹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.347,22.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28105, 2589, '450103', '刘圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.598,22.7583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28106, 2589, '450103', '建政街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.364,22.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28107, 2589, '450103', '青秀山管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.403,22.7826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28108, 2589, '450103', '津头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.336,22.7995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28109, 2589, '450103', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.724,22.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28110, 2589, '450103', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.717,22.9376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28111, 2589, '450103', '仙葫经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.475,22.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28112, 2590, '450123', '都结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.477,23.2428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28113, 2590, '450123', '南圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.659,23.1573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28114, 2590, '450123', '乔建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.683,23.1129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28115, 2590, '450123', '布泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.386,23.092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28116, 2590, '450123', '屏山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.558,23.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28117, 2590, '450123', '雁江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.717,23.3002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28118, 2590, '450123', '隆安华侨管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.988,23.1061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28119, 2590, '450123', '古潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.8,23.0201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28120, 2590, '450123', '那桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.836,23.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28121, 2590, '450123', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.76,23.2982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28122, 2590, '450123', '丁当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.924,23.0504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28123, 2591, '450423', '文圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.464,24.1277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28124, 2591, '450423', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.43,24.1968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28125, 2591, '450423', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.401,24.3224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28126, 2591, '450423', '蒙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.462,24.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28127, 2591, '450423', '陈塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.743,23.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28128, 2591, '450423', '长坪瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.529,24.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28129, 2591, '450423', '夏宜瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.359,24.0776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28130, 2591, '450423', '黄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.646,24.1773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28131, 2591, '450423', '汉豪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.657,24.0286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28132, 2592, '450405', '大塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.272,23.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28133, 2592, '450405', '兴龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.223,23.5394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28134, 2592, '450405', '长洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.186,23.4616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28135, 2592, '450405', '倒水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.135,23.624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28136, 2593, '450406', '龙圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.194,23.357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28137, 2593, '450406', '大坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.235,23.3113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28138, 2593, '450406', '新地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.145,23.3416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28139, 2593, '450406', '广平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.24,23.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28140, 2594, '450481', '马路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.906,22.9861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28141, 2594, '450481', '波塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.814,23.1218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28142, 2594, '450481', '岑城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.921,22.8324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28143, 2594, '450481', '梨木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.15,22.8308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28144, 2594, '450481', '南渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.784,22.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28145, 2594, '450481', '筋竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.243,22.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28146, 2594, '450481', '大隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.936,22.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28147, 2594, '450481', '大业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.168,22.96', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28148, 2594, '450481', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.07,23.1636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28149, 2594, '450481', '水汶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.957,22.7205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28150, 2594, '450481', '归义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.129,23.0047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28151, 2594, '450481', '糯垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.064,22.9561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28152, 2594, '450481', '三堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.954,23.2019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28153, 2594, '450481', '城谏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.205,23.0839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28154, 2595, '450421', '岭脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.914,23.6155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28155, 2595, '450421', '六堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.307,23.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28156, 2595, '450421', '梨埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.395,23.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28157, 2595, '450421', '狮寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.244,23.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28158, 2595, '450421', '沙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.511,23.9033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28159, 2595, '450421', '木双镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.533,23.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28160, 2595, '450421', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.439,23.9235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28161, 2595, '450421', '京南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.087,23.771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28162, 2595, '450421', '旺甫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.426,23.723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28163, 2596, '450403', '城东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.337,23.5124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28164, 2596, '450403', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.321,23.4745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28165, 2596, '450403', '角嘴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.301,23.4748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28166, 2596, '450403', '夏郢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.255,23.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28167, 2596, '450403', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.295,23.4773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28168, 2596, '450403', '城中办街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.311,23.4754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28169, 2596, '450403', '富民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.313,23.4998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28170, 2596, '450403', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.346,23.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28171, 2596, '450403', '龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.312,23.4934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28172, 2596, '450403', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.325,23.4791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28173, 2597, '450422', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.561,23.6408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28174, 2597, '450422', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.652,23.4746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28175, 2597, '450422', '同心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.933,23.2641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28176, 2597, '450422', '藤县宁康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.357,23.8842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28177, 2597, '450422', '大黎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.418,23.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28178, 2597, '450422', '金鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.808,23.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28179, 2597, '450422', '岭景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.627,23.2364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28180, 2597, '450422', '塘步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.976,23.3999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28181, 2597, '450422', '古龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.774,23.6841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28182, 2597, '450422', '新庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.748,23.326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28183, 2597, '450422', '平福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.807,23.924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28184, 2597, '450422', '东荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.55,23.7301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28185, 2597, '450422', '藤州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.869,23.3187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28186, 2597, '450422', '象棋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.677,23.2101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28187, 2597, '450422', '天平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.753,23.4623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28188, 2597, '450422', '埌南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.151,23.23', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28189, 2597, '450422', '蒙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.81,23.6309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28190, 2598, '450325', '高尚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.628,25.5117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28191, 2598, '450325', '界首镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.6,25.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28192, 2598, '450325', '兴安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.616,25.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28193, 2598, '450325', '漠川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.812,25.5193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28194, 2598, '450325', '白石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.706,25.464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28195, 2598, '450325', '华江瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.477,25.8966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28196, 2598, '450325', '溶江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.331,25.8395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28197, 2598, '450325', '严关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.603,25.7207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28198, 2598, '450325', '湘漓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.755,25.6576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28199, 2598, '450325', '崔家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.668,25.5722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28200, 2599, '450312', '宛田瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.993,25.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28201, 2599, '450312', '四塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.121,25.2267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28202, 2599, '450312', '会仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.137,25.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28203, 2599, '450312', '五通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.023,25.4591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28204, 2599, '450312', '南边山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.199,24.8523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28205, 2599, '450312', '两江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.096,25.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28206, 2599, '450312', '六塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.233,25.0242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28207, 2599, '450312', '黄沙瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.812,25.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28208, 2599, '450312', '中庸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.013,25.4894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28209, 2599, '450312', '临桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.128,25.3253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28210, 2599, '450312', '茶洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.871,25.38', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28211, 2600, '450326', '苏桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.029,25.1452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28212, 2600, '450326', '龙江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.753,25.4247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28213, 2600, '450326', '百寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.72,25.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28214, 2600, '450326', '罗锦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.132,25.0728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28215, 2600, '450326', '永福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.879,25.0794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28216, 2600, '450326', '三皇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.646,25.0063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28217, 2600, '450326', '永安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.715,24.9401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28218, 2600, '450326', '堡里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.029,24.896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28219, 2600, '450326', '广福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.835,24.8465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28220, 2601, '450332', '三江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.005,24.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28221, 2601, '450332', '恭城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.782,24.8726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28222, 2601, '450332', '龙虎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.919,25.0829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28223, 2601, '450332', '栗木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.851,25.2001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28224, 2601, '450332', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.986,24.8058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28225, 2601, '450332', '西岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.7,25.1205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28226, 2601, '450332', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.9,24.9218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28227, 2601, '450332', '观音乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.988,25.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28228, 2601, '450332', '嘉会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.782,25.1159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28229, 2602, '450311', '大埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.384,25.0806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28230, 2602, '450311', '草坪回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.468,25.0407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28231, 2602, '450311', '雁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.287,25.1311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28232, 2602, '450311', '柘木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.313,25.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28233, 2603, '450305', '漓东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.345,25.2405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28234, 2603, '450305', '七星区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.331,25.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28235, 2603, '450305', '东江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.315,25.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28236, 2603, '450305', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.323,25.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28237, 2603, '450305', '穿山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.317,25.2597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28238, 2604, '450321', '葡萄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.308,24.9702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28239, 2604, '450321', '普益乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.532,24.7123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28240, 2604, '450321', '兴坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.485,25.0497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28241, 2604, '450321', '金宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.263,24.8383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28242, 2604, '450321', '阳朔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.462,24.7489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28243, 2604, '450321', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.446,24.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28244, 2604, '450321', '杨堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.376,25.0078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28245, 2604, '450321', '福利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.667,24.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28246, 2604, '450321', '高田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.444,24.6698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28247, 2605, '450381', '杜莫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.382,24.3528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28248, 2605, '450381', '新坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.454,24.4176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28249, 2605, '450381', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.315,24.4889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28250, 2605, '450381', '蒲芦瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.214,24.7565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28251, 2605, '450381', '花箦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.257,24.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28252, 2605, '450381', '龙怀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.291,24.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28253, 2605, '450381', '马岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.415,24.5855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28254, 2605, '450381', '东昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.512,24.5898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28255, 2605, '450381', '双江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.282,24.6829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28256, 2605, '450381', '茶城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.187,24.496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28257, 2605, '450381', '修仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.225,24.3584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28258, 2605, '450381', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.252,24.544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28259, 2605, '450381', '荔城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.403,24.5529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28260, 2606, '450330', '张家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.815,24.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28261, 2606, '450330', '桥亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.743,24.544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28262, 2606, '450330', '平乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.702,24.5709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28263, 2606, '450330', '大发瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.622,24.556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28264, 2606, '450330', '同安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.907,24.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28265, 2606, '450330', '阳安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.887,24.5555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28266, 2606, '450330', '源头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.922,24.4694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28267, 2606, '450330', '沙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.68,24.8916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28268, 2606, '450330', '二塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.798,24.7455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28269, 2606, '450330', '青龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.82,24.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28270, 2607, '450328', '乐江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.918,25.9712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28271, 2607, '450328', '瓢里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.73,25.8292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28272, 2607, '450328', '伟江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.993,25.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28273, 2607, '450328', '江底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.213,25.7871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28274, 2607, '450328', '龙脊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.071,25.7633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28275, 2607, '450328', '马堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.125,25.8968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28276, 2607, '450328', '泗水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.079,25.8918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28277, 2607, '450328', '龙胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.999,25.8536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28278, 2607, '450328', '平等镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.986,25.9713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28279, 2607, '450328', '三门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.804,25.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28280, 2608, '450302', '丽君街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.263,25.2854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28281, 2608, '450302', '秀峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.295,25.2849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28282, 2608, '450302', '甲山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.296,25.3264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28283, 2609, '450304', '象山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.285,25.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28284, 2609, '450304', '平山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.288,25.1989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28285, 2609, '450304', '二塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.29,25.1989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28286, 2609, '450304', '南门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.258,25.2558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28287, 2610, '450327', '灌阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.149,25.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28288, 2610, '450327', '西山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.889,25.4297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28289, 2610, '450327', '水车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.186,25.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28290, 2610, '450327', '新圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.04,25.6146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28291, 2610, '450327', '洞井瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.736,25.2387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28292, 2610, '450327', '文市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.211,25.7402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28293, 2610, '450327', '黄关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.978,25.2838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28294, 2610, '450327', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.011,25.4191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28295, 2610, '450327', '观音阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.886,25.3634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28296, 2611, '450324', '黄沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.133,26.1343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28297, 2611, '450324', '安和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.874,25.7199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28298, 2611, '450324', '蕉江瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.891,25.5974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28299, 2611, '450324', '文桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.033,26.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28300, 2611, '450324', '龙水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.912,26.0815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28301, 2611, '450324', '枧塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.969,25.828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28302, 2611, '450324', '全州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.069,26.0203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28303, 2611, '450324', '东山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.194,25.8383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28304, 2611, '450324', '绍水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.721,25.946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28305, 2611, '450324', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.008,25.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28306, 2611, '450324', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.94,25.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28307, 2611, '450324', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.116,25.8256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28308, 2611, '450324', '永岁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.135,25.967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28309, 2611, '450324', '咸水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.797,25.8428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28310, 2611, '450324', '才湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.775,26.0593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28311, 2611, '450324', '庙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.203,26.1369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28312, 2611, '450324', '白宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.22,25.937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28313, 2611, '450324', '大西江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.068,26.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28314, 2612, '450323', '潮田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.599,25.2203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28315, 2612, '450323', '定江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.19,25.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28316, 2612, '450323', '九屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.304,25.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28317, 2612, '450323', '大境瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.704,25.2337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28318, 2612, '450323', '潭下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.248,25.495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28319, 2612, '450323', '三街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.332,25.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28320, 2612, '450323', '兰田瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.122,25.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28321, 2612, '450323', '海洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.7,25.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28322, 2612, '450323', '灵川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.386,25.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28323, 2612, '450323', '灵田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.505,25.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28324, 2612, '450323', '大圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.497,25.3007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28325, 2612, '450323', '公平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.166,25.3936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28326, 2613, '450303', '北门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.307,25.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28327, 2613, '450303', '叠彩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.281,25.307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28328, 2613, '450303', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.36,25.3568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28329, 2614, '450329', '梅溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.822,26.1248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28330, 2614, '450329', '两水苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.37,25.9642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28331, 2614, '450329', '河口瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.377,25.9522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28332, 2614, '450329', '车田苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.533,26.1151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28333, 2614, '450329', '中峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.525,25.9461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28334, 2614, '450329', '资源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.6,26.1255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28335, 2614, '450329', '瓜里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.518,26.1868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28336, 2615, '451425', '驮堪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.204,23.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28337, 2615, '451425', '都康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.01,23.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28338, 2615, '451425', '小山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.11,23.0083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28339, 2615, '451425', '向都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.009,23.3107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28340, 2615, '451425', '上映乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.958,23.1498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28341, 2615, '451425', '东平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.155,23.3058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28342, 2615, '451425', '龙茗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.999,23.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28343, 2615, '451425', '进远乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.212,23.2772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28344, 2615, '451425', '把荷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.78,23.1744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28345, 2615, '451425', '进结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.246,23.2439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28346, 2615, '451425', '天等镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.101,23.1257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28347, 2615, '451425', '宁干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.051,23.1926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28348, 2615, '451425', '福新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.85,22.8926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28349, 2616, '451402', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.362,22.4271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28350, 2616, '451402', '江州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.319,22.338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28351, 2616, '451402', '板利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.511,22.2122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28352, 2616, '451402', '濑湍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.448,22.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28353, 2616, '451402', '左州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.494,22.7306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28354, 2616, '451402', '那隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.423,22.7213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28355, 2616, '451402', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.285,22.5207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28356, 2616, '451402', '石景林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.423,22.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28357, 2616, '451402', '罗白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.59,22.3838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28358, 2616, '451402', '驮卢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.651,22.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28359, 2616, '451402', '左江华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.618,22.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28360, 2616, '451402', '新和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.133,22.4829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28361, 2616, '451402', '新和华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.218,22.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28362, 2617, '451421', '龙头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.963,22.7787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28363, 2617, '451421', '山圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.944,22.4891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28364, 2617, '451421', '昌平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.809,22.7578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28365, 2617, '451421', '渠旧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.623,22.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28366, 2617, '451421', '岜盆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.975,22.5601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28367, 2617, '451421', '东门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.93,22.3766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28368, 2617, '451421', '柳桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.681,22.3397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28369, 2617, '451421', '中东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.718,22.9489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28370, 2617, '451421', '东罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.662,22.3354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28371, 2617, '451421', '新宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.868,22.6238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28372, 2617, '451421', '渠黎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.69,22.5661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28373, 2618, '451424', '全茗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.186,22.9909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28374, 2618, '451424', '恩城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.118,22.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28375, 2618, '451424', '昌明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.459,22.8321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28376, 2618, '451424', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.286,22.9402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28377, 2618, '451424', '那岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.031,22.7578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28378, 2618, '451424', '硕龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.723,22.8551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28379, 2618, '451424', '堪圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.896,22.6957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28380, 2618, '451424', '宝圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.911,22.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28381, 2618, '451424', '五山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.299,23.0664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28382, 2618, '451424', '下雷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.794,23.0361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28383, 2618, '451424', '雷平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.934,22.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28384, 2618, '451424', '福隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.43,22.9021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28385, 2618, '451424', '榄圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.369,22.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28386, 2618, '451424', '桃城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.353,22.8377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28387, 2618, '451424', '国营桃城华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.173,22.8565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28388, 2619, '451481', '上石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.861,22.1233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28389, 2619, '451481', '夏石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.887,22.1699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28390, 2619, '451481', '凭祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.758,22.1583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28391, 2619, '451481', '友谊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.692,21.9998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28392, 2619, '451481', '广西凭祥综合保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.699,22.0022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28393, 2620, '451423', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.774,22.7121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28394, 2620, '451423', '上降乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.861,22.1665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28395, 2620, '451423', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.033,22.4841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28396, 2620, '451423', '上龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.854,22.4926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28397, 2620, '451423', '八角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.864,22.2508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28398, 2620, '451423', '下冻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.575,22.4009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28399, 2620, '451423', '上金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.015,22.4133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28400, 2620, '451423', '逐卜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.906,22.5769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28401, 2620, '451423', '武德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.804,22.5788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28402, 2620, '451423', '龙州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.7,22.4255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28403, 2620, '451423', '彬桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.694,22.3194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28404, 2620, '451423', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.637,22.5909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28405, 2621, '451422', '那堪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.532,22.061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28406, 2621, '451422', '板棍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.261,22.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28407, 2621, '451422', '海渊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.512,22.1549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28408, 2621, '451422', '北江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.362,22.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28409, 2621, '451422', '峙浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.206,22.0323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28410, 2621, '451422', '明江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.092,22.1846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28411, 2621, '451422', '那楠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.323,21.9698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28412, 2621, '451422', '桐棉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.216,21.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28413, 2621, '451422', '东安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.221,22.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28414, 2621, '451422', '寨安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.064,22.0999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28415, 2621, '451422', '爱店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.148,21.7718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28416, 2621, '451422', '国营宁明华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.075,22.1695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28417, 2621, '451422', '城中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.957,22.0983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28418, 2621, '451422', '亭亮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.232,22.289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28419, 2621, '451422', '国营天西华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.2,22.2685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28420, 2622, '450602', '公车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.415,21.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28421, 2622, '450602', '渔州坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.396,21.6592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28422, 2622, '450602', '企沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.464,21.5997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28423, 2622, '450602', '白沙万街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.372,21.6106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28424, 2622, '450602', '光坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.474,21.6882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28425, 2623, '450603', '扶隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.93,21.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28426, 2623, '450603', '十万山华侨林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.205,21.919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28427, 2623, '450603', '华石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.269,21.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28428, 2623, '450603', '大菉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.072,21.9187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28429, 2623, '450603', '防城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.385,21.8161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28430, 2623, '450603', '峒中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.637,21.755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28431, 2623, '450603', '小峰经济作物场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.996,21.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28432, 2623, '450603', '茅岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.43,21.8104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28433, 2623, '450603', '江山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.26,21.706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28434, 2623, '450603', '那梭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.956,21.75', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28435, 2623, '450603', '那梭农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.132,21.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28436, 2623, '450603', '那良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.836,21.7074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28437, 2623, '450603', '防城区滩营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.229,21.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28438, 2623, '450603', '荣光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.861,21.6824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28439, 2623, '450603', '垌美农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.332,21.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28440, 2624, '450681', '马路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.94,21.7228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28441, 2624, '450681', '江平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.138,21.6623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28442, 2624, '450681', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.906,21.6342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28443, 2625, '450621', '华兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.824,22.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28444, 2625, '450621', '叫安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.942,22.1061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28445, 2625, '450621', '平福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.742,22.0699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28446, 2625, '450621', '国有昌菱农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.757,22.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28447, 2625, '450621', '南屏瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.731,21.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28448, 2625, '450621', '那琴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.048,22.3509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28449, 2625, '450621', '公正乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.114,22.0217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28450, 2625, '450621', '思阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.917,22.1422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28451, 2625, '450621', '在妙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.709,22.106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28452, 2626, '451123', '福利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.325,24.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28453, 2626, '451123', '麦岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.327,24.972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28454, 2626, '451123', '葛坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.253,24.9706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28455, 2626, '451123', '富阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.315,24.7905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28456, 2626, '451123', '莲山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.361,24.7787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28457, 2626, '451123', '城北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.267,24.9882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28458, 2626, '451123', '柳家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.188,24.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28459, 2626, '451123', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.333,24.8226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28460, 2626, '451123', '朝东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.27,25.0686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28461, 2626, '451123', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.405,24.7797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28462, 2626, '451123', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.443,24.6811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28463, 2626, '451123', '石家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.382,24.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28464, 2627, '451121', '仙回瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.59,24.3198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28465, 2627, '451121', '北陀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.082,24.2108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28466, 2627, '451121', '樟木林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.208,24.1558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28467, 2627, '451121', '昭平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.771,24.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28468, 2627, '451121', '走马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.963,24.1386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28469, 2627, '451121', '马江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.864,23.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28470, 2627, '451121', '五将镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.853,24.076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28471, 2627, '451121', '文竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.877,24.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28472, 2627, '451121', '木格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.843,23.8301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28473, 2627, '451121', '富罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.152,24.1105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28474, 2627, '451121', '黄姚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.134,24.2861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28475, 2627, '451121', '凤凰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.317,24.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28476, 2628, '451122', '凤翔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.432,24.39', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28477, 2628, '451122', '珊瑚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.32,24.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28478, 2628, '451122', '同古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.161,24.3988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28479, 2628, '451122', '钟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.302,24.6565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28480, 2628, '451122', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.237,24.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28481, 2628, '451122', '清塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.067,24.4337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28482, 2628, '451122', '红花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.121,24.6496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28483, 2628, '451122', '两安瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.108,24.7058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28484, 2628, '451122', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.303,24.4079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28485, 2628, '451122', '公安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.149,24.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28486, 2628, '451122', '燕塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.046,24.4985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28487, 2628, '451122', '花山瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.01,24.6066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28488, 2629, '451103', '黄田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.527,24.6182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28489, 2629, '451103', '望高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.37,24.5231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28490, 2629, '451103', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.466,24.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28491, 2629, '451103', '大平瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.287,24.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28492, 2629, '451103', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.265,23.9655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28493, 2629, '451103', '鹅塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.524,24.3494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28494, 2629, '451103', '西湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.462,24.5196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28495, 2629, '451103', '公会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.485,24.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28496, 2629, '451103', '羊头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.436,24.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28497, 2630, '451102', '贺街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.626,24.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28498, 2630, '451102', '南乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.889,24.4485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28499, 2630, '451102', '大宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.786,24.6104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28500, 2630, '451102', '信都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.718,24.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28501, 2630, '451102', '铺门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.665,23.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28502, 2630, '451102', '步头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.514,24.1676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28503, 2630, '451102', '灵峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.795,24.0241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28504, 2630, '451102', '莲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.576,24.4445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28505, 2630, '451102', '里松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.584,24.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28506, 2630, '451102', '开山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.669,24.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28507, 2630, '451102', '仁义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.682,23.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28508, 2630, '451102', '桂岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.784,24.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28509, 2630, '451102', '黄洞瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.686,24.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28510, 2630, '451102', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.545,24.3915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28511, 2630, '451102', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.559,24.4017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28512, 2630, '451102', '八步街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.56,24.4188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28513, 2631, '450903', '福绵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.1,22.5795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28514, 2631, '450903', '樟木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.931,22.4978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28515, 2631, '450903', '成均镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.935,22.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28516, 2631, '450903', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.044,22.5129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28517, 2631, '450903', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.014,22.4113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28518, 2631, '450903', '石和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.097,22.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28519, 2632, '450924', '北市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.149,22.8694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28520, 2632, '450924', '石南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.84,22.7959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28521, 2632, '450924', '蒲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.93,22.8525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28522, 2632, '450924', '大平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.957,22.6911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28523, 2632, '450924', '卖酒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.99,22.8197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28524, 2632, '450924', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.937,23.0224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28525, 2632, '450924', '山心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.907,22.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28526, 2632, '450924', '葵阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.735,22.7346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28527, 2632, '450924', '龙安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.977,22.8084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28528, 2632, '450924', '洛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.973,22.8708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28529, 2632, '450924', '小平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.063,22.8646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28530, 2632, '450924', '沙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.851,22.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28531, 2632, '450924', '城隍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.744,22.7101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28532, 2633, '450923', '三滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.95,22.2162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28533, 2633, '450923', '径口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.068,22.3433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28534, 2633, '450923', '大垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.895,21.8778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28535, 2633, '450923', '博白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.965,22.3265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28536, 2633, '450923', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.664,22.3247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28537, 2633, '450923', '双旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.776,21.8442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28538, 2633, '450923', '宁潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.085,22.0639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28539, 2633, '450923', '菱角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.644,22.0419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28540, 2633, '450923', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.743,21.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28541, 2633, '450923', '东平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.868,22.0943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28542, 2633, '450923', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.999,21.9764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28543, 2633, '450923', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.674,22.1264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28544, 2633, '450923', '英桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.028,21.9765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28545, 2633, '450923', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.975,22.0029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28546, 2633, '450923', '大坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.861,21.7134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28547, 2633, '450923', '旺茂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.887,22.1366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28548, 2633, '450923', '浪平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.973,22.3409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28549, 2633, '450923', '双凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.827,22.4607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28550, 2633, '450923', '顿谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.78,22.1979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28551, 2633, '450923', '江宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.588,22.0748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28552, 2633, '450923', '亚山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.901,22.1582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28553, 2633, '450923', '水鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.788,22.2877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28554, 2633, '450923', '黄凌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.065,22.1714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28555, 2633, '450923', '松旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.608,21.9096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28556, 2633, '450923', '那林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.589,22.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28557, 2633, '450923', '那卜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.946,21.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28558, 2633, '450923', '文地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.095,21.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28559, 2633, '450923', '沙陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.864,21.7669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28560, 2634, '450922', '良田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.292,22.0894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28561, 2634, '450922', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.165,22.2495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28562, 2634, '450922', '沙坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.351,22.372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28563, 2634, '450922', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.333,21.9776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28564, 2634, '450922', '米场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.32,22.4605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28565, 2634, '450922', '珊罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.237,22.5841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28566, 2634, '450922', '平乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.281,22.5607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28567, 2634, '450922', '马坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.236,22.5311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28568, 2634, '450922', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.172,22.26', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28569, 2634, '450922', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.232,22.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28570, 2634, '450922', '滩面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.211,22.1271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28571, 2634, '450922', '乌石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.189,22.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28572, 2634, '450922', '沙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.205,22.4397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28573, 2634, '450922', '清湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.292,22.0939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28574, 2635, '450921', '石头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.319,23.0137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28575, 2635, '450921', '容州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.492,22.9069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28576, 2635, '450921', '十里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.564,22.909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28577, 2635, '450921', '浪水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.671,23.0183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28578, 2635, '450921', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.734,22.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28579, 2635, '450921', '石寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.54,22.8344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28580, 2635, '450921', '县底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.537,23.1224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28581, 2635, '450921', '容西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.447,22.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28582, 2635, '450921', '罗江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.487,23.064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28583, 2635, '450921', '松山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.478,23.0283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28584, 2635, '450921', '六王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.725,22.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28585, 2635, '450921', '杨梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.641,22.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28586, 2635, '450921', '自良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.587,23.0832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28587, 2635, '450921', '灵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.568,22.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28588, 2635, '450921', '黎村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.665,22.6181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28589, 2636, '450902', '茂林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.207,22.6913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28590, 2636, '450902', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.082,22.7209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28591, 2636, '450902', '玉城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.149,22.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28592, 2636, '450902', '仁东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.031,22.6988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28593, 2636, '450902', '仁厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.057,22.68', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28594, 2636, '450902', '名山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.218,22.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28595, 2636, '450902', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.122,22.6581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28596, 2636, '450902', '南江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.148,22.5625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28597, 2636, '450902', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.112,22.7732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28598, 2637, '450981', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.201,22.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28599, 2637, '450981', '石窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.426,22.3057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28600, 2637, '450981', '六麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.349,22.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28601, 2637, '450981', '清水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.363,22.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28602, 2637, '450981', '新丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.512,22.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28603, 2637, '450981', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.321,22.7009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28604, 2637, '450981', '民乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.272,22.8138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28605, 2637, '450981', '平政镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.482,22.367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28606, 2637, '450981', '隆盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.461,22.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28607, 2637, '450981', '塘岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.259,22.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28608, 2637, '450981', '北流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.397,22.7544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28609, 2637, '450981', '大伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.69,22.3092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28610, 2637, '450981', '西垠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.213,22.813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28611, 2637, '450981', '沙垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.584,22.4408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28612, 2637, '450981', '山围镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.385,22.8684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28613, 2637, '450981', '新荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.492,22.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28614, 2637, '450981', '清湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.568,22.2335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28615, 2637, '450981', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.643,22.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28616, 2637, '450981', '大坡外镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.48,22.6431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28617, 2637, '450981', '扶新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.642,22.3758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28618, 2637, '450981', '陵城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.367,22.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28619, 2637, '450981', '民安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.392,22.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28620, 2637, '450981', '大里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.167,22.8306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28621, 2637, '450981', '六靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.503,22.3106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28622, 2637, '450981', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.356,22.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28623, 2638, '450804', '山北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.381,23.2875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28624, 2638, '450804', '覃塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.361,23.1789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28625, 2638, '450804', '三里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.364,23.1175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28626, 2638, '450804', '大岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.475,22.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28627, 2638, '450804', '黄练镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.27,23.2138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28628, 2638, '450804', '石卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.461,22.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28629, 2638, '450804', '五里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.401,23.0048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28630, 2638, '450804', '樟木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.388,23.3799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28631, 2638, '450804', '东龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.457,23.3065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28632, 2638, '450804', '蒙公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.364,23.3045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28633, 2639, '450802', '根竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.509,23.1729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28634, 2639, '450802', '庆丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.708,23.2908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28635, 2639, '450802', '奇石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.648,23.3255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28636, 2639, '450802', '大圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.722,23.1453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28637, 2639, '450802', '武乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.786,23.1379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28638, 2639, '450802', '贵城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.533,23.0928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28639, 2639, '450802', '中里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.527,23.2848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28640, 2639, '450802', '港城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.643,23.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28641, 2640, '450803', '瓦塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.717,22.8936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28642, 2640, '450803', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.602,23.0616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28643, 2640, '450803', '桥圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.738,22.9952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28644, 2640, '450803', '湛江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.804,22.965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28645, 2640, '450803', '八塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.751,23.0183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28646, 2640, '450803', '木梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.635,22.7982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28647, 2640, '450803', '东津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.758,23.0609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28648, 2640, '450803', '新塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.67,22.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28649, 2640, '450803', '木格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.686,22.7661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28650, 2641, '450881', '木乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.316,23.4431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28651, 2641, '450881', '金田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.028,23.5939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28652, 2641, '450881', '油麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.21,23.3262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28653, 2641, '450881', '社坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.216,23.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28654, 2641, '450881', '中沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.226,23.0335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28655, 2641, '450881', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.831,23.1394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28656, 2641, '450881', '西山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.898,23.5364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28657, 2641, '450881', '大洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.926,23.0417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28658, 2641, '450881', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.848,23.439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28659, 2641, '450881', '社步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.182,23.2961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28660, 2641, '450881', '下湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.063,23.1276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28661, 2641, '450881', '寻旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.154,23.4142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28662, 2641, '450881', '木圭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.222,23.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28663, 2641, '450881', '南木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.977,23.547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28664, 2641, '450881', '罗播乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.026,23.0016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28665, 2641, '450881', '马皮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.203,23.4635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28666, 2641, '450881', '垌心乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.052,23.7337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28667, 2641, '450881', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.214,23.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28668, 2641, '450881', '厚禄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.913,23.2695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28669, 2641, '450881', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.892,23.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28670, 2641, '450881', '紫荆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.992,23.7635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28671, 2641, '450881', '麻垌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.197,23.2353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28672, 2641, '450881', '木根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.057,23.1214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28673, 2641, '450881', '蒙圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.91,23.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28674, 2641, '450881', '罗秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.232,23.1073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28675, 2641, '450881', '石咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.219,23.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28676, 2642, '450821', '丹竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.52,23.515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28677, 2642, '450821', '平南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.38,23.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28678, 2642, '450821', '思界乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.268,23.5918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28679, 2642, '450821', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.422,23.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28680, 2642, '450821', '马练瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.401,24.0085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28681, 2642, '450821', '同和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.475,23.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28682, 2642, '450821', '上渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.336,23.5109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28683, 2642, '450821', '国安瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.203,23.886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28684, 2642, '450821', '六陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.384,23.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28685, 2642, '450821', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.439,23.1098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28686, 2642, '450821', '武林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.517,23.4217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28687, 2642, '450821', '大坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.44,23.2295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28688, 2642, '450821', '镇隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.366,23.4647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28689, 2642, '450821', '思旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.324,23.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28690, 2642, '450821', '官成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.379,23.5931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28691, 2642, '450821', '东华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.534,23.6221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28692, 2642, '450821', '寺面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.405,23.1621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28693, 2642, '450821', '大洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.571,23.3225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28694, 2642, '450821', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.464,23.4444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28695, 2642, '450821', '大鹏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.09,23.8236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28696, 2642, '450821', '安怀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.423,23.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28697, 2643, '451225', '龙岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.971,25.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28698, 2643, '451225', '黄金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.924,25.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28699, 2643, '451225', '怀群镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.608,24.8693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28700, 2643, '451225', '天河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.624,24.7812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28701, 2643, '451225', '东门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.864,24.6744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28702, 2643, '451225', '小长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '109.139,24.9285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28703, 2643, '451225', '纳翁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.641,25.0578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28704, 2643, '451225', '乔善乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.722,24.9393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28705, 2643, '451225', '宝坛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.73,25.0967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28706, 2643, '451225', '兼爱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.55,24.9947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28707, 2643, '451225', '四把镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.805,24.8095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28708, 2644, '451221', '月里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.092,25.4129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28709, 2644, '451221', '六寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.133,25.3536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28710, 2644, '451221', '八圩瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.612,24.9683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28711, 2644, '451221', '里湖瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.569,25.1088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28712, 2644, '451221', '中堡苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.133,25.4543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28713, 2644, '451221', '车河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.615,24.8609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28714, 2644, '451221', '吾隘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.373,24.905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28715, 2644, '451221', '大厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.52,24.7786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28716, 2644, '451221', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.513,25.1096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28717, 2644, '451221', '罗富乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.311,25.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28718, 2644, '451221', '芒场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.552,25.1064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28719, 2645, '451222', '下老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.661,25.061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28720, 2645, '451222', '三堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.051,25.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28721, 2645, '451222', '八腊瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.126,24.9534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28722, 2645, '451222', '纳直乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.794,24.8147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28723, 2645, '451222', '更新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.678,24.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28724, 2645, '451222', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.824,25.1353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28725, 2645, '451222', '岜暮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.062,24.8865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28726, 2645, '451222', '坡结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.127,25.2712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28727, 2645, '451222', '六排镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.217,25.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28728, 2646, '451226', '大才乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.322,24.8027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28729, 2646, '451226', '大安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.363,24.8623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28730, 2646, '451226', '龙岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.383,25.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28731, 2646, '451226', '明伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.336,25.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28732, 2646, '451226', '水源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.169,24.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28733, 2646, '451226', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.442,25.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28734, 2646, '451226', '驯乐苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.14,25.264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28735, 2646, '451226', '下南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.995,24.9952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28736, 2646, '451226', '洛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.311,25.3303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28737, 2646, '451226', '川山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.913,25.154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28738, 2646, '451226', '长美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.467,25.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28739, 2646, '451226', '思恩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.216,24.9394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28740, 2647, '451203', '石别镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.596,24.4121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28741, 2647, '451203', '安马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.495,24.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28742, 2647, '451203', '屏南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.831,24.4162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28743, 2647, '451203', '龙头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.096,24.4358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28744, 2647, '451203', '刘三姐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.746,24.6317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28745, 2647, '451203', '庆远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.516,24.472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28746, 2647, '451203', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.943,24.382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28747, 2647, '451203', '洛东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.811,24.4744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28748, 2647, '451203', '祥贝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.513,24.6797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28749, 2647, '451203', '北牙瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.295,24.4985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28750, 2647, '451203', '北山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.555,24.3736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28751, 2647, '451203', '怀远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.489,24.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28752, 2647, '451203', '德胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.294,24.7429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28753, 2647, '451203', '洛西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.721,24.4903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28754, 2647, '451203', '同德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.433,24.515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28755, 2647, '451203', '福龙瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.602,24.2502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28756, 2648, '451223', '平乐瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.946,24.5132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28757, 2648, '451223', '凤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.966,24.5099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28758, 2648, '451223', '袍里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.098,24.4486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28759, 2648, '451223', '江洲瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.89,24.3658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28760, 2648, '451223', '中亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.842,24.5486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28761, 2648, '451223', '长洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.12,24.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28762, 2648, '451223', '乔音乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.943,24.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28763, 2648, '451223', '砦牙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.229,24.7388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28764, 2648, '451223', '金牙瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.769,24.5712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28765, 2649, '451202', '保平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.83,24.5077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28766, 2649, '451202', '五圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.887,24.4971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28767, 2649, '451202', '侧岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.688,24.8742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28768, 2649, '451202', '东江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.067,24.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28769, 2649, '451202', '白土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.14,24.672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28770, 2649, '451202', '拔贡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.908,24.8829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28771, 2649, '451202', '九圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.664,24.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28772, 2649, '451202', '河池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.755,24.7577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28773, 2649, '451202', '金城江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.029,24.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28774, 2649, '451202', '长老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.618,24.8033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28775, 2649, '451202', '六圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.016,24.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28776, 2649, '451202', '六甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.97,24.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28777, 2650, '451228', '保安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.783,24.0741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28778, 2650, '451228', '拉仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.212,24.4165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28779, 2650, '451228', '东庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.882,24.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28780, 2650, '451228', '地苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.01,23.9702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28781, 2650, '451228', '加贵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.343,24.2504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28782, 2650, '451228', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.113,24.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28783, 2650, '451228', '高岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.079,24.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28784, 2650, '451228', '菁盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.172,23.9656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28785, 2650, '451228', '板岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.977,24.4206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28786, 2650, '451228', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.994,24.2173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28787, 2650, '451228', '九渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.242,24.3434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28788, 2650, '451228', '安阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.082,23.9205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28789, 2650, '451228', '下坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.803,24.4142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28790, 2650, '451228', '百旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.374,24.1263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28791, 2650, '451228', '隆福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.784,24.2041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28792, 2650, '451228', '龙湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.18,23.8747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28793, 2650, '451228', '澄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.212,24.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28794, 2650, '451228', '三只羊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.944,24.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28795, 2650, '451228', '拉烈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.233,24.0636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28796, 2651, '451229', '雅龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.685,24.0332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28797, 2651, '451229', '羌圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.378,24.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28798, 2651, '451229', '都阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.608,23.9869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28799, 2651, '451229', '江南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.541,23.9239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28800, 2651, '451229', '岩滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.551,24.0903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28801, 2651, '451229', '古河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.752,23.94', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28802, 2651, '451229', '六也乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.836,23.7623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28803, 2651, '451229', '北景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.593,24.2789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28804, 2651, '451229', '大化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.853,23.7904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28805, 2651, '451229', '贡川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.814,23.7362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28806, 2651, '451229', '板升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.696,24.3286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28807, 2651, '451229', '七百弄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.677,24.1694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28808, 2651, '451229', '古文乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.661,23.8737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28809, 2651, '451229', '乙圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.381,24.0445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28810, 2651, '451229', '共和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.82,23.6744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28811, 2651, '451229', '百马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.71,23.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28812, 2652, '451224', '金谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.252,24.8256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28813, 2652, '451224', '三弄瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.449,24.4331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28814, 2652, '451224', '泗孟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.284,24.5501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28815, 2652, '451224', '长江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.256,24.69', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28816, 2652, '451224', '东兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.373,24.4039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28817, 2652, '451224', '花香乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.588,24.4442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28818, 2652, '451224', '隘洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.476,24.6401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28819, 2652, '451224', '切学乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.444,24.7523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28820, 2652, '451224', '长乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.519,24.5785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28821, 2652, '451224', '巴畴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.289,24.7926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28822, 2652, '451224', '武篆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.225,24.3593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28823, 2652, '451224', '大同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.561,24.4028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28824, 2652, '451224', '兰木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.225,24.4482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28825, 2652, '451224', '三石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.458,24.2809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28826, 2653, '451227', '燕洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.101,24.0889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28827, 2653, '451227', '巴马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.261,24.217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28828, 2653, '451227', '百林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.376,23.9175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28829, 2653, '451227', '那桃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.402,23.9653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28830, 2653, '451227', '东山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.482,24.2548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28831, 2653, '451227', '西山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.149,24.3464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28832, 2653, '451227', '所略乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.87,24.1901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28833, 2653, '451227', '凤凰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.394,24.1257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28834, 2653, '451227', '那社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.043,24.1906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28835, 2653, '451227', '甲篆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.13,24.3794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28836, 2654, '320722', '洪庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.576,34.5404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28837, 2654, '320722', '石榴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.797,34.6218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28838, 2654, '320722', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.751,34.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28839, 2654, '320722', '房山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.896,34.4746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28840, 2654, '320722', '驼峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.804,34.6083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28841, 2654, '320722', '山左口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.461,34.6576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28842, 2654, '320722', '张湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.118,34.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28843, 2654, '320722', '白塔埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,34.6339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28844, 2654, '320722', '安峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.652,34.3853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28845, 2654, '320722', '曲阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.647,34.4318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28846, 2654, '320722', '江苏东海经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.788,34.5335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28847, 2654, '320722', '牛山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.788,34.5329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28848, 2654, '320722', '黄川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.865,34.6864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28849, 2654, '320722', '石湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.606,34.4892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28850, 2654, '320722', '桃林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.44,34.508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28851, 2654, '320722', '平明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.955,34.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28852, 2654, '320722', '石梁河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.778,34.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28853, 2654, '320722', '双店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.524,34.6287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28854, 2654, '320722', '青湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.752,34.6967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28855, 2654, '320722', '李埝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.556,34.7064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28856, 2655, '320703', '中云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.275,34.704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28857, 2655, '320703', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.315,34.7047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28858, 2655, '320703', '海州湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.384,34.7553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28859, 2655, '320703', '宿城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.423,34.722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28860, 2655, '320703', '徐圩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.488,34.5588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28861, 2655, '320703', '猴嘴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.208,34.714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28862, 2655, '320703', '东辛农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.378,34.614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28863, 2655, '320703', '墟沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.38,34.7508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28864, 2655, '320703', '连岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.461,34.7541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28865, 2655, '320703', '云山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.342,34.7236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28866, 2655, '320703', '高公岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.493,34.6936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28867, 2655, '320703', '连云港碱厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.347,34.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28868, 2655, '320703', '青口盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.188,34.7337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28869, 2655, '320703', '板桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.397,34.6565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28870, 2655, '320703', '连云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.388,34.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28871, 2656, '320723', '燕尾港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.775,34.4847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28872, 2656, '320723', '小伊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.223,34.3624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28873, 2656, '320723', '东王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.35,34.2981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28874, 2656, '320723', '杨集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.501,34.3663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28875, 2656, '320723', '图河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.629,34.3806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28876, 2656, '320723', '同兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.257,34.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28877, 2656, '320723', '五图河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.597,34.3636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28878, 2656, '320723', '南岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.073,34.2688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28879, 2656, '320723', '灌西盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.615,34.4863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28880, 2656, '320723', '灌云经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.202,34.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28881, 2656, '320723', '圩丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.633,34.5051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28882, 2656, '320723', '伊山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.188,34.3614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28883, 2656, '320723', '下车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.306,34.4193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28884, 2656, '320723', '四队镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.468,34.4855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28885, 2656, '320723', '灌云临港产业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.689,34.5125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28886, 2656, '320723', '龙苴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.061,34.4202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28887, 2656, '320723', '侍庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.26,34.2878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28888, 2657, '320724', '三口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.448,34.1416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28889, 2657, '320724', '北陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.395,34.2314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28890, 2657, '320724', '李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.259,34.1358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28891, 2657, '320724', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.402,34.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28892, 2657, '320724', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.377,34.079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28893, 2657, '320724', '汤沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.129,34.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28894, 2657, '320724', '田楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.621,34.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28895, 2657, '320724', '张店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.297,34.2188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28896, 2657, '320724', '堆沟港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.703,34.3658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28897, 2657, '320724', '百禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.591,34.0924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28898, 2657, '320724', '孟兴庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.14,34.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28899, 2658, '320707', '城西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.012,34.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28900, 2658, '320707', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.07,34.9556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28901, 2658, '320707', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.97,34.7804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28902, 2658, '320707', '海头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.118,34.985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28903, 2658, '320707', '墩尚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.178,34.6842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28904, 2658, '320707', '黑林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.979,34.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28905, 2658, '320707', '厉庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.986,34.9541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28906, 2658, '320707', '沙河子园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.034,34.8741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28907, 2658, '320707', '宋庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.108,34.8087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28908, 2658, '320707', '塔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.911,34.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28909, 2658, '320707', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.201,34.9761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28910, 2658, '320707', '赣榆经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.124,34.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28911, 2658, '320707', '城头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.903,34.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28912, 2658, '320707', '青口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.282,34.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28913, 2658, '320707', '班庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.865,34.9773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28914, 2658, '320707', '赣马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.052,34.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28915, 2658, '320707', '赣榆海洋经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.082,34.7942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28916, 2658, '320707', '柘汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.237,35.1186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28917, 2659, '320706', '花果山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.251,34.6714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28918, 2659, '320706', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.141,34.5488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28919, 2659, '320706', '新南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.193,34.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28920, 2659, '320706', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.243,34.5632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28921, 2659, '320706', '新东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.209,34.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28922, 2659, '320706', '板浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.25,34.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28923, 2659, '320706', '新浦经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.112,34.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28924, 2659, '320706', '幸福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.153,34.579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28925, 2659, '320706', '云台农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.282,34.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28926, 2659, '320706', '岗埠农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.988,34.5988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28927, 2659, '320706', '云台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.414,34.6365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28928, 2659, '320706', '新坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.1,34.4646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28929, 2659, '320706', '南云台林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.244,34.5714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28930, 2659, '320706', '洪门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.137,34.5807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28931, 2659, '320706', '海州经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.182,34.5642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28932, 2659, '320706', '浦西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.153,34.6116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28933, 2659, '320706', '浦南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.14,34.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28934, 2659, '320706', '朐阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.152,34.5726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28935, 2659, '320706', '浦东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.179,34.6273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28936, 2659, '320706', '宁海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.206,34.5143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28937, 2659, '320706', '海州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.146,34.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28938, 2659, '320706', '路南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.183,34.602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28939, 2659, '320706', '新海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.147,34.5926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28940, 2660, '321322', '潼阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.605,34.3092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28941, 2660, '321322', '塘沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.987,34.0378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28942, 2660, '321322', '颜集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.557,34.1696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28943, 2660, '321322', '西圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.075,34.3247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28944, 2660, '321322', '胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.908,33.9887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28945, 2660, '321322', '七雄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.895,34.1576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28946, 2660, '321322', '张圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.041,33.961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28947, 2660, '321322', '沂涛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.129,34.1308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28948, 2660, '321322', '贤官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.8,34.2772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28949, 2660, '321322', '马厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.968,34.0769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28950, 2660, '321322', '桑墟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.812,34.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28951, 2660, '321322', '东小店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.89,34.055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28952, 2660, '321322', '汤涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.957,34.1583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28953, 2660, '321322', '章集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.967,34.0858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28954, 2660, '321322', '梦溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.824,34.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28955, 2660, '321322', '沭城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.868,34.1501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28956, 2660, '321322', '茆圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.639,34.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28957, 2660, '321322', '耿圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.635,34.1466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28958, 2660, '321322', '高墟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.969,34.3622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28959, 2660, '321322', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.543,34.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28960, 2660, '321322', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.75,34.1229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28961, 2660, '321322', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.672,34.0041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28962, 2660, '321322', '陇集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.616,34.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28963, 2660, '321322', '庙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.685,34.2666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28964, 2660, '321322', '周集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.044,34.02', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28965, 2660, '321322', '钱集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.896,33.9391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28966, 2660, '321322', '青伊湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.95,34.3431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28967, 2660, '321322', '北丁集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.703,34.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28968, 2660, '321322', '吴集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.08,34.2364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28969, 2660, '321322', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.661,34.2287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28970, 2660, '321322', '官墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.883,34.2436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28971, 2660, '321322', '韩山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.996,34.2548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28972, 2660, '321322', '万匹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.805,34.2732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28973, 2660, '321322', '十字街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.827,34.067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28974, 2660, '321322', '沭阳经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.823,34.1095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28975, 2660, '321322', '龙庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.808,34.182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28976, 2660, '321322', '华冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.856,34.2416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28977, 2660, '321322', '李恒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.096,34.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28978, 2660, '321322', '扎下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.798,34.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28979, 2660, '321322', '青伊湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.854,34.3413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28980, 2660, '321322', '湖东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.927,34.3202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28981, 2661, '321323', '泗阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.683,33.6712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28982, 2661, '321323', '高渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.683,33.5507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28983, 2661, '321323', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.77,33.8824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28984, 2661, '321323', '卢集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.586,33.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28985, 2661, '321323', '爱园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.688,33.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28986, 2661, '321323', '三庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.591,33.8726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28987, 2661, '321323', '八集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.782,33.7399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28988, 2661, '321323', '江苏泗阳开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.771,33.7535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28989, 2661, '321323', '众兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.663,33.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28990, 2661, '321323', '棉花原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.658,33.6872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28991, 2661, '321323', '南刘集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.719,33.8273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28992, 2661, '321323', '里仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.768,33.9413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28993, 2661, '321323', '临河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.567,33.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28994, 2661, '321323', '张家圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.686,33.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28995, 2661, '321323', '庄圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.806,33.9825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28996, 2661, '321323', '新袁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.732,33.5758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28997, 2661, '321323', '裴圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.696,33.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28998, 2661, '321323', '李口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.707,33.6743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (28999, 2661, '321323', '穿城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.589,33.9377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29000, 2662, '321324', '孙园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.365,33.3584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29001, 2662, '321324', '车门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.027,33.4503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29002, 2662, '321324', '临淮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.385,33.271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29003, 2662, '321324', '龙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.476,33.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29004, 2662, '321324', '瑶沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.172,33.3711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29005, 2662, '321324', '洪泽湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.424,33.4661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29006, 2662, '321324', '四河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.032,33.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29007, 2662, '321324', '界集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.421,33.5881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29008, 2662, '321324', '曹庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.468,33.6447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29009, 2662, '321324', '半城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.392,33.3304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29010, 2662, '321324', '金锁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.371,33.6391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29011, 2662, '321324', '城头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.241,33.3258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29012, 2662, '321324', '五里江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.206,33.5289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29013, 2662, '321324', '双沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.154,33.2727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29014, 2662, '321324', '梅花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.118,33.5944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29015, 2662, '321324', '陈圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.477,33.278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29016, 2662, '321324', '天岗湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.014,33.2625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29017, 2662, '321324', '归仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.161,33.7353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29018, 2662, '321324', '石集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.227,33.4076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29019, 2662, '321324', '上塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.028,33.3768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29020, 2662, '321324', '峰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.096,33.287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29021, 2662, '321324', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.421,33.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29022, 2662, '321324', '泗洪经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.17,33.4905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29023, 2662, '321324', '魏营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.091,33.338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29024, 2662, '321324', '朱湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.307,33.6025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29025, 2662, '321324', '大楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.254,33.5544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29026, 2662, '321324', '青阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.147,33.4417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29027, 2662, '321324', '重岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.149,33.4648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29028, 2663, '321311', '仰化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.506,33.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29029, 2663, '321311', '保安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.53,34.0338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29030, 2663, '321311', '顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.316,33.9926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29031, 2663, '321311', '黄墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.045,34.1483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29032, 2663, '321311', '井头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.332,34.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29033, 2663, '321311', '宿豫经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.381,33.9185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29034, 2663, '321311', '张家港宿豫工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,33.9204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29035, 2663, '321311', '侍岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.47,34.0972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29036, 2663, '321311', '晓店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.184,34.1626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29037, 2663, '321311', '丁嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.579,33.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29038, 2663, '321311', '嶂山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.304,34.0458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29039, 2663, '321311', '关庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.527,33.9758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29040, 2663, '321311', '宿迁市软件与服务外包产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.283,34.059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29041, 2663, '321311', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.468,33.9938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29042, 2663, '321311', '宿迁生态化工科技产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.347,34.091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29043, 2663, '321311', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.452,33.9158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29044, 2663, '321311', '来龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.532,34.089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29045, 2663, '321311', '曹集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.39,34.0464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29046, 2663, '321311', '皂河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.187,34.153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29047, 2663, '321311', '陆集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.393,33.9087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29048, 2664, '321302', '中扬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.497,33.7071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29049, 2664, '321302', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.29,33.9794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29050, 2664, '321302', '龙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.158,33.7946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29051, 2664, '321302', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.252,33.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29052, 2664, '321302', '罗圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.27,33.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29053, 2664, '321302', '黄河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.254,33.8953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29054, 2664, '321302', '王官集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.042,34.0132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29055, 2664, '321302', '河滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.25,33.9821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29056, 2664, '321302', '南蔡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.335,33.8135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29057, 2664, '321302', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.302,33.7412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29058, 2664, '321302', '三棵树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.232,33.8859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29059, 2664, '321302', '古楚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.232,33.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29060, 2664, '321302', '苏州宿迁工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.204,33.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29061, 2664, '321302', '蔡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.131,33.9929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29062, 2664, '321302', '双庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.232,33.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29063, 2664, '321302', '项里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.324,33.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29064, 2664, '321302', '洋北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.347,33.8164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29065, 2664, '321302', '耿车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.192,33.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29066, 2664, '321302', '埠子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.248,33.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29067, 2664, '321302', '屠园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.422,33.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29068, 2664, '321302', '洋河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.423,33.8089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29069, 2665, '320111', '盘城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.733,32.2134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29070, 2665, '320111', '江浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.609,32.0942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29071, 2665, '320111', '珍珠泉', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.646,32.1068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29072, 2665, '320111', '永宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.535,32.1945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29073, 2665, '320111', '高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.71,32.1553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29074, 2665, '320111', '沿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.722,32.1944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29075, 2665, '320111', '顶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.679,32.1173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29076, 2665, '320111', '汤泉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.504,32.1052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29077, 2665, '320111', '桥林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.516,31.9776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29078, 2665, '320111', '泰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.642,32.1418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29079, 2665, '320111', '老山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.58,32.1132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29080, 2665, '320111', '汤泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.501,32.1047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29081, 2665, '320111', '星甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.395,32.0249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29082, 2666, '320114', '板桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.618,31.8733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29083, 2666, '320114', '雨花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.798,31.9866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29084, 2666, '320114', '中国南京软件谷', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.797,31.987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29085, 2666, '320114', '赛虹桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.748,31.9918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29086, 2666, '320114', '梅山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.615,31.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29087, 2666, '320114', '铁心桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.77,31.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29088, 2666, '320114', '雨花经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.619,31.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29089, 2666, '320114', '板桥新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.68,31.9104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29090, 2666, '320114', '西善桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.674,31.9493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29091, 2667, '320115', '湖熟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.976,31.8359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29092, 2667, '320115', '禄口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.928,31.6868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29093, 2667, '320115', '麒麟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.921,32.0778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29094, 2667, '320115', '汤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.021,31.9638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29095, 2667, '320115', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.883,32.0005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29096, 2667, '320115', '谷里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.665,31.8982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29097, 2667, '320115', '秣陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.765,31.913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29098, 2667, '320115', '淳化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.092,31.9339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29099, 2667, '320115', '江宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.621,31.8748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29100, 2667, '320115', '横溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.725,31.7991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29101, 2668, '320117', '洪蓝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.96,31.6425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29102, 2668, '320117', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.186,31.6484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29103, 2668, '320117', '东屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.077,31.775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29104, 2668, '320117', '永阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.992,31.6857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29105, 2668, '320117', '晶桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.061,31.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29106, 2668, '320117', '柘塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.046,31.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29107, 2668, '320117', '和凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.846,31.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29108, 2668, '320117', '溧水开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119,31.677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29109, 2668, '320117', '石湫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.835,31.6301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29110, 2669, '320116', '冶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.865,32.539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29111, 2669, '320116', '程桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.782,32.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29112, 2669, '320116', '雄州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.901,32.2782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29113, 2669, '320116', '六合开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.794,32.2881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29114, 2669, '320116', '长芦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.81,32.2553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29115, 2669, '320116', '葛塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.668,32.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29116, 2669, '320116', '大厂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.733,32.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29117, 2669, '320116', '龙池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.694,32.3173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29118, 2669, '320116', '马鞍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.781,32.3774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29119, 2669, '320116', '金牛湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.991,32.4025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29120, 2669, '320116', '横梁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.009,32.41', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29121, 2669, '320116', '龙袍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.012,32.3001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29122, 2669, '320116', '化工园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.781,32.2708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29123, 2669, '320116', '竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.76,32.5258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29124, 2670, '320118', '漆桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.069,31.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29125, 2670, '320118', '阳江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.72,31.3057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29126, 2670, '320118', '高淳监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.969,31.2376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29127, 2670, '320118', '古柏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.952,31.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29128, 2670, '320118', '固城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.006,31.2353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29129, 2670, '320118', '高淳县茶叶实验场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.051,31.3467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29130, 2670, '320118', '东坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.021,31.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29131, 2670, '320118', '高淳县团结圩良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.866,31.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29132, 2670, '320118', '高淳县傅家坛林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.098,31.2361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29133, 2670, '320118', '桠溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.14,31.2745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29134, 2670, '320118', '砖墙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.834,31.2309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29135, 2670, '320118', '淳溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.858,31.3236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29136, 2671, '320105', '沙洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.73,32.0008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29137, 2671, '320105', '建邺区江东商业文化旅游中心区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.739,32.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29138, 2671, '320105', '中新南京生态科技岛', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.702,31.9944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29139, 2671, '320105', '建邺区河西中央商务区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.712,31.9576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29140, 2671, '320105', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.719,32.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29141, 2671, '320105', '建邺区新城科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.748,31.9918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29142, 2671, '320105', '江心洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.718,32.0836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29143, 2671, '320105', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.741,32.0211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29144, 2671, '320105', '双闸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.695,31.9584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29145, 2671, '320105', '莫愁湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.747,32.0387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29146, 2672, '320106', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.744,32.0583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29147, 2672, '320106', '下关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.751,32.0976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29148, 2672, '320106', '小市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.798,32.104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29149, 2672, '320106', '幕府山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.799,32.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29150, 2672, '320106', '宁海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.753,32.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29151, 2672, '320106', '热河南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.748,32.0813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29152, 2672, '320106', '江东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.728,32.0612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29153, 2672, '320106', '宝塔桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.75,32.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29154, 2672, '320106', '中央门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.76,32.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29155, 2672, '320106', '湖南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.771,32.0736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29156, 2672, '320106', '建宁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.757,32.0975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29157, 2672, '320106', '挹江门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.747,32.0851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29158, 2672, '320106', '华侨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.756,32.0549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29159, 2673, '320104', '月牙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.838,32.0288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29160, 2673, '320104', '双塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.767,32.0193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29161, 2673, '320104', '红花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.831,32.0097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29162, 2673, '320104', '瑞金路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.81,32.0296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29163, 2673, '320104', '朝天宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.765,32.041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29164, 2673, '320104', '五老村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.787,32.0359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29165, 2673, '320104', '夫子庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.791,32.0235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29166, 2673, '320104', '光华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.844,32.0235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29167, 2673, '320104', '洪武路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.784,32.0296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29168, 2673, '320104', '大光路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.801,32.0309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29169, 2673, '320104', '中华门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.764,32.0123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29170, 2673, '320104', '秦虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.804,32.0226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29171, 2673, '320104', '夫管办', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.786,32.0176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29172, 2674, '320113', '马群街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.904,32.0649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29173, 2674, '320113', '栖霞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.904,32.1474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29174, 2674, '320113', '栖霞经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.035,32.145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29175, 2674, '320113', '南京迈皋桥创业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.859,32.0975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29176, 2674, '320113', '南京市马群科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.878,32.0717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29177, 2674, '320113', '南京金港科技创业中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.904,32.1238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29178, 2674, '320113', '南京大学科学园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.955,32.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29179, 2674, '320113', '龙潭监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.057,32.1566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29180, 2674, '320113', '八卦洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.786,32.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29181, 2674, '320113', '燕子矶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.78,32.1289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29182, 2674, '320113', '龙潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.097,32.1812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29183, 2674, '320113', '西岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.012,32.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29184, 2674, '320113', '江苏生命科技创新园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.951,32.128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29185, 2674, '320113', '尧化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.896,32.1629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29186, 2674, '320113', '南京经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.014,32.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29187, 2674, '320113', '迈皋桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.853,32.1052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29188, 2674, '320113', '仙林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.962,32.1351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29189, 2674, '320113', '南京紫东国际创意园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.915,32.0768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29190, 2674, '320113', '南京龙潭物流园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.041,32.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29191, 2674, '320113', '南京市靖安三江口工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.093,32.227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29192, 2675, '320102', '新街口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.784,32.0584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29193, 2675, '320102', '玄武湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.897,32.0947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29194, 2675, '320102', '玄武门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.799,32.0822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29195, 2675, '320102', '锁金村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.798,32.0829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29196, 2675, '320102', '孝陵卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.831,32.0451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29197, 2675, '320102', '红山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.834,32.1046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29198, 2675, '320102', '梅园新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.795,32.041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29199, 2676, '320682', '下原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.623,32.269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29200, 2676, '320682', '石庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.504,32.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29201, 2676, '320682', '白蒲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.783,32.3082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29202, 2676, '320682', '丁堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.72,32.4008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29203, 2676, '320682', '长江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.572,32.1825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29204, 2676, '320682', '九华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.731,32.1648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29205, 2676, '320682', '东陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.697,32.4729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29206, 2676, '320682', '搬经镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.354,32.3569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29207, 2676, '320682', '磨头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.5,32.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29208, 2676, '320682', '江安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.405,32.239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29209, 2676, '320682', '如皋市经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.584,32.4884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29210, 2676, '320682', '如皋高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.669,32.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29211, 2676, '320682', '吴窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.548,32.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29212, 2676, '320682', '如城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.629,32.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29213, 2677, '320684', '三厂工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.228,31.9088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29214, 2677, '320684', '海永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.4,31.8157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29215, 2677, '320684', '江苏省国营江心沙农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.043,31.8133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29216, 2677, '320684', '四甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.23,32.0527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29217, 2677, '320684', '海门高新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.224,31.9235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29218, 2677, '320684', '正余镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.32,32.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29219, 2677, '320684', '海门工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.068,31.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29220, 2677, '320684', '余东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.308,31.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29221, 2677, '320684', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.453,32.0387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29222, 2677, '320684', '海门市经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.181,31.908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29223, 2677, '320684', '常乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.294,31.9805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29224, 2677, '320684', '海门市临江新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.458,31.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29225, 2677, '320684', '海门港新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.525,32.046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29226, 2678, '320685', '南莫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.325,32.6271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29227, 2678, '320685', '海安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.505,32.5548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29228, 2678, '320685', '墩头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.362,32.6868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29229, 2678, '320685', '雅周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.295,32.4397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29230, 2678, '320685', '白甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.311,32.6988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29231, 2678, '320685', '城东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.474,32.4938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29232, 2678, '320685', '曲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.329,32.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29233, 2678, '320685', '李堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.674,32.5913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29234, 2678, '320685', '海安县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.569,32.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29235, 2678, '320685', '大公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.443,32.6385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29236, 2678, '320685', '角斜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.794,32.5786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29237, 2679, '320623', '马塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.043,32.3991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29238, 2679, '320623', '丰利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.01,32.4662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29239, 2679, '320623', '栟茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.831,32.5678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29240, 2679, '320623', '洋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.935,32.589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29241, 2679, '320623', '岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.967,32.4265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29242, 2679, '320623', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.807,32.3946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29243, 2679, '320623', '双甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.742,32.3779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29244, 2679, '320623', '曹埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.04,32.2442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29245, 2679, '320623', '如东洋口港经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.318,32.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29246, 2679, '320623', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.832,32.2504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29247, 2679, '320623', '南通外向型农业综合开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.147,32.4633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29248, 2679, '320623', '大豫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.369,32.3756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29249, 2679, '320623', '长沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.218,32.4232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29250, 2679, '320623', '如东东安科技园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.38,32.2037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29251, 2679, '320623', '如东沿海经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.115,32.5086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29252, 2679, '320623', '袁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.707,32.46', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29253, 2679, '320623', '苴镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.106,32.3823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29254, 2679, '320623', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.256,32.3072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29255, 2679, '320623', '掘港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.239,32.1938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29256, 2680, '320681', '启东经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.604,31.8293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29257, 2680, '320681', '吕四港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.533,32.0887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29258, 2680, '320681', '启东滨江化工园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.501,31.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29259, 2680, '320681', '王鲍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.511,31.9673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29260, 2680, '320681', '近海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.794,31.8415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29261, 2680, '320681', '北新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.482,31.8918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29262, 2680, '320681', '合作镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.653,31.981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29263, 2680, '320681', '东海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.756,31.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29264, 2680, '320681', '惠萍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.67,31.782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29265, 2680, '320681', '海复镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.702,32.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29266, 2680, '320681', '汇龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.638,31.764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29267, 2680, '320681', '寅阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.852,31.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29268, 2680, '320681', '启东滨海工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.828,31.906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29269, 2680, '320681', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.674,31.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29270, 2680, '320681', '启隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.546,31.7295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29271, 2681, '320611', '唐闸镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.798,32.0646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29272, 2681, '320611', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.788,32.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29273, 2681, '320611', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.874,32.11', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29274, 2681, '320611', '天生港镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.793,32.0636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29275, 2681, '320611', '秦灶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.9,32.083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29276, 2681, '320611', '陈桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.836,32.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29277, 2682, '320612', '刘桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.833,32.2402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29278, 2682, '320612', '张芝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.034,31.9451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29279, 2682, '320612', '金新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.038,32.079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29280, 2682, '320612', '二甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.202,32.0209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29281, 2682, '320612', '石港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.89,32.2477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29282, 2682, '320612', '金沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.034,32.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29283, 2682, '320612', '环本农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.33,32.1826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29284, 2682, '320612', '五接镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.682,32.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29285, 2682, '320612', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.996,32.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29286, 2682, '320612', '川姜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.011,31.9839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29287, 2682, '320612', '兴东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.957,32.1024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29288, 2682, '320612', '东社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.253,32.0799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29289, 2682, '320612', '十总镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.049,32.2333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29290, 2682, '320612', '平潮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.715,32.1651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29291, 2682, '320612', '兴仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.897,32.1378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29292, 2682, '320612', '西亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.972,32.1094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29293, 2682, '320612', '三余镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.389,32.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29294, 2683, '320602', '虹桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.841,32.0031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29295, 2683, '320602', '钟秀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.901,32.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29296, 2683, '320602', '任港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.824,32.0173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29297, 2683, '320602', '新开街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.916,31.961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29298, 2683, '320602', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.871,32.0324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29299, 2683, '320602', '中兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.876,31.854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29300, 2683, '320602', '观音山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.964,32.0116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29301, 2683, '320602', '小海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.969,31.8659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29302, 2683, '320602', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.88,31.9988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29303, 2683, '320602', '狼山镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.897,31.9647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29304, 2683, '320602', '南通市富民港种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.975,31.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29305, 2683, '320602', '南通市富民港良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.959,31.8707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29306, 2683, '320602', '和平桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.86,32.0304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29307, 2683, '320602', '江海镇区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.98,31.8678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29308, 2683, '320602', '南通苏通科技产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.002,31.812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29309, 2683, '320602', '竹行街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.053,31.8406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29310, 2683, '320602', '新城桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.863,32.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29311, 2683, '320602', '学田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.889,32.0183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29312, 2684, '320804', '王家营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.961,33.5837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29313, 2684, '320804', '三树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.87,33.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29314, 2684, '320804', '南陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.9,33.528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29315, 2684, '320804', '新渡口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.133,33.6678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29316, 2684, '320804', '古清口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.978,33.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29317, 2684, '320804', '淮安高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.038,33.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29318, 2684, '320804', '刘老庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.036,33.8518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29319, 2684, '320804', '渔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.793,33.6654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29320, 2684, '320804', '丁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.932,33.7954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29321, 2684, '320804', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.935,33.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29322, 2684, '320804', '徐溜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.81,33.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29323, 2684, '320804', '高家堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.828,33.353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29324, 2684, '320804', '淮高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.015,33.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29325, 2684, '320804', '长江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119,33.6289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29326, 2685, '320830', '黄花塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.669,32.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29327, 2685, '320830', '河桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.438,32.9116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29328, 2685, '320830', '淮河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.445,33.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29329, 2685, '320830', '明祖陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.488,33.1977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29330, 2685, '320830', '管仲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.351,33.0905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29331, 2685, '320830', '鲍集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.234,33.1826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29332, 2685, '320830', '马坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.797,33.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29333, 2685, '320830', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.344,33.1186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29334, 2685, '320830', '淮化集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.719,33.0966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29335, 2685, '320830', '铁佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.309,33.1133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29336, 2685, '320830', '旧铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.623,32.8166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29337, 2685, '320830', '观音寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.801,33.0856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29338, 2685, '320830', '三河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.714,33.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29339, 2685, '320830', '官滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.565,33.1413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29340, 2685, '320830', '太和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.585,32.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29341, 2685, '320830', '桂五镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.541,32.8115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29342, 2685, '320830', '古桑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.439,32.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29343, 2685, '320830', '盱城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.523,32.9678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29344, 2685, '320830', '仇集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.439,32.8065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29345, 2685, '320830', '天泉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.621,32.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29346, 2685, '320830', '穆店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.68,32.8751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29347, 2686, '320831', '前锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.168,33.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29348, 2686, '320831', '复兴圩农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.051,32.9296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29349, 2686, '320831', '粮棉原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.012,32.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29350, 2686, '320831', '黎城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.994,33.0034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29351, 2686, '320831', '戴楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.98,33.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29352, 2686, '320831', '银涂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.195,33.0585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29353, 2686, '320831', '金南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.027,32.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29354, 2686, '320831', '宝应湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.2,33.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29355, 2686, '320831', '金湖经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.975,33.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29356, 2686, '320831', '塔集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.208,32.9944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29357, 2686, '320831', '金北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.947,33.1405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29358, 2686, '320831', '吕良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.102,33.2119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29359, 2687, '320813', '高良涧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.99,33.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29360, 2687, '320813', '洪泽经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.899,33.2995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29361, 2687, '320813', '老子山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.575,33.1596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29362, 2687, '320813', '西顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.883,33.3877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29363, 2687, '320813', '黄集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.985,33.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29364, 2687, '320813', '蒋坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.753,33.0858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29365, 2687, '320813', '朱坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.93,33.3044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29366, 2687, '320813', '岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.009,33.1899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29367, 2687, '320813', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.945,33.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29368, 2687, '320813', '东双沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.939,33.2163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29369, 2688, '320826', '麻垛农业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.046,33.9583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29370, 2688, '320826', '成集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.036,33.8518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29371, 2688, '320826', '北集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.443,33.8264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29372, 2688, '320826', '小李集工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.354,33.8416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29373, 2688, '320826', '朱码街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.26,33.8384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29374, 2688, '320826', '保滩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.192,33.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29375, 2688, '320826', '时码街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.345,33.902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29376, 2688, '320826', '方渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.521,34.0289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29377, 2688, '320826', '河网街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.264,33.8589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29378, 2688, '320826', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.242,33.8303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29379, 2688, '320826', '南禄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.553,34.0182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29380, 2688, '320826', '岔庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.207,33.991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29381, 2688, '320826', '灰墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.288,34.0467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29382, 2688, '320826', '陈师街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.131,33.8145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29383, 2688, '320826', '杨口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.159,34.0775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29384, 2688, '320826', '南集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.43,33.7282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29385, 2688, '320826', '余圩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.039,33.9217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29386, 2688, '320826', '大东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.446,33.853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29387, 2688, '320826', '黄营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.485,33.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29388, 2688, '320826', '机场产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.102,33.7625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29389, 2688, '320826', '梁岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.18,33.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29390, 2688, '320826', '浅集街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.342,33.8837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29391, 2688, '320826', '唐集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.518,33.8854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29392, 2688, '320826', '东胡集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.442,33.9397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29393, 2688, '320826', '五港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.378,33.9637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29394, 2688, '320826', '石湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.597,33.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29395, 2688, '320826', '涟城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.393,33.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29396, 2688, '320826', '高沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.265,34.0264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29397, 2688, '320826', '红窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.405,34.0153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29398, 2689, '320812', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.986,33.5979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29399, 2689, '320812', '柳树湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.986,33.6042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29400, 2689, '320812', '南马厂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.192,33.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29401, 2689, '320812', '府前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.005,33.6101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29402, 2689, '320812', '淮海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.018,33.6178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29403, 2689, '320812', '长西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.009,33.5957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29404, 2689, '320812', '闸口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.037,33.593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29405, 2689, '320812', '钵池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.066,33.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29406, 2689, '320812', '清河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.1,33.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29407, 2689, '320812', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.971,33.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29408, 2689, '320812', '清安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.032,33.5798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29409, 2689, '320812', '水渡口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.09,33.6001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29410, 2689, '320812', '长东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.036,33.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29411, 2689, '320812', '清江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.02,33.5875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29412, 2689, '320812', '浦楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.989,33.578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29413, 2689, '320812', '徐杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.175,33.6247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29414, 2689, '320812', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.104,33.5723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29415, 2689, '320812', '黄码镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.033,33.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29416, 2689, '320812', '武墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.015,33.498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29417, 2689, '320812', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.038,33.4526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29418, 2689, '320812', '宁连路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.007,33.4603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29419, 2689, '320812', '盐河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.034,33.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29420, 2689, '320812', '广州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.122,33.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29421, 2690, '320803', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.379,33.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29422, 2690, '320803', '顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.258,33.6392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29423, 2690, '320803', '白马湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.133,33.3134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29424, 2690, '320803', '朱桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.287,33.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29425, 2690, '320803', '流均镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.519,33.4922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29426, 2690, '320803', '范集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.991,33.3637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29427, 2690, '320803', '淮城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.137,33.5134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29428, 2690, '320803', '苏嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.364,33.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29429, 2690, '320803', '施河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.398,33.4168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29430, 2690, '320803', '钦工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.311,33.7339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29431, 2690, '320803', '山阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.216,33.6184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29432, 2690, '320803', '漕运镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.145,33.2902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29433, 2690, '320803', '平桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.277,33.3592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29434, 2690, '320803', '车桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.394,33.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29435, 2690, '320803', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.265,33.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29436, 2690, '320803', '博里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.478,33.4864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29437, 2690, '320803', '河下街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.136,33.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29438, 2691, '321003', '邗上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.386,32.3973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29439, 2691, '321003', '瘦西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.455,32.4231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29440, 2691, '321003', '新城西区新盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.353,32.413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29441, 2691, '321003', '扬子津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.427,32.3709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29442, 2691, '321003', '维扬经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.391,32.4537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29443, 2691, '321003', '汊河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.348,32.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29444, 2691, '321003', '梅岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.445,32.4162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29445, 2691, '321003', '朴席镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.283,32.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29446, 2691, '321003', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.332,32.4324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29447, 2691, '321003', '蒋王街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.351,32.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29448, 2691, '321003', '杨庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.311,32.4703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29449, 2691, '321003', '方巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.382,32.5605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29450, 2691, '321003', '瓜洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.361,32.2596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29451, 2691, '321003', '八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.43,32.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29452, 2691, '321003', '甘泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.311,32.4884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29453, 2691, '321003', '文汇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.419,32.3854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29454, 2691, '321003', '物流园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.47,32.4453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29455, 2691, '321003', '施桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.443,32.2996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29456, 2691, '321003', '城北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.437,32.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29457, 2691, '321003', '杨寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.291,32.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29458, 2691, '321003', '公道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.302,32.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29459, 2691, '321003', '槐泗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.432,32.5134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29460, 2691, '321003', '双桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.398,32.4182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29461, 2691, '321003', '平山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.451,32.463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29462, 2692, '321002', '李典镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.55,32.3206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29463, 2692, '321002', '沙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.487,32.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29464, 2692, '321002', '泰安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.483,32.5138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29465, 2692, '321002', '头桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.626,32.3114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29466, 2692, '321002', '湾头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.515,32.4279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29467, 2692, '321002', '杭集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.55,32.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29468, 2692, '321002', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.433,32.373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29469, 2692, '321002', '曲江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.453,32.3823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29470, 2692, '321002', '汶河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.427,32.3961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29471, 2692, '321002', '汤汪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.448,32.3615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29472, 2692, '321002', '产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.479,32.3791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29473, 2692, '321002', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.437,32.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29474, 2693, '321081', '铜山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.065,32.3673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29475, 2693, '321081', '原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.058,32.2824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29476, 2693, '321081', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.242,32.4691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29477, 2693, '321081', '大仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.229,32.5905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29478, 2693, '321081', '园艺试验场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.079,32.2922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29479, 2693, '321081', '水产试验场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.059,32.2749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29480, 2693, '321081', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.263,32.3943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29481, 2693, '321081', '化学工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.143,32.2782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29482, 2693, '321081', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.183,32.4062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29483, 2693, '321081', '真州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.178,32.3237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29484, 2693, '321081', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.238,32.3519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29485, 2693, '321081', '汽车工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.207,32.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29486, 2693, '321081', '蚕种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.066,32.2776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29487, 2693, '321081', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.283,32.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29488, 2693, '321081', '捺山茶场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.147,32.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29489, 2693, '321081', '月塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.198,32.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29490, 2693, '321081', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.074,32.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29491, 2693, '321081', '十二圩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.257,32.2835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29492, 2693, '321081', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.142,32.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29493, 2694, '321084', '高邮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.503,32.797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29494, 2694, '321084', '界首镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.477,32.9891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29495, 2694, '321084', '甘垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.718,32.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29496, 2694, '321084', '龙虬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.478,32.8814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29497, 2694, '321084', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.494,32.9008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29498, 2694, '321084', '送桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.259,32.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29499, 2694, '321084', '三垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.565,32.9379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29500, 2694, '321084', '菱塘光电科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.26,32.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29501, 2694, '321084', '汤庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.684,32.7884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29502, 2694, '321084', '菱塘回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.185,32.8274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29503, 2694, '321084', '临泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.635,33.0866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29504, 2694, '321084', '卸甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.507,32.7701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29505, 2694, '321084', '城南经济新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.446,32.7278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29506, 2694, '321084', '车逻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.502,32.7266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29507, 2694, '321084', '周山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.479,32.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29508, 2695, '321023', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.349,33.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29509, 2695, '321023', '小官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.46,33.2095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29510, 2695, '321023', '夏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.515,33.1115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29511, 2695, '321023', '柳堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.605,33.1751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29512, 2695, '321023', '氾水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.469,33.1075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29513, 2695, '321023', '黄塍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.358,33.3299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29514, 2695, '321023', '西安丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.458,33.4017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29515, 2695, '321023', '曹甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.355,33.3706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29516, 2695, '321023', '山阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.212,33.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29517, 2695, '321023', '广洋湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.627,33.2567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29518, 2695, '321023', '安宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.264,33.2317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29519, 2695, '321023', '鲁垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.584,33.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29520, 2695, '321023', '泾河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.345,33.3717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29521, 2695, '321023', '射阳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.614,33.3466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29522, 2695, '321023', '望直港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.506,33.2703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29523, 2696, '321012', '丁伙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.595,32.5635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29524, 2696, '321012', '邵伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.568,32.516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29525, 2696, '321012', '真武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.527,32.6438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29526, 2696, '321012', '小纪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.828,32.6741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29527, 2696, '321012', '吴桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.73,32.3964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29528, 2696, '321012', '樊川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.723,32.7032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29529, 2696, '321012', '丁沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.667,32.5979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29530, 2696, '321012', '宜陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.668,32.5314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29531, 2696, '321012', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.777,32.4108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29532, 2696, '321012', '仙女镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.539,32.4968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29533, 2696, '321012', '郭村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.838,32.5589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29534, 2696, '321012', '武坚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.781,32.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29535, 2696, '321012', '立新农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.632,32.7092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29536, 2696, '321012', '浦头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.805,32.3556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29537, 2697, '321282', '城北园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.287,32.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29538, 2697, '321282', '生祠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.056,32.0417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29539, 2697, '321282', '西来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.384,32.0852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29540, 2697, '321282', '滨江新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.28,32.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29541, 2697, '321282', '江阴园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.225,31.9507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29542, 2697, '321282', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.204,31.9723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29543, 2697, '321282', '马桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.209,32.087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29544, 2697, '321282', '孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.243,32.0965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29545, 2697, '321282', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.079,32.0312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29546, 2697, '321282', '斜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.321,32.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29547, 2697, '321282', '靖城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.286,32.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29548, 2697, '321282', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.157,32.0143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29549, 2697, '321282', '季市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.289,32.1019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29550, 2698, '321283', '根思乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.031,32.2806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29551, 2698, '321283', '河失镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.114,32.2093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29552, 2698, '321283', '宣堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.949,32.3167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29553, 2698, '321283', '分界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.312,32.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29554, 2698, '321283', '古溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.351,32.3769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29555, 2698, '321283', '珊瑚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.334,32.2056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29556, 2698, '321283', '张桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.105,32.1519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29557, 2698, '321283', '广陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.233,32.0913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29558, 2698, '321283', '黄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.252,32.1772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29559, 2698, '321283', '滨江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.992,32.199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29560, 2698, '321283', '虹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.046,32.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29561, 2698, '321283', '姚王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.095,32.2344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29562, 2698, '321283', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.071,32.3376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29563, 2698, '321283', '曲霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.189,32.1278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29564, 2698, '321283', '元竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.178,32.3569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29565, 2698, '321283', '济川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.059,32.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29566, 2699, '321281', '大垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.998,32.9365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29567, 2699, '321281', '张郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.153,32.7462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29568, 2699, '321281', '周庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.863,32.7265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29569, 2699, '321281', '戴窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.203,32.9648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29570, 2699, '321281', '合陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.263,33.0607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29571, 2699, '321281', '钓鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.884,33.0543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29572, 2699, '321281', '林湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.988,32.9991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29573, 2699, '321281', '陈堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.855,32.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29574, 2699, '321281', '荻垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.091,32.9207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29575, 2699, '321281', '中堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.774,33.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29576, 2699, '321281', '茅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.963,32.7428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29577, 2699, '321281', '垛田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.9,32.9626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29578, 2699, '321281', '沈沦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.952,32.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29579, 2699, '321281', '大邹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.957,33.152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29580, 2699, '321281', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.122,33.0401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29581, 2699, '321281', '陶庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.143,32.9348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29582, 2699, '321281', '海南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.009,33.0945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29583, 2699, '321281', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.231,33.1123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29584, 2699, '321281', '戴南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.051,32.8005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29585, 2699, '321281', '昌荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.041,32.9491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29586, 2699, '321281', '新垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.17,33.1359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29587, 2699, '321281', '竹泓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.999,32.9286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29588, 2699, '321281', '兴东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.966,33.0104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29589, 2699, '321281', '昭阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.869,32.9495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29590, 2699, '321281', '千垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.71,33.0758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29591, 2699, '321281', '临城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.892,32.8079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29592, 2699, '321281', '沙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.643,33.1345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29593, 2699, '321281', '安丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.114,33.0678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29594, 2700, '321204', '大伦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.234,32.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29595, 2700, '321204', '娄庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.206,32.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29596, 2700, '321204', '俞垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.95,32.6717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29597, 2700, '321204', '顾高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.167,32.4177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29598, 2700, '321204', '张甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.007,32.452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29599, 2700, '321204', '淤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.942,32.59', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29600, 2700, '321204', '白米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.268,32.5023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29601, 2700, '321204', '沈高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.161,32.5755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29602, 2700, '321204', '蒋垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.217,32.3517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29603, 2700, '321204', '天目山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.104,32.5499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29604, 2700, '321204', '溱潼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.096,32.69', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29605, 2700, '321204', '罗塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.172,32.4275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29606, 2700, '321204', '三水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.099,32.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29607, 2700, '321204', '梁徐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,32.407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29608, 2701, '321203', '大泗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.969,32.3836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29609, 2701, '321203', '胡庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120,32.3315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29610, 2701, '321203', '沿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.848,32.3255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29611, 2701, '321203', '口岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.904,32.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29612, 2701, '321203', '许庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.92,32.3648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29613, 2701, '321203', '野徐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.931,32.3677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29614, 2701, '321203', '永安洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.91,32.2645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29615, 2701, '321203', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.012,32.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29616, 2701, '321203', '刁铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.863,32.3433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29617, 2702, '321202', '罡杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.831,32.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29618, 2702, '321202', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.906,32.4803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29619, 2702, '321202', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.877,32.5535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29620, 2702, '321202', '明珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.861,32.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29621, 2702, '321202', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.011,32.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29622, 2702, '321202', '华港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.831,32.6356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29623, 2702, '321202', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.821,32.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29624, 2702, '321202', '京泰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.948,32.5082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29625, 2702, '321202', '苏陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.986,32.4614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29626, 2702, '321202', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.97,32.4474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29627, 2702, '321202', '城北物流园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.871,32.5155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29628, 2702, '321202', '医药城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.906,32.3824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29629, 2702, '321202', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.916,32.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29630, 2702, '321202', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.919,32.4739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29631, 2702, '321202', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.914,32.5628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29632, 2702, '321202', '寺巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.849,32.4011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29633, 2703, '320923', '新沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.683,33.7654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29634, 2703, '320923', '陈良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.748,33.7133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29635, 2703, '320923', '益林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.588,33.6176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29636, 2703, '320923', '郭墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.745,33.8512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29637, 2703, '320923', '芦蒲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.513,33.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29638, 2703, '320923', '羊寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.639,33.9025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29639, 2703, '320923', '三灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.79,33.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29640, 2703, '320923', '沟墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.959,33.7185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29641, 2703, '320923', '东沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.662,33.7079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29642, 2703, '320923', '古河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.58,33.6326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29643, 2703, '320923', '陈集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.597,33.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29644, 2703, '320923', '阜城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.979,33.8108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29645, 2703, '320923', '板湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.643,33.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29646, 2703, '320923', '罗桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.531,33.495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29647, 2703, '320923', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.812,33.7657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29648, 2703, '320923', '金沙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.778,33.7514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29649, 2704, '320922', '陈涛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.952,34.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29650, 2704, '320922', '滨淮农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.043,34.2543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29651, 2704, '320922', '新滩盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.184,34.3579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29652, 2704, '320922', '滨淮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.075,34.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29653, 2704, '320922', '正红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.869,33.9107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29654, 2704, '320922', '滨海县现代农业产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.759,34.0135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29655, 2704, '320922', '天场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.702,33.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29656, 2704, '320922', '五汛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.046,33.9932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29657, 2704, '320922', '蔡桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.933,33.9339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29658, 2704, '320922', '开发区工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,33.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29659, 2704, '320922', '界牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.899,34.0777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29660, 2704, '320922', '通榆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.932,33.9664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29661, 2704, '320922', '八巨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.975,34.1285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29662, 2704, '320922', '滨海港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.203,34.1029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29663, 2704, '320922', '开发区沿海工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.049,34.3203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29664, 2704, '320922', '滨海港经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.146,34.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29665, 2704, '320922', '八滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.044,34.1654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29666, 2704, '320922', '坎南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.845,33.9912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29667, 2704, '320922', '坎北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.77,34.0506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29668, 2704, '320922', '东坎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.889,34.0473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29669, 2705, '320924', '盘湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.168,33.5886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29670, 2705, '320924', '特庸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.352,33.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29671, 2705, '320924', '兴桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.172,33.6038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29672, 2705, '320924', '新坍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.032,33.6336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29673, 2705, '320924', '黄沙港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.37,33.7442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29674, 2705, '320924', '千秋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.152,33.9619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29675, 2705, '320924', '长荡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.15,33.6176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29676, 2705, '320924', '海河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.981,33.8068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29677, 2705, '320924', '新洋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.325,33.7046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29678, 2705, '320924', '盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.387,33.6595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29679, 2705, '320924', '四明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.01,33.9343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29680, 2705, '320924', '海通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.295,33.7974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29681, 2705, '320924', '县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.306,33.793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29682, 2705, '320924', '临海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.308,33.9619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29683, 2705, '320924', '淮海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.239,34.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29684, 2705, '320924', '洋马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.312,33.6318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29685, 2705, '320924', '合德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.083,33.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29686, 2705, '320924', '临海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.299,34.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29687, 2705, '320924', '射阳港经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.579,33.6533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29688, 2706, '320925', '宝塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.728,33.6347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29689, 2706, '320925', '沿河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.834,33.3493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29690, 2706, '320925', '九龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.613,33.4319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29691, 2706, '320925', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.849,33.513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29692, 2706, '320925', '恒济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.61,33.3427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29693, 2706, '320925', '近湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.884,33.4495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29694, 2706, '320925', '颜单镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.691,33.3982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29695, 2706, '320925', '建阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.702,33.5202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29696, 2706, '320925', '庆丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.863,33.4691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29697, 2706, '320925', '芦沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.86,33.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29698, 2706, '320925', '上冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.971,33.6471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29699, 2706, '320925', '冈西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.896,33.5922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29700, 2706, '320925', '高作镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.731,33.6044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29701, 2706, '320925', '高新技术经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.737,33.4424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29702, 2707, '320902', '黄海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.173,33.3559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29703, 2707, '320902', '毓龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.155,33.413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29704, 2707, '320902', '环保产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.314,33.4695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29705, 2707, '320902', '五星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.144,33.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29706, 2707, '320902', '新洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.064,33.3955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29707, 2707, '320902', '亭湖新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.225,33.4347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29708, 2707, '320902', '新河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.19,33.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29709, 2707, '320902', '盐东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.376,33.5095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29710, 2707, '320902', '黄尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.443,33.6037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29711, 2707, '320902', '便仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.206,33.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29712, 2707, '320902', '南洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.308,33.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29713, 2707, '320902', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.148,33.4323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29714, 2707, '320902', '伍佑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.194,33.279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29715, 2707, '320902', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.117,33.3983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29716, 2707, '320902', '大洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.172,33.4126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29717, 2707, '320902', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.121,33.3793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29718, 2707, '320902', '步凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.366,33.376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29719, 2707, '320902', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.266,33.3221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29720, 2708, '320903', '鞍湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.958,33.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29721, 2708, '320903', '盐龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.035,33.3399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29722, 2708, '320903', '尚庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.018,33.1826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29723, 2708, '320903', '中兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.937,33.36', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29724, 2708, '320903', '新都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.216,33.3112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29725, 2708, '320903', '大冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.185,33.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29726, 2708, '320903', '郭猛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.009,33.2947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29727, 2708, '320903', '龙冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.925,33.3295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29728, 2708, '320903', '学富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.894,33.3641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29729, 2708, '320903', '楼王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.72,33.29', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29730, 2708, '320903', '新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.17,33.3083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29731, 2708, '320903', '张庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.073,33.3981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29732, 2708, '320903', '农村经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.062,33.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29733, 2708, '320903', '大纵湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.745,33.152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29734, 2708, '320903', '北蒋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.022,33.2568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29735, 2708, '320903', '葛武街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.967,33.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29736, 2708, '320903', '潘黄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.071,33.2683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29737, 2708, '320903', '北龙港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,33.2474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29738, 2708, '320903', '冈中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.173,33.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29739, 2708, '320903', '滨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.853,33.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29740, 2708, '320903', '秦南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.986,33.2719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29741, 2709, '320981', '时堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.197,32.6847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29742, 2709, '320981', '头灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.529,32.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29743, 2709, '320981', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.325,32.9252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29744, 2709, '320981', '西溪景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.276,32.8355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29745, 2709, '320981', '溱东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.151,32.7008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29746, 2709, '320981', '梁垛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.319,32.804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29747, 2709, '320981', '南沈灶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.452,32.7635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29748, 2709, '320981', '江苏省新曹农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.793,32.8551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29749, 2709, '320981', '五烈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.195,32.8674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29750, 2709, '320981', '安丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.405,32.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29751, 2709, '320981', '富安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.57,32.7469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29752, 2709, '320981', '唐洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.629,32.6799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29753, 2709, '320981', '东台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.413,32.9343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29754, 2709, '320981', '城东新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.424,32.8995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29755, 2709, '320981', '许河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.638,32.7449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29756, 2709, '320981', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.749,32.6466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29757, 2709, '320981', '江苏省农垦弶港农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.829,32.7185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29758, 2709, '320981', '三仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.641,32.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29759, 2709, '320981', '沿海经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.895,32.7164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29760, 2709, '320981', '弶港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.853,32.7081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29761, 2710, '320904', '草堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.371,32.9675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29762, 2710, '320904', '新丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.458,33.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29763, 2710, '320904', '白驹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.323,33.1004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29764, 2710, '320904', '大丰港经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.699,32.9677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29765, 2710, '320904', '万盈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.587,32.969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29766, 2710, '320904', '西团镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.433,33.1427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29767, 2710, '320904', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.593,33.0061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29768, 2710, '320904', '东坝头农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.646,33.1722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29769, 2710, '320904', '丰华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.547,33.1937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29770, 2710, '320904', '三龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.42,33.4003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29771, 2710, '320904', '小海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.532,33.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29772, 2710, '320904', '大丰常州高新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.39,33.1589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29773, 2710, '320904', '草庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.733,32.9691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29774, 2710, '320904', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.643,33.1724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29775, 2710, '320904', '方强农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.549,33.5381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29776, 2710, '320904', '大中农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.664,33.0887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29777, 2710, '320904', '刘庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.253,33.1897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29778, 2710, '320904', '大丰经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.398,33.1538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29779, 2710, '320904', '大中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.679,33.2139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29780, 2711, '320921', '大有镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.056,34.3283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29781, 2711, '320921', '双港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.678,34.1951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29782, 2711, '320921', '陈家港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,34.379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29783, 2711, '320921', '省属黄海农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.963,34.224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29784, 2711, '320921', '小尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.535,34.1447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29785, 2711, '320921', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.513,34.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29786, 2711, '320921', '黄圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.571,34.019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29787, 2711, '320921', '运河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.739,34.1424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29788, 2711, '320921', '县开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.669,34.2281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29789, 2711, '320921', '省属灌东盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,34.384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29790, 2711, '320921', '南河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.75,34.2646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29791, 2712, '321182', '西来桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.905,32.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29792, 2712, '321182', '三茅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.776,32.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29793, 2712, '321182', '新坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.796,32.22', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29794, 2712, '321182', '油坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.837,32.1773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29795, 2712, '321182', '八桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.861,32.1393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29796, 2712, '321182', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.822,32.193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29797, 2713, '321111', '官塘桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.465,32.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29798, 2713, '321111', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.425,32.2157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29799, 2713, '321111', '蒋乔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.433,32.1442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29800, 2713, '321111', '南山联合社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.433,32.1622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29801, 2713, '321111', '和平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.388,32.2158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29802, 2713, '321111', '宝塔路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.446,32.2097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29803, 2713, '321111', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.357,32.1792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29804, 2713, '321111', '韦岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,32.0865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29805, 2713, '321111', '七里甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.469,32.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29806, 2714, '321112', '荣炳盐资源区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.371,31.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29807, 2714, '321112', '宝堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.343,31.9369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29808, 2714, '321112', '上党镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.405,32.0969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29809, 2714, '321112', '宜城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.348,32.1354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29810, 2714, '321112', '辛丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.532,32.1524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29811, 2714, '321112', '世业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.332,32.2333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29812, 2714, '321112', '谷阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.524,32.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29813, 2714, '321112', '高资街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.249,32.1343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29814, 2714, '321112', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.628,32.2507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29815, 2714, '321112', '江心洲生态农业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.622,32.2404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29816, 2715, '321102', '四牌楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.467,32.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29817, 2715, '321102', '丁卯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.527,32.1849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29818, 2715, '321102', '姚桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.736,32.1643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29819, 2715, '321102', '丁岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.644,32.1263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29820, 2715, '321102', '正东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.486,32.2003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29821, 2715, '321102', '共青团农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.546,32.2764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29822, 2715, '321102', '京口工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.529,32.1599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29823, 2715, '321102', '大路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.719,32.1781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29824, 2715, '321102', '大市口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.481,32.2189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29825, 2715, '321102', '健康路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.483,32.2075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29826, 2715, '321102', '谏壁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.62,32.1268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29827, 2715, '321102', '象山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.505,32.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29828, 2715, '321102', '大港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.703,32.147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29829, 2716, '321181', '皇塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.722,31.8119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29830, 2716, '321181', '经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.621,32.0636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29831, 2716, '321181', '界牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.86,32.0529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29832, 2716, '321181', '陵口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.67,31.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29833, 2716, '321181', '延陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.417,31.9415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29834, 2716, '321181', '访仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.764,32.0335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29835, 2716, '321181', '云阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.567,32.007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29836, 2716, '321181', '司徒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.444,32.0384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29837, 2716, '321181', '珥陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.566,31.8554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29838, 2716, '321181', '导墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.679,31.8745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29839, 2716, '321181', '丹北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.648,32.1041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29840, 2716, '321181', '吕城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.768,31.9456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29841, 2717, '321183', '下蜀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.091,32.0942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29842, 2717, '321183', '后白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.159,31.8945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29843, 2717, '321183', '茅山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,31.9206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29844, 2717, '321183', '边城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.251,32.1208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29845, 2717, '321183', '天王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.129,31.734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29846, 2717, '321183', '茅山', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.247,31.8242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29847, 2717, '321183', '赤山湖', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.029,31.8504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29848, 2717, '321183', '白兔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.242,31.9229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29849, 2717, '321183', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.115,31.9892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29850, 2717, '321183', '郭庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.019,31.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29851, 2717, '321183', '宝华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.053,32.1614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29852, 2717, '321183', '华阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.228,31.9544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29853, 2718, '320582', '塘桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.593,31.8121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29854, 2718, '320582', '张家港市现代农业示范园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.772,31.8977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29855, 2718, '320582', '南丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.636,31.8899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29856, 2718, '320582', '张家港经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.525,31.8884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29857, 2718, '320582', '乐余镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.687,31.9116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29858, 2718, '320582', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.524,31.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29859, 2718, '320582', '张家港市畜禽良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.802,31.8834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29860, 2718, '320582', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.587,31.7754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29861, 2718, '320582', '张家港市市稻麦良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.751,31.891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29862, 2718, '320582', '锦丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.57,31.9124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29863, 2718, '320582', '金港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.475,32.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29864, 2718, '320582', '张家港保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.447,31.9421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29865, 2718, '320582', '杨舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.515,31.9387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29866, 2718, '320582', '张家港市冶金工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.621,31.9605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29867, 2719, '320505', '横塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.516,31.384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29868, 2719, '320505', '苏州高新技术创业服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.537,31.2769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29869, 2719, '320505', '通安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.389,31.3664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29870, 2719, '320505', '苏州高新区综合保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.519,31.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29871, 2719, '320505', '枫桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.491,31.3204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29872, 2719, '320505', '东渚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.432,31.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29873, 2719, '320505', '苏州科技城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.442,31.3143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29874, 2719, '320505', '高新区浒墅关开发分区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.489,31.3168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29875, 2719, '320505', '镇湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.365,31.3532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29876, 2719, '320505', '狮山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.517,31.3386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29877, 2719, '320505', '浒墅关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.54,31.3724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29878, 2720, '320585', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.094,31.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29879, 2720, '320585', '浮桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.163,31.583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29880, 2720, '320585', '浏河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.217,31.5531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29881, 2720, '320585', '双凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.023,31.5332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29882, 2720, '320585', '璜泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.041,31.6484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29883, 2720, '320585', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.071,31.5095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29884, 2720, '320585', '娄东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.194,31.5018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29885, 2720, '320585', '科教新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.132,31.4036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29886, 2721, '320508', '白洋湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.565,31.3728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29887, 2721, '320508', '苏锦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.579,31.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29888, 2721, '320508', '虎丘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.573,31.3268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29889, 2721, '320508', '沧浪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.6,31.2989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29890, 2721, '320508', '平江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.623,31.341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29891, 2721, '320508', '双塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.653,31.2802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29892, 2721, '320508', '吴门桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.589,31.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29893, 2721, '320508', '金阊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.608,31.3238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29894, 2722, '320509', '七都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.467,31.0209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29895, 2722, '320509', '桃源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.51,30.8741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29896, 2722, '320509', '同里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.741,31.2089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29897, 2722, '320509', '黎里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.876,30.997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29898, 2722, '320509', '平望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.661,31.0333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29899, 2722, '320509', '盛泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.548,30.8657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29900, 2722, '320509', '东方丝绸市场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.65,30.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29901, 2722, '320509', '震泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.535,30.9557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29902, 2722, '320509', '横扇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.514,30.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29903, 2722, '320509', '松陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.625,31.0781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29904, 2722, '320509', '江陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.722,31.1312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29905, 2722, '320509', '八坼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.652,31.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29906, 2723, '320507', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.557,31.4467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29907, 2723, '320507', '北桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.608,31.4801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29908, 2723, '320507', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.664,31.4342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29909, 2723, '320507', '阳澄湖生态休闲旅游度假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.753,31.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29910, 2723, '320507', '苏州高铁新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.637,31.4208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29911, 2723, '320507', '阳澄湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.754,31.4883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29912, 2723, '320507', '黄桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.567,31.4152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29913, 2723, '320507', '元和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.664,31.3849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29914, 2723, '320507', '望亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.481,31.4498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29915, 2723, '320507', '渭塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.652,31.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29916, 2723, '320507', '黄埭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.495,31.4506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29917, 2724, '320571', '胜浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.861,31.3172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29918, 2724, '320571', '唯亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.831,31.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29919, 2724, '320571', '苏州工业园区直属镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.72,31.3276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29920, 2724, '320571', '斜塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.763,31.2365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29921, 2724, '320571', '娄葑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.648,31.3176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29922, 2725, '320581', '碧溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.948,31.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29923, 2725, '320581', '常熟经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.975,31.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29924, 2725, '320581', '尚湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.594,31.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29925, 2725, '320581', '梅李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.836,31.7755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29926, 2725, '320581', '海虞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.73,31.7905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29927, 2725, '320581', '辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.565,31.6086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29928, 2725, '320581', '支塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.933,31.6206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29929, 2725, '320581', '沙家浜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.74,31.5404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29930, 2725, '320581', '董浜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.937,31.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29931, 2725, '320581', '江苏省常熟高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.77,31.5671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29932, 2725, '320581', '古里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.857,31.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29933, 2725, '320581', '莫城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.739,31.5557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29934, 2725, '320581', '虞山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.72,31.6805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29935, 2725, '320581', '琴川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.801,31.6235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29936, 2725, '320581', '常福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.69,31.6877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29937, 2726, '320506', '长桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.623,31.2658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29938, 2726, '320506', '龙西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.621,31.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29939, 2726, '320506', '临湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.342,31.263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29940, 2726, '320506', '苏苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.623,31.2738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29941, 2726, '320506', '穹窿山风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.428,31.2533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29942, 2726, '320506', '胥口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.455,31.231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29943, 2726, '320506', '横泾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.518,31.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29944, 2726, '320506', '香山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.426,31.2537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29945, 2726, '320506', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.662,31.2202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29946, 2726, '320506', '木渎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.435,31.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29947, 2726, '320506', '越溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.575,31.2308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29948, 2726, '320506', '郭巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.655,31.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29949, 2726, '320506', '甪直镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.897,31.2351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29950, 2726, '320506', '金庭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.307,31.1534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29951, 2726, '320506', '光福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.434,31.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29952, 2726, '320506', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.331,31.0424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29953, 2727, '320583', '巴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.901,31.432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29954, 2727, '320583', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.914,31.419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29955, 2727, '320583', '陆家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.085,31.3239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29956, 2727, '320583', '千灯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.988,31.2903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29957, 2727, '320583', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.968,31.3792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29958, 2727, '320583', '张浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.923,31.2181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29959, 2727, '320583', '淀山湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.051,31.1955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29960, 2727, '320583', '锦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.931,31.2216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29961, 2727, '320583', '周市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.046,31.4295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29962, 2727, '320583', '周庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.816,31.1714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29963, 2727, '320583', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.083,31.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29964, 2728, '320213', '广瑞路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.316,31.6064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29965, 2728, '320213', '黄巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.274,31.5867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29966, 2728, '320213', '崇安寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.293,31.5719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29967, 2728, '320213', '通江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.311,31.6001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29968, 2728, '320213', '山北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.245,31.603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29969, 2728, '320213', '扬名街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.301,31.556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29970, 2728, '320213', '广益街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.321,31.6015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29971, 2728, '320213', '惠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.261,31.587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29972, 2728, '320213', '金匮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.322,31.5348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29973, 2728, '320213', '上马墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.312,31.5842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29974, 2728, '320213', '金星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.297,31.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29975, 2728, '320213', '江海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.329,31.5797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29976, 2728, '320213', '北大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.306,31.5968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29977, 2728, '320213', '迎龙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.296,31.5562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29978, 2728, '320213', '南禅寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.315,31.5789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29979, 2728, '320213', '清名桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.315,31.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29980, 2729, '320214', '无锡高新区综合保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.395,31.5353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29981, 2729, '320214', '无锡新加坡工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.38,31.5432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29982, 2729, '320214', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.388,31.4618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29983, 2729, '320214', '梅村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.434,31.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29984, 2729, '320214', '鸿山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.467,31.4844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29985, 2729, '320214', '硕放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.475,31.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29986, 2729, '320214', '无锡高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.467,31.5219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29987, 2729, '320214', '无锡太湖国际科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.364,31.4851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29988, 2729, '320214', '旺庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.367,31.5233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29989, 2729, '320214', '江溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.372,31.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29990, 2730, '320281', '云亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.356,31.8942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29991, 2730, '320281', '南闸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.231,31.8722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29992, 2730, '320281', '临港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.056,31.8629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29993, 2730, '320281', '祝塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.42,31.7967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29994, 2730, '320281', '长泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.483,31.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29995, 2730, '320281', '江阴高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.387,31.9241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29996, 2730, '320281', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.516,31.8338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29997, 2730, '320281', '青阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.272,31.8004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29998, 2730, '320281', '江苏江阴—靖江工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.238,31.9592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (29999, 2730, '320281', '周庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.392,31.8987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30000, 2730, '320281', '徐霞客镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.352,31.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30001, 2730, '320281', '顾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.534,31.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30002, 2730, '320281', '澄江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.218,31.8911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30003, 2730, '320281', '璜土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.003,31.8977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30004, 2730, '320281', '月城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.181,31.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30005, 2730, '320281', '华士镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.459,31.8915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30006, 2731, '320211', '蠡湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.263,31.5409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30007, 2731, '320211', '蠡园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.202,31.5581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30008, 2731, '320211', '太湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.311,31.5221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30009, 2731, '320211', '华庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.318,31.498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30010, 2731, '320211', '荣巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.215,31.5914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30011, 2731, '320211', '胡埭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.104,31.5282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30012, 2731, '320211', '马山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.134,31.5167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30013, 2731, '320211', '河埒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.269,31.5759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30014, 2731, '320211', '雪浪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.295,31.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30015, 2732, '320282', '杨巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.645,31.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30016, 2732, '320282', '新建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.643,31.5864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30017, 2732, '320282', '丁蜀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.756,31.2821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30018, 2732, '320282', '和桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.877,31.5482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30019, 2732, '320282', '新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.671,31.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30020, 2732, '320282', '太华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.57,31.2167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30021, 2732, '320282', '高塍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.853,31.471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30022, 2732, '320282', '屺亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.884,31.465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30023, 2732, '320282', '西渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.53,31.2546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30024, 2732, '320282', '宜城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.883,31.3369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30025, 2732, '320282', '湖父镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.767,31.2607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30026, 2732, '320282', '周铁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.988,31.4778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30027, 2732, '320282', '徐舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.537,31.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30028, 2732, '320282', '张渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.592,31.2227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30029, 2732, '320282', '新庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.898,31.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30030, 2732, '320282', '万石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.957,31.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30031, 2732, '320282', '芳桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.956,31.387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30032, 2732, '320282', '官林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.679,31.5228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30033, 2733, '320205', '东港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.549,31.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30034, 2733, '320205', '鹅湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.513,31.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30035, 2733, '320205', '无锡锡山开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.418,31.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30036, 2733, '320205', '东亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.343,31.5965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30037, 2733, '320205', '东北塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.346,31.6463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30038, 2733, '320205', '锡北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.413,31.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30039, 2733, '320205', '羊尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.55,31.6608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30040, 2733, '320205', '安镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.425,31.6277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30041, 2734, '320206', '钱桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.199,31.6153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30042, 2734, '320206', '前洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.169,31.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30043, 2734, '320206', '玉祁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.163,31.7605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30044, 2734, '320206', '堰桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.374,31.6609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30045, 2734, '320206', '洛社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.131,31.6557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30046, 2734, '320206', '无锡惠山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.296,31.6809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30047, 2734, '320206', '阳山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.135,31.6141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30048, 2735, '320413', '直溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.43,31.8327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30049, 2735, '320413', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.677,31.772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30050, 2735, '320413', '薛埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.349,31.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30051, 2735, '320413', '朱林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.453,31.7628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30052, 2735, '320413', '儒林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.617,31.5643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30053, 2735, '320413', '尧塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.576,31.6866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30054, 2735, '320413', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.541,31.8327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30055, 2735, '320413', '指前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.413,31.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30056, 2735, '320413', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.577,31.6871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30057, 2736, '320481', '上黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.6,31.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30058, 2736, '320481', '溧阳监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.27,31.2578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30059, 2736, '320481', '常州监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,31.6677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30060, 2736, '320481', '戴埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.487,31.3513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30061, 2736, '320481', '上兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.282,31.4624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30062, 2736, '320481', '别桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.376,31.627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30063, 2736, '320481', '南渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.287,31.4714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30064, 2736, '320481', '埭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.561,31.4432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30065, 2736, '320481', '竹箦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.283,31.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30066, 2736, '320481', '溧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.419,31.3995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30067, 2736, '320481', '昆仑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.437,31.4669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30068, 2736, '320481', '社渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.382,31.3076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30069, 2736, '320481', '天目湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.435,31.3907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30070, 2737, '320411', '三井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.909,31.8394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30071, 2737, '320411', '龙虎塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.004,31.8891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30072, 2737, '320411', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.923,31.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30073, 2737, '320411', '薛家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.912,31.8356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30074, 2737, '320411', '春江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.866,31.9653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30075, 2737, '320411', '奔牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.774,31.8484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30076, 2737, '320411', '河海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.9,31.8518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30077, 2737, '320411', '孟河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.797,32.0526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30078, 2737, '320411', '西夏墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.856,31.9864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30079, 2737, '320411', '罗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.817,31.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30080, 2738, '320412', '戚墅堰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.055,31.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30081, 2738, '320412', '遥观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.063,31.7144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30082, 2738, '320412', '武进经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.86,31.7654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30083, 2738, '320412', '横林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.116,31.7431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30084, 2738, '320412', '湟里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.69,31.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30085, 2738, '320412', '牛塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.872,31.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30086, 2738, '320412', '横山桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.186,31.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30087, 2738, '320412', '前黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.876,31.549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30088, 2738, '320412', '洛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.047,31.6655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30089, 2738, '320412', '礼嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.013,31.6849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30090, 2738, '320412', '湖塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.979,31.7107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30091, 2738, '320412', '嘉泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.753,31.7166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30092, 2738, '320412', '高新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.011,31.7211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30093, 2738, '320412', '雪堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.985,31.542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30094, 2738, '320412', '丁堰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.065,31.7148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30095, 2738, '320412', '潞城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.013,31.7642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30096, 2739, '320404', '南大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.935,31.7923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30097, 2739, '320404', '北港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.888,31.7742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30098, 2739, '320404', '五星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.941,31.7897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30099, 2739, '320404', '西林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.863,31.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30100, 2739, '320404', '荷花池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.942,31.7943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30101, 2739, '320404', '永红街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.941,31.7738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30102, 2739, '320404', '新闸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.907,31.8441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30103, 2739, '320404', '邹区镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.758,31.786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30104, 2740, '320402', '郑陆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.089,31.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30105, 2740, '320402', '天宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.958,31.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30106, 2740, '320402', '茶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.956,31.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30107, 2740, '320402', '红梅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.96,31.8088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30108, 2740, '320402', '兰陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.941,31.7581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30109, 2740, '320402', '雕庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.001,31.7273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30110, 2740, '320402', '青龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.035,31.8223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30111, 2741, '320381', '瓦窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.17,34.3868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30112, 2741, '320381', '双塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.433,34.3995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30113, 2741, '320381', '北沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.381,34.3277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30114, 2741, '320381', '窑湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.053,34.271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30115, 2741, '320381', '唐店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.403,34.3159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30116, 2741, '320381', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.251,34.1857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30117, 2741, '320381', '高流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.468,34.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30118, 2741, '320381', '阿湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.649,34.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30119, 2741, '320381', '锡沂工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,34.3075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30120, 2741, '320381', '马陵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.35,34.2492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30121, 2741, '320381', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.248,34.339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30122, 2741, '320381', '时集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.426,34.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30123, 2741, '320381', '棋盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.3,34.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30124, 2741, '320381', '合沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.122,34.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30125, 2741, '320381', '草桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.095,34.3466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30126, 2741, '320381', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.43,34.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30127, 2741, '320381', '邵店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.419,34.155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30128, 2741, '320381', '墨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.26,34.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30129, 2741, '320381', '港头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.247,34.3196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30130, 2742, '320311', '王陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.176,34.272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30131, 2742, '320311', '泰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.187,34.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30132, 2742, '320311', '段庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.132,34.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30133, 2742, '320311', '庞庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.095,34.3531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30134, 2742, '320311', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.139,34.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30135, 2742, '320311', '奎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,34.2378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30136, 2742, '320311', '七里沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.211,34.2403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30137, 2742, '320311', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.071,34.3092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30138, 2742, '320311', '金山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.155,34.2157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30139, 2742, '320311', '徐州泉山经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.078,34.3141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30140, 2742, '320311', '永安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.158,34.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30141, 2742, '320311', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.135,34.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30142, 2742, '320311', '火花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.094,34.2464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30143, 2742, '320311', '翟山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.175,34.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30144, 2742, '320311', '苏山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.102,34.2875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30145, 2743, '320312', '张集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.345,34.2137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30146, 2743, '320312', '棠张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.236,34.0895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30147, 2743, '320312', '汉王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.116,34.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30148, 2743, '320312', '郑集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.028,34.4139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30149, 2743, '320312', '单集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.672,34.1754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30150, 2743, '320312', '何桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.856,34.4556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30151, 2743, '320312', '刘集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.094,34.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30152, 2743, '320312', '徐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.416,34.2907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30153, 2743, '320312', '房村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.477,34.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30154, 2743, '320312', '黄集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.994,34.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30155, 2743, '320312', '三堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.164,34.1229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30156, 2743, '320312', '铜山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.157,34.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30157, 2743, '320312', '三河尖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.162,34.2996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30158, 2743, '320312', '新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.233,34.1946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30159, 2743, '320312', '伊庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.606,34.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30160, 2743, '320312', '大许镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.642,34.3117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30161, 2743, '320312', '拾屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.181,34.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30162, 2743, '320312', '柳新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,34.3535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30163, 2743, '320312', '大彭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.08,34.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30164, 2743, '320312', '沿湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.103,34.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30165, 2743, '320312', '马坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.14,34.5304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30166, 2743, '320312', '茅村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.18,34.4203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30167, 2743, '320312', '柳泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.267,34.4784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30168, 2743, '320312', '利国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.367,34.5862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30169, 2744, '320303', '大龙湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.231,34.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30170, 2744, '320303', '骆驼山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,34.2474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30171, 2744, '320303', '大郭庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.248,34.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30172, 2744, '320303', '潘塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.299,34.1716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30173, 2744, '320303', '子房街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,34.2731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30174, 2744, '320303', '淮海食品城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.224,34.2317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30175, 2744, '320303', '彭城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.195,34.2638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30176, 2744, '320303', '翠屏山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.3,34.2494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30177, 2744, '320303', '黄山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.245,34.2836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30178, 2745, '320302', '牌楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.176,34.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30179, 2745, '320302', '琵琶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.213,34.3423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30180, 2745, '320302', '黄楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.187,34.2766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30181, 2745, '320302', '铜沛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.145,34.2835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30182, 2745, '320302', '环城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.203,34.2825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30183, 2745, '320302', '丰财街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.236,34.2832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30184, 2745, '320302', '九里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.127,34.3162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30185, 2745, '320302', '东环街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.271,34.2815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30186, 2745, '320302', '金山桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.256,34.281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30187, 2746, '320324', '李集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.754,33.7113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30188, 2746, '320324', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.913,33.9288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30189, 2746, '320324', '姚集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.684,34.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30190, 2746, '320324', '凌城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.156,33.8523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30191, 2746, '320324', '桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.847,33.894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30192, 2746, '320324', '庆安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.889,33.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30193, 2746, '320324', '官山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.826,33.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30194, 2746, '320324', '宁江工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.945,33.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30195, 2746, '320324', '桃岚化工园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.868,33.936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30196, 2746, '320324', '王集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.646,34.0933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30197, 2746, '320324', '邱集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.952,33.8446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30198, 2746, '320324', '八里金属机电产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.986,33.9262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30199, 2746, '320324', '古邳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.91,34.1545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30200, 2746, '320324', '现代农业示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.953,34.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30201, 2746, '320324', '临空产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.611,34.0799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30202, 2746, '320324', '岚山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.773,33.9572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30203, 2746, '320324', '梁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.945,33.9885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30204, 2746, '320324', '魏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.009,34.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30205, 2746, '320324', '睢城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.93,33.9079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30206, 2746, '320324', '沙集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.143,33.9251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30207, 2746, '320324', '高作镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.049,33.9437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30208, 2746, '320324', '双沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.584,34.0434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30209, 2747, '320382', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.929,34.2415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30210, 2747, '320382', '陈楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.065,34.4265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30211, 2747, '320382', '邳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.965,34.5103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30212, 2747, '320382', '宿羊山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.784,34.427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30213, 2747, '320382', '邹庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.028,34.6581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30214, 2747, '320382', '八路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.88,34.2129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30215, 2747, '320382', '官湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.028,34.4823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30216, 2747, '320382', '议堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.862,34.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30217, 2747, '320382', '车辐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.7,34.419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30218, 2747, '320382', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.007,34.3427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30219, 2747, '320382', '占城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.694,34.1497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30220, 2747, '320382', '赵墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.822,34.4006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30221, 2747, '320382', '戴圩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.9,34.3846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30222, 2747, '320382', '邢楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.862,34.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30223, 2747, '320382', '八义集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.655,34.2831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30224, 2747, '320382', '碾庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.7,34.3548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30225, 2747, '320382', '四户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.969,34.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30226, 2747, '320382', '炮车街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.07,34.371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30227, 2747, '320382', '铁富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.954,34.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30228, 2747, '320382', '运河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.935,34.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30229, 2747, '320382', '岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.886,34.6036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30230, 2747, '320382', '土山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.85,34.2322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30231, 2747, '320382', '戴庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.848,34.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30232, 2747, '320382', '港上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.123,34.544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30233, 2747, '320382', '燕子埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.725,34.4599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30234, 2748, '320322', '敬安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.889,34.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30235, 2748, '320322', '安国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.733,34.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30236, 2748, '320322', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.876,34.7787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30237, 2748, '320322', '杨屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.874,34.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30238, 2748, '320322', '张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.933,34.5638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30239, 2748, '320322', '朱寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.87,34.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30240, 2748, '320322', '栖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.761,34.6518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30241, 2748, '320322', '中煤集团大屯煤电集团公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.898,34.8137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30242, 2748, '320322', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.778,34.5908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30243, 2748, '320322', '鹿楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.719,34.7477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30244, 2748, '320322', '张寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.936,34.5873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30245, 2748, '320322', '沛县新城区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.926,34.7495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30246, 2748, '320322', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.899,34.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30247, 2748, '320322', '沛县湖西农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.991,34.7224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30248, 2748, '320322', '沛城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.889,34.7365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30249, 2748, '320322', '胡寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.989,34.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30250, 2748, '320322', '魏庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.015,34.6416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30251, 2748, '320322', '龙固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.844,34.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30252, 2748, '320322', '五段镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.069,34.5271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30253, 2749, '320321', '孙楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.555,34.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30254, 2749, '320321', '顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.511,34.9008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30255, 2749, '320321', '王沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.435,34.7197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30256, 2749, '320321', '常店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.542,34.7888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30257, 2749, '320321', '中阳里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.592,34.7184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30258, 2749, '320321', '首羡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.473,34.8994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30259, 2749, '320321', '师寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.703,34.8313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30260, 2749, '320321', '欢口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.626,34.9393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30261, 2749, '320321', '范楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.801,34.553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30262, 2749, '320321', '宋楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.61,34.6271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30263, 2749, '320321', '梁寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.738,34.4697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30264, 2749, '320321', '华山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.777,34.5982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30265, 2749, '320321', '大沙河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.681,34.5921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30266, 2749, '320321', '大沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.65,34.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30267, 2749, '320321', '凤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.697,34.7248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30268, 2749, '320321', '赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.446,34.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30269, 2750, '320305', '青山泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.336,34.4294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30270, 2750, '320305', '塔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.655,34.3986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30271, 2750, '320305', '老矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.422,34.4413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30272, 2750, '320305', '潘安湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.383,34.3793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30273, 2750, '320305', '大吴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.429,34.3879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30274, 2750, '320305', '大泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.459,34.4518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30275, 2750, '320305', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.411,34.3811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30276, 2750, '320305', '紫庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.48,34.3777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30277, 2750, '320305', '汴塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.556,34.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30278, 2750, '320305', '江庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.354,34.4899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30279, 2750, '320305', '大黄山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.279,34.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30280, 2750, '320305', '大庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.279,34.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30281, 2750, '320305', '茱萸山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.534,34.3803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30282, 2751, '330921', '衢山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.945,30.4384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30283, 2751, '330921', '高亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.592,30.2606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30284, 2751, '330921', '长涂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.561,30.2264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30285, 2751, '330921', '秀山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.314,30.1783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30286, 2751, '330921', '东沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.187,30.2926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30287, 2751, '330921', '岱西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.027,30.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30288, 2751, '330921', '岱东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.187,30.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30289, 2752, '330922', '五龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.53,30.715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30290, 2752, '330922', '洋山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.055,30.7119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30291, 2752, '330922', '菜园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.656,30.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30292, 2752, '330922', '嵊山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.738,30.8102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30293, 2752, '330922', '花鸟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.697,30.8318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30294, 2752, '330922', '枸杞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.797,30.6941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30295, 2752, '330922', '黄龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.514,30.6487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30296, 2753, '330903', '沈家门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.235,29.8742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30297, 2753, '330903', '虾峙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.158,29.8047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30298, 2753, '330903', '东极镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.949,30.1681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30299, 2753, '330903', '六横镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.145,29.5999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30300, 2753, '330903', '普陀山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.401,30.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30301, 2753, '330903', '朱家尖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.434,29.8657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30302, 2753, '330903', '展茅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.363,30.0984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30303, 2753, '330903', '东港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.407,30.0448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30304, 2753, '330903', '桃花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.325,29.7836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30305, 2754, '330902', '临城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.152,29.9708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30306, 2754, '330902', '金塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.838,30.0539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30307, 2754, '330902', '昌国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.096,30.0631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30308, 2754, '330902', '小沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.031,30.2073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30309, 2754, '330902', '盐仓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.11,30.0818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30310, 2754, '330902', '干览镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.149,30.1235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30311, 2754, '330902', '环南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.117,29.9502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30312, 2754, '330902', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.128,30.0368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30313, 2754, '330902', '马岙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.121,30.1323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30314, 2754, '330902', '岑港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.901,30.2299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30315, 2754, '330902', '双桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.074,30.0882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30316, 2754, '330902', '白泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.157,30.0271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30317, 2754, '330902', '千岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.254,30.0321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30318, 2755, '330482', '新仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.198,30.7739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30319, 2755, '330482', '乍浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.093,30.6363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30320, 2755, '330482', '曹桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.978,30.6276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30321, 2755, '330482', '钟埭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.033,30.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30322, 2755, '330482', '当湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.034,30.7181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30323, 2755, '330482', '林埭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.064,30.7119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30324, 2755, '330482', '广陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.143,30.778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30325, 2755, '330482', '独山港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.14,30.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30326, 2755, '330482', '新埭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.027,30.7877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30327, 2756, '330402', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.746,30.7676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30328, 2756, '330402', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.905,30.7725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30329, 2756, '330402', '东栅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.779,30.7379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30330, 2756, '330402', '新丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.915,30.7392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30331, 2756, '330402', '长水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.802,30.7277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30332, 2756, '330402', '七星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.84,30.8385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30333, 2756, '330402', '新嘉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.733,30.7834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30334, 2756, '330402', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.751,30.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30335, 2756, '330402', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.74,30.7615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30336, 2756, '330402', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.759,30.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30337, 2756, '330402', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.683,30.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30338, 2756, '330402', '余新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.795,30.6806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30339, 2756, '330402', '凤桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.813,30.6264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30340, 2757, '330421', '惠民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.035,30.8132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30341, 2757, '330421', '魏塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.907,30.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30342, 2757, '330421', '天凝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.781,30.9358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30343, 2757, '330421', '陶庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.847,30.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30344, 2757, '330421', '罗星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.864,30.788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30345, 2757, '330421', '大云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.956,30.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30346, 2757, '330421', '西塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.807,30.9298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30347, 2757, '330421', '干窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.898,30.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30348, 2757, '330421', '姚庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.941,30.9235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30349, 2758, '330424', '于城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.849,30.5599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30350, 2758, '330424', '澉浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.823,30.4285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30351, 2758, '330424', '秦山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.879,30.4555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30352, 2758, '330424', '望海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.942,30.6237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30353, 2758, '330424', '西塘桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.98,30.623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30354, 2758, '330424', '沈荡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.787,30.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30355, 2758, '330424', '百步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.753,30.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30356, 2758, '330424', '通元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.787,30.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30357, 2758, '330424', '武原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.973,30.4682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30358, 2759, '330483', '洲泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.318,30.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30359, 2759, '330483', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.475,30.6032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30360, 2759, '330483', '屠甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.609,30.5959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30361, 2759, '330483', '乌镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.561,30.7858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30362, 2759, '330483', '崇福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.44,30.5582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30363, 2759, '330483', '大麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.341,30.5388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30364, 2759, '330483', '河山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.358,30.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30365, 2759, '330483', '龙翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.527,30.6968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30366, 2759, '330483', '凤鸣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.498,30.6028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30367, 2759, '330483', '濮院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.542,30.7001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30368, 2759, '330483', '高桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.574,30.5704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30369, 2759, '330483', '梧桐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.612,30.6014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30370, 2760, '330411', '王江泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.691,30.9633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30371, 2760, '330411', '新塍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.648,30.8501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30372, 2760, '330411', '洪合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.655,30.7208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30373, 2760, '330411', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.659,30.7875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30374, 2760, '330411', '油车港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.792,30.8612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30375, 2760, '330411', '嘉北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.726,30.8026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30376, 2760, '330411', '王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.686,30.6417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30377, 2760, '330411', '塘汇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.771,30.8088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30378, 2760, '330411', '高照街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.64,30.7687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30379, 2761, '330481', '袁花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.785,30.504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30380, 2761, '330481', '硖石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.728,30.525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30381, 2761, '330481', '海洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.687,30.5289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30382, 2761, '330481', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.445,30.4955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30383, 2761, '330481', '海昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.73,30.5652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30384, 2761, '330481', '周王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.542,30.4837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30385, 2761, '330481', '许村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.36,30.4799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30386, 2761, '330481', '斜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.559,30.4979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30387, 2761, '330481', '丁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.636,30.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30388, 2761, '330481', '盐官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.541,30.4695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30389, 2761, '330481', '黄湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.784,30.3953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30390, 2761, '330481', '马桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.664,30.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30391, 2762, '330381', '锦湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.632,27.7838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30392, 2762, '330381', '莘塍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.677,27.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30393, 2762, '330381', '南滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.631,27.6916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30394, 2762, '330381', '湖岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.272,27.8962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30395, 2762, '330381', '马屿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.406,27.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30396, 2762, '330381', '陶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.456,27.8662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30397, 2762, '330381', '上望街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.664,27.7545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30398, 2762, '330381', '仙降街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.535,27.7521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30399, 2762, '330381', '塘下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.627,27.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30400, 2762, '330381', '汀田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.676,27.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30401, 2762, '330381', '北麂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.042,27.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30402, 2762, '330381', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.925,27.649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30403, 2762, '330381', '飞云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.593,27.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30404, 2762, '330381', '玉海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.641,27.7842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30405, 2762, '330381', '安阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.647,27.8029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30406, 2762, '330381', '云周街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.562,27.7657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30407, 2762, '330381', '潘岱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.578,27.8356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30408, 2762, '330381', '桐浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.574,27.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30409, 2762, '330381', '芳庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.341,27.9331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30410, 2762, '330381', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.366,27.8467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30411, 2762, '330381', '林川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.523,27.8983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30412, 2762, '330381', '曹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.451,27.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30413, 2762, '330381', '平阳坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.381,27.7234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30414, 2763, '330327', '桥墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.074,27.5417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30415, 2763, '330327', '岱岭畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.473,27.2975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30416, 2763, '330327', '金乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.705,27.5245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30417, 2763, '330327', '马站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.836,27.0438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30418, 2763, '330327', '藻溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.435,27.4796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30419, 2763, '330327', '赤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.49,27.3748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30420, 2763, '330327', '宜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.53,27.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30421, 2763, '330327', '凤阳畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.438,27.3591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30422, 2763, '330327', '矾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.377,27.3895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30423, 2763, '330327', '灵溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.396,27.5636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30424, 2763, '330327', '望里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.529,27.4358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30425, 2763, '330327', '钱库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.553,27.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30426, 2764, '330305', '东屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.134,27.7858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30427, 2764, '330305', '鹿西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.23,27.9438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30428, 2764, '330305', '大门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.126,27.9148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30429, 2764, '330305', '元觉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.172,27.9205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30430, 2764, '330305', '霓屿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.003,27.8357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30431, 2764, '330305', '北岙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.245,27.8344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30432, 2764, '330305', '灵昆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.836,27.9752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30433, 2765, '330326', '海西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.741,27.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30434, 2765, '330326', '鳌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.583,27.6411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30435, 2765, '330326', '南麂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.058,27.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30436, 2765, '330326', '顺溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.103,27.5854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30437, 2765, '330326', '昆阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.56,27.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30438, 2765, '330326', '青街畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.252,27.5337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30439, 2765, '330326', '腾蛟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.299,27.7247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30440, 2765, '330326', '南雁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.198,27.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30441, 2765, '330326', '万全镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.535,27.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30442, 2765, '330326', '怀溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.133,27.6855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30443, 2765, '330326', '水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.394,27.6962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30444, 2765, '330326', '凤卧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.273,27.7006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30445, 2765, '330326', '山门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.22,27.6849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30446, 2765, '330326', '麻步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.434,27.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30447, 2765, '330326', '闹村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.294,27.5962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30448, 2765, '330326', '萧江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.437,27.5775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30449, 2766, '330383', '龙港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.691,27.5085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30450, 2767, '330328', '玉壶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.068,27.9334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30451, 2767, '330328', '黄坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.976,27.8172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30452, 2767, '330328', '巨屿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.073,27.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30453, 2767, '330328', '百丈漈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.969,27.8354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30454, 2767, '330328', '大峃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.059,27.7338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30455, 2767, '330328', '西坑畲族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.964,27.8377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30456, 2767, '330328', '南田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.949,27.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30457, 2767, '330328', '峃口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.112,27.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30458, 2767, '330328', '周山畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.146,27.7462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30459, 2767, '330328', '铜铃山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.831,27.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30460, 2767, '330328', '二源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.069,27.8988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30461, 2767, '330328', '周壤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.118,27.8205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30462, 2767, '330328', '珊溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.994,27.6555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30463, 2767, '330328', '双桂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.188,27.6876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30464, 2767, '330328', '公阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.178,27.7086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30465, 2767, '330328', '桂山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.069,27.5996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30466, 2767, '330328', '平和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.212,27.7288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30467, 2768, '330329', '彭溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.144,27.5081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30468, 2768, '330329', '罗阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.776,27.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30469, 2768, '330329', '三魁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.956,27.4769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30470, 2768, '330329', '百丈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,27.5977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30471, 2768, '330329', '筱村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.843,27.5781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30472, 2768, '330329', '乌岩岭自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.68,27.6742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30473, 2768, '330329', '雅阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.115,27.4487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30474, 2768, '330329', '泗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.045,27.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30475, 2768, '330329', '司前畲族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.885,27.6718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30476, 2768, '330329', '竹里畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.746,27.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30477, 2768, '330329', '仕阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.947,27.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30478, 2768, '330329', '南浦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.956,27.5611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30479, 2768, '330329', '雪溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.936,27.4191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30480, 2768, '330329', '包垟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.975,27.6511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30481, 2768, '330329', '东溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.957,27.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30482, 2768, '330329', '龟湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.834,27.3648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30483, 2768, '330329', '西旸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.884,27.4134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30484, 2768, '330329', '大安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.851,27.46', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30485, 2768, '330329', '凤垟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.011,27.5117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30486, 2768, '330329', '柳峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.992,27.4423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30487, 2769, '330324', '沙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.764,28.2781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30488, 2769, '330324', '三江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.718,28.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30489, 2769, '330324', '鹤盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.777,28.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30490, 2769, '330324', '乌牛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.814,28.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30491, 2769, '330324', '县特产场场区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.679,28.1559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30492, 2769, '330324', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.408,28.2198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30493, 2769, '330324', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.616,28.1444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30494, 2769, '330324', '桥下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.643,28.1195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30495, 2769, '330324', '巽宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.352,28.3365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30496, 2769, '330324', '枫林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.833,28.3379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30497, 2769, '330324', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.658,28.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30498, 2769, '330324', '黄田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.667,28.1148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30499, 2769, '330324', '大若岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.575,28.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30500, 2769, '330324', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.891,28.2353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30501, 2769, '330324', '碧莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.492,28.4524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30502, 2769, '330324', '正江山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.888,28.3335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30503, 2769, '330324', '岩头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.749,28.4295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30504, 2769, '330324', '岩坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.831,28.5548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30505, 2769, '330324', '四海山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.762,28.4948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30506, 2769, '330324', '瓯北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.64,28.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30507, 2769, '330324', '金溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.533,28.2465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30508, 2769, '330324', '溪下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.467,28.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30509, 2769, '330324', '云岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.897,28.4463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30510, 2769, '330324', '茗岙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.459,28.2925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30511, 2769, '330324', '界坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.385,28.4716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30512, 2770, '330382', '天成街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.037,28.1863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30513, 2770, '330382', '白石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.874,28.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30514, 2770, '330382', '乐成街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.975,28.1153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30515, 2770, '330382', '石帆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.96,28.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30516, 2770, '330382', '盐盆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.946,28.0539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30517, 2770, '330382', '淡溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.946,28.2533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30518, 2770, '330382', '芙蓉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.099,28.3162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30519, 2770, '330382', '雁荡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.04,28.3467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30520, 2770, '330382', '虹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.024,28.2758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30521, 2770, '330382', '北白象镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.835,28.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30522, 2770, '330382', '柳市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.939,28.0939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30523, 2770, '330382', '大荆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.143,28.3733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30524, 2770, '330382', '翁垟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.952,28.0371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30525, 2770, '330382', '仙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.047,28.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30526, 2770, '330382', '清江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.049,28.2819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30527, 2770, '330382', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.966,28.1789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30528, 2770, '330382', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.975,28.1135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30529, 2770, '330382', '湖雾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.22,28.4386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30530, 2770, '330382', '智仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.114,28.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30531, 2770, '330382', '龙西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.985,28.3589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30532, 2770, '330382', '磐石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.815,27.9773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30533, 2770, '330382', '南塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.107,28.2485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30534, 2770, '330382', '岭底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.928,28.3292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30535, 2770, '330382', '蒲岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.052,28.1647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30536, 2770, '330382', '南岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.082,28.221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30537, 2771, '330302', '松台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.617,28.0096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30538, 2771, '330302', '藤桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.394,28.1379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30539, 2771, '330302', '仰义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.536,28.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30540, 2771, '330302', '七都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.735,28.0206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30541, 2771, '330302', '双屿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.558,28.0294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30542, 2771, '330302', '五马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.66,28.0293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30543, 2771, '330302', '南汇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.641,27.9822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30544, 2771, '330302', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.673,28.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30545, 2772, '330304', '丽岙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.612,27.9243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30546, 2772, '330304', '仙岩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.748,27.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30547, 2772, '330304', '三垟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.71,27.9811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30548, 2772, '330304', '泽雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.427,28.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30549, 2772, '330304', '潘桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.54,27.9536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30550, 2772, '330304', '娄桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.634,27.9645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30551, 2772, '330304', '景山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.626,27.9977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30552, 2772, '330304', '梧田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.641,27.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30553, 2772, '330304', '瞿溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.483,27.9657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30554, 2772, '330304', '郭溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.554,28.033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30555, 2772, '330304', '新桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.632,27.9702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30556, 2772, '330304', '茶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.744,27.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30557, 2772, '330304', '南白象街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.691,27.9232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30558, 2773, '330303', '海城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.815,27.8187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30559, 2773, '330303', '星海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.796,27.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30560, 2773, '330303', '瑶溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.778,27.9644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30561, 2773, '330303', '永中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.75,27.9047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30562, 2773, '330303', '蒲州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.756,27.9708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30563, 2773, '330303', '状元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.755,27.9688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30564, 2773, '330303', '沙城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.792,27.8769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30565, 2773, '330303', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.835,27.9048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30566, 2773, '330303', '海滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.839,27.9357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30567, 2773, '330303', '天河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.808,27.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30568, 2774, '331004', '路桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.398,28.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30569, 2774, '331004', '滨海工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.629,28.5654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30570, 2774, '331004', '蓬街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.455,28.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30571, 2774, '331004', '横街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.421,28.545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30572, 2774, '331004', '桐屿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.295,28.6345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30573, 2774, '331004', '螺洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.304,28.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30574, 2774, '331004', '路南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.401,28.5724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30575, 2774, '331004', '滨海工业城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.52,28.5834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30576, 2774, '331004', '金清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.646,28.545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30577, 2774, '331004', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.441,28.5114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30578, 2774, '331004', '路北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.341,28.5934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30579, 2774, '331004', '峰江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.337,28.5178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30580, 2775, '331083', '清港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.357,28.2725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30581, 2775, '331083', '玉城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.23,28.1801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30582, 2775, '331083', '干江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.346,28.1881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30583, 2775, '331083', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.361,28.2123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30584, 2775, '331083', '沙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.419,28.2102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30585, 2775, '331083', '大麦屿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.145,28.0132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30586, 2775, '331083', '芦浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.235,28.1759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30587, 2775, '331083', '坎门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.253,28.0973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30588, 2775, '331083', '海山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.156,28.2743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30589, 2775, '331083', '鸡山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.531,28.1063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30590, 2775, '331083', '楚门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.328,28.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30591, 2776, '331002', '三甲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.51,28.6058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30592, 2776, '331002', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.418,28.6665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30593, 2776, '331002', '滨海工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.514,28.5939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30594, 2776, '331002', '海门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.441,28.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30595, 2776, '331002', '椒江农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.49,28.6569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30596, 2776, '331002', '章安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.411,28.7588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30597, 2776, '331002', '下陈街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.439,28.5893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30598, 2776, '331002', '葭沚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.358,28.6761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30599, 2776, '331002', '前所街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.465,28.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30600, 2776, '331002', '洪家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.398,28.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30601, 2776, '331002', '大陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.799,28.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30602, 2777, '331082', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.041,28.7617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30603, 2777, '331082', '大田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.125,28.9639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30604, 2777, '331082', '涌泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.358,28.8321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30605, 2777, '331082', '东塍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.318,28.9706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30606, 2777, '331082', '汇溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.183,29.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30607, 2777, '331082', '小芝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.379,28.9145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30608, 2777, '331082', '白水洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.896,29.0069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30609, 2777, '331082', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.045,29.0073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30610, 2777, '331082', '括苍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.984,28.9271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30611, 2777, '331082', '汛桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.159,28.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30612, 2777, '331082', '杜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.439,28.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30613, 2777, '331082', '大洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.149,28.9215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30614, 2777, '331082', '上盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.796,28.6484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30615, 2777, '331082', '河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.128,29.0426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30616, 2777, '331082', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.046,28.8221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30617, 2777, '331082', '尤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.1,28.7552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30618, 2777, '331082', '沿江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.192,28.7239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30619, 2777, '331082', '邵家渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.377,28.8975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30620, 2777, '331082', '桃渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.546,28.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30621, 2778, '331081', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.386,28.4523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30622, 2778, '331081', '箬横镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.474,28.4143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30623, 2778, '331081', '泽国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.36,28.4509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30624, 2778, '331081', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.33,28.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30625, 2778, '331081', '城南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.271,28.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30626, 2778, '331081', '坞根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.291,28.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30627, 2778, '331081', '石桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.462,28.3699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30628, 2778, '331081', '温峤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.314,28.3879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30629, 2778, '331081', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.399,28.4284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30630, 2778, '331081', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.418,28.491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30631, 2778, '331081', '东部新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.6,28.3705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30632, 2778, '331081', '松门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.684,28.3872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30633, 2778, '331081', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.704,28.2426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30634, 2778, '331081', '滨海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.489,28.4699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30635, 2778, '331081', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.353,28.3697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30636, 2778, '331081', '横峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.355,28.4487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30637, 2778, '331081', '大溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.176,28.4903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30638, 2779, '331022', '健跳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.687,29.1248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30639, 2779, '331022', '海游镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.372,29.1369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30640, 2779, '331022', '蛇蟠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.55,29.1298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30641, 2779, '331022', '沙柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.35,29.1553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30642, 2779, '331022', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.518,28.9627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30643, 2779, '331022', '横渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.457,29.0467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30644, 2779, '331022', '浦坝港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.797,28.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30645, 2779, '331022', '亭旁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.365,29.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30646, 2779, '331022', '珠岙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.297,29.1143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30647, 2780, '331023', '赤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.069,29.2022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30648, 2780, '331023', '泳溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.167,29.1803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30649, 2780, '331023', '始丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.943,29.1517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30650, 2780, '331023', '坦头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.145,29.1963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30651, 2780, '331023', '白鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.994,29.3077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30652, 2780, '331023', '石梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.164,29.3258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30653, 2780, '331023', '平桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.914,29.19', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30654, 2780, '331023', '洪畴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.234,29.0764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30655, 2780, '331023', '三州乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.84,29.2367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30656, 2780, '331023', '街头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.858,29.105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30657, 2780, '331023', '雷峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.887,29.0993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30658, 2780, '331023', '福溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.019,29.0766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30659, 2780, '331023', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.201,29.1212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30660, 2780, '331023', '南屏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.977,29.0902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30661, 2780, '331023', '龙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.755,29.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30662, 2781, '331003', '上郑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.839,28.6164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30663, 2781, '331003', '澄江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.144,28.6216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30664, 2781, '331003', '新前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.165,28.7', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30665, 2781, '331003', '屿头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.934,28.7221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30666, 2781, '331003', '江口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.308,28.6754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30667, 2781, '331003', '茅畲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.093,28.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30668, 2781, '331003', '宁溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.947,28.5918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30669, 2781, '331003', '头陀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.136,28.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30670, 2781, '331003', '上垟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.041,28.4796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30671, 2781, '331003', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.305,28.6639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30672, 2781, '331003', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.27,28.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30673, 2781, '331003', '富山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.842,28.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30674, 2781, '331003', '沙埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.145,28.563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30675, 2781, '331003', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.277,28.5863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30676, 2781, '331003', '高桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.226,28.6093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30677, 2781, '331003', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.222,28.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30678, 2781, '331003', '北洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.004,28.5798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30679, 2781, '331003', '院桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.275,28.586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30680, 2781, '331003', '平田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.049,28.641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30681, 2782, '331024', '白塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.577,28.7224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30682, 2782, '331024', '淡竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.552,28.6785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30683, 2782, '331024', '上张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.715,28.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30684, 2782, '331024', '广度乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.752,28.9798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30685, 2782, '331024', '横溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.384,28.6366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30686, 2782, '331024', '下各镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.825,28.8047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30687, 2782, '331024', '田市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.686,28.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30688, 2782, '331024', '安岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.303,28.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30689, 2782, '331024', '安洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.643,28.8829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30690, 2782, '331024', '朱溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.91,28.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30691, 2782, '331024', '埠头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.55,28.7771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30692, 2782, '331024', '步路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.674,28.7832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30693, 2782, '331024', '大战乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.817,28.8407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30694, 2782, '331024', '皤滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.503,28.7229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30695, 2782, '331024', '溪港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.368,28.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30696, 2782, '331024', '南峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.752,28.8453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30697, 2782, '331024', '官路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.686,28.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30698, 2782, '331024', '福应街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.784,28.9336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30699, 2782, '331024', '湫山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.428,28.712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30700, 2782, '331024', '双庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.912,28.7933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30701, 2783, '330206', '白峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.102,29.8593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30702, 2783, '330206', '霞浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.837,29.8852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30703, 2783, '330206', '春晓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.938,29.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30704, 2783, '330206', '梅山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.042,29.8038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30705, 2783, '330206', '戚家山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.797,29.9521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30706, 2783, '330206', '大碶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.749,29.8932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30707, 2783, '330206', '柴桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.983,29.8903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30708, 2783, '330206', '小港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.733,29.9409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30709, 2783, '330206', '大榭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.025,29.908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30710, 2783, '330206', '保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.826,29.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30711, 2783, '330206', '新碶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.783,29.9465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30712, 2784, '330225', '黄避岙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.828,29.59', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30713, 2784, '330225', '泗洲头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.724,29.3897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30714, 2784, '330225', '石浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.084,29.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30715, 2784, '330225', '鹤浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.985,29.0852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30716, 2784, '330225', '丹东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.973,29.4056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30717, 2784, '330225', '丹西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.85,29.4601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30718, 2784, '330225', '定塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.908,29.2579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30719, 2784, '330225', '墙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.749,29.4689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30720, 2784, '330225', '爵溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.084,29.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30721, 2784, '330225', '涂茨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.999,29.5712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30722, 2784, '330225', '高塘岛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.845,29.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30723, 2784, '330225', '晓塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.855,29.1889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30724, 2784, '330225', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.884,29.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30725, 2784, '330225', '东陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.193,29.3796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30726, 2784, '330225', '茅洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.801,29.4497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30727, 2784, '330225', '西周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.745,29.4214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30728, 2784, '330225', '大徐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.862,29.5554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30729, 2784, '330225', '贤庠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.928,29.6516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30730, 2785, '330211', '九龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.499,30.0531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30731, 2785, '330211', '招宝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.784,29.9935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30732, 2785, '330211', '庄市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.612,29.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30733, 2785, '330211', '蛟川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.763,29.9969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30734, 2785, '330211', '骆驼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.576,30.0091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30735, 2785, '330211', '澥浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.574,30.0379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30736, 2786, '330205', '白沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.566,29.8844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30737, 2786, '330205', '孔浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.612,29.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30738, 2786, '330205', '慈城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.451,30.0507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30739, 2786, '330205', '洪塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.505,29.9865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30740, 2786, '330205', '庄桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.527,29.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30741, 2786, '330205', '甬江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.533,29.8996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30742, 2786, '330205', '中马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.554,29.8792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30743, 2786, '330205', '文教街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.546,29.8986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30744, 2787, '330213', '锦屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.357,29.6601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30745, 2787, '330213', '西坞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.528,29.7092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30746, 2787, '330213', '松岙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.655,29.6098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30747, 2787, '330213', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.313,29.6731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30748, 2787, '330213', '裘村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.575,29.5964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30749, 2787, '330213', '莼湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.553,29.6248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30750, 2787, '330213', '岳林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.433,29.6888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30751, 2787, '330213', '江口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.385,29.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30752, 2787, '330213', '尚田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.369,29.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30753, 2787, '330213', '大堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.28,29.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30754, 2787, '330213', '萧王庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.402,29.6967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30755, 2787, '330213', '方桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.431,29.7615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30756, 2788, '330226', '茶院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.537,29.3564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30757, 2788, '330226', '越溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.509,29.2691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30758, 2788, '330226', '黄坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.322,29.3582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30759, 2788, '330226', '长街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.747,29.3017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30760, 2788, '330226', '一市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.419,29.2178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30761, 2788, '330226', '前童镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.303,29.2714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30762, 2788, '330226', '深甽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.389,29.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30763, 2788, '330226', '力洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.596,29.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30764, 2788, '330226', '桑洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.325,29.1816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30765, 2788, '330226', '胡陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.685,29.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30766, 2788, '330226', '岔路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.25,29.1605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30767, 2788, '330226', '梅林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.395,29.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30768, 2788, '330226', '大佳何镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.581,29.4604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30769, 2788, '330226', '桥头胡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.467,29.3958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30770, 2788, '330226', '强蛟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.493,29.4342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30771, 2788, '330226', '跃龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.363,29.3139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30772, 2788, '330226', '西店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.382,29.4651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30773, 2788, '330226', '桃源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.508,29.3767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30774, 2789, '330203', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.539,29.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30775, 2789, '330203', '古林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.389,29.829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30776, 2789, '330203', '章水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.297,29.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30777, 2789, '330203', '龙观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.247,29.8024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30778, 2789, '330203', '集士港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.407,29.8756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30779, 2789, '330203', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.437,29.9023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30780, 2789, '330203', '洞桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.384,29.7882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30781, 2789, '330203', '石碶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.451,29.8055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30782, 2789, '330203', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.512,29.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30783, 2789, '330203', '望春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.486,29.8787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30784, 2789, '330203', '南门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.526,29.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30785, 2789, '330203', '月湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.54,29.8746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30786, 2789, '330203', '鄞江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.391,29.8251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30787, 2789, '330203', '西门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.607,29.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30788, 2789, '330203', '段塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.511,29.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30789, 2789, '330203', '江厦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.548,29.8719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30790, 2789, '330203', '横街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.31,29.9193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30791, 2790, '330212', '明楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.579,29.8902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30792, 2790, '330212', '中河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.559,29.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30793, 2790, '330212', '姜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.488,29.7052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30794, 2790, '330212', '首南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.52,29.8108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30795, 2790, '330212', '咸祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.806,29.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30796, 2790, '330212', '钟公庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.534,29.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30797, 2790, '330212', '塘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.702,29.7099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30798, 2790, '330212', '百丈街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.565,29.8694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30799, 2790, '330212', '东钱湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.652,29.8198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30800, 2790, '330212', '邱隘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.639,29.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30801, 2790, '330212', '瞻岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.763,29.7355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30802, 2790, '330212', '东郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.546,29.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30803, 2790, '330212', '下应街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.604,29.7909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30804, 2790, '330212', '潘火街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.595,29.8306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30805, 2790, '330212', '白鹤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.563,29.8619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30806, 2790, '330212', '东胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.561,29.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30807, 2790, '330212', '东柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.582,29.8522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30808, 2790, '330212', '横溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.58,29.6987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30809, 2790, '330212', '东吴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.696,29.8028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30810, 2790, '330212', '五乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.671,29.8258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30811, 2790, '330212', '新明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.605,29.8871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30812, 2790, '330212', '福明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.581,29.8841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30813, 2790, '330212', '云龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.612,29.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30814, 2790, '330212', '梅墟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.674,29.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30815, 2790, '330212', '聚贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.662,29.8672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30816, 2791, '330281', '黄家埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.937,30.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30817, 2791, '330281', '三七市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.325,30.0736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30818, 2791, '330281', '牟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.992,30.0611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30819, 2791, '330281', '鹿亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.139,29.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30820, 2791, '330281', '低塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.197,30.1735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30821, 2791, '330281', '丈亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.241,30.0703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30822, 2791, '330281', '梁弄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.123,29.9487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30823, 2791, '330281', '朗霞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.078,30.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30824, 2791, '330281', '四明山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.036,29.7675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30825, 2791, '330281', '泗门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.979,30.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30826, 2791, '330281', '梨洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.172,29.9087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30827, 2791, '330281', '临山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.964,30.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30828, 2791, '330281', '凤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.184,30.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30829, 2791, '330281', '大岚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.128,29.8405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30830, 2791, '330281', '河姆渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.351,29.9358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30831, 2791, '330281', '大隐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.29,29.9112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30832, 2791, '330281', '马渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.028,30.1253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30833, 2791, '330281', '兰江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.05,30.0162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30834, 2791, '330281', '陆埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.216,29.9673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30835, 2791, '330281', '小曹娥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.985,30.2071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30836, 2791, '330281', '阳明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.09,30.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30837, 2792, '330282', '慈东工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.544,30.1257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30838, 2792, '330282', '附海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.386,30.2287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30839, 2792, '330282', '新浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.341,30.2501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30840, 2792, '330282', '胜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.289,30.2324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30841, 2792, '330282', '慈溪市农垦场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.082,30.2521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30842, 2792, '330282', '逍林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.31,30.161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30843, 2792, '330282', '古塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.258,30.2091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30844, 2792, '330282', '观海卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.375,30.1894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30845, 2792, '330282', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.333,30.1656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30846, 2792, '330282', '匡堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.338,30.1565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30847, 2792, '330282', '横河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.222,30.0656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30848, 2792, '330282', '掌起镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.491,30.1601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30849, 2792, '330282', '崇寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.326,30.278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30850, 2792, '330282', '浒山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.273,30.1683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30851, 2792, '330282', '宗汉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.215,30.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30852, 2792, '330282', '庵东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.121,30.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30853, 2792, '330282', '慈溪市林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.351,30.0986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30854, 2792, '330282', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.465,30.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30855, 2792, '330282', '周巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.109,30.1749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30856, 2792, '330282', '坎墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.233,30.2365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30857, 2792, '330282', '长河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.199,30.2716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30858, 2792, '330282', '白沙路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.27,30.1696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30859, 2793, '331181', '龙南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.387,27.9145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30860, 2793, '331181', '道太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.219,28.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30861, 2793, '331181', '宝溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.817,28.0639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30862, 2793, '331181', '龙渊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.16,28.1681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30863, 2793, '331181', '剑池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.179,28.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30864, 2793, '331181', '住龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.813,28.2728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30865, 2793, '331181', '锦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.926,28.1687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30866, 2793, '331181', '城北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.124,28.3343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30867, 2793, '331181', '石达石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.202,28.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30868, 2793, '331181', '岩樟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.993,28.2692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30869, 2793, '331181', '查田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.006,27.9689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30870, 2793, '331181', '兰巨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.046,27.9983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30871, 2793, '331181', '八都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.968,28.0185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30872, 2793, '331181', '安仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.374,27.9519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30873, 2793, '331181', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.076,28.0175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30874, 2793, '331181', '小梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.914,27.9022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30875, 2793, '331181', '屏南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.052,27.8372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30876, 2793, '331181', '上垟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.887,27.9932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30877, 2793, '331181', '竹垟畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.826,28.0852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30878, 2794, '331102', '富岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.891,28.4299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30879, 2794, '331102', '万象街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.898,28.4325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30880, 2794, '331102', '岩泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.952,28.5636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30881, 2794, '331102', '水阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.882,28.3337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30882, 2794, '331102', '雅溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.871,28.7272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30883, 2794, '331102', '紫金街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.019,28.4694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30884, 2794, '331102', '黄村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.011,28.5177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30885, 2794, '331102', '老竹畲族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.749,28.593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30886, 2794, '331102', '碧湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.7,28.3521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30887, 2794, '331102', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.794,28.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30888, 2794, '331102', '大港头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.644,28.2922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30889, 2794, '331102', '仙渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.971,28.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30890, 2794, '331102', '峰源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.792,28.2197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30891, 2794, '331102', '联城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.826,28.5246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30892, 2794, '331102', '丽新畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.632,28.5145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30893, 2794, '331102', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.898,28.479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30894, 2795, '331124', '斋坛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.383,28.4783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30895, 2795, '331124', '古市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.418,28.55', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30896, 2795, '331124', '水南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.459,28.3968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30897, 2795, '331124', '竹源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.367,28.3987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30898, 2795, '331124', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.357,28.4776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30899, 2795, '331124', '叶村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.382,28.447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30900, 2795, '331124', '赤寿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.413,28.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30901, 2795, '331124', '象溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.587,28.4398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30902, 2795, '331124', '樟溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.376,28.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30903, 2795, '331124', '安民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.278,28.3003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30904, 2795, '331124', '大东坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.443,28.3602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30905, 2795, '331124', '裕溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.67,28.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30906, 2795, '331124', '西屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.451,28.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30907, 2795, '331124', '玉岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.284,28.4718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30908, 2795, '331124', '枫坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.244,28.2899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30909, 2795, '331124', '望松街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.494,28.5535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30910, 2795, '331124', '四都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.52,28.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30911, 2795, '331124', '板桥畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.634,28.4415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30912, 2795, '331124', '三都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.558,28.5031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30913, 2796, '331125', '白龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.58,28.0945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30914, 2796, '331125', '凤凰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.516,28.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30915, 2796, '331125', '赤石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.409,28.2139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30916, 2796, '331125', '崇头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.456,28.0996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30917, 2796, '331125', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.637,28.3075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30918, 2796, '331125', '安溪畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.576,28.0647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30919, 2796, '331125', '紧水滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.463,28.2656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30920, 2796, '331125', '雾溪畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.532,28.0475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30921, 2796, '331125', '元和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.682,28.1784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30922, 2796, '331125', '浮云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.586,28.1879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30923, 2797, '331123', '柘岱口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.869,28.325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30924, 2797, '331123', '黄沙腰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.899,28.5289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30925, 2797, '331123', '金竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119,28.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30926, 2797, '331123', '新路湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.317,28.7387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30927, 2797, '331123', '西畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.746,28.5131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30928, 2797, '331123', '垵口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.174,28.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30929, 2797, '331123', '大柘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.031,28.5286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30930, 2797, '331123', '濂竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.441,28.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30931, 2797, '331123', '王村口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.109,28.3541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30932, 2797, '331123', '焦滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.977,28.4509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30933, 2797, '331123', '妙高街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.225,28.587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30934, 2797, '331123', '龙洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.874,28.3358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30935, 2797, '331123', '高坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.103,28.7', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30936, 2797, '331123', '蔡源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.941,28.4832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30937, 2797, '331123', '石练镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.022,28.5006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30938, 2797, '331123', '云峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.379,28.6045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30939, 2797, '331123', '湖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.938,28.6439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30940, 2797, '331123', '三仁畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.233,28.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30941, 2797, '331123', '北界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.285,28.7548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30942, 2797, '331123', '应村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.119,28.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30943, 2798, '331127', '英川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.296,27.7994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30944, 2798, '331127', '大均乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.552,28.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30945, 2798, '331127', '大漈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.635,27.848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30946, 2798, '331127', '秋炉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.377,27.7734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30947, 2798, '331127', '标溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.484,27.8141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30948, 2798, '331127', '澄照乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.645,27.927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30949, 2798, '331127', '鹤溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.607,27.9625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30950, 2798, '331127', '大地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.434,27.7596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30951, 2798, '331127', '鸬鹚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.332,27.8756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30952, 2798, '331127', '九龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.936,28.14', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30953, 2798, '331127', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.758,28.0767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30954, 2798, '331127', '景南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.554,27.6752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30955, 2798, '331127', '郑坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.79,27.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30956, 2798, '331127', '家地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.533,27.7337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30957, 2798, '331127', '雁溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.589,27.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30958, 2798, '331127', '沙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.437,27.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30959, 2798, '331127', '毛垟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.357,27.7243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30960, 2798, '331127', '渤海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.756,27.9989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30961, 2798, '331127', '东坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.673,27.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30962, 2798, '331127', '梅岐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.802,27.9584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30963, 2798, '331127', '梧桐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.48,27.8808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30964, 2799, '331121', '高市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.117,28.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30965, 2799, '331121', '吴坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.362,28.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30966, 2799, '331121', '仁宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.148,28.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30967, 2799, '331121', '小舟山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.365,28.2566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30968, 2799, '331121', '温溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.368,28.1915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30969, 2799, '331121', '季宅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.198,28.3726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30970, 2799, '331121', '石溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.279,28.2327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30971, 2799, '331121', '舒桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.09,28.4787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30972, 2799, '331121', '瓯南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.214,28.1792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30973, 2799, '331121', '祯埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.949,28.2868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30974, 2799, '331121', '阜山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.201,28.1123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30975, 2799, '331121', '章旦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.224,28.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30976, 2799, '331121', '方山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.323,28.0453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30977, 2799, '331121', '海溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.102,28.411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30978, 2799, '331121', '贵岙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.344,28.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30979, 2799, '331121', '油竹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.302,28.1047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30980, 2799, '331121', '船寮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.137,28.2869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30981, 2799, '331121', '万阜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.008,28.0083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30982, 2799, '331121', '东源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.31,28.3175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30983, 2799, '331121', '万山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.355,28.3613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30984, 2799, '331121', '北山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.958,28.0291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30985, 2799, '331121', '腊口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.917,28.3669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30986, 2799, '331121', '黄垟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.306,28.2946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30987, 2799, '331121', '巨浦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.989,28.1704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30988, 2799, '331121', '仁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.17,28.0458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30989, 2799, '331121', '高湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.174,28.3819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30990, 2799, '331121', '祯旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.868,28.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30991, 2799, '331121', '山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.275,28.0393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30992, 2799, '331121', '海口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.051,28.359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30993, 2799, '331121', '汤垟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.134,27.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30994, 2799, '331121', '章村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.894,28.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30995, 2799, '331121', '鹤城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.32,28.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30996, 2800, '331126', '荷地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.278,27.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30997, 2800, '331126', '竹口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.027,27.7811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30998, 2800, '331126', '左溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.407,27.6851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (30999, 2800, '331126', '屏都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.968,27.6436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31000, 2800, '331126', '安南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.031,27.5347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31001, 2800, '331126', '贤良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.236,27.7081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31002, 2800, '331126', '岭头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.241,27.5904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31003, 2800, '331126', '濛洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.091,27.6399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31004, 2800, '331126', '张村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.332,27.6989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31005, 2800, '331126', '五大堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.128,27.4954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31006, 2800, '331126', '龙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.245,27.4587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31007, 2800, '331126', '百山祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.233,27.8412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31008, 2800, '331126', '淤上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.98,27.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31009, 2800, '331126', '隆宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.89,27.4941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31010, 2800, '331126', '官塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.446,27.6218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31011, 2800, '331126', '举水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.188,27.5202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31012, 2800, '331126', '黄田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.961,27.8159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31013, 2800, '331126', '松源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.015,27.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31014, 2800, '331126', '江根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.441,27.6022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31015, 2801, '331122', '舒洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.2,28.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31016, 2801, '331122', '前路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.253,28.7704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31017, 2801, '331122', '壶镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.296,28.9319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31018, 2801, '331122', '七里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.031,28.6958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31019, 2801, '331122', '大洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.236,28.5242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31020, 2801, '331122', '大源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.309,28.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31021, 2801, '331122', '仙都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.123,28.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31022, 2801, '331122', '胡源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.227,28.5306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31023, 2801, '331122', '新建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.045,28.6865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31024, 2801, '331122', '新碧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.088,28.7851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31025, 2801, '331122', '方溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.112,28.5438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31026, 2801, '331122', '五云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.108,28.7099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31027, 2801, '331122', '石笕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.19,28.5075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31028, 2801, '331122', '三溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.317,28.6949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31029, 2801, '331122', '东方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.136,28.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31030, 2801, '331122', '双溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.308,28.6848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31031, 2801, '331122', '东渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.022,28.6152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31032, 2801, '331122', '溶江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.213,28.6752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31033, 2802, '330521', '禹越镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.298,30.5298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31034, 2802, '330521', '雷甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.098,30.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31035, 2802, '330521', '洛舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.045,30.6065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31036, 2802, '330521', '舞阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.924,30.4558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31037, 2802, '330521', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.263,30.6515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31038, 2802, '330521', '乾元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.08,30.5958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31039, 2802, '330521', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.193,30.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31040, 2802, '330521', '钟管镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.232,30.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31041, 2802, '330521', '莫干山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.793,30.605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31042, 2802, '330521', '阜溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.94,30.6336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31043, 2802, '330521', '下诸湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.991,30.5066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31044, 2802, '330521', '武康街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.834,30.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31045, 2803, '330503', '练市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.475,30.7455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31046, 2803, '330503', '双林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.261,30.7962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31047, 2803, '330503', '菱湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.174,30.7368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31048, 2803, '330503', '善琏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.302,30.7138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31049, 2803, '330503', '千金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.209,30.6854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31050, 2803, '330503', '石淙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.28,30.7371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31051, 2803, '330503', '和孚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.129,30.7756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31052, 2803, '330503', '旧馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.225,30.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31053, 2803, '330503', '南浔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.377,30.7809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31054, 2804, '330523', '鄣吴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.576,30.7773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31055, 2804, '330523', '溪龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.741,30.7295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31056, 2804, '330523', '杭垓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.44,30.5797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31057, 2804, '330523', '山川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.655,30.4007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31058, 2804, '330523', '报福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.421,30.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31059, 2804, '330523', '上墅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.512,30.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31060, 2804, '330523', '天荒坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.66,30.5702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31061, 2804, '330523', '梅溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.772,30.6962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31062, 2804, '330523', '天子湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.599,30.8575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31063, 2804, '330523', '孝丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.452,30.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31064, 2804, '330523', '章村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.408,30.509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31065, 2804, '330523', '孝源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.567,30.6324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31066, 2804, '330523', '昌硕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.793,30.5753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31067, 2804, '330523', '递铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.804,30.6288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31068, 2804, '330523', '灵峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.663,30.628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31069, 2805, '330522', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.889,30.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31070, 2805, '330522', '画溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.743,30.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31071, 2805, '330522', '水口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.784,31.1467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31072, 2805, '330522', '太湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.968,31.0638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31073, 2805, '330522', '夹浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.892,31.115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31074, 2805, '330522', '李家巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.947,30.9757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31075, 2805, '330522', '洪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.978,30.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31076, 2805, '330522', '吕山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.924,30.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31077, 2805, '330522', '虹星桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.853,30.958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31078, 2805, '330522', '雉城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.849,31.0583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31079, 2805, '330522', '林城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.721,30.9663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31080, 2805, '330522', '小浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.78,31.0473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31081, 2805, '330522', '泗安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.718,30.9512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31082, 2805, '330522', '煤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.776,31.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31083, 2806, '330502', '龙溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.01,30.8924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31084, 2806, '330502', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.096,30.8624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31085, 2806, '330502', '妙西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.952,30.7517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31086, 2806, '330502', '月河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.105,30.8661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31087, 2806, '330502', '飞英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.103,30.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31088, 2806, '330502', '埭溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.897,30.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31089, 2806, '330502', '环渚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.143,30.9103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31090, 2806, '330502', '八里店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.161,30.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31091, 2806, '330502', '织里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.328,30.8538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31092, 2806, '330502', '东林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.021,30.7086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31093, 2806, '330502', '道场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.064,30.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31094, 2806, '330502', '爱山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.097,30.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31095, 2806, '330502', '康山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.022,30.8074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31096, 2806, '330502', '仁皇山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.055,30.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31097, 2806, '330502', '杨家埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.961,30.8903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31098, 2806, '330502', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.074,30.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31099, 2806, '330502', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.132,30.8753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31100, 2806, '330502', '滨湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.071,30.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31101, 2806, '330502', '湖东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.158,30.8728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31102, 2807, '330822', '同弓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.391,28.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31103, 2807, '330822', '东案乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.688,29.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31104, 2807, '330822', '新昌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.578,29.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31105, 2807, '330822', '金川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.457,28.8877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31106, 2807, '330822', '招贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.703,28.9726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31107, 2807, '330822', '天马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.498,28.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31108, 2807, '330822', '芳村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.708,29.1895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31109, 2807, '330822', '辉埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.577,29.0294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31110, 2807, '330822', '青石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.63,28.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31111, 2807, '330822', '何家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.406,28.9826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31112, 2807, '330822', '紫港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.548,28.9688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31113, 2807, '330822', '大桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.549,28.971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31114, 2807, '330822', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.443,28.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31115, 2807, '330822', '球川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.281,28.8919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31116, 2808, '330824', '华埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.352,29.0665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31117, 2808, '330824', '大溪边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.551,29.3386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31118, 2808, '330824', '中村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.317,29.2829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31119, 2808, '330824', '齐溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.35,29.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31120, 2808, '330824', '苏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.089,29.106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31121, 2808, '330824', '林山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.575,29.2316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31122, 2808, '330824', '马金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.336,29.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31123, 2808, '330824', '张湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.178,29.1708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31124, 2808, '330824', '池淮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.289,29.0374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31125, 2808, '330824', '村头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.521,29.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31126, 2808, '330824', '音坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.411,29.2631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31127, 2808, '330824', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.365,29.1569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31128, 2808, '330824', '何田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.249,29.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31129, 2808, '330824', '长虹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.188,29.2693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31130, 2808, '330824', '金村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.502,29.2347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31131, 2808, '330824', '桐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.219,29.05', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31132, 2808, '330824', '塘坞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.463,29.3607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31133, 2808, '330824', '杨林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.11,29.0035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31134, 2809, '330802', '姜家山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.792,28.9843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31135, 2809, '330802', '沟溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.698,29.0399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31136, 2809, '330802', '石室乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.942,28.8977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31137, 2809, '330802', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.842,28.9846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31138, 2809, '330802', '七里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.745,29.1577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31139, 2809, '330802', '新新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.913,28.9459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31140, 2809, '330802', '石梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.708,29.0914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31141, 2809, '330802', '黄家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.842,28.8918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31142, 2809, '330802', '九华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.839,29.1282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31143, 2809, '330802', '航埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.719,28.9273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31144, 2809, '330802', '信安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.894,28.9735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31145, 2809, '330802', '华墅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.743,28.9104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31146, 2809, '330802', '双港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.87,28.941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31147, 2809, '330802', '府山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.866,28.9659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31148, 2809, '330802', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.894,28.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31149, 2809, '330802', '荷花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.868,28.9418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31150, 2809, '330802', '万田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.868,29.0361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31151, 2810, '330881', '保安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.489,28.4037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31152, 2810, '330881', '长台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.666,28.633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31153, 2810, '330881', '塘源口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.771,28.6561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31154, 2810, '330881', '坛石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.497,28.8107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31155, 2810, '330881', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.42,28.7909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31156, 2810, '330881', '虎山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.544,28.7187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31157, 2810, '330881', '大陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.634,28.8573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31158, 2810, '330881', '双溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.644,28.4372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31159, 2810, '330881', '碗窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.668,28.6483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31160, 2810, '330881', '峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.489,28.5008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31161, 2810, '330881', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.531,28.5353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31162, 2810, '330881', '上余镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.634,28.8213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31163, 2810, '330881', '双塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.626,28.8316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31164, 2810, '330881', '廿八都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.573,28.3729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31165, 2810, '330881', '清湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.575,28.651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31166, 2810, '330881', '四都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.66,28.8358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31167, 2810, '330881', '张村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.651,28.5681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31168, 2810, '330881', '新塘边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.448,28.6409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31169, 2810, '330881', '凤林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.521,28.5591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31170, 2810, '330881', '贺村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.48,28.691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31171, 2811, '330803', '后溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.741,28.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31172, 2811, '330803', '周家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.868,29.114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31173, 2811, '330803', '双桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.893,29.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31174, 2811, '330803', '峡川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.021,29.2127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31175, 2811, '330803', '廿里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.866,28.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31176, 2811, '330803', '杜泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.89,29.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31177, 2811, '330803', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.087,29.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31178, 2811, '330803', '樟潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.02,28.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31179, 2811, '330803', '岭洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.819,28.6572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31180, 2811, '330803', '举村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.912,28.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31181, 2811, '330803', '湖南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.839,28.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31182, 2811, '330803', '黄坛口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.888,28.815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31183, 2811, '330803', '灰坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.78,29.2213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31184, 2811, '330803', '上方镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.808,29.2771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31185, 2811, '330803', '全旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.04,28.9226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31186, 2811, '330803', '太真乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.774,29.2208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31187, 2811, '330803', '大洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.942,28.8731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31188, 2811, '330803', '高家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.946,29.0369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31189, 2811, '330803', '浮石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.914,29.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31190, 2811, '330803', '云溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.888,29.0451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31191, 2812, '330825', '大街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.238,28.8578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31192, 2812, '330825', '庙下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.119,28.8584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31193, 2812, '330825', '湖镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.244,29.0824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31194, 2812, '330825', '沐尘畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.178,28.8357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31195, 2812, '330825', '龙洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.14,28.9777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31196, 2812, '330825', '小南海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.057,29.079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31197, 2812, '330825', '石佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.047,29.2028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31198, 2812, '330825', '塔石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.076,29.1549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31199, 2812, '330825', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.105,28.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31200, 2812, '330825', '罗家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.226,28.9591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31201, 2812, '330825', '模环乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.22,29.1557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31202, 2812, '330825', '社阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.331,28.812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31203, 2812, '330825', '詹家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.071,29.0245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31204, 2812, '330825', '东华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.228,29.005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31205, 2812, '330825', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.218,29.2935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31206, 2813, '330102', '紫阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.166,30.2313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31207, 2813, '330102', '望江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.192,30.2453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31208, 2813, '330102', '清波街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,30.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31209, 2813, '330102', '湖滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.158,30.2564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31210, 2813, '330102', '小营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.175,30.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31211, 2813, '330102', '南星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.155,30.2168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31212, 2814, '330111', '常安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.916,29.8976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31213, 2814, '330111', '春建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.796,30.109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31214, 2814, '330111', '新登镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.793,30.0335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31215, 2814, '330111', '洞桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.576,30.0864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31216, 2814, '330111', '湖源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.975,29.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31217, 2814, '330111', '银湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.865,30.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31218, 2814, '330111', '上官乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.981,29.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31219, 2814, '330111', '万市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.484,30.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31220, 2814, '330111', '永昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.759,30.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31221, 2814, '330111', '场口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.892,29.9029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31222, 2814, '330111', '胥口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.627,30.0306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31223, 2814, '330111', '鹿山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.874,30.0109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31224, 2814, '330111', '灵桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.055,30.0382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31225, 2814, '330111', '春江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.984,29.9716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31226, 2814, '330111', '渔山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.085,30.0386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31227, 2814, '330111', '新桐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.82,29.9469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31228, 2814, '330111', '环山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.936,29.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31229, 2814, '330111', '常绿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.007,29.8581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31230, 2814, '330111', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.954,29.859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31231, 2814, '330111', '渌渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.719,29.9277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31232, 2814, '330111', '东洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.122,30.0895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31233, 2814, '330111', '里山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.064,30.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31234, 2814, '330111', '富春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.856,30.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31235, 2814, '330111', '大源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.973,29.9348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31236, 2815, '330122', '分水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.387,29.994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31237, 2815, '330122', '百江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.257,29.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31238, 2815, '330122', '莪山畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.561,29.7624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31239, 2815, '330122', '新合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.901,29.7436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31240, 2815, '330122', '桐君街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.673,29.8719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31241, 2815, '330122', '瑶琳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.509,29.9797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31242, 2815, '330122', '富春江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.705,29.5895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31243, 2815, '330122', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.729,29.7225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31244, 2815, '330122', '合村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.209,29.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31245, 2815, '330122', '横村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.596,29.8965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31246, 2815, '330122', '江南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.821,29.8732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31247, 2815, '330122', '旧县街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.654,29.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31248, 2815, '330122', '钟山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.417,29.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31249, 2815, '330122', '凤川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.75,29.7546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31250, 2816, '330182', '钦堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.512,29.7265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31251, 2816, '330182', '乾潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.437,29.744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31252, 2816, '330182', '杨村桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.366,29.6599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31253, 2816, '330182', '下涯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.321,29.6885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31254, 2816, '330182', '洋溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.232,29.5202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31255, 2816, '330182', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.275,29.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31256, 2816, '330182', '大慈岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.34,29.3753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31257, 2816, '330182', '大洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.435,29.4775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31258, 2816, '330182', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.056,29.3512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31259, 2816, '330182', '航头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.216,29.3106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31260, 2816, '330182', '梅城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.44,29.52', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31261, 2816, '330182', '新安江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.244,29.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31262, 2816, '330182', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.629,29.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31263, 2816, '330182', '李家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.909,29.3366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31264, 2816, '330182', '更楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.231,29.4496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31265, 2816, '330182', '寿昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.1,29.4209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31266, 2817, '330127', '瑶山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.025,30.0198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31267, 2817, '330127', '左口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.021,29.844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31268, 2817, '330127', '富文乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.195,29.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31269, 2817, '330127', '临岐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.115,29.9632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31270, 2817, '330127', '威坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.896,29.8661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31271, 2817, '330127', '文昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.106,29.7529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31272, 2817, '330127', '屏门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.975,30.0275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31273, 2817, '330127', '金峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.889,29.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31274, 2817, '330127', '千岛湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.974,29.7193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31275, 2817, '330127', '枫树岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.61,29.3773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31276, 2817, '330127', '姜家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.562,29.622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31277, 2817, '330127', '大墅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.73,29.3294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31278, 2817, '330127', '鸠坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.817,29.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31279, 2817, '330127', '石林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.077,29.5006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31280, 2817, '330127', '里商乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.095,29.5174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31281, 2817, '330127', '汾口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.628,29.4426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31282, 2817, '330127', '安阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.852,29.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31283, 2817, '330127', '界首乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.875,29.6125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31284, 2817, '330127', '梓桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.786,29.6448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31285, 2817, '330127', '宋村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.886,29.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31286, 2817, '330127', '浪川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.496,29.5206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31287, 2817, '330127', '中洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.345,29.4749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31288, 2817, '330127', '王阜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.895,29.7863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31289, 2818, '330108', '西兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.203,30.2032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31290, 2818, '330108', '长河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.207,30.204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31291, 2818, '330108', '浦沿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,30.1785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31292, 2819, '330112', '玲珑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.559,30.2144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31293, 2819, '330112', '清凉峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.911,30.1721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31294, 2819, '330112', '岛石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.006,30.317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31295, 2819, '330112', '龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.974,30.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31296, 2819, '330112', '天目山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.441,30.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31297, 2819, '330112', '青山湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.699,30.3785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31298, 2819, '330112', '锦城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.675,30.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31299, 2819, '330112', '於潜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.35,30.3393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31300, 2819, '330112', '太湖源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.534,30.2328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31301, 2819, '330112', '太阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.349,30.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31302, 2819, '330112', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.767,30.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31303, 2819, '330112', '河桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.296,30.0816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31304, 2819, '330112', '潜川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.293,30.0891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31305, 2819, '330112', '高虹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.655,30.4012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31306, 2819, '330112', '锦南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.704,30.1782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31307, 2819, '330112', '昌化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.132,30.191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31308, 2819, '330112', '锦北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.726,30.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31309, 2819, '330112', '湍口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.04,30.0108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31310, 2820, '330109', '义蓬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.513,30.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31311, 2820, '330109', '新塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.345,30.1601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31312, 2820, '330109', '新湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.523,30.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31313, 2820, '330109', '河庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.509,30.3892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31314, 2820, '330109', '萧山经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.404,30.2312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31315, 2820, '330109', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.358,30.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31316, 2820, '330109', '党湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.516,30.2132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31317, 2820, '330109', '萧山空港经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.46,30.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31318, 2820, '330109', '宁围街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.26,30.2022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31319, 2820, '330109', '进化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.31,30.0494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31320, 2820, '330109', '戴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.221,30.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31321, 2820, '330109', '闻堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.234,30.1343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31322, 2820, '330109', '所前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.301,30.1195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31323, 2820, '330109', '衙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.411,30.1399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31324, 2820, '330109', '南阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.434,30.2947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31325, 2820, '330109', '河上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.163,29.913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31326, 2820, '330109', '蜀山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.225,30.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31327, 2820, '330109', '楼塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.11,29.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31328, 2820, '330109', '围垦区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.456,30.3818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31329, 2820, '330109', '浦阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.217,29.9677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31330, 2820, '330109', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.64,30.228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31331, 2820, '330109', '义桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.173,30.0837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31332, 2820, '330109', '红山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.362,30.2191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31333, 2820, '330109', '靖江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.459,30.2521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31334, 2820, '330109', '瓜沥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.61,30.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31335, 2820, '330109', '益农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.581,30.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31336, 2820, '330109', '萧山商业城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.293,30.1653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31337, 2820, '330109', '临浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.221,30.0622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31338, 2820, '330109', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.548,30.3589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31339, 2820, '330109', '城厢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.257,30.1536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31340, 2820, '330109', '北干街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.287,30.1714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31341, 2821, '330104', '闸弄口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.197,30.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31342, 2821, '330104', '彭埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.244,30.3164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31343, 2821, '330104', '采荷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.193,30.2576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31344, 2821, '330104', '四季青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.212,30.2704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31345, 2821, '330104', '凯旋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.212,30.2736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31346, 2821, '330104', '丁兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.213,30.3828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31347, 2821, '330104', '白杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.342,30.2578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31348, 2821, '330104', '下沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.332,30.3624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31349, 2821, '330104', '笕桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.219,30.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31350, 2821, '330104', '九堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.252,30.3328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31351, 2822, '330110', '径山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.815,30.4226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31352, 2822, '330110', '崇贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.163,30.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31353, 2822, '330110', '黄湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.842,30.4313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31354, 2822, '330110', '中泰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.898,30.2584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31355, 2822, '330110', '鸬鸟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.703,30.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31356, 2822, '330110', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.308,30.3986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31357, 2822, '330110', '运河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.307,30.5209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31358, 2822, '330110', '仓前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.013,30.3212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31359, 2822, '330110', '临平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.232,30.4427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31360, 2822, '330110', '塘栖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.182,30.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31361, 2822, '330110', '瓶窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.856,30.4425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31362, 2822, '330110', '余杭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.864,30.3103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31363, 2822, '330110', '星桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.214,30.3849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31364, 2822, '330110', '百丈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.708,30.5123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31365, 2822, '330110', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.33,30.47', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31366, 2822, '330110', '闲林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.991,30.2618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31367, 2822, '330110', '五常街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.008,30.2717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31368, 2822, '330110', '乔司街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.241,30.3428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31369, 2822, '330110', '仁和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.104,30.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31370, 2822, '330110', '良渚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.999,30.4067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31371, 2823, '330106', '灵隐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.12,30.2684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31372, 2823, '330106', '文新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.11,30.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31373, 2823, '330106', '三墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.026,30.3485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31374, 2823, '330106', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.155,30.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31375, 2823, '330106', '翠苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.119,30.2872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31376, 2823, '330106', '西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.127,30.2516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31377, 2823, '330106', '蒋村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.057,30.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31378, 2823, '330106', '留下街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.055,30.2454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31379, 2823, '330106', '转塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.022,30.1975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31380, 2823, '330106', '西溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.144,30.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31381, 2823, '330106', '双浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.085,30.1251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31382, 2823, '330106', '古荡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.097,30.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31383, 2824, '330105', '祥符街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.115,30.3376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31384, 2824, '330105', '和睦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.114,30.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31385, 2824, '330105', '康桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.131,30.3619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31386, 2824, '330105', '拱宸桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.138,30.3308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31387, 2824, '330105', '半山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.185,30.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31388, 2824, '330105', '湖墅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.144,30.2908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31389, 2824, '330105', '上塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.154,30.2923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31390, 2824, '330105', '小河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.136,30.3075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31391, 2824, '330105', '大关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.156,30.3107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31392, 2824, '330105', '米市巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.151,30.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31393, 2825, '330103', '石桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.175,30.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31394, 2825, '330103', '潮鸣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.185,30.2771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31395, 2825, '330103', '文晖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.177,30.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31396, 2825, '330103', '长庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.172,30.2749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31397, 2825, '330103', '东新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.176,30.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31398, 2825, '330103', '天水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.163,30.2746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31399, 2825, '330103', '朝晖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.153,30.2889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31400, 2825, '330103', '武林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,30.2704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31401, 2826, '330726', '大畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.775,29.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31402, 2826, '330726', '檀溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.866,29.6702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31403, 2826, '330726', '郑家坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.079,29.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31404, 2826, '330726', '中余乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.033,29.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31405, 2826, '330726', '岩头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.936,29.4882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31406, 2826, '330726', '郑宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.997,29.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31407, 2826, '330726', '仙华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.87,29.5252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31408, 2826, '330726', '杭坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.813,29.5578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31409, 2826, '330726', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.025,29.5694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31410, 2826, '330726', '虞宅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.754,29.5699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31411, 2826, '330726', '浦南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.883,29.4046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31412, 2826, '330726', '浦阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.852,29.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31413, 2826, '330726', '前吴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.854,29.4414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31414, 2826, '330726', '花桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.709,29.476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31415, 2826, '330726', '黄宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.001,29.462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31416, 2827, '330784', '舟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.257,28.9243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31417, 2827, '330784', '前仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.073,28.8172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31418, 2827, '330784', '象珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.987,29.0332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31419, 2827, '330784', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,29.0509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31420, 2827, '330784', '石柱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.167,28.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31421, 2827, '330784', '古山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.143,29.0123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31422, 2827, '330784', '唐先镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.127,29.0913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31423, 2827, '330784', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.994,28.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31424, 2827, '330784', '花街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.99,28.9234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31425, 2827, '330784', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.989,28.8649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31426, 2827, '330784', '方岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.237,28.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31427, 2827, '330784', '芝英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.117,28.8991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31428, 2827, '330784', '西溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.249,29.0261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31429, 2827, '330784', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.032,28.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31430, 2828, '330783', '佐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.472,29.3128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31431, 2828, '330783', '六石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.335,29.3917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31432, 2828, '330783', '三单乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.718,29.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31433, 2828, '330783', '巍山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.4,29.4243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31434, 2828, '330783', '虎鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.412,29.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31435, 2828, '330783', '白云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.156,29.2451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31436, 2828, '330783', '歌山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.395,29.3004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31437, 2828, '330783', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.359,29.2486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31438, 2828, '330783', '南市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.189,29.2062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31439, 2828, '330783', '横店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.302,29.1937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31440, 2828, '330783', '千祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.326,29.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31441, 2828, '330783', '画水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.144,29.2405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31442, 2828, '330783', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.266,29.3767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31443, 2828, '330783', '湖溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.374,29.2365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31444, 2828, '330783', '南马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.159,29.1139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31445, 2828, '330783', '吴宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.23,29.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31446, 2828, '330783', '东阳江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.478,29.2604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31447, 2828, '330783', '马宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.401,29.1404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31448, 2829, '330723', '桃溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.492,28.6248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31449, 2829, '330723', '新宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.809,28.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31450, 2829, '330723', '白姆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.644,28.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31451, 2829, '330723', '大田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.764,28.8436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31452, 2829, '330723', '西联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.603,28.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31453, 2829, '330723', '白洋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.622,28.8475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31454, 2829, '330723', '熟溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.854,28.8864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31455, 2829, '330723', '履坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.678,28.7314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31456, 2829, '330723', '三港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.6,28.5418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31457, 2829, '330723', '茭道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.873,29.0404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31458, 2829, '330723', '柳城畲族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.47,28.6832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31459, 2829, '330723', '王宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.579,28.7557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31460, 2829, '330723', '坦洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.635,28.7439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31461, 2829, '330723', '泉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.915,28.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31462, 2829, '330723', '俞源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.672,28.8086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31463, 2829, '330723', '大溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.602,28.6327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31464, 2829, '330723', '壶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.807,28.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31465, 2829, '330723', '桐琴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.905,28.8669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31466, 2830, '330781', '马涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.61,29.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31467, 2830, '330781', '香溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.572,29.3353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31468, 2830, '330781', '游埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.316,29.1572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31469, 2830, '330781', '黄店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.441,29.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31470, 2830, '330781', '兰江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.366,29.2624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31471, 2830, '330781', '上华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.424,29.1418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31472, 2830, '330781', '梅江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.768,29.4018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31473, 2830, '330781', '柏社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.716,29.4508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31474, 2830, '330781', '灵洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.552,29.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31475, 2830, '330781', '女埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.438,29.3442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31476, 2830, '330781', '诸葛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.324,29.2574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31477, 2830, '330781', '赤溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.372,29.2058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31478, 2830, '330781', '横溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.864,29.4046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31479, 2830, '330781', '永昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.247,29.198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31480, 2830, '330781', '云山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.533,29.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31481, 2830, '330781', '水亭畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.297,29.173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31482, 2831, '330727', '安文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.513,29.0852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31483, 2831, '330727', '大盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.581,29.0455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31484, 2831, '330727', '方前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.618,29.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31485, 2831, '330727', '双溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.48,29.1516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31486, 2831, '330727', '仁川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.375,28.8877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31487, 2831, '330727', '九和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.635,29.1902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31488, 2831, '330727', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.609,29.2148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31489, 2831, '330727', '双峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.481,28.9693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31490, 2831, '330727', '窈川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.57,29.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31491, 2831, '330727', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.321,28.937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31492, 2831, '330727', '尚湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.642,29.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31493, 2831, '330727', '盘峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.659,28.9715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31494, 2831, '330727', '尖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.69,29.2438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31495, 2831, '330727', '新渥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.353,28.9218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31496, 2832, '330782', '大陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.238,29.4495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31497, 2832, '330782', '义亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.967,29.2033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31498, 2832, '330782', '赤岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.039,29.16', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31499, 2832, '330782', '苏溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.151,29.4488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31500, 2832, '330782', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.935,29.3784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31501, 2832, '330782', '上溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.905,29.3691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31502, 2832, '330782', '稠城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.082,29.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31503, 2832, '330782', '江东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.158,29.2698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31504, 2832, '330782', '廿三里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.204,29.4092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31505, 2832, '330782', '后宅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.077,29.4431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31506, 2832, '330782', '佛堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.078,29.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31507, 2832, '330782', '稠江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.004,29.2848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31508, 2832, '330782', '北苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.025,29.3531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31509, 2832, '330782', '福田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.144,29.3766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31510, 2833, '330703', '澧浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.864,29.1265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31511, 2833, '330703', '岭下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.78,29.071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31512, 2833, '330703', '傅村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.847,29.2942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31513, 2833, '330703', '孝顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.821,29.2511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31514, 2833, '330703', '江东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.703,29.0647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31515, 2833, '330703', '赤松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.656,29.1969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31516, 2833, '330703', '曹宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.825,29.2346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31517, 2833, '330703', '源东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.815,29.3043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31518, 2833, '330703', '塘雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.8,29.1897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31519, 2833, '330703', '多湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.734,29.0836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31520, 2833, '330703', '东孝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.685,29.1365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31521, 2834, '330702', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.661,29.1058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31522, 2834, '330702', '罗店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.71,29.2314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31523, 2834, '330702', '莘畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.344,28.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31524, 2834, '330702', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.655,29.0966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31525, 2834, '330702', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.638,29.1176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31526, 2834, '330702', '城中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.652,29.1102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31527, 2834, '330702', '岭上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.505,29.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31528, 2834, '330702', '长山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.564,29.0283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31529, 2834, '330702', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.621,29.0841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31530, 2834, '330702', '安地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.661,29.0037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31531, 2834, '330702', '乾西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.556,29.1394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31532, 2834, '330702', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.624,29.1058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31533, 2834, '330702', '秋滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.597,29.0232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31534, 2834, '330702', '塔石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.385,28.897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31535, 2834, '330702', '琅琊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.485,29.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31536, 2834, '330702', '沙畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.501,28.7514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31537, 2834, '330702', '苏孟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.632,29.0534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31538, 2834, '330702', '竹马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.592,29.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31539, 2834, '330702', '三江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.679,29.0762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31540, 2834, '330702', '蒋堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.495,29.1016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31541, 2834, '330702', '洋埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.371,29.108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31542, 2834, '330702', '新狮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.659,29.1761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31543, 2834, '330702', '雅畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.688,29.0372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31544, 2834, '330702', '罗埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.432,29.143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31545, 2834, '330702', '箬阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.585,28.8788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31546, 2834, '330702', '白龙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.492,29.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31547, 2834, '330702', '汤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.44,29.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31548, 2835, '330683', '崇仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.656,29.6576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31549, 2835, '330683', '鹿山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.784,29.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31550, 2835, '330683', '长乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.582,29.53', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31551, 2835, '330683', '嵊州经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.86,29.6034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31552, 2835, '330683', '下王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.994,29.7402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31553, 2835, '330683', '仙岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.881,29.7215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31554, 2835, '330683', '剡湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.777,29.6538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31555, 2835, '330683', '三界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.799,29.8211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31556, 2835, '330683', '三江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.811,29.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31557, 2835, '330683', '浦口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.873,29.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31558, 2835, '330683', '甘霖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.7,29.5554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31559, 2835, '330683', '黄泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.983,29.6569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31560, 2835, '330683', '石璜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.499,29.5868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31561, 2835, '330683', '谷来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.592,29.7291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31562, 2835, '330683', '金庭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.012,29.6448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31563, 2835, '330683', '贵门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.619,29.4206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31564, 2836, '330602', '皋埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.683,29.9225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31565, 2836, '330602', '斗门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.585,30.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31566, 2836, '330602', '东浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.531,30.0818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31567, 2836, '330602', '鉴湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.53,29.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31568, 2836, '330602', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.57,29.9845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31569, 2836, '330602', '孙端街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.697,30.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31570, 2836, '330602', '富盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.733,29.9884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31571, 2836, '330602', '陶堰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.712,30.0097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31572, 2836, '330602', '马山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.687,30.0904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31573, 2836, '330602', '灵芝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.594,30.0419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31574, 2836, '330602', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.624,30.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31575, 2836, '330602', '北海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.571,29.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31576, 2836, '330602', '府山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.594,30.0005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31577, 2836, '330602', '塔山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.568,29.9954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31578, 2836, '330602', '稽山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.639,29.9446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31579, 2836, '330602', '迪荡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.621,30.0144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31580, 2837, '330603', '夏履镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.336,30.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31581, 2837, '330603', '兰亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.501,29.9623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31582, 2837, '330603', '杨汛桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.374,30.1554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31583, 2837, '330603', '华舍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.475,30.1183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31584, 2837, '330603', '王坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.641,29.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31585, 2837, '330603', '马鞍街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.582,30.1519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31586, 2837, '330603', '安昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.469,30.1697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31587, 2837, '330603', '平水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.741,29.839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31588, 2837, '330603', '钱清街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.42,30.1508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31589, 2837, '330603', '湖塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.405,30.0684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31590, 2837, '330603', '漓渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.419,29.935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31591, 2837, '330603', '柯岩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.447,30.0085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31592, 2837, '330603', '柯桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.496,30.0869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31593, 2837, '330603', '齐贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.556,30.1498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31594, 2837, '330603', '福全街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.47,30.0071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31595, 2837, '330603', '稽东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.599,29.8382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31596, 2838, '330681', '陈宅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.322,29.5353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31597, 2838, '330681', '浣东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.38,29.6971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31598, 2838, '330681', '安华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.119,29.5788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31599, 2838, '330681', '应店街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.152,29.8425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31600, 2838, '330681', '东白湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.454,29.6425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31601, 2838, '330681', '马剑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.975,29.7657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31602, 2838, '330681', '璜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.316,29.6119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31603, 2838, '330681', '岭北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.348,29.44', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31604, 2838, '330681', '暨阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.271,29.7873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31605, 2838, '330681', '山下湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.402,29.8485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31606, 2838, '330681', '五泄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.039,29.6577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31607, 2838, '330681', '浬浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.327,29.6382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31608, 2838, '330681', '牌头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.094,29.6015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31609, 2838, '330681', '枫桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.38,29.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31610, 2838, '330681', '陶朱街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.173,29.8045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31611, 2838, '330681', '东和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.459,29.6488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31612, 2838, '330681', '同山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.045,29.6147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31613, 2838, '330681', '赵家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.431,29.7123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31614, 2838, '330681', '次坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.197,29.9173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31615, 2838, '330681', '大唐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.051,29.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31616, 2838, '330681', '店口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.327,29.9452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31617, 2838, '330681', '暨南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.3,29.6353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31618, 2838, '330681', '姚江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.227,29.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31619, 2839, '330624', '儒岙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.022,29.318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31620, 2839, '330624', '大市聚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.991,29.5032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31621, 2839, '330624', '七星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.88,29.5374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31622, 2839, '330624', '双彩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.821,29.3576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31623, 2839, '330624', '新林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.041,29.5195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31624, 2839, '330624', '羽林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.948,29.5441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31625, 2839, '330624', '澄潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.794,29.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31626, 2839, '330624', '镜岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.793,29.398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31627, 2839, '330624', '东茗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.814,29.412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31628, 2839, '330624', '城南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.951,29.4258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31629, 2839, '330624', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.193,29.5384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31630, 2839, '330624', '巧英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.148,29.4078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31631, 2839, '330624', '小将镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.105,29.4563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31632, 2839, '330624', '梅渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.842,29.4354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31633, 2839, '330624', '南明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.891,29.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31634, 2839, '330624', '回山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.825,29.3059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31635, 2840, '330604', '百官街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.912,29.9601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31636, 2840, '330604', '下管镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.029,29.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31637, 2840, '330604', '小越街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.922,30.0892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31638, 2840, '330604', '梁湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.961,29.9803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31639, 2840, '330604', '沥海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.795,30.1457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31640, 2840, '330604', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.793,29.9751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31641, 2840, '330604', '岭南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.94,29.7534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31642, 2840, '330604', '汤浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.812,29.8309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31643, 2840, '330604', '驿亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.925,30.0443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31644, 2840, '330604', '道墟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.736,30.0764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31645, 2840, '330604', '上浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.865,29.9243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31646, 2840, '330604', '谢塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.928,30.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31647, 2840, '330604', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.771,29.9933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31648, 2840, '330604', '崧厦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.86,30.1176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31649, 2840, '330604', '盖北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.851,30.124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31650, 2840, '330604', '丰惠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.007,30.0192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31651, 2840, '330604', '章镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.952,29.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31652, 2840, '330604', '陈溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.065,29.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31653, 2840, '330604', '曹娥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.827,29.9915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31654, 2840, '330604', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.064,29.9557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31655, 2840, '330604', '丁宅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '120.918,29.879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31656, 2841, '361003', '瑶圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.738,28.109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31657, 2841, '361003', '红光垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.591,28.2378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31658, 2841, '361003', '杨桥殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.575,28.4701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31659, 2841, '361003', '圩上桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.463,28.2441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31660, 2841, '361003', '詹圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.383,28.2324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31661, 2841, '361003', '王桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.698,28.1605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31662, 2841, '361003', '甘坑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.698,28.1002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31663, 2841, '361003', '小璜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.718,28.3864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31664, 2841, '361003', '黎圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.685,28.0965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31665, 2841, '361003', '马圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.425,28.1546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31666, 2841, '361003', '红亮垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.579,28.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31667, 2841, '361003', '虎圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.541,28.1786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31668, 2841, '361003', '岗上积镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.543,28.1576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31669, 2841, '361003', '东乡县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,28.1851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31670, 2841, '361003', '红星垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.56,28.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31671, 2841, '361003', '珀玕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.763,28.3253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31672, 2841, '361003', '江西铜业集团公司东同矿业有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.629,28.2757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31673, 2841, '361003', '邓家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.545,28.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31674, 2841, '361003', '江西磷肥厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.627,28.2386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31675, 2841, '361003', '孝岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.692,28.2582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31676, 2841, '361003', '金峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,28.2268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31677, 2842, '361024', '白鹭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.164,27.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31678, 2842, '361024', '三山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.904,27.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31679, 2842, '361024', '石庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.949,27.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31680, 2842, '361024', '孙坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.149,27.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31681, 2842, '361024', '六家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.239,27.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31682, 2842, '361024', '河上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.972,27.8688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31683, 2842, '361024', '桃源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.067,27.6864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31684, 2842, '361024', '航埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.205,27.8307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31685, 2842, '361024', '巴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.027,27.8293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31686, 2842, '361024', '相山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.998,27.5705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31687, 2842, '361024', '许坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.195,27.7372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31688, 2842, '361024', '郭圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.066,27.7056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31689, 2842, '361024', '白陂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.861,27.7897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31690, 2842, '361024', '马鞍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.851,27.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31691, 2842, '361024', '礼陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.131,27.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31692, 2843, '361028', '石峡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.917,27.7225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31693, 2843, '361028', '乌石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.948,27.639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31694, 2843, '361028', '高田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.812,27.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31695, 2843, '361028', '嵩市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.894,27.8159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31696, 2843, '361028', '鹤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.017,27.6605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31697, 2843, '361028', '马头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.133,27.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31698, 2843, '361028', '高阜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.028,27.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31699, 2844, '361002', '展坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.223,28.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31700, 2844, '361002', '嵩湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.439,27.9079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31701, 2844, '361002', '荣山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.345,27.6861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31702, 2844, '361002', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.351,27.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31703, 2844, '361002', '东馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.442,27.862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31704, 2844, '361002', '湖南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.433,27.9918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31705, 2844, '361002', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.366,27.9717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31706, 2844, '361002', '河埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.365,27.8307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31707, 2844, '361002', '太阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.453,28.0863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31708, 2844, '361002', '罗湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.368,28.1577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31709, 2844, '361002', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.218,28.024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31710, 2844, '361002', '钟岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.363,27.928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31711, 2844, '361002', '唱凯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.345,28.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31712, 2844, '361002', '桐源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.17,28.1074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31713, 2844, '361002', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.26,27.7878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31714, 2844, '361002', '荣山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.468,27.727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31715, 2844, '361002', '荆公路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.359,27.9895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31716, 2844, '361002', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.296,28.0204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31717, 2844, '361002', '鹏田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.552,27.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31718, 2844, '361002', '孝桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,28.0582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31719, 2844, '361002', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.153,28.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31720, 2844, '361002', '青泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.558,27.8039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31721, 2844, '361002', '七里岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.48,28.0237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31722, 2844, '361002', '秋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.285,27.876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31723, 2844, '361002', '崇岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.359,27.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31724, 2844, '361002', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.349,27.986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31725, 2844, '361002', '云山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.312,28.2315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31726, 2844, '361002', '上顿渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.328,27.9693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31727, 2844, '361002', '连城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.281,27.8804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31728, 2844, '361002', '青云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,27.9708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31729, 2844, '361002', '抚北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.299,28.0245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31730, 2844, '361002', '七里岗垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.421,28.0316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31731, 2844, '361002', '罗针镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.233,28.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31732, 2844, '361002', '茅排乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.438,27.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31733, 2844, '361002', '大岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.089,28.1911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31734, 2844, '361002', '腾桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.533,27.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31735, 2844, '361002', '六水桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.346,27.9998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31736, 2845, '361026', '桃陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.335,27.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31737, 2845, '361026', '新丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.215,27.1593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31738, 2845, '361026', '南源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.386,27.5233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31739, 2845, '361026', '神冈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.319,27.3536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31740, 2845, '361026', '宜黄县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.271,27.5959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31741, 2845, '361026', '黄陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.185,27.3443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31742, 2845, '361026', '凤冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.199,27.5956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31743, 2845, '361026', '中港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.186,27.4061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31744, 2845, '361026', '梨溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.335,27.5888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31745, 2845, '361026', '棠阴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.261,27.542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31746, 2845, '361026', '圳口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.409,27.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31747, 2845, '361026', '二都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.226,27.4344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31748, 2845, '361026', '东陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,27.2489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31749, 2845, '361026', '青年垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.274,27.6577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31750, 2845, '361026', '黄柏岭垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.154,27.3432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31751, 2846, '361022', '德胜企业集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.004,27.0879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31752, 2846, '361022', '湖坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.009,27.3449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31753, 2846, '361022', '西城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.762,27.1284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31754, 2846, '361022', '潭溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.937,27.259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31755, 2846, '361022', '华山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.992,27.4071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31756, 2846, '361022', '洵口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.017,27.4319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31757, 2846, '361022', '中田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.732,27.3535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31758, 2846, '361022', '熊村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.034,27.2726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31759, 2846, '361022', '黎川县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.943,27.2508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31760, 2846, '361022', '荷源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.954,27.3271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31761, 2846, '361022', '厚村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.065,27.4757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31762, 2846, '361022', '德胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.928,27.2162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31763, 2846, '361022', '宏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.871,27.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31764, 2846, '361022', '樟溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.859,27.093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31765, 2846, '361022', '龙安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.775,27.2525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31766, 2846, '361022', '日峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.855,27.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31767, 2846, '361022', '社苹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.877,27.2285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31768, 2847, '361021', '里塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.405,27.326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31769, 2847, '361021', '株良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.474,27.4829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31770, 2847, '361021', '沙洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.824,27.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31771, 2847, '361021', '洪门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.714,27.5972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31772, 2847, '361021', '南城县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.627,27.5314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31773, 2847, '361021', '万坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.495,27.6604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31774, 2847, '361021', '浔溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.834,27.667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31775, 2847, '361021', '上唐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.746,27.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31776, 2847, '361021', '建昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.624,27.5303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31777, 2847, '361021', '徐家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.696,27.6957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31778, 2847, '361021', '龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.908,27.5775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31779, 2847, '361021', '新丰街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.557,27.3487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31780, 2847, '361021', '天井源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.64,27.5418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31781, 2848, '361027', '双塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.711,28.0332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31782, 2848, '361027', '何源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.926,27.9949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31783, 2848, '361027', '琉璃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.581,28.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31784, 2848, '361027', '对桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.863,28.0865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31785, 2848, '361027', '陈坊积乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.575,28.0635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31786, 2848, '361027', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.712,27.819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31787, 2848, '361027', '浒湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.547,27.9634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31788, 2848, '361027', '陆坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.81,27.9486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31789, 2848, '361027', '华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.661,27.9142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31790, 2848, '361027', '黄通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.866,27.9348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31791, 2848, '361027', '合市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.635,28.0553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31792, 2848, '361027', '左坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.749,27.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31793, 2848, '361027', '秀谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.734,27.9579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31794, 2848, '361027', '琅琚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.665,27.9428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31795, 2849, '361025', '公溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.853,27.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31796, 2849, '361025', '大马头垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.731,27.3354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31797, 2849, '361025', '湖溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.8,27.5458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31798, 2849, '361025', '谷岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.97,27.4059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31799, 2849, '361025', '龚坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.705,27.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31800, 2849, '361025', '增田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.755,27.3252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31801, 2849, '361025', '招携镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.862,27.28', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31802, 2849, '361025', '万崇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.698,27.2736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31803, 2849, '361025', '戴坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.669,27.6337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31804, 2849, '361025', '南村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.95,27.3891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31805, 2849, '361025', '湖坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.742,27.2184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31806, 2849, '361025', '金竹畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.975,27.1811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31807, 2849, '361025', '罗陂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.712,27.1876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31808, 2849, '361025', '牛田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.702,27.3839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31809, 2849, '361025', '鳌溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.796,27.4573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31810, 2849, '361025', '山砀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.75,27.6405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31811, 2850, '361023', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.568,27.0658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31812, 2850, '361023', '市山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.361,27.2436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31813, 2850, '361023', '桑田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.577,27.1537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31814, 2850, '361023', '紫霄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.183,27.0516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31815, 2850, '361023', '琴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.525,27.2545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31816, 2850, '361023', '三溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.413,27.1927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31817, 2850, '361023', '南丰县长红垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.21,26.9604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31818, 2850, '361023', '莱溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.593,27.248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31819, 2850, '361023', '东坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.749,27.2218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31820, 2850, '361023', '太源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.718,27.2195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31821, 2850, '361023', '洽湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.553,27.2225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31822, 2850, '361023', '傅坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.516,26.9613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31823, 2850, '361023', '白舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.398,27.1103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31824, 2850, '361023', '南丰工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.538,27.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31825, 2851, '361030', '千善乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.431,26.9204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31826, 2851, '361030', '塘坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.418,26.6499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31827, 2851, '361030', '长桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.402,26.8304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31828, 2851, '361030', '水南圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.469,26.8691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31829, 2851, '361030', '尖峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.407,26.7732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31830, 2851, '361030', '驿前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.31,26.6686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31831, 2851, '361030', '甘竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.278,26.9309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31832, 2851, '361030', '赤水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,26.7279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31833, 2851, '361030', '杨溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.379,26.6274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31834, 2851, '361030', '头陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.166,26.8784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31835, 2851, '361030', '广昌县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.335,26.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31836, 2851, '361030', '翠雷山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.216,26.9059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31837, 2851, '361030', '盱江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.362,26.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31838, 2852, '360430', '芙蓉墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.551,29.8539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31839, 2852, '360430', '芙蓉农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.532,29.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31840, 2852, '360430', '棉花原种场国营分场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.671,29.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31841, 2852, '360430', '太泊湖水产养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.733,29.9763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31842, 2852, '360430', '黄岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.551,29.718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31843, 2852, '360430', '黄乐林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.566,29.7126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31844, 2852, '360430', '马垱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.734,30.0285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31845, 2852, '360430', '天红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.44,29.7162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31846, 2852, '360430', '上十岭综合垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.655,29.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31847, 2852, '360430', '建筑材料厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.396,29.8296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31848, 2852, '360430', '杨梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.532,29.7296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31849, 2852, '360430', '定山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.438,29.8475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31850, 2852, '360430', '黄花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.587,29.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31851, 2852, '360430', '太泊湖农业综合开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.683,29.9451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31852, 2852, '360430', '瀼溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.693,29.9298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31853, 2852, '360430', '太平关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.454,29.794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31854, 2852, '360430', '浩山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.76,29.877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31855, 2852, '360430', '东升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.679,29.8635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31856, 2852, '360430', '棉船镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.676,29.9473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31857, 2852, '360430', '水产养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.528,29.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31858, 2852, '360430', '龙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.614,29.891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31859, 2852, '360430', '棉科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.621,30.0153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31860, 2853, '360429', '文桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.313,29.6692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31861, 2853, '360429', '南北港水产场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.257,29.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31862, 2853, '360429', '流泗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.402,29.8138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31863, 2853, '360429', '武山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.347,29.5595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31864, 2853, '360429', '大垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.372,29.7376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31865, 2853, '360429', '舜德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.243,29.589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31866, 2853, '360429', '凰村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.33,29.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31867, 2853, '360429', '城山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.219,29.5956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31868, 2853, '360429', '流芳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.262,29.5046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31869, 2853, '360429', '马影镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.27,29.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31870, 2853, '360429', '双钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.276,29.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31871, 2853, '360429', '张青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.316,29.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31872, 2853, '360429', '付垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.314,29.6714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31873, 2853, '360429', '武山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.345,29.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31874, 2854, '360428', '周溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.373,29.2', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31875, 2854, '360428', '万户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.524,29.1672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31876, 2854, '360428', '大港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.511,29.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31877, 2854, '360428', '汪墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.282,29.4057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31878, 2854, '360428', '都昌县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.32,29.4726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31879, 2854, '360428', '狮山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.481,29.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31880, 2854, '360428', '西源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.413,29.2074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31881, 2854, '360428', '土塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.365,29.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31882, 2854, '360428', '三汊港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.41,29.314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31883, 2854, '360428', '和合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.289,29.2585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31884, 2854, '360428', '都昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.152,29.0754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31885, 2854, '360428', '芗溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.513,29.3057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31886, 2854, '360428', '徐埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.325,29.4773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31887, 2854, '360428', '大沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.327,29.2628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31888, 2854, '360428', '鸣山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.477,29.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31889, 2854, '360428', '春桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.288,29.5263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31890, 2854, '360428', '左里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.209,29.4685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31891, 2854, '360428', '大树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.29,29.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31892, 2854, '360428', '江西省对外经济技术合作蔡岭示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.214,29.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31893, 2854, '360428', '南峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.561,29.3156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31894, 2854, '360428', '阳峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.341,29.3279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31895, 2854, '360428', '多宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.075,29.4479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31896, 2854, '360428', '北山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.135,29.2994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31897, 2854, '360428', '中馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.545,29.4008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31898, 2854, '360428', '蔡岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.407,29.4986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31899, 2854, '360428', '苏山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.224,29.5368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31900, 2855, '360404', '新合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.757,29.6436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31901, 2855, '360404', '新洲垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.215,29.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31902, 2855, '360404', '永安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.783,29.7518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31903, 2855, '360404', '城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.676,29.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31904, 2855, '360404', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.869,29.6331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31905, 2855, '360404', '岷山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.716,29.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31906, 2855, '360404', '马回岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.859,29.3487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31907, 2855, '360404', '涌泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.622,29.6236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31908, 2855, '360404', '城门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.829,29.6118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31909, 2855, '360404', '新塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.718,29.6749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31910, 2855, '360404', '港口街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.707,29.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31911, 2855, '360404', '江洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.11,29.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31912, 2855, '360404', '岷山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.733,29.548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31913, 2855, '360404', '赛城湖水产场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.926,29.7052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31914, 2855, '360404', '狮子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.868,29.6359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31915, 2855, '360404', '沙河经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.912,29.5723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31916, 2856, '360423', '罗坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.228,29.1631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31917, 2856, '360423', '大洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.935,29.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31918, 2856, '360423', '上汤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.667,29.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31919, 2856, '360423', '罗溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.923,28.9926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31920, 2856, '360423', '横路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.012,29.4404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31921, 2856, '360423', '杨洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.428,29.1795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31922, 2856, '360423', '石渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.957,29.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31923, 2856, '360423', '清江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.787,29.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31924, 2856, '360423', '澧溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.878,29.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31925, 2856, '360423', '宋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.972,29.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31926, 2856, '360423', '甫田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.906,29.2761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31927, 2856, '360423', '官莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.316,29.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31928, 2856, '360423', '鲁溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.26,29.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31929, 2856, '360423', '泉口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.018,29.5566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31930, 2856, '360423', '新宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.107,29.2286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31931, 2856, '360423', '东林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.493,29.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31932, 2856, '360423', '万福经济技术开发区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.125,29.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31933, 2856, '360423', '豫宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.096,29.2721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31934, 2856, '360423', '巾口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.235,29.361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31935, 2856, '360423', '船滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.744,29.3646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31936, 2856, '360423', '石门楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.834,28.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31937, 2857, '360424', '黄沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.701,28.9772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31938, 2857, '360424', '复原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.235,28.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31939, 2857, '360424', '大椿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.141,29.1746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31940, 2857, '360424', '水源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.032,29.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31941, 2857, '360424', '山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.474,28.8531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31942, 2857, '360424', '宁州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.522,29.0759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31943, 2857, '360424', '东港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.226,28.9564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31944, 2857, '360424', '黄港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.727,28.8706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31945, 2857, '360424', '征村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.609,28.9903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31946, 2857, '360424', '石坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.136,29.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31947, 2857, '360424', '渣津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.21,29.0063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31948, 2857, '360424', '上衫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.136,28.9642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31949, 2857, '360424', '西港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,29.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31950, 2857, '360424', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.124,29.0017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31951, 2857, '360424', '路口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.132,29.0992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31952, 2857, '360424', '古市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.126,29.0902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31953, 2857, '360424', '上奉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.572,28.7697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31954, 2857, '360424', '白岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.971,29.0448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31955, 2857, '360424', '竹坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.465,29.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31956, 2857, '360424', '四都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.515,29.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31957, 2857, '360424', '余段乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.084,28.9029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31958, 2857, '360424', '何市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.555,28.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31959, 2857, '360424', '杭口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,29.0814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31960, 2857, '360424', '上杭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.498,29.1498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31961, 2857, '360424', '漫江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.335,28.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31962, 2857, '360424', '全丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.14,29.1836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31963, 2857, '360424', '庙岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.73,29.124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31964, 2857, '360424', '黄坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.757,28.96', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31965, 2857, '360424', '太阳升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.689,29.196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31966, 2857, '360424', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.317,29.2348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31967, 2857, '360424', '布甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,29.3046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31968, 2857, '360424', '马坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.245,29.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31969, 2857, '360424', '新湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.475,29.2827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31970, 2857, '360424', '黄龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.06,29.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31971, 2857, '360424', '义宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.596,29.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31972, 2857, '360424', '港口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.323,29.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31973, 2858, '360483', '东牯山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.991,29.5283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31974, 2858, '360483', '华林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.949,29.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31975, 2858, '360483', '蛟塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.909,29.1961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31976, 2858, '360483', '南康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.044,29.467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31977, 2858, '360483', '蓼南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.963,29.3217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31978, 2858, '360483', '水稻良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.952,29.4316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31979, 2858, '360483', '白鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.044,29.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31980, 2858, '360483', '农科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.027,29.4666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31981, 2858, '360483', '星子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.963,29.3877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31982, 2858, '360483', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.924,29.44', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31983, 2858, '360483', '横塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.877,29.3305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31984, 2858, '360483', '庐山茶科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.882,29.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31985, 2858, '360483', '沙湖山管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.886,29.1852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31986, 2858, '360483', '牯岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.909,29.5682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31987, 2858, '360483', '海会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.111,29.5243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31988, 2859, '360402', '姑塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.09,29.6581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31989, 2859, '360402', '庐山生态文化新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.044,29.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31990, 2859, '360402', '五里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.032,29.7259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31991, 2859, '360402', '十里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.999,29.6843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31992, 2859, '360402', '虞家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.047,29.707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31993, 2859, '360402', '新港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,29.7278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31994, 2859, '360402', '七里湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.894,29.6501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31995, 2859, '360402', '威家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.043,29.627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31996, 2859, '360402', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.062,29.6385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31997, 2859, '360402', '庐山林科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.028,29.6427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31998, 2859, '360402', '赛阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,29.574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (31999, 2859, '360402', '高垅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.13,29.598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32000, 2860, '360403', '茅山头企业集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.978,29.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32001, 2860, '360403', '滨兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.959,29.7073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32002, 2860, '360403', '金鸡坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.032,29.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32003, 2860, '360403', '湓浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.981,29.7158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32004, 2860, '360403', '白水湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.033,29.7433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32005, 2860, '360403', '甘棠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.99,29.7243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32006, 2860, '360403', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.989,29.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32007, 2860, '360403', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.985,29.6638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32008, 2861, '360425', '马口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.773,29.0047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32009, 2861, '360425', '立新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.739,29.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32010, 2861, '360425', '江西永修云山经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.779,29.1072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32011, 2861, '360425', '吴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.943,29.1773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32012, 2861, '360425', '燕坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.677,29.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32013, 2861, '360425', '梅棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.598,29.3003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32014, 2861, '360425', '白槎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.58,29.2456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32015, 2861, '360425', '三角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.931,29.0938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32016, 2861, '360425', '八角岭垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.607,29.1693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32017, 2861, '360425', '江上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,29.1063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32018, 2861, '360425', '柘林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.411,29.1885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32019, 2861, '360425', '云山企业集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.601,29.1737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32020, 2861, '360425', '涂埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.774,29.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32021, 2861, '360425', '三溪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.403,29.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32022, 2861, '360425', '永丰垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.722,29.0088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32023, 2861, '360425', '九合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.878,29.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32024, 2861, '360425', '虬津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.662,29.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32025, 2861, '360425', '滩溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.577,29.0321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32026, 2861, '360425', '艾城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.813,29.1197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32027, 2861, '360425', '恒丰企业集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.81,29.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32028, 2862, '360482', '茶山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.801,29.2542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32029, 2862, '360482', '江益镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.919,29.2017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32030, 2862, '360482', '金湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.8,29.3049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32031, 2862, '360482', '甘露镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.703,29.247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32032, 2862, '360482', '苏家垱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.915,29.3008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32033, 2862, '360482', '泽泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.819,29.3704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32034, 2863, '360426', '塘山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.461,29.4795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32035, 2863, '360426', '吴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.588,29.447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32036, 2863, '360426', '林泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.674,29.5253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32037, 2863, '360426', '蒲亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.752,29.2916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32038, 2863, '360426', '宝塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.73,29.3521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32039, 2863, '360426', '河东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.816,29.3632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32040, 2863, '360426', '爱民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.583,29.464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32041, 2863, '360426', '邹桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.453,29.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32042, 2863, '360426', '彭山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.701,29.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32043, 2863, '360426', '车桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.392,29.4323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32044, 2863, '360426', '磨溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.518,29.3832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32045, 2863, '360426', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.711,29.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32046, 2863, '360426', '聂桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.665,29.4209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32047, 2863, '360426', '高塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.761,29.4254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32048, 2863, '360426', '丰林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.76,29.4538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32049, 2864, '360481', '横港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,29.6213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32050, 2864, '360481', '夏畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.499,29.7608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32051, 2864, '360481', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.305,29.6191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32052, 2864, '360481', '南义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.32,29.4636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32053, 2864, '360481', '乐园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.377,29.5527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32054, 2864, '360481', '青山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.395,29.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32055, 2864, '360481', '桂林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.687,29.657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32056, 2864, '360481', '范镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.536,29.6151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32057, 2864, '360481', '湓城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.647,29.6682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32058, 2864, '360481', '赛湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.711,29.6972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32059, 2864, '360481', '洪一乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.132,29.6016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32060, 2864, '360481', '横立山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.481,29.6938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32061, 2864, '360481', '南阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.559,29.7377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32062, 2864, '360481', '白杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.643,29.752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32063, 2864, '360481', '高丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.481,29.6541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32064, 2864, '360481', '黄金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.535,29.8224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32065, 2864, '360481', '武蛟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.608,29.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32066, 2864, '360481', '瑞昌市大德山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.397,29.5898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32067, 2864, '360481', '肇陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.157,29.5801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32068, 2864, '360481', '洪下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.43,29.6623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32069, 2864, '360481', '码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.647,29.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32070, 2865, '360732', '永丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.228,26.3366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32071, 2865, '360732', '樟木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.606,26.3673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32072, 2865, '360732', '梅窖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.715,26.3438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32073, 2865, '360732', '鼎龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.536,26.3741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32074, 2865, '360732', '兴国县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.375,26.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32075, 2865, '360732', '兴江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.734,26.5678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32076, 2865, '360732', '隆坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.174,26.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32077, 2865, '360732', '良村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.591,26.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32078, 2865, '360732', '南坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.655,26.651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32079, 2865, '360732', '东村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.58,26.3214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32080, 2865, '360732', '潋江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.324,26.3259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32081, 2865, '360732', '龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.25,26.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32082, 2865, '360732', '古龙冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.74,26.4994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32083, 2865, '360732', '埠头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.265,26.304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32084, 2865, '360732', '江背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.391,26.2527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32085, 2865, '360732', '杰村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.391,26.2524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32086, 2865, '360732', '茶园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.194,26.52', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32087, 2865, '360732', '高兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.237,26.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32088, 2865, '360732', '长冈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.391,26.4155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32089, 2865, '360732', '城岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.49,26.5838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32090, 2865, '360732', '枫边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.478,26.6776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32091, 2865, '360732', '方太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.385,26.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32092, 2865, '360732', '均村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.12,26.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32093, 2865, '360732', '兴莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.549,26.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32094, 2865, '360732', '崇贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.3,26.6487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32095, 2865, '360732', '社富乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.388,26.2035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32096, 2866, '360730', '东韶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.064,26.9332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32097, 2866, '360730', '梅江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.963,26.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32098, 2866, '360730', '赖村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.771,26.3743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32099, 2866, '360730', '湛田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.12,26.6082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32100, 2866, '360730', '大沽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.688,26.8079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32101, 2866, '360730', '黄陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.775,26.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32102, 2866, '360730', '青塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.805,26.4481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32103, 2866, '360730', '安福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.925,26.5743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32104, 2866, '360730', '小布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.825,26.8585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32105, 2866, '360730', '对坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.016,26.1484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32106, 2866, '360730', '长胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.019,26.2208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32107, 2866, '360730', '固厚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.126,26.4395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32108, 2866, '360730', '钓峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,26.7264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32109, 2866, '360730', '田埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.232,26.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32110, 2866, '360730', '东山坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.013,26.821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32111, 2866, '360730', '田头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.994,26.3391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32112, 2866, '360730', '宁都县水东工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.995,26.4226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32113, 2866, '360730', '竹笮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.953,26.4609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32114, 2866, '360730', '黄石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.887,26.2766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32115, 2866, '360730', '洛口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.017,26.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32116, 2866, '360730', '石上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.069,26.5807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32117, 2866, '360730', '肖田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.089,27.1409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32118, 2866, '360730', '会同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.1,26.5952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32119, 2866, '360730', '固村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.179,26.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32120, 2866, '360730', '蔡江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.848,26.62', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32121, 2867, '360735', '丰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.386,26.4461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32122, 2867, '360735', '琴江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.313,26.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32123, 2867, '360735', '小松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.222,26.5132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32124, 2867, '360735', '横江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.4,26.0536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32125, 2867, '360735', '高田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.427,26.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32126, 2867, '360735', '木兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.454,26.5991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32127, 2867, '360735', '珠坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,26.2156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32128, 2867, '360735', '龙岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.224,26.1176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32129, 2867, '360735', '屏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.32,26.257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32130, 2867, '360735', '大由乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.242,26.1747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32131, 2867, '360735', '赣江源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,26.0464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32132, 2868, '360725', '思顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.059,25.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32133, 2868, '360725', '上堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.991,25.8003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32134, 2868, '360725', '过埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.14,25.7589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32135, 2868, '360725', '麟潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.06,25.7284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32136, 2868, '360725', '天台山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.224,25.562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32137, 2868, '360725', '文英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.041,25.6129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32138, 2868, '360725', '长龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.311,25.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32139, 2868, '360725', '铅厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.267,25.5102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32140, 2868, '360725', '龙勾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.557,25.7379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32141, 2868, '360725', '扬眉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.448,25.6447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32142, 2868, '360725', '横水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.411,25.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32143, 2868, '360725', '关田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.188,25.6677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32144, 2868, '360725', '杰坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,25.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32145, 2868, '360725', '聂都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.18,25.4606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32146, 2868, '360725', '乐洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.953,25.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32147, 2868, '360725', '金坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.16,25.894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32148, 2868, '360725', '丰州乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.945,25.6414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32149, 2869, '360731', '仙下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.508,26.2056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32150, 2869, '360731', '新陂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.333,25.8847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32151, 2869, '360731', '沙心乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.755,25.9963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32152, 2869, '360731', '小溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.282,25.805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32153, 2869, '360731', '段屋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.646,26.0435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32154, 2869, '360731', '盘古山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.384,25.6003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32155, 2869, '360731', '葛坳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.738,26.1443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32156, 2869, '360731', '黄麟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.594,25.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32157, 2869, '360731', '利村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.431,25.9258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32158, 2869, '360731', '罗坳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.322,25.9874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32159, 2869, '360731', '罗江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.332,25.8862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32160, 2869, '360731', '银坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.681,26.087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32161, 2869, '360731', '桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.596,26.2862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32162, 2869, '360731', '祁禄山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.225,25.6383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32163, 2869, '360731', '铁山垅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.503,25.7527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32164, 2869, '360731', '禾丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.465,25.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32165, 2869, '360731', '马安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.531,26.2563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32166, 2869, '360731', '宽田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.715,26.0879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32167, 2869, '360731', '靖石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.458,25.7394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32168, 2869, '360731', '车溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.592,26.0931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32169, 2869, '360731', '梓山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.552,26.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32170, 2869, '360731', '岭背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,26.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32171, 2869, '360731', '贡江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.387,25.9409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32172, 2869, '360731', '于都工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.393,25.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32173, 2870, '360734', '菖蒲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.572,24.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32174, 2870, '360734', '吉潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.786,25.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32175, 2870, '360734', '桂竹帽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.468,24.9461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32176, 2870, '360734', '留车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.643,24.8334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32177, 2870, '360734', '项山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.78,24.9441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32178, 2870, '360734', '三标乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.553,25.1832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32179, 2870, '360734', '晨光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.53,24.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32180, 2870, '360734', '水源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.654,25.2347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32181, 2870, '360734', '罗珊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.793,25.1329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32182, 2870, '360734', '龙廷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.59,24.6784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32183, 2870, '360734', '南桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.688,24.8452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32184, 2870, '360734', '澄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.674,25.1353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32185, 2870, '360734', '丹溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.748,24.6621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32186, 2870, '360734', '长宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.615,24.9671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32187, 2870, '360734', '文峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.705,24.9859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32188, 2871, '360723', '池江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.549,25.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32189, 2871, '360723', '浮江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.197,25.4458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32190, 2871, '360723', '樟斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.456,25.6082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32191, 2871, '360723', '河洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.082,25.3641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32192, 2871, '360723', '黄龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.393,25.408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32193, 2871, '360723', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.549,25.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32194, 2871, '360723', '内良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.056,25.4411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32195, 2871, '360723', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.417,25.4685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32196, 2871, '360723', '吉村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.165,25.465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32197, 2871, '360723', '左拔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.366,25.5514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32198, 2871, '360723', '南安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.296,25.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32199, 2871, '360723', '新世纪工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.353,25.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32200, 2872, '360726', '车头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.394,25.2549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32201, 2872, '360726', '塘村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.269,25.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32202, 2872, '360726', '凤山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.359,25.0181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32203, 2872, '360726', '镇岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.363,25.0193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32204, 2872, '360726', '长沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,25.5275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32205, 2872, '360726', '新龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.294,25.1952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32206, 2872, '360726', '双芫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.258,25.5421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32207, 2872, '360726', '高云山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,25.21', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32208, 2872, '360726', '龙布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.428,25.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32209, 2872, '360726', '天心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.479,25.4465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32210, 2872, '360726', '重石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.396,25.3563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32211, 2872, '360726', '蔡坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.478,25.2262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32212, 2872, '360726', '鹤子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.201,25.0158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32213, 2872, '360726', '孔田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.318,24.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32214, 2872, '360726', '三百山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.402,24.9764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32215, 2872, '360726', '版石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.325,25.3704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32216, 2872, '360726', '浮槎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.406,25.56', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32217, 2872, '360726', '九龙工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.406,25.1251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32218, 2872, '360726', '欣山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.276,25.147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32219, 2873, '360729', '社迳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.72,25.1159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32220, 2873, '360729', '大吉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,24.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32221, 2873, '360729', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.534,24.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32222, 2873, '360729', '全南县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.53,24.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32223, 2873, '360729', '陂头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.585,24.9029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32224, 2873, '360729', '南迳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.184,24.6681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32225, 2873, '360729', '龙下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.776,25.0543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32226, 2873, '360729', '中寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,24.788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32227, 2873, '360729', '龙源坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.505,24.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32228, 2873, '360729', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.575,24.8707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32229, 2874, '360781', '九堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.96,26.0575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32230, 2874, '360781', '岗面乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.885,26.1415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32231, 2874, '360781', '江西瑞金经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.002,25.8696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32232, 2874, '360781', '沙洲坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.98,25.9347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32233, 2874, '360781', '丁陂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.823,26.2752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32234, 2874, '360781', '万田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.713,26.0023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32235, 2874, '360781', '叶坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.077,25.8513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32236, 2874, '360781', '象湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.016,25.8521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32237, 2874, '360781', '云石山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.818,25.8964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32238, 2874, '360781', '黄柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.004,26.0233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32239, 2874, '360781', '瑞林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.769,26.1992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32240, 2874, '360781', '大柏地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116,26.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32241, 2874, '360781', '谢坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.818,25.718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32242, 2874, '360781', '武阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.939,25.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32243, 2874, '360781', '泽覃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.005,25.8205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32244, 2874, '360781', '日东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.291,26.0398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32245, 2874, '360781', '壬田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,26.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32246, 2874, '360781', '拔英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.888,25.5956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32247, 2875, '360733', '中村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.864,25.4001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32248, 2875, '360733', '小密乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.677,25.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32249, 2875, '360733', '白鹅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.577,25.8421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32250, 2875, '360733', '富城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.92,25.5851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32251, 2875, '360733', '麻州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.767,25.5557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32252, 2875, '360733', '右水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.641,25.4759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32253, 2875, '360733', '周田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.638,25.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32254, 2875, '360733', '洞头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.88,25.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32255, 2875, '360733', '高排乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.624,25.5691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32256, 2875, '360733', '庄埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.633,25.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32257, 2875, '360733', '永隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.885,25.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32258, 2875, '360733', '筠门岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.787,25.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32259, 2875, '360733', '清溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.617,25.2658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32260, 2875, '360733', '珠兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.606,25.6181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32261, 2875, '360733', '庄口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.63,25.7527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32262, 2875, '360733', '晓龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.534,25.608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32263, 2875, '360733', '西江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.768,25.8665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32264, 2875, '360733', '站塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.765,25.4616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32265, 2875, '360733', '会昌县燕子窝工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.809,25.5925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32266, 2875, '360733', '文武坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.724,25.6867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32267, 2876, '360722', '正平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.74,25.3513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32268, 2876, '360722', '嘉定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.923,25.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32269, 2876, '360722', '崇仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.867,25.0835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32270, 2876, '360722', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.84,25.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32271, 2876, '360722', '万隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.793,25.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32272, 2876, '360722', '大塘埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.007,25.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32273, 2876, '360722', '虎山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.031,25.0995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32274, 2876, '360722', '古陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.176,25.2237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32275, 2876, '360722', '大阿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.829,25.4328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32276, 2876, '360722', '小江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.867,25.0829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32277, 2876, '360722', '西牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.906,25.4279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32278, 2876, '360722', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.106,25.4112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32279, 2876, '360722', '铁石口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.862,25.1788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32280, 2876, '360722', '信丰县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.923,25.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32281, 2876, '360722', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.186,25.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32282, 2876, '360722', '油山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.64,25.4385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32283, 2876, '360722', '安西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.039,25.2453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32284, 2877, '360724', '黄埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.608,25.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32285, 2877, '360724', '梅水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.377,25.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32286, 2877, '360724', '五指峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.117,26', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32287, 2877, '360724', '水岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.377,25.8602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32288, 2877, '360724', '社溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.604,25.9199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32289, 2877, '360724', '油石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,25.8506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32290, 2877, '360724', '营前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.335,25.9101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32291, 2877, '360724', '安和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.471,25.9632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32292, 2877, '360724', '紫阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.431,26.0849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32293, 2877, '360724', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.495,25.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32294, 2877, '360724', '陡水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.404,25.8156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32295, 2877, '360724', '平富乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.183,25.9519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32296, 2877, '360724', '上犹县黄埠工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.576,25.7821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32297, 2877, '360724', '双溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.308,26.0258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32298, 2877, '360724', '寺下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.438,25.94', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32299, 2878, '360728', '天九镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.108,24.8021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32300, 2878, '360728', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.953,24.7487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32301, 2878, '360728', '岿美山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.829,24.6691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32302, 2878, '360728', '岭北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.972,24.8659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32303, 2878, '360728', '龙塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.166,24.9296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32304, 2878, '360728', '定南县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.031,24.7596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32305, 2878, '360728', '历市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.986,24.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32306, 2878, '360728', '鹅公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.343,24.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32307, 2879, '360703', '唐江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.738,25.9036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32308, 2879, '360703', '三江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.772,25.8115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32309, 2879, '360703', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.736,26.0783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32310, 2879, '360703', '蓉江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.699,25.6804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32311, 2879, '360703', '太窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.768,25.7842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32312, 2879, '360703', '十八塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.689,25.9565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32313, 2879, '360703', '龙华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.703,25.8803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32314, 2879, '360703', '隆木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.497,26.1736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32315, 2879, '360703', '坪市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.559,26.159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32316, 2879, '360703', '赤土畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.604,25.6901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32317, 2879, '360703', '镜坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.731,25.7293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32318, 2879, '360703', '麻双乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.711,26.0207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32319, 2879, '360703', '朱坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.681,25.7868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32320, 2879, '360703', '南康市工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.812,25.7307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32321, 2879, '360703', '浮石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.685,25.5983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32322, 2879, '360703', '横市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.736,26.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32323, 2879, '360703', '龙回镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.846,25.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32324, 2879, '360703', '凤岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.772,25.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32325, 2879, '360703', '龙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.778,25.7472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32326, 2879, '360703', '横寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.608,25.6844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32327, 2879, '360703', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.755,25.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32328, 2880, '360727', '临塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.735,24.7293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32329, 2880, '360727', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.607,24.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32330, 2880, '360727', '东江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.806,24.8696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32331, 2880, '360727', '渡江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.664,24.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32332, 2880, '360727', '夹湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.618,24.7303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32333, 2880, '360727', '里仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.852,25.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32334, 2880, '360727', '关西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.901,24.8327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32335, 2880, '360727', '程龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.634,24.8644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32336, 2880, '360727', '桃江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.708,24.9742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32337, 2880, '360727', '九连山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.58,24.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32338, 2880, '360727', '安基山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.624,24.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32339, 2880, '360727', '汶龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.826,24.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32340, 2880, '360727', '武当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.706,24.6657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32341, 2880, '360727', '南亨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.775,24.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32342, 2880, '360727', '江西龙南经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.821,24.8861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32343, 2880, '360727', '龙南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.829,24.8865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32344, 2881, '360704', '三溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.36,26.1293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32345, 2881, '360704', '大埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.034,25.7606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32346, 2881, '360704', '韩坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.221,25.6645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32347, 2881, '360704', '茅店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.998,25.9134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32348, 2881, '360704', '王母渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.93,25.6886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32349, 2881, '360704', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.083,25.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32350, 2881, '360704', '沙地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.847,26.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32351, 2881, '360704', '阳埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.836,25.5582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32352, 2881, '360704', '南塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.185,26.0542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32353, 2881, '360704', '长洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.236,25.8184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32354, 2881, '360704', '大田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.13,25.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32355, 2881, '360704', '白鹭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.159,26.2634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32356, 2881, '360704', '储潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.962,25.915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32357, 2881, '360704', '田村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.22,26.2267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32358, 2881, '360704', '湖江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.993,26.1984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32359, 2881, '360704', '石芫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.08,26.0995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32360, 2881, '360704', '五云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.868,26.0615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32361, 2881, '360704', '吉埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.225,25.9781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32362, 2881, '360704', '梅林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.035,25.8905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32363, 2881, '360704', '江西赣县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.026,25.8731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32364, 2882, '360702', '赣江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.95,25.8605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32365, 2882, '360702', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.816,25.872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32366, 2882, '360702', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.938,25.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32367, 2882, '360702', '湖边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.827,25.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32368, 2882, '360702', '潭东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.862,25.7453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32369, 2882, '360702', '潭口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.835,25.7721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32370, 2882, '360702', '赣州经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.869,25.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32371, 2882, '360702', '黄金岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.892,25.7952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32372, 2882, '360702', '南外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.932,25.8632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32373, 2882, '360702', '东外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.979,25.8486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32374, 2882, '360702', '水南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.912,25.834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32375, 2882, '360702', '水西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.875,25.9631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32376, 2882, '360702', '沙石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,25.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32377, 2882, '360702', '水东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.969,25.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32378, 2882, '360702', '沙河工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.974,25.8245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32379, 2882, '360702', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.989,25.7952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32380, 2883, '360681', '文坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.406,28.1138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32381, 2883, '360681', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.029,28.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32382, 2883, '360681', '周坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.168,28.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32383, 2883, '360681', '双圳林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.416,27.9191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32384, 2883, '360681', '白田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.318,28.5026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32385, 2883, '360681', '滨江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.098,28.3246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32386, 2883, '360681', '塘湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,28.1477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32387, 2883, '360681', '鸿塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.038,28.4833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32388, 2883, '360681', '龙虎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.929,28.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32389, 2883, '360681', '雄石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.202,28.2542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32390, 2883, '360681', '上清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.063,28.0734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32391, 2883, '360681', '河潭埠垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,28.4275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32392, 2883, '360681', '冷水林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.246,27.8745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32393, 2883, '360681', '贵溪市工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.176,28.2731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32394, 2883, '360681', '志光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.044,28.4034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32395, 2883, '360681', '西窑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.469,28.0296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32396, 2883, '360681', '雷溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.196,28.2531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32397, 2883, '360681', '冷水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.131,27.9054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32398, 2883, '360681', '罗河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.122,28.2363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32399, 2883, '360681', '河潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.313,28.4861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32400, 2883, '360681', '花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.236,28.3127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32401, 2883, '360681', '耳口林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.011,27.8883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32402, 2883, '360681', '东门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,28.283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32403, 2883, '360681', '上清林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.101,28.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32404, 2883, '360681', '彭湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.077,28.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32405, 2883, '360681', '耳口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.11,27.8986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32406, 2883, '360681', '流口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.287,28.2757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32407, 2883, '360681', '天禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.001,28.1719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32408, 2883, '360681', '塔桥园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.065,28.4346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32409, 2883, '360681', '金屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.291,28.1448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32410, 2883, '360681', '泗沥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.223,28.4657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32411, 2883, '360681', '樟坪畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.447,27.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32412, 2883, '360681', '三县岭林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.243,28.6067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32413, 2884, '360603', '高公寨营林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.111,28.5524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32414, 2884, '360603', '中童镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.924,28.2921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32415, 2884, '360603', '潢溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.913,28.3821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32416, 2884, '360603', '张公桥农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.835,28.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32417, 2884, '360603', '杨溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.719,28.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32418, 2884, '360603', '洪湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.942,28.2417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32419, 2884, '360603', '邓埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.785,28.2318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32420, 2884, '360603', '刘家站垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.894,28.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32421, 2884, '360603', '锦江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.922,28.4882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32422, 2884, '360603', '余江县水产场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.858,28.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32423, 2884, '360603', '平定乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.924,28.2965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32424, 2884, '360603', '马荃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.82,28.1702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32425, 2884, '360603', '余江县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.804,28.2119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32426, 2884, '360603', '黄庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.919,28.5191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32427, 2884, '360603', '塘潮源林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.88,28.0871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32428, 2884, '360603', '青年综合垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.79,28.2056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32429, 2884, '360603', '春涛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.796,28.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32430, 2884, '360603', '邓家埠水稻原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.793,28.2443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32431, 2884, '360603', '大桥农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.031,28.5014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32432, 2884, '360603', '鹰潭市龙岗新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.887,28.1915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32433, 2884, '360603', '画桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.088,28.5208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32434, 2885, '360602', '江边街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.036,28.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32435, 2885, '360602', '童家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.132,28.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32436, 2885, '360602', '夏埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.03,28.2735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32437, 2885, '360602', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.027,28.2128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32438, 2885, '360602', '四青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.012,28.2369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32439, 2885, '360602', '梅园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.063,28.2712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32440, 2885, '360602', '交通街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.022,28.2435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32441, 2885, '360602', '白露街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.987,28.1893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32442, 2886, '360222', '江村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.313,29.6698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32443, 2886, '360222', '西湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.238,29.8573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32444, 2886, '360222', '三龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.077,29.4379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32445, 2886, '360222', '鹅湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.511,29.6244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32446, 2886, '360222', '兴田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.363,29.7136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32447, 2886, '360222', '寿安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.337,29.2943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32448, 2886, '360222', '庄湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.407,29.5581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32449, 2886, '360222', '湘湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.342,29.374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32450, 2886, '360222', '黄坛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.04,29.5714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32451, 2886, '360222', '经公桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.138,29.6866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32452, 2886, '360222', '勒功乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.253,29.7458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32453, 2886, '360222', '瑶里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.525,29.5104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32454, 2886, '360222', '蛟潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,29.6393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32455, 2886, '360222', '浮梁工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.199,29.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32456, 2886, '360222', '王港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.333,29.4481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32457, 2886, '360222', '峙滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.317,29.6765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32458, 2886, '360222', '浮梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.198,29.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32459, 2886, '360222', '罗家垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.168,29.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32460, 2886, '360222', '洪源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.069,29.3938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32461, 2887, '360203', '昌河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.262,29.3098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32462, 2887, '360203', '昌江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.209,29.2914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32463, 2887, '360203', '石狮埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,29.3127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32464, 2887, '360203', '周路口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.218,29.2804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32465, 2887, '360203', '珠山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,29.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32466, 2887, '360203', '太白园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.216,29.2858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32467, 2887, '360203', '高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.218,29.272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32468, 2887, '360203', '里村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.22,29.2939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32469, 2887, '360203', '新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,29.3032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32470, 2887, '360203', '竟成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.171,29.2364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32471, 2887, '360203', '新厂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.263,29.3098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32472, 2888, '360202', '西郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.175,29.281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32473, 2888, '360202', '丽阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.035,29.2839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32474, 2888, '360202', '新枫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.194,29.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32475, 2888, '360202', '吕蒙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,29.305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32476, 2888, '360202', '荷塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.108,29.1545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32477, 2888, '360202', '枫树山总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.186,29.2714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32478, 2888, '360202', '昌江化工园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.18,29.2462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32479, 2888, '360202', '昌江开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.075,29.2199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32480, 2888, '360202', '六零二所高科技园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.277,29.3032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32481, 2888, '360202', '鲇鱼山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.129,29.2203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32482, 2889, '360281', '名口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.404,28.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32483, 2889, '360281', '农业高新园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.227,29.026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32484, 2889, '360281', '十里岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.455,28.8948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32485, 2889, '360281', '高家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.365,29.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32486, 2889, '360281', '临港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.245,29.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32487, 2889, '360281', '洎阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.168,28.9585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32488, 2889, '360281', '塔前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.2,29.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32489, 2889, '360281', '礼林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.208,28.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32490, 2889, '360281', '众埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.234,28.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32491, 2889, '360281', '镇桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.112,28.9001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32492, 2889, '360281', '洪岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.421,29.1036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32493, 2889, '360281', '后港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.123,29.0382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32494, 2889, '360281', '浯口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.252,29.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32495, 2889, '360281', '接渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.166,28.9286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32496, 2889, '360281', '乐港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.007,28.9729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32497, 2889, '360281', '鸬鹚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.318,28.96', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32498, 2889, '360281', '塔山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.125,28.9202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32499, 2889, '360281', '涌山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.276,29.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32500, 2889, '360281', '双田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,29.1072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32501, 2889, '360281', '江西乐平工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.161,28.9607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32502, 2890, '361130', '许村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.546,29.1802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32503, 2890, '361130', '镇头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.529,29.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32504, 2890, '361130', '思口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.777,29.3865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32505, 2890, '361130', '珍珠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.463,29.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32506, 2890, '361130', '大鄣山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.775,29.5393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32507, 2890, '361130', '溪头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.06,29.4783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32508, 2890, '361130', '浙源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.875,29.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32509, 2890, '361130', '沱川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.775,29.4709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32510, 2890, '361130', '江湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.033,29.4287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32511, 2890, '361130', '中云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.731,29.2898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32512, 2890, '361130', '紫阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.845,29.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32513, 2890, '361130', '蚺城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.862,29.2499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32514, 2890, '361130', '秋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.826,29.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32515, 2890, '361130', '清华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.705,29.4382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32516, 2890, '361130', '赋春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.557,29.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32517, 2890, '361130', '段莘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.052,29.5324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32518, 2890, '361130', '太白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.805,29.17', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32519, 2891, '361181', '李宅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.962,29.0677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32520, 2891, '361181', '黄柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.44,28.8345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32521, 2891, '361181', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.799,28.9597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32522, 2891, '361181', '张村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.546,28.8384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32523, 2891, '361181', '万村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.457,28.7351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32524, 2891, '361181', '新岗山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.006,29.2456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32525, 2891, '361181', '昄大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,29.0477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32526, 2891, '361181', '龙头山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.92,28.8674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32527, 2891, '361181', '银城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.561,28.9712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32528, 2891, '361181', '香屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.489,29.0221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32529, 2891, '361181', '绕二镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.702,28.8854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32530, 2891, '361181', '海口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.893,29.1014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32531, 2891, '361181', '泗洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.698,29.0787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32532, 2891, '361181', '新营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.68,28.915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32533, 2891, '361181', '铜矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.712,28.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32534, 2892, '361127', '禾斛岭垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.649,28.5448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32535, 2892, '361127', '乌泥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.629,28.7884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32536, 2892, '361127', '康山垦总场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.565,28.857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32537, 2892, '361127', '峡山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.8,28.506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32538, 2892, '361127', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,28.4959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32539, 2892, '361127', '江埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.57,28.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32540, 2892, '361127', '枫港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,28.5661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32541, 2892, '361127', '黄金埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.884,28.592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32542, 2892, '361127', '瑞洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.243,28.8685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32543, 2892, '361127', '白马桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.747,28.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32544, 2892, '361127', '东塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.64,28.8405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32545, 2892, '361127', '康山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.404,29.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32546, 2892, '361127', '大溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.663,28.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32547, 2892, '361127', '渔池湖水产场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.679,28.8193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32548, 2892, '361127', '大塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.564,28.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32549, 2892, '361127', '县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.72,28.7707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32550, 2892, '361127', '鹭鸶港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.646,28.7366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32551, 2892, '361127', '杨埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.823,28.638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32552, 2892, '361127', '玉亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.688,28.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32553, 2892, '361127', '信丰垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,28.8888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32554, 2892, '361127', '梅港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.75,28.3906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32555, 2892, '361127', '三塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.592,28.7881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32556, 2892, '361127', '洪家嘴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.585,28.7583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32557, 2892, '361127', '古埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.795,28.7711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32558, 2892, '361127', '李梅林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.66,28.4253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32559, 2892, '361127', '社赓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.681,28.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32560, 2892, '361127', '石口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.568,28.8053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32561, 2893, '361125', '司铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.687,28.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32562, 2893, '361125', '港边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.688,28.4819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32563, 2893, '361125', '龙门畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.627,28.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32564, 2893, '361125', '葛源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.652,28.6311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32565, 2893, '361125', '红桥垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.592,28.4322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32566, 2893, '361125', '新篁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.629,28.7299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32567, 2893, '361125', '山黄林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.624,28.6452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32568, 2893, '361125', '姚家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.512,28.4232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32569, 2893, '361125', '莲荷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.614,28.401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32570, 2893, '361125', '岑阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.577,28.4544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32571, 2893, '361125', '铺前煤矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.581,28.4582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32572, 2893, '361125', '上坑源林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.61,28.5602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32573, 2893, '361125', '青板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.605,28.5597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32574, 2893, '361125', '兴安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.613,28.403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32575, 2894, '361126', '桃源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.461,28.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32576, 2894, '361126', '港口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.415,28.2445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32577, 2894, '361126', '叠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,28.2449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32578, 2894, '361126', '湾里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.347,28.4642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32579, 2894, '361126', '南岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.42,28.3455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32580, 2894, '361126', '中畈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,28.5647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32581, 2894, '361126', '葛溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.491,28.5178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32582, 2894, '361126', '旭光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.475,28.266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32583, 2894, '361126', '弋江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.432,28.4254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32584, 2894, '361126', '花亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.433,28.4119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32585, 2894, '361126', '朱坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.495,28.4344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32586, 2894, '361126', '漆工镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.527,28.6586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32587, 2894, '361126', '樟树墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.445,28.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32588, 2894, '361126', '圭峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.315,28.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32589, 2894, '361126', '清湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.363,28.419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32590, 2894, '361126', '曹溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.24,28.7026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32591, 2895, '361103', '大南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.209,28.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32592, 2895, '361103', '桐畈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.326,28.3383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32593, 2895, '361103', '铜拔山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.277,28.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32594, 2895, '361103', '五都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.323,28.4403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32595, 2895, '361103', '枧底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.116,28.3475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32596, 2895, '361103', '沙田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.23,28.2985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32597, 2895, '361103', '东阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.338,28.461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32598, 2895, '361103', '永丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.202,28.4546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32599, 2895, '361103', '霞峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.148,28.4111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32600, 2895, '361103', '少阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.186,28.3638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32601, 2895, '361103', '嵩峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.375,28.3734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32602, 2895, '361103', '芦林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.163,28.5044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32603, 2895, '361103', '泉波镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.292,28.3547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32604, 2895, '361103', '铜钹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.304,28.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32605, 2895, '361103', '湖丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.167,28.6059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32606, 2895, '361103', '大石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.178,28.4014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32607, 2895, '361103', '洋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.052,28.407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32608, 2895, '361103', '下溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.173,28.5003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32609, 2895, '361103', '吴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.335,28.5514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32610, 2895, '361103', '丰溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.184,28.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32611, 2895, '361103', '排山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.299,28.4878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32612, 2895, '361103', '壶峤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.138,28.5719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32613, 2895, '361103', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.199,28.319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32614, 2895, '361103', '毛村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.387,28.4568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32615, 2896, '361124', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.905,28.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32616, 2896, '361124', '紫溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.76,28.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32617, 2896, '361124', '虹桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.672,28.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32618, 2896, '361124', '武夷山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.989,28.0013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32619, 2896, '361124', '铅山县青溪服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.876,28.3023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32620, 2896, '361124', '陈坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.473,28.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32621, 2896, '361124', '英将乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.89,28.121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32622, 2896, '361124', '新滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.663,28.3844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32623, 2896, '361124', '汪二镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,28.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32624, 2896, '361124', '葛仙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.625,28.1457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32625, 2896, '361124', '天柱山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.653,28.0294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32626, 2896, '361124', '篁碧畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.615,27.863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32627, 2896, '361124', '太源畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.449,27.9631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32628, 2896, '361124', '稼轩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.829,28.2278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32629, 2896, '361124', '湖坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.507,28.1752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32630, 2896, '361124', '鹅湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.773,28.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32631, 2896, '361124', '铅山县国营森林苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.662,28.2669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32632, 2896, '361124', '永平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.735,28.1433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32633, 2896, '361124', '江西铜业集团公司永铜分公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.758,28.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32634, 2896, '361124', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.612,28.2458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32635, 2897, '361123', '怀玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.865,28.9088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32636, 2897, '361123', '下塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.077,28.6623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32637, 2897, '361123', '四股桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.214,28.7302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32638, 2897, '361123', '冰溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.218,28.6834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32639, 2897, '361123', '枫林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.111,29.0036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32640, 2897, '361123', '三清乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.112,29.0013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32641, 2897, '361123', '仙岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.361,28.5621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32642, 2897, '361123', '下镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.324,28.6539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32643, 2897, '361123', '临湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.943,28.6605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32644, 2897, '361123', '南山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.05,28.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32645, 2897, '361123', '岩瑞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.388,28.7568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32646, 2897, '361123', '紫湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.136,28.9662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32647, 2897, '361123', '双明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.231,28.9152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32648, 2897, '361123', '六都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.247,28.5686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32649, 2897, '361123', '樟村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.88,28.7845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32650, 2897, '361123', '横街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.077,28.7571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32651, 2897, '361123', '文成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.157,28.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32652, 2897, '361123', '必姆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.094,28.7202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32653, 2898, '361128', '莲花山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.978,29.6397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32654, 2898, '361128', '饶埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.918,28.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32655, 2898, '361128', '团林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.688,29.0638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32656, 2898, '361128', '古县渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.942,29.1503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32657, 2898, '361128', '芦田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.941,29.0093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32658, 2898, '361128', '珠湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.642,29.1636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32659, 2898, '361128', '昌洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.802,29.0518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32660, 2898, '361128', '凰岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.924,29.2319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32661, 2898, '361128', '柘港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.675,29.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32662, 2898, '361128', '游城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.89,29.2852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32663, 2898, '361128', '枧田街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.942,29.527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32664, 2898, '361128', '油墩街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.703,29.4505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32665, 2898, '361128', '田畈街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.909,29.4037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32666, 2898, '361128', '白沙洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.709,29.16', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32667, 2898, '361128', '饶洲监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.777,28.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32668, 2898, '361128', '双港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.621,29.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32669, 2898, '361128', '高家岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.735,29.189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32670, 2898, '361128', '庙前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.887,28.9973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32671, 2898, '361128', '石门街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.706,29.5373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32672, 2898, '361128', '莲湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.637,29.0266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32673, 2898, '361128', '四十里街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.801,29.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32674, 2898, '361128', '谢家滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.607,29.4857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32675, 2898, '361128', '饶丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.847,28.9649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32676, 2898, '361128', '金盘岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.914,29.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32677, 2898, '361128', '响水滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.512,29.6012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32678, 2898, '361128', '乐丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.789,28.8318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32679, 2898, '361128', '鄱阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.725,29.04', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32680, 2898, '361128', '鸦鹊湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.664,29.2624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32681, 2898, '361128', '侯家岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.941,29.6052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32682, 2898, '361128', '银宝湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.595,29.2585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32683, 2898, '361128', '农科所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.915,29.2251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32684, 2899, '361129', '陈营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.129,28.6715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32685, 2899, '361129', '珠田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.042,28.7578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32686, 2899, '361129', '石镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.945,28.841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32687, 2899, '361129', '上坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.997,28.6749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32688, 2899, '361129', '青云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.999,28.6552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32689, 2899, '361129', '汪家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.006,28.713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32690, 2899, '361129', '苏桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.897,28.533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32691, 2899, '361129', '湖云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.864,28.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32692, 2899, '361129', '大源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.119,28.7768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32693, 2899, '361129', '梓埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.827,28.8637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32694, 2899, '361129', '裴梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.078,28.6315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32695, 2899, '361129', '齐埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.872,28.7443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32696, 2900, '361104', '湖村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.747,28.6503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32697, 2900, '361104', '尊桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.93,28.3737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32698, 2900, '361104', '田墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.033,28.3503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32699, 2900, '361104', '铁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.072,28.2358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32700, 2900, '361104', '花厅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.134,28.3045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32701, 2900, '361104', '五府山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.078,28.1606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32702, 2900, '361104', '煌固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.977,28.6363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32703, 2900, '361104', '罗桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.9,28.5293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32704, 2900, '361104', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.819,28.5793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32705, 2900, '361104', '郑坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.894,28.7513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32706, 2900, '361104', '皂头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.973,28.3732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32707, 2900, '361104', '董团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.784,28.429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32708, 2900, '361104', '石狮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.966,28.5482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32709, 2900, '361104', '四十八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.005,28.2282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32710, 2900, '361104', '黄沙岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.928,28.2898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32711, 2900, '361104', '华坛山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.746,28.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32712, 2900, '361104', '枫岭头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.888,28.5202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32713, 2900, '361104', '兴园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.937,28.4595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32714, 2900, '361104', '旭日街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.927,28.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32715, 2900, '361104', '茶亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.933,28.3924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32716, 2900, '361104', '上泸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.948,28.2276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32717, 2900, '361104', '石人乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.877,28.6775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32718, 2900, '361104', '望仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.759,28.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32719, 2900, '361104', '应家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.976,28.2892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32720, 2901, '361102', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.062,28.612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32721, 2901, '361102', '西市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.956,28.4466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32722, 2901, '361102', '水南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.012,28.4552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32723, 2901, '361102', '东市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.972,28.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32724, 2901, '361102', '茅家岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.924,28.3731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32725, 2901, '361102', '灵溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.996,28.4795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32726, 2901, '361102', '秦峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.146,28.5441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32727, 2901, '361102', '北门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.964,28.4921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32728, 2901, '361102', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.098,28.4787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32729, 2902, '360302', '白源街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.907,27.633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32730, 2902, '360302', '城郊管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.853,27.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32731, 2902, '360302', '五陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.877,27.5738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32732, 2902, '360302', '东大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.871,27.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32733, 2902, '360302', '五陂下垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.869,27.5725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32734, 2902, '360302', '安源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.874,27.6071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32735, 2902, '360302', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.781,27.6991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32736, 2902, '360302', '高坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.979,27.7026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32737, 2902, '360302', '后埠街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.857,27.6344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32738, 2902, '360302', '丹江街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.853,27.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32739, 2902, '360302', '八一街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.839,27.628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32740, 2902, '360302', '凤凰街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.864,27.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32741, 2903, '360323', '万龙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.167,27.6079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32742, 2903, '360323', '长丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.836,27.4868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32743, 2903, '360323', '上埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.021,27.6168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32744, 2903, '360323', '张佳坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.051,27.5244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32745, 2903, '360323', '南坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.966,27.4647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32746, 2903, '360323', '芦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.024,27.6038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32747, 2903, '360323', '银河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.083,27.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32748, 2903, '360323', '宣风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.193,27.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32749, 2903, '360323', '源南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.027,27.7108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32750, 2903, '360323', '新泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.111,27.5658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32751, 2904, '360322', '赤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.947,27.7396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32752, 2904, '360322', '杨岐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.892,27.8368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32753, 2904, '360322', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.854,27.9211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32754, 2904, '360322', '鸡冠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.873,27.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32755, 2904, '360322', '桐木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.855,27.9198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32756, 2904, '360322', '东源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.963,27.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32757, 2904, '360322', '福田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.852,27.7288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32758, 2904, '360322', '彭高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.852,27.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32759, 2904, '360322', '上栗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.814,27.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32760, 2904, '360322', '长平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.792,27.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32761, 2905, '360321', '神泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.835,27.1084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32762, 2905, '360321', '荷塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.908,27.2115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32763, 2905, '360321', '琴亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.922,27.0963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32764, 2905, '360321', '升坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,27.0799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32765, 2905, '360321', '闪石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.015,27.3342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32766, 2905, '360321', '良坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.005,27.2235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32767, 2905, '360321', '高洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.973,27.4253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32768, 2905, '360321', '南岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.941,27.2412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32769, 2905, '360321', '路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.076,27.284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32770, 2905, '360321', '三板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.92,27.0202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32771, 2905, '360321', '六市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.966,27.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32772, 2905, '360321', '湖上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114,27.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32773, 2905, '360321', '坊楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.856,27.2283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32774, 2906, '360313', '荷尧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.739,27.6839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32775, 2906, '360313', '腊市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.706,27.5605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32776, 2906, '360313', '广寒寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.739,27.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32777, 2906, '360313', '白竺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.737,27.4938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32778, 2906, '360313', '下埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.669,27.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32779, 2906, '360313', '排上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.686,27.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32780, 2906, '360313', '东桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.738,27.4808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32781, 2906, '360313', '麻山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.793,27.5799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32782, 2906, '360313', '老关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.696,27.6493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32783, 2906, '360313', '湘东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.727,27.661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32784, 2906, '360313', '峡山口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.766,27.642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32785, 2907, '360921', '赤岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.315,28.6022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32786, 2907, '360921', '仰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.097,28.8233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32787, 2907, '360921', '百丈山名胜风景区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.754,28.6767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32788, 2907, '360921', '东风垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.878,28.6426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32789, 2907, '360921', '冯川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.414,28.6637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32790, 2907, '360921', '柳溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.827,28.6788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32791, 2907, '360921', '石溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.875,28.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32792, 2907, '360921', '澡溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.991,28.7137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32793, 2907, '360921', '上富镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.996,28.7118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32794, 2907, '360921', '奉新县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.417,28.6863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32795, 2907, '360921', '干洲垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.416,28.7879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32796, 2907, '360921', '澡下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.135,28.7811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32797, 2907, '360921', '农牧渔良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.457,28.7893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32798, 2907, '360921', '会埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.149,28.7928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32799, 2907, '360921', '赤田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.415,28.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32800, 2907, '360921', '罗市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.082,28.6869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32801, 2907, '360921', '宋埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.427,28.6983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32802, 2907, '360921', '甘坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.933,28.6366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32803, 2907, '360921', '干洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.461,28.8325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32804, 2908, '360924', '芳溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.659,28.4049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32805, 2908, '360924', '宜丰县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,28.328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32806, 2908, '360924', '黄岗山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.729,28.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32807, 2908, '360924', '花桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.903,28.5835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32808, 2908, '360924', '双峰林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.639,28.5288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32809, 2908, '360924', '同安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.901,28.5846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32810, 2908, '360924', '车上林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.566,28.3921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32811, 2908, '360924', '石花尖垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.798,28.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32812, 2908, '360924', '潭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.759,28.6207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32813, 2908, '360924', '棠浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.936,28.493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32814, 2908, '360924', '石市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.73,28.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32815, 2908, '360924', '桥西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.755,28.4808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32816, 2908, '360924', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.068,28.5109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32817, 2908, '360924', '澄塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.917,28.5003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32818, 2908, '360924', '黄岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.625,28.4691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32819, 2908, '360924', '天宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.759,28.4778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32820, 2908, '360924', '新昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.792,28.3789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32821, 2909, '360983', '筠阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.431,28.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32822, 2909, '360983', '相城垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.135,28.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32823, 2909, '360983', '瑞州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.333,28.4674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32824, 2909, '360983', '高安市新世纪工业城管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.432,28.4571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32825, 2909, '360983', '上游水库工程管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.079,28.5324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32826, 2909, '360983', '高安市华林山风景区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.088,28.5396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32827, 2909, '360983', '太阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.281,28.2485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32828, 2909, '360983', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.324,28.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32829, 2909, '360983', '江西省瑞州监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.138,28.2447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32830, 2909, '360983', '灰埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,28.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32831, 2909, '360983', '黄沙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.372,28.3194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32832, 2909, '360983', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.187,28.4274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32833, 2909, '360983', '江西新茂实业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.455,28.1636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32834, 2909, '360983', '上湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.368,28.3656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32835, 2909, '360983', '石脑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.264,28.5176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32836, 2909, '360983', '荷岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.431,28.3814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32837, 2909, '360983', '大城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.481,28.6028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32838, 2909, '360983', '蓝坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.435,28.3959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32839, 2909, '360983', '杨圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.133,28.3925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32840, 2909, '360983', '伍桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.196,28.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32841, 2909, '360983', '英岗岭矿务局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.193,28.1169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32842, 2909, '360983', '汪家圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.414,28.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32843, 2909, '360983', '祥符镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.444,28.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32844, 2909, '360983', '田南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.169,28.1473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32845, 2909, '360983', '独城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.442,28.2263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32846, 2909, '360983', '村前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.182,28.537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32847, 2909, '360983', '相城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.244,28.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32848, 2909, '360983', '江西八景煤矿有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.5,28.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32849, 2909, '360983', '八景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.484,28.1757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32850, 2909, '360983', '建山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.202,28.1308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32851, 2910, '360981', '丽村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.721,28.0448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32852, 2910, '360981', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.982,28.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32853, 2910, '360981', '曲江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,28.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32854, 2910, '360981', '湖塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.61,28.3478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32855, 2910, '360981', '孙渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.758,28.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32856, 2910, '360981', '上塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.83,28.2927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32857, 2910, '360981', '袁渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.039,28.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32858, 2910, '360981', '隍城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.59,28.4105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32859, 2910, '360981', '铁路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.787,27.9259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32860, 2910, '360981', '梅林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.639,28.3054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32861, 2910, '360981', '董家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.529,28.323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32862, 2910, '360981', '剑光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.796,28.1973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32863, 2910, '360981', '泉港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.587,28.2356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32864, 2910, '360981', '丰城矿务局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.672,28.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32865, 2910, '360981', '杜市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.912,28.0985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32866, 2910, '360981', '江西省新洛煤电有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.855,27.9746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32867, 2910, '360981', '桥东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.866,28.0767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32868, 2910, '360981', '荣塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.751,28.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32869, 2910, '360981', '淘沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.094,28.1451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32870, 2910, '360981', '张巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.03,28.1187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32871, 2910, '360981', '剑南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.798,28.1724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32872, 2910, '360981', '小港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.922,28.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32873, 2910, '360981', '石江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.722,27.7618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32874, 2910, '360981', '荷湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.786,27.9607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32875, 2910, '360981', '秀市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.876,28.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32876, 2910, '360981', '段潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.919,28.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32877, 2910, '360981', '同田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.842,28.3887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32878, 2910, '360981', '丰城市工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.803,28.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32879, 2910, '360981', '尚庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.725,28.1865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32880, 2910, '360981', '蕉坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.815,27.7954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32881, 2910, '360981', '石滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.846,28.1616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32882, 2910, '360981', '洛市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.869,27.9745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32883, 2910, '360981', '筱塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,28.235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32884, 2910, '360981', '拖船镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.669,28.1573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32885, 2910, '360981', '河洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.762,28.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32886, 2910, '360981', '龙津洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.736,28.2037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32887, 2911, '360923', '新界埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.002,28.1771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32888, 2911, '360923', '徐家渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.638,28.2341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32889, 2911, '360923', '锦江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.825,28.2478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32890, 2911, '360923', '镇渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.611,28.2456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32891, 2911, '360923', '上甘山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.877,28.1098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32892, 2911, '360923', '塔下乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.004,28.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32893, 2911, '360923', '蒙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.922,28.1333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32894, 2911, '360923', '芦洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.77,28.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32895, 2911, '360923', '南港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.823,28.1297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32896, 2911, '360923', '墨山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.637,28.1853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32897, 2911, '360923', '敖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.049,28.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32898, 2911, '360923', '野市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.963,28.2654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32899, 2911, '360923', '敖阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.904,28.2754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32900, 2911, '360923', '上高县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.853,28.2315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32901, 2911, '360923', '翰堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.837,28.1722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32902, 2911, '360923', '泗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.045,28.4228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32903, 2911, '360923', '田心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.621,28.1908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32904, 2912, '360926', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.31,28.5855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32905, 2912, '360926', '大塅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,28.6826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32906, 2912, '360926', '花山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.242,28.5195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32907, 2912, '360926', '排埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.301,28.4896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32908, 2912, '360926', '棋坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.225,28.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32909, 2912, '360926', '高桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.229,28.616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32910, 2912, '360926', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.351,28.5171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32911, 2912, '360926', '港口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.225,28.7048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32912, 2912, '360926', '茶山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.473,28.648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32913, 2912, '360926', '三都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.372,28.7132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32914, 2912, '360926', '大沩山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.227,28.447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32915, 2912, '360926', '带溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.611,28.6982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32916, 2912, '360926', '龙门林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.662,28.648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32917, 2913, '360902', '珠泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.387,27.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32918, 2913, '360902', '湖田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.356,27.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32919, 2913, '360902', '新田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.253,27.8766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32920, 2913, '360902', '化成街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.349,27.8203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32921, 2913, '360902', '天台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.01,27.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32922, 2913, '360902', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.362,27.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32923, 2913, '360902', '寨下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.487,28.0398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32924, 2913, '360902', '温汤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,27.7389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32925, 2913, '360902', '洪塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.283,28.0402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32926, 2913, '360902', '袁州区工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.372,27.8394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32927, 2913, '360902', '洪江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.41,27.6595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32928, 2913, '360902', '西村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.151,27.7473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32929, 2913, '360902', '金园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.385,27.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32930, 2913, '360902', '下浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,27.7742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32931, 2913, '360902', '湛郎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,27.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32932, 2913, '360902', '油茶林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.386,27.7822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32933, 2913, '360902', '辽市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.109,27.8869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32934, 2913, '360902', '灵泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.382,27.7988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32935, 2913, '360902', '宜春经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.385,27.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32936, 2913, '360902', '金瑞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.176,27.9497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32937, 2913, '360902', '南庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.416,27.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32938, 2913, '360902', '农牧实验场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.33,27.787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32939, 2913, '360902', '水江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.911,27.8602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32940, 2913, '360902', '三阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.386,27.9754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32941, 2913, '360902', '芦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.426,27.947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32942, 2913, '360902', '竹亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.093,27.8209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32943, 2913, '360902', '飞剑潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.11,27.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32944, 2913, '360902', '柏木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.356,28.003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32945, 2913, '360902', '西岭布果园场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.433,28.0054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32946, 2913, '360902', '宜春市明月山温泉风景名胜区管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.266,27.585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32947, 2913, '360902', '秀江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.39,27.8137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32948, 2913, '360902', '明月山采育林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,27.579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32949, 2913, '360902', '楠木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.206,28.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32950, 2913, '360902', '慈化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.015,28.0364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32951, 2913, '360902', '渥江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.44,27.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32952, 2913, '360902', '新坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.433,27.6959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32953, 2913, '360902', '官园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.442,27.8183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32954, 2913, '360902', '宜春市宜阳新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.413,27.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32955, 2913, '360902', '彬江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.516,27.7043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32956, 2914, '360922', '赤兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.171,28.2162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32957, 2914, '360922', '马步乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.429,28.082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32958, 2914, '360922', '白水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.172,28.2019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32959, 2914, '360922', '仙源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.364,28.3448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32960, 2914, '360922', '三兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.428,28.2619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32961, 2914, '360922', '高城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.341,28.1471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32962, 2914, '360922', '岭东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.263,28.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32963, 2914, '360922', '潭埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.182,28.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32964, 2914, '360922', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.293,28.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32965, 2914, '360922', '罗城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.478,28.326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32966, 2914, '360922', '茭湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,28.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32967, 2914, '360922', '康乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.439,28.1125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32968, 2914, '360922', '黄茅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.146,28.1193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32969, 2914, '360922', '株潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.158,28.0875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32970, 2914, '360922', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.426,28.4331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32971, 2914, '360922', '万载县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.487,28.1251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32972, 2914, '360922', '鹅峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.439,28.1268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32973, 2914, '360922', '白良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,28.2433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32974, 2915, '360982', '刘公庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.303,28.1205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32975, 2915, '360982', '樟树市工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.595,27.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32976, 2915, '360982', '义成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.134,27.9784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32977, 2915, '360982', '经楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.345,28.1148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32978, 2915, '360982', '省双金园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,27.9246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32979, 2915, '360982', '中洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.135,27.968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32980, 2915, '360982', '昌付镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.313,27.9241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32981, 2915, '360982', '店下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.651,27.9612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32982, 2915, '360982', '黄土岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.216,27.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32983, 2915, '360982', '吴城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.289,27.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32984, 2915, '360982', '大桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.577,28.0923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32985, 2915, '360982', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.337,27.9932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32986, 2915, '360982', '洋湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.478,27.9798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32987, 2915, '360982', '永泰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.48,27.9812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32988, 2915, '360982', '淦阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.557,28.0559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32989, 2915, '360982', '洲上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.438,27.9603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32990, 2915, '360982', '阁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.588,27.8491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32991, 2915, '360982', '观上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.623,28.0747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32992, 2915, '360982', '鹿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.549,28.0533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32993, 2915, '360982', '福城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.541,28.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32994, 2915, '360982', '张家山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.485,28.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32995, 2916, '360925', '三爪仑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.186,29.0839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32996, 2916, '360925', '双溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.357,28.9089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32997, 2916, '360925', '仁首镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.369,28.9135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32998, 2916, '360925', '躁都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.085,29.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (32999, 2916, '360925', '高湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.175,28.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33000, 2916, '360925', '水口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.245,28.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33001, 2916, '360925', '雷公尖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.349,28.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33002, 2916, '360925', '中源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.909,28.8417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33003, 2916, '360925', '罗湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.966,28.9725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33004, 2916, '360925', '宝峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.304,29.0026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33005, 2916, '360925', '靖安县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.372,28.8168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33006, 2916, '360925', '香田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.351,28.8393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33007, 2917, '360124', '二塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.503,28.5575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33008, 2917, '360124', '三里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.368,28.7439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33009, 2917, '360124', '温圳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.09,28.3656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33010, 2917, '360124', '李渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.166,28.2024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33011, 2917, '360124', '三阳集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.235,28.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33012, 2917, '360124', '南台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.355,28.4485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33013, 2917, '360124', '池溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.364,28.4531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33014, 2917, '360124', '下埠集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.34,28.2529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33015, 2917, '360124', '钟陵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.564,28.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33016, 2917, '360124', '七里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,28.4567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33017, 2917, '360124', '梅庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.402,28.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33018, 2917, '360124', '文港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.125,28.3153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33019, 2917, '360124', '泉岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,28.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33020, 2917, '360124', '前坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.199,28.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33021, 2917, '360124', '长山晏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.164,28.2555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33022, 2917, '360124', '罗溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.12,28.4488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33023, 2917, '360124', '白圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.341,28.2613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33024, 2917, '360124', '衙前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.48,28.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33025, 2917, '360124', '张公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.141,28.3928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33026, 2917, '360124', '架桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.066,28.4675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33027, 2917, '360124', '五里垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.266,28.3725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33028, 2917, '360124', '民和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.27,28.3539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33029, 2918, '360104', '京山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.908,28.6478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33030, 2918, '360104', '洪都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.927,28.6434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33031, 2918, '360104', '徐家坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.938,28.6499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33032, 2918, '360104', '南昌昌南工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.933,28.6206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33033, 2918, '360104', '青云谱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.907,28.654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33034, 2918, '360104', '三家店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.917,28.6199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33035, 2918, '360104', '岱山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.904,28.6144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33036, 2919, '360121', '东新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.864,28.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33037, 2919, '360121', '冈上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.927,28.4598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33038, 2919, '360121', '塘南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.168,28.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33039, 2919, '360121', '幽兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,28.6029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33040, 2919, '360121', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.959,28.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33041, 2919, '360121', '小蓝经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.859,28.517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33042, 2919, '360121', '蒋巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.278,28.9226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33043, 2919, '360121', '富山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.838,28.5322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33044, 2919, '360121', '塔城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.065,28.5103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33045, 2919, '360121', '南昌市五星垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.191,28.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33046, 2919, '360121', '南新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,28.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33047, 2919, '360121', '八一乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.004,28.5884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33048, 2919, '360121', '麻丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.074,28.6999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33049, 2919, '360121', '黄马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.994,28.3738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33050, 2919, '360121', '向塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.959,28.5007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33051, 2919, '360121', '武阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.078,28.489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33052, 2919, '360121', '江西省良种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.934,28.4841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33053, 2919, '360121', '南昌县银三角管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.949,28.5661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33054, 2919, '360121', '昌东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.183,28.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33055, 2919, '360121', '广福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.926,28.38', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33056, 2919, '360121', '莲塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.945,28.5146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33057, 2919, '360121', '泾口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.276,28.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33058, 2920, '360103', '西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.897,28.6754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33059, 2920, '360103', '十字街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.906,28.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33060, 2920, '360103', '桃源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.884,28.665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33061, 2920, '360103', '广润门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.892,28.6756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33062, 2920, '360103', '丁公路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,28.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33063, 2920, '360103', '桃花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.872,28.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33064, 2920, '360103', '绳金塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.908,28.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33065, 2920, '360103', '系马桩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.9,28.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33066, 2920, '360103', '南昌市朝阳农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.878,28.65', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33067, 2920, '360103', '南站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.912,28.6661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33068, 2920, '360103', '朝阳洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.878,28.6733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33069, 2920, '360103', '南浦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.891,28.6715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33070, 2921, '360111', '塘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.963,28.6937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33071, 2921, '360111', '青山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.953,28.729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33072, 2921, '360111', '湖坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.938,28.6817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33073, 2921, '360111', '湖西新建区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.956,28.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33074, 2921, '360111', '白水湖管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.928,28.8314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33075, 2921, '360111', '蛟桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.763,28.7649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33076, 2921, '360111', '京东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.977,28.6718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33077, 2921, '360111', '南昌昌东工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,28.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33078, 2921, '360111', '冠山管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.891,28.8168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33079, 2921, '360111', '艾溪湖管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.024,28.7177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33080, 2921, '360111', '扬农管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.916,28.7556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33081, 2921, '360111', '上海路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.94,28.657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33082, 2921, '360111', '罗家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.987,28.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33083, 2921, '360111', '南钢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.986,28.6552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33084, 2922, '360102', '豫章街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.877,28.6929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33085, 2922, '360102', '八一桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.884,28.6829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33086, 2922, '360102', '贤士湖管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.91,28.6997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33087, 2922, '360102', '扬子洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.953,28.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33088, 2922, '360102', '墩子塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.891,28.6878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33089, 2922, '360102', '百花洲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.888,28.6795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33090, 2922, '360102', '大院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.905,28.6822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33091, 2922, '360102', '滕王阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.885,28.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33092, 2922, '360102', '董家窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.909,28.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33093, 2922, '360102', '彭家桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.921,28.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33094, 2922, '360102', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.895,28.6842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33095, 2923, '360112', '石岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.543,28.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33096, 2923, '360112', '厚田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.816,28.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33097, 2923, '360112', '溪霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,28.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33098, 2923, '360112', '新祺周管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.835,28.9471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33099, 2923, '360112', '江西桑海集团有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.821,28.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33100, 2923, '360112', '江西长堎外商投资工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.807,28.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33101, 2923, '360112', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.669,28.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33102, 2923, '360112', '联圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.098,28.8862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33103, 2923, '360112', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.728,28.7235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33104, 2923, '360112', '长堎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.818,28.7009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33105, 2923, '360112', '象山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.973,28.993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33106, 2923, '360112', '朱港实业有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.259,28.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33107, 2923, '360112', '望城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.764,28.6772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33108, 2923, '360112', '乐化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.828,28.8107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33109, 2923, '360112', '罗亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.783,28.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33110, 2923, '360112', '南矶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.332,28.8778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33111, 2923, '360112', '流湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.702,28.4078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33112, 2923, '360112', '大塘坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.894,29.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33113, 2923, '360112', '梅岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.788,28.8235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33114, 2923, '360112', '昌邑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.061,29.1144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33115, 2923, '360112', '松湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.659,28.3781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33116, 2923, '360112', '樵舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.927,28.8236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33117, 2923, '360112', '金桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.854,28.9708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33118, 2923, '360112', '成新实业有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,28.8982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33119, 2923, '360112', '新丰垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.652,28.5993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33120, 2923, '360112', '石埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.655,28.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33121, 2923, '360112', '恒湖垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.229,29.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33122, 2923, '360112', '铁河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.978,29.1002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33123, 2923, '360112', '西山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.56,28.5937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33124, 2923, '360112', '招贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.754,28.7596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33125, 2923, '360112', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.735,28.6985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33126, 2924, '360113', '凤凰洲管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.867,28.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33127, 2924, '360113', '九龙湖管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.782,28.6326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33128, 2924, '360113', '生米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.771,28.647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33129, 2924, '360113', '沙井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.851,28.7046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33130, 2924, '360113', '红角洲管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.785,28.6629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33131, 2925, '360123', '国营万埠垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.646,28.8812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33132, 2925, '360123', '国营峤岭垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,28.8023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33133, 2925, '360123', '石鼻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.541,28.7643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33134, 2925, '360123', '新民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.511,28.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33135, 2925, '360123', '乔乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.56,28.6032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33136, 2925, '360123', '龙津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.561,28.8849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33137, 2925, '360123', '长埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.6,28.8152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33138, 2925, '360123', '长均乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.694,28.8421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33139, 2925, '360123', '黄洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.492,28.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33140, 2925, '360123', '江西安义工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.594,28.8621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33141, 2925, '360123', '鼎湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.506,28.8155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33142, 2925, '360123', '万埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.651,28.8769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33143, 2925, '360123', '东阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.633,28.8724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33144, 2926, '360821', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.042,27.0276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33145, 2926, '360821', '横江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.824,26.963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33146, 2926, '360821', '井冈山经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,27.01', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33147, 2926, '360821', '万福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.855,27.4447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33148, 2926, '360821', '指阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.556,26.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33149, 2926, '360821', '桐坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.914,27.3181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33150, 2926, '360821', '吉安高新技术产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.891,27.0062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33151, 2926, '360821', '大冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.782,27.3142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33152, 2926, '360821', '登龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.705,27.0421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33153, 2926, '360821', '敦厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.857,27.0342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33154, 2926, '360821', '固江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.83,27.2546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33155, 2926, '360821', '天河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.447,27.0485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33156, 2926, '360821', '高新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.022,27.018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33157, 2926, '360821', '官田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.579,27.1169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33158, 2926, '360821', '梅塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.718,27.1195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33159, 2926, '360821', '安塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.627,26.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33160, 2926, '360821', '油田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.788,27.6269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33161, 2926, '360821', '敖城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.529,26.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33162, 2926, '360821', '永阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.765,26.9614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33163, 2926, '360821', '浬田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.754,27.2969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33164, 2926, '360821', '北源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.864,27.3211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33165, 2926, '360821', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.926,26.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33166, 2927, '360825', '七都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.502,27.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33167, 2927, '360825', '君埠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.614,26.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33168, 2927, '360825', '瑶田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.551,27.1352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33169, 2927, '360825', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.617,26.9503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33170, 2927, '360825', '石马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.86,27.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33171, 2927, '360825', '陶塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.696,27.0864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33172, 2927, '360825', '上固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,26.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33173, 2927, '360825', '中村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.826,26.9784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33174, 2927, '360825', '三坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.408,26.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33175, 2927, '360825', '藤田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.671,27.1292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33176, 2927, '360825', '永丰县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.41,27.3299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33177, 2927, '360825', '古县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.492,27.2321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33178, 2927, '360825', '龙冈畲族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.539,26.7801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33179, 2927, '360825', '罗铺垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.349,27.2611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33180, 2927, '360825', '沿陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.538,27.4673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33181, 2927, '360825', '坑田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.38,27.4299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33182, 2927, '360825', '佐龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.443,27.4152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33183, 2927, '360825', '恩江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.425,27.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33184, 2927, '360825', '官山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.5,27.2506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33185, 2927, '360825', '上溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.723,26.887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33186, 2927, '360825', '鹿冈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.619,27.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33187, 2927, '360825', '潭城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.534,27.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33188, 2927, '360825', '八江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.359,27.1623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33189, 2927, '360825', '潭头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.547,26.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33190, 2928, '360822', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.332,27.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33191, 2928, '360822', '螺田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.493,26.9772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33192, 2928, '360822', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.503,27.0149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33193, 2928, '360822', '冠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.422,27.1442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33194, 2928, '360822', '尚贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.954,27.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33195, 2928, '360822', '枫江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.962,27.388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33196, 2928, '360822', '水田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.164,27.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33197, 2928, '360822', '黄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.056,27.351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33198, 2928, '360822', '阜田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.945,27.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33199, 2928, '360822', '双村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.195,27.4152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33200, 2928, '360822', '水南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.219,27.0708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33201, 2928, '360822', '盘谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.986,27.5171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33202, 2928, '360822', '丁江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.298,27.1759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33203, 2928, '360822', '乌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.218,27.248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33204, 2928, '360822', '醪桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.178,27.3669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33205, 2928, '360822', '八都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.24,27.4385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33206, 2928, '360822', '吉水县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.109,27.2459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33207, 2928, '360822', '文峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.126,27.1839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33208, 2928, '360822', '金滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.105,27.2707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33209, 2929, '360830', '三湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.047,26.9259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33210, 2929, '360830', '高溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.969,26.9632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33211, 2929, '360830', '在中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.112,26.9278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33212, 2929, '360830', '曲白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,26.8624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33213, 2929, '360830', '烟阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.147,26.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33214, 2929, '360830', '龙源口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.071,26.8851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33215, 2929, '360830', '永新县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.293,27.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33216, 2929, '360830', '象形乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.193,27.2095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33217, 2929, '360830', '沙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.046,27.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33218, 2929, '360830', '莲洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,27.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33219, 2929, '360830', '怀忠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.339,27.1074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33220, 2929, '360830', '文竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.975,27.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33221, 2929, '360830', '龙田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.068,27.1421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33222, 2929, '360830', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.143,27.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33223, 2929, '360830', '永新县综合垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.275,26.9257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33224, 2929, '360830', '坳南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.327,26.9157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33225, 2929, '360830', '芦溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.26,27.2052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33226, 2929, '360830', '埠前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.281,27.0416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33227, 2929, '360830', '禾川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.299,26.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33228, 2929, '360830', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.326,26.9163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33229, 2929, '360830', '高市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.194,27.0785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33230, 2929, '360830', '高桥楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,27.0301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33231, 2929, '360830', '浬田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.146,27.0539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33232, 2929, '360830', '才丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.211,26.9093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33233, 2929, '360830', '台岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.065,27.0776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33234, 2930, '360827', '营盘圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.055,26.236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33235, 2930, '360827', '大汾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.167,26.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33236, 2930, '360827', '枚江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.621,26.3709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33237, 2930, '360827', '禾源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.381,26.156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33238, 2930, '360827', '五斗江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.285,26.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33239, 2930, '360827', '巾石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.559,26.2707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33240, 2930, '360827', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.155,26.0452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33241, 2930, '360827', '西溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.204,26.3579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33242, 2930, '360827', '南江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.302,26.1512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33243, 2930, '360827', '泉江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.449,26.378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33244, 2930, '360827', '戴家埔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.128,26.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33245, 2930, '360827', '左安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.361,26.1481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33246, 2930, '360827', '碧洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.656,26.4212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33247, 2930, '360827', '汤湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.136,26.0742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33248, 2930, '360827', '珠田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.435,26.2881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33249, 2930, '360827', '堆子前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.244,26.3546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33250, 2930, '360827', '双桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.483,26.6546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33251, 2930, '360827', '新江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,26.6571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33252, 2930, '360827', '草林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.404,26.3265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33253, 2930, '360827', '雩田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.534,26.474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33254, 2930, '360827', '衙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,26.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33255, 2930, '360827', '遂川县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.552,26.3534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33256, 2930, '360827', '大坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.454,26.5106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33257, 2930, '360827', '黄坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.281,26.2489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33258, 2931, '360802', '兴桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.85,27.2033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33259, 2931, '360802', '樟山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.043,27.2251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33260, 2931, '360802', '曲濑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.844,27.0345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33261, 2931, '360802', '永叔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.955,27.1068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33262, 2931, '360802', '习溪桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.971,27.1119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33263, 2931, '360802', '禾埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,27.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33264, 2931, '360802', '北门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.017,27.1446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33265, 2931, '360802', '吉州区工业园小区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.007,27.1439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33266, 2931, '360802', '白塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.988,27.1189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33267, 2931, '360802', '古南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.918,27.0667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33268, 2931, '360802', '文山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.978,27.1148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33269, 2931, '360802', '长塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.983,27.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33270, 2932, '360828', '五丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.742,26.4752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33271, 2932, '360828', '芙蓉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.851,26.4105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33272, 2932, '360828', '宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.044,26.4047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33273, 2932, '360828', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.9,26.3445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33274, 2932, '360828', '韶口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.698,26.6641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33275, 2932, '360828', '万安县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.747,26.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33276, 2932, '360828', '顺峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.026,26.1726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33277, 2932, '360828', '涧田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.914,26.21', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33278, 2932, '360828', '夏造镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.741,26.2747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33279, 2932, '360828', '武术乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.849,26.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33280, 2932, '360828', '百嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.813,26.5723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33281, 2932, '360828', '潞田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.605,26.6022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33282, 2932, '360828', '枧头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.84,26.5588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33283, 2932, '360828', '弹前乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.823,26.267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33284, 2932, '360828', '高陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.534,26.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33285, 2932, '360828', '万安县麻源垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.868,26.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33286, 2932, '360828', '罗塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.736,26.443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33287, 2932, '360828', '窑头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.865,26.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33288, 2933, '360803', '文陂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.125,26.9571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33289, 2933, '360803', '新圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.146,26.9173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33290, 2933, '360803', '值夏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.114,27.0038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33291, 2933, '360803', '天玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.046,27.1124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33292, 2933, '360803', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.017,27.1137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33293, 2933, '360803', '富田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.215,26.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33294, 2933, '360803', '富滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.223,27.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33295, 2933, '360803', '东固垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.383,26.7238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33296, 2933, '360803', '青原区河东经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.039,27.1235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33297, 2933, '360803', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.05,27.1195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33298, 2933, '360803', '东固畲族少数民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.432,26.7846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33299, 2934, '360829', '竹江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.679,27.3148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33300, 2934, '360829', '洋门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.343,27.1986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33301, 2934, '360829', '严田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.346,27.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33302, 2934, '360829', '金田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,27.288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33303, 2934, '360829', '浒坑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.338,27.493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33304, 2934, '360829', '安福县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.68,27.4043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33305, 2934, '360829', '洲湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,27.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33306, 2934, '360829', '甘洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.572,27.1886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33307, 2934, '360829', '泰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.237,27.3706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33308, 2934, '360829', '寮塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.487,27.3259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33309, 2934, '360829', '瓜畲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.776,27.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33310, 2934, '360829', '钱山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.09,27.4301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33311, 2934, '360829', '横龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.53,27.4436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33312, 2934, '360829', '赤谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.677,27.5903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33313, 2934, '360829', '山庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.531,27.6012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33314, 2934, '360829', '平都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.596,27.3785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33315, 2934, '360829', '章庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.328,27.5006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33316, 2934, '360829', '枫田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.714,27.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33317, 2934, '360829', '洋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.185,27.2347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33318, 2934, '360829', '彭坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.353,27.1951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33319, 2935, '360824', '洋峰农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,27.5593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33320, 2935, '360824', '地质大队', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.383,27.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33321, 2935, '360824', '麦斜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.519,27.5563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33322, 2935, '360824', '荷浦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.331,27.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33323, 2935, '360824', '七琴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.576,27.7549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33324, 2935, '360824', '金川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.463,27.6261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33325, 2935, '360824', '新干工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.337,27.6524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33326, 2935, '360824', '黎山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.59,27.7752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33327, 2935, '360824', '城上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.652,27.706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33328, 2935, '360824', '潭丘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.557,27.6489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33329, 2935, '360824', '三湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.419,27.9495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33330, 2935, '360824', '溧江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.468,27.8647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33331, 2935, '360824', '桃溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.529,27.7936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33332, 2935, '360824', '神政桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.434,27.7198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33333, 2935, '360824', '大洋洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.514,27.9145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33334, 2935, '360824', '沂江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.313,27.6614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33335, 2935, '360824', '界埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.364,27.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33336, 2936, '360823', '戈坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.11,27.7249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33337, 2936, '360823', '金坪民族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,27.5391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33338, 2936, '360823', '金江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.894,27.5559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33339, 2936, '360823', '巴邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.102,27.6121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33340, 2936, '360823', '罗田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.013,27.5702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33341, 2936, '360823', '水边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.297,27.5221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33342, 2936, '360823', '砚溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.016,27.6844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33343, 2936, '360823', '桐林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.401,27.5388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33344, 2936, '360823', '福民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.236,27.6147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33345, 2936, '360823', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.155,27.65', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33346, 2936, '360823', '马埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.405,27.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33347, 2936, '360823', '峡江县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.291,27.5531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33348, 2937, '360881', '长坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.1,26.4315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33349, 2937, '360881', '拿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.339,26.7339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33350, 2937, '360881', '坳里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.923,26.7521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33351, 2937, '360881', '鹅岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.125,26.7014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33352, 2937, '360881', '睦村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.937,26.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33353, 2937, '360881', '荷花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.997,26.7177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33354, 2937, '360881', '茅坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.053,26.6763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33355, 2937, '360881', '葛田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.973,26.6857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33356, 2937, '360881', '井冈山自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.24,26.6667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33357, 2937, '360881', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.055,26.7878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33358, 2937, '360881', '井冈山市工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.283,26.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33359, 2937, '360881', '厦坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.217,26.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33360, 2937, '360881', '龙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.932,26.6962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33361, 2937, '360881', '碧溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.446,26.7745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33362, 2937, '360881', '黄垇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.21,26.4675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33363, 2937, '360881', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.017,26.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33364, 2937, '360881', '白石垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.127,26.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33365, 2937, '360881', '东上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.934,26.7641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33366, 2937, '360881', '井企集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.231,26.6455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33367, 2937, '360881', '柏露乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.097,26.6656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33368, 2937, '360881', '下七乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.218,26.4381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33369, 2937, '360881', '大陇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.041,26.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33370, 2937, '360881', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,26.756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33371, 2937, '360881', '茨坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.174,26.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33372, 2938, '360826', '苏溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.741,26.7406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33373, 2938, '360826', '上模乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.971,26.6348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33374, 2938, '360826', '禾市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.693,26.8869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33375, 2938, '360826', '万合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.061,26.9399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33376, 2938, '360826', '南溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.813,26.8631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33377, 2938, '360826', '石山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.802,26.9073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33378, 2938, '360826', '灌溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.044,26.7753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33379, 2938, '360826', '武山垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.725,26.7374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33380, 2938, '360826', '老营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.223,26.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33381, 2938, '360826', '上圯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.177,26.6446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33382, 2938, '360826', '中龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.163,26.6843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33383, 2938, '360826', '苑前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.125,26.7846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33384, 2938, '360826', '塘洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.989,26.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33385, 2938, '360826', '井冈山机场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.757,26.8508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33386, 2938, '360826', '沙村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.033,26.6694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33387, 2938, '360826', '综合垦殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.004,26.8847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33388, 2938, '360826', '澄江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.912,26.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33389, 2938, '360826', '水槎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.081,26.5886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33390, 2938, '360826', '冠朝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.884,26.6954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33391, 2938, '360826', '泰和县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,26.8394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33392, 2938, '360826', '沿溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.018,26.8896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33393, 2938, '360826', '小龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.25,26.7666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33394, 2938, '360826', '小龙矿区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.263,26.6832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33395, 2938, '360826', '马市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.837,26.747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33396, 2938, '360826', '八一八矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.686,26.7053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33397, 2938, '360826', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.46,26.7502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33398, 2938, '360826', '螺溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.74,26.8489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33399, 2939, '360521', '分宜县芳山林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.643,28.039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33400, 2939, '360521', '凤阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.594,27.8771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33401, 2939, '360521', '高岚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.776,28.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33402, 2939, '360521', '钤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.746,27.7002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33403, 2939, '360521', '山下林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.672,27.7205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33404, 2939, '360521', '双林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.717,27.9861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33405, 2939, '360521', '上村林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.53,27.6332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33406, 2939, '360521', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.554,27.9581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33407, 2939, '360521', '年珠林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.539,27.5616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33408, 2939, '360521', '东坑林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.769,27.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33409, 2939, '360521', '湖泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.765,27.8993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33410, 2939, '360521', '洞村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.774,28.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33411, 2939, '360521', '洋江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.492,27.9148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33412, 2939, '360521', '长埠林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.618,27.5439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33413, 2939, '360521', '分宜县工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.706,27.8071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33414, 2939, '360521', '分宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.583,27.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33415, 2939, '360521', '操场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.64,28.0318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33416, 2939, '360521', '钤西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.669,27.7992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33417, 2939, '360521', '钤东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.682,27.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33418, 2940, '360502', '界水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.825,27.8356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33419, 2940, '360502', '鹄山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.988,28.0816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33420, 2940, '360502', '姚圩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.184,27.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33421, 2940, '360502', '水北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.094,28.0906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33422, 2940, '360502', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,27.8081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33423, 2940, '360502', '欧里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.806,27.9468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33424, 2940, '360502', '南安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.239,27.833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33425, 2940, '360502', '新钢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.925,27.7922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33426, 2940, '360502', '袁河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.893,27.8021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33427, 2940, '360502', '人和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.862,28.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33428, 2940, '360502', '仙来街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.956,27.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33429, 2940, '360502', '水西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.074,27.9007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33430, 2940, '360502', '新溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.292,27.8808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33431, 2940, '360502', '珠珊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.918,27.7278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33432, 2940, '360502', '下村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.89,28.0001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33433, 2940, '360502', '九龙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.814,27.611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33434, 2940, '360502', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.933,27.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33435, 2940, '360502', '观巢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.858,27.8976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33436, 2940, '360502', '罗坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.082,27.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33437, 2940, '360502', '河下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.761,27.6835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33438, 2940, '360502', '良山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.008,27.6504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33439, 2941, '130281', '团瓢庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.958,40.1301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33440, 2941, '130281', '新店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.015,40.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33441, 2941, '130281', '建明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.104,40.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33442, 2941, '130281', '东新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.874,40.1162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33443, 2941, '130281', '马兰峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.743,40.154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33444, 2941, '130281', '堡子店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.827,40.1954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33445, 2941, '130281', '小厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.119,40.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33446, 2941, '130281', '苏家洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.981,40.2568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33447, 2941, '130281', '平安城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.758,40.0186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33448, 2941, '130281', '兴旺寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.813,40.2489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33449, 2941, '130281', '刘备寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,40.0453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33450, 2941, '130281', '东旧寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.086,40.1595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33451, 2941, '130281', '西三里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.898,40.2161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33452, 2941, '130281', '铁厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.119,40.0811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33453, 2941, '130281', '文化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.983,40.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33454, 2941, '130281', '华明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.007,40.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33455, 2941, '130281', '党峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.97,40.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33456, 2941, '130281', '汤泉满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.785,40.2029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33457, 2941, '130281', '遵化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.007,40.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33458, 2941, '130281', '西下营满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.775,40.2231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33459, 2941, '130281', '西留村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.894,40.1745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33460, 2941, '130281', '地北头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.972,39.9702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33461, 2941, '130281', '娘娘庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.049,40.0624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33462, 2941, '130281', '崔家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.019,40.1966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33463, 2941, '130281', '候家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.056,40.3049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33464, 2941, '130281', '东陵满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.605,40.1662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33465, 2941, '130281', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.736,40.1416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33466, 2942, '130227', '渔户寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.344,40.2754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33467, 2942, '130227', '尹庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.511,40.1615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33468, 2942, '130227', '太平寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.503,40.3315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33469, 2942, '130227', '迁西县栗乡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.307,40.1544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33470, 2942, '130227', '迁西县栗乡工业产业聚集区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.329,40.153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33471, 2942, '130227', '东荒峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.376,40.1653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33472, 2942, '130227', '新庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.299,40.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33473, 2942, '130227', '罗家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.541,40.1881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33474, 2942, '130227', '洒河桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.205,40.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33475, 2942, '130227', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.382,40.1043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33476, 2942, '130227', '白庙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.226,40.2063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33477, 2942, '130227', '上营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.499,40.404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33478, 2942, '130227', '三屯营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.192,40.2193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33479, 2942, '130227', '滦阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.376,40.4317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33480, 2942, '130227', '金厂峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.516,40.3715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33481, 2942, '130227', '东莲花院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.434,40.021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33482, 2942, '130227', '旧城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.323,40.2637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33483, 2942, '130227', '汉儿庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.254,40.3856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33484, 2942, '130227', '兴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.293,40.1436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33485, 2943, '130283', '闫家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.64,40.133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33486, 2943, '130283', '木厂口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.536,39.9757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33487, 2943, '130283', '彭店子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.827,39.9427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33488, 2943, '130283', '马兰庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.612,40.1584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33489, 2943, '130283', '大五里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.507,40.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33490, 2943, '130283', '大崔庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.591,40.1616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33491, 2943, '130283', '蔡园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.518,40.0895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33492, 2943, '130283', '杨各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.911,40.1576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33493, 2943, '130283', '上射雁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.727,40.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33494, 2943, '130283', '迁安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.624,40.0775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33495, 2943, '130283', '扣庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.81,40.0049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33496, 2943, '130283', '建昌营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.791,40.206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33497, 2943, '130283', '太平庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.458,39.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33498, 2943, '130283', '赵店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.614,39.9108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33499, 2943, '130283', '野鸡坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.648,39.9201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33500, 2943, '130283', '五重安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.581,40.1916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33501, 2943, '130283', '沙河驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.612,39.8812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33502, 2943, '130283', '夏官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.784,39.9804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33503, 2943, '130283', '杨店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.626,40.0723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33504, 2944, '130224', '方各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.691,39.4836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33505, 2944, '130224', '扒齿港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.597,39.6096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33506, 2944, '130224', '长凝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.822,39.6012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33507, 2944, '130224', '坨里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.662,39.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33508, 2944, '130224', '司各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.561,39.4954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33509, 2944, '130224', '青坨营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.503,39.589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33510, 2944, '130224', '胡各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.692,39.4072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33511, 2944, '130224', '马城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.827,39.6514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33512, 2944, '130224', '宋道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.839,39.5634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33513, 2944, '130224', '南堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.587,39.0201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33514, 2944, '130224', '程庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.642,39.6339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33515, 2944, '130224', '安各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.485,39.4763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33516, 2944, '130224', '东黄坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.476,39.3959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33517, 2944, '130224', '柏各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.587,39.355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33518, 2944, '130224', '姚王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.727,39.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33519, 2944, '130224', '倴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.68,39.4914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33520, 2944, '130224', '友谊路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.673,39.5078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33521, 2945, '130209', '七农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.4,39.1487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33522, 2945, '130209', '十农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.279,39.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33523, 2945, '130209', '九农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.721,39.3226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33524, 2945, '130209', '滨海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.183,39.2235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33525, 2945, '130209', '八农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.245,39.3435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33526, 2945, '130209', '十一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.292,39.3143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33527, 2945, '130209', '四农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.408,39.2666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33528, 2945, '130209', '唐海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.47,39.3312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33529, 2945, '130209', '柳赞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.606,39.2193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33530, 2945, '130209', '六农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.395,39.3679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33531, 2945, '130209', '一农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.565,39.2894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33532, 2945, '130209', '五农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.43,39.1496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33533, 2945, '130209', '南堡经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.283,39.2033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33534, 2945, '130209', '曹妃甸工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.622,39.0373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33535, 2945, '130209', '唐山湾生态城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.61,39.152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33536, 2945, '130209', '十里海养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.422,39.1507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33537, 2945, '130209', '八里滩养殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.618,39.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33538, 2945, '130209', '三农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.486,39.2711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33539, 2946, '130284', '雷庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.55,39.7773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33540, 2946, '130284', '榛子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.242,39.8091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33541, 2946, '130284', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.74,39.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33542, 2946, '130284', '油榨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.747,39.8725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33543, 2946, '130284', '滦城路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.742,39.719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33544, 2946, '130284', '王店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.385,39.8782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33545, 2946, '130284', '茨榆坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.475,39.716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33546, 2946, '130284', '响嘡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.746,39.7127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33547, 2946, '130284', '杨柳庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.395,39.8899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33548, 2946, '130284', '古马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.693,39.702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33549, 2946, '130284', '小马庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.55,39.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33550, 2946, '130284', '九百户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.508,39.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33551, 2946, '130284', '滦河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.708,39.7574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33552, 2946, '130284', '东安各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.66,39.8673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33553, 2947, '130225', '乐亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.969,39.4123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33554, 2947, '130225', '姜各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.09,39.3706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33555, 2947, '130225', '毛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.946,39.4518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33556, 2947, '130225', '乐安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.946,39.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33557, 2947, '130225', '新寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.765,39.3779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33558, 2947, '130225', '王滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.953,39.3673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33559, 2947, '130225', '唐山湾国际旅游岛', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.634,39.0547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33560, 2947, '130225', '长芦大清河盐场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.765,39.1448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33561, 2947, '130225', '闫各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.822,39.343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33562, 2947, '130225', '胡家坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.028,39.3644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33563, 2947, '130225', '大相各庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.768,39.453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33564, 2947, '130225', '中堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.949,39.5518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33565, 2947, '130225', '汀流河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.794,39.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33566, 2947, '130225', '古河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.768,39.3332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33567, 2947, '130225', '庞各庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.825,39.4319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33568, 2947, '130225', '汤家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.007,39.3691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33569, 2947, '130225', '马头营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.85,39.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33570, 2947, '130225', '乐亭新区临港工业聚集区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.134,39.2936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33571, 2947, '130225', '海港经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.969,39.2464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33572, 2948, '130229', '彩亭桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.698,39.9391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33573, 2948, '130229', '鸦鸿桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.863,39.7772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33574, 2948, '130229', '林头屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.876,39.9565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33575, 2948, '130229', '陈家铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.708,39.816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33576, 2948, '130229', '虹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.781,39.8601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33577, 2948, '130229', '林西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.531,39.8801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33578, 2948, '130229', '亮甲店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.839,39.9066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33579, 2948, '130229', '潮洛窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.754,39.628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33580, 2948, '130229', '石臼窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.637,39.697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33581, 2948, '130229', '窝洛沽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.757,39.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33582, 2948, '130229', '林南仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.607,39.8702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33583, 2948, '130229', '散水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.792,39.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33584, 2948, '130229', '孤树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.583,39.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33585, 2948, '130229', '郭家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.642,39.8153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33586, 2948, '130229', '郭家屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.79,39.8978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33587, 2948, '130229', '玉田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.754,39.9077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33588, 2948, '130229', '唐自头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.561,39.9962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33589, 2948, '130229', '大安镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.58,39.9721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33590, 2948, '130229', '杨家板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.599,39.7732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33591, 2948, '130229', '杨家套乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.83,39.8233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33592, 2949, '130202', '女织寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.142,39.6162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33593, 2949, '130202', '稻地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.158,39.5376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33594, 2949, '130202', '永红桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.21,39.6239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33595, 2949, '130202', '学院南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.159,39.6156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33596, 2949, '130202', '广场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.169,39.6118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33597, 2949, '130202', '小山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.201,39.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33598, 2949, '130202', '惠民道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.146,39.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33599, 2949, '130202', '梁家屯路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.173,39.5887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33600, 2949, '130202', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.148,39.6175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33601, 2949, '130202', '文北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.228,39.6302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33602, 2949, '130202', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.598,39.3761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33603, 2949, '130202', '海北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.542,39.3781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33604, 2950, '130207', '大齐各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.309,39.5744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33605, 2950, '130207', '丰南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.167,39.5611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33606, 2950, '130207', '汉丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.847,39.3397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33607, 2950, '130207', '黄各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.125,39.5238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33608, 2950, '130207', '尖字沽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.067,39.4203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33609, 2950, '130207', '兴农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.859,39.3583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33610, 2950, '130207', '唐坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.083,39.4741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33611, 2950, '130207', '大新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.377,39.4962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33612, 2950, '130207', '柳树酄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.021,39.3466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33613, 2950, '130207', '西葛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.184,39.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33614, 2950, '130207', '王兰庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.092,39.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33615, 2950, '130207', '东田庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.969,39.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33616, 2950, '130207', '振兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.854,39.3282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33617, 2950, '130207', '小集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.325,39.5157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33618, 2950, '130207', '钱营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.33,39.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33619, 2950, '130207', '黑沿子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.035,39.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33620, 2950, '130207', '南孙庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.905,39.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33621, 2951, '130203', '河北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.204,39.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33622, 2951, '130203', '缸窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.22,39.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33623, 2951, '130203', '东新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.207,39.6465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33624, 2951, '130203', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.142,39.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33625, 2951, '130203', '机场路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.165,39.6536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33626, 2951, '130203', '果园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.184,39.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33627, 2951, '130203', '龙东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.203,39.674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33628, 2951, '130203', '文化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.166,39.6519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33629, 2951, '130203', '翔云道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.167,39.647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33630, 2951, '130203', '钓鱼台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.183,39.6451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33631, 2951, '130203', '乔屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.185,39.637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33632, 2951, '130203', '唐山高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.21,39.6945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33633, 2951, '130203', '大里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.167,39.6389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33634, 2952, '130208', '太平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.185,39.8464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33635, 2952, '130208', '常庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.168,39.7808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33636, 2952, '130208', '韩城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.026,39.6232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33637, 2952, '130208', '刘家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.18,39.8615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33638, 2952, '130208', '杨官林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.04,39.9398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33639, 2952, '130208', '李钊庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.771,39.5994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33640, 2952, '130208', '任各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.059,39.7681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33641, 2952, '130208', '泉河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.142,39.9314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33642, 2952, '130208', '七树庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.993,39.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33643, 2952, '130208', '左家坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.129,39.9855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33644, 2952, '130208', '浭阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.146,39.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33645, 2952, '130208', '丰润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.132,39.8382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33646, 2952, '130208', '新军屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.958,39.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33647, 2952, '130208', '燕山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.146,39.8197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33648, 2952, '130208', '岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.994,39.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33649, 2952, '130208', '姜家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.183,39.8619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33650, 2952, '130208', '欢喜庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.922,39.5989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33651, 2952, '130208', '石各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.035,39.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33652, 2952, '130208', '银城铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.165,39.8473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33653, 2952, '130208', '丰登坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.972,39.7456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33654, 2952, '130208', '老庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.019,39.7119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33655, 2952, '130208', '火石营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.3,40.0558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33656, 2952, '130208', '沙流河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.999,39.8985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33657, 2952, '130208', '小张各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.89,39.6391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33658, 2952, '130208', '王官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.347,39.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33659, 2952, '130208', '白官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.998,39.8166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33660, 2953, '130204', '王辇庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.434,39.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33661, 2953, '130204', '林西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.442,39.7233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33662, 2953, '130204', '古冶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.431,39.7348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33663, 2953, '130204', '范各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.382,39.693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33664, 2953, '130204', '京华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.446,39.7474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33665, 2953, '130204', '赵各庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.429,39.7619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33666, 2953, '130204', '唐家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.457,39.7533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33667, 2953, '130204', '大庄坨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.447,39.6875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33668, 2953, '130204', '卑家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.487,39.7326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33669, 2953, '130204', '习家套乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.352,39.7208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33670, 2954, '130205', '开平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.255,39.6752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33671, 2954, '130205', '郑庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.235,39.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33672, 2954, '130205', '马家沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.24,39.6989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33673, 2954, '130205', '税务庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.233,39.6347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33674, 2954, '130205', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.296,39.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33675, 2954, '130205', '洼里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.293,39.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33676, 2954, '130205', '越河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.239,39.635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33677, 2954, '130205', '陡电街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.282,39.7721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33678, 2954, '130205', '荆各庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.247,39.7407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33679, 2954, '130205', '开平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.226,39.6962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33680, 2954, '130205', '栗园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.28,39.7769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33681, 2955, '131028', '陈府乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.035,39.8911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33682, 2955, '131028', '大厂工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.927,39.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33683, 2955, '131028', '祁各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.813,39.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33684, 2955, '131028', '大厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.953,39.858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33685, 2955, '131028', '邵府乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.91,39.8835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33686, 2955, '131028', '夏垫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.917,39.9685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33687, 2956, '131025', '臧屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.6,38.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33688, 2956, '131025', '留各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.433,38.5311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33689, 2956, '131025', '里坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.673,38.5466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33690, 2956, '131025', '大尚屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.564,38.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33691, 2956, '131025', '摩配园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.446,38.707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33692, 2956, '131025', '平舒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.602,38.6889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33693, 2956, '131025', '旺村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.745,38.8443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33694, 2956, '131025', '北魏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.462,38.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33695, 2956, '131025', '权村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.549,38.6055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33696, 2956, '131025', '广安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.56,38.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33697, 2956, '131025', '南赵扶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.766,38.7248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33698, 2957, '131024', '香河开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.951,39.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33699, 2957, '131024', '钳屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.961,39.7298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33700, 2957, '131024', '安头屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.084,39.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33701, 2957, '131024', '刘宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.153,39.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33702, 2957, '131024', '五百户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.999,39.7032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33703, 2957, '131024', '蒋辛屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.96,39.855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33704, 2957, '131024', '渠口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.082,39.7679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33705, 2957, '131024', '钱旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.007,39.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33706, 2957, '131024', '香河现代产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.056,39.8182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33707, 2957, '131024', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.927,39.7063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33708, 2957, '131024', '淑阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.073,39.7476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33709, 2958, '131026', '史各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.326,38.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33710, 2958, '131026', '大柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,38.99', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33711, 2958, '131026', '大围河回族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.347,38.9413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33712, 2958, '131026', '新镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.372,39.0215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33713, 2958, '131026', '文安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.424,38.8654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33714, 2958, '131026', '左各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.6,39.035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33715, 2958, '131026', '苏桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.461,39.0514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33716, 2958, '131026', '大留镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.269,38.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33717, 2958, '131026', '兴隆宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.25,38.8726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33718, 2958, '131026', '孙氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.518,38.8446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33719, 2958, '131026', '德归镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.552,38.8619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33720, 2958, '131026', '赵各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.371,38.9024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33721, 2958, '131026', '滩里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.755,39.0076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33722, 2959, '131023', '龙虎庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.385,39.2579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33723, 2959, '131023', '三圣口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.666,39.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33724, 2959, '131023', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.517,39.3317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33725, 2959, '131023', '里澜城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.583,39.2631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33726, 2959, '131023', '永清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.517,39.3331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33727, 2959, '131023', '永清县工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.523,39.3999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33728, 2959, '131023', '曹家务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.575,39.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33729, 2959, '131023', '刘街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.49,39.2017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33730, 2959, '131023', '韩村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.646,39.3659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33731, 2959, '131023', '别古庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.677,39.3499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33732, 2959, '131023', '管家务回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.562,39.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33733, 2959, '131023', '后奕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.529,39.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33734, 2960, '131022', '彭村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.273,39.375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33735, 2960, '131022', '柳泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.3,39.3727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33736, 2960, '131022', '宫村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.246,39.5149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33737, 2960, '131022', '礼让店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.189,39.2281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33738, 2960, '131022', '东湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.169,39.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33739, 2960, '131022', '牛驼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.346,39.3227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33740, 2960, '131022', '渠沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.294,39.3132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33741, 2960, '131022', '固安温泉休闲商务产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,39.2455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33742, 2960, '131022', '马庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.245,39.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33743, 2960, '131022', '固安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.308,39.4863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33744, 2961, '131003', '南尖塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.712,39.5425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33745, 2961, '131003', '新开路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.731,39.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33746, 2961, '131003', '爱民东道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.686,39.5382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33747, 2961, '131003', '银河北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.692,39.5204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33748, 2961, '131003', '新世纪步行街管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.724,39.5357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33749, 2961, '131003', '解放道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.714,39.5387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33750, 2961, '131003', '廊坊经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.683,39.5803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33751, 2961, '131003', '新源道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.718,39.5579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33752, 2961, '131003', '北旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.739,39.4943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33753, 2961, '131003', '九州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.616,39.5237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33754, 2961, '131003', '万庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.657,39.5917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33755, 2962, '131082', '段甲岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.202,40.0693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33756, 2962, '131082', '齐心庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.945,40.0486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33757, 2962, '131082', '杨庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.073,39.937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33758, 2962, '131082', '三河市农业高新技术园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.985,39.9906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33759, 2962, '131082', '泃阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.079,39.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33760, 2962, '131082', '鼎盛东大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.087,39.9732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33761, 2962, '131082', '燕郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.815,39.9547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33762, 2962, '131082', '皇庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.053,39.8973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33763, 2962, '131082', '泃阳西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.074,40.0039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33764, 2962, '131082', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.872,40.0413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33765, 2962, '131082', '李旗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.994,39.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33766, 2962, '131082', '燕郊经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.792,40.015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33767, 2962, '131082', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.164,39.873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33768, 2962, '131082', '黄土庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.138,40.0417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33769, 2963, '131002', '永华道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.654,39.5109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33770, 2963, '131002', '码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.875,39.3402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33771, 2963, '131002', '光明西道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.685,39.508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33772, 2963, '131002', '杨税务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.602,39.448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33773, 2963, '131002', '调河头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.722,39.3374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33774, 2963, '131002', '银河南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.698,39.5129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33775, 2963, '131002', '仇庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.672,39.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33776, 2963, '131002', '东沽港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.751,39.1674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33777, 2963, '131002', '葛渔城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.876,39.2789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33778, 2963, '131002', '北史家务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.699,39.509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33779, 2963, '131002', '落垡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.856,39.4193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33780, 2964, '131081', '王庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.593,39.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33781, 2964, '131081', '康仙庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.507,39.1145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33782, 2964, '131081', '霸州经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.37,39.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33783, 2964, '131081', '信安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.636,39.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33784, 2964, '131081', '堂二里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.682,39.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33785, 2964, '131081', '南孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.363,39.2155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33786, 2964, '131081', '岔河集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.296,39.1801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33787, 2964, '131081', '霸州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.415,39.1414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33788, 2964, '131081', '东杨庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.48,39.0605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33789, 2964, '131081', '东段乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.712,39.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33790, 2964, '131081', '煎茶铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.493,39.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33791, 2964, '131081', '杨芬港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.921,39.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33792, 2964, '131081', '胜芳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.813,39.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33793, 2965, '130321', '隔河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.282,40.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33794, 2965, '130321', '三星口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.423,40.4472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33795, 2965, '130321', '马圈子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.962,40.5533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33796, 2965, '130321', '凤凰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.378,40.4027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33797, 2965, '130321', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.813,40.5238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33798, 2965, '130321', '三拨子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.665,40.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33799, 2965, '130321', '龙王庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.465,40.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33800, 2965, '130321', '大石岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.107,40.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33801, 2965, '130321', '干沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.451,40.487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33802, 2965, '130321', '木头凳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.415,40.4171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33803, 2965, '130321', '祖山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.461,40.2979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33804, 2965, '130321', '七道河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.87,40.2499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33805, 2965, '130321', '官场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.085,40.151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33806, 2965, '130321', '朱杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.082,40.3795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33807, 2965, '130321', '肖营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.864,40.3507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33808, 2965, '130321', '八道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.703,40.4914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33809, 2965, '130321', '娄杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.711,40.3677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33810, 2965, '130321', '安子岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.293,40.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33811, 2965, '130321', '凉水河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.691,40.3423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33812, 2965, '130321', '土门子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.187,40.4904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33813, 2965, '130321', '双山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.147,40.3869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33814, 2965, '130321', '草碾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.979,40.15', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33815, 2965, '130321', '平方子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.293,40.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33816, 2965, '130321', '大巫岚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.232,40.4811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33817, 2965, '130321', '茨榆山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.118,40.1942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33818, 2966, '130324', '刘家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.919,40.0851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33819, 2966, '130324', '燕河营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.058,40.1', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33820, 2966, '130324', '陈官屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.971,40.035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33821, 2966, '130324', '卢龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.892,39.8167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33822, 2966, '130324', '潘庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.028,40.0773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33823, 2966, '130324', '蛤泊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.108,39.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33824, 2966, '130324', '印庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.901,40.0243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33825, 2966, '130324', '木井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.92,39.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33826, 2966, '130324', '下寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.007,39.8833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33827, 2966, '130324', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.929,39.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33828, 2966, '130324', '河北卢龙经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.902,39.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33829, 2966, '130324', '双望镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.105,39.934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33830, 2966, '130324', '刘田各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.118,39.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33831, 2967, '130303', '石河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.658,40.0522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33832, 2967, '130303', '船厂路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.819,39.984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33833, 2967, '130303', '第一关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.785,40.0124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33834, 2967, '130303', '路南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.792,39.9797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33835, 2967, '130303', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.755,40.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33836, 2967, '130303', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.75,40.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33837, 2967, '130303', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.785,40.0124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33838, 2967, '130303', '孟姜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.753,40.0733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33839, 2967, '130303', '渤海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.846,40.0044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33840, 2968, '130306', '留守营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.236,39.7828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33841, 2968, '130306', '榆关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.425,40.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33842, 2968, '130306', '榆关管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.462,39.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33843, 2968, '130306', '深河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.489,39.9534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33844, 2968, '130306', '台营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.131,40.0583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33845, 2968, '130306', '大新寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.284,40.1697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33846, 2968, '130306', '茶棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.102,39.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33847, 2968, '130306', '南戴河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.367,39.7352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33848, 2968, '130306', '留守营管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,39.7371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33849, 2968, '130306', '抚宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.25,39.8844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33850, 2968, '130306', '骊城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.253,39.882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33851, 2969, '130302', '黄河道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.556,39.9397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33852, 2969, '130302', '海港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.581,39.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33853, 2969, '130302', '建设大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.603,39.9353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33854, 2969, '130302', '西港路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.581,39.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33855, 2969, '130302', '北港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.647,40.0445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33856, 2969, '130302', '西港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.566,39.919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33857, 2969, '130302', '东港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.682,39.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33858, 2969, '130302', '东环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.673,39.9501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33859, 2969, '130302', '临港物流园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.652,39.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33860, 2969, '130302', '燕山大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.599,39.9623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33861, 2969, '130302', '北环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.569,39.9584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33862, 2969, '130302', '驻操营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.625,40.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33863, 2969, '130302', '石门寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.666,40.0628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33864, 2969, '130302', '腾飞路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.444,39.9344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33865, 2969, '130302', '北部工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.564,39.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33866, 2969, '130302', '杜庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.572,40.0582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33867, 2969, '130302', '白塔岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.565,39.9187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33868, 2969, '130302', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.699,39.9304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33869, 2969, '130302', '海滨路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.617,39.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33870, 2969, '130302', '海阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.535,39.9452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33871, 2969, '130302', '文化路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.583,39.929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33872, 2969, '130302', '珠江道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.561,39.9247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33873, 2969, '130302', '港城大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.588,39.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33874, 2970, '130304', '东山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.532,39.8331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33875, 2970, '130304', '西山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.482,39.8341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33876, 2970, '130304', '牛头崖管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.439,39.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33877, 2970, '130304', '海滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.48,39.8219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33878, 2970, '130304', '牛头崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.379,39.8762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33879, 2970, '130304', '戴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.492,39.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33880, 2971, '130322', '团林管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.248,39.622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33881, 2971, '130322', '泥井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.087,39.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33882, 2971, '130322', '葛条港乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.204,39.7058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33883, 2971, '130322', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.931,39.5556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33884, 2971, '130322', '团林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.256,39.615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33885, 2971, '130322', '昌黎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.189,39.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33886, 2971, '130322', '马坨店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.006,39.6453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33887, 2971, '130322', '安山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.999,39.7248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33888, 2971, '130322', '龙家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.025,39.7512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33889, 2971, '130322', '两山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.197,39.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33890, 2971, '130322', '大蒲河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.3,39.7001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33891, 2971, '130322', '朱各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.811,39.7486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33892, 2971, '130322', '荒佃庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.075,39.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33893, 2971, '130322', '十里铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.108,39.7723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33894, 2971, '130322', '靖安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.828,39.657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33895, 2971, '130322', '刘台庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.16,39.5969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33896, 2971, '130322', '大蒲河管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.31,39.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33897, 2971, '130322', '茹荷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.092,39.4695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33898, 2972, '130722', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,41.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33899, 2972, '130722', '三号乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.204,41.5033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33900, 2972, '130722', '馒头营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.602,41.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33901, 2972, '130722', '海流图乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.325,41.3576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33902, 2972, '130722', '二台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.923,41.4297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33903, 2972, '130722', '两面井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.273,41.5279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33904, 2972, '130722', '沙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.862,41.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33905, 2972, '130722', '大西湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.229,41.4108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33906, 2972, '130722', '大囫囵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.124,41.3721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33907, 2972, '130722', '察北', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.933,41.401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33908, 2972, '130722', '台路沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.56,41.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33909, 2972, '130722', '小二台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.927,41.0464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33910, 2972, '130722', '公会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.538,41.4281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33911, 2972, '130722', '单晶河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.359,41.1192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33912, 2972, '130722', '战海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.3,41.323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33913, 2972, '130722', '二泉井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.656,41.4618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33914, 2972, '130722', '张北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.791,41.2141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33915, 2972, '130722', '油篓沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.8,41.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33916, 2972, '130722', '郝家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.757,41.3159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33917, 2972, '130722', '白庙滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.115,41.2491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33918, 2972, '130722', '宇宙营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.137,41.5044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33919, 2973, '130723', '照阳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,42.0814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33920, 2973, '130723', '芦家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.333,41.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33921, 2973, '130723', '张纪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.559,41.5272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33922, 2973, '130723', '忠义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.477,41.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33923, 2973, '130723', '康保牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.841,42.1233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33924, 2973, '130723', '康保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.676,41.8926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33925, 2973, '130723', '满德堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.401,41.9495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33926, 2973, '130723', '屯垦林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.918,41.9331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33927, 2973, '130723', '土城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.564,41.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33928, 2973, '130723', '哈咇嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.824,41.6418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33929, 2973, '130723', '闫油坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.71,41.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33930, 2973, '130723', '邓油坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,41.6461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33931, 2973, '130723', '丹清河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.695,41.772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33932, 2973, '130723', '处长地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.477,41.8445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33933, 2973, '130723', '李家地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.348,41.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33934, 2973, '130723', '二号卜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.332,41.5523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33935, 2973, '130723', '屯垦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.888,42.0292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33936, 2974, '130724', '东大门', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.741,41.8916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33937, 2974, '130724', '黄盖淖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.189,41.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33938, 2974, '130724', '高山堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.466,41.7494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33939, 2974, '130724', '白土窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.366,41.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33940, 2974, '130724', '小河子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.644,41.4018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33941, 2974, '130724', '长梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.91,41.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33942, 2974, '130724', '大二号回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.007,41.797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33943, 2974, '130724', '沙梁子', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.967,41.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33944, 2974, '130724', '小厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.804,41.5044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33945, 2974, '130724', '九连城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.961,41.5033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33946, 2974, '130724', '莲花滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.48,41.2911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33947, 2974, '130724', '小城子', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.853,41.9189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33948, 2974, '130724', '榆树沟', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.847,41.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33949, 2974, '130724', '平定堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.645,41.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33950, 2974, '130724', '丰源店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.805,41.3136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33951, 2974, '130724', '闪电河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.899,41.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33952, 2974, '130724', '西辛营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.544,41.4928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33953, 2974, '130724', '二道渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.956,41.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33954, 2975, '130725', '大营盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.996,41.5129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33955, 2975, '130725', '套里庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.24,41.088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33956, 2975, '130725', '大苏计乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.079,41.5307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33957, 2975, '130725', '红土梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.152,41.0931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33958, 2975, '130725', '三工地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.902,41.3108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33959, 2975, '130725', '甲石河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.271,40.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33960, 2975, '130725', '大青沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.001,41.3516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33961, 2975, '130725', '满井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.186,41.1859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33962, 2975, '130725', '石井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.108,41.2628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33963, 2975, '130725', '南壕堑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.082,41.1078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33964, 2975, '130725', '小蒜沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.252,40.7556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33965, 2975, '130725', '八道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.047,41.2351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33966, 2975, '130725', '七甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.077,41.1625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33967, 2975, '130725', '下马圈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.098,40.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33968, 2976, '130709', '红旗营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.231,41.1034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33969, 2976, '130709', '清三营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.534,41.2858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33970, 2976, '130709', '石嘴子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.874,41.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33971, 2976, '130709', '西湾子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.275,40.9891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33972, 2976, '130709', '石窑子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.293,41.2466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33973, 2976, '130709', '高家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.903,40.8673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33974, 2976, '130709', '白旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.472,41.0169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33975, 2976, '130709', '驿马图乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.031,41.1439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33976, 2976, '130709', '四台嘴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.225,40.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33977, 2976, '130709', '狮子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.412,41.2424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33978, 2976, '130709', '西湾子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.406,41.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33979, 2977, '130708', '安家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.712,40.7962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33980, 2977, '130708', '高庙堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.57,40.8634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33981, 2977, '130708', '膳房堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.625,40.9988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33982, 2977, '130708', '北沙城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,40.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33983, 2977, '130708', '洗马林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.51,40.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33984, 2977, '130708', '孔家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.705,40.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33985, 2977, '130708', '郭磊庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.523,40.6936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33986, 2977, '130708', '北新屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.651,40.9442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33987, 2977, '130708', '万全镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.798,40.9179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33988, 2977, '130708', '旧堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.464,40.7953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33989, 2977, '130708', '宣平堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.818,40.8402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33990, 2978, '130732', '龙关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,40.8839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33991, 2978, '130732', '独石口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.591,41.2678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33992, 2978, '130732', '赤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.722,40.8909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33993, 2978, '130732', '白草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.002,41.1424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33994, 2978, '130732', '龙门所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.913,41.0755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33995, 2978, '130732', '炮梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.536,40.9277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33996, 2978, '130732', '云州乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.816,41.263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33997, 2978, '130732', '马营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.643,41.2405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33998, 2978, '130732', '三道川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.161,41.3639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (33999, 2978, '130732', '样田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.876,40.8761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34000, 2978, '130732', '镇宁堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.483,40.9667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34001, 2978, '130732', '田家窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.604,40.7435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34002, 2978, '130732', '东万口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.011,41.0037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34003, 2978, '130732', '雕鄂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.855,40.8097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34004, 2978, '130732', '茨营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.281,40.976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34005, 2978, '130732', '大海陀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.587,40.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34006, 2978, '130732', '东卯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.353,40.8887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34007, 2978, '130732', '后城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.111,40.8703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34008, 2979, '130730', '孙庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.506,40.1031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34009, 2979, '130730', '官厅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.616,40.1171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34010, 2979, '130730', '新保安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.426,40.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34011, 2979, '130730', '大黄庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.371,40.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34012, 2979, '130730', '存瑞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,40.5796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34013, 2979, '130730', '小南辛堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.658,40.2852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34014, 2979, '130730', '东八里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.457,40.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34015, 2979, '130730', '狼山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.637,40.3934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34016, 2979, '130730', '西八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.341,40.4541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34017, 2979, '130730', '王家楼回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.667,40.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34018, 2979, '130730', '桑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.499,40.3358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34019, 2979, '130730', '沙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.522,40.4291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34020, 2979, '130730', '土木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.525,40.4193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34021, 2979, '130730', '鸡鸣驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.377,40.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34022, 2979, '130730', '北辛堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.772,40.4728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34023, 2979, '130730', '瑞云观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.877,40.2005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34024, 2979, '130730', '东花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.945,40.2926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34025, 2980, '130706', '城镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.273,40.4564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34026, 2980, '130706', '花园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.279,40.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34027, 2980, '130706', '煤矿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.28,40.4972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34028, 2980, '130706', '段家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.411,40.559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34029, 2980, '130706', '辛庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.216,40.5779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34030, 2980, '130706', '定方水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.282,40.5762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34031, 2981, '130731', '河东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.065,39.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34032, 2981, '130731', '栾庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.219,40.2292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34033, 2981, '130731', '卧佛寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.389,40.1764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34034, 2981, '130731', '黑山寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.332,40.2397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34035, 2981, '130731', '温泉屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.492,40.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34036, 2981, '130731', '东小庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.371,40.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34037, 2981, '130731', '涿鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.116,40.4017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34038, 2981, '130731', '张家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.209,40.4717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34039, 2981, '130731', '谢家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.45,39.996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34040, 2981, '130731', '武家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.952,40.3311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34041, 2981, '130731', '辉耀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.256,40.0192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34042, 2981, '130731', '大河南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.014,39.8551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34043, 2981, '130731', '保岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.107,40.3503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34044, 2981, '130731', '蟒石口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.302,39.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34045, 2981, '130731', '五堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.252,40.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34046, 2981, '130731', '大堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.017,40.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34047, 2981, '130731', '矾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.464,40.2284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34048, 2982, '130705', '南大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.036,40.6105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34049, 2982, '130705', '工业街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.098,40.5999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34050, 2982, '130705', '天泰寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.029,40.6154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34051, 2982, '130705', '江家屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.777,40.6349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34052, 2982, '130705', '赵川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.372,40.6463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34053, 2982, '130705', '大北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.067,40.6523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34054, 2982, '130705', '春光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.075,40.6835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34055, 2982, '130705', '洋河南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.148,40.4542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34056, 2982, '130705', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.032,40.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34057, 2982, '130705', '塔儿村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.8,40.5264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34058, 2982, '130705', '顾家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.148,40.5929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34059, 2982, '130705', '侯家庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.148,40.6146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34060, 2982, '130705', '建国街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.127,40.6085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34061, 2982, '130705', '深井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.745,40.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34062, 2982, '130705', '李家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.366,40.7227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34063, 2982, '130705', '崞村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.958,40.5415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34064, 2982, '130705', '王家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.793,40.2644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34065, 2982, '130705', '贾家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.155,40.6474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34066, 2982, '130705', '庞家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.401,40.6827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34067, 2982, '130705', '河子西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.965,40.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34068, 2982, '130705', '皇城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.948,40.6645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34069, 2983, '130703', '明德南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.871,40.8313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34070, 2983, '130703', '沈家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.844,40.815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34071, 2983, '130703', '大境门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.874,40.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34072, 2983, '130703', '姚家房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.86,40.7322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34073, 2983, '130703', '堡子里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.875,40.8218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34074, 2983, '130703', '南营坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.864,40.8184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34075, 2983, '130703', '东窑子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.838,40.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34076, 2983, '130703', '工人新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.861,40.7997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34077, 2983, '130703', '新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.875,40.8208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34078, 2983, '130703', '沙岭子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.888,40.6902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34079, 2983, '130703', '明德北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,40.8361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34080, 2984, '130702', '胜利北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.898,40.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34081, 2984, '130702', '大仓盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.976,40.7811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34082, 2984, '130702', '红旗楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.901,40.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34083, 2984, '130702', '五一路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.887,40.8191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34084, 2984, '130702', '东望山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,40.8199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34085, 2984, '130702', '马路东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.902,40.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34086, 2984, '130702', '姚家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.925,40.7705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34087, 2984, '130702', '老鸦庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.888,40.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34088, 2984, '130702', '花园街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.881,40.8109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34089, 2984, '130702', '工业路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.882,40.8', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34090, 2984, '130702', '南站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.872,40.7568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34091, 2985, '130728', '西湾堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.368,40.5028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34092, 2985, '130728', '第三堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.576,40.4984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34093, 2985, '130728', '西沙城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.451,40.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34094, 2985, '130728', '柴沟堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.349,40.6031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34095, 2985, '130728', '左卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.636,40.6406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34096, 2985, '130728', '太平庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.577,40.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34097, 2985, '130728', '第六屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.677,40.6949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34098, 2985, '130728', '头百户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.528,40.563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34099, 2985, '130728', '怀安城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.401,40.4818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34100, 2985, '130728', '王虎屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.392,40.4836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34101, 2985, '130728', '渡口堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.32,40.6458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34102, 2986, '130726', '白乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.918,39.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34103, 2986, '130726', '北水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.807,40.1638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34104, 2986, '130726', '吉家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,39.9789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34105, 2986, '130726', '暖泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.537,39.83', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34106, 2986, '130726', '西合营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.829,40.012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34107, 2986, '130726', '柏树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.794,39.921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34108, 2986, '130726', '桃花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.963,40.0425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34109, 2986, '130726', '涌泉庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.497,39.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34110, 2986, '130726', '南杨庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.7,39.8858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34111, 2986, '130726', '蔚州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.579,39.8613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34112, 2986, '130726', '南岭庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.6,40.0276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34113, 2986, '130726', '陈家洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.685,40.1146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34114, 2986, '130726', '宋家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.518,39.7924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34115, 2986, '130726', '白草村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.378,40.0069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34116, 2986, '130726', '黄梅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.749,40.1125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34117, 2986, '130726', '草沟堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.95,39.6666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34118, 2986, '130726', '代王城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.657,39.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34119, 2986, '130726', '杨庄窠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.531,39.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34120, 2986, '130726', '南留庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.435,39.8922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34121, 2986, '130726', '常宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.916,40.0209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34122, 2986, '130726', '下宫村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.532,39.7281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34123, 2986, '130726', '阳眷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.227,39.906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34124, 2987, '130727', '马圈堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,40.1383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34125, 2987, '130727', '东坊城堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.263,40.2349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34126, 2987, '130727', '高墙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.698,40.3735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34127, 2987, '130727', '辛堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.602,40.1888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34128, 2987, '130727', '化稍营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.664,40.2659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34129, 2987, '130727', '三马坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.507,40.2853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34130, 2987, '130727', '井儿沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.263,40.2349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34131, 2987, '130727', '大田洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.708,40.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34132, 2987, '130727', '要家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.165,40.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34133, 2987, '130727', '东城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.545,40.2258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34134, 2987, '130727', '浮图讲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.44,40.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34135, 2987, '130727', '西城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.208,40.1728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34136, 2987, '130727', '揣骨疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.286,40.0654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34137, 2987, '130727', '东井集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.005,40.1084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34138, 2988, '130982', '辛中驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.126,38.6116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34139, 2988, '130982', '七间房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.054,38.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34140, 2988, '130982', '永丰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.093,38.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34141, 2988, '130982', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,38.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34142, 2988, '130982', '议论堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.152,38.7442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34143, 2988, '130982', '河北任丘雁翎工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.177,38.7992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34144, 2988, '130982', '出岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.034,38.6587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34145, 2988, '130982', '麻家坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.183,38.6749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34146, 2988, '130982', '吕公堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.244,38.7431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34147, 2988, '130982', '于村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.156,38.7966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34148, 2988, '130982', '西环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.078,38.7423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34149, 2988, '130982', '梁召镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.363,38.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34150, 2988, '130982', '鄚州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.048,38.8974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34151, 2988, '130982', '华北石油管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.094,38.6357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34152, 2988, '130982', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.109,38.7426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34153, 2988, '130982', '北汉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.127,38.6477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34154, 2988, '130982', '长丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,38.743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34155, 2988, '130982', '青塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.021,38.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34156, 2988, '130982', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,38.7333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34157, 2988, '130982', '苟各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.103,38.9101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34158, 2988, '130982', '石门桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.07,38.6256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34159, 2988, '130982', '北辛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.108,38.8193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34160, 2989, '130929', '乐寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.089,38.2679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34161, 2989, '130929', '垒头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,38.3153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34162, 2989, '130929', '商林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.043,38.3016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34163, 2989, '130929', '本斋回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.226,38.3409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34164, 2989, '130929', '陈庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.145,38.0778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34165, 2989, '130929', '陌南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.914,38.3042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34166, 2989, '130929', '河城街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.155,38.182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34167, 2989, '130929', '段村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.048,38.3287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34168, 2989, '130929', '郭庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.322,38.2575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34169, 2989, '130929', '淮镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.433,38.2783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34170, 2989, '130929', '徐留高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.468,38.2645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34171, 2989, '130929', '张村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.02,38.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34172, 2989, '130929', '十五级乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.218,38.2877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34173, 2989, '130929', '韩村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.347,38.366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34174, 2989, '130929', '临河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.861,38.2346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34175, 2989, '130929', '小平王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.064,38.1786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34176, 2989, '130929', '农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.177,38.2179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34177, 2989, '130929', '南河头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.053,38.1499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34178, 2989, '130929', '西城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.164,38.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34179, 2990, '130902', '道东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.915,38.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34180, 2990, '130902', '沧州开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.903,38.2736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34181, 2990, '130902', '车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,38.3114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34182, 2990, '130902', '东环街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.873,38.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34183, 2990, '130902', '建设北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.872,38.3334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34184, 2990, '130902', '南大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,38.2935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34185, 2990, '130902', '小赵庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.924,38.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34186, 2991, '130903', '小王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.841,38.3206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34187, 2991, '130903', '水月寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,38.3276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34188, 2991, '130903', '沧州高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.791,38.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34189, 2991, '130903', '南陈屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.826,38.3049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34190, 2991, '130903', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.853,38.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34191, 2991, '130903', '市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.858,38.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34192, 2991, '130903', '南环中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.858,38.294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34193, 2991, '130903', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.833,38.3245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34194, 2991, '130903', '西环中街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.821,38.3057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34195, 2992, '130924', '香坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.801,38.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34196, 2992, '130924', '青先农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.68,38.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34197, 2992, '130924', '小山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.526,38.1722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34198, 2992, '130924', '青锋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.69,38.253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34199, 2992, '130924', '辛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.632,38.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34200, 2992, '130924', '海兴县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.462,38.083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34201, 2992, '130924', '张会亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.556,38.0494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34202, 2992, '130924', '赵毛陶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.389,38.1981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34203, 2992, '130924', '高湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.406,38.0603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34204, 2992, '130924', '苏基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.553,38.1469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34205, 2993, '130927', '鲍官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.963,38.084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34206, 2993, '130927', '潞灌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.97,37.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34207, 2993, '130927', '寨子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.861,37.9118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34208, 2993, '130927', '刘八里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.563,38.0221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34209, 2993, '130927', '乌马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.772,37.9895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34210, 2993, '130927', '南皮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.715,38.0815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34211, 2993, '130927', '王寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.922,37.9452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34212, 2993, '130927', '冯家口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.702,38.1488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34213, 2993, '130927', '大浪淀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.844,38.1492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34214, 2994, '130923', '于桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.639,37.9591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34215, 2994, '130923', '灯明寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.781,37.9759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34216, 2994, '130923', '秦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.806,37.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34217, 2994, '130923', '大单镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.767,37.9322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34218, 2994, '130923', '东光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.568,37.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34219, 2994, '130923', '龙王李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.607,37.7835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34220, 2994, '130923', '连镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.472,37.8552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34221, 2994, '130923', '找王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,37.8581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34222, 2994, '130923', '南霞口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.663,37.9751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34223, 2995, '130928', '梁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.497,37.7878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34224, 2995, '130928', '曹家洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.481,37.6154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34225, 2995, '130928', '沟店铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.594,37.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34226, 2995, '130928', '杨家寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.522,37.562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34227, 2995, '130928', '宋门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.379,37.5601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34228, 2995, '130928', '桑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.434,37.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34229, 2995, '130928', '吴桥经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.428,37.6454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34230, 2995, '130928', '安陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,37.6746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34231, 2995, '130928', '铁城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.509,37.6643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34232, 2995, '130928', '于集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.512,37.685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34233, 2995, '130928', '何庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.689,37.7628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34234, 2996, '130983', '黄骅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.368,38.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34235, 2996, '130983', '吕桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.35,38.5615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34236, 2996, '130983', '齐家务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,38.641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34237, 2996, '130983', '骅西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.313,38.3536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34238, 2996, '130983', '骅东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.369,38.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34239, 2996, '130983', '常郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.259,38.3066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34240, 2996, '130983', '官庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.167,38.4892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34241, 2996, '130983', '骅中街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.354,38.3697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34242, 2996, '130983', '羊三木回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.302,38.4839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34243, 2996, '130983', '滕庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.237,38.4486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34244, 2996, '130983', '国营中捷农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.524,38.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34245, 2996, '130983', '南大港管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.347,38.4027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34246, 2996, '130983', '羊二庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,38.383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34247, 2996, '130983', '临港化工园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.559,38.3721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34248, 2996, '130983', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.455,38.222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34249, 2996, '130983', '新村回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.846,38.368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34250, 2996, '130983', '黄骅港开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.792,38.2562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34251, 2996, '130983', '南排河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.52,38.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34252, 2997, '130922', '清州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.807,38.6275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34253, 2997, '130922', '曹寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.744,38.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34254, 2997, '130922', '盘古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.737,38.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34255, 2997, '130922', '流河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.825,38.7435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34256, 2997, '130922', '马厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.917,38.6873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34257, 2997, '130922', '木门店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.688,38.4753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34258, 2997, '130922', '上伍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,38.5135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34259, 2997, '130922', '陈嘴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.836,38.4118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34260, 2997, '130922', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.767,38.4582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34261, 2997, '130922', '金牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.036,38.6398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34262, 2997, '130922', '青县农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.993,38.6922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34263, 2998, '130921', '纸房头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.732,38.3049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34264, 2998, '130921', '大官厅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.647,38.3331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34265, 2998, '130921', '杜林回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.735,38.3936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34266, 2998, '130921', '刘家庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.965,38.1601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34267, 2998, '130921', '杜生镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.607,38.3813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34268, 2998, '130921', '大褚村回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,38.2838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34269, 2998, '130921', '风化店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.98,38.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34270, 2998, '130921', '崔尔庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.512,38.3508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34271, 2998, '130921', '捷地回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,38.271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34272, 2998, '130921', '李天木回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.996,38.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34273, 2998, '130921', '张官屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.793,38.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34274, 2998, '130921', '姚官屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.904,38.4377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34275, 2998, '130921', '黄递铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.632,38.268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34276, 2998, '130921', '仵龙堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.028,38.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34277, 2998, '130921', '旧州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.083,38.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34278, 2998, '130921', '汪家铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.905,38.2464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34279, 2998, '130921', '兴济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.091,38.5228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34280, 2998, '130921', '高川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.63,38.2705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34281, 2998, '130921', '薛官屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.07,38.4509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34282, 2999, '130981', '营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.31,38.1984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34283, 2999, '130981', '王武庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.473,38.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34284, 2999, '130981', '古楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.557,38.0658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34285, 2999, '130981', '四营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.204,38.1055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34286, 2999, '130981', '寺门村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.422,38.1295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34287, 2999, '130981', '泊头市工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.617,38.054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34288, 2999, '130981', '泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.573,38.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34289, 2999, '130981', '西辛店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.101,38.0777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34290, 2999, '130981', '郝村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.226,38.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34291, 2999, '130981', '交河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.279,38.0625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34292, 2999, '130981', '文庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.738,38.1684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34293, 2999, '130981', '洼里王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.475,38.1363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34294, 2999, '130981', '齐桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.499,38.2148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34295, 2999, '130981', '富镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.16,38.1096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34296, 2999, '130981', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.562,38.0861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34297, 2999, '130981', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.578,38.0615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34298, 3000, '130984', '兴村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.034,38.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34299, 3000, '130984', '黎民居乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.547,38.4661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34300, 3000, '130984', '瀛州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.123,38.5221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34301, 3000, '130984', '景和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.448,38.416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34302, 3000, '130984', '行别营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.267,38.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34303, 3000, '130984', '沙河桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.375,38.4256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34304, 3000, '130984', '束城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.349,38.5153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34305, 3000, '130984', '尊祖庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.388,38.5045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34306, 3000, '130984', '西九吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.131,38.4158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34307, 3000, '130984', '故仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.565,38.4825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34308, 3000, '130984', '北石槽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.203,38.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34309, 3000, '130984', '果子洼回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.047,38.3575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34310, 3000, '130984', '米各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.342,38.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34311, 3000, '130984', '卧佛堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.283,38.5877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34312, 3000, '130984', '龙华店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.09,38.4071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34313, 3000, '130984', '时村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.137,38.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34314, 3000, '130984', '沙洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.218,38.3778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34315, 3000, '130984', '留古寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.181,38.5472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34316, 3000, '130984', '河间市新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.164,38.4487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34317, 3000, '130984', '河间经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.394,38.4976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34318, 3000, '130984', '诗经村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.115,38.5812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34319, 3001, '130926', '河北留善寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.978,38.3685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34320, 3001, '130926', '窝北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.881,38.4018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34321, 3001, '130926', '万里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.931,38.3612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34322, 3001, '130926', '师素乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,38.414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34323, 3001, '130926', '付家佐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.804,38.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34324, 3001, '130926', '尚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.826,38.4481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34325, 3001, '130926', '梁家村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.902,38.4467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34326, 3001, '130926', '邵庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.875,38.5101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34327, 3001, '130926', '肃宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.854,38.4472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34328, 3002, '130930', '牛进庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.121,38.1776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34329, 3002, '130930', '新县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.107,38.0236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34330, 3002, '130930', '孟村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.045,38.1233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34331, 3002, '130930', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.117,38.1352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34332, 3002, '130930', '高寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.306,38.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34333, 3002, '130930', '宋庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.033,38.0552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34334, 3003, '130925', '孟店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.193,38.0043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34335, 3003, '130925', '圣佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.09,37.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34336, 3003, '130925', '千童镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.179,37.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34337, 3003, '130925', '庆云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.328,37.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34338, 3003, '130925', '望树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.275,37.9512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34339, 3003, '130925', '边务乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.197,38.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34340, 3003, '130925', '韩集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.202,37.9395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34341, 3003, '130925', '盐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.16,38.0524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34342, 3003, '130925', '小营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.348,37.9521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34343, 3003, '130925', '常庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.282,37.89', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34344, 3003, '130925', '杨集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.469,37.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34345, 3003, '130925', '小庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.075,37.9334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34346, 3004, '130481', '徘徊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114,36.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34347, 3004, '130481', '西寺庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.115,36.782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34348, 3004, '130481', '午汲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.168,36.6891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34349, 3004, '130481', '矿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.081,36.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34350, 3004, '130481', '康二城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.321,36.6752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34351, 3004, '130481', '邑城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.347,36.8077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34352, 3004, '130481', '马家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.034,36.5959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34353, 3004, '130481', '活水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.893,37.0028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34354, 3004, '130481', '上团城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.078,36.7541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34355, 3004, '130481', '淑村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.284,36.6043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34356, 3004, '130481', '伯延镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.153,36.6264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34357, 3004, '130481', '贺进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.06,36.8052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34358, 3004, '130481', '阳邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.008,36.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34359, 3004, '130481', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.216,36.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34360, 3004, '130481', '北安庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.205,36.6633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34361, 3004, '130481', '北安乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.362,36.7866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34362, 3004, '130481', '冶陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.897,36.5834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34363, 3004, '130481', '西土山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.175,36.6988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34364, 3004, '130481', '石洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.058,36.6941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34365, 3004, '130481', '武安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.179,36.7036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34366, 3004, '130481', '磁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.132,36.5835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34367, 3004, '130481', '管陶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.758,36.862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34368, 3005, '130423', '西羊羔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.649,36.3328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34369, 3005, '130423', '狄邱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.555,36.3106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34370, 3005, '130423', '孙陶集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.491,36.2451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34371, 3005, '130423', '香菜营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,36.3415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34372, 3005, '130423', '张村集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.664,36.2878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34373, 3005, '130423', '章里集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.524,36.3531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34374, 3005, '130423', '称勾集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.702,36.2677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34375, 3005, '130423', '习文乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.357,36.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34376, 3005, '130423', '南东坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.496,36.3533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34377, 3005, '130423', '杜村集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.504,36.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34378, 3005, '130423', '柏鹤集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.678,36.3214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34379, 3005, '130423', '砖寨营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.667,36.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34380, 3005, '130423', '临漳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.547,36.3582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34381, 3005, '130423', '柳园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.561,36.1539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34382, 3006, '130434', '德政镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.971,36.3006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34383, 3006, '130434', '大辛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.051,36.2899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34384, 3006, '130434', '大马村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.066,36.1794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34385, 3006, '130434', '野胡拐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.949,36.3011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34386, 3006, '130434', '沙口集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.993,36.36', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34387, 3006, '130434', '魏城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.877,36.3736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34388, 3006, '130434', '仕望集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.904,36.3304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34389, 3006, '130434', '院堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.833,36.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34390, 3006, '130434', '车往镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.832,36.2504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34391, 3006, '130434', '回隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.77,36.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34392, 3006, '130434', '边马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.009,36.1231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34393, 3006, '130434', '棘针寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.938,36.4343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34394, 3006, '130434', '东代固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.979,36.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34395, 3006, '130434', '双井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.979,36.2737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34396, 3006, '130434', '北皋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.766,36.3009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34397, 3006, '130434', '前大磨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.86,36.3255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34398, 3006, '130434', '牙里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.959,36.1795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34399, 3006, '130434', '南双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.889,36.2662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34400, 3006, '130434', '北台头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.842,36.2322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34401, 3006, '130434', '泊口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.892,36.193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34402, 3006, '130434', '张二庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.003,36.1363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34403, 3007, '130406', '义井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.168,36.5328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34404, 3007, '130406', '大社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.178,36.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34405, 3007, '130406', '临水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,36.4306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34406, 3007, '130406', '界城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.134,36.4217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34407, 3007, '130406', '大峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.201,36.4045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34408, 3007, '130406', '峰峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.189,36.4706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34409, 3007, '130406', '彭城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.164,36.4481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34410, 3007, '130406', '和村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.143,36.5533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34411, 3007, '130406', '新坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.253,36.481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34412, 3008, '130407', '元固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.811,36.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34413, 3008, '130407', '肥乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.814,36.6001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34414, 3008, '130407', '天台山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,36.5671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34415, 3008, '130407', '东漳堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.996,36.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34416, 3008, '130407', '辛安镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.692,36.5666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34417, 3008, '130407', '旧店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.877,36.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34418, 3008, '130407', '大寺上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.649,36.5766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34419, 3008, '130407', '毛演堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.831,36.665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34420, 3008, '130407', '屯庄营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.893,36.6117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34421, 3009, '130426', '偏店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,36.6859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34422, 3009, '130426', '索堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.632,36.6117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34423, 3009, '130426', '神头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.574,36.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34424, 3009, '130426', '河南店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.65,36.5033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34425, 3009, '130426', '辽城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.544,36.7443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34426, 3009, '130426', '西戌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.845,36.7243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34427, 3009, '130426', '偏城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.72,36.7446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34428, 3009, '130426', '井店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.695,36.6075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34429, 3009, '130426', '平安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.648,36.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34430, 3009, '130426', '关防乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.823,36.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34431, 3009, '130426', '鹿头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.719,36.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34432, 3009, '130426', '固新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.752,36.557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34433, 3009, '130426', '合漳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.829,36.3335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34434, 3009, '130426', '更乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.726,36.5942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34435, 3009, '130426', '龙虎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.825,36.6599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34436, 3009, '130426', '西达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.827,36.4976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34437, 3009, '130426', '木井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.77,36.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34438, 3009, '130426', '涉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.659,36.6438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34439, 3010, '130431', '小寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.871,36.8485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34440, 3010, '130431', '浮图店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.815,36.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34441, 3010, '130431', '双塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.821,36.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34442, 3010, '130431', '鸡泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.847,36.9632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34443, 3010, '130431', '风正乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.818,36.8669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34444, 3010, '130431', '吴官营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,36.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34445, 3010, '130431', '曹庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.858,36.7785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34446, 3011, '130435', '白寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,36.7496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34447, 3011, '130435', '安寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.958,36.6408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34448, 3011, '130435', '河南疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.997,36.9573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34449, 3011, '130435', '南里岳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.039,36.7602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34450, 3011, '130435', '大河道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.854,36.6724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34451, 3011, '130435', '曲周镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.953,36.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34452, 3011, '130435', '侯村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.096,36.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34453, 3011, '130435', '槐桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.099,36.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34454, 3011, '130435', '第四疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.036,36.8857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34455, 3011, '130435', '依庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.146,36.6024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34456, 3012, '130427', '黄沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.117,36.3498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34457, 3012, '130427', '岳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.211,36.273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34458, 3012, '130427', '白土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.028,36.326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34459, 3012, '130427', '西固义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.213,36.3614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34460, 3012, '130427', '磁州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.309,36.3523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34461, 3012, '130427', '讲武城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.297,36.2738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34462, 3012, '130427', '陶泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.907,36.3922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34463, 3012, '130427', '北贾壁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.07,36.4421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34464, 3012, '130427', '都党乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.045,36.3495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34465, 3012, '130427', '时村营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.244,36.292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34466, 3012, '130427', '路村营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.278,36.4307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34467, 3012, '130427', '观台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.115,36.2736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34468, 3013, '130404', '胜利桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.465,36.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34469, 3013, '130404', '康庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.319,36.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34470, 3013, '130404', '庞村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.44,36.5937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34471, 3013, '130404', '彭家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,36.6103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34472, 3013, '130404', '南城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.314,36.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34473, 3013, '130404', '百家村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,36.6227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34474, 3013, '130404', '石化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.418,36.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34475, 3013, '130404', '化林路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.437,36.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34476, 3013, '130404', '林坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.277,36.5305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34477, 3013, '130404', '铁路大院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.469,36.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34478, 3013, '130404', '户村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.345,36.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34479, 3014, '130403', '中华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,36.6085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34480, 3014, '130403', '南沿村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.622,36.6869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34481, 3014, '130403', '兼庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.522,36.6286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34482, 3014, '130403', '联纺西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.48,36.6179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34483, 3014, '130403', '尚璧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.578,36.6931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34484, 3014, '130403', '小西堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.77,36.6985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34485, 3014, '130403', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.497,36.6091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34486, 3014, '130403', '柳林桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.5,36.6179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34487, 3014, '130403', '四季青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.482,36.6153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34488, 3014, '130403', '联纺东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.488,36.6367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34489, 3014, '130403', '三陵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,36.7135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34490, 3014, '130403', '姚寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.641,36.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34491, 3014, '130403', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.48,36.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34492, 3014, '130403', '苏曹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.49,36.6346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34493, 3014, '130403', '南吕固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.508,36.6951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34494, 3014, '130403', '丛台东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.498,36.618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34495, 3014, '130403', '黄粱梦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.525,36.6947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34496, 3014, '130403', '光明桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.506,36.6369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34497, 3014, '130403', '丛台西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,36.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34498, 3015, '130408', '界河店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,36.7463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34499, 3015, '130408', '正西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.675,36.9158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34500, 3015, '130408', '辛庄堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.711,36.8215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34501, 3015, '130408', '东杨庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.616,36.7733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34502, 3015, '130408', '刘汉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.552,36.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34503, 3015, '130408', '西苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.533,36.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34504, 3015, '130408', '讲武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.637,36.8322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34505, 3015, '130408', '小龙马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.611,36.7606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34506, 3015, '130408', '西河庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,36.7423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34507, 3015, '130408', '临洺关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.468,36.8239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34508, 3015, '130408', '永合会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.437,36.8061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34509, 3015, '130408', '曲陌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.709,36.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34510, 3015, '130408', '广府镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.704,36.7561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34511, 3015, '130408', '大北汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.683,36.8698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34512, 3015, '130408', '刘营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.519,36.7897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34513, 3015, '130408', '西阳城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.415,36.8435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34514, 3015, '130408', '张西堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.867,36.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34515, 3016, '130402', '贸西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.475,36.5974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34516, 3016, '130402', '台城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.449,36.5392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34517, 3016, '130402', '滏东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.509,36.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34518, 3016, '130402', '代召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.649,36.5748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34519, 3016, '130402', '辛庄营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.452,36.4783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34520, 3016, '130402', '光明路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.508,36.5969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34521, 3016, '130402', '花官营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,36.5114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34522, 3016, '130402', '陵园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.486,36.5974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34523, 3016, '130402', '罗城头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,36.5815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34524, 3016, '130402', '火磨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.476,36.5977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34525, 3016, '130402', '马庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.481,36.5841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34526, 3016, '130402', '贸东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.484,36.5954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34527, 3016, '130402', '高臾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.491,36.3879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34528, 3016, '130402', '河沙镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.57,36.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34529, 3016, '130402', '南堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.516,36.5951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34530, 3016, '130402', '马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.404,36.4888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34531, 3016, '130402', '浴新南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.468,36.5565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34532, 3016, '130402', '渚河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.492,36.5973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34533, 3016, '130402', '西光禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.39,36.471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34534, 3016, '130402', '北张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.414,36.5307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34535, 3016, '130402', '农林路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.484,36.5901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34536, 3017, '130424', '辛义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.625,36.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34537, 3017, '130424', '漳河店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.795,36.4242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34538, 3017, '130424', '北乡义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.832,36.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34539, 3017, '130424', '李家疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.717,36.3616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34540, 3017, '130424', '商城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.512,36.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34541, 3017, '130424', '道东堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.715,36.4313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34542, 3017, '130424', '成安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.677,36.4024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34543, 3017, '130424', '柏寺营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.757,36.4156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34544, 3017, '130424', '长巷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.561,36.4299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34545, 3018, '130433', '王桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.242,36.527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34546, 3018, '130433', '馆陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.317,36.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34547, 3018, '130433', '寿山寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.231,36.617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34548, 3018, '130433', '路桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.414,36.7453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34549, 3018, '130433', '柴堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.293,36.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34550, 3018, '130433', '魏僧寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.463,36.7297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34551, 3018, '130433', '南徐村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.389,36.6977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34552, 3018, '130433', '房寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.234,36.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34553, 3019, '130430', '古城营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.095,36.9375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34554, 3019, '130430', '南辛店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.251,36.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34555, 3019, '130430', '梁二庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.233,36.7357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34556, 3019, '130430', '香城固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.206,36.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34557, 3019, '130430', '邱城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.268,36.6928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34558, 3019, '130430', '陈村回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.122,36.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34559, 3019, '130430', '新马头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.189,36.8622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34560, 3020, '130425', '大名镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.18,36.3473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34561, 3020, '130425', '黄金堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.279,36.4406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34562, 3020, '130425', '西未庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.142,36.2912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34563, 3020, '130425', '西付集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.266,36.1546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34564, 3020, '130425', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.077,36.4053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34565, 3020, '130425', '张铁集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.395,36.3226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34566, 3020, '130425', '红庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.274,36.4135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34567, 3020, '130425', '王村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.978,36.4293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34568, 3020, '130425', '大街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.246,36.3051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34569, 3020, '130425', '孙甘店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.287,36.2408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34570, 3020, '130425', '金滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.307,36.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34571, 3020, '130425', '埝头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.342,36.1426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34572, 3020, '130425', '北峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.463,36.2725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34573, 3020, '130425', '铺上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.13,36.3828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34574, 3020, '130425', '旧治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.17,36.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34575, 3020, '130425', '万堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.246,36.4273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34576, 3020, '130425', '营镇回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.315,36.4561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34577, 3020, '130425', '龙王庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.274,36.2039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34578, 3020, '130425', '束馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.476,36.2352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34579, 3020, '130425', '沙圪塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.108,36.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34580, 3021, '130432', '十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.994,36.4974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34581, 3021, '130432', '广平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.968,36.4471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34582, 3021, '130432', '东张孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.143,36.5303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34583, 3021, '130432', '胜营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.926,36.4187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34584, 3021, '130432', '南阳堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.992,36.5409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34585, 3021, '130432', '平固店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.067,36.5975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34586, 3021, '130432', '南韩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.079,36.5445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34587, 3022, '130523', '南赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.308,37.386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34588, 3022, '130523', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.505,37.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34589, 3022, '130523', '獐獏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.25,37.3917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34590, 3022, '130523', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.391,37.3485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34591, 3022, '130523', '五郭店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.472,37.3486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34592, 3022, '130523', '内丘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.531,37.3167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34593, 3022, '130523', '侯家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.154,37.3931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34594, 3022, '130523', '金店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.602,37.3827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34595, 3022, '130523', '大孟村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.347,37.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34596, 3023, '130524', '固城店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.696,37.5735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34597, 3023, '130524', '龙华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.68,37.5199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34598, 3023, '130524', '内步乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.604,37.4927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34599, 3023, '130524', '柏乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.674,37.5111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34600, 3023, '130524', '王家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.624,37.4621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34601, 3023, '130524', '西汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.751,37.4589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34602, 3024, '130530', '白神首乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.145,37.5421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34603, 3024, '130530', '仁让里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.455,37.5018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34604, 3024, '130530', '新河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.26,37.5764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34605, 3024, '130530', '荆家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.145,37.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34606, 3024, '130530', '寻寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.154,37.479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34607, 3024, '130530', '西流乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.28,37.4083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34608, 3025, '130527', '三思乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.707,36.9876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34609, 3025, '130527', '阎里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.748,37.0121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34610, 3025, '130527', '和阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.731,37.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34611, 3025, '130527', '东三召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.811,37.0238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34612, 3025, '130527', '郝桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.851,37.0838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34613, 3025, '130527', '贾宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.632,37.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34614, 3025, '130527', '史召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.849,37.0732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34615, 3025, '130527', '河郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.604,37.0006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34616, 3026, '130581', '大高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.526,37.3089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34617, 3026, '130581', '垂杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.585,37.2555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34618, 3026, '130581', '南杜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.338,37.3105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34619, 3026, '130581', '大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.436,37.3419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34620, 3026, '130581', '明化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.587,37.3261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34621, 3026, '130581', '段芦头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.666,37.1938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34622, 3026, '130581', '紫冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.618,37.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34623, 3026, '130581', '西丁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.324,37.3565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34624, 3026, '130581', '薛吴村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.51,37.2196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34625, 3026, '130581', '大村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.283,37.4382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34626, 3026, '130581', '南便村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.249,37.3493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34627, 3026, '130581', '凤岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.413,37.3347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34628, 3026, '130581', '北胡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.334,37.4035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34629, 3026, '130581', '王道寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.435,37.2618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34630, 3026, '130581', '苏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.289,37.392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34631, 3027, '130532', '寻召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.968,37.125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34632, 3027, '130532', '节固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.919,37.1202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34633, 3027, '130532', '田付村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.984,37.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34634, 3027, '130532', '平乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.947,37.0081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34635, 3027, '130532', '丰州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.041,37.0973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34636, 3027, '130532', '油召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.912,37.001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34637, 3027, '130532', '河古庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.056,36.9967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34638, 3028, '130582', '刘石岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.124,36.9665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34639, 3028, '130582', '册井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.08,36.9008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34640, 3028, '130582', '褡裢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.526,36.8572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34641, 3028, '130582', '留村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.598,36.9878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34642, 3028, '130582', '蝉房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.001,36.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34643, 3028, '130582', '柴关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.135,36.9297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34644, 3028, '130582', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.32,36.853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34645, 3028, '130582', '沙河城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.474,36.9906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34646, 3028, '130582', '周庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.419,36.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34647, 3028, '130582', '赞善街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.417,36.8946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34648, 3028, '130582', '桥西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.48,36.833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34649, 3028, '130582', '桥东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.655,36.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34650, 3028, '130582', '白塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.233,36.9363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34651, 3028, '130582', '綦村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.253,36.9795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34652, 3028, '130582', '十里亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.329,36.9407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34653, 3029, '130531', '核桃园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.28,37.2726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34654, 3029, '130531', '冯家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.118,37.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34655, 3029, '130531', '件只乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.201,37.217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34656, 3029, '130531', '北塘疃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.248,36.9167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34657, 3029, '130531', '大平台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.201,37.1515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34658, 3029, '130531', '葫芦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.27,37.1154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34659, 3029, '130531', '广宗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.159,37.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34660, 3029, '130531', '东召乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.119,37.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34661, 3030, '130534', '连庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.793,37.0737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34662, 3030, '130534', '王官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.521,36.9796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34663, 3030, '130534', '油坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.814,37.0232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34664, 3030, '130534', '谢炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.686,37.0515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34665, 3030, '130534', '坝营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.581,36.9371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34666, 3030, '130534', '葛仙庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.751,37.0695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34667, 3031, '130522', '临城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.451,37.4759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34668, 3031, '130522', '鸭鸽营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.485,37.5661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34669, 3031, '130522', '东镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.578,37.4944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34670, 3031, '130522', '西竖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.342,37.5102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34671, 3031, '130522', '石城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.299,37.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34672, 3031, '130522', '郝庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.238,37.5087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34673, 3031, '130522', '黑城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.393,37.5081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34674, 3031, '130522', '赵庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.139,37.4978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34675, 3032, '130533', '张家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.244,37.1142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34676, 3032, '130533', '七级镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.345,37.2876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34677, 3032, '130533', '洺州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.204,36.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34678, 3032, '130533', '梨园屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.462,36.9415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34679, 3032, '130533', '方家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.35,36.9491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34680, 3032, '130533', '常庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.531,37.1304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34681, 3032, '130533', '赵村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.388,37.2565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34682, 3032, '130533', '第什营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.312,36.9551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34683, 3032, '130533', '贺钊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.382,37.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34684, 3032, '130533', '贺营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.316,37.1187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34685, 3032, '130533', '固献乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.38,36.9525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34686, 3032, '130533', '侯贯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.473,37.1619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34687, 3032, '130533', '常屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.392,37.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34688, 3032, '130533', '高公庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.3,37.2125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34689, 3032, '130533', '章台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.292,37.1581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34690, 3032, '130533', '枣园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,36.9856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34691, 3033, '130535', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.689,36.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34692, 3033, '130535', '摇鞍镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.31,36.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34693, 3033, '130535', '大刘庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.555,36.8922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34694, 3033, '130535', '吕寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.456,36.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34695, 3033, '130535', '临西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,36.8844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34696, 3033, '130535', '尖冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.537,36.7771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34697, 3033, '130535', '东枣园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.758,36.9292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34698, 3033, '130535', '老官寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.635,36.9273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34699, 3033, '130535', '下堡寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.368,36.8815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34700, 3034, '130528', '苏家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.097,37.7975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34701, 3034, '130528', '侯口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.192,37.6085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34702, 3034, '130528', '北河庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.87,37.589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34703, 3034, '130528', '四芝兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.238,37.7224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34704, 3034, '130528', '换马店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.892,37.7146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34705, 3034, '130528', '唐邱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.968,37.7246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34706, 3034, '130528', '东汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.99,37.5735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34707, 3034, '130528', '贾家口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.087,37.6369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34708, 3034, '130528', '大曹庄管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.971,37.5304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34709, 3034, '130528', '纪昌庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.22,37.6958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34710, 3034, '130528', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.95,37.5612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34711, 3034, '130528', '河渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.805,37.6385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34712, 3034, '130528', '北鱼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.9,37.4568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34713, 3034, '130528', '徐家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.922,37.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34714, 3034, '130528', '耿庄桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.073,37.5112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34715, 3034, '130528', '大曹庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.924,37.5478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34716, 3034, '130528', '大陆村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.04,37.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34717, 3035, '130525', '固城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.782,37.4286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34718, 3035, '130525', '莲子镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.971,37.3255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34719, 3035, '130525', '千户营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.994,37.4218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34720, 3035, '130525', '牛家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.817,37.3517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34721, 3035, '130525', '隆尧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.701,37.3205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34722, 3035, '130525', '魏家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.816,37.2788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34723, 3035, '130525', '东良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.633,37.3237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34724, 3035, '130525', '柳行农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.808,37.3862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34725, 3035, '130525', '北楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.696,37.2214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34726, 3035, '130525', '尹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.614,37.4149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34727, 3035, '130525', '山口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.761,37.4387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34728, 3035, '130525', '大张庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.907,37.455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34729, 3035, '130525', '双碑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.609,37.3545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34730, 3036, '130526', '天口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.832,37.2195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34731, 3036, '130526', '大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.643,37.2134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34732, 3036, '130526', '骆庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.817,37.0944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34733, 3036, '130526', '永福庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.692,37.193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34734, 3036, '130526', '任城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.668,37.151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34735, 3036, '130526', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.86,37.1277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34736, 3036, '130526', '邢家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.798,37.2854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34737, 3036, '130526', '西固城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.728,37.1416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34738, 3037, '130529', '堤村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.074,37.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34739, 3037, '130529', '巨鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.051,37.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34740, 3037, '130529', '张王疃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.167,37.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34741, 3037, '130529', '观寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.942,37.2984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34742, 3037, '130529', '王虎寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.927,37.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34743, 3037, '130529', '苏家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.104,37.3469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34744, 3037, '130529', '西郭城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.853,37.2552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34745, 3037, '130529', '小吕寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.944,37.2878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34746, 3037, '130529', '阎疃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.143,37.3242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34747, 3037, '130529', '官亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.087,37.3597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34748, 3038, '130503', '达活泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.472,37.1056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34749, 3038, '130503', '路罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.807,37.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34750, 3038, '130503', '西黄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.152,37.2016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34751, 3038, '130503', '羊范镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.423,37.0285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34752, 3038, '130503', '太子井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.209,37.061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34753, 3038, '130503', '龙泉寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.214,37.0688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34754, 3038, '130503', '宋家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.057,37.3252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34755, 3038, '130503', '冀家村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,37.3155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34756, 3038, '130503', '北小庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.123,37.3239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34757, 3038, '130503', '南石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.276,37.0856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34758, 3038, '130503', '李村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.42,37.0234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34759, 3038, '130503', '将军墓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.931,37.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34760, 3038, '130503', '钢铁路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.471,37.0542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34761, 3038, '130503', '中华大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,37.0703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34762, 3038, '130503', '浆水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.905,37.2319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34763, 3038, '130503', '城计头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.047,37.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34764, 3038, '130503', '泉西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.446,37.105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34765, 3038, '130503', '中兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.48,37.0656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34766, 3038, '130503', '张宽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.459,37.0193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34767, 3038, '130503', '南大郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.446,37.1087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34768, 3038, '130503', '皇寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.245,37.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34769, 3038, '130503', '团结路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.478,37.0654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34770, 3038, '130503', '会宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.394,37.1631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34771, 3038, '130503', '白岸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.806,37.1422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34772, 3039, '130502', '王快镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.575,36.9999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34773, 3039, '130502', '西门里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.504,37.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34774, 3039, '130502', '北大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.511,37.0379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34775, 3039, '130502', '东汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.557,37.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34776, 3039, '130502', '东郭村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.519,37.0487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34777, 3039, '130502', '晏家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.521,37.1347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34778, 3039, '130502', '大梁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.504,37.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34779, 3039, '130502', '祝村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.629,37.0642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34780, 3039, '130502', '市高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.526,37.0626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34781, 3039, '130502', '皇寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.516,37.1006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34782, 3039, '130502', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.499,37.0627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34783, 3039, '130502', '南长街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,37.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34784, 3039, '130502', '豫让桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.507,37.103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34785, 3040, '130123', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.572,38.2689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34786, 3040, '130123', '正定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.533,38.192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34787, 3040, '130123', '曲阳桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.479,38.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34788, 3040, '130123', '新城铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.673,38.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34789, 3040, '130123', '诸福屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.665,38.1855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34790, 3040, '130123', '南楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.521,38.3537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34791, 3040, '130123', '西平乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.656,38.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34792, 3040, '130123', '北早现乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.537,38.2113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34793, 3040, '130123', '三里屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.636,38.1718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34794, 3040, '130123', '南牛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.675,38.236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34795, 3041, '130109', '南营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.745,37.9329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34796, 3041, '130109', '贾市庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,37.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34797, 3041, '130109', '兴安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.921,38.0691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34798, 3041, '130109', '岗上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.686,38.0528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34799, 3041, '130109', '九门回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.667,38.122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34800, 3041, '130109', '增村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.769,38.268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34801, 3041, '130109', '梅花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.888,37.9774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34802, 3041, '130109', '石家庄经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.678,38.046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34803, 3041, '130109', '西关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.81,38.2939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34804, 3041, '130109', '常安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.95,38.0224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34805, 3041, '130109', '南董镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.82,38.1104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34806, 3041, '130109', '廉州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.826,38.058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34807, 3041, '130109', '南孟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.794,38.2009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34808, 3041, '130109', '张家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.717,38.2214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34809, 3041, '130109', '丘头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.67,37.9846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34810, 3042, '130131', '杨家桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.625,38.4458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34811, 3042, '130131', '下口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.621,38.348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34812, 3042, '130131', '上观音堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.888,38.5635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34813, 3042, '130131', '蛟潭庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.681,38.6183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34814, 3042, '130131', '合河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.745,38.7015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34815, 3042, '130131', '西柏坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.942,38.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34816, 3042, '130131', '东王坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.062,38.5005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34817, 3042, '130131', '上三汲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.236,38.3878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34818, 3042, '130131', '苏家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.946,38.4452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34819, 3042, '130131', '平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.144,38.2692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34820, 3042, '130131', '东回舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.142,38.2702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34821, 3042, '130131', '岗南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.079,38.3814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34822, 3042, '130131', '古月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.917,38.176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34823, 3042, '130131', '北冶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.697,38.2554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34824, 3042, '130131', '小觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.662,38.4392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34825, 3042, '130131', '宅北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.995,38.5304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34826, 3042, '130131', '两河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.208,38.3022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34827, 3042, '130131', '温塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.918,38.2854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34828, 3042, '130131', '南甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.165,38.4267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34829, 3042, '130131', '下槐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.769,38.4515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34830, 3042, '130131', '西大吾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.051,38.3226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34831, 3042, '130131', '孟家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.93,38.5661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34832, 3042, '130131', '营里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.57,38.4787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34833, 3043, '130126', '南寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.374,38.3743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34834, 3043, '130126', '牛城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.29,38.3366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34835, 3043, '130126', '南燕川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.148,38.5312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34836, 3043, '130126', '慈峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.242,38.5178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34837, 3043, '130126', '青同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.39,38.404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34838, 3043, '130126', '狗台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.264,38.3506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34839, 3043, '130126', '北谭庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.3,38.5561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34840, 3043, '130126', '北洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.432,38.3918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34841, 3043, '130126', '三圣院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.41,38.3065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34842, 3043, '130126', '南营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.89,38.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34843, 3043, '130126', '寨头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.02,38.5343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34844, 3043, '130126', '塔上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.201,38.4037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34845, 3043, '130126', '灵寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.416,38.2928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34846, 3043, '130126', '岔头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.148,38.6784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34847, 3043, '130126', '陈庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.085,38.5699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34848, 3044, '130130', '郝庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.864,38.1096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34849, 3044, '130130', '张段固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.967,38.1585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34850, 3044, '130130', '南流乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.076,38.2395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34851, 3044, '130130', '北苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.798,38.2209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34852, 3044, '130130', '高头回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.866,38.1593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34853, 3044, '130130', '郭庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.898,38.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34854, 3044, '130130', '无极镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.936,38.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34855, 3044, '130130', '大陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.068,38.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34856, 3044, '130130', '里城道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.985,38.1855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34857, 3044, '130130', '东侯坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.896,38.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34858, 3044, '130130', '七汲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.038,38.2341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34859, 3045, '130127', '万城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.538,37.6707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34860, 3045, '130127', '富村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.518,37.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34861, 3045, '130127', '高邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.626,37.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34862, 3045, '130127', '中韩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.591,37.6727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34863, 3045, '130127', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.699,37.6449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34864, 3046, '130132', '马村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.49,37.8892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34865, 3046, '130132', '姬村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.459,37.8678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34866, 3046, '130132', '东张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.538,37.7135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34867, 3046, '130132', '宋曹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.604,37.762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34868, 3046, '130132', '苏村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.338,37.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34869, 3046, '130132', '南佐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,37.8541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34870, 3046, '130132', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.505,37.7722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34871, 3046, '130132', '黑水河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.214,37.8476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34872, 3046, '130132', '苏阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.368,37.7665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34873, 3046, '130132', '前仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.268,37.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34874, 3046, '130132', '北褚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.384,37.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34875, 3046, '130132', '南因镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.572,37.8223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34876, 3046, '130132', '殷村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.446,37.8518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34877, 3046, '130132', '北正乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.21,37.8012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34878, 3046, '130132', '赵同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.453,37.786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34879, 3046, '130132', '槐阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.517,37.7762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34880, 3047, '130129', '南邢郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.434,37.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34881, 3047, '130129', '赞皇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.473,37.7094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34882, 3047, '130129', '张楞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.338,37.7501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34883, 3047, '130129', '黄北坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.187,37.6502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34884, 3047, '130129', '院头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.239,37.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34885, 3047, '130129', '许亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.245,37.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34886, 3047, '130129', '嶂石岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.153,37.5327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34887, 3047, '130129', '南清河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.374,37.6075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34888, 3047, '130129', '土门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.293,37.6043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34889, 3047, '130129', '西龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.337,37.6741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34890, 3047, '130129', '西阳泽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.4,37.5441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34891, 3048, '130104', '新石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.469,38.0048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34892, 3048, '130104', '长兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.401,38.0597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34893, 3048, '130104', '东华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,38.043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34894, 3048, '130104', '休门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,38.0428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34895, 3048, '130104', '东里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.471,38.0187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34896, 3048, '130104', '西里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.435,38.0346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34897, 3048, '130104', '彭后街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.499,38.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34898, 3048, '130104', '中山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.489,38.0434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34899, 3048, '130104', '留营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.401,38.0597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34900, 3048, '130104', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.458,38.0184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34901, 3048, '130104', '汇通街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,38.02', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34902, 3048, '130104', '南长街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.482,38.0354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34903, 3048, '130104', '友谊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.436,38.0475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34904, 3048, '130104', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.504,38.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34905, 3048, '130104', '维明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.461,38.0483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34906, 3048, '130104', '振头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.441,38.0222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34907, 3048, '130104', '苑东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.414,38.0454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34908, 3049, '130110', '黄壁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.342,38.2723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34909, 3049, '130110', '铜冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,37.909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34910, 3049, '130110', '寺家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.432,37.9497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34911, 3049, '130110', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.332,38.162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34912, 3049, '130110', '上庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.3,38.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34913, 3049, '130110', '河北鹿泉经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.369,38.0393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34914, 3049, '130110', '石井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.27,38.1567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34915, 3049, '130110', '山尹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.398,37.9318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34916, 3049, '130110', '获鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.324,38.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34917, 3049, '130110', '白鹿泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.264,38.0998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34918, 3049, '130110', '宜安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.236,38.2153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34919, 3049, '130110', '李村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.306,38.2014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34920, 3049, '130110', '上寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.314,37.958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34921, 3050, '130108', '方村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.549,37.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34922, 3050, '130108', '宋营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.603,38.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34923, 3050, '130108', '槐底街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.546,38.0289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34924, 3050, '130108', '建华南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.529,38.0015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34925, 3050, '130108', '东苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.528,38.0359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34926, 3050, '130108', '裕强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.56,38.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34927, 3050, '130108', '长江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.629,38.051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34928, 3050, '130108', '裕华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.512,38.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34929, 3050, '130108', '建通街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.492,38.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34930, 3050, '130108', '裕兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.547,38.0019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34931, 3050, '130108', '太行街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.641,38.032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34932, 3050, '130108', '裕东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.57,38.0353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34933, 3050, '130108', '裕翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.51,37.9927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34934, 3051, '130102', '长丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.522,38.079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34935, 3051, '130102', '建安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.512,38.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34936, 3051, '130102', '青园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.521,38.0508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34937, 3051, '130102', '南村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.642,38.0881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34938, 3051, '130102', '西兆通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.577,38.1158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34939, 3051, '130102', '谈固街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.587,38.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34940, 3051, '130102', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.544,38.0369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34941, 3051, '130102', '中山东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.512,38.0421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34942, 3051, '130102', '育才街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.528,38.0469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34943, 3051, '130102', '跃进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.545,38.0592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34944, 3051, '130102', '胜利北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,38.0908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34945, 3051, '130102', '阜康街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.494,38.0544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34946, 3051, '130102', '高营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.53,38.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34947, 3051, '130102', '桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.482,38.1029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34948, 3051, '130102', '建北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.522,38.0508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34949, 3051, '130102', '广安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.523,38.0429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34950, 3052, '130183', '总十庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.127,37.891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34951, 3052, '130183', '周家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.07,38.0192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34952, 3052, '130183', '东里庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.085,38.0061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34953, 3052, '130183', '营里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.118,37.8533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34954, 3052, '130183', '小樵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.143,38.1307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34955, 3052, '130183', '晋州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.974,37.9986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34956, 3052, '130183', '槐树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.075,38.1633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34957, 3052, '130183', '桃园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.029,37.9808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34958, 3052, '130183', '东卓宿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.17,38.0665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34959, 3052, '130183', '马于镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.101,37.9958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34960, 3053, '130121', '微水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.099,38.0265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34961, 3053, '130121', '吴家窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.216,37.9802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34962, 3053, '130121', '秀林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.082,38.0229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34963, 3053, '130121', '孙庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.111,38.137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34964, 3053, '130121', '南障城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.975,37.9209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34965, 3053, '130121', '小作镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.026,38.1523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34966, 3053, '130121', '南峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.896,38.0556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34967, 3053, '130121', '南陉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.03,38.2038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34968, 3053, '130121', '上安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.172,38.0314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34969, 3053, '130121', '北正乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.114,38.077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34970, 3053, '130121', '测鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.075,37.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34971, 3053, '130121', '威州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.202,38.1479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34972, 3053, '130121', '天长镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.028,38.0336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34973, 3053, '130121', '南王庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.13,37.9671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34974, 3053, '130121', '于家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.046,37.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34975, 3053, '130121', '辛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.961,38.166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34976, 3053, '130121', '苍岩山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.022,37.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34977, 3054, '130107', '四微街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.1,38.1347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34978, 3054, '130107', '矿市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.05,38.0712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34979, 3054, '130107', '横涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.008,38.0551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34980, 3054, '130107', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.993,38.0287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34981, 3054, '130107', '贾庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.095,38.1208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34982, 3055, '130181', '南智邱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.189,37.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34983, 3055, '130181', '和睦井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.276,37.886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34984, 3055, '130181', '王口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.282,37.7806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34985, 3055, '130181', '辛集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.147,37.9477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34986, 3055, '130181', '前营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.371,37.9802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34987, 3055, '130181', '辛集经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.242,37.983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34988, 3055, '130181', '田家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.151,37.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34989, 3055, '130181', '天宫营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.452,38.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34990, 3055, '130181', '新垒头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.205,37.962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34991, 3055, '130181', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.343,37.88', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34992, 3055, '130181', '张古庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.312,38.1034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34993, 3055, '130181', '小辛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.243,38.1312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34994, 3055, '130181', '马庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.25,37.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34995, 3055, '130181', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.337,37.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34996, 3055, '130181', '位伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.206,38.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34997, 3055, '130181', '中里厢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.346,38.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34998, 3056, '130184', '长寿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.703,38.3887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (34999, 3056, '130184', '马头铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.626,38.2999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35000, 3056, '130184', '承安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.841,38.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35001, 3056, '130184', '协神乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.569,38.3595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35002, 3056, '130184', '彭家庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.744,38.3734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35003, 3056, '130184', '东王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.871,38.3662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35004, 3056, '130184', '邯邰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.781,38.3395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35005, 3056, '130184', '正莫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.729,38.4846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35006, 3056, '130184', '杜固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.867,38.4129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35007, 3056, '130184', '木村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.671,38.3883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35008, 3056, '130184', '南大岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.761,38.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35009, 3056, '130184', '化皮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.575,38.3172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35010, 3057, '130105', '天苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.462,38.0792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35011, 3057, '130105', '杜北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.464,38.1399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35012, 3057, '130105', '东焦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.478,38.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35013, 3057, '130105', '赵陵铺路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.45,38.0954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35014, 3057, '130105', '联盟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.446,38.0772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35015, 3057, '130105', '石岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.487,38.07', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35016, 3057, '130105', '西苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.443,38.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35017, 3057, '130105', '西三庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.455,38.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35018, 3057, '130105', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.484,38.0509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35019, 3057, '130105', '合作路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.461,38.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35020, 3057, '130105', '革新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.464,38.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35021, 3057, '130105', '宁安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.477,38.0628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35022, 3057, '130105', '大郭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.445,38.0718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35023, 3057, '130105', '北苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.446,38.0735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35024, 3058, '130128', '白庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.214,38.2216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35025, 3058, '130128', '深泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.199,38.2012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35026, 3058, '130128', '留村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.144,38.2572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35027, 3058, '130128', '桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.148,38.1574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35028, 3058, '130128', '铁杆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.283,38.2041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35029, 3058, '130128', '赵八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.127,38.2208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35030, 3059, '130133', '谢庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.998,37.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35031, 3059, '130133', '前大章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.819,37.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35032, 3059, '130133', '北王里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.618,37.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35033, 3059, '130133', '王西章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.797,37.7096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35034, 3059, '130133', '高村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.73,37.7254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35035, 3059, '130133', '赵州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.758,37.7818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35036, 3059, '130133', '范庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.974,37.8081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35037, 3059, '130133', '韩村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.909,37.8416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35038, 3059, '130133', '沙河店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.731,37.6736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35039, 3059, '130133', '南柏舍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.857,37.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35040, 3059, '130133', '新寨店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.751,37.8259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35041, 3060, '130111', '冶河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.587,37.9558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35042, 3060, '130111', '楼底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.53,37.9693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35043, 3060, '130111', '郄马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.61,37.9825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35044, 3060, '130111', '栾城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.631,37.9039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35045, 3060, '130111', '柳林屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.789,37.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35046, 3060, '130111', '西营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.54,37.8369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35047, 3060, '130111', '窦妪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.531,37.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35048, 3060, '130111', '南高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.72,37.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35049, 3061, '130125', '翟营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.341,38.4763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35050, 3061, '130125', '南桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.57,38.5912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35051, 3061, '130125', '城寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.347,38.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35052, 3061, '130125', '龙州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.491,38.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35053, 3061, '130125', '市同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.47,38.4112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35054, 3061, '130125', '上碑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.453,38.5279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35055, 3061, '130125', '九口子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.175,38.6842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35056, 3061, '130125', '安香乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.555,38.4096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35057, 3061, '130125', '上方乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.423,38.5698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35058, 3061, '130125', '玉亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.554,38.5413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35059, 3061, '130125', '独羊岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.649,38.5077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35060, 3061, '130125', '上闫庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.257,38.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35061, 3061, '130125', '北河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.522,38.6537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35062, 3061, '130125', '只里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.626,38.4414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35063, 3061, '130125', '口头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.437,38.6926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35064, 3062, '131122', '肖桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.056,37.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35065, 3062, '131122', '清凉店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.825,37.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35066, 3062, '131122', '赵桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.989,37.9752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35067, 3062, '131122', '武邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.91,37.8415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35068, 3062, '131122', '韩庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.015,37.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35069, 3062, '131122', '圈头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.787,37.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35070, 3062, '131122', '大紫塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.924,37.7348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35071, 3062, '131122', '审坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.964,37.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35072, 3062, '131122', '龙店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.788,37.8801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35073, 3063, '131123', '豆村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.002,38.0278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35074, 3063, '131123', '武强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.968,38.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35075, 3063, '131123', '东孙庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.885,38.1216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35076, 3063, '131123', '周窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.89,38.0291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35077, 3063, '131123', '北代乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.938,38.1516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35078, 3063, '131123', '街关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.879,38.0302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35079, 3064, '131121', '恩察镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.73,37.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35080, 3064, '131121', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.604,37.3242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35081, 3064, '131121', '马屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.887,37.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35082, 3064, '131121', '枣强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.835,37.5263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35083, 3064, '131121', '嘉会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.765,37.3749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35084, 3064, '131121', '新屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.747,37.381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35085, 3064, '131121', '肖张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.726,37.5642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35086, 3064, '131121', '王均乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.835,37.4244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35087, 3064, '131121', '王常乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.904,37.6212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35088, 3064, '131121', '唐林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.884,37.5029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35089, 3064, '131121', '张秀屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.611,37.4843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35090, 3065, '131102', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,37.7151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35091, 3065, '131102', '郑家河沿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.603,37.748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35092, 3065, '131102', '邓庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.834,37.722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35093, 3065, '131102', '衡水高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.622,37.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35094, 3065, '131102', '中华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.682,37.719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35095, 3065, '131102', '河东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.73,37.7472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35096, 3065, '131102', '彭杜村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.66,37.6125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35097, 3065, '131102', '大麻森乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.614,37.7964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35098, 3065, '131102', '赵家圈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.614,37.747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35099, 3065, '131102', '路北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.658,37.7693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35100, 3065, '131102', '何家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.672,37.7361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35101, 3065, '131102', '衡水湖自然保护区管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.626,37.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35102, 3066, '131182', '深州市双井经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.449,38.0981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35103, 3066, '131182', '兵曹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.533,38.0864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35104, 3066, '131182', '魏家桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.469,37.9482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35105, 3066, '131182', '东安庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.51,37.9914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35106, 3066, '131182', '太古庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.521,37.8481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35107, 3066, '131182', '北溪村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.703,38.1074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35108, 3066, '131182', '王家井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.384,37.9077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35109, 3066, '131182', '唐奉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.481,38.181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35110, 3066, '131182', '河北省深州监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.523,37.833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35111, 3066, '131182', '深州市城市新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.579,37.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35112, 3066, '131182', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.358,37.8168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35113, 3066, '131182', '前磨头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.46,37.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35114, 3066, '131182', '护驾迟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.796,37.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35115, 3066, '131182', '大堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.566,37.9431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35116, 3066, '131182', '穆村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.459,38.0425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35117, 3066, '131182', '大冯营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.784,38.0082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35118, 3066, '131182', '辰时镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.588,38.0759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35119, 3066, '131182', '榆科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.689,37.9941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35120, 3066, '131182', '深州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.522,37.9999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35121, 3066, '131182', '乔屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.702,37.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35122, 3067, '131128', '建桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.316,37.9823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35123, 3067, '131128', '王集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.437,38.0119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35124, 3067, '131128', '崔家庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.379,37.9439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35125, 3067, '131128', '漫河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.17,37.7745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35126, 3067, '131128', '蒋坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.235,37.954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35127, 3067, '131128', '大白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.406,38.0102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35128, 3067, '131128', '霞口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.488,38.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35129, 3067, '131128', '阜城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.091,37.9109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35130, 3067, '131128', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.214,37.8752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35131, 3067, '131128', '码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.551,37.9464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35132, 3068, '131125', '大何庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.421,38.2905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35133, 3068, '131125', '南王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.454,38.1746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35134, 3068, '131125', '程油子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.656,38.2842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35135, 3068, '131125', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.548,38.28', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35136, 3068, '131125', '东黄城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.466,38.2485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35137, 3068, '131125', '大子文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.376,38.23', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35138, 3068, '131125', '马店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.563,38.3159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35139, 3068, '131125', '西两洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,38.2251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35140, 3069, '131124', '饶阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.674,38.2821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35141, 3069, '131124', '东里满乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.703,38.1076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35142, 3069, '131124', '留楚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.752,38.1643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35143, 3069, '131124', '大尹村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.848,38.3356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35144, 3069, '131124', '五公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.675,38.1717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35145, 3069, '131124', '大官亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.698,38.3499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35146, 3069, '131124', '王同岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.744,38.1934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35147, 3070, '131103', '西王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.258,37.6403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35148, 3070, '131103', '南午村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.544,37.4426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35149, 3070, '131103', '魏家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,37.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35150, 3070, '131103', '周村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.419,37.496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35151, 3070, '131103', '小寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.409,37.5951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35152, 3070, '131103', '冀州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.575,37.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35153, 3070, '131103', '徐家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.436,37.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35154, 3070, '131103', '北漳淮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.353,37.4592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35155, 3070, '131103', '门家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.32,37.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35156, 3070, '131103', '码头李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.336,37.6321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35157, 3070, '131103', '官道李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.429,37.7261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35158, 3071, '131127', '广川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.916,37.5638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35159, 3071, '131127', '留智庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.281,37.5105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35160, 3071, '131127', '北留智镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.336,37.6429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35161, 3071, '131127', '景州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.32,37.6687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35162, 3071, '131127', '连镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.38,37.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35163, 3071, '131127', '刘集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.416,37.7269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35164, 3071, '131127', '杜桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.154,37.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35165, 3071, '131127', '安陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.372,37.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35166, 3071, '131127', '温城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.112,37.7758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35167, 3071, '131127', '龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.024,37.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35168, 3071, '131127', '青兰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.141,37.5813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35169, 3071, '131127', '王瞳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.224,37.6098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35170, 3071, '131127', '洚河流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.177,37.7754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35171, 3071, '131127', '梁集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.289,37.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35172, 3071, '131127', '后留名府乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.014,37.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35173, 3071, '131127', '王谦寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.08,37.6772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35174, 3072, '131126', '房庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.023,37.5255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35175, 3072, '131126', '故城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.186,37.3693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35176, 3072, '131126', '军屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.806,37.1855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35177, 3072, '131126', '建国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.869,37.1806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35178, 3072, '131126', '辛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.066,37.49', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35179, 3072, '131126', '武官寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.832,37.2446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35180, 3072, '131126', '里老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.132,37.4616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35181, 3072, '131126', '西半屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.824,37.246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35182, 3072, '131126', '饶阳店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.804,37.3496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35183, 3072, '131126', '郑口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.984,37.3388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35184, 3072, '131126', '青罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.06,37.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35185, 3072, '131126', '三朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.899,37.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35186, 3072, '131126', '夏庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.244,37.4211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35187, 3073, '130630', '水堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.427,39.2723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35188, 3073, '130630', '走马驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.466,39.1897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35189, 3073, '130630', '银坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.902,39.1853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35190, 3073, '130630', '上庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.711,39.5674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35191, 3073, '130630', '塔崖驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.055,39.4768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35192, 3073, '130630', '王安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.985,39.3327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35193, 3073, '130630', '金家井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,39.4719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35194, 3073, '130630', '杨家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.816,39.3947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35195, 3073, '130630', '涞源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.838,39.3469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35196, 3073, '130630', '北石佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.469,39.401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35197, 3073, '130630', '东团堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.018,39.607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35198, 3073, '130630', '烟煤洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.856,39.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35199, 3073, '130630', '南屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.739,39.2657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35200, 3073, '130630', '乌龙沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.028,39.5322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35201, 3073, '130630', '白石山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.634,39.2351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35202, 3073, '130630', '留家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.568,39.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35203, 3073, '130630', '南马庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.356,39.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35204, 3074, '130632', '刘李庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.989,38.8252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35205, 3074, '130632', '安州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.816,38.9014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35206, 3074, '130632', '圈头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.006,38.8738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35207, 3074, '130632', '寨里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.809,38.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35208, 3074, '130632', '大王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.946,39.0253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35209, 3074, '130632', '安新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.885,38.9129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35210, 3074, '130632', '赵北口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.081,38.9086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35211, 3074, '130632', '同口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.839,38.8514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35212, 3074, '130632', '芦庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.741,38.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35213, 3074, '130632', '三台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.86,38.9205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35214, 3074, '130632', '老河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.759,38.8551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35215, 3074, '130632', '端村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.987,38.9067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35216, 3075, '130633', '桥家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.874,39.221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35217, 3075, '130633', '梁格庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.4,39.3626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35218, 3075, '130633', '尉都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.412,39.1969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35219, 3075, '130633', '流井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.467,39.5372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35220, 3075, '130633', '蔡家峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.017,39.5054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35221, 3075, '130633', '凌云册乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.524,39.2723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35222, 3075, '130633', '良岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.012,39.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35223, 3075, '130633', '七峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.99,39.1223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35224, 3075, '130633', '狼牙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.084,39.0607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35225, 3075, '130633', '独乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.244,39.1097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35226, 3075, '130633', '坡仓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.956,39.2266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35227, 3075, '130633', '富岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.128,39.3626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35228, 3075, '130633', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.392,39.2705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35229, 3075, '130633', '桥头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.543,39.392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35230, 3075, '130633', '白马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.389,39.5116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35231, 3075, '130633', '易州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,39.371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35232, 3075, '130633', '甘河净乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.865,39.1402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35233, 3075, '130633', '安格庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.161,39.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35234, 3075, '130633', '西山北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.27,39.1919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35235, 3075, '130633', '裴山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.36,39.2835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35236, 3075, '130633', '大龙华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.233,39.3304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35237, 3075, '130633', '紫荆关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.051,39.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35238, 3075, '130633', '塘湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.266,39.2297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35239, 3075, '130633', '牛岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.108,39.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35240, 3075, '130633', '西陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.31,39.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35241, 3075, '130633', '高陌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.6,39.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35242, 3075, '130633', '南城司乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.191,39.5701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35243, 3076, '130609', '漕河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.531,38.9881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35244, 3076, '130609', '留村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.641,38.962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35245, 3076, '130609', '正村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.508,39.0442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35246, 3076, '130609', '义联庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.397,39.0903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35247, 3076, '130609', '瀑河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.487,39.1645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35248, 3076, '130609', '大王店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.411,39.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35249, 3076, '130609', '大因镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.648,38.9676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35250, 3076, '130609', '安肃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.582,39.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35251, 3076, '130609', '高林村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.67,39.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35252, 3076, '130609', '东史端镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.69,39.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35253, 3076, '130609', '崔庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.674,38.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35254, 3076, '130609', '户木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.48,39.1557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35255, 3076, '130609', '东釜山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.431,39.1226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35256, 3076, '130609', '遂城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.556,39.0245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35257, 3077, '130636', '河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.026,38.9216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35258, 3077, '130636', '大悲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.999,38.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35259, 3077, '130636', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.089,38.8403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35260, 3077, '130636', '蒲上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.195,38.8885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35261, 3077, '130636', '安阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.023,39.0189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35262, 3077, '130636', '高于铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.173,38.8554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35263, 3077, '130636', '腰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.25,38.8968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35264, 3077, '130636', '神南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.857,39.0881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35265, 3077, '130636', '蒲阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.102,38.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35266, 3077, '130636', '台鱼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.116,39.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35267, 3078, '130628', '锦华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.764,38.7124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35268, 3078, '130628', '邢家南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,38.6898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35269, 3078, '130628', '庞家佐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.934,38.5467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35270, 3078, '130628', '西演镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.803,38.6738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35271, 3078, '130628', '蒲口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.764,38.7649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35272, 3078, '130628', '龙化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.872,38.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35273, 3078, '130628', '庞口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.945,38.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35274, 3078, '130628', '晋庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.683,38.7517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35275, 3078, '130628', '小王果庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.857,38.7206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35276, 3079, '130602', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.482,38.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35277, 3079, '130602', '新市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.436,38.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35278, 3079, '130602', '韩村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.447,38.8858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35279, 3079, '130602', '保定国家高新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.435,38.9226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35280, 3079, '130602', '韩村北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.487,38.8988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35281, 3079, '130602', '大马坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.434,38.9447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35282, 3079, '130602', '江城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.358,38.8994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35283, 3079, '130602', '建南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.444,38.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35284, 3079, '130602', '富昌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.444,38.8649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35285, 3079, '130602', '南奇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.372,38.9346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35286, 3079, '130602', '先锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.437,38.8733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35287, 3079, '130602', '贤台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.437,38.9449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35288, 3079, '130602', '颉庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.442,38.8842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35289, 3080, '130607', '南韩村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.327,38.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35290, 3080, '130607', '于家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.322,38.8364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35291, 3080, '130607', '坨南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.102,39.064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35292, 3080, '130607', '大册营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.374,39.0566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35293, 3080, '130607', '满城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.255,38.9686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35294, 3080, '130607', '要庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.396,38.9847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35295, 3080, '130607', '方顺桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.268,38.8151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35296, 3080, '130607', '惠阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.273,39.0424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35297, 3080, '130607', '石井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.172,39.0021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35298, 3080, '130607', '白龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.285,39.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35299, 3080, '130607', '刘家台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.969,39.1175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35300, 3080, '130607', '神星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.251,39.0607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35301, 3081, '130682', '明月店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.897,38.4856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35302, 3081, '130682', '庞村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.963,38.6216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35303, 3081, '130682', '东旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.192,38.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35304, 3081, '130682', '赵村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.919,38.502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35305, 3081, '130682', '开元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.884,38.5205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35306, 3081, '130682', '高蓬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.999,38.3322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35307, 3081, '130682', '北城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.012,38.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35308, 3081, '130682', '息冢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.92,38.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35309, 3081, '130682', '李亲顾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.099,38.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35310, 3081, '130682', '邢邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.978,38.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35311, 3081, '130682', '子位镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.149,38.257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35312, 3081, '130682', '杨家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.055,38.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35313, 3081, '130682', '南城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.052,38.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35314, 3081, '130682', '砖路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.923,38.6552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35315, 3081, '130682', '叮咛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.986,38.4361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35316, 3081, '130682', '清风店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.044,38.5451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35317, 3081, '130682', '东留春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.214,38.4087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35318, 3081, '130682', '东亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.169,38.5174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35319, 3081, '130682', '西城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.113,38.3642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35320, 3081, '130682', '周村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.972,38.4675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35321, 3081, '130682', '大鹿庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.056,38.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35322, 3081, '130682', '号头庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.079,38.4055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35323, 3081, '130682', '西城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.011,38.5763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35324, 3081, '130682', '留早镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.095,38.5991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35325, 3081, '130682', '大辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.195,38.5163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35326, 3082, '130683', '祁州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.286,38.3671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35327, 3082, '130683', '北段村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.284,38.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35328, 3082, '130683', '郑章镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.236,38.4042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35329, 3082, '130683', '大五女镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.219,38.4011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35330, 3082, '130683', '西佛落镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.305,38.5207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35331, 3082, '130683', '西城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.43,38.3588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35332, 3082, '130683', '石佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.382,38.4043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35333, 3082, '130683', '药都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.396,38.4428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35334, 3082, '130683', '伍仁桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.369,38.2834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35335, 3082, '130683', '南娄底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.238,38.3035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35336, 3082, '130683', '明官店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.292,38.3499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35337, 3083, '130606', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.502,38.8592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35338, 3083, '130606', '五四路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.494,38.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35339, 3083, '130606', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.517,38.8778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35340, 3083, '130606', '东金庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.526,38.8568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35341, 3083, '130606', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.499,38.8361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35342, 3083, '130606', '联盟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,38.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35343, 3083, '130606', '南大园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.486,38.8506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35344, 3083, '130606', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.581,38.8771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35345, 3083, '130606', '韩庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,38.9071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35346, 3083, '130606', '和平里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,38.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35347, 3083, '130606', '焦庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.545,38.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35348, 3083, '130606', '五尧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.388,38.8141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35349, 3083, '130606', '杨庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.518,38.8546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35350, 3083, '130606', '裕华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.495,38.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35351, 3083, '130606', '永华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.5,38.8589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35352, 3083, '130606', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.485,38.8691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35353, 3083, '130606', '百楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.572,38.8758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35354, 3084, '130623', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.744,39.4679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35355, 3084, '130623', '东文山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.62,39.4257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35356, 3084, '130623', '赵各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.285,39.7476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35357, 3084, '130623', '明义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.621,39.3662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35358, 3084, '130623', '娄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.502,39.5793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35359, 3084, '130623', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.129,39.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35360, 3084, '130623', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.518,39.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35361, 3084, '130623', '涞水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.715,39.3928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35362, 3084, '130623', '义安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.801,39.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35363, 3084, '130623', '胡家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,39.315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35364, 3084, '130623', '其中口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.017,39.578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35365, 3084, '130623', '石亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.76,39.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35366, 3084, '130623', '永阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.617,39.3719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35367, 3084, '130623', '宋各庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.687,39.6018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35368, 3084, '130623', '城区社区管理办公室街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.702,39.4034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35369, 3084, '130623', '三坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.499,39.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35370, 3085, '130681', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.058,39.5006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35371, 3085, '130681', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.947,39.4657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35372, 3085, '130681', '高官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.995,39.3863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35373, 3085, '130681', '清凉寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.026,39.4937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35374, 3085, '130681', '林家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.964,39.4479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35375, 3085, '130681', '东仙坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.991,39.5938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35376, 3085, '130681', '义和庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.214,39.5779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35377, 3085, '130681', '孙庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.749,39.4714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35378, 3085, '130681', '双塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.014,39.5291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35379, 3085, '130681', '松林店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.819,39.4198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35380, 3085, '130681', '东城坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.856,39.5069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35381, 3085, '130681', '百尺竿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.968,39.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35382, 3085, '130681', '刁窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.122,39.5154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35383, 3085, '130681', '码头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.099,39.5752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35384, 3085, '130681', '豆庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.011,39.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35385, 3086, '130637', '北杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.436,38.5211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35386, 3086, '130637', '博野镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.444,38.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35387, 3086, '130637', '东墟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,38.4629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35388, 3086, '130637', '程委镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.65,38.3408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35389, 3086, '130637', '城东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.418,38.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35390, 3086, '130637', '小店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.421,38.5228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35391, 3086, '130637', '南小王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.496,38.3627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35392, 3087, '130635', '林堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.574,38.5755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35393, 3087, '130635', '北埝头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.669,38.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35394, 3087, '130635', '小陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.522,38.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35395, 3087, '130635', '辛兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.655,38.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35396, 3087, '130635', '南庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.616,38.454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35397, 3087, '130635', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.621,38.66', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35398, 3087, '130635', '鲍墟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.801,38.5353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35399, 3087, '130635', '大百尺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.718,38.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35400, 3087, '130635', '留史镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.8,38.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35401, 3087, '130635', '大曲堤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.811,38.6277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35402, 3087, '130635', '北郭丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.669,38.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35403, 3087, '130635', '桑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.597,38.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35404, 3087, '130635', '蠡吾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.618,38.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35405, 3088, '130624', '龙泉关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.768,38.9596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35406, 3088, '130624', '大台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.438,39.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35407, 3088, '130624', '城南庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.973,38.6915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35408, 3088, '130624', '台峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.531,38.952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35409, 3088, '130624', '天生桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.994,38.9285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35410, 3088, '130624', '平阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.385,38.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35411, 3088, '130624', '砂窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.063,39.0233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35412, 3088, '130624', '阜平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.173,38.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35413, 3088, '130624', '王林口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.272,38.8903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35414, 3088, '130624', '夏庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.961,38.8325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35415, 3088, '130624', '史家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.288,39.0748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35416, 3088, '130624', '吴王口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.093,39.0853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35417, 3088, '130624', '北果元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.393,38.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35418, 3089, '130608', '李庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.293,38.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35419, 3089, '130608', '温仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.429,38.6275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35420, 3089, '130608', '白团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.37,38.7653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35421, 3089, '130608', '阎庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.599,38.9193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35422, 3089, '130608', '魏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.311,38.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35423, 3089, '130608', '阳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.245,38.7028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35424, 3089, '130608', '望亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.728,38.8827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35425, 3089, '130608', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.647,38.6812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35426, 3089, '130608', '何桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.684,38.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35427, 3089, '130608', '石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.569,38.7992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35428, 3089, '130608', '臧村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.692,38.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35429, 3089, '130608', '东吕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.555,38.7216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35430, 3089, '130608', '北店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.437,38.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35431, 3089, '130608', '清苑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.431,38.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35432, 3089, '130608', '张登镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.474,38.6724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35433, 3089, '130608', '冉庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.344,38.7134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35434, 3089, '130608', '北王力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.308,38.5958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35435, 3089, '130608', '孙村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.647,38.8451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35436, 3090, '130631', '固店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.134,38.6786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35437, 3090, '130631', '望都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.135,38.6761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35438, 3090, '130631', '赵庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.159,38.7475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35439, 3090, '130631', '高岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.226,38.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35440, 3090, '130631', '中韩庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.26,38.6532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35441, 3090, '130631', '寺庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.091,38.7972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35442, 3090, '130631', '黑堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.09,38.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35443, 3090, '130631', '贾村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.282,38.5835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35444, 3091, '130634', '文德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.741,38.5989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35445, 3091, '130634', '晓林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.625,38.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35446, 3091, '130634', '产德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.514,38.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35447, 3091, '130634', '北台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.529,38.7949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35448, 3091, '130634', '路庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.654,38.6427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35449, 3091, '130634', '下河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.729,38.6969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35450, 3091, '130634', '齐村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.414,38.7095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35451, 3091, '130634', '孝墓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.62,38.7293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35452, 3091, '130634', '恒州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.695,38.6026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35453, 3091, '130634', '范家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.65,38.9019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35454, 3091, '130634', '庄窠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.676,38.7328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35455, 3091, '130634', '燕赵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.861,38.561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35456, 3091, '130634', '灵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.725,38.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35457, 3091, '130634', '党城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.502,38.7587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35458, 3091, '130634', '羊平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.633,38.5167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35459, 3091, '130634', '邸村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.765,38.4966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35460, 3091, '130634', '东旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.783,38.6228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35461, 3091, '130634', '郎家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.592,38.8329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35462, 3092, '130627', '齐家佐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.838,39.0118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35463, 3092, '130627', '南店头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.892,38.7265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35464, 3092, '130627', '高昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.038,38.8416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35465, 3092, '130627', '白合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.898,38.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35466, 3092, '130627', '都亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.968,38.7349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35467, 3092, '130627', '迷城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.805,38.8834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35468, 3092, '130627', '川里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.686,39.1345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35469, 3092, '130627', '黄石口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.88,39.0706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35470, 3092, '130627', '罗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.732,38.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35471, 3092, '130627', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.503,39.0596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35472, 3092, '130627', '倒马关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.624,39.134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35473, 3092, '130627', '大洋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.835,38.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35474, 3092, '130627', '北店头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.91,38.8344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35475, 3092, '130627', '王京镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.983,38.6415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35476, 3092, '130627', '北罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.895,38.7022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35477, 3092, '130627', '仁厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.927,38.7791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35478, 3092, '130627', '羊角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.654,38.9723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35479, 3092, '130627', '长古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.009,38.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35480, 3092, '130627', '雹水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.816,38.7586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35481, 3092, '130627', '军城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.724,38.9809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35482, 3093, '130684', '泗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.094,39.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35483, 3093, '130684', '张六庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.095,39.2207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35484, 3093, '130684', '白沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.001,39.1565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35485, 3093, '130684', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.888,39.3602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35486, 3093, '130684', '兴华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.851,39.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35487, 3093, '130684', '方官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.017,39.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35488, 3093, '130684', '军城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,39.3836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35489, 3093, '130684', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.891,39.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35490, 3093, '130684', '肖官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.089,39.3522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35491, 3093, '130684', '东盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.9,39.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35492, 3093, '130684', '辛桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.109,39.3058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35493, 3093, '130684', '东马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.997,39.1735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35494, 3093, '130684', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.984,39.2769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35495, 3093, '130684', '辛立庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.111,39.3454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35496, 3093, '130684', '梁家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.937,39.2847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35497, 3094, '130629', '贾光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.891,39.1358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35498, 3094, '130629', '八于乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.927,39.0991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35499, 3094, '130629', '晾马台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.029,39.0989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35500, 3094, '130629', '小里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.767,39.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35501, 3094, '130629', '平王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.061,39.0379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35502, 3094, '130629', '南张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.763,39.0915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35503, 3094, '130629', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.931,39.0653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35504, 3094, '130629', '容城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.828,39.0786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35505, 3095, '130626', '天宫寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.903,39.305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35506, 3095, '130626', '北田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.786,39.2119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35507, 3095, '130626', '小朱庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.955,39.2292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35508, 3095, '130626', '李郁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.82,39.2167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35509, 3095, '130626', '高里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.641,39.2959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35510, 3095, '130626', '定兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.792,39.3285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35511, 3095, '130626', '东落堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.758,39.3217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35512, 3095, '130626', '北南蔡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.948,39.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35513, 3095, '130626', '固城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.597,39.1501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35514, 3095, '130626', '柳卓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.743,39.1733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35515, 3095, '130626', '肖村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.676,39.1472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35516, 3095, '130626', '贤寓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.581,39.239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35517, 3095, '130626', '姚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.516,39.1494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35518, 3095, '130626', '杨村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.784,39.1813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35519, 3095, '130626', '北河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.707,39.2004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35520, 3095, '130626', '张家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.566,39.2454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35521, 3096, '130638', '雄州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.154,39.0138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35522, 3096, '130638', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.15,39.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35523, 3096, '130638', '昝岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.179,39.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35524, 3096, '130638', '龙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.262,38.9796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35525, 3096, '130638', '双堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.268,39.1019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35526, 3096, '130638', '北沙口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.156,39.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35527, 3096, '130638', '朱各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.066,39.0345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35528, 3096, '130638', '米家务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.28,39.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35529, 3096, '130638', '张岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.249,39.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35530, 3097, '130828', '西龙头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.877,41.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35531, 3097, '130828', '兰旗卡伦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.966,41.8156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35532, 3097, '130828', '大头山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.084,41.9561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35533, 3097, '130828', '龙头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.76,42.0867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35534, 3097, '130828', '南山嘴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.024,41.9219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35535, 3097, '130828', '燕格柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.229,42.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35536, 3097, '130828', '围场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.666,41.9012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35537, 3097, '130828', '城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.251,42.0491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35538, 3097, '130828', '克勒沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.107,41.9216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35539, 3097, '130828', '腰站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.953,41.8726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35540, 3097, '130828', '朝阳湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.764,42.0956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35541, 3097, '130828', '姜家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.515,42.5995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35542, 3097, '130828', '朝阳地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.234,41.9597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35543, 3097, '130828', '下伙房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.487,41.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35544, 3097, '130828', '道坝子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.424,42.0723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35545, 3097, '130828', '张家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.016,42.3333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35546, 3097, '130828', '御道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.959,42.1478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35547, 3097, '130828', '宝元栈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.517,42.3328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35548, 3097, '130828', '银窝沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.966,41.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35549, 3097, '130828', '塞罕坝机械林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.065,42.0752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35550, 3097, '130828', '黄土坎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.72,41.8362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35551, 3097, '130828', '广发永乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.761,42.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35552, 3097, '130828', '四道沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.982,41.7394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35553, 3097, '130828', '四合永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.78,41.9084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35554, 3097, '130828', '山湾子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.727,42.5403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35555, 3097, '130828', '棋盘山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.656,42.1995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35556, 3097, '130828', '新拨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.907,42.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35557, 3097, '130828', '大唤起乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.38,42.1411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35558, 3097, '130828', '老窝铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.731,41.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35559, 3097, '130828', '郭家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,42.2364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35560, 3097, '130828', '育太和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.86,42.2066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35561, 3097, '130828', '哈里哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.508,42.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35562, 3097, '130828', '半截塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.38,41.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35563, 3097, '130828', '三义永乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.791,42.5672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35564, 3097, '130828', '石桌子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.131,41.854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35565, 3097, '130828', '牌楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.263,42.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35566, 3097, '130828', '杨家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.155,42.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35567, 3097, '130828', '国营御道口牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.929,42.3731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35568, 3097, '130828', '新地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.287,41.9338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35569, 3098, '130826', '土城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.473,41.368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35570, 3098, '130826', '南关蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.9,41.1794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35571, 3098, '130826', '黑山咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.803,41.1003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35572, 3098, '130826', '选将营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.746,41.5521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35573, 3098, '130826', '黄旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.494,41.5882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35574, 3098, '130826', '北头营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.046,41.4565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35575, 3098, '130826', '石人沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.101,41.2173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35576, 3098, '130826', '鱼儿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.124,41.805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35577, 3098, '130826', '胡麻营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.841,41.2472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35578, 3098, '130826', '四岔口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.436,41.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35579, 3098, '130826', '西官营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.95,41.4898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35580, 3098, '130826', '外沟门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.483,41.9759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35581, 3098, '130826', '波罗诺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,41.1248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35582, 3098, '130826', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.081,41.2945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35583, 3098, '130826', '万胜永乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.37,41.8775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35584, 3098, '130826', '小坝子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.411,41.3862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35585, 3098, '130826', '苏家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,41.712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35586, 3098, '130826', '窟窿山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.212,41.3241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35587, 3098, '130826', '王营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.908,41.2794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35588, 3098, '130826', '杨木栅子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.366,40.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35589, 3098, '130826', '大滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.082,41.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35590, 3098, '130826', '天桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.081,41.027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35591, 3098, '130826', '汤河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.519,40.9801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35592, 3098, '130826', '五道营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.21,41.3207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35593, 3098, '130826', '大阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.517,41.2841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35594, 3098, '130826', '草原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.213,41.8835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35595, 3099, '130825', '章吉营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118,41.4166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35596, 3099, '130825', '山湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.558,41.6016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35597, 3099, '130825', '中关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.911,41.1686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35598, 3099, '130825', '张三营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.689,41.5223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35599, 3099, '130825', '碱房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.141,41.6496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35600, 3099, '130825', '太平庄满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,41.3169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35601, 3099, '130825', '蓝旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.615,41.3727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35602, 3099, '130825', '茅荆坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.135,41.4916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35603, 3099, '130825', '旧屯满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.362,41.443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35604, 3099, '130825', '唐三营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.828,41.7129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35605, 3099, '130825', '白虎沟满族蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.461,41.6333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35606, 3099, '130825', '七家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.044,41.4779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35607, 3099, '130825', '步古沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.238,41.8083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35608, 3099, '130825', '荒地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.044,41.6248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35609, 3099, '130825', '隆化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.677,41.3817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35610, 3099, '130825', '韩麻营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.852,41.4', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35611, 3099, '130825', '西阿超满族蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.328,41.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35612, 3099, '130825', '韩家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.232,41.6044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35613, 3099, '130825', '尹家营满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.563,41.5771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35614, 3099, '130825', '庙子沟蒙古族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.464,41.5731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35615, 3099, '130825', '八达营蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.523,41.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35616, 3099, '130825', '汤头沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.733,41.5141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35617, 3099, '130825', '郭家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.815,41.574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35618, 3099, '130825', '湾沟门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.342,41.5405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35619, 3099, '130825', '偏坡营满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.875,41.592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35620, 3100, '130827', '龙须门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.668,40.7251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35621, 3100, '130827', '大字沟门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.783,40.5845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35622, 3100, '130827', '苇子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.875,40.6025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35623, 3100, '130827', '碾子峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.542,40.4823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35624, 3100, '130827', '塌山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.209,40.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35625, 3100, '130827', '汤道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.908,40.6195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35626, 3100, '130827', '峪耳崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.48,40.4668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35627, 3100, '130827', '孟子岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.322,40.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35628, 3100, '130827', '亮甲台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.875,40.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35629, 3100, '130827', '大石柱子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.145,40.6346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35630, 3100, '130827', '东大地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.55,40.4247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35631, 3100, '130827', '铧尖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.554,40.3617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35632, 3100, '130827', '饽罗台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.455,40.4881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35633, 3100, '130827', '板城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.652,40.6376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35634, 3100, '130827', '独石沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.199,40.5036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35635, 3100, '130827', '宽城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.433,40.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35636, 3100, '130827', '东黄花川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.73,40.4747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35637, 3100, '130827', '化皮溜子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.372,40.6265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35638, 3101, '130804', '汪家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.715,40.5207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35639, 3101, '130804', '鹰手营子矿区铁北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.663,40.5432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35640, 3101, '130804', '寿王坟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.877,40.6048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35641, 3101, '130804', '北马圈子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.626,40.5328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35642, 3101, '130804', '鹰手营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.645,40.5371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35643, 3102, '130881', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.624,41.1658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35644, 3102, '130881', '小寺沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.518,40.9411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35645, 3102, '130881', '平泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.666,41.0932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35646, 3102, '130881', '七家岱满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.48,41.1875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35647, 3102, '130881', '党坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.625,40.8435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35648, 3102, '130881', '道虎沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.752,40.9543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35649, 3102, '130881', '茅兰沟满族蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.817,41.2141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35650, 3102, '130881', '七沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.458,41.1043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35651, 3102, '130881', '青河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.901,40.9478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35652, 3102, '130881', '平北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.827,41.3452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35653, 3102, '130881', '柳溪满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.636,41.2061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35654, 3102, '130881', '北五十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.767,41.2797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35655, 3102, '130881', '桲椤树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.883,40.7811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35656, 3102, '130881', '南五十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.54,41.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35657, 3102, '130881', '黄土梁子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.603,41.2856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35658, 3102, '130881', '王土房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.444,41.1794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35659, 3102, '130881', '杨树岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.785,40.9909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35660, 3102, '130881', '台头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.94,41.0535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35661, 3102, '130881', '榆树林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '119.211,41.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35662, 3103, '130822', '大杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.174,40.655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35663, 3103, '130822', '蓝旗营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.957,40.3864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35664, 3103, '130822', '李家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.851,40.7121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35665, 3103, '130822', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.57,40.4699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35666, 3103, '130822', '三道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.049,40.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35667, 3103, '130822', '六道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.241,40.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35668, 3103, '130822', '大水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.753,40.5141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35669, 3103, '130822', '上石洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.225,40.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35670, 3103, '130822', '半壁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.818,40.423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35671, 3103, '130822', '南天门满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.704,40.4179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35672, 3103, '130822', '北营房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.721,40.5658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35673, 3103, '130822', '挂兰峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.604,40.3191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35674, 3103, '130822', '安子岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.955,40.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35675, 3103, '130822', '平安堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.622,40.494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35676, 3103, '130822', '青松岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.436,40.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35677, 3103, '130822', '蘑菇峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.246,40.611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35678, 3103, '130822', '八卦岭满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.76,40.2974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35679, 3103, '130822', '雾灵山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.506,40.6459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35680, 3103, '130822', '孤山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.933,40.3532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35681, 3103, '130822', '陡子峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.293,40.2952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35682, 3104, '130824', '巴克什营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.16,40.6965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35683, 3104, '130824', '付营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.627,40.8173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35684, 3104, '130824', '中兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.368,40.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35685, 3104, '130824', '安纯沟门满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.205,41.0073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35686, 3104, '130824', '涝洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.359,40.7182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35687, 3104, '130824', '红旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.581,41.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35688, 3104, '130824', '两间房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.381,40.8214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35689, 3104, '130824', '滦平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.343,40.9498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35690, 3104, '130824', '虎什哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.811,40.8459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35691, 3104, '130824', '火斗山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.307,40.8692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35692, 3104, '130824', '五道营子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.718,40.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35693, 3104, '130824', '长山峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.331,40.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35694, 3104, '130824', '西沟满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.397,41.1652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35695, 3104, '130824', '大屯满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.327,40.9934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35696, 3104, '130824', '马营子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.962,40.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35697, 3104, '130824', '平坊满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.226,40.9238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35698, 3104, '130824', '邓厂满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,40.8288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35699, 3104, '130824', '付家店满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.086,40.8269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35700, 3104, '130824', '小营满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.698,41.1285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35701, 3104, '130824', '金沟屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.442,41.0358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35702, 3104, '130824', '张百湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.611,41.0392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35703, 3105, '130803', '西地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.745,40.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35704, 3105, '130803', '偏桥子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.881,40.943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35705, 3105, '130803', '大庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.826,41.056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35706, 3105, '130803', '陈栅子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.857,40.8993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35707, 3105, '130803', '元宝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.851,40.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35708, 3105, '130803', '钢城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.729,40.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35709, 3105, '130803', '滦河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.745,40.9537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35710, 3105, '130803', '双塔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.795,40.965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35711, 3106, '130802', '桥东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.959,40.9578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35712, 3106, '130802', '头道牌楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.902,40.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35713, 3106, '130802', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.937,40.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35714, 3106, '130802', '冯营子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.867,40.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35715, 3106, '130802', '上板城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.05,40.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35716, 3106, '130802', '双峰寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.945,41.0328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35717, 3106, '130802', '牛圈子沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.917,40.9738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35718, 3106, '130802', '潘家沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.92,40.9806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35719, 3106, '130802', '水泉沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.856,41.0109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35720, 3106, '130802', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.929,40.9882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35721, 3106, '130802', '承德市高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.976,40.8417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35722, 3106, '130802', '狮子沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.967,40.9901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35723, 3106, '130802', '大石庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.896,40.9079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35724, 3106, '130802', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.929,40.9858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35725, 3106, '130802', '石洞子沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.934,40.9629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35726, 3107, '130821', '八家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.201,40.6555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35727, 3107, '130821', '三家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.338,41.3696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35728, 3107, '130821', '鞍匠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.698,40.8033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35729, 3107, '130821', '甲山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.364,40.8515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35730, 3107, '130821', '六沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.24,40.9983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35731, 3107, '130821', '岔沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.308,41.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35732, 3107, '130821', '五道河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.406,41.2211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35733, 3107, '130821', '下板城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.031,40.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35734, 3107, '130821', '石灰窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.247,40.9191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35735, 3107, '130821', '上谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.425,40.7973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35736, 3107, '130821', '刘杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.52,40.6024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35737, 3107, '130821', '大营子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.865,40.6908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35738, 3107, '130821', '孟家院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.125,40.8433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35739, 3107, '130821', '磴上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.24,41.4636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35740, 3107, '130821', '满杖子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.432,40.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35741, 3107, '130821', '两家满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.051,41.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35742, 3107, '130821', '头沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.132,41.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35743, 3107, '130821', '新杖子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.875,40.8368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35744, 3107, '130821', '仓子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.156,41.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35745, 3107, '130821', '三沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.195,41.0666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35746, 3107, '130821', '岗子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.987,41.2841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35747, 3107, '130821', '东小白旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.515,40.66', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35748, 3107, '130821', '高寺台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.968,41.166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35749, 3108, '620321', '六坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.144,38.2353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35750, 3108, '620321', '东寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.034,38.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35751, 3108, '620321', '焦家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.786,38.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35752, 3108, '620321', '河西堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.551,38.4946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35753, 3108, '620321', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.006,38.3532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35754, 3108, '620321', '新城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.511,38.2237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35755, 3108, '620321', '南坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.1,38.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35756, 3108, '620321', '红山窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.411,38.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35757, 3108, '620321', '朱王堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.477,38.3909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35758, 3108, '620321', '水源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.364,38.3782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35759, 3109, '620302', '新华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.161,38.5216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35760, 3109, '620302', '金川路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.183,38.5199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35761, 3109, '620302', '北京路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.18,38.4956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35762, 3109, '620302', '双湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.289,38.6345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35763, 3109, '620302', '滨河路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.182,38.4584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35764, 3109, '620302', '宁远堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.177,38.5085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35765, 3109, '620302', '广州路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.202,38.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35766, 3109, '620302', '桂林路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.202,38.5424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35767, 3110, '620421', '永新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.625,37.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35768, 3110, '620421', '刘川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.343,36.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35769, 3110, '620421', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.481,37.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35770, 3110, '620421', '高湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.878,36.4772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35771, 3110, '620421', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.387,37.1146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35772, 3110, '620421', '三滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.467,36.7458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35773, 3110, '620421', '靖安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.17,36.9062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35774, 3110, '620421', '糜滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.517,36.6355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35775, 3110, '620421', '大芦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.802,36.478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35776, 3110, '620421', '若笠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.623,36.4666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35777, 3110, '620421', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.36,37.1277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35778, 3110, '620421', '东湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.769,36.7283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35779, 3110, '620421', '乌兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.961,36.4998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35780, 3110, '620421', '北湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.421,36.5801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35781, 3110, '620421', '平堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.539,36.4351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35782, 3110, '620421', '东升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.919,36.9884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35783, 3110, '620421', '五合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.17,36.9062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35784, 3110, '620421', '北滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.69,37.1248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35785, 3111, '620403', '长征街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.859,36.7284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35786, 3111, '620403', '王家山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.697,36.9177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35787, 3111, '620403', '共和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.134,36.7414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35788, 3111, '620403', '宝积乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.782,36.8192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35789, 3111, '620403', '电力路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.763,36.7377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35790, 3111, '620403', '水泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.614,36.9785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35791, 3111, '620403', '种田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.151,36.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35792, 3111, '620403', '黄峤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.055,36.6315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35793, 3111, '620403', '兴平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.794,36.7213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35794, 3111, '620403', '红会路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.061,36.7155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35795, 3111, '620403', '复兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.299,36.3838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35796, 3112, '620402', '人民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.169,36.5371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35797, 3112, '620402', '四龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.265,36.488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35798, 3112, '620402', '四龙路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.205,36.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35799, 3112, '620402', '武川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.055,36.7567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35800, 3112, '620402', '强湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.18,36.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35801, 3112, '620402', '水川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.202,36.3844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35802, 3112, '620402', '工农路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.162,36.5625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35803, 3112, '620402', '公园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.233,36.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35804, 3112, '620402', '王岘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.16,36.5648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35805, 3112, '620402', '纺织路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.125,36.5424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35806, 3113, '620423', '一条山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.152,37.3408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35807, 3113, '620423', '漫水滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.877,37.4741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35808, 3113, '620423', '五佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.141,37.3561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35809, 3113, '620423', '喜泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.975,37.1659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35810, 3113, '620423', '上沙沃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.829,37.4021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35811, 3113, '620423', '正路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.646,37.112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35812, 3113, '620423', '中泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.131,37.0147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35813, 3113, '620423', '条山集团', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.985,37.1748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35814, 3113, '620423', '芦阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.04,37.1643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35815, 3113, '620423', '草窝滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.179,37.3112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35816, 3113, '620423', '红水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.971,37.5278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35817, 3113, '620423', '寺滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.757,37.3113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35818, 3114, '620422', '白草塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.054,36.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35819, 3114, '620422', '河畔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.892,36.1632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35820, 3114, '620422', '新庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.853,36.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35821, 3114, '620422', '头寨子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.801,36.1688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35822, 3114, '620422', '汉家岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.864,36.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35823, 3114, '620422', '四房吴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.031,36.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35824, 3114, '620422', '土高山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.239,36.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35825, 3114, '620422', '党家岘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.348,35.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35826, 3114, '620422', '会师镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.085,35.7353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35827, 3114, '620422', '柴家门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.05,35.8214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35828, 3114, '620422', '侯家川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.169,35.4932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35829, 3114, '620422', '翟家所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.217,35.7245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35830, 3114, '620422', '太平店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.29,35.7256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35831, 3114, '620422', '中川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.099,35.6095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35832, 3114, '620422', '刘家寨子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.279,36.286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35833, 3114, '620422', '大沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.21,36.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35834, 3114, '620422', '土门岘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.235,36.2116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35835, 3114, '620422', '丁家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.019,35.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35836, 3114, '620422', '韩家集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.09,35.931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35837, 3114, '620422', '郭城驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.089,36.3137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35838, 3114, '620422', '草滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.249,36.3104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35839, 3114, '620422', '甘沟驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.977,36.0023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35840, 3114, '620422', '杨崖集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.376,35.6797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35841, 3114, '620422', '新添堡回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.099,35.607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35842, 3114, '620422', '八里湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.233,35.8916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35843, 3114, '620422', '新塬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.332,36.1887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35844, 3114, '620422', '老君坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.284,35.7694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35845, 3114, '620422', '平头川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.267,35.8617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35846, 3115, '620921', '城市社区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8996,39.9894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35847, 3115, '620921', '大庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0065,40.2105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35848, 3115, '620921', '甘肃亚盛农工商集团有限责任公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6694,40.2049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35849, 3115, '620921', '中东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8377,40.2627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35850, 3115, '620921', '农林场站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4937,39.9763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35851, 3115, '620921', '东坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9072,40.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35852, 3115, '620921', '鼎新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9967,40.1933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35853, 3115, '620921', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0498,40.282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35854, 3115, '620921', '羊井子湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9767,40.0258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35855, 3115, '620921', '航天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4072,40.7661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35856, 3115, '620921', '三合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8865,40.1152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35857, 3115, '620921', '西坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7802,40.162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35858, 3115, '620921', '金塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0511,40.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35859, 3115, '620921', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7271,40.6565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35860, 3116, '620923', '盐池湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6737,41.5244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35861, 3116, '620923', '党城湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6859,39.4755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35862, 3116, '620923', '石包城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6209,39.7784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35863, 3116, '620923', '马鬃山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.9058,41.1027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35864, 3117, '620981', '六墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9137,40.5364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35865, 3117, '620981', '老市区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5192,39.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35866, 3117, '620981', '黄闸湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9179,40.6469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35867, 3117, '620981', '东镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9431,39.7841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35868, 3117, '620981', '国营黄花农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.1844,40.7437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35869, 3117, '620981', '国营饮马农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.936,40.4317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35870, 3117, '620981', '柳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5756,40.3342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35871, 3117, '620981', '昌马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.5571,39.787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35872, 3117, '620981', '下西号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.1624,40.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35873, 3117, '620981', '清泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5558,39.7275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35874, 3117, '620981', '花海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5858,40.265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35875, 3117, '620981', '甘肃农垦裕盛农业公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.989,40.3278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35876, 3117, '620981', '新市区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0376,40.3037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35877, 3117, '620981', '甘肃省农垦建筑工程公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0348,40.2608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35878, 3117, '620981', '赤金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.3959,39.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35879, 3117, '620981', '玉门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.0236,40.3123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35880, 3117, '620981', '小金湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7021,40.2345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35881, 3117, '620981', '柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.992,40.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35882, 3117, '620981', '独山子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7923,40.3095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35883, 3118, '620982', '七里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.5748,40.1863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35884, 3118, '620982', '月牙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6641,40.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35885, 3118, '620982', '青海石油管理局生活基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.5988,40.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35886, 3118, '620982', '黄渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6556,40.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35887, 3118, '620982', '肃州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6591,40.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35888, 3118, '620982', '转渠口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0038,40.4481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35889, 3118, '620982', '国营敦煌农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.8371,41.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35890, 3118, '620982', '莫高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.0839,39.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35891, 3118, '620982', '阳关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.4385,39.8635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35892, 3118, '620982', '郭家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.7798,40.2302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35893, 3118, '620982', '沙州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '94.6556,40.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35894, 3119, '620902', '东南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5108,39.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35895, 3119, '620902', '黄泥堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7677,39.7004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35896, 3119, '620902', '西洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3525,39.6243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35897, 3119, '620902', '铧尖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6001,39.7067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35898, 3119, '620902', '国营下河清农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9422,39.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35899, 3119, '620902', '玉门油田生活基地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5085,39.7233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35900, 3119, '620902', '西峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.448,39.7356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35901, 3119, '620902', '工业园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5345,39.686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35902, 3119, '620902', '金佛寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6568,39.5072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35903, 3119, '620902', '东洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4449,39.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35904, 3119, '620902', '总寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6177,39.7123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35905, 3119, '620902', '上坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6983,39.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35906, 3119, '620902', '东北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5179,39.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35907, 3119, '620902', '泉湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5498,39.771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35908, 3119, '620902', '西北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5004,39.7583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35909, 3119, '620902', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4883,39.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35910, 3119, '620902', '西南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5039,39.7242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35911, 3119, '620902', '三墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7367,39.8509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35912, 3119, '620902', '果园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5125,39.8119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35913, 3119, '620902', '下河清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9428,39.5559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35914, 3119, '620902', '银达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5628,39.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35915, 3119, '620902', '酒泉经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4428,39.6841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35916, 3119, '620902', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8611,39.3946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35917, 3119, '620902', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0834,39.2673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35918, 3120, '620922', '三道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6124,40.4305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35919, 3120, '620922', '七墩回族东乡族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.8711,40.5059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35920, 3120, '620922', '梁湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.8241,40.5407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35921, 3120, '620922', '双塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.5606,40.4981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35922, 3120, '620922', '广至藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.531,40.4374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35923, 3120, '620922', '瓜州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.4817,40.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35924, 3120, '620922', '河东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.9397,40.7086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35925, 3120, '620922', '沙河回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.5981,40.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35926, 3120, '620922', '西湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.6028,40.5381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35927, 3120, '620922', '国营小宛农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.635,40.4983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35928, 3120, '620922', '渊泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.7863,40.548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35929, 3120, '620922', '腰站子东乡族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.7267,40.4966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35930, 3120, '620922', '锁阳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.5363,39.8909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35931, 3120, '620922', '南岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.4364,40.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35932, 3120, '620922', '布隆吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '96.6668,40.5276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35933, 3120, '620922', '柳园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.4624,41.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35934, 3121, '620924', '红柳湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.9693,39.6738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35935, 3121, '620924', '阿克旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '93.3892,39.8609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35936, 3121, '620924', '阿勒腾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '95.1298,38.4086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35937, 3122, '621226', '三峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.025,33.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35938, 3122, '621226', '湫山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.988,34.3692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35939, 3122, '621226', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.014,34.0765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35940, 3122, '621226', '白河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.84,33.9109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35941, 3122, '621226', '红河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.353,34.3606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35942, 3122, '621226', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.149,34.2898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35943, 3122, '621226', '永坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.274,34.3574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35944, 3122, '621226', '崖城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.07,34.4428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35945, 3122, '621226', '龙林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.029,33.9772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35946, 3122, '621226', '王坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.92,33.7445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35947, 3122, '621226', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.876,33.834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35948, 3122, '621226', '中坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.929,34.0747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35949, 3122, '621226', '草坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.762,33.6699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35950, 3122, '621226', '宽川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.467,34.2116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35951, 3122, '621226', '肖良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.073,33.7729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35952, 3122, '621226', '白关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.865,33.9834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35953, 3122, '621226', '洮坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.04,34.2224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35954, 3122, '621226', '祁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.394,34.2801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35955, 3122, '621226', '滩坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.964,33.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35956, 3122, '621226', '上坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.792,34.2586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35957, 3122, '621226', '盐官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.463,34.2945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35958, 3122, '621226', '马河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.303,34.3641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35959, 3122, '621226', '固城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.211,34.3761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35960, 3122, '621226', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.066,34.2462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35961, 3122, '621226', '雷坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.048,33.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35962, 3122, '621226', '沙金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.715,34.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35963, 3122, '621226', '雷王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.118,34.0651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35964, 3122, '621226', '罗坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.036,34.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35965, 3122, '621226', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.276,34.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35966, 3123, '621223', '哈达铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.198,34.2559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35967, 3123, '621223', '甘江头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.549,33.9461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35968, 3123, '621223', '何家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.216,33.938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35969, 3123, '621223', '木耳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.36,34.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35970, 3123, '621223', '阿坞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.208,34.3339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35971, 3123, '621223', '临江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.516,34.0141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35972, 3123, '621223', '将台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.389,34.0968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35973, 3123, '621223', '狮子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.611,33.7692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35974, 3123, '621223', '官亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.487,33.8986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35975, 3123, '621223', '好梯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.704,34.0257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35976, 3123, '621223', '车拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.45,34.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35977, 3123, '621223', '新寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.685,33.7082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35978, 3123, '621223', '沙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.55,33.6652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35979, 3123, '621223', '南河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.168,34.1937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35980, 3123, '621223', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.434,34.0474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35981, 3123, '621223', '理川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.278,34.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35982, 3123, '621223', '八力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.31,34.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35983, 3123, '621223', '贾河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.374,34.2036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35984, 3123, '621223', '两河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.546,33.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35985, 3123, '621223', '竹院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.641,33.9007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35986, 3123, '621223', '庞家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.188,34.3638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35987, 3123, '621223', '南阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.587,34.0038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35988, 3123, '621223', '兴化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.624,34.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35989, 3123, '621223', '韩院乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.651,34.0869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35990, 3123, '621223', '新城子藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.448,34.0164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35991, 3124, '621202', '安化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.984,33.6203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35992, 3124, '621202', '蒲池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.728,33.5818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35993, 3124, '621202', '枫相乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.303,33.0376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35994, 3124, '621202', '东江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.948,33.3821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35995, 3124, '621202', '龙凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.002,33.4303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35996, 3124, '621202', '鱼龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.123,33.5453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35997, 3124, '621202', '琵琶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,33.2497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35998, 3124, '621202', '角弓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.578,33.5943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (35999, 3124, '621202', '两水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.777,33.4582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36000, 3124, '621202', '裕河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.517,33.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36001, 3124, '621202', '外纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.124,33.2644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36002, 3124, '621202', '佛崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.304,33.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36003, 3124, '621202', '汉王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.011,33.4018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36004, 3124, '621202', '坪垭藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.627,33.5516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36005, 3124, '621202', '池坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.72,33.6446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36006, 3124, '621202', '马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.838,33.6331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36007, 3124, '621202', '隆兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.184,33.6602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36008, 3124, '621202', '三仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.133,33.1121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36009, 3124, '621202', '桔柑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.042,33.2821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36010, 3124, '621202', '磨坝藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.022,33.2553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36011, 3124, '621202', '汉林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.885,33.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36012, 3124, '621202', '龙坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.224,33.6457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36013, 3124, '621202', '五库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.058,33.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36014, 3124, '621202', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.133,33.3022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36015, 3124, '621202', '甘泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.148,33.4685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36016, 3124, '621202', '马街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.868,33.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36017, 3124, '621202', '玉皇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.213,33.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36018, 3124, '621202', '郭河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.204,33.3927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36019, 3124, '621202', '月照乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.246,33.2253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36020, 3124, '621202', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.732,33.5524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36021, 3124, '621202', '柏林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.959,33.5544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36022, 3124, '621202', '洛塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.149,33.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36023, 3124, '621202', '黄坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.315,33.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36024, 3124, '621202', '城郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.99,33.2658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36025, 3124, '621202', '五马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.376,33.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36026, 3124, '621202', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.933,33.3749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36027, 3125, '621224', '太石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.394,33.6384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36028, 3125, '621224', '铜钱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.739,33.1334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36029, 3125, '621224', '大南峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.715,33.4848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36030, 3125, '621224', '店子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.487,33.2357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36031, 3125, '621224', '王坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.651,33.3827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36032, 3125, '621224', '岸门口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.545,33.2904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36033, 3125, '621224', '望关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.298,33.5263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36034, 3125, '621224', '云台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.636,33.5117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36035, 3125, '621224', '阳坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.538,33.0638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36036, 3125, '621224', '长坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.477,33.4725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36037, 3125, '621224', '平洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.344,33.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36038, 3125, '621224', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.579,33.4023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36039, 3125, '621224', '三河坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.498,33.1709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36040, 3125, '621224', '碾坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.437,33.2872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36041, 3125, '621224', '豆坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.457,33.2851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36042, 3125, '621224', '周家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.489,33.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36043, 3125, '621224', '寺台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.615,33.5556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36044, 3125, '621224', '白杨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.687,33.1958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36045, 3125, '621224', '迷坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.713,33.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36046, 3125, '621224', '大堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.504,33.4567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36047, 3125, '621224', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.856,33.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36048, 3126, '621228', '左家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.379,34.0849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36049, 3126, '621228', '泰山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.406,33.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36050, 3126, '621228', '显龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.266,33.8326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36051, 3126, '621228', '鱼池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.252,33.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36052, 3126, '621228', '张家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.444,34.1305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36053, 3126, '621228', '西坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.384,33.863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36054, 3126, '621228', '杨店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.34,33.9694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36055, 3126, '621228', '站儿巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.308,33.8272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36056, 3126, '621228', '兴化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.381,33.8796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36057, 3126, '621228', '金洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.25,33.9024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36058, 3126, '621228', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.271,33.9093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36059, 3126, '621228', '云屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.392,33.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36060, 3127, '621227', '榆树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.926,33.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36061, 3127, '621227', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.069,33.9787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36062, 3127, '621227', '江洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.9,34.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36063, 3127, '621227', '银杏树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.004,33.863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36064, 3127, '621227', '泥阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.822,33.8579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36065, 3127, '621227', '高桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.06,34.1479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36066, 3127, '621227', '虞关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.171,33.6707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36067, 3127, '621227', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.112,33.8819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36068, 3127, '621227', '大河店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.031,33.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36069, 3127, '621227', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.17,33.8577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36070, 3127, '621227', '嘉陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.177,33.7263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36071, 3127, '621227', '麻沿河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.594,34.1016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36072, 3127, '621227', '栗川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.942,33.7825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36073, 3127, '621227', '水阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.021,33.7122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36074, 3127, '621227', '伏家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.969,33.8829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36075, 3128, '621221', '苏元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.414,33.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36076, 3128, '621221', '纸坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.449,33.7392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36077, 3128, '621221', '沙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.518,33.6938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36078, 3128, '621221', '抛沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.62,33.7098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36079, 3128, '621221', '二郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.495,33.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36080, 3128, '621221', '黄渚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.614,33.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36081, 3128, '621221', '王磨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.577,33.9035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36082, 3128, '621221', '红川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.87,33.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36083, 3128, '621221', '黄陈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.599,33.6415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36084, 3128, '621221', '陈院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.6,33.8111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36085, 3128, '621221', '宋坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.838,33.7035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36086, 3128, '621221', '镡河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.74,33.6134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36087, 3128, '621221', '店村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.797,33.7722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36088, 3128, '621221', '索池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.519,33.655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36089, 3128, '621221', '鸡峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.638,33.6666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36090, 3128, '621221', '小川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.575,33.7173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36091, 3128, '621221', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.745,33.8069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36092, 3129, '621222', '黎坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.863,33.2834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36093, 3129, '621222', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.931,33.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36094, 3129, '621222', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.743,33.0095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36095, 3129, '621222', '中寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.456,33.3298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36096, 3129, '621222', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.871,33.1327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36097, 3129, '621222', '尖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.825,33.0351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36098, 3129, '621222', '堡子坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.602,33.2227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36099, 3129, '621222', '玉垒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.995,32.883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36100, 3129, '621222', '尚德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.747,32.9683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36101, 3129, '621222', '铁楼藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.292,32.855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36102, 3129, '621222', '舍书乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.893,33.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36103, 3129, '621222', '天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.665,33.2978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36104, 3129, '621222', '口头坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.998,32.9596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36105, 3129, '621222', '石鸡坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.447,33.1255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36106, 3129, '621222', '石坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.646,33.0275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36107, 3129, '621222', '范坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.91,32.7846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36108, 3129, '621222', '丹堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.389,32.8208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36109, 3129, '621222', '刘家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.759,32.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36110, 3129, '621222', '中庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.258,32.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36111, 3129, '621222', '碧口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.221,32.7591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36112, 3130, '621225', '长道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.361,34.1503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36113, 3130, '621225', '六巷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.475,33.9436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36114, 3130, '621225', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.247,33.7574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36115, 3130, '621225', '苏合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.263,34.107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36116, 3130, '621225', '西高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.371,33.765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36117, 3130, '621225', '汉源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.312,34.0257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36118, 3130, '621225', '马元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.444,34.0553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36119, 3130, '621225', '姜席镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.231,34.0247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36120, 3130, '621225', '洛峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.156,33.8663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36121, 3130, '621225', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.326,34.0518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36122, 3130, '621225', '石峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.316,33.7827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36123, 3130, '621225', '十里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.258,33.9822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36124, 3130, '621225', '何坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.23,33.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36125, 3130, '621225', '稍峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.341,34.0603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36126, 3130, '621225', '石堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.242,34.1391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36127, 3130, '621225', '西峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.285,34.0601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36128, 3130, '621225', '卢河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.347,34.0209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36129, 3130, '621225', '晒经乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.455,33.9735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36130, 3130, '621225', '蒿林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.151,33.8465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36131, 3130, '621225', '太石河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.19,33.7483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36132, 3131, '620822', '什字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.493,35.2074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36133, 3131, '620822', '朝那镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.157,35.1398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36134, 3131, '620822', '蒲窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.568,35.052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36135, 3131, '620822', '西屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.54,35.2057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36136, 3131, '620822', '万宝川农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.233,34.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36137, 3131, '620822', '百里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.485,35.026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36138, 3131, '620822', '梁原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.209,35.2205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36139, 3131, '620822', '上良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.288,35.1979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36140, 3131, '620822', '邵寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.729,35.0477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36141, 3131, '620822', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.021,35.1274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36142, 3131, '620822', '星火乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.356,35.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36143, 3131, '620822', '街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.627,35.0679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36144, 3131, '620822', '中台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.633,35.0392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36145, 3131, '620822', '独店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.593,35.0894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36146, 3131, '620822', '新开乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.658,35.0557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36147, 3132, '620802', '四十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.782,35.5298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36148, 3132, '620802', '中街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.683,35.5493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36149, 3132, '620802', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.717,35.5345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36150, 3132, '620802', '上杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.753,35.4923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36151, 3132, '620802', '香莲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.752,35.59', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36152, 3132, '620802', '寨河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.636,35.6618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36153, 3132, '620802', '峡门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.607,35.4354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36154, 3132, '620802', '白庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.692,35.5629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36155, 3132, '620802', '麻武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.561,35.4913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36156, 3132, '620802', '大寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.858,35.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36157, 3132, '620802', '甘肃平凉工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.74,35.5073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36158, 3132, '620802', '索罗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.064,35.4744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36159, 3132, '620802', '花所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.07,35.4362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36160, 3132, '620802', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.973,35.4798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36161, 3132, '620802', '草峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.789,35.6142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36162, 3132, '620802', '西郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.636,35.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36163, 3132, '620802', '大秦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.563,35.6682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36164, 3132, '620802', '平凉市崆峒区西郊经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.73,35.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36165, 3132, '620802', '安国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.504,35.7366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36166, 3132, '620802', '柳湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.692,35.5476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36167, 3132, '620802', '西阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.548,35.7115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36168, 3132, '620802', '崆峒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.656,35.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36169, 3133, '620825', '南坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.114,35.2367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36170, 3133, '620825', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.161,35.3251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36171, 3133, '620825', '南湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.972,35.3893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36172, 3133, '620825', '良邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.061,35.3253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36173, 3133, '620825', '杨河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.107,35.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36174, 3133, '620825', '阳川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.892,35.1737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36175, 3133, '620825', '通化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.251,35.371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36176, 3133, '620825', '万泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.883,35.1047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36177, 3133, '620825', '柳梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.974,35.3025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36178, 3133, '620825', '赵墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.892,35.3865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36179, 3133, '620825', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.887,35.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36180, 3133, '620825', '韩店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.221,35.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36181, 3133, '620825', '朱店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.931,35.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36182, 3133, '620825', '岳堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.076,35.4497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36183, 3133, '620825', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.851,35.1667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36184, 3133, '620825', '郑河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.195,35.2704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36185, 3133, '620825', '盘安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.135,35.1882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36186, 3133, '620825', '水洛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.036,35.2055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36187, 3133, '620825', '水洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.075,35.2096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36188, 3134, '620823', '崇信县新窑工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.039,35.1771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36189, 3134, '620823', '黄寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.881,35.3299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36190, 3134, '620823', '柏树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.021,35.3516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36191, 3134, '620823', '木林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.149,35.2636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36192, 3134, '620823', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.896,35.2134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36193, 3134, '620823', '崇信县铜城工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.835,35.316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36194, 3134, '620823', '锦屏街道办', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.021,35.2983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36195, 3134, '620823', '新窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.882,35.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36196, 3134, '620823', '黄花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.029,35.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36197, 3134, '620823', '五举农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.985,35.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36198, 3135, '620826', '红寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.514,35.5439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36199, 3135, '620826', '灵芝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.631,35.6456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36200, 3135, '620826', '贾河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.652,35.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36201, 3135, '620826', '新店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.461,35.3659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36202, 3135, '620826', '雷大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.843,35.3493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36203, 3135, '620826', '原安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.543,35.7149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36204, 3135, '620826', '治平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.6,35.3291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36205, 3135, '620826', '余湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.764,35.2431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36206, 3135, '620826', '李店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.735,35.2494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36207, 3135, '620826', '四河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.422,35.4923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36208, 3135, '620826', '双岘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.682,35.3578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36209, 3135, '620826', '深沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.544,35.281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36210, 3135, '620826', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.724,35.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36211, 3135, '620826', '城川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.768,35.441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36212, 3135, '620826', '甘沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.657,35.4654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36213, 3135, '620826', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.699,35.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36214, 3135, '620826', '仁大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.736,35.151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36215, 3135, '620826', '细巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.595,35.5345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36216, 3135, '620826', '威戎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.768,35.4399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36217, 3135, '620826', '八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.72,35.578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36218, 3135, '620826', '界石铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.505,35.6509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36219, 3135, '620826', '司桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.78,35.519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36220, 3135, '620826', '三合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.459,35.6811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36221, 3135, '620826', '古城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.917,35.516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36222, 3135, '620826', '曹务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.915,35.5047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36223, 3136, '620881', '石堡子开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.773,35.2311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36224, 3136, '620881', '安口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.787,35.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36225, 3136, '620881', '马峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.517,35.2559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36226, 3136, '620881', '神峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.678,35.0999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36227, 3136, '620881', '策底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.604,35.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36228, 3136, '620881', '砚峡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.647,35.319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36229, 3136, '620881', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.491,35.3449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36230, 3136, '620881', '西华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.512,35.2002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36231, 3136, '620881', '东华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.649,35.2181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36232, 3136, '620881', '东华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.644,35.1793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36233, 3136, '620881', '山寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.507,35.3177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36234, 3136, '620881', '上关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.673,35.147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36235, 3137, '620821', '红河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.368,35.4882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36236, 3137, '620821', '荔堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.501,35.4489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36237, 3137, '620821', '丰台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.388,35.4696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36238, 3137, '620821', '街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.367,35.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36239, 3137, '620821', '玉都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.266,35.5172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36240, 3137, '620821', '泾明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.573,35.3555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36241, 3137, '620821', '高平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.445,35.3131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36242, 3137, '620821', '汭丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.265,35.3188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36243, 3137, '620821', '温泉经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.427,35.3672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36244, 3137, '620821', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.365,35.3099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36245, 3137, '620821', '飞云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.652,35.346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36246, 3137, '620821', '罗汉洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.452,35.3345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36247, 3137, '620821', '党原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.197,35.4451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36248, 3137, '620821', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.403,35.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36249, 3137, '620821', '张老寺农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.254,35.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36250, 3137, '620821', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.125,35.3609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36251, 3137, '620821', '窑店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.684,35.2965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36252, 3138, '620622', '裴家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.534,37.4051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36253, 3138, '620622', '古浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.869,37.5714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36254, 3138, '620622', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.124,37.6647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36255, 3138, '620622', '民权镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.278,37.3868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36256, 3138, '620622', '大靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.343,37.4873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36257, 3138, '620622', '直滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.584,37.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36258, 3138, '620622', '泗水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.87,37.6125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36259, 3138, '620622', '黄花滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.102,37.5735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36260, 3138, '620622', '西靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.236,37.5565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36261, 3138, '620622', '定宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.979,37.6023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36262, 3138, '620622', '黑松驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.886,37.3937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36263, 3138, '620622', '海子滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.488,37.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36264, 3138, '620622', '永丰滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.044,37.7031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36265, 3138, '620622', '十八里堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.94,37.4519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36266, 3138, '620622', '横梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.349,37.3851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36267, 3138, '620622', '古丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.787,37.5163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36268, 3138, '620622', '干城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.497,37.3857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36269, 3138, '620622', '新堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.579,37.3907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36270, 3138, '620622', '黄羊川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.137,37.4785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36271, 3139, '620602', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.766,37.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36272, 3139, '620602', '金塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.56,37.8808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36273, 3139, '620602', '武南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.699,37.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36274, 3139, '620602', '荣华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.665,37.9107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36275, 3139, '620602', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.543,37.7449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36276, 3139, '620602', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.219,38.0826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36277, 3139, '620602', '九墩滩指挥部', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.74,38.1371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36278, 3139, '620602', '九墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.715,38.1595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36279, 3139, '620602', '下双镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.684,38.0906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36280, 3139, '620602', '双城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.496,38.161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36281, 3139, '620602', '洪祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.557,38.1605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36282, 3139, '620602', '长城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.838,38.0132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36283, 3139, '620602', '吴家井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.973,37.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36284, 3139, '620602', '五和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.474,38.0693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36285, 3139, '620602', '康宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.344,38.0271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36286, 3139, '620602', '清源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.767,37.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36287, 3139, '620602', '河东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.753,37.7408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36288, 3139, '620602', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.449,37.7927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36289, 3139, '620602', '中坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.66,38.0159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36290, 3139, '620602', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.487,38.0281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36291, 3139, '620602', '西营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.134,37.9873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36292, 3139, '620602', '东大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.639,37.9447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36293, 3139, '620602', '西关街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.599,37.9326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36294, 3139, '620602', '高坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.672,37.9286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36295, 3139, '620602', '金羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.612,37.9696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36296, 3139, '620602', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.611,37.9215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36297, 3139, '620602', '谢河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.722,37.7', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36298, 3139, '620602', '张义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.735,37.6008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36299, 3139, '620602', '火车站街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.637,37.9046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36300, 3139, '620602', '四坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.648,38.0791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36301, 3139, '620602', '金沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.551,38.006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36302, 3139, '620602', '永昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.621,38.0797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36303, 3139, '620602', '韩佐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.659,37.7861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36304, 3139, '620602', '黄羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.804,37.6875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36305, 3139, '620602', '怀安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.463,37.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36306, 3139, '620602', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.792,37.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36307, 3139, '620602', '东关街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.646,37.9188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36308, 3139, '620602', '羊下坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.663,38.03', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36309, 3139, '620602', '发放镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.704,37.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36310, 3139, '620602', '黄羊河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.903,37.8047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36311, 3139, '620602', '大柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.692,37.9941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36312, 3139, '620602', '松树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.461,37.9684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36313, 3139, '620602', '柏树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.557,37.9314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36314, 3139, '620602', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.247,38.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36315, 3139, '620602', '地质新村街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.627,37.9392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36316, 3139, '620602', '西大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.629,37.935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36317, 3140, '620623', '炭山岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.654,36.9213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36318, 3140, '620623', '东坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.69,36.7021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36319, 3140, '620623', '华藏寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.077,37.1457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36320, 3140, '620623', '大红沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.543,37.6218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36321, 3140, '620623', '天祝建材厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.027,37.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36322, 3140, '620623', '天祝煤电公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.652,36.9189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36323, 3140, '620623', '松山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.431,37.1619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36324, 3140, '620623', '抓喜秀龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.481,37.2385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36325, 3140, '620623', '朵什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.985,37.2036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36326, 3140, '620623', '旦马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.084,37.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36327, 3140, '620623', '西大滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.098,37.3223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36328, 3140, '620623', '祁连镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.408,37.7775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36329, 3140, '620623', '赛拉隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.666,36.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36330, 3140, '620623', '东大滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.241,37.1622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36331, 3140, '620623', '赛什斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.825,36.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36332, 3140, '620623', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.037,37.0165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36333, 3140, '620623', '毛藏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.171,37.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36334, 3140, '620623', '安远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.85,37.2024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36335, 3140, '620623', '打柴沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.073,37.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36336, 3140, '620623', '哈溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.482,37.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36337, 3140, '620623', '天堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.609,37.0953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36338, 3141, '620621', '蔡旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.821,38.3336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36339, 3141, '620621', '重兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.943,38.3931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36340, 3141, '620621', '薛百镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.954,38.5423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36341, 3141, '620621', '红沙梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.367,39.0228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36342, 3141, '620621', '昌宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.491,38.5618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36343, 3141, '620621', '红砂岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.433,39.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36344, 3141, '620621', '大坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.008,38.7252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36345, 3141, '620621', '夹河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.371,38.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36346, 3141, '620621', '泉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.287,38.8241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36347, 3141, '620621', '苏武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.127,38.658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36348, 3141, '620621', '西渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.539,39.0611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36349, 3141, '620621', '大滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.205,38.7904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36350, 3141, '620621', '三雷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.084,38.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36351, 3141, '620621', '双茨科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.323,38.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36352, 3141, '620621', '东坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.419,38.7266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36353, 3141, '620621', '收成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.565,38.8396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36354, 3141, '620621', '东湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.488,39.3627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36355, 3141, '620621', '南湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.945,38.4542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36356, 3142, '620121', '河桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.914,36.5696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36357, 3142, '620121', '秦川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.506,36.6765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36358, 3142, '620121', '中堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.164,36.8574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36359, 3142, '620121', '武胜驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.222,36.8907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36360, 3142, '620121', '连城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.866,36.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36361, 3142, '620121', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.313,36.6432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36362, 3142, '620121', '上川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.457,36.8423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36363, 3142, '620121', '树屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.549,36.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36364, 3142, '620121', '红城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.343,36.4655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36365, 3142, '620121', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.241,36.7517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36366, 3142, '620121', '龙泉寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.511,36.6531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36367, 3142, '620121', '七山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.089,36.5688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36368, 3142, '620121', '坪城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.232,36.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36369, 3142, '620121', '柳树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.212,36.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36370, 3142, '620121', '民乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.843,36.7797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36371, 3142, '620121', '苦水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.399,36.3412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36372, 3142, '620121', '通远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.12,36.7225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36373, 3142, '620121', '中川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.634,36.4024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36374, 3143, '620122', '石洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.041,36.442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36375, 3143, '620122', '九合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.72,36.34', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36376, 3143, '620122', '黑石川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.789,36.6498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36377, 3143, '620122', '水阜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.724,36.3951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36378, 3143, '620122', '忠和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.756,36.3087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36379, 3143, '620122', '什川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.084,36.2694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36380, 3143, '620122', '西岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.81,36.6362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36381, 3144, '620104', '新和路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.492,36.1499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36382, 3144, '620104', '西柳沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.626,36.1212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36383, 3144, '620104', '四季青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.612,36.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36384, 3144, '620104', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.459,36.1367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36385, 3144, '620104', '福利路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.622,36.0855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36386, 3144, '620104', '柳泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.575,36.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36387, 3144, '620104', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.39,36.1744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36388, 3144, '620104', '金沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.647,36.0484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36389, 3144, '620104', '达川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.384,36.1882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36390, 3144, '620104', '陈坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.632,36.1137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36391, 3144, '620104', '先锋路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.628,36.0868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36392, 3144, '620104', '西固城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.627,36.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36393, 3144, '620104', '新安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.496,36.1475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36394, 3144, '620104', '临洮街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.608,36.0839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36395, 3144, '620104', '东川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.474,36.1424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36396, 3145, '620111', '下窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.876,36.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36397, 3145, '620111', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.226,36.2222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36398, 3145, '620111', '矿区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.862,36.4126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36399, 3145, '620111', '花庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.221,36.3552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36400, 3145, '620111', '窑街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.874,36.4208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36401, 3145, '620111', '红古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.906,36.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36402, 3145, '620111', '海石湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.853,36.3797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36403, 3145, '620111', '华龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.919,36.362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36404, 3146, '620105', '西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.725,36.1322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36405, 3146, '620105', '十里店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.735,36.1084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36406, 3146, '620105', '安宁堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.693,36.1455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36407, 3146, '620105', '沙井驿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.595,36.172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36408, 3146, '620105', '银滩路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.698,36.0935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36409, 3146, '620105', '培黎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.746,36.1029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36410, 3146, '620105', '刘家堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.677,36.1074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36411, 3146, '620105', '孔家崖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.721,36.1033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36412, 3147, '620102', '焦家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.882,36.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36413, 3147, '620102', '酒泉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.826,36.0544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36414, 3147, '620102', '渭源路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.871,36.0541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36415, 3147, '620102', '白银路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.814,36.0539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36416, 3147, '620102', '东岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.901,36.0246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36417, 3147, '620102', '伏龙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.823,36.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36418, 3147, '620102', '雁南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.852,36.0659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36419, 3147, '620102', '青白石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.941,36.1265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36420, 3147, '620102', '团结新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.852,36.0362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36421, 3147, '620102', '高新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.919,36.0519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36422, 3147, '620102', '皋兰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.835,36.0494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36423, 3147, '620102', '盐场路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.831,36.1582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36424, 3147, '620102', '张掖路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.821,36.0649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36425, 3147, '620102', '雁北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.864,36.0623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36426, 3147, '620102', '嘉峪关路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.861,36.0324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36427, 3147, '620102', '拱星墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.871,36.0536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36428, 3147, '620102', '临夏路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.808,36.0585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36429, 3147, '620102', '铁路西村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.835,36.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36430, 3147, '620102', '铁路东村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.839,36.0366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36431, 3147, '620102', '火车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.849,36.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36432, 3147, '620102', '靖远路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.801,36.1479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36433, 3147, '620102', '草场街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.813,36.1095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36434, 3147, '620102', '广武门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.848,36.0627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36435, 3147, '620102', '东岗西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.848,36.0612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36436, 3147, '620102', '五泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.823,36.0424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36437, 3148, '620103', '秀川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.756,36.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36438, 3148, '620103', '建兰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.756,36.0813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36439, 3148, '620103', '西湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.732,36.0501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36440, 3148, '620103', '黄峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.734,36.024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36441, 3148, '620103', '西果园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.74,36.0297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36442, 3148, '620103', '八里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.811,36.016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36443, 3148, '620103', '彭家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.752,36.0468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36444, 3148, '620103', '土门墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.725,36.0689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36445, 3148, '620103', '阿干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.814,35.9172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36446, 3148, '620103', '魏岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.789,36.0466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36447, 3148, '620103', '西站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.746,36.0657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36448, 3148, '620103', '西园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.783,36.0501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36449, 3148, '620103', '敦煌路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.741,36.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36450, 3148, '620103', '晏家坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.764,36.0553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36451, 3148, '620103', '龚家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.738,36.0551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36452, 3149, '620123', '园子岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.372,36.3342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36453, 3149, '620123', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.89,35.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36454, 3149, '620123', '龙泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.264,35.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36455, 3149, '620123', '新营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.102,35.7174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36456, 3149, '620123', '三角城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.112,35.8886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36457, 3149, '620123', '马坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.92,35.8015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36458, 3149, '620123', '清水驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.269,35.9187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36459, 3149, '620123', '金崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.063,35.9717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36460, 3149, '620123', '上花岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.283,36.3221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36461, 3149, '620123', '中连川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.432,35.949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36462, 3149, '620123', '哈岘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.216,36.2454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36463, 3149, '620123', '贡井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.248,36.0584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36464, 3149, '620123', '青城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.31,36.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36465, 3149, '620123', '小康营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.158,35.8271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36466, 3149, '620123', '夏官营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.16,36.0011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36467, 3149, '620123', '定远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.973,35.9564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36468, 3149, '620123', '来紫堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.025,35.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36469, 3149, '620123', '银山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.909,35.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36470, 3149, '620123', '甘草店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.237,35.7729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36471, 3149, '620123', '连搭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.104,35.9628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36472, 3149, '620123', '韦营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.318,35.9127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36473, 3149, '620123', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.138,35.879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36474, 3149, '620123', '高崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.251,35.736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36475, 3155, '623022', '纳浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.63,34.4456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36476, 3155, '623022', '扎古录镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.051,34.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36477, 3155, '623022', '勺哇土族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.574,34.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36478, 3155, '623022', '申藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.249,34.845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36479, 3155, '623022', '藏巴哇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.84,34.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36480, 3155, '623022', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.496,34.6625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36481, 3155, '623022', '阿子滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.252,34.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36482, 3155, '623022', '恰盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.257,34.8807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36483, 3155, '623022', '喀尔钦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.383,34.6792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36484, 3155, '623022', '完冒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.38,34.9883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36485, 3155, '623022', '木耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.48,34.4116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36486, 3155, '623022', '尼巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.878,34.3117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36487, 3155, '623022', '康多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.378,34.9885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36488, 3155, '623022', '洮砚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.803,34.8806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36489, 3155, '623022', '刀告乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.146,34.4547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36490, 3156, '623027', '曲奥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.82,35.398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36491, 3156, '623027', '甘加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.442,35.451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36492, 3156, '623027', '达麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.614,35.2377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36493, 3156, '623027', '科才镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.127,34.7406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36494, 3156, '623027', '拉卜楞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.539,35.098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36495, 3156, '623027', '扎油乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.617,35.0916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36496, 3156, '623027', '桑科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.432,34.9113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36497, 3156, '623027', '麻当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.656,35.3822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36498, 3156, '623027', '王格尔塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.714,35.2656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36499, 3156, '623027', '阿木去乎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.462,34.9205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36500, 3156, '623027', '博拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.727,34.8165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36501, 3156, '623027', '吉仓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.659,34.7268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36502, 3156, '623027', '唐尕昂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.772,35.1903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36503, 3157, '623001', '佐盖曼玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.252,35.1309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36504, 3157, '623001', '卡加曼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.928,35.1527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36505, 3157, '623001', '那吾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.9,34.9802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36506, 3157, '623001', '通钦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.912,34.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36507, 3157, '623001', '坚木克尔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.918,35.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36508, 3157, '623001', '伊合昂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.899,34.9798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36509, 3157, '623001', '佐盖多玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.249,35.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36510, 3157, '623001', '卡加道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.057,35.2707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36511, 3157, '623001', '当周街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.918,34.9206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36512, 3157, '623001', '勒秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.007,34.888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36513, 3158, '623021', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.742,34.8001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36514, 3158, '623021', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.335,34.6699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36515, 3158, '623021', '古战回族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.332,34.6764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36516, 3158, '623021', '三岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.715,34.5993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36517, 3158, '623021', '羊沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.703,34.9154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36518, 3158, '623021', '八角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.688,34.975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36519, 3158, '623021', '流顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.57,34.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36520, 3158, '623021', '长川回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.42,34.7341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36521, 3158, '623021', '冶力关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.64,35.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36522, 3158, '623021', '初布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.315,34.7272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36523, 3158, '623021', '洮滨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.573,34.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36524, 3158, '623021', '王旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.732,34.6828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36525, 3158, '623021', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.692,34.6846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36526, 3158, '623021', '羊永乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.525,34.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36527, 3158, '623021', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.576,34.718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36528, 3158, '623021', '卓洛回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.349,34.7173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36529, 3159, '623025', '尼玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.044,33.9551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36530, 3159, '623025', '阿万仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.693,33.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36531, 3159, '623025', '采日玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.336,33.4042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36532, 3159, '623025', '欧拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.582,33.9865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36533, 3159, '623025', '曼日玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.004,33.7939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36534, 3159, '623025', '大水军牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.321,33.8647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36535, 3159, '623025', '欧拉秀玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.008,34.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36536, 3159, '623025', '高原生物研究所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.739,33.7513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36537, 3159, '623025', '齐哈玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.214,33.2589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36538, 3159, '623025', '河曲马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.283,33.8449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36539, 3159, '623025', '木西合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.201,33.7865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36540, 3160, '623024', '卡坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.456,34.3178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36541, 3160, '623024', '电尕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.366,34.1546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36542, 3160, '623024', '多儿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.718,33.7568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36543, 3160, '623024', '阿夏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.607,33.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36544, 3160, '623024', '旺藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.601,34.016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36545, 3160, '623024', '腊子口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.731,34.2122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36546, 3160, '623024', '洛大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.921,34.0618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36547, 3160, '623024', '尼傲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.607,34.1816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36548, 3160, '623024', '益哇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.214,34.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36549, 3160, '623024', '桑坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.585,34.209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36550, 3160, '623024', '达拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.379,33.9611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36551, 3161, '623023', '武坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.211,33.57', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36552, 3161, '623023', '插岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.256,33.555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36553, 3161, '623023', '江盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.329,33.7628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36554, 3161, '623023', '憨班镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.122,33.9334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36555, 3161, '623023', '大峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.995,33.8709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36556, 3161, '623023', '大川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.418,33.6831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36557, 3161, '623023', '拱坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.412,33.4986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36558, 3161, '623023', '峰迭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.183,33.8443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36559, 3161, '623023', '立节镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.118,33.9373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36560, 3161, '623023', '巴藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.008,33.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36561, 3161, '623023', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.361,33.8523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36562, 3161, '623023', '果耶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.416,33.6724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36563, 3161, '623023', '八楞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.497,33.6542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36564, 3161, '623023', '坪定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.234,33.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36565, 3161, '623023', '曲告纳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.576,33.4348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36566, 3161, '623023', '曲瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.003,33.9603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36567, 3161, '623023', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.496,33.7732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36568, 3161, '623023', '南峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.336,33.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36569, 3161, '623023', '博峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.34,33.4972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36570, 3162, '623026', '阿拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.834,34.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36571, 3162, '623026', '双岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.73,34.4894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36572, 3162, '623026', '双岔林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.754,34.656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36573, 3162, '623026', '玛艾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.336,34.6802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36574, 3162, '623026', '拉仁关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.454,34.5285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36575, 3162, '623026', '西仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.503,34.5339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36576, 3162, '623026', '尕海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.237,34.3799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36577, 3162, '623026', '郎木寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.259,34.0235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36578, 3162, '623026', '李恰如种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.014,34.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36579, 3163, '622927', '关家川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.925,35.8209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36580, 3163, '622927', '刘集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.804,35.7371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36581, 3163, '622927', '小关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.868,35.6034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36582, 3163, '622927', '石塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.854,35.8436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36583, 3163, '622927', '银川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.037,35.6997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36584, 3163, '622927', '铺川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.018,35.6509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36585, 3163, '622927', '中咀岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.895,35.643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36586, 3163, '622927', '大河家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.834,35.8269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36587, 3163, '622927', '寨子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.889,35.704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36588, 3163, '622927', '安集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.959,35.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36589, 3163, '622927', '癿藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.963,35.6247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36590, 3163, '622927', '居集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.939,35.6606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36591, 3163, '622927', '徐扈家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.953,35.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36592, 3163, '622927', '柳沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.886,35.8274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36593, 3163, '622927', '郭干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.989,35.6332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36594, 3163, '622927', '胡林家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.9,35.7161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36595, 3163, '622927', '吹麻滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.768,35.6479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36596, 3164, '622926', '赵家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.519,35.5752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36597, 3164, '622926', '柳树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.248,35.7944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36598, 3164, '622926', '风山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.58,35.6495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36599, 3164, '622926', '河滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.232,35.854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36600, 3164, '622926', '考勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.286,35.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36601, 3164, '622926', '唐汪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.496,35.8246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36602, 3164, '622926', '高山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.533,35.6719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36603, 3164, '622926', '锁南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.39,35.7274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36604, 3164, '622926', '五家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.529,35.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36605, 3164, '622926', '果园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.596,35.5975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36606, 3164, '622926', '坪庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.369,35.5864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36607, 3164, '622926', '董岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.375,35.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36608, 3164, '622926', '汪集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.503,35.6858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36609, 3164, '622926', '沿岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.439,35.687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36610, 3164, '622926', '大树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.529,35.6834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36611, 3164, '622926', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.374,35.8508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36612, 3164, '622926', '达板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.595,35.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36613, 3164, '622926', '那勒寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.424,35.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36614, 3164, '622926', '春台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.293,35.8045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36615, 3164, '622926', '百和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.3,35.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36616, 3164, '622926', '北岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.492,35.7661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36617, 3164, '622926', '东塬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.271,35.6136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36618, 3164, '622926', '车家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.649,35.6323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36619, 3164, '622926', '关卜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.34,35.5414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36620, 3165, '622923', '杨塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.059,35.8668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36621, 3165, '622923', '川城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.027,35.9892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36622, 3165, '622923', '坪沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.022,36.0924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36623, 3165, '622923', '太极镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.28,36.0244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36624, 3165, '622923', '三塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.145,35.9258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36625, 3165, '622923', '小岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.983,35.9322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36626, 3165, '622923', '关山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.574,36.0619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36627, 3165, '622923', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.149,36.1121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36628, 3165, '622923', '三条岘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.399,36.0076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36629, 3165, '622923', '王台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.022,35.9178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36630, 3165, '622923', '盐锅峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.227,36.0766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36631, 3165, '622923', '徐顶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.514,36.0646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36632, 3165, '622923', '岘塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.24,35.9448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36633, 3165, '622923', '刘家峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.31,35.9664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36634, 3165, '622923', '红泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.076,36.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36635, 3165, '622923', '陈井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.474,36.111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36636, 3165, '622923', '新寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.138,35.9959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36637, 3166, '622901', '八坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.208,35.5911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36638, 3166, '622901', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.224,35.6118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36639, 3166, '622901', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.208,35.6003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36640, 3166, '622901', '红园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.208,35.6012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36641, 3166, '622901', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.219,35.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36642, 3166, '622901', '南龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.27,35.6117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36643, 3166, '622901', '城郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.207,35.5823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36644, 3166, '622901', '枹罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.15,35.5806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36645, 3166, '622901', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.205,35.5966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36646, 3166, '622901', '折桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.219,35.6121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36647, 3167, '622921', '河西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.182,35.7629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36648, 3167, '622921', '安家坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.256,35.6904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36649, 3167, '622921', '先锋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.194,35.7073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36650, 3167, '622921', '尹集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.043,35.4094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36651, 3167, '622921', '马集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.982,35.4747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36652, 3167, '622921', '坡头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.124,35.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36653, 3167, '622921', '北塬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.171,35.6093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36654, 3167, '622921', '漠泥沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.929,35.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36655, 3167, '622921', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.059,35.5308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36656, 3167, '622921', '漫路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.119,35.4549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36657, 3167, '622921', '路盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.254,35.5359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36658, 3167, '622921', '营滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.998,35.5965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36659, 3167, '622921', '掌子沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.917,35.5506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36660, 3167, '622921', '土桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.158,35.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36661, 3167, '622921', '桥寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.184,35.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36662, 3167, '622921', '韩集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.004,35.5134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36663, 3167, '622921', '红台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.037,35.5952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36664, 3167, '622921', '黄泥湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.244,35.5482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36665, 3167, '622921', '井沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.063,35.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36666, 3167, '622921', '麻尼寺沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.781,35.5339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36667, 3167, '622921', '民主乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.186,35.5435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36668, 3167, '622921', '刁祁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.031,35.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36669, 3167, '622921', '南塬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.162,35.7608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36670, 3167, '622921', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.096,35.7349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36671, 3167, '622921', '榆林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.113,35.4844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36672, 3168, '622924', '齐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.783,35.504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36673, 3168, '622924', '买家巷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.521,35.4651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36674, 3168, '622924', '三甲集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.735,35.6213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36675, 3168, '622924', '水泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.695,35.4884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36676, 3168, '622924', '阿力麻土东乡族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.461,35.5116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36677, 3168, '622924', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.545,35.5011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36678, 3168, '622924', '祁家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.646,35.5321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36679, 3168, '622924', '官坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.486,35.4471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36680, 3168, '622924', '庄禾集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.489,35.4043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36681, 3169, '622925', '新庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.374,35.4058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36682, 3169, '622925', '马家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.213,35.4821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36683, 3169, '622925', '卜家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.292,35.4375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36684, 3169, '622925', '梁家寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.368,35.5018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36685, 3169, '622925', '达浪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.398,35.374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36686, 3169, '622925', '陈家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.353,35.5168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36687, 3169, '622925', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.357,35.4739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36688, 3169, '622925', '松鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.426,35.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36689, 3169, '622925', '罗家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.197,35.4387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36690, 3169, '622925', '三十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.216,35.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36691, 3169, '622925', '买家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.175,35.3483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36692, 3169, '622925', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.32,35.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36693, 3169, '622925', '新营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.262,35.371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36694, 3170, '622922', '胭脂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.701,35.3161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36695, 3170, '622922', '虎关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.716,35.4223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36696, 3170, '622922', '莲麓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.743,35.0492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36697, 3170, '622922', '康丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.657,35.4038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36698, 3170, '622922', '鸣鹿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.535,35.2969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36699, 3170, '622922', '景古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.722,35.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36700, 3170, '622922', '白王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.616,35.3997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36701, 3170, '622922', '草滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.643,35.2502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36702, 3170, '622922', '八松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.525,35.3475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36703, 3170, '622922', '苏集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.574,35.3797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36704, 3170, '622922', '流川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.673,35.4465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36705, 3170, '622922', '上湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.689,35.3257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36706, 3170, '622922', '八丹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.637,35.351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36707, 3170, '622922', '五户乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.666,35.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36708, 3170, '622922', '附城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.718,35.3809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36709, 3171, '620724', '南华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7422,39.3346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36710, 3171, '620724', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8311,39.3786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36711, 3171, '620724', '宣化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6866,39.442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36712, 3171, '620724', '巷道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7653,39.4001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36713, 3171, '620724', '骆驼城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5845,39.4035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36714, 3171, '620724', '新坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2016,39.2642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36715, 3171, '620724', '黑泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6465,39.5729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36716, 3171, '620724', '罗城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2153,39.8395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36717, 3171, '620724', '合黎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7592,39.4234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36718, 3171, '620724', '甘肃高台工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.095,39.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36719, 3172, '620721', '祁丰蔵族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0474,38.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36720, 3172, '620721', '甘肃省绵羊育种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.586,37.8305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36721, 3172, '620721', '皇城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.64,38.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36722, 3172, '620721', '康乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8815,38.9736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36723, 3172, '620721', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8916,39.1553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36724, 3172, '620721', '明花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8108,39.6628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36725, 3172, '620721', '马蹄藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.752,38.3585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36726, 3172, '620721', '白银蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9398,38.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36727, 3172, '620721', '红湾寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6345,38.8406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36728, 3172, '620721', '张掖宝瓶河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.17,38.2161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36729, 3173, '620722', '新天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.642,38.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36730, 3173, '620722', '三堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.748,38.5332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36731, 3173, '620722', '六坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.863,38.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36732, 3173, '620722', '南丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.84,38.3223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36733, 3173, '620722', '永固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.82,38.3689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36734, 3173, '620722', '顺化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.72,38.545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36735, 3173, '620722', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.615,38.4811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36736, 3173, '620722', '南古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.509,38.6566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36737, 3173, '620722', '民联镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.871,38.4787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36738, 3173, '620722', '洪水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.77,38.5005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36739, 3173, '620722', '民乐生态工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.641,38.7062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36740, 3174, '620725', '国营山丹农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.083,38.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36741, 3174, '620725', '东乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.887,38.7526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36742, 3174, '620725', '霍城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.064,38.4867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36743, 3174, '620725', '陈户乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.211,38.6992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36744, 3174, '620725', '大马营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.209,38.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36745, 3174, '620725', '李桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.056,38.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36746, 3174, '620725', '清泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.985,38.8499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36747, 3174, '620725', '位奇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.131,38.7605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36748, 3174, '620725', '老军乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.578,38.6898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36749, 3174, '620725', '中牧公司山丹马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.183,38.3298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36750, 3175, '620723', '倪家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.025,39.0279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36751, 3175, '620723', '平川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.202,39.6465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36752, 3175, '620723', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9945,39.0713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36753, 3175, '620723', '蓼泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.933,39.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36754, 3175, '620723', '小泉子治沙站', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9501,39.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36755, 3175, '620723', '国营临泽农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9737,39.2202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36756, 3175, '620723', '鸭暖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.31,39.2109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36757, 3175, '620723', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.199,39.6253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36758, 3175, '620723', '园艺场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.233,39.3519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36759, 3175, '620723', '五泉林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.18,39.2339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36760, 3175, '620723', '沙河林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.179,39.1557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36761, 3175, '620723', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.221,39.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36762, 3175, '620723', '良种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.171,39.1815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36763, 3176, '620702', '甘浚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.229,38.996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36764, 3176, '620702', '火车站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.476,38.9472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36765, 3176, '620702', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.464,38.9239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36766, 3176, '620702', '花寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.302,38.6566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36767, 3176, '620702', '大满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.347,38.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36768, 3176, '620702', '党寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.424,38.8381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36769, 3176, '620702', '龙渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.347,38.7668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36770, 3176, '620702', '碱滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.727,38.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36771, 3176, '620702', '明永乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.299,39.0351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36772, 3176, '620702', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.436,38.9267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36773, 3176, '620702', '甘肃张掖工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.486,39.0526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36774, 3176, '620702', '长安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.457,38.9207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36775, 3176, '620702', '甘肃农垦张掖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.65,38.963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36776, 3176, '620702', '张掖滨河新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.402,38.9338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36777, 3176, '620702', '梁家墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.48,38.9197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36778, 3176, '620702', '沙井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.223,39.1654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36779, 3176, '620702', '乌江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.34,39.1486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36780, 3176, '620702', '新墩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.466,38.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36781, 3176, '620702', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.46,38.9481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36782, 3176, '620702', '安阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.419,38.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36783, 3176, '620702', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.434,38.9468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36784, 3176, '620702', '小满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.395,38.8264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36785, 3176, '620702', '甘肃省农业科学院张掖试验场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.371,38.8395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36786, 3176, '620702', '平山湖蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.444,39.1529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36787, 3176, '620702', '三闸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.449,39.0438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36788, 3176, '620702', '靖安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.399,39.0956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36789, 3176, '620702', '上秦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.53,38.9609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36790, 3177, '621025', '榆林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.198,35.4219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36791, 3177, '621025', '宫河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.141,35.3573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36792, 3177, '621025', '五顷原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.44,35.4352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36793, 3177, '621025', '永正乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.213,35.4175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36794, 3177, '621025', '周家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.079,35.2898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36795, 3177, '621025', '湫头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.384,35.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36796, 3177, '621025', '山河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.322,35.4972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36797, 3177, '621025', '三嘉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.418,35.3449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36798, 3177, '621025', '西坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.525,35.5948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36799, 3177, '621025', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.314,35.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36800, 3178, '621027', '庙渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.055,35.9859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36801, 3178, '621027', '南川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.11,35.6532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36802, 3178, '621027', '新集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.315,35.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36803, 3178, '621027', '平泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.99,35.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36804, 3178, '621027', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.109,35.6932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36805, 3178, '621027', '开边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.983,35.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36806, 3178, '621027', '屯字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.373,35.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36807, 3178, '621027', '上肖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.553,35.5851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36808, 3178, '621027', '临泾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.241,35.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36809, 3178, '621027', '孟坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.144,35.8997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36810, 3178, '621027', '中原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.079,35.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36811, 3178, '621027', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.325,35.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36812, 3178, '621027', '方山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.172,35.9482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36813, 3178, '621027', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.819,35.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36814, 3178, '621027', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.033,36.1101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36815, 3178, '621027', '殷家城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.956,36.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36816, 3178, '621027', '武沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.915,35.9078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36817, 3178, '621027', '马渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.928,36.0116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36818, 3178, '621027', '郭原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.979,35.7716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36819, 3179, '621023', '悦乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.876,36.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36820, 3179, '621023', '城壕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.084,36.3739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36821, 3179, '621023', '白马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.717,36.5468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36822, 3179, '621023', '乔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.036,36.5919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36823, 3179, '621023', '上里塬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.723,36.3583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36824, 3179, '621023', '山庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.113,36.4203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36825, 3179, '621023', '柔远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.93,36.5525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36826, 3179, '621023', '王咀子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.833,36.2139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36827, 3179, '621023', '南梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.214,36.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36828, 3179, '621023', '五蛟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.81,36.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36829, 3179, '621023', '元城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.776,36.689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36830, 3179, '621023', '乔川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.547,36.7611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36831, 3179, '621023', '林镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.361,36.3196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36832, 3179, '621023', '紫坊畔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.137,36.5057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36833, 3179, '621023', '怀安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.977,36.6586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36834, 3180, '621022', '环城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.278,36.6781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36835, 3180, '621022', '木钵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.516,36.4948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36836, 3180, '621022', '合道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.087,36.4286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36837, 3180, '621022', '曲子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.494,36.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36838, 3180, '621022', '耿湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.174,36.9407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36839, 3180, '621022', '八珠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.525,36.5486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36840, 3180, '621022', '甜水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.945,37.1335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36841, 3180, '621022', '罗山川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.887,36.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36842, 3180, '621022', '演武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.976,36.2751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36843, 3180, '621022', '天池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.343,36.3322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36844, 3180, '621022', '秦团庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.115,37.0323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36845, 3180, '621022', '樊家川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.467,36.7486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36846, 3180, '621022', '虎洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.017,36.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36847, 3180, '621022', '洪德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.036,36.8838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36848, 3180, '621022', '车道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.742,36.4929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36849, 3180, '621022', '四合原旅游开发办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.395,36.7546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36850, 3180, '621022', '芦家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.5,36.2949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36851, 3180, '621022', '小南沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.62,36.651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36852, 3180, '621022', '山城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.957,37.1125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36853, 3180, '621022', '毛井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.521,36.6883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36854, 3180, '621022', '南湫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.641,36.8369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36855, 3181, '621026', '瓦斜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.937,35.5752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36856, 3181, '621026', '和盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.695,35.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36857, 3181, '621026', '太昌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.716,35.3755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36858, 3181, '621026', '平子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.218,35.4558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36859, 3181, '621026', '南义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.946,35.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36860, 3181, '621026', '金村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.376,35.7291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36861, 3181, '621026', '米桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.285,35.5409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36862, 3181, '621026', '长庆桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.744,35.3158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36863, 3181, '621026', '中村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.935,35.3953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36864, 3181, '621026', '早胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.903,35.4402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36865, 3181, '621026', '良平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.025,35.4762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36866, 3181, '621026', '焦村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.826,35.4547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36867, 3181, '621026', '湘乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.146,35.679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36868, 3181, '621026', '新宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.926,35.5505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36869, 3181, '621026', '春荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.021,35.5993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36870, 3181, '621026', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.776,35.3188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36871, 3181, '621026', '九岘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.412,35.6602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36872, 3181, '621026', '盘克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.263,35.8401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36873, 3182, '621002', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.664,35.753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36874, 3182, '621002', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.647,35.7356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36875, 3182, '621002', '肖金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.569,35.5304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36876, 3182, '621002', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.641,35.746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36877, 3182, '621002', '什社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.822,35.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36878, 3182, '621002', '彭原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.506,35.8259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36879, 3182, '621002', '董志镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.759,35.6566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36880, 3182, '621002', '温泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.665,35.7544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36881, 3182, '621002', '显胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.609,35.5109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36882, 3182, '621002', '后官寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.568,35.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36883, 3183, '621021', '三十里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.714,36.1927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36884, 3183, '621021', '赤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.78,35.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36885, 3183, '621021', '土桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.428,36.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36886, 3183, '621021', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.852,35.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36887, 3183, '621021', '南庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.954,36.0776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36888, 3183, '621021', '桐川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.52,36.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36889, 3183, '621021', '马岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.525,36.2615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36890, 3183, '621021', '驿马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.701,35.921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36891, 3183, '621021', '蔡家庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.713,36.1022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36892, 3183, '621021', '翟家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.524,36.1672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36893, 3183, '621021', '白马铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.701,35.9232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36894, 3183, '621021', '蔡口集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.432,36.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36895, 3183, '621021', '庆城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.824,36.0389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36896, 3183, '621021', '太白梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.328,36.117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36897, 3183, '621021', '玄马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.985,36.1738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36898, 3184, '621024', '固城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.255,35.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36899, 3184, '621024', '蒿咀铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.218,36.1497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36900, 3184, '621024', '肖咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.037,35.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36901, 3184, '621024', '西华池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.027,35.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36902, 3184, '621024', '太莪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.287,36.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36903, 3184, '621024', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.048,35.9344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36904, 3184, '621024', '吉岘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.02,35.7632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36905, 3184, '621024', '老城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.171,36.2026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36906, 3184, '621024', '段家集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.031,35.7504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36907, 3184, '621024', '何家畔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.853,35.804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36908, 3184, '621024', '店子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.06,35.9064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36909, 3184, '621024', '太白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.471,35.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36910, 3185, '621123', '锹峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.204,35.0865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36911, 3185, '621123', '北寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.294,35.2866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36912, 3185, '621123', '莲峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.235,35.0605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36913, 3185, '621123', '五竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.063,35.0449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36914, 3185, '621123', '路园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.344,35.1753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36915, 3185, '621123', '大安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.324,35.3265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36916, 3185, '621123', '田家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.885,35.0478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36917, 3185, '621123', '秦祁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.229,35.383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36918, 3185, '621123', '清源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.254,35.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36919, 3185, '621123', '庆坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.099,35.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36920, 3185, '621123', '祁家庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.023,35.1924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36921, 3185, '621123', '麻家集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.901,35.132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36922, 3185, '621123', '会川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.067,34.9564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36923, 3185, '621123', '峡城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.93,34.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36924, 3185, '621123', '新寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.145,35.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36925, 3185, '621123', '上湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.887,35.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36926, 3186, '621124', '八里铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.016,35.4613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36927, 3186, '621124', '站滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.139,35.6198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36928, 3186, '621124', '红旗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.554,35.9243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36929, 3186, '621124', '峡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.959,35.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36930, 3186, '621124', '南屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.798,35.1885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36931, 3186, '621124', '康家集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.989,35.3198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36932, 3186, '621124', '辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.899,35.7759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36933, 3186, '621124', '上营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.013,35.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36934, 3186, '621124', '新添镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.924,35.5592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36935, 3186, '621124', '窑店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.058,35.3831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36936, 3186, '621124', '洮阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.871,35.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36937, 3186, '621124', '中铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.665,35.7468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36938, 3186, '621124', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.957,35.4238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36939, 3186, '621124', '玉井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.874,35.3096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36940, 3186, '621124', '连儿湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.081,35.464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36941, 3186, '621124', '衙下集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.689,35.197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36942, 3186, '621124', '漫洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.242,35.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36943, 3186, '621124', '太石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.825,35.7913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36944, 3187, '621126', '马坞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.788,34.3924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36945, 3187, '621126', '锁龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.621,34.3906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36946, 3187, '621126', '闾井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.541,34.4432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36947, 3187, '621126', '维新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.857,34.7408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36948, 3187, '621126', '岷阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.1,34.4716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36949, 3187, '621126', '中寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.959,34.7334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36950, 3187, '621126', '蒲麻镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.424,34.5645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36951, 3187, '621126', '十里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.841,34.4133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36952, 3187, '621126', '西寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.772,34.523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36953, 3187, '621126', '麻子川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.04,34.2828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36954, 3187, '621126', '寺沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.018,34.3225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36955, 3187, '621126', '茶埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.113,34.5085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36956, 3187, '621126', '秦许乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.925,34.3929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36957, 3187, '621126', '梅川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.194,34.5663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36958, 3187, '621126', '申都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.372,34.3337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36959, 3187, '621126', '禾驮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.148,34.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36960, 3187, '621126', '西江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.947,34.5411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36961, 3187, '621126', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.934,34.535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36962, 3188, '621125', '四族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.385,34.7243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36963, 3188, '621125', '武当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.539,34.7294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36964, 3188, '621125', '金钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.093,34.7215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36965, 3188, '621125', '东泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.604,34.5874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36966, 3188, '621125', '大草滩乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.258,34.7885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36967, 3188, '621125', '马泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.39,34.7616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36968, 3188, '621125', '武阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.462,34.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36969, 3188, '621125', '贵清山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.373,34.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36970, 3188, '621125', '新寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.513,34.651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36971, 3188, '621125', '盐井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.457,34.8564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36972, 3188, '621125', '石川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.363,34.6782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36973, 3188, '621125', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.284,34.8769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36974, 3188, '621125', '殪虎桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.079,34.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36975, 3189, '621102', '符家川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.398,35.6002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36976, 3189, '621102', '新集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.767,35.8262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36977, 3189, '621102', '李家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.776,35.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36978, 3189, '621102', '鲁家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.426,35.9178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36979, 3189, '621102', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.603,35.4912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36980, 3189, '621102', '内官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.32,35.5312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36981, 3189, '621102', '称钩驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.365,35.7126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36982, 3189, '621102', '石峡湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.621,35.9347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36983, 3189, '621102', '香泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.522,35.5209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36984, 3189, '621102', '杏园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.873,35.4295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36985, 3189, '621102', '青岚山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.684,35.7247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36986, 3189, '621102', '石泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.873,35.6206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36987, 3189, '621102', '宁远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.804,35.4544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36988, 3189, '621102', '馋口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.504,35.8', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36989, 3189, '621102', '白碌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.639,36.0365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36990, 3189, '621102', '高峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.362,35.4813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36991, 3189, '621102', '西巩驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.869,35.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36992, 3189, '621102', '葛家岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.722,35.8406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36993, 3189, '621102', '中华路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.604,35.5947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36994, 3189, '621102', '凤翔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.644,35.5677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36995, 3189, '621102', '永定路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.593,35.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36996, 3190, '621122', '马河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.531,35.3423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36997, 3190, '621122', '双泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.416,35.1988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36998, 3190, '621122', '云田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.646,35.1551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (36999, 3190, '621122', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.794,34.9401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37000, 3190, '621122', '柯寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.523,35.1629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37001, 3190, '621122', '渭阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.748,35.0592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37002, 3190, '621122', '宏伟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.758,35.3659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37003, 3190, '621122', '福星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.514,35.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37004, 3190, '621122', '永吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.782,34.9275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37005, 3190, '621122', '文峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.69,35.0113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37006, 3190, '621122', '德兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.446,35.266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37007, 3190, '621122', '巩昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.614,35.0635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37008, 3190, '621122', '首阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.388,35.0884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37009, 3190, '621122', '菜子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.578,35.0197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37010, 3190, '621122', '权家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.764,35.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37011, 3190, '621122', '碧岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.325,34.9821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37012, 3190, '621122', '通安驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.666,35.3577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37013, 3191, '621121', '华家岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.965,35.3452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37014, 3191, '621121', '平襄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.169,35.2493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37015, 3191, '621121', '马营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.08,35.3333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37016, 3191, '621121', '常家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.072,35.1', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37017, 3191, '621121', '榜罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.033,35.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37018, 3191, '621121', '李家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.082,35.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37019, 3191, '621121', '鸡川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.456,35.2442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37020, 3191, '621121', '北城铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.138,35.4031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37021, 3191, '621121', '什川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.862,35.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37022, 3191, '621121', '寺子川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.293,35.3214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37023, 3191, '621121', '陇川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.381,35.3688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37024, 3191, '621121', '陇山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.492,35.2839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37025, 3191, '621121', '第三铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.989,35.2279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37026, 3191, '621121', '襄南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.276,35.1356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37027, 3191, '621121', '碧玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.342,35.2214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37028, 3191, '621121', '义岗川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.173,35.4428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37029, 3191, '621121', '陇阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.345,35.3415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37030, 3191, '621121', '新景乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.462,35.2247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37031, 3192, '620523', '八里湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.349,34.9071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37032, 3192, '620523', '礼辛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.063,34.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37033, 3192, '620523', '六峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.358,34.7442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37034, 3192, '620523', '古坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.229,34.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37035, 3192, '620523', '磐安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.15,34.767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37036, 3192, '620523', '白家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.293,34.7217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37037, 3192, '620523', '大石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.139,34.9414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37038, 3192, '620523', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.322,34.8293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37039, 3192, '620523', '大像山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.217,34.7311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37040, 3192, '620523', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.424,34.8764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37041, 3192, '620523', '谢家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.116,34.8508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37042, 3192, '620523', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.303,35.0479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37043, 3192, '620523', '安远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.31,34.8515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37044, 3192, '620523', '武家河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.229,34.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37045, 3192, '620523', '西坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.396,34.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37046, 3193, '620522', '郭嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.561,35.0496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37047, 3193, '620522', '叶堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.706,35.0004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37048, 3193, '620522', '王尹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.725,34.8465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37049, 3193, '620522', '王铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.463,35.1175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37050, 3193, '620522', '刘坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.754,34.95', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37051, 3193, '620522', '五营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.847,35.0308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37052, 3193, '620522', '安伏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.634,35.0532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37053, 3193, '620522', '王窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.593,34.9233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37054, 3193, '620522', '中山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.821,34.8993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37055, 3193, '620522', '云山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.817,34.8275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37056, 3193, '620522', '兴国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.759,34.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37057, 3193, '620522', '陇城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.964,35.0084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37058, 3193, '620522', '兴丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.787,34.8902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37059, 3193, '620522', '千户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.641,34.7684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37060, 3193, '620522', '魏店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.558,35.1545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37061, 3193, '620522', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.784,35.0284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37062, 3193, '620522', '西川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.575,34.8583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37063, 3194, '620502', '华歧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.598,34.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37064, 3194, '620502', '齐寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.773,34.399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37065, 3194, '620502', '石马坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.706,34.5655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37066, 3194, '620502', '娘娘坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.766,34.325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37067, 3194, '620502', '玉泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.749,34.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37068, 3194, '620502', '天水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.543,34.319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37069, 3194, '620502', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.7,34.5803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37070, 3194, '620502', '藉口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.308,34.5707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37071, 3194, '620502', '杨家寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.341,34.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37072, 3194, '620502', '牡丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.529,34.5285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37073, 3194, '620502', '天水郡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.705,34.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37074, 3194, '620502', '七里墩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.755,34.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37075, 3194, '620502', '秦岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.425,34.4148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37076, 3194, '620502', '大门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.672,34.2806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37077, 3194, '620502', '东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.73,34.5836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37078, 3194, '620502', '太京镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.596,34.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37079, 3194, '620502', '关子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.419,34.6637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37080, 3194, '620502', '中城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.713,34.583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37081, 3194, '620502', '皂郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.68,34.535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37082, 3194, '620502', '汪川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.603,34.2545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37083, 3194, '620502', '大城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.725,34.5906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37084, 3194, '620502', '平南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.68,34.3712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37085, 3194, '620502', '中梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.557,34.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37086, 3195, '620503', '社棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.9,34.602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37087, 3195, '620503', '新阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.55,34.7195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37088, 3195, '620503', '天水市高新技术工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.347,34.1025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37089, 3195, '620503', '琥珀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.443,34.6882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37090, 3195, '620503', '中滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.615,34.7496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37091, 3195, '620503', '天水市麦积区三阳工业示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.455,34.1573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37092, 3195, '620503', '马跑泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.895,34.5522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37093, 3195, '620503', '伯阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.08,34.4532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37094, 3195, '620503', '元龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.089,34.5128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37095, 3195, '620503', '道北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.9,34.6013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37096, 3195, '620503', '天水市麦积区甘泉科技园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.01,34.2212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37097, 3195, '620503', '花牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.863,34.5957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37098, 3195, '620503', '北道埠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.902,34.5595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37099, 3195, '620503', '石佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.658,34.7601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37100, 3195, '620503', '渭南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.582,34.665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37101, 3195, '620503', '麦积镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.007,34.5065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37102, 3195, '620503', '甘泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.935,34.4993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37103, 3195, '620503', '党川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.043,34.356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37104, 3195, '620503', '天水经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.264,34.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37105, 3195, '620503', '天水市麦积区廿铺工业示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.185,34.1125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37106, 3195, '620503', '桥南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.89,34.5546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37107, 3195, '620503', '利桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.259,34.3591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37108, 3195, '620503', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.365,34.5126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37109, 3195, '620503', '五龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.52,34.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37110, 3195, '620503', '天水市农业高新技术示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.267,34.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37111, 3195, '620503', '东岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.52,34.4559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37112, 3196, '620525', '恭门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.34,34.9895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37113, 3196, '620525', '马鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.399,34.9049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37114, 3196, '620525', '阎家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.397,34.9794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37115, 3196, '620525', '张棉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.25,35.1013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37116, 3196, '620525', '平安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.292,35.0588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37117, 3196, '620525', '梁山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.979,35.1151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37118, 3196, '620525', '张家川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.262,35.0336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37119, 3196, '620525', '连五乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.086,35.1146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37120, 3196, '620525', '大阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.099,35.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37121, 3196, '620525', '胡川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.158,34.9648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37122, 3196, '620525', '木河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.145,35.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37123, 3196, '620525', '马关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.996,35.0853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37124, 3196, '620525', '川王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.187,35.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37125, 3196, '620525', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.072,35.0455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37126, 3196, '620525', '刘堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.236,35.0165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37127, 3197, '620521', '白驼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.083,34.8597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37128, 3197, '620521', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.88,34.7962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37129, 3197, '620521', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.219,34.7441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37130, 3197, '620521', '松树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.072,34.963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37131, 3197, '620521', '丰望乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.994,34.6855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37132, 3197, '620521', '清水县科技养殖示范园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.174,34.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37133, 3197, '620521', '王河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.966,34.9293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37134, 3197, '620521', '陇东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.156,34.6444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37135, 3197, '620521', '草川铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.069,34.7335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37136, 3197, '620521', '黄门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.105,34.8921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37137, 3197, '620521', '秦亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.331,34.81', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37138, 3197, '620521', '新城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.21,34.88', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37139, 3197, '620521', '远门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.917,34.855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37140, 3197, '620521', '郭川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.836,34.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37141, 3197, '620521', '金集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.892,34.6948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37142, 3197, '620521', '红堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.918,34.6284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37143, 3197, '620521', '贾川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.876,34.7065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37144, 3197, '620521', '永清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.104,34.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37145, 3197, '620521', '山门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.331,34.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37146, 3198, '620524', '杨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.974,34.5621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37147, 3198, '620524', '山丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.804,34.7767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37148, 3198, '620524', '马力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.661,34.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37149, 3198, '620524', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.895,34.7699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37150, 3198, '620524', '龙台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.873,34.653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37151, 3198, '620524', '洛门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.995,34.8058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37152, 3198, '620524', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.051,34.6845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37153, 3198, '620524', '榆盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.967,34.9531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37154, 3198, '620524', '四门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.982,34.6808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37155, 3198, '620524', '鸳鸯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.79,34.8332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37156, 3198, '620524', '滩歌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.878,34.664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37157, 3198, '620524', '桦林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.799,34.8685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37158, 3198, '620524', '沿安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.963,34.5565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37159, 3198, '620524', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.598,34.8055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37160, 3198, '620524', '咀头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.958,34.8635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37161, 3199, '511902', '大茅坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.747,31.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37162, 3199, '511902', '兴文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.867,31.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37163, 3199, '511902', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.737,31.8373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37164, 3199, '511902', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.742,31.7643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37165, 3199, '511902', '凤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.796,31.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37166, 3199, '511902', '大罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.878,31.6193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37167, 3199, '511902', '大和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.051,31.899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37168, 3199, '511902', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.74,31.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37169, 3199, '511902', '回风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.738,31.9091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37170, 3199, '511902', '宕梁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.778,31.8594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37171, 3199, '511902', '白庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.997,32.0537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37172, 3199, '511902', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.756,31.8538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37173, 3199, '511902', '枣林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.716,31.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37174, 3199, '511902', '平梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.652,31.9093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37175, 3199, '511902', '光辉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.694,31.7965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37176, 3199, '511902', '梁永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.789,31.7167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37177, 3199, '511902', '玉堂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.791,31.8581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37178, 3199, '511902', '天马山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.972,32.0366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37179, 3199, '511902', '水宁寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.094,31.828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37180, 3199, '511902', '曾口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.946,31.7878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37181, 3199, '511902', '化成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.953,31.987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37182, 3199, '511902', '鼎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.731,31.6158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37183, 3199, '511902', '清江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.034,31.9681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37184, 3200, '511923', '双鹿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.079,31.7664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37185, 3200, '511923', '青凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.24,31.5025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37186, 3200, '511923', '石垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.268,31.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37187, 3200, '511923', '驷马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.049,31.8044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37188, 3200, '511923', '马鞍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.49,31.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37189, 3200, '511923', '六门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.984,31.5633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37190, 3200, '511923', '云台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.158,31.5987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37191, 3200, '511923', '鹿鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.326,31.5318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37192, 3200, '511923', '岳家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.052,31.5038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37193, 3200, '511923', '大寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.953,31.5517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37194, 3200, '511923', '西兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.999,31.4057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37195, 3200, '511923', '笔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.383,31.677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37196, 3200, '511923', '白衣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.117,31.4744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37197, 3200, '511923', '得胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.147,31.8509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37198, 3200, '511923', '粉壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.944,31.7684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37199, 3200, '511923', '响滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.938,31.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37200, 3200, '511923', '同州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.081,31.5872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37201, 3200, '511923', '元石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.134,31.5003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37202, 3200, '511923', '元山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.168,31.7378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37203, 3200, '511923', '坦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.043,31.6448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37204, 3200, '511923', '澌滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.246,31.6867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37205, 3200, '511923', '土兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.07,31.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37206, 3200, '511923', '高峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.937,31.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37207, 3200, '511923', '土垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.967,31.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37208, 3200, '511923', '福申乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.914,31.553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37209, 3200, '511923', '南风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.844,31.4896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37210, 3200, '511923', '龙岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.923,31.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37211, 3200, '511923', '兰草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.952,31.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37212, 3200, '511923', '黑水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.891,31.4487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37213, 3200, '511923', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.139,31.5864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37214, 3200, '511923', '涵水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.092,31.387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37215, 3200, '511923', '泥龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.41,31.612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37216, 3200, '511923', '五木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.16,31.7798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37217, 3200, '511923', '界牌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.398,31.7665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37218, 3200, '511923', '灵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.218,31.6772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37219, 3200, '511923', '镇龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.467,31.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37220, 3200, '511923', '邱家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.31,31.6532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37221, 3200, '511923', '青云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.96,31.6286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37222, 3200, '511923', '板庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.2,31.5562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37223, 3200, '511923', '岩口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.429,31.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37224, 3200, '511923', '澌岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.932,31.7504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37225, 3200, '511923', '望京镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.512,31.7711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37226, 3200, '511923', '佛楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.948,31.2637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37227, 3200, '511923', '喜神乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.442,31.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37228, 3201, '511921', '龙凤场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.708,32.0304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37229, 3201, '511921', '新场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.176,32.1853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37230, 3201, '511921', '瓦室镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.35,32.1009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37231, 3201, '511921', '至诚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.429,32.0202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37232, 3201, '511921', '文峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.362,31.6727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37233, 3201, '511921', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.45,32.1738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37234, 3201, '511921', '民胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.167,31.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37235, 3201, '511921', '陈河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.069,32.1904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37236, 3201, '511921', '春在镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.325,31.9375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37237, 3201, '511921', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.272,32.0726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37238, 3201, '511921', '泥溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.359,32.2703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37239, 3201, '511921', '九层乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.494,32.1109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37240, 3201, '511921', '朱元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.632,32.232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37241, 3201, '511921', '青浴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.234,32.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37242, 3201, '511921', '毛裕乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.347,31.9806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37243, 3201, '511921', '唱歌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.411,31.9538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37244, 3201, '511921', '广纳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.167,31.8711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37245, 3201, '511921', '烟溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.252,32.1785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37246, 3201, '511921', '董溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.744,32.0959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37247, 3201, '511921', '沙坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.36,32.3396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37248, 3201, '511921', '洪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.543,32.0447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37249, 3201, '511921', '铁佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.405,31.7928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37250, 3201, '511921', '松溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.558,32.2156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37251, 3201, '511921', '澌波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.626,32.157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37252, 3201, '511921', '火炬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.051,31.9854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37253, 3201, '511921', '麻石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.319,31.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37254, 3201, '511921', '板桥口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.086,32.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37255, 3201, '511921', '铁厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.05,32.3968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37256, 3201, '511921', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.149,31.9907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37257, 3201, '511921', '双泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.243,31.7182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37258, 3201, '511921', '板凳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.432,32.0715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37259, 3201, '511921', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.491,32.2563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37260, 3201, '511921', '芝苞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.482,31.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37261, 3201, '511921', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.353,32.1075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37262, 3201, '511921', '回林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107,32.0584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37263, 3201, '511921', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.169,31.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37264, 3201, '511921', '空山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.433,32.4831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37265, 3201, '511921', '草池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.082,32.0561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37266, 3201, '511921', '云昙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.388,31.8687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37267, 3201, '511921', '杨柏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.053,31.9075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37268, 3201, '511921', '文胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.348,32.0819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37269, 3201, '511921', '涪阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.159,32.0887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37270, 3201, '511921', '诺江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.174,31.8676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37271, 3201, '511921', '东山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.282,31.8057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37272, 3201, '511921', '三合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.312,31.8174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37273, 3201, '511921', '诺水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.161,32.2921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37274, 3201, '511921', '长坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.527,32.3826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37275, 3201, '511921', '两河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.46,32.4461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37276, 3201, '511921', '铁溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.655,32.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37277, 3202, '511922', '神门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.014,32.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37278, 3202, '511922', '下两镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.766,32.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37279, 3202, '511922', '坪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.729,32.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37280, 3202, '511922', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.515,32.0622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37281, 3202, '511922', '关坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.088,32.6446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37282, 3202, '511922', '正直镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.654,31.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37283, 3202, '511922', '石滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.834,32.1175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37284, 3202, '511922', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.997,32.0618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37285, 3202, '511922', '杨坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.735,32.4891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37286, 3202, '511922', '高塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.831,32.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37287, 3202, '511922', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.758,32.3185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37288, 3202, '511922', '元潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.787,32.0415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37289, 3202, '511922', '关门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.861,32.2714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37290, 3202, '511922', '兴马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.933,32.3158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37291, 3202, '511922', '赤溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.747,32.1798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37292, 3202, '511922', '双流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.528,31.9517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37293, 3202, '511922', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.778,32.2155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37294, 3202, '511922', '光雾山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.795,32.576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37295, 3202, '511922', '长赤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.672,32.2068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37296, 3202, '511922', '赶场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.921,32.4426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37297, 3202, '511922', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.06,32.1722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37298, 3202, '511922', '公山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.819,32.2771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37299, 3202, '511922', '贵民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.977,32.5342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37300, 3202, '511922', '桥亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.859,32.462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37301, 3202, '511922', '八庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.829,32.174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37302, 3202, '511922', '天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.583,32.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37303, 3202, '511922', '侯家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.588,32.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37304, 3202, '511922', '云顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.655,32.0504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37305, 3202, '511922', '集州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.768,32.4081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37306, 3202, '511922', '关路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.937,32.3095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37307, 3202, '511922', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.833,32.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37308, 3202, '511922', '红光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.618,32.0991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37309, 3203, '511903', '三汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.584,31.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37310, 3203, '511903', '群乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.565,31.5588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37311, 3203, '511903', '尹家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.376,31.6921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37312, 3203, '511903', '上八庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.555,31.8143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37313, 3203, '511903', '九镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.456,31.8846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37314, 3203, '511903', '茶坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.535,31.5861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37315, 3203, '511903', '花丛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.397,31.728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37316, 3203, '511903', '关公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.619,31.6414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37317, 3203, '511903', '文治街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.689,31.7369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37318, 3203, '511903', '登科街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.713,31.7666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37319, 3203, '511903', '司成街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.555,31.8136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37320, 3203, '511903', '渔溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.476,31.7689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37321, 3203, '511903', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.524,31.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37322, 3203, '511903', '雪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.407,31.8999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37323, 3203, '511903', '下八庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.519,31.6837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37324, 3203, '511903', '明阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.576,31.7504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37325, 3203, '511903', '双胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.624,31.6283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37326, 3203, '511903', '玉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.727,31.6886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37327, 3203, '511903', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.641,31.7501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37328, 3204, '510182', '龙门山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.806,31.4331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37329, 3204, '510182', '丽春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.877,31.0046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37330, 3204, '510182', '磁峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.735,31.1493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37331, 3204, '510182', '敖平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.027,31.0998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37332, 3204, '510182', '升平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.019,30.9989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37333, 3204, '510182', '丹景山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.905,31.125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37334, 3204, '510182', '致和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.923,30.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37335, 3204, '510182', '军乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.949,31.0608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37336, 3204, '510182', '三界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.038,31.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37337, 3204, '510182', '桂花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.823,31.0387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37338, 3204, '510182', '九尺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.047,31.0164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37339, 3204, '510182', '白鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.912,31.1665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37340, 3204, '510182', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.81,31.1637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37341, 3204, '510182', '通济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.856,31.2186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37342, 3204, '510182', '小渔洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.689,31.2285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37343, 3204, '510182', '红岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.97,31.2074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37344, 3204, '510182', '隆丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.879,31.0583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37345, 3204, '510182', '葛仙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.913,31.16', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37346, 3204, '510182', '天彭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.902,30.9918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37347, 3204, '510182', '蒙阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.133,30.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37348, 3205, '510181', '安龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.632,30.7736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37349, 3205, '510181', '石羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.666,30.8817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37350, 3205, '510181', '崇义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.697,30.9146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37351, 3205, '510181', '大观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.48,30.8867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37352, 3205, '510181', '柳街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.638,30.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37353, 3205, '510181', '向峨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.709,31.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37354, 3205, '510181', '玉堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.561,30.9983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37355, 3205, '510181', '天马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.707,30.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37356, 3205, '510181', '聚源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.643,30.9433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37357, 3205, '510181', '蒲阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.682,31.0959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37358, 3205, '510181', '青城山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.51,30.9491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37359, 3205, '510181', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.638,30.9999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37360, 3205, '510181', '中兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.518,30.9529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37361, 3205, '510181', '银杏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.668,30.9977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37362, 3205, '510181', '永丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.663,30.9903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37363, 3205, '510181', '胥家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.737,30.9939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37364, 3205, '510181', '奎光塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.611,30.9835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37365, 3205, '510181', '灌口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.633,31.0002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37366, 3205, '510181', '龙池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.577,31.2863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37367, 3206, '510129', '蔡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.688,30.476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37368, 3206, '510129', '董场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.698,30.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37369, 3206, '510129', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.531,30.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37370, 3206, '510129', '青霞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.507,30.6634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37371, 3206, '510129', '斜源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.299,30.6225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37372, 3206, '510129', '上安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.587,30.4271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37373, 3206, '510129', '雾山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.379,30.6661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37374, 3206, '510129', '沙渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.721,30.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37375, 3206, '510129', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.416,30.6835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37376, 3206, '510129', '王泗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.397,30.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37377, 3206, '510129', '出江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.277,30.6159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37378, 3206, '510129', '苏家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.541,30.5142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37379, 3206, '510129', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.374,30.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37380, 3206, '510129', '鹤鸣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.374,30.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37381, 3206, '510129', '西岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.007,30.7896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37382, 3206, '510129', '晋原街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.525,30.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37383, 3206, '510129', '金星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.479,30.6686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37384, 3206, '510129', '安仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.658,30.5089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37385, 3206, '510129', '韩场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.668,30.475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37386, 3206, '510129', '花水湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.166,30.5557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37387, 3207, '510131', '复兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.452,30.2718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37388, 3207, '510131', '大塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.358,30.2989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37389, 3207, '510131', '成佳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.376,30.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37390, 3207, '510131', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.442,30.2778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37391, 3207, '510131', '朝阳湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.41,30.1864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37392, 3207, '510131', '西来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.584,30.309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37393, 3207, '510131', '鹤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.533,30.2432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37394, 3207, '510131', '甘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.321,30.2338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37395, 3207, '510131', '长秋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.648,30.2543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37396, 3207, '510131', '寿安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.577,30.2797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37397, 3207, '510131', '光明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.49,30.1575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37398, 3207, '510131', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.387,30.1295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37399, 3208, '510113', '人和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.39,30.7098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37400, 3208, '510113', '祥福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.246,30.8307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37401, 3208, '510113', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.297,30.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37402, 3208, '510113', '红阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.262,30.905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37403, 3208, '510113', '姚渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.362,30.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37404, 3208, '510113', '清泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.367,30.7887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37405, 3208, '510113', '福洪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.327,30.7397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37406, 3208, '510113', '龙王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.264,30.7871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37407, 3208, '510113', '弥牟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.167,30.8609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37408, 3208, '510113', '大弯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.255,30.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37409, 3208, '510113', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.346,30.9051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37410, 3209, '510185', '镇金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.33,30.2034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37411, 3209, '510185', '董家埂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.314,30.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37412, 3209, '510185', '江源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.496,30.2751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37413, 3209, '510185', '福田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.336,30.2708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37414, 3209, '510185', '永宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.548,30.2505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37415, 3209, '510185', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.582,30.2961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37416, 3209, '510185', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.253,30.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37417, 3209, '510185', '雷家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.484,30.2301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37418, 3209, '510185', '老龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.407,30.1383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37419, 3209, '510185', '清风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.372,30.2646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37420, 3209, '510185', '芦葭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.476,30.3002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37421, 3209, '510185', '同合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.579,30.6065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37422, 3209, '510185', '望水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.451,30.2182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37423, 3209, '510185', '平泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.62,30.3699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37424, 3209, '510185', '涌泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.847,30.4013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37425, 3209, '510185', '安乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.774,30.3302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37426, 3209, '510185', '五星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.694,30.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37427, 3209, '510185', '老君井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.302,30.4377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37428, 3209, '510185', '平窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.557,30.5432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37429, 3209, '510185', '三星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.589,30.5863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37430, 3209, '510185', '灵仙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.494,30.5453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37431, 3209, '510185', '海螺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.411,30.3803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37432, 3209, '510185', '金马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.776,30.44', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37433, 3209, '510185', '武庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.272,30.4013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37434, 3209, '510185', '石钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.62,30.5006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37435, 3209, '510185', '禾丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.744,30.4802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37436, 3209, '510185', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.626,30.5369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37437, 3209, '510185', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.733,30.5256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37438, 3209, '510185', '云龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.815,30.4778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37439, 3209, '510185', '丹景乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.252,30.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37440, 3209, '510185', '养马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.51,30.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37441, 3209, '510185', '玉成乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.316,30.3619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37442, 3209, '510185', '普安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.665,30.4267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37443, 3209, '510185', '平武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.681,30.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37444, 3209, '510185', '平息乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.795,30.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37445, 3209, '510185', '坛罐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.361,30.3911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37446, 3209, '510185', '壮溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.542,30.5599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37447, 3209, '510185', '东溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.613,30.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37448, 3209, '510185', '施家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.774,30.3279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37449, 3209, '510185', '周家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.438,30.5913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37450, 3209, '510185', '贾家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.332,30.494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37451, 3209, '510185', '飞龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.661,30.3211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37452, 3209, '510185', '新星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.642,30.6139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37453, 3209, '510185', '五合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.811,30.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37454, 3209, '510185', '五指乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.318,30.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37455, 3209, '510185', '宏缘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.545,30.6269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37456, 3209, '510185', '高明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.313,30.4169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37457, 3209, '510185', '太平桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.43,30.4329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37458, 3209, '510185', '石盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.445,30.4659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37459, 3209, '510185', '草池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.438,30.3255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37460, 3209, '510185', '石板凳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.443,30.3039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37461, 3209, '510185', '踏水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.699,30.5092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37462, 3209, '510185', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.438,30.4233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37463, 3209, '510185', '新民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.238,30.2885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37464, 3209, '510185', '射洪坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.587,30.3965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37465, 3209, '510185', '简城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.507,30.3341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37466, 3209, '510185', '杨柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.503,30.441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37467, 3209, '510185', '十里坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.542,30.3098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37468, 3210, '510184', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.79,30.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37469, 3210, '510184', '江源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.747,30.5937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37470, 3210, '510184', '公议乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.546,30.7106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37471, 3210, '510184', '崇平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.728,30.709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37472, 3210, '510184', '廖家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.73,30.7495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37473, 3210, '510184', '文井江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.396,30.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37474, 3210, '510184', '白头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.621,30.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37475, 3210, '510184', '燎原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.618,30.5855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37476, 3210, '510184', '王场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.565,30.625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37477, 3210, '510184', '大划镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.719,30.598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37478, 3210, '510184', '鸡冠山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.154,30.8241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37479, 3210, '510184', '三郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.447,30.7844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37480, 3210, '510184', '集贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.657,30.5969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37481, 3210, '510184', '桤泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.638,30.544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37482, 3210, '510184', '观胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.633,30.7578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37483, 3210, '510184', '崇阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.701,30.6578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37484, 3210, '510184', '怀远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.548,30.771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37485, 3210, '510184', '道明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.562,30.7015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37486, 3210, '510184', '隆兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.627,30.5952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37487, 3210, '510184', '梓潼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.689,30.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37488, 3210, '510184', '羊马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.74,30.6986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37489, 3210, '510184', '锦江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.646,30.6753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37490, 3210, '510184', '元通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.604,30.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37491, 3210, '510184', '街子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.534,30.8081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37492, 3210, '510184', '济协乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.61,30.6478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37493, 3211, '510121', '转龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.795,30.7182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37494, 3211, '510121', '又新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.812,30.5866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37495, 3211, '510121', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.671,30.7475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37496, 3211, '510121', '土桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.807,30.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37497, 3211, '510121', '云合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.731,30.5281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37498, 3211, '510121', '竹篙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.75,30.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37499, 3211, '510121', '隆盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.748,30.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37500, 3211, '510121', '五凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.448,30.6167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37501, 3211, '510121', '白果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.52,30.6827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37502, 3211, '510121', '广兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.833,30.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37503, 3211, '510121', '淮口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.479,30.7998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37504, 3211, '510121', '平桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.614,30.6187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37505, 3211, '510121', '赵镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.382,30.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37506, 3211, '510121', '赵家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.52,30.8195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37507, 3211, '510121', '三星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.45,30.838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37508, 3211, '510121', '栖贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.51,30.935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37509, 3211, '510121', '高板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.605,30.7032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37510, 3211, '510121', '官仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.457,30.9483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37511, 3211, '510121', '清江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.358,30.9113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37512, 3211, '510121', '福兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.576,30.8395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37513, 3211, '510121', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.61,30.7842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37514, 3212, '510183', '冉义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.639,30.4607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37515, 3212, '510183', '平乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.293,30.4039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37516, 3212, '510183', '临邛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.43,30.3652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37517, 3212, '510183', '羊安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.667,30.3855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37518, 3212, '510183', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.431,30.3597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37519, 3212, '510183', '固驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.543,30.354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37520, 3212, '510183', '牟礼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.647,30.3867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37521, 3212, '510183', '茶园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.373,30.5393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37522, 3212, '510183', '临济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.353,30.3217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37523, 3212, '510183', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.653,30.3078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37524, 3212, '510183', '宝林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.495,30.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37525, 3212, '510183', '桑园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.466,30.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37526, 3212, '510183', '高何镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.128,30.3672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37527, 3212, '510183', '天台山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.164,30.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37528, 3212, '510183', '夹关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.199,30.267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37529, 3212, '510183', '火井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.224,30.4082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37530, 3212, '510183', '孔明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.379,30.4002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37531, 3212, '510183', '大同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.284,30.5028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37532, 3212, '510183', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.22,30.5046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37533, 3212, '510183', '高埂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.596,30.405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37534, 3212, '510183', '前进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.553,30.4335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37535, 3212, '510183', '道佐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.28,30.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37536, 3212, '510183', '南宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.134,30.4611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37537, 3213, '510132', '永商镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.806,30.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37538, 3213, '510132', '邓双镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.806,30.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37539, 3213, '510132', '普兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.878,30.4425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37540, 3213, '510132', '五津街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.772,30.4722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37541, 3213, '510132', '花源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.845,30.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37542, 3213, '510132', '金华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.911,30.3785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37543, 3213, '510132', '兴义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.798,30.5009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37544, 3213, '510132', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.86,30.4475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37545, 3213, '510132', '新平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.751,30.4271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37546, 3213, '510132', '方兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.753,30.3964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37547, 3213, '510132', '文井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.771,30.4778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37548, 3213, '510132', '安西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.742,30.3984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37549, 3214, '510115', '天府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.799,30.6512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37550, 3214, '510115', '金马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.856,30.6418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37551, 3214, '510115', '和盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.745,30.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37552, 3214, '510115', '柳城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.846,30.6931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37553, 3214, '510115', '永盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.769,30.6523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37554, 3214, '510115', '涌泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.905,30.673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37555, 3214, '510115', '万春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.747,30.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37556, 3214, '510115', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.931,30.7203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37557, 3214, '510115', '公平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.845,30.6967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37558, 3214, '510115', '寿安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.745,30.8319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37559, 3215, '510117', '友爱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.82,30.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37560, 3215, '510117', '安德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.773,30.8823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37561, 3215, '510117', '郫筒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.852,30.8188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37562, 3215, '510117', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.974,30.7944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37563, 3215, '510117', '三道堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.897,30.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37564, 3215, '510117', '德源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.839,30.7606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37565, 3215, '510117', '犀浦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.965,30.7952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37566, 3215, '510117', '合作街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.945,30.7223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37567, 3215, '510117', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.901,30.8818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37568, 3215, '510117', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.771,30.8532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37569, 3215, '510117', '唐昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.782,30.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37570, 3215, '510117', '新民场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.841,30.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37571, 3215, '510117', '唐元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.855,30.9151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37572, 3215, '510117', '安靖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.982,30.7796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37573, 3215, '510117', '红光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.936,30.8414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37574, 3216, '510116', '正兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.012,30.458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37575, 3216, '510116', '黄水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.903,30.5578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37576, 3216, '510116', '彭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.84,30.5947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37577, 3216, '510116', '九江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.946,30.6598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37578, 3216, '510116', '公兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.961,30.4804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37579, 3216, '510116', '黄甲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.93,30.5146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37580, 3216, '510116', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.909,30.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37581, 3216, '510116', '黄龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.94,30.3942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37582, 3216, '510116', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.983,30.4353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37583, 3216, '510116', '籍田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.999,30.3441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37584, 3216, '510116', '西航港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.009,30.5844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37585, 3216, '510116', '煎茶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.008,30.3723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37586, 3216, '510116', '金桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.837,30.6028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37587, 3216, '510116', '东升街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.951,30.6141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37588, 3216, '510116', '大林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.062,30.3023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37589, 3216, '510116', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.203,30.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37590, 3216, '510116', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.209,30.455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37591, 3216, '510116', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.118,30.4417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37592, 3216, '510116', '合江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.132,30.4041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37593, 3216, '510116', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.118,30.5021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37594, 3216, '510116', '三星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.117,30.3277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37595, 3216, '510116', '新兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.126,30.5423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37596, 3216, '510116', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.102,30.3477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37597, 3216, '510116', '中和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.123,30.5427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37598, 3216, '510116', '华阳镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.049,30.5282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37599, 3216, '510116', '协和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.054,30.5301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37600, 3217, '510107', '金花桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.973,30.6029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37601, 3217, '510107', '簇锦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.013,30.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37602, 3217, '510107', '石羊场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.032,30.601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37603, 3217, '510107', '机投桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.969,30.6496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37604, 3217, '510107', '红牌楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.01,30.6431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37605, 3217, '510107', '晋阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.991,30.6532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37606, 3217, '510107', '双楠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.029,30.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37607, 3217, '510107', '华兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.012,30.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37608, 3217, '510107', '肖家河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.04,30.6315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37609, 3217, '510107', '簇桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.971,30.6274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37610, 3217, '510107', '芳草街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.055,30.6332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37611, 3217, '510107', '玉林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.059,30.6453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37612, 3217, '510107', '火车南站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.076,30.6203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37613, 3217, '510107', '浆洗街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.048,30.6512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37614, 3217, '510107', '跳伞塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.067,30.625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37615, 3217, '510107', '望江路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.076,30.6356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37616, 3217, '510107', '桂溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.06,30.5983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37617, 3218, '510106', '茶店子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.013,30.6993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37618, 3218, '510106', '黄忠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.011,30.685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37619, 3218, '510106', '西华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.008,30.7228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37620, 3218, '510106', '金泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.991,30.6957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37621, 3218, '510106', '沙河源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.071,30.7162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37622, 3218, '510106', '营门口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.023,30.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37623, 3218, '510106', '西安路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.029,30.6807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37624, 3218, '510106', '荷花池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.058,30.6877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37625, 3218, '510106', '五块石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.061,30.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37626, 3218, '510106', '天回镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.073,30.7614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37627, 3218, '510106', '驷马桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.092,30.6874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37628, 3218, '510106', '凤凰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.074,30.7167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37629, 3218, '510106', '九里堤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.039,30.7086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37630, 3218, '510106', '抚琴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.049,30.6944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37631, 3218, '510106', '人民北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.072,30.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37632, 3219, '510114', '龙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.009,30.8511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37633, 3219, '510114', '新繁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.044,30.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37634, 3219, '510114', '大丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.096,30.7661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37635, 3219, '510114', '斑竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.044,30.8321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37636, 3219, '510114', '清流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.013,30.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37637, 3219, '510114', '马家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.099,30.8745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37638, 3219, '510114', '新都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.169,30.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37639, 3219, '510114', '泰兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.201,30.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37640, 3219, '510114', '木兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.177,30.7454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37641, 3219, '510114', '石板滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.317,30.7463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37642, 3219, '510114', '三河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.158,30.7389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37643, 3219, '510114', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.057,30.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37644, 3219, '510114', '军屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.144,30.9078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37645, 3220, '510112', '万兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.391,30.6565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37646, 3220, '510112', '山泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.3,30.5736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37647, 3220, '510112', '大面街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.219,30.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37648, 3220, '510112', '柏合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.202,30.491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37649, 3220, '510112', '茶店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.355,30.5774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37650, 3220, '510112', '西河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.201,30.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37651, 3220, '510112', '十陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.189,30.6153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37652, 3220, '510112', '洛带镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.293,30.6681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37653, 3220, '510112', '洪安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.315,30.6672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37654, 3220, '510112', '黄土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.262,30.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37655, 3220, '510112', '同安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.276,30.612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37656, 3220, '510112', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.253,30.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37657, 3221, '510108', '双水碾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.079,30.7153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37658, 3221, '510108', '圣灯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.16,30.6809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37659, 3221, '510108', '桃蹊路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.12,30.6807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37660, 3221, '510108', '猛追湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.097,30.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37661, 3221, '510108', '万年场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.138,30.6503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37662, 3221, '510108', '保和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.137,30.6577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37663, 3221, '510108', '龙潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.17,30.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37664, 3221, '510108', '建设路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.104,30.6784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37665, 3221, '510108', '跳蹬河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.136,30.6645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37666, 3221, '510108', '府青路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.105,30.6972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37667, 3221, '510108', '二仙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.12,30.6954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37668, 3221, '510108', '青龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.125,30.6936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37669, 3221, '510108', '白莲池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.128,30.7412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37670, 3221, '510108', '双桥子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.099,30.6486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37671, 3222, '510105', '苏坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.978,30.6872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37672, 3222, '510105', '文家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.93,30.7196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37673, 3222, '510105', '光华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.021,30.6525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37674, 3222, '510105', '黄田坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.954,30.717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37675, 3222, '510105', '东坡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.994,30.6587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37676, 3222, '510105', '府南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.017,30.6823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37677, 3222, '510105', '草堂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.025,30.6548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37678, 3222, '510105', '金沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.01,30.6903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37679, 3222, '510105', '西御河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.068,30.6583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37680, 3222, '510105', '少城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.051,30.6697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37681, 3222, '510105', '汪家拐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.054,30.6513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37682, 3222, '510105', '新华西路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.062,30.68', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37683, 3222, '510105', '草市街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.079,30.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37684, 3222, '510105', '太升路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.078,30.6708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37685, 3223, '510104', '莲新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.09,30.6407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37686, 3223, '510104', '书院街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.092,30.6603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37687, 3223, '510104', '盐市口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.069,30.6525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37688, 3223, '510104', '督院街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.068,30.6526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37689, 3223, '510104', '龙舟路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.094,30.6276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37690, 3223, '510104', '成龙路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.137,30.6189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37691, 3223, '510104', '狮子山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.119,30.6053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37692, 3223, '510104', '牛市口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.097,30.6435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37693, 3223, '510104', '合江亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.077,30.6511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37694, 3223, '510104', '柳江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.079,30.5783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37695, 3223, '510104', '水井坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.086,30.6491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37696, 3223, '510104', '沙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.112,30.6206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37697, 3223, '510104', '双桂路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.108,30.6404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37698, 3223, '510104', '东光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.095,30.6213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37699, 3223, '510104', '三圣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.126,30.5621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37700, 3223, '510104', '春熙路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.074,30.6599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37701, 3224, '510682', '隐丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.029,31.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37702, 3224, '510682', '蓥华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.987,31.3433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37703, 3224, '510682', '冰川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.929,31.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37704, 3224, '510682', '师古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.022,31.1293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37705, 3224, '510682', '红白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.921,31.5381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37706, 3224, '510682', '湔氐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.006,31.2451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37707, 3224, '510682', '元石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.153,31.1268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37708, 3224, '510682', '马井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.078,31.0499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37709, 3224, '510682', '禾丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.242,31.1365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37710, 3224, '510682', '南泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.075,31.1539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37711, 3224, '510682', '双盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.133,31.1881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37712, 3224, '510682', '方亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.161,31.1366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37713, 3224, '510682', '回澜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.198,31.1381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37714, 3224, '510682', '马祖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.09,31.1629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37715, 3224, '510682', '皂角街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.169,31.1359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37716, 3224, '510682', '洛水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.008,31.2451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37717, 3225, '510623', '万福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.11,30.754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37718, 3225, '510623', '冯店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.843,30.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37719, 3225, '510623', '普兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.095,30.6475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37720, 3225, '510623', '民主乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.829,30.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37721, 3225, '510623', '积金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.922,30.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37722, 3225, '510623', '联合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.06,30.7722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37723, 3225, '510623', '白果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.789,30.7013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37724, 3225, '510623', '太安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.931,30.6204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37725, 3225, '510623', '仓山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.081,30.6595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37726, 3225, '510623', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.753,30.7779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37727, 3225, '510623', '石龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.008,30.7991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37728, 3225, '510623', '永丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.097,30.5936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37729, 3225, '510623', '广福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.975,30.7984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37730, 3225, '510623', '会龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.986,30.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37731, 3225, '510623', '元兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.965,30.5767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37732, 3225, '510623', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.826,30.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37733, 3225, '510623', '黄鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.732,31.2812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37734, 3225, '510623', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.76,30.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37735, 3225, '510623', '通山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.963,30.849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37736, 3225, '510623', '南华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.635,31.0389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37737, 3225, '510623', '石泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.494,30.9461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37738, 3225, '510623', '杰兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.636,31.1255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37739, 3225, '510623', '合兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.594,30.9332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37740, 3225, '510623', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.551,30.8742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37741, 3225, '510623', '东北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.736,31.1268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37742, 3225, '510623', '继光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.874,30.8579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37743, 3225, '510623', '通济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.758,31.1353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37744, 3225, '510623', '瓦店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.562,31.1465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37745, 3225, '510623', '石笋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.71,30.7765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37746, 3225, '510623', '南山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.634,30.976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37747, 3225, '510623', '古店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.448,31.0127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37748, 3225, '510623', '辑庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.663,30.9696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37749, 3225, '510623', '集凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.604,31.0609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37750, 3225, '510623', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.779,31.0605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37751, 3225, '510623', '富兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.584,31.1297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37752, 3225, '510623', '龙台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.795,30.8573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37753, 3225, '510623', '凯江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.668,31.052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37754, 3225, '510623', '清河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.705,30.9186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37755, 3225, '510623', '永太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.669,31.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37756, 3225, '510623', '玉兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.705,30.9664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37757, 3225, '510623', '高店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.805,30.8682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37758, 3225, '510623', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.709,30.8711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37759, 3225, '510623', '青市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.586,31.2226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37760, 3225, '510623', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.875,30.9347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37761, 3225, '510623', '柏树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.906,30.942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37762, 3226, '510681', '雒城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.262,30.97', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37763, 3226, '510681', '松林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.464,30.978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37764, 3226, '510681', '南丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.244,31.0309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37765, 3226, '510681', '小汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.286,31.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37766, 3226, '510681', '西外乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.221,30.9728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37767, 3226, '510681', '金鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.384,31.0405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37768, 3226, '510681', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.223,31.1013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37769, 3226, '510681', '北外乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.271,31.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37770, 3226, '510681', '和兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.334,30.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37771, 3226, '510681', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.16,30.9454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37772, 3226, '510681', '新丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.295,30.9688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37773, 3226, '510681', '金轮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.234,31.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37774, 3226, '510681', '西高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.191,31.0718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37775, 3226, '510681', '南兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.121,31.0183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37776, 3226, '510681', '三水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.324,30.9455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37777, 3226, '510681', '高坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.228,31.026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37778, 3226, '510681', '新平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.262,31.0027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37779, 3226, '510681', '连山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.446,31.0256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37780, 3227, '510603', '旌阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.391,31.1396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37781, 3227, '510603', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.384,31.1445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37782, 3227, '510603', '扬嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.28,31.203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37783, 3227, '510603', '新中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.563,31.134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37784, 3227, '510603', '天元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.275,31.1503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37785, 3227, '510603', '双东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.553,31.2156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37786, 3227, '510603', '黄许镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.436,31.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37787, 3227, '510603', '德新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.326,31.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37788, 3227, '510603', '孝泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.29,31.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37789, 3227, '510603', '和新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.425,31.0911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37790, 3227, '510603', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.375,31.1116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37791, 3227, '510603', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.404,31.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37792, 3227, '510603', '八角井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.366,31.0519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37793, 3227, '510603', '旌东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.405,31.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37794, 3227, '510603', '柏隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.332,31.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37795, 3227, '510603', '孝感镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.384,31.157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37796, 3227, '510603', '东湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.408,31.1585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37797, 3228, '510604', '调元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.479,31.3851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37798, 3228, '510604', '略坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.361,31.3405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37799, 3228, '510604', '鄢家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.555,31.2113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37800, 3228, '510604', '新盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.645,31.3248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37801, 3228, '510604', '白马关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.467,31.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37802, 3228, '510604', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.592,31.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37803, 3228, '510604', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.585,31.3886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37804, 3229, '510683', '清平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.005,31.6823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37805, 3229, '510683', '剑南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.194,31.3489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37806, 3229, '510683', '齐天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.281,31.2952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37807, 3229, '510683', '什地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.263,31.3518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37808, 3229, '510683', '玉泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.121,31.2681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37809, 3229, '510683', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.204,31.4031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37810, 3229, '510683', '孝德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.222,31.3199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37811, 3229, '510683', '遵道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.13,31.3868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37812, 3229, '510683', '金花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.064,31.2996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37813, 3229, '510683', '富新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.303,31.362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37814, 3229, '510683', '天池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.129,31.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37815, 3229, '510683', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.135,31.2244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37816, 3229, '510683', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.13,31.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37817, 3229, '510683', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.152,31.3149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37818, 3229, '510683', '拱星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.212,31.4735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37819, 3229, '510683', '绵远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.259,31.4237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37820, 3229, '510683', '西南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.176,31.3615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37821, 3229, '510683', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.063,31.3003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37822, 3229, '510683', '汉旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.209,31.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37823, 3229, '510683', '四川绵竹经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.208,31.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37824, 3229, '510683', '东北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.212,31.3272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37825, 3229, '510683', '广济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.045,31.2619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37826, 3230, '510811', '柏林沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.844,32.0691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37827, 3230, '510811', '大朝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.609,32.315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37828, 3230, '510811', '磨滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.064,32.1825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37829, 3230, '510811', '拣银岩社区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.006,32.2936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37830, 3230, '510811', '梅树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.886,32.2727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37831, 3230, '510811', '青牛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.728,31.9017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37832, 3230, '510811', '陈江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.712,31.9683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37833, 3230, '510811', '香溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.796,31.9805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37834, 3230, '510811', '黄龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.722,32.1163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37835, 3230, '510811', '晋贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.909,32.1929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37836, 3230, '510811', '虎跳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.714,31.999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37837, 3230, '510811', '卫子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.821,32.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37838, 3230, '510811', '昭化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.685,32.387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37839, 3230, '510811', '射箭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.776,32.343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37840, 3230, '510811', '丁家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.767,32.0623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37841, 3230, '510811', '石井铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.811,32.1222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37842, 3230, '510811', '文村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.981,32.0764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37843, 3230, '510811', '张家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.784,32.0434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37844, 3230, '510811', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.864,32.02', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37845, 3230, '510811', '红岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.676,32.2159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37846, 3230, '510811', '柳桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.064,32.3084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37847, 3230, '510811', '白果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.746,32.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37848, 3230, '510811', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.956,32.1685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37849, 3230, '510811', '紫云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.908,32.2139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37850, 3230, '510811', '太公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.794,32.0441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37851, 3230, '510811', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.686,32.3114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37852, 3230, '510811', '沙坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.635,32.2065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37853, 3230, '510811', '明觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.801,32.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37854, 3230, '510811', '元坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.973,32.3113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37855, 3231, '510823', '汉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.474,32.2241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37856, 3231, '510823', '凉山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.402,32.0324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37857, 3231, '510823', '西庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.329,32.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37858, 3231, '510823', '柘坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.501,31.6999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37859, 3231, '510823', '白龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.573,31.8319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37860, 3231, '510823', '迎水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.501,31.7791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37861, 3231, '510823', '柏垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.61,32.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37862, 3231, '510823', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.675,31.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37863, 3231, '510823', '木马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.636,31.9545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37864, 3231, '510823', '碑垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.579,31.7742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37865, 3231, '510823', '下寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.566,32.311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37866, 3231, '510823', '羊岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.716,31.7989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37867, 3231, '510823', '店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.566,31.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37868, 3231, '510823', '碗泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.346,31.773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37869, 3231, '510823', '樵店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.709,31.8039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37870, 3231, '510823', '高池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.424,31.8768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37871, 3231, '510823', '北庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.447,32.1434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37872, 3231, '510823', '吼狮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.589,31.6644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37873, 3231, '510823', '江口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.655,32.0908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37874, 3231, '510823', '公店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.352,31.7055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37875, 3231, '510823', '马灯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.264,31.7859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37876, 3231, '510823', '国光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.351,31.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37877, 3231, '510823', '禾丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.532,31.8619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37878, 3231, '510823', '摇铃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.501,31.7845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37879, 3231, '510823', '上寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,32.3352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37880, 3231, '510823', '锦屏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.674,31.7597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37881, 3231, '510823', '秀钟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.25,32.0342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37882, 3231, '510823', '王河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.438,31.6777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37883, 3231, '510823', '香沉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.689,31.6893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37884, 3231, '510823', '演圣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.499,31.6506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37885, 3231, '510823', '闻溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.559,32.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37886, 3231, '510823', '公兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.606,31.6891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37887, 3231, '510823', '柳沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.333,31.9298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37888, 3231, '510823', '涂山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.714,31.6515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37889, 3231, '510823', '东宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.201,32.0085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37890, 3231, '510823', '江石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.479,31.9791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37891, 3231, '510823', '鹤龄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.773,31.9333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37892, 3231, '510823', '长岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.547,31.5643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37893, 3231, '510823', '武连镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.228,31.9074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37894, 3231, '510823', '毛坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.337,31.8978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37895, 3231, '510823', '义兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.404,31.8719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37896, 3231, '510823', '正兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.306,31.8228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37897, 3231, '510823', '开封镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.346,31.773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37898, 3231, '510823', '金仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.591,31.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37899, 3231, '510823', '圈龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.671,31.7043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37900, 3231, '510823', '广坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.535,31.7699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37901, 3231, '510823', '张王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.652,32.2105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37902, 3231, '510823', '剑门关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.533,32.2592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37903, 3231, '510823', '姚家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.321,32.1493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37904, 3231, '510823', '元山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.456,31.6312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37905, 3231, '510823', '高观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.625,32.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37906, 3231, '510823', '盐店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.277,32.1171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37907, 3231, '510823', '城北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.385,32.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37908, 3231, '510823', '田家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.539,32.006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37909, 3231, '510823', '垂泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,31.8913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37910, 3231, '510823', '普安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.43,32.0363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37911, 3231, '510823', '龙源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.441,31.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37912, 3232, '510812', '马家坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.975,32.8359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37913, 3232, '510812', '大滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.95,32.784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37914, 3232, '510812', '朝天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.927,32.7182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37915, 3232, '510812', '蒲家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.814,32.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37916, 3232, '510812', '宣河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.974,32.7395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37917, 3232, '510812', '鱼洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.939,32.5419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37918, 3232, '510812', '东溪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.74,32.7377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37919, 3232, '510812', '文安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.945,32.7726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37920, 3232, '510812', '麻柳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.062,32.5465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37921, 3232, '510812', '小安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.954,32.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37922, 3232, '510812', '曾家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.066,32.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37923, 3232, '510812', '花石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.654,32.6622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37924, 3232, '510812', '西北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.696,32.5211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37925, 3232, '510812', '李家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.241,32.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37926, 3232, '510812', '陈家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.81,32.7659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37927, 3232, '510812', '羊木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.766,32.6306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37928, 3232, '510812', '两河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.175,32.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37929, 3232, '510812', '汪家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.143,32.5052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37930, 3232, '510812', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.923,32.608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37931, 3232, '510812', '平溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.063,32.669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37932, 3232, '510812', '转斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.076,32.7579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37933, 3232, '510812', '青林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.042,32.8536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37934, 3232, '510812', '临溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.998,32.5575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37935, 3232, '510812', '中子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.011,32.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37936, 3232, '510812', '柏杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.849,32.8181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37937, 3233, '510824', '浙水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.913,31.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37938, 3233, '510824', '白鹤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.961,31.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37939, 3233, '510824', '鸳溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.851,31.9371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37940, 3233, '510824', '双河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.333,31.8442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37941, 3233, '510824', '苍溪县三溪口森林经营所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.369,32.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37942, 3233, '510824', '三川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.044,31.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37943, 3233, '510824', '亭子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.818,31.8093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37944, 3233, '510824', '禅林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.829,31.6842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37945, 3233, '510824', '石马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.418,32.0404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37946, 3233, '510824', '苍溪九龙山自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.046,32.0012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37947, 3233, '510824', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.025,31.9045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37948, 3233, '510824', '漓江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.138,32.057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37949, 3233, '510824', '白桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.793,31.8144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37950, 3233, '510824', '白驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.169,31.8618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37951, 3233, '510824', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.302,31.8869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37952, 3233, '510824', '东溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.28,32.1146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37953, 3233, '510824', '东青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.919,31.677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37954, 3233, '510824', '文昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.376,32.0094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37955, 3233, '510824', '中土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.116,31.7891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37956, 3233, '510824', '运山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.289,31.9601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37957, 3233, '510824', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.864,32.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37958, 3233, '510824', '河地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.252,31.8826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37959, 3233, '510824', '黄猫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.434,32.0502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37960, 3233, '510824', '八庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.843,31.6627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37961, 3233, '510824', '岳东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.203,31.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37962, 3233, '510824', '歧坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.137,31.9466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37963, 3233, '510824', '高坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.316,32.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37964, 3233, '510824', '桥溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.151,32.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37965, 3233, '510824', '白山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.417,31.9972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37966, 3233, '510824', '月山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.205,31.8633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37967, 3233, '510824', '唤马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.082,31.9355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37968, 3233, '510824', '新观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.129,32.0868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37969, 3233, '510824', '雍河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.064,32.1242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37970, 3233, '510824', '五龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.906,31.9569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37971, 3233, '510824', '陵江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.928,31.6646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37972, 3233, '510824', '龙洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.369,32.1438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37973, 3233, '510824', '石灶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.159,32.0753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37974, 3233, '510824', '云峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.074,31.7052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37975, 3233, '510824', '龙王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106,32.0739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37976, 3233, '510824', '元坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.093,31.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37977, 3233, '510824', '苍溪县良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.947,31.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37978, 3233, '510824', '彭店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.419,31.9155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37979, 3234, '510821', '静乐寺管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.035,32.2786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37980, 3234, '510821', '万山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.564,32.4155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37981, 3234, '510821', '盐河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.316,32.595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37982, 3234, '510821', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.44,32.0784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37983, 3234, '510821', '陈家岭管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.094,32.2542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37984, 3234, '510821', '燕子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.096,32.4427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37985, 3234, '510821', '檬子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.64,32.6873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37986, 3234, '510821', '枣林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.061,32.178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37987, 3234, '510821', '张华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.17,32.1977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37988, 3234, '510821', '英萃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.424,32.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37989, 3234, '510821', '农建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.53,32.2127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37990, 3234, '510821', '金溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.638,32.3151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37991, 3234, '510821', '大两乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.438,32.4056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37992, 3234, '510821', '化龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.427,32.1422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37993, 3234, '510821', '柳溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.282,32.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37994, 3234, '510821', '麻英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.122,32.3332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37995, 3234, '510821', '磨岩管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.441,32.277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37996, 3234, '510821', '水磨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.524,32.4909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37997, 3234, '510821', '五权镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.694,32.4175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37998, 3234, '510821', '高阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.313,32.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (37999, 3234, '510821', '正源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.379,32.4549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38000, 3234, '510821', '嘉川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.187,32.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38001, 3234, '510821', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.096,32.251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38002, 3234, '510821', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.61,32.2902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38003, 3234, '510821', '普济镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.51,32.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38004, 3234, '510821', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.654,32.4974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38005, 3234, '510821', '福庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.165,32.4978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38006, 3234, '510821', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.353,32.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38007, 3234, '510821', '双汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.195,32.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38008, 3234, '510821', '万家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.29,32.6446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38009, 3234, '510821', '国华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.284,32.4815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38010, 3234, '510821', '天星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.263,32.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38011, 3234, '510821', '木门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.518,32.1444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38012, 3234, '510821', '大德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.739,32.3161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38013, 3234, '510821', '黄洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.425,32.3589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38014, 3234, '510821', '东河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.286,32.2653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38015, 3234, '510821', '尚武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.145,32.2793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38016, 3234, '510821', '米仓山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.477,32.6502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38017, 3235, '510822', '蒿溪回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.087,32.5223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38018, 3235, '510822', '观音店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.455,32.4726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38019, 3235, '510822', '茶坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.421,32.4658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38020, 3235, '510822', '红光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.139,32.3892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38021, 3235, '510822', '木鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.372,32.7133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38022, 3235, '510822', '乐安寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.11,32.5404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38023, 3235, '510822', '孔溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.277,32.6415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38024, 3235, '510822', '大坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.137,32.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38025, 3235, '510822', '石坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.088,32.402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38026, 3235, '510822', '前进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.055,32.4815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38027, 3235, '510822', '关庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.166,32.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38028, 3235, '510822', '楼子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.307,32.3849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38029, 3235, '510822', '马鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.257,32.2323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38030, 3235, '510822', '凉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.295,32.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38031, 3235, '510822', '骑马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.399,32.6126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38032, 3235, '510822', '白家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.439,32.3827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38033, 3235, '510822', '沙州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.499,32.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38034, 3235, '510822', '建峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.342,32.2781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38035, 3235, '510822', '马公乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.979,32.2919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38036, 3235, '510822', '苏河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.096,32.3064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38037, 3235, '510822', '营盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.555,32.7436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38038, 3235, '510822', '金子山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.321,32.1951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38039, 3235, '510822', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.305,32.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38040, 3235, '510822', '瓦砾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.27,32.5501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38041, 3235, '510822', '七佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.261,32.3324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38042, 3235, '510822', '大院回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.234,32.4637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38043, 3235, '510822', '茅坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.155,32.4591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38044, 3235, '510822', '竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.29,32.2066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38045, 3235, '510822', '黄坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.214,32.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38046, 3235, '510822', '三锅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.928,32.6089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38047, 3235, '510822', '桥楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.894,32.4644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38048, 3235, '510822', '唐家河国家级自然保护区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.618,32.6248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38049, 3235, '510822', '曲河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.993,32.4626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38050, 3235, '510822', '房石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.895,32.3438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38051, 3235, '510822', '青溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.757,32.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38052, 3235, '510822', '乔庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.157,32.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38053, 3235, '510822', '姚渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.396,32.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38054, 3236, '510802', '雪峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.899,32.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38055, 3236, '510802', '东坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.833,32.4472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38056, 3236, '510802', '工农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.925,32.5462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38057, 3236, '510802', '宝轮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.521,32.4441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38058, 3236, '510802', '龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.797,32.3228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38059, 3236, '510802', '白朝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.424,32.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38060, 3236, '510802', '三堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.692,32.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38061, 3236, '510802', '嘉陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.832,32.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38062, 3236, '510802', '大石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.982,32.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38063, 3236, '510802', '赤化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.533,32.3115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38064, 3236, '510802', '袁家坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.719,32.4169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38065, 3236, '510802', '盘龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.769,32.4316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38066, 3236, '510802', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.826,32.5174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38067, 3236, '510802', '杨家岩街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.776,32.464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38068, 3236, '510802', '上西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.809,32.4643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38069, 3236, '510802', '金洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.543,32.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38070, 3236, '510802', '南河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.825,32.4299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38071, 3236, '510802', '荣山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.081,32.4427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38072, 3236, '510802', '回龙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.739,32.4907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38073, 3236, '510802', '下西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.81,32.4239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38074, 3237, '510923', '回马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.369,30.659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38075, 3237, '510923', '隆盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.348,30.6528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38076, 3237, '510923', '河边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.075,30.4422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38077, 3237, '510923', '象山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.283,30.7019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38078, 3237, '510923', '天保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.326,30.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38079, 3237, '510923', '卓筒井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.213,30.5079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38080, 3237, '510923', '金元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.361,30.5595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38081, 3237, '510923', '蓬莱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.272,30.5162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38082, 3237, '510923', '盐井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.291,30.5553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38083, 3237, '510923', '玉峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.12,30.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38084, 3238, '510981', '明星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.284,30.6668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38085, 3238, '510981', '太乙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.292,30.7881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38086, 3238, '510981', '涪西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.283,30.7172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38087, 3238, '510981', '洋溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.47,30.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38088, 3238, '510981', '太和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.35,30.8609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38089, 3238, '510981', '曹碑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.605,30.9534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38090, 3238, '510981', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.513,31.0262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38091, 3238, '510981', '平安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.355,30.8815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38092, 3238, '510981', '金华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.206,31.0168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38093, 3238, '510981', '香山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.198,31.0822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38094, 3238, '510981', '文升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.47,30.9809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38095, 3238, '510981', '潼射镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.278,31.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38096, 3238, '510981', '官升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.527,30.8515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38097, 3238, '510981', '青岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.496,30.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38098, 3238, '510981', '广兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.297,30.9546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38099, 3238, '510981', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.353,31.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38100, 3238, '510981', '瞿河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.287,30.8306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38101, 3238, '510981', '大榆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.474,30.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38102, 3238, '510981', '武安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.31,30.8999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38103, 3238, '510981', '金家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.276,30.939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38104, 3238, '510981', '东岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.458,30.9845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38105, 3238, '510981', '天仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.458,30.9845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38106, 3238, '510981', '沱牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.506,30.7583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38107, 3239, '510921', '大石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.627,30.6852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38108, 3239, '510921', '天福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.499,30.749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38109, 3239, '510921', '群利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.928,30.4137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38110, 3239, '510921', '新会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.743,30.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38111, 3239, '510921', '高升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.778,30.62', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38112, 3239, '510921', '常乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.57,30.8002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38113, 3239, '510921', '红江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.447,30.7072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38114, 3239, '510921', '蓬南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.916,30.494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38115, 3239, '510921', '荷叶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.722,30.4083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38116, 3239, '510921', '槐花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.609,30.8805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38117, 3239, '510921', '吉祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.552,30.6907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38118, 3239, '510921', '任隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.839,30.5326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38119, 3239, '510921', '鸣凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.69,30.6793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38120, 3239, '510921', '明月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.614,30.7782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38121, 3239, '510921', '金桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.754,30.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38122, 3239, '510921', '赤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.727,30.7924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38123, 3239, '510921', '宝梵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.64,30.7292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38124, 3239, '510921', '三凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.733,30.4871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38125, 3239, '510921', '文井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.633,30.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38126, 3239, '510921', '普安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.681,30.7261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38127, 3240, '510904', '东禅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.287,30.3637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38128, 3240, '510904', '分水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.278,30.3692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38129, 3240, '510904', '拦江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.095,30.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38130, 3240, '510904', '保石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.198,30.3118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38131, 3240, '510904', '柔刚街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.411,30.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38132, 3240, '510904', '玉丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.532,30.4118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38133, 3240, '510904', '常理镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.405,30.551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38134, 3240, '510904', '磨溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.676,30.3329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38135, 3240, '510904', '石洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.334,30.3694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38136, 3240, '510904', '中兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.206,30.415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38137, 3240, '510904', '聚贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.502,30.4635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38138, 3240, '510904', '安居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,30.3268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38139, 3240, '510904', '会龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.417,30.4474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38140, 3240, '510904', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.416,30.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38141, 3240, '510904', '横山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.464,30.5411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38142, 3240, '510904', '西眉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.666,30.3837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38143, 3240, '510904', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.344,30.4347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38144, 3240, '510904', '三家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.497,30.3061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38145, 3241, '510903', '富源路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.585,30.4944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38146, 3241, '510903', '育才路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.57,30.5157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38147, 3241, '510903', '镇江寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.579,30.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38148, 3241, '510903', '凯旋路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.593,30.5036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38149, 3241, '510903', '九莲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.519,30.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38150, 3241, '510903', '南津路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.587,30.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38151, 3241, '510903', '广德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.57,30.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38152, 3241, '510903', '嘉禾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.531,30.5399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38153, 3241, '510903', '北固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.571,30.4889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38154, 3241, '510903', '介福路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.571,30.5326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38155, 3241, '510903', '仁里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.682,30.5558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38156, 3241, '510903', '桂花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.398,30.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38157, 3241, '510903', '河沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.73,30.6414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38158, 3241, '510903', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.483,30.5824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38159, 3241, '510903', '高升街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.572,30.5036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38160, 3241, '510903', '唐家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.554,30.6344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38161, 3241, '510903', '清河工作办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.655,30.4025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38162, 3241, '510903', '慈音街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.598,30.5401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38163, 3241, '510903', '龙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.608,30.4542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38164, 3241, '510903', '老池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.718,30.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38165, 3241, '510903', '灵泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.621,30.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38166, 3241, '510903', '保升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.539,30.4494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38167, 3241, '510903', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.559,30.6268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38168, 3241, '510903', '西宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.526,30.4567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38169, 3241, '510903', '杨渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.605,30.5698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38170, 3241, '510903', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.634,30.3904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38171, 3241, '510903', '南强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.591,30.4621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38172, 3242, '512021', '南薰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.207,29.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38173, 3242, '512021', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.364,29.9371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38174, 3242, '512021', '岳源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.236,30.0533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38175, 3242, '512021', '东胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.61,30.0148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38176, 3242, '512021', '大平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.218,29.9337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38177, 3242, '512021', '永顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.445,30.1069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38178, 3242, '512021', '驯龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.044,30.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38179, 3242, '512021', '白水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.618,30.053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38180, 3242, '512021', '林凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.594,30.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38181, 3242, '512021', '高屋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.528,29.856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38182, 3242, '512021', '周礼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.155,29.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38183, 3242, '512021', '自治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.148,30.013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38184, 3242, '512021', '大埝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.147,30.0625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38185, 3242, '512021', '坪河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.465,30.0504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38186, 3242, '512021', '城西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.261,30.1205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38187, 3242, '512021', '白塔寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.563,29.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38188, 3242, '512021', '建华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.145,30.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38189, 3242, '512021', '思贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.31,30.0313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38190, 3242, '512021', '护建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.41,29.8606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38191, 3242, '512021', '护龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.712,30.0368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38192, 3242, '512021', '天宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.33,29.8864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38193, 3242, '512021', '李家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.506,29.8505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38194, 3242, '512021', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.419,29.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38195, 3242, '512021', '鱼龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.431,29.9446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38196, 3242, '512021', '高升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.51,29.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38197, 3242, '512021', '毛家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.697,30.0094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38198, 3242, '512021', '石桥铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.381,30.1284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38199, 3242, '512021', '天林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.304,29.8604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38200, 3242, '512021', '龙桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.135,29.8703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38201, 3242, '512021', '岳阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.307,30.1201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38202, 3242, '512021', '宝华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.223,29.906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38203, 3242, '512021', '瑞云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.638,29.9892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38204, 3242, '512021', '清流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,29.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38205, 3242, '512021', '龙台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.548,30.0572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38206, 3242, '512021', '元坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.417,29.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38207, 3242, '512021', '九龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.227,29.9572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38208, 3242, '512021', '华严镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.998,29.9763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38209, 3242, '512021', '乾龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.494,30.0018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38210, 3242, '512021', '共和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.327,29.9709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38211, 3242, '512021', '镇子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.207,29.999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38212, 3242, '512021', '拱桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.091,29.9112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38213, 3242, '512021', '横庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,29.9501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38214, 3242, '512021', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.174,30.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38215, 3242, '512021', '岳新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.465,30.096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38216, 3242, '512021', '石羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.59,29.9441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38217, 3242, '512021', '偏岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.497,30.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38218, 3242, '512021', '文化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.301,29.9574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38219, 3242, '512021', '通贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.39,30.2827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38220, 3242, '512021', '双龙街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.662,29.8981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38221, 3242, '512021', '千佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.088,29.9905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38222, 3242, '512021', '永清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.411,30.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38223, 3242, '512021', '协和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.416,29.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38224, 3242, '512021', '忠义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.501,29.7942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38225, 3242, '512021', '合义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.489,29.7258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38226, 3242, '512021', '顶新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.671,29.8864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38227, 3242, '512021', '城北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.33,30.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38228, 3242, '512021', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.403,30.1286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38229, 3242, '512021', '长河源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.449,30.1991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38230, 3242, '512021', '来凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.275,30.2114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38231, 3242, '512021', '石鼓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.325,30.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38232, 3242, '512021', '人和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.442,30.2551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38233, 3242, '512021', '云峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.558,30.1509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38234, 3242, '512021', '卧佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.289,30.288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38235, 3242, '512021', '鸳大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.212,30.1928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38236, 3242, '512021', '天马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.375,30.2169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38237, 3242, '512021', '悦来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.235,30.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38238, 3242, '512021', '姚市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.465,30.1759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38239, 3242, '512021', '努力乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.476,29.7369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38240, 3242, '512021', '两板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.588,29.879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38241, 3243, '512002', '忠义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.619,29.9862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38242, 3243, '512002', '莲花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.665,30.1351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38243, 3243, '512002', '小院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.857,29.9753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38244, 3243, '512002', '宝台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.693,30.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38245, 3243, '512002', '回龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105,30.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38246, 3243, '512002', '东峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.805,30.0514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38247, 3243, '512002', '松涛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.615,30.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38248, 3243, '512002', '资溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.633,30.1136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38249, 3243, '512002', '丰裕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.546,30.0458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38250, 3243, '512002', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.791,30.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38251, 3243, '512002', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.693,30.0511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38252, 3243, '512002', '老君镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.727,30.3026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38253, 3243, '512002', '伍隍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.755,29.9878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38254, 3243, '512002', '碑记镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.584,30.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38255, 3243, '512002', '保和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.733,30.1526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38256, 3243, '512002', '迎接镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.603,30.0735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38257, 3243, '512002', '石岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.768,29.9196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38258, 3243, '512002', '丹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.914,30.1689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38259, 3243, '512002', '堪嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.858,29.9767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38260, 3243, '512002', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.591,30.1629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38261, 3243, '512002', '狮子山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.636,30.1517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38262, 3243, '512002', '南津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.754,30.0474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38263, 3243, '512002', '四川大堰劳动教养管理所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.584,30.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38264, 3243, '512002', '三贤祠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.626,30.1328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38265, 3243, '512002', '雁江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.664,30.1646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38266, 3243, '512002', '祥符镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.569,30.1222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38267, 3243, '512002', '新场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.046,30.1158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38268, 3244, '512022', '高寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.863,30.3337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38269, 3244, '512022', '双河场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.149,30.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38270, 3244, '512022', '中天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.834,30.258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38271, 3244, '512022', '通旅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.055,30.0763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38272, 3244, '512022', '宝林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.101,30.3854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38273, 3244, '512022', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.121,30.2258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38274, 3244, '512022', '大佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.91,30.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38275, 3244, '512022', '中和场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.057,30.5323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38276, 3244, '512022', '石佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.08,30.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38277, 3244, '512022', '佛星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.96,30.2371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38278, 3244, '512022', '金顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.946,30.6094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38279, 3244, '512022', '良安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.872,30.4918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38280, 3244, '512022', '天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.998,30.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38281, 3244, '512022', '凉水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.861,30.3329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38282, 3244, '512022', '放生乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.91,30.3518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38283, 3244, '512022', '石湍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.053,30.1818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38284, 3244, '512022', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.22,30.2418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38285, 3244, '512022', '回澜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.135,30.1862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38286, 3244, '512022', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.089,30.3698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38287, 3244, '512022', '劳动镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.978,30.4429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38288, 3244, '512022', '孔雀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.008,30.2124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38289, 3244, '512022', '童家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.967,30.3284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38290, 3244, '512022', '全胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.999,30.4976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38291, 3244, '512022', '龙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.247,30.137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38292, 3244, '512022', '盛池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.038,30.4776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38293, 3245, '510704', '玉河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.077,31.4452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38294, 3245, '510704', '白蝉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.042,31.3889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38295, 3245, '510704', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.906,31.7053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38296, 3245, '510704', '徐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.029,31.6083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38297, 3245, '510704', '柏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.986,31.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38298, 3245, '510704', '春雷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.736,31.5124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38299, 3245, '510704', '石马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.743,31.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38300, 3245, '510704', '建华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.846,31.4802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38301, 3245, '510704', '富乐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.769,31.4711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38302, 3245, '510704', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.776,31.5621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38303, 3245, '510704', '观太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.965,31.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38304, 3245, '510704', '刘家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.048,31.4684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38305, 3245, '510704', '沉抗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.843,31.5416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38306, 3245, '510704', '游仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.757,31.5346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38307, 3245, '510704', '云凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.781,31.6522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38308, 3245, '510704', '凤凰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.819,31.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38309, 3245, '510704', '忠兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.844,31.6257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38310, 3245, '510704', '涪江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.768,31.4751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38311, 3245, '510704', '东林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.741,31.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38312, 3245, '510704', '街子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.88,31.6129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38313, 3245, '510704', '梓棉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.983,31.3908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38314, 3245, '510704', '石板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.924,31.512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38315, 3245, '510704', '东宣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.022,31.5368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38316, 3245, '510704', '魏城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.912,31.5543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38317, 3245, '510704', '松林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.764,31.4835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38318, 3245, '510704', '四川省新华劳动教育管理所', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.834,31.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38319, 3245, '510704', '小枧沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.822,31.3943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38320, 3245, '510704', '华丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.761,31.5088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38321, 3245, '510704', '朝真乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.994,31.6997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38322, 3245, '510704', '松垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.852,31.4046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38323, 3246, '510725', '自强镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.285,31.5619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38324, 3246, '510725', '建兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.228,31.7859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38325, 3246, '510725', '二洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.319,31.608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38326, 3246, '510725', '定远乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.228,31.5299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38327, 3246, '510725', '玛瑙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.19,31.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38328, 3246, '510725', '双峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.06,31.4665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38329, 3246, '510725', '宏仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.112,31.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38330, 3246, '510725', '石牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.056,31.551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38331, 3246, '510725', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.302,31.4537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38332, 3246, '510725', '小垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.182,31.9042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38333, 3246, '510725', '文昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.196,31.6757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38334, 3246, '510725', '石台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.084,31.733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38335, 3246, '510725', '马鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.241,31.7117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38336, 3246, '510725', '东石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.126,31.5646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38337, 3246, '510725', '仙峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.127,31.9029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38338, 3246, '510725', '演武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.243,31.7997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38339, 3246, '510725', '马迎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.285,31.6643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38340, 3246, '510725', '豢龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.162,31.7577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38341, 3246, '510725', '仙鹅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.035,31.7856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38342, 3246, '510725', '白云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.049,31.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38343, 3246, '510725', '大新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.388,31.4488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38344, 3246, '510725', '许州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.173,31.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38345, 3246, '510725', '宝石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.257,31.5478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38346, 3246, '510725', '长卿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.105,31.6232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38347, 3246, '510725', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.037,31.6925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38348, 3246, '510725', '交泰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.157,31.4821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38349, 3246, '510725', '文兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.397,31.6092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38350, 3246, '510725', '三泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.08,31.6475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38351, 3246, '510725', '双板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.036,31.8443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38352, 3246, '510725', '观义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.125,31.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38353, 3246, '510725', '黎雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.959,31.7451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38354, 3246, '510725', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.974,31.8118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38355, 3247, '510722', '紫河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.219,30.7814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38356, 3247, '510722', '郪江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.06,30.7751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38357, 3247, '510722', '建中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.158,30.7268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38358, 3247, '510722', '石安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.112,31.2493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38359, 3247, '510722', '龙树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.135,31.3431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38360, 3247, '510722', '断石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.074,31.0251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38361, 3247, '510722', '双胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.211,31.3764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38362, 3247, '510722', '东塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.129,31.1354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38363, 3247, '510722', '安居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.073,30.8092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38364, 3247, '510722', '宝泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.143,30.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38365, 3247, '510722', '中新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.131,31.0273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38366, 3247, '510722', '柳池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.071,31.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38367, 3247, '510722', '三元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.225,31.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38368, 3247, '510722', '塔山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.128,31.3476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38369, 3247, '510722', '百顷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.148,31.0833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38370, 3247, '510722', '景福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.138,30.9101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38371, 3247, '510722', '高堰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.079,31.253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38372, 3247, '510722', '玉林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.05,31.0371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38373, 3247, '510722', '协和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.186,30.8203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38374, 3247, '510722', '潼川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.038,31.077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38375, 3247, '510722', '乐加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.121,30.9396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38376, 3247, '510722', '曙光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.119,30.9234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38377, 3247, '510722', '双乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.201,30.8834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38378, 3247, '510722', '金鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.112,31.2559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38379, 3247, '510722', '新生镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.113,30.9658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38380, 3247, '510722', '忠孝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.208,31.3079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38381, 3247, '510722', '永新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.094,31.1463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38382, 3247, '510722', '观桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.089,30.9049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38383, 3247, '510722', '新德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.089,31.1626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38384, 3247, '510722', '广利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.217,30.7883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38385, 3247, '510722', '秋林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.25,31.1734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38386, 3247, '510722', '富顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.131,31.1874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38387, 3247, '510722', '北坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.111,31.0795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38388, 3247, '510722', '古井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.972,31.0345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38389, 3247, '510722', '里程镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.019,31.2446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38390, 3247, '510722', '上新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.886,30.9812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38391, 3247, '510722', '黎曙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.769,31.2276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38392, 3247, '510722', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.92,31.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38393, 3247, '510722', '八洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.852,31.1288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38394, 3247, '510722', '新鲁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.807,31.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38395, 3247, '510722', '进都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.953,31.021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38396, 3247, '510722', '永明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.89,31.4092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38397, 3247, '510722', '乐安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.982,31.1302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38398, 3247, '510722', '下新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.011,31.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38399, 3247, '510722', '幸福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.967,30.9588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38400, 3247, '510722', '光辉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.987,31.3125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38401, 3247, '510722', '中太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.936,31.3898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38402, 3247, '510722', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.889,31.0095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38403, 3247, '510722', '刘营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.932,31.1523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38404, 3247, '510722', '灵兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.967,31.16', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38405, 3247, '510722', '争胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.025,31.2173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38406, 3247, '510722', '老马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.962,31.2985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38407, 3247, '510722', '建设镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.945,31.3702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38408, 3247, '510722', '前锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.938,31.1537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38409, 3247, '510722', '建平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.863,31.1357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38410, 3247, '510722', '鲁班镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.042,30.954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38411, 3247, '510722', '跃进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.87,30.9464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38412, 3247, '510722', '菊河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.99,30.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38413, 3247, '510722', '云同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.844,31.175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38414, 3247, '510722', '芦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.832,31.2376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38415, 3247, '510722', '立新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.849,31.3098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38416, 3247, '510722', '金石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.755,31.1447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38417, 3247, '510722', '西平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.939,31.0639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38418, 3248, '510781', '云集乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.261,32.1245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38419, 3248, '510781', '重兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.137,31.9873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38420, 3248, '510781', '雁门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.196,32.2531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38421, 3248, '510781', '六合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.077,32.2457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38422, 3248, '510781', '敬元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.123,32.3106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38423, 3248, '510781', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.14,31.9494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38424, 3248, '510781', '石元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.224,32.1878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38425, 3248, '510781', '贯山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.79,31.7508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38426, 3248, '510781', '八一乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.569,31.6774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38427, 3248, '510781', '含增长钢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.61,31.8523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38428, 3248, '510781', '彰明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.745,31.7558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38429, 3248, '510781', '武都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.814,31.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38430, 3248, '510781', '义新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.914,31.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38431, 3248, '510781', '重华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.909,32.0343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38432, 3248, '510781', '东安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.053,31.9053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38433, 3248, '510781', '含增镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.647,31.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38434, 3248, '510781', '青莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.649,31.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38435, 3248, '510781', '九岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.622,31.6677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38436, 3248, '510781', '大堰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.764,31.7023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38437, 3248, '510781', '马角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.037,32.1584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38438, 3248, '510781', '华坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.004,32.0461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38439, 3248, '510781', '小溪坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.005,31.941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38440, 3248, '510781', '永胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.803,31.9584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38441, 3248, '510781', '铜星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.902,31.9732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38442, 3248, '510781', '长城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.609,31.7677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38443, 3248, '510781', '新兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.984,31.8752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38444, 3248, '510781', '文胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.995,31.9991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38445, 3248, '510781', '战旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.944,31.8168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38446, 3248, '510781', '方水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.603,31.577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38447, 3248, '510781', '大康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.621,31.8223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38448, 3248, '510781', '新春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.907,32.0563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38449, 3248, '510781', '中坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.739,31.7804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38450, 3248, '510781', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.759,31.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38451, 3248, '510781', '枫顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.955,32.2374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38452, 3248, '510781', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.925,31.9009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38453, 3248, '510781', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.884,31.8429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38454, 3248, '510781', '西屏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.608,31.764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38455, 3248, '510781', '二郎庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.105,32.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38456, 3248, '510781', '香水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.606,31.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38457, 3248, '510781', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.724,31.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38458, 3248, '510781', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.736,31.687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38459, 3248, '510781', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.736,31.627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38460, 3248, '510781', '厚坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.064,32.004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38461, 3249, '510723', '巨龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.346,31.1875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38462, 3249, '510723', '八角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.637,31.2215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38463, 3249, '510723', '来龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.349,31.4715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38464, 3249, '510723', '冯河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.442,31.3392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38465, 3249, '510723', '毛公乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.257,31.2934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38466, 3249, '510723', '黄溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.467,31.1558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38467, 3249, '510723', '高灯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.585,31.1059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38468, 3249, '510723', '宗海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.695,31.124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38469, 3249, '510723', '石牛庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.473,31.4844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38470, 3249, '510723', '云溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.393,31.2656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38471, 3249, '510723', '双碑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.378,31.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38472, 3249, '510723', '金孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.67,31.1219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38473, 3249, '510723', '大兴回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.389,31.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38474, 3249, '510723', '柏梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.295,31.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38475, 3249, '510723', '龙泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.479,31.0566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38476, 3249, '510723', '安家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.209,31.4217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38477, 3249, '510723', '茶亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.372,31.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38478, 3249, '510723', '金鸡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.632,31.0421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38479, 3249, '510723', '黄甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.491,31.2597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38480, 3249, '510723', '林山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.442,31.2596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38481, 3249, '510723', '永泰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.573,31.2074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38482, 3249, '510723', '洗泽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.68,31.1715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38483, 3249, '510723', '林农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.643,31.2696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38484, 3249, '510723', '两岔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.382,31.1478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38485, 3249, '510723', '麻秧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.422,31.175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38486, 3249, '510723', '金安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.569,31.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38487, 3249, '510723', '榉溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.603,31.1564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38488, 3249, '510723', '富驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.551,31.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38489, 3249, '510723', '五龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.542,31.142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38490, 3249, '510723', '剑河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.239,31.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38491, 3249, '510723', '折弓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.683,31.0704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38492, 3249, '510723', '玉龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.49,31.1138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38493, 3249, '510723', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.395,31.1716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38494, 3249, '510723', '新农乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.331,31.2163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38495, 3249, '510723', '三元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.521,31.2056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38496, 3249, '510723', '黑坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.418,31.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38497, 3250, '510726', '小坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.068,32.1281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38498, 3250, '510726', '马槽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.972,31.8614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38499, 3250, '510726', '白什乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.951,31.9667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38500, 3250, '510726', '青片乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.797,32.047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38501, 3250, '510726', '禹里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.353,31.807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38502, 3250, '510726', '安昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.366,31.6361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38503, 3250, '510726', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.375,31.6887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38504, 3250, '510726', '桃龙藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.137,32.0155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38505, 3250, '510726', '都坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.436,32.0184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38506, 3250, '510726', '桂溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.64,32.0455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38507, 3250, '510726', '白坭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.385,32.0747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38508, 3250, '510726', '永昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.451,31.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38509, 3250, '510726', '墩上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.158,31.8004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38510, 3250, '510726', '曲山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.52,31.9542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38511, 3250, '510726', '贯岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.514,32.0816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38512, 3250, '510726', '开坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.263,32.1463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38513, 3250, '510726', '漩坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.447,31.9269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38514, 3250, '510726', '擂鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.307,31.7585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38515, 3250, '510726', '通口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.563,31.8451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38516, 3250, '510726', '坝底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.114,31.8312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38517, 3250, '510726', '片口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.182,32.1966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38518, 3250, '510726', '陈家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.526,31.9879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38519, 3250, '510726', '香泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.584,31.7271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38520, 3251, '510705', '塔水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.409,31.5004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38521, 3251, '510705', '花荄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.609,31.5806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38522, 3251, '510705', '黄土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.505,31.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38523, 3251, '510705', '清泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.521,31.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38524, 3251, '510705', '桑枣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.366,31.6269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38525, 3251, '510705', '永河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.352,31.3891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38526, 3251, '510705', '雎水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.166,31.5152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38527, 3251, '510705', '界牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.613,31.5378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38528, 3251, '510705', '秀水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.406,31.5625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38529, 3251, '510705', '迎新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.256,31.4679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38530, 3251, '510705', '沸水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.279,31.5796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38531, 3251, '510705', '乐兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.429,31.5706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38532, 3251, '510705', '宝林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.44,31.4324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38533, 3251, '510705', '晓坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.272,31.5791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38534, 3251, '510705', '兴仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.468,31.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38535, 3251, '510705', '河清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.29,31.4336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38536, 3251, '510705', '高川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.102,31.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38537, 3251, '510705', '千佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.254,31.7712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38538, 3252, '510703', '新皂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.659,31.4471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38539, 3252, '510703', '杨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.724,31.3707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38540, 3252, '510703', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.605,31.4517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38541, 3252, '510703', '塘汛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.779,31.3706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38542, 3252, '510703', '高新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.656,31.4801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38543, 3252, '510703', '丰谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.78,31.3723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38544, 3252, '510703', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.756,31.4284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38545, 3252, '510703', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.72,31.4522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38546, 3252, '510703', '关帝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.756,31.3113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38547, 3252, '510703', '吴家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.722,31.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38548, 3252, '510703', '金家林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.651,31.5235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38549, 3252, '510703', '城郊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.721,31.5105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38550, 3252, '510703', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.698,31.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38551, 3252, '510703', '青义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.646,31.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38552, 3252, '510703', '科创园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.727,31.4634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38553, 3252, '510703', '石塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.731,31.4531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38554, 3252, '510703', '南山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.75,31.4404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38555, 3252, '510703', '石洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.656,31.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38556, 3252, '510703', '金峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.604,31.3848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38557, 3252, '510703', '城厢街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.761,31.45', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38558, 3252, '510703', '河边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.484,31.4849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38559, 3252, '510703', '磨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.614,31.4551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38560, 3252, '510703', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.748,31.4705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38561, 3252, '510703', '工区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.73,31.5113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38562, 3252, '510703', '玉皇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.766,31.3056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38563, 3253, '510727', '土城藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.141,32.3983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38564, 3253, '510727', '泗耳藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.954,32.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38565, 3253, '510727', '白马藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.954,32.9187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38566, 3253, '510727', '虎牙藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.904,32.4909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38567, 3253, '510727', '水田羌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.56,32.3441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38568, 3253, '510727', '木皮藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.314,32.6128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38569, 3253, '510727', '水晶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.252,32.5334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38570, 3253, '510727', '南坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.782,32.1677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38571, 3253, '510727', '响岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.714,32.0627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38572, 3253, '510727', '大印镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.274,32.1972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38573, 3253, '510727', '平通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.65,32.0878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38574, 3253, '510727', '木座藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.32,32.6976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38575, 3253, '510727', '龙安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.505,32.4858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38576, 3253, '510727', '平南羌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.553,32.2724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38577, 3253, '510727', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.274,32.4034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38578, 3253, '510727', '徐塘羌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.459,32.2712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38579, 3253, '510727', '阔达藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.417,32.4632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38580, 3253, '510727', '豆叩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.526,32.2386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38581, 3253, '510727', '黄羊关藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.214,32.7169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38582, 3253, '510727', '锁江羌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.318,32.117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38583, 3253, '510727', '水观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.966,32.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38584, 3253, '510727', '坝子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.762,32.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38585, 3253, '510727', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.601,32.4064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38586, 3253, '510727', '旧堡羌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.41,32.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38587, 3253, '510727', '高村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.723,32.5466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38588, 3254, '511623', '牟家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.87,30.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38589, 3254, '511623', '御临镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.908,30.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38590, 3254, '511623', '石永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.081,30.3581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38591, 3254, '511623', '新镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.189,30.5167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38592, 3254, '511623', '西天乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.876,30.3269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38593, 3254, '511623', '四海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.809,30.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38594, 3254, '511623', '龙安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.151,30.4336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38595, 3254, '511623', '凉山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.098,30.1388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38596, 3254, '511623', '华蓥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.772,30.1406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38597, 3254, '511623', '鼎屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.931,30.3503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38598, 3254, '511623', '子中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.78,30.0639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38599, 3254, '511623', '观音桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.949,30.4396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38600, 3254, '511623', '梁板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.007,30.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38601, 3254, '511623', '九峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.922,30.1712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38602, 3254, '511623', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.98,30.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38603, 3254, '511623', '袁市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.05,30.2327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38604, 3254, '511623', '荆坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.067,30.2408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38605, 3254, '511623', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.007,30.2709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38606, 3254, '511623', '合流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.83,30.2224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38607, 3254, '511623', '柑子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.005,30.4965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38608, 3254, '511623', '椿木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.757,30.1583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38609, 3254, '511623', '龙桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.993,30.2077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38610, 3254, '511623', '护邻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.227,30.3714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38611, 3254, '511623', '甘坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.778,30.251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38612, 3254, '511623', '长滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.009,30.153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38613, 3254, '511623', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.11,30.3854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38614, 3254, '511623', '关河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.983,30.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38615, 3254, '511623', '城北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.844,30.3465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38616, 3254, '511623', '太和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.039,30.5152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38617, 3254, '511623', '风垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.933,30.1716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38618, 3254, '511623', '柳塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.119,30.271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38619, 3254, '511623', '城南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.923,30.333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38620, 3254, '511623', '黎家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.984,30.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38621, 3254, '511623', '坛同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.846,30.172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38622, 3254, '511623', '同石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.13,30.3499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38623, 3254, '511623', '长安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.035,30.3459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38624, 3254, '511623', '冷家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.096,30.3956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38625, 3254, '511623', '三古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.145,30.4309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38626, 3254, '511623', '古路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.066,30.3334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38627, 3254, '511623', '兴仁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.158,30.322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38628, 3254, '511623', '石滓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.149,30.2752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38629, 3254, '511623', '高滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.708,30.0994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38630, 3254, '511623', '复盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.108,30.1941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38631, 3254, '511623', '丰禾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.151,30.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38632, 3254, '511623', '八耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.133,30.2469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38633, 3255, '511622', '赛马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.971,30.4773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38634, 3255, '511622', '八一乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.034,30.5139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38635, 3255, '511622', '高石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.951,30.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38636, 3255, '511622', '烈面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.116,30.5254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38637, 3255, '511622', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.006,30.3963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38638, 3255, '511622', '宝箴塞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.061,30.342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38639, 3255, '511622', '金牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.13,30.431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38640, 3255, '511622', '猛山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.388,30.3378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38641, 3255, '511622', '街子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.303,30.2785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38642, 3255, '511622', '礼安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.117,30.4931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38643, 3255, '511622', '石盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.19,30.4393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38644, 3255, '511622', '永胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.332,30.2939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38645, 3255, '511622', '旧县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.307,30.322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38646, 3255, '511622', '龙女镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.185,30.4153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38647, 3255, '511622', '沿口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.253,30.3888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38648, 3255, '511622', '飞龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.375,30.3975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38649, 3255, '511622', '双星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.332,30.3408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38650, 3255, '511622', '金光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.135,30.4557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38651, 3255, '511622', '华封镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.214,30.3668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38652, 3255, '511622', '万善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.136,30.3944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38653, 3255, '511622', '白坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.422,30.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38654, 3255, '511622', '鼓匠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.286,30.4499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38655, 3255, '511622', '新学乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.163,30.3063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38656, 3255, '511622', '三溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.363,30.4227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38657, 3255, '511622', '清平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.181,30.265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38658, 3255, '511622', '鸣钟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.322,30.3723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38659, 3255, '511622', '真静乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.242,30.1768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38660, 3255, '511622', '乐善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.42,30.3322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38661, 3255, '511622', '万隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.134,30.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38662, 3255, '511622', '龙庭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.416,30.2692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38663, 3255, '511622', '中心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.271,30.2119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38664, 3256, '511602', '龙台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.717,30.7449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38665, 3256, '511602', '彭家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.571,30.5672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38666, 3256, '511602', '石笋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.752,30.6629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38667, 3256, '511602', '白市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.856,30.6574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38668, 3256, '511602', '肖溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.884,30.731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38669, 3256, '511602', '悦来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.575,30.6356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38670, 3256, '511602', '浓洄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.636,30.4695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38671, 3256, '511602', '北辰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.625,30.4833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38672, 3256, '511602', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.693,30.6224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38673, 3256, '511602', '东岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.719,30.6785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38674, 3256, '511602', '协兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.65,30.5094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38675, 3256, '511602', '浓溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.568,30.5745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38676, 3256, '511602', '广福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.635,30.4832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38677, 3256, '511602', '白马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.8,30.6007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38678, 3256, '511602', '龙安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.562,30.5444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38679, 3256, '511602', '恒升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.765,30.7094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38680, 3256, '511602', '中桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.652,30.4571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38681, 3256, '511602', '万盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.616,30.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38682, 3256, '511602', '井河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.67,30.744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38683, 3256, '511602', '枣山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.619,30.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38684, 3256, '511602', '穿石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.605,30.4194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38685, 3256, '511602', '花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.701,30.8311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38686, 3256, '511602', '大龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.609,30.5708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38687, 3256, '511602', '兴平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.59,30.6834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38688, 3256, '511602', '官盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.703,30.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38689, 3257, '511681', '阳和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.707,30.3314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38690, 3257, '511681', '华龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.796,30.4402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38691, 3257, '511681', '天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.869,30.4403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38692, 3257, '511681', '观音溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.672,30.2611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38693, 3257, '511681', '高兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.683,30.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38694, 3257, '511681', '双河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.714,30.3954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38695, 3257, '511681', '古桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.742,30.3634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38696, 3257, '511681', '红岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.817,30.3684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38697, 3257, '511681', '明月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.71,30.3908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38698, 3257, '511681', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.777,30.4422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38699, 3257, '511681', '溪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.679,30.1964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38700, 3257, '511681', '庆华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.654,30.2642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38701, 3257, '511681', '禄市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.786,30.4433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38702, 3258, '511603', '龙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.938,30.6038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38703, 3258, '511603', '观阁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.873,30.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38704, 3258, '511603', '光辉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.021,30.5833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38705, 3258, '511603', '虎城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.79,30.5338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38706, 3258, '511603', '新桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.867,30.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38707, 3258, '511603', '桂兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.944,30.5309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38708, 3258, '511603', '大佛寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.864,30.5296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38709, 3258, '511603', '小井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.885,30.5331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38710, 3258, '511603', '奎阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.662,30.4883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38711, 3258, '511603', '广兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.923,30.6236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38712, 3258, '511603', '代市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.855,30.581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38713, 3258, '511603', '护安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.67,30.4994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38714, 3258, '511603', '观塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.754,30.5205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38715, 3259, '511621', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.659,30.3558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38716, 3259, '511621', '镇龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.492,30.55', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38717, 3259, '511621', '北城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.378,30.6141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38718, 3259, '511621', '酉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.304,30.5531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38719, 3259, '511621', '罗渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.559,30.363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38720, 3259, '511621', '花园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.434,30.622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38721, 3259, '511621', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.32,30.6172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38722, 3259, '511621', '石鼓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.136,30.5622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38723, 3259, '511621', '镇裕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.181,30.5644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38724, 3259, '511621', '普安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.459,30.4239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38725, 3259, '511621', '大佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.502,30.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38726, 3259, '511621', '长田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.467,30.7145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38727, 3259, '511621', '东板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.473,30.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38728, 3259, '511621', '齐福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.526,30.4126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38729, 3259, '511621', '同兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.169,30.652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38730, 3259, '511621', '鱼峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.504,30.7855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38731, 3259, '511621', '顾县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.397,30.6901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38732, 3259, '511621', '赛龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.516,30.2947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38733, 3259, '511621', '裕民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.489,30.3856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38734, 3259, '511621', '排楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.247,30.4678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38735, 3259, '511621', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.305,30.5015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38736, 3259, '511621', '大石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.501,30.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38737, 3259, '511621', '乔家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.43,30.4766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38738, 3259, '511621', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.222,30.7215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38739, 3259, '511621', '粽粑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.317,30.606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38740, 3259, '511621', '天平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.587,30.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38741, 3259, '511621', '黄龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.334,30.7085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38742, 3259, '511621', '石垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.536,30.4986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38743, 3259, '511621', '恐龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.249,30.6327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38744, 3259, '511621', '龙孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.231,30.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38745, 3259, '511621', '苟角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.498,30.5888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38746, 3259, '511621', '花板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.541,30.4587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38747, 3259, '511621', '双鄢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.38,30.6679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38748, 3259, '511621', '白庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.39,30.5217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38749, 3259, '511621', '平安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.17,30.5904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38750, 3259, '511621', '坪滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.188,30.5142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38751, 3259, '511621', '临溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.693,30.345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38752, 3259, '511621', '西板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.207,30.5678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38753, 3259, '511621', '嘉陵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.146,30.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38754, 3259, '511621', '秦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.231,30.6937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38755, 3259, '511621', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.437,30.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38756, 3259, '511621', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.406,30.5042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38757, 3259, '511621', '伏龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.59,30.2956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38758, 3260, '511724', '八渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.45,30.6042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38759, 3260, '511724', '永胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.497,30.8474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38760, 3260, '511724', '四合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.23,30.3529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38761, 3260, '511724', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.06,30.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38762, 3260, '511724', '乌木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.288,30.7526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38763, 3260, '511724', '莲印乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.191,30.7357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38764, 3260, '511724', '杨通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.255,30.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38765, 3260, '511724', '月华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.26,30.7952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38766, 3260, '511724', '欧家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.068,30.531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38767, 3260, '511724', '安吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.494,30.9153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38768, 3260, '511724', '团坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.225,30.6448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38769, 3260, '511724', '柏林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.264,31.0042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38770, 3260, '511724', '高穴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.132,30.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38771, 3260, '511724', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.265,30.7586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38772, 3260, '511724', '童家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.281,30.5708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38773, 3260, '511724', '天城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.338,30.5178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38774, 3260, '511724', '高明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.331,30.5435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38775, 3260, '511724', '石子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.284,30.4513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38776, 3260, '511724', '东柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.266,30.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38777, 3260, '511724', '竹阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.197,30.7323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38778, 3260, '511724', '杨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.173,30.8932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38779, 3260, '511724', '观音镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.459,30.6999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38780, 3260, '511724', '中华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.107,30.8075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38781, 3260, '511724', '周家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.312,30.6883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38782, 3260, '511724', '白塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.228,30.7613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38783, 3260, '511724', '石河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.403,30.916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38784, 3260, '511724', '石桥铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.462,30.77', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38785, 3260, '511724', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.25,30.9313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38786, 3260, '511724', '川主乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.223,30.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38787, 3260, '511724', '妈妈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.212,30.5664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38788, 3260, '511724', '庙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.029,30.5918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38789, 3260, '511724', '文星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.204,30.5243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38790, 3261, '511725', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.741,30.9543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38791, 3261, '511725', '报恩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.123,31.1993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38792, 3261, '511725', '琅琊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.989,30.7341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38793, 3261, '511725', '安北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.053,31.1784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38794, 3261, '511725', '三板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.942,30.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38795, 3261, '511725', '拱市乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.733,30.9056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38796, 3261, '511725', '望溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.936,30.69', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38797, 3261, '511725', '文崇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.2,31.2047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38798, 3261, '511725', '定远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.763,30.7889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38799, 3261, '511725', '卷硐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.042,30.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38800, 3261, '511725', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.137,31.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38801, 3261, '511725', '李渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.923,30.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38802, 3261, '511725', '鲜渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.904,30.7124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38803, 3261, '511725', '李馥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107,31.0052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38804, 3261, '511725', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.925,30.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38805, 3261, '511725', '有庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.803,30.7934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38806, 3261, '511725', '宝城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.732,30.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38807, 3261, '511725', '渠南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.936,30.8254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38808, 3261, '511725', '渠江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.951,30.8622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38809, 3261, '511725', '中滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.934,30.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38810, 3261, '511725', '望江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.876,30.95', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38811, 3261, '511725', '土溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.002,31.0743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38812, 3261, '511725', '合力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.001,30.8124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38813, 3261, '511725', '临巴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.121,30.8308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38814, 3261, '511725', '清溪场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.795,30.8867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38815, 3261, '511725', '涌兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.027,31.1506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38816, 3261, '511725', '静边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.82,31.0116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38817, 3261, '511725', '天星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.976,30.8372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38818, 3261, '511725', '岩峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.995,31.0505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38819, 3261, '511725', '渠北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.967,30.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38820, 3261, '511725', '万寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.926,30.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38821, 3261, '511725', '东安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.145,30.9148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38822, 3261, '511725', '三汇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.176,30.9574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38823, 3261, '511725', '贵福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.947,31.1685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38824, 3261, '511725', '大义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.98,31.2473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38825, 3261, '511725', '巨光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.895,31.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38826, 3261, '511725', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.678,30.8381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38827, 3262, '511722', '龙泉土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.51,31.765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38828, 3262, '511722', '红岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.568,31.3881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38829, 3262, '511722', '桃花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.873,31.4599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38830, 3262, '511722', '黄金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.87,31.6617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38831, 3262, '511722', '君塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.582,31.3074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38832, 3262, '511722', '天宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.671,31.273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38833, 3262, '511722', '南坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.013,31.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38834, 3262, '511722', '天台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.058,31.4552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38835, 3262, '511722', '东乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.647,31.3386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38836, 3262, '511722', '隘口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.489,31.5456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38837, 3262, '511722', '凉风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.976,31.3073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38838, 3262, '511722', '毛坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.738,31.6768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38839, 3262, '511722', '石铁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.113,31.7583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38840, 3262, '511722', '胡家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.681,31.6374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38841, 3262, '511722', '大成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.516,31.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38842, 3262, '511722', '红峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.596,31.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38843, 3262, '511722', '华景镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.077,31.5969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38844, 3262, '511722', '黄石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.875,31.4385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38845, 3262, '511722', '五宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.044,31.5408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38846, 3262, '511722', '老君乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.81,31.5414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38847, 3262, '511722', '普光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.782,31.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38848, 3262, '511722', '庆云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.411,31.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38849, 3262, '511722', '芭蕉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.822,31.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38850, 3262, '511722', '三墩土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.324,31.6631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38851, 3262, '511722', '观山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.989,31.6173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38852, 3262, '511722', '柳池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.717,31.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38853, 3262, '511722', '渡口土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.268,31.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38854, 3262, '511722', '峰城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.999,31.5646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38855, 3262, '511722', '七里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.673,31.2008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38856, 3262, '511722', '花池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.555,31.6267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38857, 3262, '511722', '上峡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.026,31.2467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38858, 3262, '511722', '下八镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.908,31.3829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38859, 3262, '511722', '土主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.674,31.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38860, 3262, '511722', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.59,31.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38861, 3262, '511722', '凤鸣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.528,31.6555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38862, 3262, '511722', '三河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.789,31.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38863, 3262, '511722', '柏树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.606,31.1732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38864, 3262, '511722', '厂溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.987,31.7155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38865, 3262, '511722', '天生镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.795,31.2996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38866, 3262, '511722', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.79,31.4976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38867, 3262, '511722', '长城马渡关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.518,31.5681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38868, 3262, '511722', '南坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.964,31.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38869, 3262, '511722', '明月乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.621,31.4184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38870, 3262, '511722', '漆碑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.279,31.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38871, 3262, '511722', '凤林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.912,31.6073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38872, 3262, '511722', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.992,31.8059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38873, 3262, '511722', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.045,31.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38874, 3262, '511722', '樊哙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.148,31.6766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38875, 3262, '511722', '茶河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.21,31.4668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38876, 3262, '511722', '庙安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.635,31.2359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38877, 3262, '511722', '东林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.678,31.3225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38878, 3262, '511722', '土黄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.133,31.6318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38879, 3262, '511722', '塔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.164,31.359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38880, 3262, '511722', '漆树土家族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.415,31.6085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38881, 3263, '511723', '八庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.894,30.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38882, 3263, '511723', '甘棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.797,30.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38883, 3263, '511723', '广福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.81,30.8687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38884, 3263, '511723', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.891,30.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38885, 3263, '511723', '灵岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.078,31.2305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38886, 3263, '511723', '梅家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.071,31.1938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38887, 3263, '511723', '任市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.751,30.8659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38888, 3263, '511723', '淙城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.819,31.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38889, 3263, '511723', '讲治镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.982,30.9838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38890, 3263, '511723', '普安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.801,31.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38891, 3263, '511723', '新宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.886,31.0829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38892, 3263, '511723', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.714,31.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38893, 3263, '511723', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.947,31.1941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38894, 3264, '511781', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.022,32.1259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38895, 3264, '511781', '青花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.92,31.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38896, 3264, '511781', '草坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.681,31.9005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38897, 3264, '511781', '花萼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.142,32.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38898, 3264, '511781', '康乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.706,32.3203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38899, 3264, '511781', '石窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.611,31.8628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38900, 3264, '511781', '钟亭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.397,32.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38901, 3264, '511781', '罗文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.789,31.654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38902, 3264, '511781', '庙子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.479,32.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38903, 3264, '511781', '庙垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.595,31.7578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38904, 3264, '511781', '大沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.73,31.8663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38905, 3264, '511781', '井溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.26,31.7908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38906, 3264, '511781', '固军乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.116,31.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38907, 3264, '511781', '官渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.03,32.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38908, 3264, '511781', '赵塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.88,31.9182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38909, 3264, '511781', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.115,32.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38910, 3264, '511781', '庙坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.249,32.172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38911, 3264, '511781', '新店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.733,32.0396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38912, 3264, '511781', '永宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.863,32.205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38913, 3264, '511781', '白羊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.158,31.8377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38914, 3264, '511781', '石人乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.814,31.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38915, 3264, '511781', '紫溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.191,32.2245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38916, 3264, '511781', '罐坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.907,32.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38917, 3264, '511781', '白果镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.306,32.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38918, 3264, '511781', '曾家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.739,31.7998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38919, 3264, '511781', '梨树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.019,32.2118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38920, 3264, '511781', '石塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.171,31.9259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38921, 3264, '511781', '旧院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.175,31.8898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38922, 3264, '511781', '秦河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.576,31.8213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38923, 3264, '511781', '长石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.948,32.1729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38924, 3264, '511781', '蜂桶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.345,31.7843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38925, 3264, '511781', '虹桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.765,32.2869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38926, 3264, '511781', '堰塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.282,31.8324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38927, 3264, '511781', '丝罗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.753,32.0904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38928, 3264, '511781', '魏家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.633,31.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38929, 3264, '511781', '曹家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.229,32.0096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38930, 3264, '511781', '竹峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.679,32.1997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38931, 3264, '511781', '茶垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.117,32.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38932, 3264, '511781', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.671,31.7503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38933, 3264, '511781', '柳黄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.675,32.0046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38934, 3264, '511781', '沙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.035,31.9329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38935, 3264, '511781', '中坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.779,31.9741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38936, 3264, '511781', '溪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.735,32.1027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38937, 3264, '511781', '花楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.877,31.7445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38938, 3264, '511781', '玉带乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.52,31.8883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38939, 3264, '511781', '长坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.955,31.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38940, 3264, '511781', '鹰背镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.525,31.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38941, 3264, '511781', '皮窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.149,32.2316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38942, 3264, '511781', '铁矿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.001,31.8064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38943, 3264, '511781', '黄钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.79,32.0227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38944, 3264, '511781', '八台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.223,31.9601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38945, 3264, '511781', '大竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '108.337,32.2117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38946, 3265, '511702', '东岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.472,31.2966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38947, 3265, '511702', '金石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.372,31.433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38948, 3265, '511702', '江陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.225,31.4501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38949, 3265, '511702', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.5,31.2221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38950, 3265, '511702', '碑庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.412,31.519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38951, 3265, '511702', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.403,31.2571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38952, 3265, '511702', '青宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.398,31.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38953, 3265, '511702', '北山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.349,31.4513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38954, 3265, '511702', '朝阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.455,31.2058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38955, 3265, '511702', '梓桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.362,31.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38956, 3265, '511702', '盘石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.632,31.2589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38957, 3265, '511702', '安云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.502,31.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38958, 3265, '511702', '凤北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.477,31.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38959, 3265, '511702', '蒲家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.547,31.4095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38960, 3265, '511702', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.477,31.2588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38961, 3265, '511702', '凤西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.457,31.1931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38962, 3265, '511702', '罗江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.5,31.3383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38963, 3265, '511702', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.451,31.325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38964, 3266, '511703', '石板街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.471,31.0999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38965, 3266, '511703', '堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.324,31.3273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38966, 3266, '511703', '景市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.496,30.965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38967, 3266, '511703', '米城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.286,31.2854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38968, 3266, '511703', '福善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.543,31.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38969, 3266, '511703', '虎让乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.221,31.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38970, 3266, '511703', '桥湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.226,31.3176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38971, 3266, '511703', '杨柳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.528,31.1445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38972, 3266, '511703', '翠屏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.507,31.1972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38973, 3266, '511703', '大堰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.352,31.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38974, 3266, '511703', '幺塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.388,31.1921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38975, 3266, '511703', '安仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.748,31.0127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38976, 3266, '511703', '平滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.476,30.925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38977, 3266, '511703', '龙会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.198,31.1513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38978, 3266, '511703', '斌郎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.473,31.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38979, 3266, '511703', '三里坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.506,31.2025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38980, 3266, '511703', '南岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.526,30.8652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38981, 3266, '511703', '赵固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.293,31.2829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38982, 3266, '511703', '河市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.37,31.1487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38983, 3266, '511703', '渡市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.229,31.0469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38984, 3266, '511703', '麻柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.791,30.9868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38985, 3266, '511703', '百节镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.376,31.0105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38986, 3266, '511703', '罐子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.223,31.099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38987, 3266, '511703', '赵家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.471,30.9421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38988, 3266, '511703', '双庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.394,31.0089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38989, 3266, '511703', '管村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.196,31.1807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38990, 3266, '511703', '亭子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.64,31.1284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38991, 3266, '511703', '金垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.401,31.0914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38992, 3266, '511703', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.071,31.3618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38993, 3266, '511703', '大树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.569,30.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38994, 3266, '511703', '万家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.744,30.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38995, 3266, '511703', '明月江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.549,31.1698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38996, 3266, '511703', '石梯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '107.094,31.1791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38997, 3267, '511323', '龙蚕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.31,30.8827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38998, 3267, '511323', '周口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.434,31.0341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (38999, 3267, '511323', '睦坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.236,31.1414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39000, 3267, '511323', '银汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.538,30.8027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39001, 3267, '511323', '石孔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.578,30.9942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39002, 3267, '511323', '正源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.208,31.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39003, 3267, '511323', '金溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.39,31.1646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39004, 3267, '511323', '鲜店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.345,31.2304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39005, 3267, '511323', '杨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.529,30.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39006, 3267, '511323', '新园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.442,30.9404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39007, 3267, '511323', '福德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.65,30.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39008, 3267, '511323', '巨龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.179,31.1035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39009, 3267, '511323', '罗家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.516,30.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39010, 3267, '511323', '相如街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.504,31.0126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39011, 3267, '511323', '平头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.284,31.2197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39012, 3267, '511323', '徐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.509,31.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39013, 3267, '511323', '利溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.397,30.9663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39014, 3267, '511323', '兴旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.4,30.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39015, 3267, '511323', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.355,31.0697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39016, 3267, '511323', '河舒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.419,30.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39017, 3267, '511323', '金甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.463,31.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39018, 3268, '511325', '占山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.814,30.9688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39019, 3268, '511325', '莲池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.856,30.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39020, 3268, '511325', '东太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.997,31.0499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39021, 3268, '511325', '罐垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.704,31.2494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39022, 3268, '511325', '祥龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.731,30.9264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39023, 3268, '511325', '鸣龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.673,31.1898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39024, 3268, '511325', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.959,31.1217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39025, 3268, '511325', '车龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.754,30.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39026, 3268, '511325', '多扶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.001,31.0028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39027, 3268, '511325', '仙林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.029,31.0793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39028, 3268, '511325', '凤鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.835,31.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39029, 3268, '511325', '槐树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.803,31.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39030, 3268, '511325', '常林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.881,31.0317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39031, 3268, '511325', '青狮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.758,31.0863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39032, 3268, '511325', '南台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.888,30.9736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39033, 3268, '511325', '双凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.667,31.0122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39034, 3268, '511325', '高院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.639,30.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39035, 3268, '511325', '大全镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.075,31.0978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39036, 3268, '511325', '晋城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.946,31.0095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39037, 3268, '511325', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.752,31.1084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39038, 3268, '511325', '义兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.854,31.1857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39039, 3268, '511325', '关文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.875,31.138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39040, 3268, '511325', '古楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.939,31.2118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39041, 3269, '511322', '安化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.661,31.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39042, 3269, '511322', '明德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.938,31.2549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39043, 3269, '511322', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.548,31.034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39044, 3269, '511322', '悦中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.95,31.2676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39045, 3269, '511322', '小桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.753,31.0318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39046, 3269, '511322', '灵鹫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.843,31.0657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39047, 3269, '511322', '绥安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.585,31.0821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39048, 3269, '511322', '朗池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.596,31.1205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39049, 3269, '511322', '渌井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.457,31.0885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39050, 3269, '511322', '东升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.72,31.139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39051, 3269, '511322', '望龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.601,31.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39052, 3269, '511322', '骆市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.729,31.1225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39053, 3269, '511322', '黄渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.756,31.1665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39054, 3269, '511322', '老林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.907,31.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39055, 3269, '511322', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.534,31.1876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39056, 3269, '511322', '木垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.896,31.1812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39057, 3269, '511322', '大庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.707,31.2435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39058, 3269, '511322', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.668,31.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39059, 3269, '511322', '木顶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.83,31.133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39060, 3269, '511322', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.474,31.0997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39061, 3269, '511322', '柏林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.776,31.3812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39062, 3269, '511322', '消水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.818,31.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39063, 3269, '511322', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.545,31.1905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39064, 3269, '511322', '双流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.848,31.3342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39065, 3269, '511322', '绿水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.586,31.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39066, 3269, '511322', '星火镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.668,30.9838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39067, 3269, '511322', '蓼叶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.632,31.2764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39068, 3269, '511322', '太蓬乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.744,31.3225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39069, 3269, '511322', '西桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.66,30.9687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39070, 3270, '511321', '盘龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.129,31.3118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39071, 3270, '511321', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.055,31.3284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39072, 3270, '511321', '双峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.65,31.611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39073, 3270, '511321', '五灵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.306,31.3613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39074, 3270, '511321', '宏观乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.797,31.3393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39075, 3270, '511321', '老鸦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.974,31.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39076, 3270, '511321', '小元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.666,31.3139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39077, 3270, '511321', '三官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.839,31.3116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39078, 3270, '511321', '永定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.128,31.425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39079, 3270, '511321', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.027,31.3788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39080, 3270, '511321', '蜀北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.066,31.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39081, 3270, '511321', '石河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.202,31.3069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39082, 3270, '511321', '双佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.604,31.3329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39083, 3270, '511321', '富利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.171,31.2047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39084, 3270, '511321', '桐坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.494,31.5518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39085, 3270, '511321', '建兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.817,31.217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39086, 3270, '511321', '花罐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.652,31.4085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39087, 3270, '511321', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.051,31.2938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39088, 3270, '511321', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.195,31.1119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39089, 3270, '511321', '东坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.045,31.2173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39090, 3270, '511321', '满福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.125,31.3724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39091, 3270, '511321', '长坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.311,31.38', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39092, 3270, '511321', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.742,31.3703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39093, 3270, '511321', '南隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.013,31.3559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39094, 3270, '511321', '黄金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.048,31.2461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39095, 3270, '511321', '万年镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.838,31.4197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39096, 3270, '511321', '神坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.652,31.4085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39097, 3270, '511321', '铁佛塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.155,31.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39098, 3270, '511321', '河坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.103,31.0962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39099, 3270, '511321', '伏虎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.68,31.2516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39100, 3270, '511321', '流马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.005,31.2161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39101, 3270, '511321', '谢河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.148,31.3616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39102, 3270, '511321', '太霞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.637,31.5319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39103, 3270, '511321', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.76,31.2889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39104, 3270, '511321', '八尔湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.013,31.1382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39105, 3270, '511321', '大王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.886,31.3299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39106, 3270, '511321', '升钟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.774,31.5262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39107, 3270, '511321', '西水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.609,31.5056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39108, 3270, '511321', '定水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.929,31.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39109, 3270, '511321', '楠木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.25,31.3517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39110, 3270, '511321', '升水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.828,31.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39111, 3270, '511321', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.492,31.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39112, 3270, '511321', '碑院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.153,31.3595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39113, 3271, '511304', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.801,30.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39114, 3271, '511304', '龙岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.952,30.6099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39115, 3271, '511304', '安平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.859,30.6725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39116, 3271, '511304', '世阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.953,30.7168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39117, 3271, '511304', '火花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.045,30.7688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39118, 3271, '511304', '安福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.923,30.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39119, 3271, '511304', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.079,30.7033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39120, 3271, '511304', '里坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.826,30.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39121, 3271, '511304', '三会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.732,30.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39122, 3271, '511304', '七宝寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.764,30.8975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39123, 3271, '511304', '河西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.077,30.6531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39124, 3271, '511304', '李渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.133,30.5571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39125, 3271, '511304', '都尉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.011,30.7863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39126, 3271, '511304', '西兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.035,30.8191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39127, 3271, '511304', '金凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.893,30.6202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39128, 3271, '511304', '一立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.895,30.7721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39129, 3271, '511304', '龙蟠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.891,30.8688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39130, 3271, '511304', '曲水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106,30.6813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39131, 3271, '511304', '双桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.021,30.8428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39132, 3271, '511304', '大通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.8,30.7266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39133, 3271, '511304', '盐溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.864,30.6768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39134, 3271, '511304', '金宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.843,30.8853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39135, 3271, '511304', '吉安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.991,30.5584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39136, 3271, '511304', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.034,30.7417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39137, 3272, '511324', '赛金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.388,31.4036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39138, 3272, '511324', '文星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.54,31.3473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39139, 3272, '511324', '杨桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.629,31.4424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39140, 3272, '511324', '来仪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.514,31.567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39141, 3272, '511324', '立山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.844,31.4656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39142, 3272, '511324', '凤仪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.481,31.393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39143, 3272, '511324', '先锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.251,31.6118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39144, 3272, '511324', '福临乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.53,31.5362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39145, 3272, '511324', '新政镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.27,31.2803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39146, 3272, '511324', '回春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.287,31.5394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39147, 3272, '511324', '二道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.508,31.3056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39148, 3272, '511324', '瓦子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.818,31.5469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39149, 3272, '511324', '双胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.423,31.3006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39150, 3272, '511324', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.484,31.4065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39151, 3272, '511324', '芭蕉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.702,31.35', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39152, 3272, '511324', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.706,31.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39153, 3272, '511324', '张公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.412,31.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39154, 3272, '511324', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.345,31.4794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39155, 3272, '511324', '柴井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.253,31.3591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39156, 3272, '511324', '铜鼓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.37,31.4443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39157, 3272, '511324', '大仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.249,31.5856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39158, 3272, '511324', '五福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.418,31.45', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39159, 3272, '511324', '保平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.5,31.4036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39160, 3272, '511324', '三河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.712,31.4491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39161, 3272, '511324', '大寅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.602,31.3879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39162, 3272, '511324', '度门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.201,31.2986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39163, 3272, '511324', '日兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.492,31.5674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39164, 3272, '511324', '金城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.442,31.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39165, 3272, '511324', '观紫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.317,31.6347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39166, 3272, '511324', '义路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.679,31.5819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39167, 3272, '511324', '柳垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.668,31.4958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39168, 3272, '511324', '马鞍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.639,31.445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39169, 3272, '511324', '丁字桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.526,31.5048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39170, 3272, '511324', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.559,31.4172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39171, 3272, '511324', '三蛟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.443,31.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39172, 3272, '511324', '永光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.544,31.2766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39173, 3272, '511324', '思德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.797,31.5177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39174, 3273, '511303', '石圭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.116,30.6023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39175, 3273, '511303', '小龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.157,30.8686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39176, 3273, '511303', '擦耳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.291,30.9291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39177, 3273, '511303', '江陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.239,30.9456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39178, 3273, '511303', '龙门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.204,30.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39179, 3273, '511303', '青居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.058,30.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39180, 3273, '511303', '佛门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.188,30.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39181, 3273, '511303', '白塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.119,30.8006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39182, 3273, '511303', '清溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.104,30.7789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39183, 3273, '511303', '螺溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.194,30.8548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39184, 3273, '511303', '走马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.248,30.844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39185, 3273, '511303', '东观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.303,30.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39186, 3273, '511303', '胜观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.403,30.7756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39187, 3273, '511303', '阙家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.178,30.682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39188, 3273, '511303', '老君街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.204,30.772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39189, 3273, '511303', '长乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.303,30.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39190, 3273, '511303', '会龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.305,30.8301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39191, 3273, '511303', '都京街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.108,30.7642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39192, 3273, '511303', '青莲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.199,30.8015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39193, 3274, '511302', '舞凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.086,30.811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39194, 3274, '511302', '搬罾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.153,30.9254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39195, 3274, '511302', '潆溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.034,30.927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39196, 3274, '511302', '华凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.036,30.8209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39197, 3274, '511302', '潆华工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.089,30.8243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39198, 3274, '511302', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.097,30.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39199, 3274, '511302', '荆溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.128,30.8893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39200, 3274, '511302', '中城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.074,30.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39201, 3274, '511302', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.082,30.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39202, 3274, '511302', '和平路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.071,30.803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39203, 3274, '511302', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.059,30.7883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39204, 3274, '511302', '金台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.122,30.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39205, 3274, '511302', '渔溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.181,30.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39206, 3274, '511302', '共兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.003,30.9506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39207, 3274, '511302', '芦溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.127,30.9949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39208, 3274, '511302', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.119,31.0862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39209, 3274, '511302', '新复乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.004,30.8445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39210, 3274, '511302', '李家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.156,31.1004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39211, 3274, '511302', '东南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.081,30.7843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39212, 3275, '511381', '沙溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.92,31.6588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39213, 3275, '511381', '彭城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.968,31.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39214, 3275, '511381', '保宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.976,31.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39215, 3275, '511381', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.272,31.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39216, 3275, '511381', '五马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.027,31.6095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39217, 3275, '511381', '峰占乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.305,31.8206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39218, 3275, '511381', '金垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.169,31.5257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39219, 3275, '511381', '望垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.337,31.6445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39220, 3275, '511381', '博树回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.027,31.6881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39221, 3275, '511381', '桥楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.752,31.719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39222, 3275, '511381', '柏垭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.952,31.3918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39223, 3275, '511381', '七里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.989,31.5599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39224, 3275, '511381', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.079,31.5111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39225, 3275, '511381', '河溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.08,31.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39226, 3275, '511381', '思依镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.842,31.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39227, 3275, '511381', '木兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.702,31.5989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39228, 3275, '511381', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.967,31.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39229, 3275, '511381', '飞凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.853,31.5669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39230, 3275, '511381', '天宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.805,31.5152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39231, 3275, '511381', '妙高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.178,31.5794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39232, 3275, '511381', '千佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.293,31.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39233, 3275, '511381', '文成镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.086,31.6047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39234, 3275, '511381', '石滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.281,31.6389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39235, 3275, '511381', '鹤峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.353,31.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39236, 3275, '511381', '老观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.121,31.7879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39237, 3275, '511381', '二龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.141,31.6034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39238, 3275, '511381', '玉台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.226,31.5112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39239, 3275, '511381', '水观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.257,31.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39240, 3276, '511025', '罗泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.54,29.8617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39241, 3276, '511025', '马鞍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.977,29.8947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39242, 3276, '511025', '狮子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.984,29.8163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39243, 3276, '511025', '铁佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.597,29.8413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39244, 3276, '511025', '明心寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.889,29.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39245, 3276, '511025', '孟塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.935,29.978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39246, 3276, '511025', '龙江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.01,29.9173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39247, 3276, '511025', '龙结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.546,29.8484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39248, 3276, '511025', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.923,29.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39249, 3276, '511025', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.692,29.6732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39250, 3276, '511025', '银山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.891,29.7033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39251, 3276, '511025', '公民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.833,29.7237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39252, 3276, '511025', '陈家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.832,29.6303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39253, 3276, '511025', '水南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.832,29.816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39254, 3276, '511025', '重龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.015,29.7478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39255, 3276, '511025', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.76,29.6658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39256, 3276, '511025', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.055,29.7298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39257, 3276, '511025', '发轮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.532,30.0011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39258, 3276, '511025', '归德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.798,29.8217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39259, 3276, '511025', '鱼溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.667,29.7929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39260, 3276, '511025', '高楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.664,29.8908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39261, 3276, '511025', '球溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.611,29.8711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39262, 3277, '511011', '杨家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.362,29.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39263, 3277, '511011', '永福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.288,29.7981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39264, 3277, '511011', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.05,29.6228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39265, 3277, '511011', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.185,29.4923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39266, 3277, '511011', '郭北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.129,29.6007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39267, 3277, '511011', '西林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.06,29.6183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39268, 3277, '511011', '富溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.009,29.7201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39269, 3277, '511011', '高桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.11,29.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39270, 3277, '511011', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.075,29.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39271, 3277, '511011', '顺河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.208,29.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39272, 3277, '511011', '平坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.349,29.6224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39273, 3277, '511011', '新江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.084,29.5832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39274, 3277, '511011', '石子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.409,29.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39275, 3277, '511011', '高梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.205,29.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39276, 3277, '511011', '双桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.211,29.7529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39277, 3277, '511011', '双才镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.139,29.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39278, 3277, '511011', '椑木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.066,29.5444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39279, 3277, '511011', '田家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.192,29.7443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39280, 3277, '511011', '白合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.394,29.7472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39281, 3278, '511024', '界牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.728,29.4109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39282, 3278, '511024', '观英滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.566,29.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39283, 3278, '511024', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.286,29.6635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39284, 3278, '511024', '高石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.714,29.5545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39285, 3278, '511024', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.656,29.4945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39286, 3278, '511024', '山王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.693,29.6739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39287, 3278, '511024', '向义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.65,29.4098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39288, 3278, '511024', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.485,29.6742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39289, 3278, '511024', '龙会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.794,29.5761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39290, 3278, '511024', '越溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.466,29.6669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39291, 3278, '511024', '严陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.709,29.5673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39292, 3278, '511024', '镇西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.592,29.4276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39293, 3278, '511024', '东联镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.836,29.546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39294, 3278, '511024', '连界镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.579,29.7727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39295, 3279, '511083', '响石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.131,29.3562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39296, 3279, '511083', '圣灯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.195,29.2838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39297, 3279, '511083', '胡家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.249,29.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39298, 3279, '511083', '双凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.065,29.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39299, 3279, '511083', '石燕桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.369,29.2867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39300, 3279, '511083', '云顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.282,29.3016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39301, 3279, '511083', '界市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.249,29.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39302, 3279, '511083', '普润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.302,29.4377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39303, 3279, '511083', '古湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.209,29.3538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39304, 3279, '511083', '石碾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.36,29.4246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39305, 3279, '511083', '龙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.162,29.4061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39306, 3279, '511083', '黄家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.11,29.4186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39307, 3279, '511083', '金鹅街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.342,29.3314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39308, 3280, '511002', '经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.019,29.5924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39309, 3280, '511002', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.063,29.5797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39310, 3280, '511002', '牌楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.059,29.5747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39311, 3280, '511002', '玉溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.045,29.5774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39312, 3280, '511002', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.897,29.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39313, 3280, '511002', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.068,29.5839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39314, 3280, '511002', '乐贤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.074,29.5479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39315, 3280, '511002', '交通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.035,29.5947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39316, 3280, '511002', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.052,29.5806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39317, 3280, '511002', '史家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.966,29.6423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39318, 3280, '511002', '壕子口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.033,29.5924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39319, 3280, '511002', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.977,29.4495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39320, 3280, '511002', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.951,29.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39321, 3280, '511002', '靖民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.013,29.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39322, 3280, '511002', '凌家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.928,29.4883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39323, 3280, '511002', '全安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.892,29.6213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39324, 3280, '511002', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.948,29.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39325, 3281, '511526', '沐滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.687,28.171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39326, 3281, '511526', '罗渡苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.79,28.096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39327, 3281, '511526', '玉和苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.81,28.229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39328, 3281, '511526', '曹营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.981,28.1157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39329, 3281, '511526', '洛表镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.789,28.0645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39330, 3281, '511526', '洛亥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.91,28.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39331, 3281, '511526', '观斗苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.937,28.0598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39332, 3281, '511526', '底洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.882,28.2796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39333, 3281, '511526', '王家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.828,27.8994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39334, 3281, '511526', '巡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.752,28.4997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39335, 3281, '511526', '珙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.825,28.412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39336, 3281, '511526', '上罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.706,28.2172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39337, 3281, '511526', '孝儿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.654,28.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39338, 3282, '511528', '麒麟苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.129,28.2475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39339, 3282, '511528', '仙峰苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.976,28.2138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39340, 3282, '511528', '石海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.085,28.1896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39341, 3282, '511528', '大河苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.239,28.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39342, 3282, '511528', '大坝苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.081,28.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39343, 3282, '511528', '九丝城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.981,28.1157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39344, 3282, '511528', '周家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.882,28.2799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39345, 3282, '511528', '共乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.134,28.3933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39346, 3282, '511528', '五星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.111,28.4205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39347, 3282, '511528', '僰王山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.076,28.4205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39348, 3282, '511528', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.202,28.4141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39349, 3282, '511528', '古宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.139,28.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39350, 3283, '511524', '井江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.841,28.5611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39351, 3283, '511524', '铜锣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.851,28.4938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39352, 3283, '511524', '梅白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.956,28.723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39353, 3283, '511524', '龙头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.931,28.4293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39354, 3283, '511524', '老翁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.03,28.6158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39355, 3283, '511524', '花滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.778,28.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39356, 3283, '511524', '梅硐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.995,28.3977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39357, 3283, '511524', '古河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.063,28.6832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39358, 3283, '511524', '硐底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.739,28.461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39359, 3283, '511524', '长宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.872,28.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39360, 3283, '511524', '竹海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.029,28.5275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39361, 3283, '511524', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.833,28.3965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39362, 3283, '511524', '铜鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.759,28.557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39363, 3284, '511523', '红桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.002,28.4541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39364, 3284, '511523', '大井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.11,28.4252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39365, 3284, '511523', '铁清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.085,28.874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39366, 3284, '511523', '留耕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.174,28.6594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39367, 3284, '511523', '大妙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.15,28.5444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39368, 3284, '511523', '怡乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.214,28.7541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39369, 3284, '511523', '迎安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.122,28.9233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39370, 3284, '511523', '下长镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.991,28.6843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39371, 3284, '511523', '江安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.04,28.7137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39372, 3284, '511523', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.167,28.5354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39373, 3284, '511523', '五矿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.076,28.4234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39374, 3284, '511523', '夕佳山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.145,28.5566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39375, 3284, '511523', '阳春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.148,28.779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39376, 3284, '511523', '四面山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.204,28.8689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39377, 3285, '511503', '黄沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.88,28.8883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39378, 3285, '511503', '罗龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.893,28.8682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39379, 3285, '511503', '江南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.913,28.7003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39380, 3285, '511503', '长兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.04,28.9636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39381, 3285, '511503', '仙临镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.99,28.8835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39382, 3285, '511503', '南溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105,28.9018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39383, 3285, '511503', '刘家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.882,28.9023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39384, 3285, '511503', '大观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.943,29.0251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39385, 3285, '511503', '汪家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.77,28.9978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39386, 3285, '511503', '裴石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.091,28.8678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39387, 3286, '511502', '安阜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.598,28.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39388, 3286, '511502', '金坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.676,28.9193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39389, 3286, '511502', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.622,28.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39390, 3286, '511502', '白沙湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.645,28.7921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39391, 3286, '511502', '宗场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.486,28.8716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39392, 3286, '511502', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.624,28.7658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39393, 3286, '511502', '西郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.554,28.698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39394, 3286, '511502', '李庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.88,28.7772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39395, 3286, '511502', '思坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.499,28.8622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39396, 3286, '511502', '牟坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.802,28.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39397, 3286, '511502', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.631,28.9718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39398, 3286, '511502', '菜坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.525,28.7939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39399, 3286, '511502', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.616,28.7662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39400, 3286, '511502', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.602,28.7619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39401, 3286, '511502', '象鼻街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.609,28.8631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39402, 3286, '511502', '宋家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.842,28.767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39403, 3286, '511502', '沙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.67,28.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39404, 3286, '511502', '双谊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.501,29.0034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39405, 3286, '511502', '李端镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.8,28.6267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39406, 3286, '511502', '金秋湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.656,29.082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39407, 3286, '511502', '双城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.777,28.9343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39408, 3286, '511502', '白花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.594,29.1801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39409, 3287, '511525', '蕉村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.523,28.2322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39410, 3287, '511525', '文江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.579,28.4398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39411, 3287, '511525', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.627,28.5335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39412, 3287, '511525', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.745,28.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39413, 3287, '511525', '胜天镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.73,28.6682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39414, 3287, '511525', '落润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.55,28.3788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39415, 3287, '511525', '可久镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.458,28.3785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39416, 3287, '511525', '月江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.724,28.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39417, 3287, '511525', '来复镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.578,28.5347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39418, 3287, '511525', '罗场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.533,28.2733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39419, 3287, '511525', '嘉乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.593,28.3359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39420, 3287, '511525', '庆符镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.479,28.3584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39421, 3287, '511525', '庆岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.619,28.5796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39422, 3288, '511527', '联合苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.617,27.9', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39423, 3288, '511527', '团林苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.643,27.9478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39424, 3288, '511527', '腾达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.68,28.1717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39425, 3288, '511527', '高坪苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.575,27.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39426, 3288, '511527', '乐义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.734,28.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39427, 3288, '511527', '大雪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.775,27.9267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39428, 3288, '511527', '蒿坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.47,27.9051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39429, 3288, '511527', '丰乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.348,28.0216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39430, 3288, '511527', '巡司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.624,28.1394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39431, 3288, '511527', '镇舟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.733,28.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39432, 3288, '511527', '筠连镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.554,28.1672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39433, 3288, '511527', '沐爱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.669,28.1489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39434, 3289, '511529', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.95,28.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39435, 3289, '511529', '夏溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.724,28.7197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39436, 3289, '511529', '新市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.855,28.7084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39437, 3289, '511529', '清平彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.739,28.5589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39438, 3289, '511529', '屏边彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.621,28.6004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39439, 3289, '511529', '书楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.227,28.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39440, 3289, '511529', '大乘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.224,28.8162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39441, 3289, '511529', '屏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.298,28.8451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39442, 3289, '511529', '中都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.873,28.8124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39443, 3289, '511529', '龙华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.103,28.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39444, 3289, '511529', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.07,28.6529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39445, 3290, '511504', '商州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.17,28.7912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39446, 3290, '511504', '柳嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.18,29.2095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39447, 3290, '511504', '龙池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.123,28.9825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39448, 3290, '511504', '泥溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.219,29.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39449, 3290, '511504', '合什镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.294,29.2492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39450, 3290, '511504', '柏溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.554,28.7021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39451, 3290, '511504', '南广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.645,28.6834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39452, 3290, '511504', '安边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.411,28.6674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39453, 3290, '511504', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.298,28.4903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39454, 3290, '511504', '高场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.35,28.7799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39455, 3290, '511504', '南岸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.631,28.7592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39456, 3290, '511504', '凤仪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.351,28.3931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39457, 3290, '511504', '樟海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.294,28.9573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39458, 3290, '511504', '蕨溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.286,28.8484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39459, 3290, '511504', '观音镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.514,29.0396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39460, 3290, '511504', '横江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.391,28.5991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39461, 3290, '511504', '赵场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.62,28.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39462, 3291, '510504', '小市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.445,28.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39463, 3291, '510504', '双加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.402,29.0595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39464, 3291, '510504', '胡市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.385,28.9975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39465, 3291, '510504', '金龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.372,29.0459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39466, 3291, '510504', '莲花池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.446,28.905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39467, 3291, '510504', '安宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.381,28.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39468, 3291, '510504', '鱼塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.452,28.9104', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39469, 3291, '510504', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.559,28.9825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39470, 3291, '510504', '石洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.474,29.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39471, 3291, '510504', '高坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.511,28.8688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39472, 3291, '510504', '特兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.499,28.9387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39473, 3291, '510504', '红星街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.413,28.8846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39474, 3291, '510504', '罗汉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.487,28.8915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39475, 3292, '510521', '太伏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.73,29.0144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39476, 3292, '510521', '毗卢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.654,29.1875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39477, 3292, '510521', '百和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.752,29.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39478, 3292, '510521', '立石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.647,29.1179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39479, 3292, '510521', '云龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.512,29.1256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39480, 3292, '510521', '潮河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.218,29.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39481, 3292, '510521', '天兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.284,29.1431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39482, 3292, '510521', '云锦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.622,29.141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39483, 3292, '510521', '奇峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.473,29.1284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39484, 3292, '510521', '泸县城西工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.331,29.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39485, 3292, '510521', '得胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.476,29.0937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39486, 3292, '510521', '兆雅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.529,29.0131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39487, 3292, '510521', '玄滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.585,29.1153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39488, 3292, '510521', '海潮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.259,28.974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39489, 3292, '510521', '喻寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.465,29.1923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39490, 3292, '510521', '牛滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.379,29.0741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39491, 3292, '510521', '玉蟾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.354,29.1366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39492, 3292, '510521', '嘉明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.346,29.2199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39493, 3292, '510521', '泸县城北工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.326,29.2613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39494, 3292, '510521', '福集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.271,29.1358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39495, 3292, '510521', '石桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.551,29.221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39496, 3292, '510521', '方洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.388,29.2976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39497, 3293, '510503', '龙车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.49,28.7859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39498, 3293, '510503', '护国镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.261,28.6389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39499, 3293, '510503', '打古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.548,28.6166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39500, 3293, '510503', '丰乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.48,28.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39501, 3293, '510503', '安富街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.37,28.7766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39502, 3293, '510503', '上马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.272,28.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39503, 3293, '510503', '永宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.369,28.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39504, 3293, '510503', '泸州化工园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.412,28.8355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39505, 3293, '510503', '天仙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.39,28.6546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39506, 3293, '510503', '白节镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.57,28.694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39507, 3293, '510503', '渠坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.364,28.7347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39508, 3293, '510503', '新乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.376,28.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39509, 3293, '510503', '合面镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.205,28.6051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39510, 3293, '510503', '棉花坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.398,28.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39511, 3293, '510503', '大渡口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.258,28.7283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39512, 3294, '510524', '观兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,27.8649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39513, 3294, '510524', '黄坭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.272,27.9966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39514, 3294, '510524', '麻城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.622,27.9491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39515, 3294, '510524', '营山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.526,27.9408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39516, 3294, '510524', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.318,28.116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39517, 3294, '510524', '叙永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.403,28.1691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39518, 3294, '510524', '摩尼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.566,27.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39519, 3294, '510524', '合乐苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.513,28.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39520, 3294, '510524', '龙凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.421,28.2843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39521, 3294, '510524', '枧槽苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,27.9447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39522, 3294, '510524', '后山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.427,27.9897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39523, 3294, '510524', '震东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.513,28.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39524, 3294, '510524', '分水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.249,27.8419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39525, 3294, '510524', '落卜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.416,28.0671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39526, 3294, '510524', '白腊苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.225,28.0987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39527, 3294, '510524', '石厢子彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.449,27.8046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39528, 3294, '510524', '赤水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.558,27.7223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39529, 3294, '510524', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.373,28.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39530, 3294, '510524', '江门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.308,28.4886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39531, 3294, '510524', '向林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.535,28.5054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39532, 3294, '510524', '天池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.439,28.3637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39533, 3294, '510524', '马岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.302,28.3624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39534, 3294, '510524', '水尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.617,28.3387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39535, 3294, '510524', '大石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.598,28.4636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39536, 3294, '510524', '水潦彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.288,27.8062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39537, 3295, '510525', '鱼化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.985,27.985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39538, 3295, '510525', '桂花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.631,28.1761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39539, 3295, '510525', '双沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.691,27.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39540, 3295, '510525', '皇华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.08,27.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39541, 3295, '510525', '观文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.809,27.8669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39542, 3295, '510525', '大村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.165,28.0559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39543, 3295, '510525', '马蹄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.779,27.7845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39544, 3295, '510525', '椒园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.957,27.786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39545, 3295, '510525', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.926,27.9969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39546, 3295, '510525', '石屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.994,27.996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39547, 3295, '510525', '白泥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.978,27.779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39548, 3295, '510525', '二郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.146,28.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39549, 3295, '510525', '古蔺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.766,28.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39550, 3295, '510525', '德耀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.689,28.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39551, 3295, '510525', '石宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.108,27.9179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39552, 3295, '510525', '马嘶苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.843,27.8323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39553, 3295, '510525', '大寨苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.622,28.1303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39554, 3295, '510525', '护家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.846,28.0057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39555, 3295, '510525', '茅溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.317,27.8098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39556, 3295, '510525', '土城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.212,28.0196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39557, 3295, '510525', '箭竹苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.588,28.0105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39558, 3295, '510525', '丹桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.31,27.9835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39559, 3295, '510525', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.971,28.1291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39560, 3295, '510525', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.084,28.1581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39561, 3295, '510525', '东新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.107,28.1026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39562, 3295, '510525', '黄荆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.666,28.2781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39563, 3296, '510502', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.441,28.8834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39564, 3296, '510502', '通滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.204,28.8755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39565, 3296, '510502', '况场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.376,28.9271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39566, 3296, '510502', '泰安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.482,28.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39567, 3296, '510502', '黄舣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.581,28.8497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39568, 3296, '510502', '石寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.182,28.9302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39569, 3296, '510502', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.447,28.885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39570, 3296, '510502', '大山坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.426,28.8715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39571, 3296, '510502', '蓝田街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.498,28.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39572, 3296, '510502', '华阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.424,28.8786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39573, 3296, '510502', '江北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.234,28.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39574, 3296, '510502', '茜草街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.446,28.8577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39575, 3296, '510502', '弥陀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.605,28.901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39576, 3296, '510502', '邻玉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.407,28.8496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39577, 3296, '510502', '方山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.321,28.831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39578, 3296, '510502', '酒业集中发展区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.478,28.8816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39579, 3296, '510502', '丹林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.215,28.8214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39580, 3296, '510502', '分水岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.565,28.7788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39581, 3296, '510502', '高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.477,28.8807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39582, 3296, '510502', '张坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.484,28.8712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39583, 3296, '510502', '轻工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.479,28.8808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39584, 3297, '510522', '合江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.792,28.8024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39585, 3297, '510522', '神臂城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.705,28.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39586, 3297, '510522', '实录镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.837,28.7434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39587, 3297, '510522', '虎头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.859,28.7508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39588, 3297, '510522', '先市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.674,28.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39589, 3297, '510522', '白鹿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.96,28.8804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39590, 3297, '510522', '合江县临港工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.908,28.8353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39591, 3297, '510522', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.702,28.9397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39592, 3297, '510522', '南滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.023,28.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39593, 3297, '510522', '真龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.761,28.813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39594, 3297, '510522', '甘雨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.996,28.8578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39595, 3297, '510522', '佛荫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.701,28.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39596, 3297, '510522', '榕山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.941,28.9233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39597, 3297, '510522', '白米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.832,28.8743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39598, 3297, '510522', '榕右乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.929,28.8343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39599, 3297, '510522', '望龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.8,28.8733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39600, 3297, '510522', '参宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.731,28.9238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39601, 3297, '510522', '先滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.238,28.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39602, 3297, '510522', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.67,28.869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39603, 3297, '510522', '车辋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.794,28.6966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39604, 3297, '510522', '凤鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.848,28.7027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39605, 3297, '510522', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.159,28.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39606, 3297, '510522', '自怀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.342,28.5965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39607, 3297, '510522', '尧坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.558,28.683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39608, 3297, '510522', '法王寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.634,28.6754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39609, 3297, '510522', '五通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.536,28.5298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39610, 3297, '510522', '九支镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.593,28.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39611, 3297, '510522', '福宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '106.121,28.6328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39612, 3298, '513231', '德格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.129,32.9604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39613, 3298, '513231', '查理乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.987,32.749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39614, 3298, '513231', '阿坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.624,32.9362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39615, 3298, '513231', '麦昆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.939,33.0846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39616, 3298, '513231', '河支乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.459,32.8224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39617, 3298, '513231', '安斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.144,33.0589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39618, 3298, '513231', '求吉玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.745,33.4431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39619, 3298, '513231', '甲尔多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.254,33.2637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39620, 3298, '513231', '贾柯河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.089,33.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39621, 3298, '513231', '贾洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.359,33.2386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39622, 3298, '513231', '垮沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.575,32.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39623, 3298, '513231', '茸安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.784,32.568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39624, 3298, '513231', '洛尔达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.529,32.8071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39625, 3298, '513231', '哇尔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.699,32.9246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39626, 3298, '513231', '各莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.597,33.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39627, 3298, '513231', '四洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.659,33.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39628, 3298, '513231', '若柯河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.475,33.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39629, 3298, '513231', '安羌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.83,32.6771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39630, 3298, '513231', '柯河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.169,32.6029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39631, 3298, '513231', '麦尔玛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.876,33.113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39632, 3298, '513231', '龙藏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.817,33.2193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39633, 3299, '513228', '洛多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.36,32.2081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39634, 3299, '513228', '慈坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.206,32.1329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39635, 3299, '513228', '瓦钵梁子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.361,31.943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39636, 3299, '513228', '色尔古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.419,31.9619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39637, 3299, '513228', '沙石多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.594,32.2128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39638, 3299, '513228', '木苏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.152,31.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39639, 3299, '513228', '维古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.311,31.9959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39640, 3299, '513228', '麻窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.146,32.0412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39641, 3299, '513228', '卡龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.24,32.418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39642, 3299, '513228', '红岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.064,31.9608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39643, 3299, '513228', '扎窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.93,32.1843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39644, 3299, '513228', '芦花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.842,32.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39645, 3299, '513228', '石碉楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.419,32.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39646, 3299, '513228', '双溜索乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.225,32.0777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39647, 3299, '513228', '龙坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.391,32.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39648, 3299, '513228', '晴朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.915,32.2666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39649, 3299, '513228', '知木林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.202,32.2673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39650, 3300, '513225', '玉瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.998,33.5757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39651, 3300, '513225', '陵江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.049,33.4696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39652, 3300, '513225', '大录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.722,33.3121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39653, 3300, '513225', '马家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.02,33.0369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39654, 3300, '513225', '九寨沟国营牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.691,33.3371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39655, 3300, '513225', '黑河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.018,33.6687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39656, 3300, '513225', '白河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.039,33.3318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39657, 3300, '513225', '漳扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.676,33.1054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39658, 3300, '513225', '九寨沟风景名胜管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.92,33.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39659, 3300, '513225', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.235,33.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39660, 3300, '513225', '郭元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.293,33.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39661, 3300, '513225', '勿角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.166,32.9542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39662, 3300, '513225', '草地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.301,33.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39663, 3300, '513225', '永和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.296,33.3278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39664, 3300, '513225', '罗依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.136,33.1977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39665, 3300, '513225', '保华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.22,33.2442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39666, 3300, '513225', '南坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.184,33.3361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39667, 3301, '513222', '夹壁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.662,31.6122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39668, 3301, '513222', '薛城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.259,31.5702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39669, 3301, '513222', '通化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.368,31.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39670, 3301, '513222', '甘堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.207,31.4807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39671, 3301, '513222', '桃坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.45,31.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39672, 3301, '513222', '下孟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.223,31.6655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39673, 3301, '513222', '上孟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.928,31.8713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39674, 3301, '513222', '木卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.334,31.5647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39675, 3301, '513222', '朴头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.975,31.2573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39676, 3301, '513222', '蒲溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.279,31.4216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39677, 3301, '513222', '古尔沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.85,31.5687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39678, 3301, '513222', '杂谷脑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.047,31.5102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39679, 3301, '513222', '米亚罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.661,31.844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39680, 3302, '513232', '降扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.85,34.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39681, 3302, '513232', '冻列乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.075,34.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39682, 3302, '513232', '热尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.861,34.0899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39683, 3302, '513232', '辖曼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.308,33.7133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39684, 3302, '513232', '达扎寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.832,33.5804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39685, 3302, '513232', '阿西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.874,34.0067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39686, 3302, '513232', '包座乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.402,33.0848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39687, 3302, '513232', '阿西茸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.147,33.6468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39688, 3302, '513232', '唐克镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.718,33.2686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39689, 3302, '513232', '求吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.287,33.7874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39690, 3302, '513232', '嫩哇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.715,33.9144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39691, 3302, '513232', '占哇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.798,34.2731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39692, 3302, '513232', '巴西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.175,33.5295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39693, 3302, '513232', '白河牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.357,33.2392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39694, 3302, '513232', '崇尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.05,34.1947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39695, 3302, '513232', '班佑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.004,33.299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39696, 3302, '513232', '辖曼牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.795,33.5378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39697, 3302, '513232', '麦溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.208,33.9014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39698, 3302, '513232', '红星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.701,34.1969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39699, 3303, '513226', '太阳河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.696,31.7619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39700, 3303, '513226', '马尔邦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.977,31.3049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39701, 3303, '513226', '卡撒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.065,31.2653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39702, 3303, '513226', '卡拉足乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.859,31.6076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39703, 3303, '513226', '河西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.021,31.4512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39704, 3303, '513226', '咯尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.114,31.6375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39705, 3303, '513226', '马奈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.929,31.1679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39706, 3303, '513226', '安宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.044,31.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39707, 3303, '513226', '沙耳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.951,31.5139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39708, 3303, '513226', '撒瓦脚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.82,31.5251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39709, 3303, '513226', '观音桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.598,31.8775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39710, 3303, '513226', '阿科里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.634,31.4468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39711, 3303, '513226', '独松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.924,31.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39712, 3303, '513226', '毛日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.581,31.6132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39713, 3303, '513226', '俄热乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.264,31.5741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39714, 3303, '513226', '二嘎里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.455,31.909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39715, 3303, '513226', '万林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.189,31.3229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39716, 3303, '513226', '河东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.053,31.4132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39717, 3303, '513226', '集沐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.811,31.7502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39718, 3303, '513226', '曾达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.011,31.23', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39719, 3303, '513226', '庆宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.067,31.6046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39720, 3303, '513226', '勒乌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.074,31.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39721, 3304, '513233', '江茸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.412,32.3022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39722, 3304, '513233', '安曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.222,32.6709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39723, 3304, '513233', '阿木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.789,32.9154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39724, 3304, '513233', '查尔玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.921,32.5029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39725, 3304, '513233', '麦洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.918,32.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39726, 3304, '513233', '刷经寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.661,31.9177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39727, 3304, '513233', '壤口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.441,32.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39728, 3304, '513233', '龙日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.484,32.3605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39729, 3304, '513233', '色地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.999,32.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39730, 3304, '513233', '瓦切镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.669,33.2578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39731, 3304, '513233', '邛溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.515,32.7855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39732, 3305, '513221', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.225,30.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39733, 3305, '513221', '雁门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.61,31.4828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39734, 3305, '513221', '克枯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.556,31.5526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39735, 3305, '513221', '水磨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.431,30.9714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39736, 3305, '513221', '龙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.553,31.7106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39737, 3305, '513221', '耿达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.96,31.2479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39738, 3305, '513221', '漩口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.454,30.95', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39739, 3305, '513221', '映秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.356,31.0437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39740, 3305, '513221', '卧龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.903,30.9556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39741, 3305, '513221', '威州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.553,31.4049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39742, 3305, '513221', '银杏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.509,31.3026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39743, 3305, '513221', '绵虒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.383,31.4281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39744, 3306, '513201', '康山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.506,32.0181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39745, 3306, '513201', '脚木足乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.841,31.9732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39746, 3306, '513201', '松岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.069,31.9316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39747, 3306, '513201', '大藏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.316,32.0408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39748, 3306, '513201', '龙尔甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.976,32.3331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39749, 3306, '513201', '木尔宗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.783,31.9582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39750, 3306, '513201', '梭磨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.466,32.0397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39751, 3306, '513201', '卓克基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.268,31.8789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39752, 3306, '513201', '党坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.982,31.7645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39753, 3306, '513201', '白湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.902,31.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39754, 3306, '513201', '草登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.795,31.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39755, 3306, '513201', '沙尔宗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.139,32.2999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39756, 3306, '513201', '马尔康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.114,31.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39757, 3306, '513201', '日部乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.471,32.2672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39758, 3307, '513224', '岷江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.816,32.3012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39759, 3307, '513224', '川主寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.428,33.0908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39760, 3307, '513224', '草原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.291,32.8048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39761, 3307, '513224', '黄龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.958,32.8998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39762, 3307, '513224', '水晶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.819,33.0022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39763, 3307, '513224', '燕云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.202,32.6962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39764, 3307, '513224', '白羊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.092,32.128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39765, 3307, '513224', '红扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.332,32.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39766, 3307, '513224', '山巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.887,32.8729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39767, 3307, '513224', '红土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.529,32.3685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39768, 3307, '513224', '上八寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.059,32.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39769, 3307, '513224', '镇坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.671,32.1665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39770, 3307, '513224', '十里回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.599,32.7231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39771, 3307, '513224', '镇江关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.669,32.278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39772, 3307, '513224', '大寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.665,32.5988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39773, 3307, '513224', '牟尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.399,32.7266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39774, 3307, '513224', '安宏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.548,32.458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39775, 3307, '513224', '施家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.883,32.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39776, 3307, '513224', '青云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.676,32.6549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39777, 3307, '513224', '大姓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.811,32.6137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39778, 3307, '513224', '下八寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.896,32.5596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39779, 3307, '513224', '进安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.604,32.65', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39780, 3307, '513224', '松潘林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.621,32.3507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39781, 3307, '513224', '进安回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.601,32.6379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39782, 3307, '513224', '小姓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.652,32.3623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39783, 3307, '513224', '小河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.068,32.6084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39784, 3308, '513223', '回龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.645,31.8721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39785, 3308, '513223', '凤仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.712,31.6963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39786, 3308, '513223', '沟口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.814,31.842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39787, 3308, '513223', '黑虎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.597,31.6845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39788, 3308, '513223', '富顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.922,31.9157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39789, 3308, '513223', '叠溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.518,32.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39790, 3308, '513223', '光明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.888,31.7341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39791, 3308, '513223', '曲谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.41,31.891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39792, 3308, '513223', '飞虹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.693,31.8398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39793, 3308, '513223', '雅都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.001,31.8604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39794, 3308, '513223', '白溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.559,31.9154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39795, 3308, '513223', '洼底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.5,32.0391', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39796, 3308, '513223', '南新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.719,31.4378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39797, 3308, '513223', '石大关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.645,31.9535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39798, 3308, '513223', '永和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.779,31.9065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39799, 3308, '513223', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.663,32.1337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39800, 3308, '513223', '松坪沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.502,32.1089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39801, 3308, '513223', '三龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.485,31.8023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39802, 3308, '513223', '渭门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.802,31.7741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39803, 3308, '513223', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.101,31.8352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39804, 3308, '513223', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.039,31.7419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39805, 3309, '513227', '新格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.165,31.0952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39806, 3309, '513227', '八角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.373,31.2099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39807, 3309, '513227', '达维镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.729,31.1796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39808, 3309, '513227', '两河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.204,31.6722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39809, 3309, '513227', '崇德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.261,31.1838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39810, 3309, '513227', '老营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.406,31.0176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39811, 3309, '513227', '双柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.388,31.073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39812, 3309, '513227', '沃日镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.48,31.0747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39813, 3309, '513227', '美沃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.428,30.7778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39814, 3309, '513227', '宅垄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.209,31.0783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39815, 3309, '513227', '沙龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.232,30.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39816, 3309, '513227', '日隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.736,31.0885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39817, 3309, '513227', '抚边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.25,31.3468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39818, 3309, '513227', '结斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.6,31.2805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39819, 3309, '513227', '汗牛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.305,30.6947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39820, 3309, '513227', '木坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.31,31.2268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39821, 3309, '513227', '日尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.611,31.0871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39822, 3309, '513227', '新桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.264,31.0983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39823, 3309, '513227', '窝底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.124,30.7247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39824, 3309, '513227', '潘安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.04,30.7676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39825, 3309, '513227', '美兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.342,31.0264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39826, 3310, '513230', '蒲西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.197,31.8586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39827, 3310, '513230', '岗木达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.984,32.2661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39828, 3310, '513230', '南木达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.026,32.6562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39829, 3310, '513230', '上壤塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.276,32.2133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39830, 3310, '513230', '石里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.011,31.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39831, 3310, '513230', '上杜柯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.634,32.4741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39832, 3310, '513230', '茸木达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.066,32.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39833, 3310, '513230', '宗科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.129,31.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39834, 3310, '513230', '吾伊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.934,32.1203', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39835, 3310, '513230', '尕多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.096,32.4105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39836, 3310, '513230', '中壤塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.184,32.25', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39837, 3310, '513230', '壤柯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.983,32.2641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39838, 3311, '510311', '卫坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.828,29.351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39839, 3311, '510311', '富全镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.692,29.1996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39840, 3311, '510311', '邓关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.902,29.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39841, 3311, '510311', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.764,29.2777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39842, 3311, '510311', '黄市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.807,29.2837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39843, 3311, '510311', '瓦市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.986,29.2729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39844, 3311, '510311', '九洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.84,29.14', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39845, 3311, '510311', '仙市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.854,29.3667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39846, 3311, '510311', '联络镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.789,29.162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39847, 3311, '510311', '王井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.912,29.1466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39848, 3311, '510311', '沿滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.875,29.2949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39849, 3311, '510311', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.743,29.2562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39850, 3312, '510304', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.791,29.3602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39851, 3312, '510304', '三多寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.843,29.4595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39852, 3312, '510304', '牛佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.988,29.3915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39853, 3312, '510304', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.952,29.3738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39854, 3312, '510304', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.747,29.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39855, 3312, '510304', '马冲口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.76,29.371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39856, 3312, '510304', '大安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.775,29.3729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39857, 3312, '510304', '团结镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.825,29.4443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39858, 3312, '510304', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.048,29.3301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39859, 3312, '510304', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.752,29.3754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39860, 3312, '510304', '凉高山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.793,29.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39861, 3312, '510304', '何市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.909,29.3646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39862, 3312, '510304', '庙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.042,29.4655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39863, 3312, '510304', '大山铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.853,29.3696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39864, 3312, '510304', '龙井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.774,29.362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39865, 3313, '510321', '长山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.221,29.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39866, 3313, '510321', '保华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.194,29.4107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39867, 3313, '510321', '正紫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.258,29.3931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39868, 3313, '510321', '留佳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.062,29.4238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39869, 3313, '510321', '来牟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.166,29.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39870, 3313, '510321', '古文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.391,29.2931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39871, 3313, '510321', '乐德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.451,29.3023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39872, 3313, '510321', '铁厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.338,29.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39873, 3313, '510321', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.535,29.4597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39874, 3313, '510321', '鼎新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.47,29.3051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39875, 3313, '510321', '度佳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.258,29.4221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39876, 3313, '510321', '观山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.242,29.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39877, 3313, '510321', '双古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.35,29.5651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39878, 3313, '510321', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.384,29.2607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39879, 3313, '510321', '青阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.41,29.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39880, 3313, '510321', '双石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.551,29.3997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39881, 3313, '510321', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.195,29.2579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39882, 3313, '510321', '梧桐街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.385,29.4271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39883, 3313, '510321', '东佳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.206,29.3394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39884, 3313, '510321', '旭阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.412,29.5349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39885, 3313, '510321', '东兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.413,29.506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39886, 3314, '510302', '学苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.756,29.3356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39887, 3314, '510302', '郭家坳街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.749,29.3553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39888, 3314, '510302', '丹桂街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.772,29.3399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39889, 3314, '510302', '高峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.762,29.3249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39890, 3314, '510302', '仲权镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.722,29.2355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39891, 3314, '510302', '东兴寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.77,29.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39892, 3314, '510302', '舒坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.739,29.297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39893, 3314, '510302', '新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.77,29.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39894, 3314, '510302', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.762,29.3182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39895, 3314, '510302', '五星街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.762,29.3609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39896, 3314, '510302', '荣边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.637,29.2578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39897, 3314, '510302', '飞龙峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.687,29.23', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39898, 3315, '510322', '代寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.125,29.2152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39899, 3315, '510322', '骑龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.101,29.3032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39900, 3315, '510322', '狮市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.061,29.2468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39901, 3315, '510322', '怀德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.165,29.0535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39902, 3315, '510322', '李桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.784,29.0005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39903, 3315, '510322', '龙万乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.065,29.1701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39904, 3315, '510322', '兜山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.007,29.0343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39905, 3315, '510322', '福善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.711,29.0289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39906, 3315, '510322', '飞龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.107,28.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39907, 3315, '510322', '安溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.998,28.9933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39908, 3315, '510322', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.746,29.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39909, 3315, '510322', '邓井关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.949,29.2658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39910, 3315, '510322', '长滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.154,28.9492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39911, 3315, '510322', '富世街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.942,29.1638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39912, 3315, '510322', '赵化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.107,29.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39913, 3315, '510322', '童寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.137,29.0742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39914, 3315, '510322', '琵琶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.099,29.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39915, 3315, '510322', '古佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.201,29.2177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39916, 3315, '510322', '永年镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.833,29.1425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39917, 3315, '510322', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.075,29.178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39918, 3316, '510303', '筱溪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.708,29.3405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39919, 3316, '510303', '长土街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.687,29.3098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39920, 3316, '510303', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.618,29.3328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39921, 3316, '510303', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.532,29.3199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39922, 3316, '510303', '贡井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.709,29.3505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39923, 3316, '510303', '艾叶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.687,29.3854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39924, 3316, '510303', '五宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.504,29.2705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39925, 3316, '510303', '成佳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.541,29.4321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39926, 3316, '510303', '建设镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.635,29.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39927, 3316, '510303', '莲花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.613,29.2473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39928, 3317, '511827', '穆坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.822,30.4508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39929, 3317, '511827', '大溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.754,30.2178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39930, 3317, '511827', '灵关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.744,30.3121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39931, 3317, '511827', '硗碛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.49,30.7864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39932, 3317, '511827', '蜂蛹寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.904,30.7234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39933, 3317, '511827', '陇东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.477,30.6609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39934, 3317, '511827', '五龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.607,30.3676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39935, 3318, '511822', '安靖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.67,29.7174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39936, 3318, '511822', '宝峰彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.789,29.8684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39937, 3318, '511822', '龙苍沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.766,29.684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39938, 3318, '511822', '泗坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.605,29.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39939, 3318, '511822', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.856,29.7603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39940, 3318, '511822', '民建彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.766,29.8017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39941, 3318, '511822', '严道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.774,29.7827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39942, 3318, '511822', '新添镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.838,29.8967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39943, 3318, '511822', '荥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.549,29.9153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39944, 3318, '511822', '牛背山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.584,29.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39945, 3318, '511822', '花滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.754,29.7442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39946, 3318, '511822', '五宪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.825,29.7805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39947, 3319, '511824', '永和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.434,29.2243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39948, 3319, '511824', '蟹螺藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.109,29.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39949, 3319, '511824', '新民藏族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.173,29.3572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39950, 3319, '511824', '栗子坪彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.207,29.0434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39951, 3319, '511824', '丰乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.413,29.4442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39952, 3319, '511824', '草科藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.951,29.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39953, 3319, '511824', '迎政乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.357,29.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39954, 3319, '511824', '美罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.422,29.3081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39955, 3319, '511824', '安顺场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.246,29.2536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39956, 3319, '511824', '回隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.452,28.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39957, 3319, '511824', '棉城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.361,29.3078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39958, 3319, '511824', '王岗坪彝族藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.258,29.3302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39959, 3320, '511823', '片马彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.762,29.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39960, 3320, '511823', '乌斯河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.861,29.2361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39961, 3320, '511823', '顺河彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.703,29.315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39962, 3320, '511823', '富乡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.404,29.4457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39963, 3320, '511823', '马烈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.834,29.4357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39964, 3320, '511823', '皇木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.837,29.3093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39965, 3320, '511823', '晒经乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.618,29.2592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39966, 3320, '511823', '河南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.519,29.2155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39967, 3320, '511823', '永利彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.989,29.2904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39968, 3320, '511823', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.579,29.6238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39969, 3320, '511823', '小堡藏族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.575,29.3205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39970, 3320, '511823', '富林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.561,29.3537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39971, 3320, '511823', '富泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.643,29.3783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39972, 3320, '511823', '坭美彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.692,29.2379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39973, 3320, '511823', '宜东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.421,29.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39974, 3320, '511823', '安乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.849,29.4438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39975, 3320, '511823', '前域镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.563,29.5294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39976, 3320, '511823', '九襄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.661,29.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39977, 3320, '511823', '唐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.658,29.4639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39978, 3320, '511823', '富庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.529,29.6499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39979, 3320, '511823', '大树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.614,29.2854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39980, 3321, '511825', '兴业乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.861,29.9232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39981, 3321, '511825', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.862,30.1149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39982, 3321, '511825', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.572,30.3444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39983, 3321, '511825', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.744,29.9437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39984, 3321, '511825', '始阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.812,30.0287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39985, 3321, '511825', '乐英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.879,29.9442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39986, 3321, '511825', '仁义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.861,30.1948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39987, 3321, '511825', '思经镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.753,30.0378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39988, 3321, '511825', '喇叭河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.295,30.1011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39989, 3321, '511825', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.752,30.0892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39990, 3322, '511802', '合江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.209,29.997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39991, 3322, '511802', '八步镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.977,29.903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39992, 3322, '511802', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.999,29.9809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39993, 3322, '511802', '上里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.998,30.1474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39994, 3322, '511802', '晏场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.05,29.6792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39995, 3322, '511802', '碧峰峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.037,30.0319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39996, 3322, '511802', '多营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.972,29.9606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39997, 3322, '511802', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.025,29.9569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39998, 3322, '511802', '青江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.021,29.9997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (39999, 3322, '511802', '草坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.159,29.9868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40000, 3322, '511802', '周公山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.978,29.945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40001, 3322, '511802', '河北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.004,30.0159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40002, 3322, '511802', '大兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.054,29.9335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40003, 3322, '511802', '望鱼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.966,29.8558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40004, 3323, '511826', '龙门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.058,30.2321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40005, 3323, '511826', '宝盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.138,30.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40006, 3323, '511826', '飞仙关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.921,30.1219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40007, 3323, '511826', '思延镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.894,30.1666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40008, 3323, '511826', '大川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.953,30.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40009, 3323, '511826', '双石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.92,30.3233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40010, 3323, '511826', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.905,30.4067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40011, 3323, '511826', '芦阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.879,30.1656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40012, 3324, '511803', '蒙阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.098,30.0656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40013, 3324, '511803', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.097,30.054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40014, 3324, '511803', '前进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.173,30.0316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40015, 3324, '511803', '蒙顶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.103,30.0807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40016, 3324, '511803', '万古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.101,30.1708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40017, 3324, '511803', '马岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.365,30.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40018, 3324, '511803', '黑竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.24,30.2378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40019, 3324, '511803', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.153,30.0831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40020, 3324, '511803', '红星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.264,30.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40021, 3324, '511803', '中峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.196,30.2368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40022, 3324, '511803', '百丈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.312,30.1787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40023, 3324, '511803', '茅河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.369,30.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40024, 3324, '511803', '车岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.225,30.1066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40025, 3325, '511423', '止戈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.343,29.9108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40026, 3325, '511423', '桃源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.278,29.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40027, 3325, '511423', '东岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.168,29.8197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40028, 3325, '511423', '槽渔滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.173,29.8177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40029, 3325, '511423', '洪川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.317,29.9317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40030, 3325, '511423', '瓦屋山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.954,29.4023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40031, 3325, '511423', '高庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.264,29.6652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40032, 3325, '511423', '中保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.236,29.8992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40033, 3325, '511423', '余坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.516,29.8618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40034, 3325, '511423', '柳江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.216,29.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40035, 3325, '511423', '将军镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.328,29.7917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40036, 3325, '511423', '中山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.21,29.8902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40037, 3326, '511424', '杨场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.577,29.8753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40038, 3326, '511424', '张场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.254,30.0426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40039, 3326, '511424', '顺龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.386,30.0923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40040, 3326, '511424', '齐乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.44,30.1195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40041, 3326, '511424', '仁美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.354,30.0219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40042, 3327, '511421', '曹家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.085,29.7842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40043, 3327, '511421', '黑龙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.998,30.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40044, 3327, '511421', '禾加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.448,29.8749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40045, 3327, '511421', '大化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.095,30.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40046, 3327, '511421', '珠嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.24,30.0316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40047, 3327, '511421', '青岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.244,30.0013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40048, 3327, '511421', '始建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.211,29.8982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40049, 3327, '511421', '双堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.483,29.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40050, 3327, '511421', '识经镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.482,29.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40051, 3327, '511421', '宝马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.244,29.9084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40052, 3327, '511421', '文林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.145,30.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40053, 3327, '511421', '慈航镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.074,29.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40054, 3327, '511421', '高家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.232,30.2812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40055, 3327, '511421', '怀仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.105,30.0373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40056, 3327, '511421', '龙正镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.961,29.9887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40057, 3327, '511421', '方加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.245,30.0842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40058, 3327, '511421', '满井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.198,29.9084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40059, 3327, '511421', '北斗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.468,30.0356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40060, 3327, '511421', '龙马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.31,30.1133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40061, 3327, '511421', '禄加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.398,29.7484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40062, 3327, '511421', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.395,29.92', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40063, 3327, '511421', '普宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.207,29.9955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40064, 3327, '511421', '宝飞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.275,29.8238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40065, 3327, '511421', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.37,29.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40066, 3327, '511421', '富加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.341,29.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40067, 3327, '511421', '藕塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.332,29.9009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40068, 3327, '511421', '文宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.251,30.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40069, 3327, '511421', '视高街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.007,30.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40070, 3327, '511421', '汪洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.297,29.6751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40071, 3327, '511421', '虞丞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.026,29.9436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40072, 3327, '511421', '贵平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.309,30.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40073, 3327, '511421', '谢安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.356,30.0205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40074, 3327, '511421', '彰加镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.193,29.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40075, 3327, '511421', '钟祥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.12,29.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40076, 3328, '511403', '青龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.829,30.3448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40077, 3328, '511403', '凤鸣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.831,30.2134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40078, 3328, '511403', '锦江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.949,30.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40079, 3328, '511403', '黄丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.957,30.1392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40080, 3328, '511403', '谢家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.702,30.2479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40081, 3328, '511403', '观音街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.84,30.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40082, 3328, '511403', '江口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.889,30.2632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40083, 3328, '511403', '公义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.754,30.3192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40084, 3329, '511425', '西龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.728,29.8389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40085, 3329, '511425', '罗波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.694,29.7744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40086, 3329, '511425', '瑞峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.82,29.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40087, 3329, '511425', '汉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.74,29.7285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40088, 3329, '511425', '白果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.955,29.8384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40089, 3329, '511425', '高台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.921,29.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40090, 3329, '511425', '青竹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.854,29.7904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40091, 3330, '511402', '永寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.847,29.9447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40092, 3330, '511402', '大石桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.838,30.0929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40093, 3330, '511402', '苏祠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.834,30.0504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40094, 3330, '511402', '通惠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.799,30.032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40095, 3330, '511402', '松江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.754,29.984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40096, 3330, '511402', '修文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.695,30.0443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40097, 3330, '511402', '崇礼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.853,30.0043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40098, 3330, '511402', '秦家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.674,30.1601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40099, 3330, '511402', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.872,29.9847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40100, 3330, '511402', '多悦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.735,30.1299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40101, 3330, '511402', '万胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.57,30.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40102, 3330, '511402', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.794,30.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40103, 3330, '511402', '富牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.922,30.0426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40104, 3330, '511402', '尚义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.693,30.0914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40105, 3330, '511402', '三苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.621,30.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40106, 3330, '511402', '思蒙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.654,29.9663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40107, 3331, '511111', '轸溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.536,29.2971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40108, 3331, '511111', '福禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.681,29.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40109, 3331, '511111', '踏水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.633,29.4042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40110, 3331, '511111', '碧山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.626,29.4876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40111, 3331, '511111', '铜茨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.656,29.2584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40112, 3331, '511111', '葫芦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.609,29.3302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40113, 3331, '511111', '沙湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.529,29.4492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40114, 3331, '511111', '沫江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.57,29.427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40115, 3331, '511111', '龚嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.503,29.2599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40116, 3331, '511111', '范店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.436,29.3666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40117, 3331, '511111', '牛石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.626,29.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40118, 3331, '511111', '嘉农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.584,29.5067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40119, 3331, '511111', '谭坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.6,29.3828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40120, 3331, '511111', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.592,29.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40121, 3332, '511126', '界牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.509,29.7294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40122, 3332, '511126', '黄土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.568,29.7717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40123, 3332, '511126', '焉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.561,29.7909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40124, 3332, '511126', '马村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.51,29.8528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40125, 3332, '511126', '新场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.725,29.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40126, 3332, '511126', '华头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.333,29.7937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40127, 3332, '511126', '吴场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.681,29.8993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40128, 3332, '511126', '甘江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.693,29.6683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40129, 3332, '511126', '木城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.434,29.8038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40130, 3333, '511124', '天云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.93,29.7912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40131, 3333, '511124', '三江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.036,29.509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40132, 3333, '511124', '乌抛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.029,29.8734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40133, 3333, '511124', '黄钵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.004,29.4914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40134, 3333, '511124', '磨池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.927,29.5269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40135, 3333, '511124', '镇阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.957,29.8341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40136, 3333, '511124', '纯复乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.978,29.6975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40137, 3333, '511124', '千佛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.048,29.6254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40138, 3333, '511124', '马踏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.002,29.554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40139, 3333, '511124', '分全乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.978,29.7267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40140, 3333, '511124', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.98,29.4562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40141, 3333, '511124', '四合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.952,29.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40142, 3333, '511124', '周坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.073,29.8265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40143, 3333, '511124', '三教乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.969,29.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40144, 3333, '511124', '宝五乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.973,29.6262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40145, 3333, '511124', '大佛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.998,29.7718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40146, 3333, '511124', '研城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.096,29.6712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40147, 3333, '511124', '研经镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.181,29.7093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40148, 3333, '511124', '高凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.204,29.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40149, 3333, '511124', '东林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.139,29.6509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40150, 3333, '511124', '门坎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.14,29.5848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40151, 3333, '511124', '胜泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.074,29.5039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40152, 3333, '511124', '集益乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.098,29.7445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40153, 3333, '511124', '高滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.088,29.6527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40154, 3333, '511124', '金峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.074,29.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40155, 3333, '511124', '竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.162,29.5609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40156, 3333, '511124', '石牛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.083,29.5609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40157, 3334, '511113', '共安彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.974,29.2262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40158, 3334, '511113', '和平彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.078,29.245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40159, 3334, '511113', '永和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.002,29.2895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40160, 3334, '511113', '吉星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.157,29.2759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40161, 3334, '511113', '永胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.057,29.444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40162, 3334, '511113', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.187,29.4045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40163, 3335, '511123', '马庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.845,29.24', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40164, 3335, '511123', '泉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.745,29.3241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40165, 3335, '511123', '岷东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.865,29.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40166, 3335, '511123', '玉津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.935,29.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40167, 3335, '511123', '敖家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.946,29.4483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40168, 3335, '511123', '九井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.894,29.0722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40169, 3335, '511123', '榨鼓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.93,29.0529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40170, 3335, '511123', '玉屏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.001,29.2352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40171, 3335, '511123', '芭沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.763,29.2752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40172, 3335, '511123', '孝姑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.01,29.1042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40173, 3335, '511123', '同兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.8,29.1764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40174, 3335, '511123', '新盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.034,29.3103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40175, 3335, '511123', '寿保乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.924,29.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40176, 3335, '511123', '塘坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.865,29.2496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40177, 3335, '511123', '龙孔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.048,29.2338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40178, 3335, '511123', '铁炉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.006,29.1002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40179, 3335, '511123', '伏龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.04,29.2999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40180, 3335, '511123', '清溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.903,29.191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40181, 3335, '511123', '舞雩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.892,29.294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40182, 3335, '511123', '石溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.81,29.3087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40183, 3335, '511123', '定文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.953,29.3428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40184, 3335, '511123', '下渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.944,29.254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40185, 3335, '511123', '双溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.85,29.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40186, 3335, '511123', '罗城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.055,29.4556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40187, 3335, '511123', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.168,29.1498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40188, 3335, '511123', '南阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.06,29.4248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40189, 3335, '511123', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.141,29.0387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40190, 3335, '511123', '公平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.075,29.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40191, 3335, '511123', '纪家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.072,29.3108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40192, 3335, '511123', '金石井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.136,29.4019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40193, 3336, '511112', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.935,29.4633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40194, 3336, '511112', '西坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.756,29.3362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40195, 3336, '511112', '冠英镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.721,29.4907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40196, 3336, '511112', '竹根镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.826,29.4116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40197, 3336, '511112', '金粟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.879,29.3557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40198, 3336, '511112', '桥沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.858,29.3736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40199, 3336, '511112', '新云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.872,29.5223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40200, 3336, '511112', '牛华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.821,29.4317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40201, 3336, '511112', '辉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.862,29.3786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40202, 3336, '511112', '杨柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.83,29.4052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40203, 3336, '511112', '蔡金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.712,29.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40204, 3336, '511112', '石麟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.743,29.3181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40205, 3337, '511129', '建和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.825,28.9019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40206, 3337, '511129', '沐溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.832,28.9369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40207, 3337, '511129', '永福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.925,28.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40208, 3337, '511129', '大楠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.951,28.9799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40209, 3337, '511129', '底堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.995,28.8351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40210, 3337, '511129', '炭库乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.012,29.0377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40211, 3337, '511129', '富和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.82,29.0502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40212, 3337, '511129', '舟坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.731,29.1081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40213, 3337, '511129', '高笋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.755,29.1526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40214, 3337, '511129', '幸福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.83,28.9094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40215, 3337, '511129', '新凡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.874,29.079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40216, 3337, '511129', '武圣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.728,28.9921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40217, 3337, '511129', '茨竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.553,29.1824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40218, 3337, '511129', '利店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.642,28.8751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40219, 3337, '511129', '凤村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.641,29.0244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40220, 3337, '511129', '海云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.734,29.256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40221, 3337, '511129', '杨村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.586,29.0807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40222, 3337, '511129', '黄丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.755,29.2277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40223, 3337, '511129', '箭板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.079,29.0469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40224, 3338, '511132', '沙坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.266,29.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40225, 3338, '511132', '杨河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.337,29.1788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40226, 3338, '511132', '新场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.251,29.3276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40227, 3338, '511132', '金岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.099,29.0692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40228, 3338, '511132', '万坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.206,28.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40229, 3338, '511132', '宜坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.165,29.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40230, 3338, '511132', '新林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.313,28.9878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40231, 3338, '511132', '平等乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.448,29.1361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40232, 3338, '511132', '哈曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.074,28.9332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40233, 3338, '511132', '大堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.131,29.1641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40234, 3338, '511132', '共和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.298,29.3109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40235, 3338, '511132', '黑竹沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.915,29.033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40236, 3338, '511132', '勒乌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.964,28.6807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40237, 3338, '511132', '觉莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.075,29.1811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40238, 3338, '511132', '毛坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.363,29.2975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40239, 3338, '511132', '五渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.487,29.2904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40240, 3338, '511132', '白杨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.209,29.055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40241, 3338, '511132', '红花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.191,29.2213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40242, 3338, '511132', '杨村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.108,29.2078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40243, 3339, '511133', '老河坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.809,28.8975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40244, 3339, '511133', '烟峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.316,28.7079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40245, 3339, '511133', '梅子坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.288,28.7858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40246, 3339, '511133', '苏坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.472,28.7379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40247, 3339, '511133', '民主乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.678,28.737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40248, 3339, '511133', '大竹堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.396,29.0278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40249, 3339, '511133', '镇江庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.504,29.0591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40250, 3339, '511133', '雪口山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.4,28.9808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40251, 3339, '511133', '民建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.506,28.802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40252, 3339, '511133', '袁家溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.612,28.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40253, 3339, '511133', '建设乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.553,28.823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40254, 3339, '511133', '荍坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.704,28.8599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40255, 3339, '511133', '永红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.312,28.4946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40256, 3339, '511133', '沙腔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.408,28.8899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40257, 3339, '511133', '高卓营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.415,28.6624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40258, 3339, '511133', '三河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.254,28.961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40259, 3339, '511133', '下溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.534,28.9796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40260, 3339, '511133', '石梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.588,28.9133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40261, 3339, '511133', '荣丁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.559,29.0418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40262, 3339, '511133', '劳动乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.554,28.8493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40263, 3340, '511102', '剑峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.818,29.6836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40264, 3340, '511102', '九龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.898,29.5577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40265, 3340, '511102', '石龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.891,29.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40266, 3340, '511102', '迎阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.871,29.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40267, 3340, '511102', '童家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.918,29.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40268, 3340, '511102', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.927,29.7', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40269, 3340, '511102', '悦来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.728,29.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40270, 3340, '511102', '凌云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.826,29.563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40271, 3340, '511102', '青平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.901,29.6185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40272, 3340, '511102', '大佛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.789,29.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40273, 3340, '511102', '牟子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.786,29.6559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40274, 3340, '511102', '九峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.81,29.5797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40275, 3340, '511102', '全福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.809,29.6402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40276, 3340, '511102', '关庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.827,29.7063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40277, 3340, '511102', '普仁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.922,29.5815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40278, 3340, '511102', '土主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.816,29.6699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40279, 3340, '511102', '茅桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.882,29.5497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40280, 3340, '511102', '水口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.679,29.5751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40281, 3340, '511102', '临江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.559,29.5356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40282, 3340, '511102', '棉竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.693,29.6689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40283, 3340, '511102', '上河街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.757,29.5614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40284, 3340, '511102', '张公桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.769,29.59', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40285, 3340, '511102', '肖坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.752,29.5629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40286, 3340, '511102', '通江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.726,29.6258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40287, 3340, '511102', '安谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.703,29.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40288, 3340, '511102', '车子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.721,29.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40289, 3340, '511102', '柏杨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.741,29.6006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40290, 3340, '511102', '杨湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.642,29.6163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40291, 3340, '511102', '平兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.607,29.5288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40292, 3340, '511102', '罗汉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.63,29.5446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40293, 3340, '511102', '苏稽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.632,29.6215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40294, 3340, '511102', '泊水街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.753,29.5622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40295, 3341, '511181', '符溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.541,29.5842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40296, 3341, '511181', '川主镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.352,29.6576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40297, 3341, '511181', '大为镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.217,29.3231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40298, 3341, '511181', '桂花桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.545,29.5802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40299, 3341, '511181', '九里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.555,29.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40300, 3341, '511181', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.418,29.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40301, 3341, '511181', '绥山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.543,29.6011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40302, 3341, '511181', '罗目镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.478,29.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40303, 3341, '511181', '龙池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.233,29.4814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40304, 3341, '511181', '乐都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.515,29.5006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40305, 3341, '511181', '沙溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.471,29.4404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40306, 3341, '511181', '胜利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.503,29.5895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40307, 3341, '511181', '普兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.443,29.7166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40308, 3341, '511181', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.384,29.3531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40309, 3341, '511181', '新平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.517,29.6434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40310, 3341, '511181', '黄湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.26,29.5663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40311, 3341, '511181', '峨山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.455,29.5475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40312, 3341, '511181', '双福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.524,29.6913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40313, 3342, '510421', '白马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.084,27.1289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40314, 3342, '510421', '湾丘彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.172,27.0335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40315, 3342, '510421', '普威镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.942,26.9771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40316, 3342, '510421', '得石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.86,26.852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40317, 3342, '510421', '草场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.108,26.8987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40318, 3342, '510421', '白坡彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.914,27.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40319, 3342, '510421', '麻陇彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.854,26.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40320, 3342, '510421', '攀莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.139,26.9562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40321, 3342, '510421', '新山傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.095,26.8332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40322, 3342, '510421', '丙谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.073,26.8141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40323, 3342, '510421', '撒莲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.046,26.7375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40324, 3343, '510403', '摩梭河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.571,26.5881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40325, 3343, '510403', '陶家渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.588,26.5908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40326, 3343, '510403', '大宝鼎街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.601,26.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40327, 3343, '510403', '玉泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.608,26.6033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40328, 3343, '510403', '格里坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.623,26.6292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40329, 3343, '510403', '清香坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.63,26.5925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40330, 3343, '510403', '河门口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.58,26.5952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40331, 3344, '510422', '红果彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.658,26.8583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40332, 3344, '510422', '红宝苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.65,27.2329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40333, 3344, '510422', '共和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.64,27.171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40334, 3344, '510422', '桐子林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.828,26.7651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40335, 3344, '510422', '温泉彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.145,27.0589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40336, 3344, '510422', '惠民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.373,26.7995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40337, 3344, '510422', '国胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.427,27.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40338, 3344, '510422', '格萨拉彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.207,27.1796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40339, 3344, '510422', '渔门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.639,27.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40340, 3344, '510422', '新九镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.995,26.6848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40341, 3344, '510422', '永兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.306,27.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40342, 3344, '510422', '红格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.854,26.5659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40343, 3345, '510411', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.574,26.5839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40344, 3345, '510411', '布德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.624,26.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40345, 3345, '510411', '前进镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.703,26.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40346, 3345, '510411', '福田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.402,26.5557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40347, 3345, '510411', '平地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.733,26.2207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40348, 3345, '510411', '大田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.736,26.31', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40349, 3345, '510411', '中坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.616,26.4419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40350, 3345, '510411', '务本乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.724,26.6792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40351, 3345, '510411', '同德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.471,26.7137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40352, 3345, '510411', '大河中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.719,26.5271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40353, 3345, '510411', '啊喇彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.597,26.3034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40354, 3345, '510411', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.722,26.4234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40355, 3345, '510411', '金江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.837,26.3352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40356, 3346, '510402', '密地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.733,26.5867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40357, 3346, '510402', '银江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.746,26.5385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40358, 3346, '510402', '瓜子坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.733,26.5974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40359, 3346, '510402', '弄弄坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.662,26.5727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40360, 3346, '510402', '大渡口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.701,26.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40361, 3346, '510402', '炳草岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.743,26.5763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40362, 3347, '513425', '外北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.267,26.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40363, 3347, '513425', '木古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.189,26.4226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40364, 3347, '513425', '横山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.295,26.7744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40365, 3347, '513425', '绿水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.9,26.2237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40366, 3347, '513425', '仓田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.418,27.1423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40367, 3347, '513425', '爱民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.309,26.4822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40368, 3347, '513425', '内东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.366,26.6214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40369, 3347, '513425', '彰冠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.346,26.595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40370, 3347, '513425', '小黑箐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.925,26.6338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40371, 3347, '513425', '益门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.246,26.8063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40372, 3347, '513425', '云甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.244,27.1144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40373, 3347, '513425', '白果湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.15,26.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40374, 3347, '513425', '鹿厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.079,26.4985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40375, 3347, '513425', '杨家坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.195,26.2742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40376, 3347, '513425', '黎洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.029,26.121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40377, 3347, '513425', '新安傣族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.172,26.1768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40378, 3347, '513425', '竹箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.481,26.3661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40379, 3347, '513425', '通安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.342,26.412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40380, 3347, '513425', '黎溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.963,26.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40381, 3347, '513425', '关河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.111,26.2842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40382, 3347, '513425', '富乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.362,26.5316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40383, 3347, '513425', '树堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.023,26.0959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40384, 3347, '513425', '新发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.24,26.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40385, 3347, '513425', '下村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.415,26.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40386, 3347, '513425', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.467,26.6729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40387, 3347, '513425', '槽元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.625,26.8094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40388, 3347, '513425', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.233,26.6702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40389, 3347, '513425', '六华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.55,26.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40390, 3347, '513425', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.175,26.7262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40391, 3348, '513437', '簸箕梁子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.401,28.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40392, 3348, '513437', '箐口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.655,28.3217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40393, 3348, '513437', '斯古溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.407,28.0178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40394, 3348, '513437', '顺河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.733,28.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40395, 3348, '513437', '罗山溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.555,28.4254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40396, 3348, '513437', '谷堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.247,28.5158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40397, 3348, '513437', '黄琅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.732,28.4117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40398, 3348, '513437', '五官乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.502,28.2175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40399, 3348, '513437', '小沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.341,28.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40400, 3348, '513437', '双河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.658,28.4805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40401, 3348, '513437', '西宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.57,28.4932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40402, 3348, '513437', '八寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.434,28.2425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40403, 3348, '513437', '山棱岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.435,28.3195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40404, 3348, '513437', '大坪子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.372,28.0874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40405, 3348, '513437', '沙沱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.632,28.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40406, 3348, '513437', '一车乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.346,27.9753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40407, 3348, '513437', '卡哈洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.461,27.9464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40408, 3348, '513437', '坪头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.285,28.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40409, 3348, '513437', '曲依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.412,28.1753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40410, 3348, '513437', '巴姑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.355,28.0268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40411, 3348, '513437', '桂花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.478,28.3311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40412, 3348, '513437', '雷池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.338,27.9848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40413, 3348, '513437', '锦城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.526,28.269', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40414, 3348, '513437', '永盛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.724,28.2992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40415, 3348, '513437', '帕哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.513,28.2624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40416, 3348, '513437', '大岩洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.428,27.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40417, 3348, '513437', '柑子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.746,28.4723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40418, 3348, '513437', '松树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.46,28.2896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40419, 3348, '513437', '烂坝子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.371,28.3843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40420, 3348, '513437', '中田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.799,28.4466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40421, 3348, '513437', '咪姑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.363,27.8969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40422, 3348, '513437', '拉咪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.256,28.267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40423, 3348, '513437', '莫红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.348,28.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40424, 3348, '513437', '海湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.557,28.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40425, 3348, '513437', '谷米乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.798,28.369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40426, 3348, '513437', '马湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.777,28.3978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40427, 3348, '513437', '长河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.37,28.3878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40428, 3348, '513437', '回龙场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.75,28.3158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40429, 3348, '513437', '千万贯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.482,28.1778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40430, 3348, '513437', '杉树堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.6,28.2825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40431, 3348, '513437', '汶水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.604,28.3813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40432, 3348, '513437', '上田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.4,28.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40433, 3348, '513437', '克觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.345,28.0915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40434, 3348, '513437', '岩脚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.456,27.8779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40435, 3348, '513437', '溪洛米乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.677,28.2861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40436, 3348, '513437', '渡口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.806,28.3593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40437, 3348, '513437', '元宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.524,27.9367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40438, 3348, '513437', '金沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.634,28.2809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40439, 3349, '513432', '且拖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.439,28.2481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40440, 3349, '513432', '东河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.369,27.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40441, 3349, '513432', '李子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.254,28.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40442, 3349, '513432', '依洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.461,28.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40443, 3349, '513432', '西河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.341,28.0714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40444, 3349, '513432', '尼波镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.586,28.3331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40445, 3349, '513432', '贺波洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.433,28.4078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40446, 3349, '513432', '乐武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.576,28.337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40447, 3349, '513432', '光明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.372,28.3323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40448, 3349, '513432', '鲁基乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.194,28.0732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40449, 3349, '513432', '沙马拉达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.568,28.2723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40450, 3349, '513432', '博洛拉达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.45,28.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40451, 3349, '513432', '两河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.555,28.3114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40452, 3349, '513432', '红莫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.334,28.1879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40453, 3349, '513432', '巴久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.644,28.2442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40454, 3349, '513432', '洛莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.644,28.1749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40455, 3349, '513432', '额尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.46,27.9694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40456, 3349, '513432', '热柯依达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.383,28.1268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40457, 3349, '513432', '北山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.417,28.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40458, 3349, '513432', '米市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.501,28.1413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40459, 3349, '513432', '拉克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.362,28.3572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40460, 3349, '513432', '洛哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.464,28.0451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40461, 3349, '513432', '则约乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.36,28.3029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40462, 3349, '513432', '冕山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.29,28.3877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40463, 3350, '513431', '普诗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.401,27.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40464, 3350, '513431', '库依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.823,28.1558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40465, 3350, '513431', '龙恩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.835,27.9166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40466, 3350, '513431', '色底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.93,28.1567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40467, 3350, '513431', '竹核乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.92,28.085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40468, 3350, '513431', '央摩租乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.774,28.2947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40469, 3350, '513431', '龙沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.175,28.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40470, 3350, '513431', '树坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.748,28.0029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40471, 3350, '513431', '格吾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.034,27.9772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40472, 3350, '513431', '博洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.687,28.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40473, 3350, '513431', '洒拉地坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.585,27.9382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40474, 3350, '513431', '解放乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.545,27.8372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40475, 3350, '513431', '玛增依乌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.385,27.8763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40476, 3350, '513431', '库莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.663,28.0895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40477, 3350, '513431', '甘多洛古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.171,27.9846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40478, 3350, '513431', '久特洛古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.902,27.968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40479, 3350, '513431', '日哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.078,28.0401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40480, 3350, '513431', '则普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.821,28.2635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40481, 3350, '513431', '三岔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.612,27.8372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40482, 3350, '513431', '特口甲谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.048,27.9527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40483, 3350, '513431', '宜牧地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.704,28.191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40484, 3350, '513431', '美甘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.856,27.8715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40485, 3350, '513431', '柳且乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.696,27.9201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40486, 3350, '513431', '三岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.607,28.0768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40487, 3350, '513431', '拉一木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.988,28.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40488, 3350, '513431', '支尔莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.256,28.046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40489, 3350, '513431', '庆恒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.969,28.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40490, 3350, '513431', '大坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.783,27.9535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40491, 3350, '513431', '谷曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.852,28.0115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40492, 3350, '513431', '阿并洛古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.91,27.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40493, 3350, '513431', '碗厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.465,27.8014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40494, 3350, '513431', '城北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.816,28.0503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40495, 3350, '513431', '四开乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.683,28.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40496, 3350, '513431', '齿可波西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.987,27.8534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40497, 3350, '513431', '尼地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.496,27.9695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40498, 3350, '513431', '且莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.226,28.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40499, 3350, '513431', '哈甘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.165,28.1114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40500, 3350, '513431', '塘且乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.945,27.9356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40501, 3350, '513431', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.787,28.042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40502, 3350, '513431', '特布洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.026,28.0718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40503, 3350, '513431', '永乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.857,28.1776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40504, 3350, '513431', '补约乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.891,28.1779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40505, 3350, '513431', '比尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.839,28.2209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40506, 3350, '513431', '波洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.773,28.3351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40507, 3350, '513431', '达洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.815,27.9353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40508, 3350, '513431', '地莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.772,27.8946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40509, 3350, '513431', '金曲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.765,28.1337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40510, 3351, '513429', '合井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.762,27.379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40511, 3351, '513429', '拉果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.888,27.5089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40512, 3351, '513429', '洛古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.859,27.5598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40513, 3351, '513429', '美撒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.851,27.5193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40514, 3351, '513429', '基只乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.94,27.7581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40515, 3351, '513429', '木尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.874,27.6746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40516, 3351, '513429', '委只洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.95,27.8394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40517, 3351, '513429', '乌依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.924,27.5238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40518, 3351, '513429', '火烈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.916,27.7344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40519, 3351, '513429', '特木里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.829,27.6723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40520, 3351, '513429', '浪珠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.937,27.5597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40521, 3351, '513429', '沙洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.89,27.8237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40522, 3351, '513429', '地洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.989,27.7212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40523, 3351, '513429', '九都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.83,27.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40524, 3351, '513429', '采哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.881,27.8953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40525, 3351, '513429', '牛角湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.863,27.4536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40526, 3351, '513429', '补尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.819,27.6437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40527, 3351, '513429', '补洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.96,27.7035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40528, 3351, '513429', '拉达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.734,27.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40529, 3351, '513429', '罗家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.851,27.4092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40530, 3351, '513429', '拖觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.812,27.6345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40531, 3351, '513429', '乌科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.759,27.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40532, 3351, '513429', '觉撒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.766,27.594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40533, 3351, '513429', '包谷坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.766,27.3584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40534, 3351, '513429', '乐安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.906,27.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40535, 3351, '513429', '俄里坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.883,27.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40536, 3351, '513429', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.772,27.3441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40537, 3351, '513429', '四棵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.953,27.5672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40538, 3351, '513429', '联补乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.936,27.8375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40539, 3351, '513429', '瓦都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.918,27.7991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40540, 3352, '513401', '长宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.219,27.9036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40541, 3352, '513401', '银厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.773,28.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40542, 3352, '513401', '西溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.252,27.8188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40543, 3352, '513401', '荞地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.013,27.6479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40544, 3352, '513401', '兴胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.171,28.0445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40545, 3352, '513401', '高草回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.149,27.8189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40546, 3352, '513401', '月华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.158,28.1715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40547, 3352, '513401', '中坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.132,27.7025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40548, 3352, '513401', '太和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.138,27.9054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40549, 3352, '513401', '白马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.886,27.9637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40550, 3352, '513401', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.258,27.8978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40551, 3352, '513401', '琅环乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.089,28.093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40552, 3352, '513401', '磨盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.116,27.7346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40553, 3352, '513401', '安宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.195,28.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40554, 3352, '513401', '民胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.088,28.1295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40555, 3352, '513401', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.274,27.8889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40556, 3352, '513401', '四合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.255,27.9938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40557, 3352, '513401', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.26,27.8961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40558, 3352, '513401', '黄水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.199,27.6115', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40559, 3352, '513401', '新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.25,27.8624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40560, 3352, '513401', '裕隆回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.163,27.8547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40561, 3352, '513401', '大箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.306,27.7772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40562, 3352, '513401', '川兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.352,27.8721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40563, 3352, '513401', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.343,27.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40564, 3352, '513401', '西乡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.195,27.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40565, 3352, '513401', '马鞍山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.95,27.8322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40566, 3352, '513401', '开元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.138,27.9054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40567, 3352, '513401', '黄联关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.276,27.6499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40568, 3352, '513401', '礼州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.175,28.0957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40569, 3352, '513401', '巴汝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.985,27.8126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40570, 3352, '513401', '安哈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.304,27.6917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40571, 3352, '513401', '高枧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.284,27.8921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40572, 3352, '513401', '响水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.09,28.0573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40573, 3352, '513401', '经久乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.183,27.7976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40574, 3352, '513401', '洛古波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.254,27.7532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40575, 3352, '513401', '小庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.224,27.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40576, 3352, '513401', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.233,27.8889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40577, 3352, '513401', '阿七乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.122,27.6252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40578, 3352, '513401', '樟木箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.117,28.0221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40579, 3352, '513401', '马道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.25,27.8624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40580, 3352, '513401', '西郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.255,27.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40581, 3352, '513401', '佑君镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.165,27.7604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40582, 3352, '513401', '海南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.303,27.7801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40583, 3353, '513428', '马洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.492,27.7449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40584, 3353, '513428', '洛甘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.503,27.6452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40585, 3353, '513428', '甘天地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.64,27.4316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40586, 3353, '513428', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.57,27.3288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40587, 3353, '513428', '文坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.457,27.3446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40588, 3353, '513428', '螺髻山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.445,27.615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40589, 3353, '513428', '大槽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.472,27.5424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40590, 3353, '513428', '特尔果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.449,27.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40591, 3353, '513428', '特补乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.444,27.6135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40592, 3353, '513428', '刘家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.566,27.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40593, 3353, '513428', '普基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.524,27.3833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40594, 3353, '513428', '特兹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.642,27.6036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40595, 3353, '513428', '黎安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.5,27.3371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40596, 3353, '513428', '哈力洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.64,27.6438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40597, 3353, '513428', '孟甘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.585,27.631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40598, 3353, '513428', '瓦洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.534,27.7519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40599, 3353, '513428', '吉乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.623,27.5448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40600, 3353, '513428', '菜子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.663,27.7537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40601, 3353, '513428', '东山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.594,27.4136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40602, 3353, '513428', '红莫依达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.482,27.7954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40603, 3353, '513428', '辉隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.679,27.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40604, 3353, '513428', '夹铁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.607,27.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40605, 3353, '513428', '荞窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.512,27.5204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40606, 3353, '513428', '月吾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.633,27.7689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40607, 3353, '513428', '耶底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.658,27.5199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40608, 3353, '513428', '五道箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.358,27.6279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40609, 3353, '513428', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.526,27.4591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40610, 3353, '513428', '花山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.571,27.4211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40611, 3353, '513428', '永安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.482,27.4394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40612, 3353, '513428', '祝联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.616,27.7585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40613, 3353, '513428', '洛乌沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.627,27.4008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40614, 3353, '513428', '特口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.459,27.5396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40615, 3353, '513428', '雨水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.542,27.5054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40616, 3353, '513428', '洛乌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.631,27.5978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40617, 3354, '513422', '倮波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.36,28.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40618, 3354, '513422', '屋脚蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.724,27.8605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40619, 3354, '513422', '博窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.086,29.1541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40620, 3354, '513422', '水洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.8,28.2631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40621, 3354, '513422', '瓦厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.837,28.1784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40622, 3354, '513422', '东朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.545,28.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40623, 3354, '513422', '卡拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.219,28.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40624, 3354, '513422', '西秋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.077,28.0034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40625, 3354, '513422', '三桷桠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.565,28.335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40626, 3354, '513422', '固增苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.755,28.4836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40627, 3354, '513422', '茶布朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.791,28.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40628, 3354, '513422', '麦日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.591,28.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40629, 3354, '513422', '博科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.073,28.1802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40630, 3354, '513422', '沙湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.02,28.5995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40631, 3354, '513422', '芽祖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.388,27.8843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40632, 3354, '513422', '乔瓦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.228,28.0785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40633, 3354, '513422', '牦牛坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.899,27.9057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40634, 3354, '513422', '宁朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.562,28.1645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40635, 3354, '513422', '克尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.997,28.1712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40636, 3354, '513422', '李子坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.147,28.0676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40637, 3354, '513422', '唐央乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.043,28.9335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40638, 3354, '513422', '下麦地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.156,27.7642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40639, 3354, '513422', '列瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.188,27.876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40640, 3354, '513422', '项脚蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.366,27.9815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40641, 3354, '513422', '依吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.538,27.9506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40642, 3354, '513422', '白碉苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.309,28.0385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40643, 3354, '513422', '雅砻江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.117,28.5168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40644, 3354, '513422', '后所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.044,27.8414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40645, 3354, '513422', '俄亚纳西族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.116,28.021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40646, 3355, '513433', '泽远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.96,28.286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40647, 3355, '513433', '哈哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.996,28.5535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40648, 3355, '513433', '锦屏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.809,28.4743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40649, 3355, '513433', '河边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.072,28.3422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40650, 3355, '513433', '里庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.836,28.2467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40651, 3355, '513433', '南河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.763,28.3724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40652, 3355, '513433', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.185,28.4977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40653, 3355, '513433', '麦地沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.88,28.3589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40654, 3355, '513433', '林里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.211,28.5214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40655, 3355, '513433', '先锋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.097,28.2851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40656, 3355, '513433', '新兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.761,28.5208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40657, 3355, '513433', '森荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.064,28.3928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40658, 3355, '513433', '铁厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.221,28.2963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40659, 3355, '513433', '冶勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.085,28.8454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40660, 3355, '513433', '后山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.197,28.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40661, 3355, '513433', '大桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.976,28.8472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40662, 3355, '513433', '联合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.744,28.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40663, 3355, '513433', '漫水湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.168,28.2356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40664, 3355, '513433', '金林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.892,28.2232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40665, 3355, '513433', '青纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.88,28.5639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40666, 3355, '513433', '惠安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.031,28.6804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40667, 3355, '513433', '河里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.094,28.3985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40668, 3355, '513433', '彝海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.22,28.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40669, 3355, '513433', '和爱藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.911,28.6117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40670, 3355, '513433', '健美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.649,28.306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40671, 3355, '513433', '回龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.141,28.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40672, 3355, '513433', '马头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.921,28.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40673, 3355, '513433', '城厢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.154,28.553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40674, 3355, '513433', '回坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.156,28.5489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40675, 3355, '513433', '腊窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.845,28.1896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40676, 3355, '513433', '曹古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.257,28.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40677, 3355, '513433', '拖乌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.241,28.7869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40678, 3355, '513433', '棉沙湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.872,28.3932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40679, 3355, '513433', '宏模镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.173,28.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40680, 3355, '513433', '窝堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.941,28.6029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40681, 3355, '513433', '石龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.179,28.4098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40682, 3355, '513433', '沙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.08,28.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40683, 3355, '513433', '泸沽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.17,28.2388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40684, 3356, '513426', '姜州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.436,26.613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40685, 3356, '513426', '溜姑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.008,26.6988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40686, 3356, '513426', '野牛坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.017,26.5722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40687, 3356, '513426', '堵格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.631,26.8212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40688, 3356, '513426', '小坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.347,26.6105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40689, 3356, '513426', '新田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.907,26.3917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40690, 3356, '513426', '岩坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.838,26.3835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40691, 3356, '513426', '淌塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.835,26.3871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40692, 3356, '513426', '满银沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.767,26.5724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40693, 3356, '513426', '鲹鱼河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.446,26.6685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40694, 3356, '513426', '江西街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.796,26.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40695, 3356, '513426', '鲁吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.985,26.7635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40696, 3356, '513426', '大崇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.894,26.7762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40697, 3356, '513426', '乌东德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.607,26.2653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40698, 3356, '513426', '铁柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.458,26.3935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40699, 3356, '513426', '拉马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.662,26.6176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40700, 3356, '513426', '松坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.979,26.536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40701, 3356, '513426', '嘎吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.583,26.497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40702, 3356, '513426', '野租乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.798,26.4821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40703, 3356, '513426', '铅锌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.722,26.6783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40704, 3356, '513426', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.759,26.7828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40705, 3357, '513434', '乃托镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.65,28.7161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40706, 3357, '513434', '河东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.576,28.6334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40707, 3357, '513434', '书古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.545,28.4704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40708, 3357, '513434', '铁西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.584,28.7069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40709, 3357, '513434', '瓦岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.474,28.817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40710, 3357, '513434', '西山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.388,28.7171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40711, 3357, '513434', '德吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.687,28.5971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40712, 3357, '513434', '尔觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.592,28.6266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40713, 3357, '513434', '拉白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.592,28.5653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40714, 3357, '513434', '越城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.505,28.6461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40715, 3357, '513434', '申普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.843,28.392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40716, 3357, '513434', '马拖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.511,28.4948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40717, 3357, '513434', '大屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.563,28.7081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40718, 3357, '513434', '乐青地乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.619,28.4968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40719, 3357, '513434', '梅花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.63,28.8261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40720, 3357, '513434', '瓦普莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.596,28.3671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40721, 3357, '513434', '五里箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.566,28.5627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40722, 3357, '513434', '南箐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.415,28.5713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40723, 3357, '513434', '丁山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.51,28.605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40724, 3357, '513434', '贡莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.597,28.5479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40725, 3357, '513434', '白果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.592,28.7837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40726, 3357, '513434', '四甘普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.651,28.646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40727, 3357, '513434', '瓦曲觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.848,28.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40728, 3357, '513434', '尔赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.639,28.3992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40729, 3357, '513434', '大瑞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.529,28.5906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40730, 3357, '513434', '普雄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.642,28.5856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40731, 3357, '513434', '依洛地坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.657,28.4623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40732, 3357, '513434', '大花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.363,28.635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40733, 3357, '513434', '保安藏族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.535,28.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40734, 3357, '513434', '拉普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.666,28.6373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40735, 3357, '513434', '中所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.487,28.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40736, 3357, '513434', '保石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.737,28.3941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40737, 3357, '513434', '板桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.485,28.8182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40738, 3357, '513434', '申果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.828,28.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40739, 3357, '513434', '新民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.545,28.7266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40740, 3357, '513434', '新乡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.521,28.4032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40741, 3357, '513434', '竹阿觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.688,28.4337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40742, 3357, '513434', '拉吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.708,28.6233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40743, 3358, '513435', '前进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.724,29.0365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40744, 3358, '513435', '阿嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.884,28.7716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40745, 3358, '513435', '嘎日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.696,28.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40746, 3358, '513435', '拉莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.755,28.7018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40747, 3358, '513435', '则拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.583,28.9367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40748, 3358, '513435', '坪坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.652,29.1726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40749, 3358, '513435', '沙岱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.767,29.1563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40750, 3358, '513435', '玉田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.71,28.922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40751, 3358, '513435', '普昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.82,28.9555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40752, 3358, '513435', '里克乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.744,28.9088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40753, 3358, '513435', '阿兹觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.814,29.0688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40754, 3358, '513435', '尼尔觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.715,28.8545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40755, 3358, '513435', '波波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.904,28.9044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40756, 3358, '513435', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.68,29.0986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40757, 3358, '513435', '吉米镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.818,28.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40758, 3358, '513435', '乌史大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.947,29.303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40759, 3358, '513435', '海棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.555,29.0667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40760, 3358, '513435', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.632,29.0122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40761, 3358, '513435', '斯觉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.739,28.8576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40762, 3358, '513435', '黑马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.784,29.2314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40763, 3358, '513435', '田坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.686,29.0632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40764, 3358, '513435', '新茶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.628,29.0137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40765, 3358, '513435', '新市坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.802,29.0091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40766, 3358, '513435', '石海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.784,28.8933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40767, 3358, '513435', '两河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.735,29.1156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40768, 3358, '513435', '蓼坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.509,28.9469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40769, 3358, '513435', '苏雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.8,29.0096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40770, 3358, '513435', '阿尔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.819,28.8655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40771, 3359, '513436', '峨曲古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.055,28.5111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40772, 3359, '513436', '炳途乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.985,28.5397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40773, 3359, '513436', '拖木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.049,28.3925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40774, 3359, '513436', '树窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.236,28.7228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40775, 3359, '513436', '瓦古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.145,28.1624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40776, 3359, '513436', '井叶特西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.149,28.3989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40777, 3359, '513436', '依洛拉达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.084,28.2706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40778, 3359, '513436', '尔合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.941,28.315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40779, 3359, '513436', '尔其乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.108,28.1382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40780, 3359, '513436', '觉洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.113,28.3846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40781, 3359, '513436', '巴普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.117,28.3535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40782, 3359, '513436', '农作乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.118,28.2815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40783, 3359, '513436', '苏洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.918,28.6519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40784, 3359, '513436', '拉木阿觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.082,28.1444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40785, 3359, '513436', '柳洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.199,28.1818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40786, 3359, '513436', '候播乃拖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.873,28.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40787, 3359, '513436', '尼哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.006,28.4806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40788, 3359, '513436', '候古莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.984,28.3777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40789, 3359, '513436', '佐戈依达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.047,28.3363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40790, 3359, '513436', '龙窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.122,28.6578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40791, 3359, '513436', '典补乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.019,28.3882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40792, 3359, '513436', '洛莫依达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.107,28.0997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40793, 3359, '513436', '子威乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.051,28.2075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40794, 3359, '513436', '牛牛坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.01,28.2977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40795, 3359, '513436', '采红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.922,28.4039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40796, 3359, '513436', '瓦西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.161,28.5917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40797, 3359, '513436', '依果觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.017,28.6733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40798, 3359, '513436', '洒库乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.106,28.5854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40799, 3359, '513436', '竹库乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.962,28.2491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40800, 3359, '513436', '合姑洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.148,28.3127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40801, 3359, '513436', '乐约乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.246,28.1405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40802, 3359, '513436', '哈洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.98,28.4286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40803, 3359, '513436', '巴古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.056,28.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40804, 3359, '513436', '洛俄依甘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.037,28.1402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40805, 3359, '513436', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.017,28.4548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40806, 3359, '513436', '九口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.04,28.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40807, 3360, '513423', '大草乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.142,27.6533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40808, 3360, '513423', '博大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.15,27.4542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40809, 3360, '513423', '黄草镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.267,27.2944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40810, 3360, '513423', '盖租乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.95,27.8325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40811, 3360, '513423', '右所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.843,27.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40812, 3360, '513423', '盐塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.018,27.3389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40813, 3360, '513423', '平川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.736,27.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40814, 3360, '513423', '长柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.965,27.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40815, 3360, '513423', '巫木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.107,27.2054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40816, 3360, '513423', '卫城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.602,27.3969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40817, 3360, '513423', '洼里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.521,28.0643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40818, 3360, '513423', '金河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.043,27.7315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40819, 3360, '513423', '桃子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.947,27.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40820, 3360, '513423', '甘塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.834,27.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40821, 3360, '513423', '白乌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.508,27.8198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40822, 3360, '513423', '大坡蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.469,27.9554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40823, 3360, '513423', '树河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.651,27.2258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40824, 3360, '513423', '沃底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.596,28.0164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40825, 3360, '513423', '棉桠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.356,27.6685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40826, 3360, '513423', '大河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.575,27.7147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40827, 3360, '513423', '梅雨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.382,27.3426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40828, 3360, '513423', '双河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.51,27.4572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40829, 3360, '513423', '泸沽湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.901,27.6356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40830, 3360, '513423', '前所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.71,27.8434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40831, 3360, '513423', '盐井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.488,27.4693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40832, 3360, '513423', '田湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.888,27.4353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40833, 3360, '513423', '藤桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.682,27.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40834, 3360, '513423', '下海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.524,27.5181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40835, 3360, '513423', '梅子坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.724,28.153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40836, 3360, '513423', '官地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.66,27.7087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40837, 3361, '513430', '高峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.335,27.8937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40838, 3361, '513430', '向岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.469,27.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40839, 3361, '513430', '放马坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.028,27.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40840, 3361, '513430', '春江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.147,27.5056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40841, 3361, '513430', '小银木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.107,27.621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40842, 3361, '513430', '尔觉西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.202,27.844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40843, 3361, '513430', '依莫合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.092,27.771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40844, 3361, '513430', '热柯觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.2,27.8355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40845, 3361, '513430', '丙底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.152,27.8982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40846, 3361, '513430', '芦稿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.175,27.5508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40847, 3361, '513430', '老寨子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.329,27.7533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40848, 3361, '513430', '红联乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.09,27.5224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40849, 3361, '513430', '丝窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.119,27.8036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40850, 3361, '513430', '洛觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.385,27.8176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40851, 3361, '513430', '山江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.968,27.3825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40852, 3361, '513430', '木府乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.207,27.6441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40853, 3361, '513430', '依达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.108,27.9512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40854, 3361, '513430', '对坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.022,27.4084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40855, 3361, '513430', '红峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.292,27.7915', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40856, 3361, '513430', '桃坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.227,27.648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40857, 3361, '513430', '寨子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.114,27.6547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40858, 3361, '513430', '土沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.094,27.7929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40859, 3361, '513430', '天地坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.241,27.7626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40860, 3361, '513430', '甲依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.19,27.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40861, 3361, '513430', '马依足乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.265,27.7096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40862, 3361, '513430', '梗堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.012,27.4732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40863, 3361, '513430', '派来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.138,27.5928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40864, 3361, '513430', '谷德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.369,27.8165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40865, 3361, '513430', '则祖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.099,27.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40866, 3361, '513430', '青松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.058,27.5618', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40867, 3361, '513430', '基觉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.073,27.7223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40868, 3361, '513430', '南瓦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.067,27.8122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40869, 3361, '513430', '德溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.406,27.7509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40870, 3361, '513430', '热水河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.267,27.6439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40871, 3362, '513424', '宽裕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.159,27.1871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40872, 3362, '513424', '永郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.178,27.1862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40873, 3362, '513424', '南山傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.189,27.2796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40874, 3362, '513424', '老碾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.305,27.174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40875, 3362, '513424', '大六槽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.977,27.2439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40876, 3362, '513424', '麻栗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.261,27.5497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40877, 3362, '513424', '金沙傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.263,27.2876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40878, 3362, '513424', '锦川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.286,27.2268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40879, 3362, '513424', '六所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.197,27.372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40880, 3362, '513424', '茨达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.032,27.2595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40881, 3362, '513424', '德州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.15,27.4549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40882, 3362, '513424', '巴洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.038,27.3027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40883, 3362, '513424', '阿月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.185,27.5082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40884, 3362, '513424', '王所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.125,27.3559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40885, 3362, '513424', '铁炉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.11,27.5352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40886, 3362, '513424', '前山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.089,27.4685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40887, 3362, '513424', '小高镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.243,27.4156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40888, 3362, '513424', '乐跃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.315,27.2622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40889, 3362, '513424', '热河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.914,27.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40890, 3362, '513424', '黑龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.02,27.4581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40891, 3363, '513427', '景星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.762,27.0117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40892, 3363, '513427', '大同镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.815,27.035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40893, 3363, '513427', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.674,26.9611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40894, 3363, '513427', '石梨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.658,26.9457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40895, 3363, '513427', '披砂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.682,27.1229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40896, 3363, '513427', '俱乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.599,27.0526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40897, 3363, '513427', '松新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.604,27.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40898, 3363, '513427', '新建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.469,27.1896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40899, 3363, '513427', '华弹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.882,26.8671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40900, 3363, '513427', '西瑶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.781,26.9039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40901, 3363, '513427', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.797,26.9577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40902, 3363, '513427', '杉树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.594,27.0475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40903, 3363, '513427', '葫芦口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.818,26.9521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40904, 3363, '513427', '梁子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.619,26.9616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40905, 3363, '513427', '稻谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.565,27.0603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40906, 3363, '513427', '白鹤滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.866,27.1939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40907, 3363, '513427', '竹寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.723,27.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40908, 3363, '513427', '幸福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.655,27.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40909, 3363, '513427', '海子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.687,27.1477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40910, 3363, '513427', '跑马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.794,27.1871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40911, 3363, '513427', '六铁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.603,27.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40912, 3363, '513427', '倮格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.763,27.1451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40913, 3363, '513427', '骑骡沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.828,27.1196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40914, 3363, '513427', '松林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.762,27.0087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40915, 3363, '513427', '新村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.575,27.2117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40916, 3364, '513328', '仁果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7641,31.6011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40917, 3364, '513328', '斯俄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.05,31.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40918, 3364, '513328', '四通达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.193,31.795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40919, 3364, '513328', '呷拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9026,31.6528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40920, 3364, '513328', '茶扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.53,32.0564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40921, 3364, '513328', '大德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3336,32.8936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40922, 3364, '513328', '泥柯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.186,31.9854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40923, 3364, '513328', '来马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5963,31.6413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40924, 3364, '513328', '查龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5336,32.2713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40925, 3364, '513328', '昔色乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5336,31.8216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40926, 3364, '513328', '南多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.954,31.5377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40927, 3364, '513328', '生康乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8341,31.5367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40928, 3364, '513328', '色西底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9957,31.5964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40929, 3364, '513328', '贡隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8685,31.8014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40930, 3364, '513328', '拖坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.121,31.6394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40931, 3364, '513328', '卡龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7002,32.4581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40932, 3364, '513328', '夺多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.061,31.8426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40933, 3364, '513328', '扎科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5253,31.9835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40934, 3364, '513328', '下雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.089,31.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40935, 3364, '513328', '卡攻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6999,31.616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40936, 3364, '513328', '庭卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.273,31.5417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40937, 3364, '513328', '甘孜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.059,31.7059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40938, 3365, '513332', '长沙干马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5894,33.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40939, 3365, '513332', '虾扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2059,32.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40940, 3365, '513332', '宜牛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5588,33.6829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40941, 3365, '513332', '洛须镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0019,32.6593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40942, 3365, '513332', '新荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5263,33.7672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40943, 3365, '513332', '蒙宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0946,33.0797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40944, 3365, '513332', '阿日扎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7078,33.5096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40945, 3365, '513332', '长须贡马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8748,33.142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40946, 3365, '513332', '起坞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3671,32.4502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40947, 3365, '513332', '德荣马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8334,32.9968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40948, 3365, '513332', '呷衣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4199,33.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40949, 3365, '513332', '格孟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.04,33.6143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40950, 3365, '513332', '色须镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.832,32.9006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40951, 3365, '513332', '正科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.616,32.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40952, 3365, '513332', '奔达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.4248,32.7278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40953, 3365, '513332', '温波镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.782,32.7436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40954, 3365, '513332', '瓦须乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9245,32.7422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40955, 3365, '513332', '长须干马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0451,33.0075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40956, 3365, '513332', '真达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6047,32.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40957, 3365, '513332', '麻呷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2873,32.4168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40958, 3365, '513332', '尼呷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9697,32.9139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40959, 3365, '513332', '长沙贡马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4307,34.0191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40960, 3366, '513337', '金珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.253,29.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40961, 3366, '513337', '俄牙同乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.226,27.9872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40962, 3366, '513337', '省母乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.541,28.9896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40963, 3366, '513337', '各卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.09,28.3654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40964, 3366, '513337', '木拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.035,28.8606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40965, 3366, '513337', '巨龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.349,28.9379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40966, 3366, '513337', '傍河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.095,28.9823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40967, 3366, '513337', '吉呷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.023,28.1436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40968, 3366, '513337', '色拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.105,28.9571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40969, 3366, '513337', '蒙自乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.457,28.7062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40970, 3366, '513337', '赤土乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.241,28.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40971, 3366, '513337', '邓波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8546,29.4837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40972, 3366, '513337', '香格里拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9837,28.5313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40973, 3366, '513337', '桑堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9881,29.3894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40974, 3367, '513329', '子拖西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.569,30.6634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40975, 3367, '513329', '博美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.231,30.8928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40976, 3367, '513329', '和平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.12,30.5952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40977, 3367, '513329', '麻日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.017,30.6597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40978, 3367, '513329', '尤拉西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.391,30.5157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40979, 3367, '513329', '色威乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.537,31.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40980, 3367, '513329', '友谊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8066,30.649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40981, 3367, '513329', '甲拉西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.319,30.9304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40982, 3367, '513329', '通宵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9334,30.9706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40983, 3367, '513329', '乐安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.203,31.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40984, 3367, '513329', '绕鲁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.152,31.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40985, 3367, '513329', '皮擦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8905,30.6282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40986, 3367, '513329', '银多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3934,31.6307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40987, 3367, '513329', '沙堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.024,31.4619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40988, 3367, '513329', '如龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.385,30.9889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40989, 3367, '513329', '大盖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.265,31.4721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40990, 3367, '513329', '洛古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.333,30.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40991, 3367, '513329', '雄龙西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9194,31.1759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40992, 3367, '513329', '拉日马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.475,31.0168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40993, 3368, '513330', '柯洛洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5233,31.9765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40994, 3368, '513330', '所巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0761,32.6811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40995, 3368, '513330', '马尼干戈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9271,31.8862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40996, 3368, '513330', '打滚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.021,32.6869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40997, 3368, '513330', '然姑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5269,32.1866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40998, 3368, '513330', '竹庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4849,32.4279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (40999, 3368, '513330', '玉隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2704,31.952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41000, 3368, '513330', '俄南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2497,32.215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41001, 3368, '513330', '更庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6758,31.8902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41002, 3368, '513330', '阿须镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9189,32.5437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41003, 3368, '513330', '卡松渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3115,32.1137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41004, 3368, '513330', '中扎科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5347,32.0289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41005, 3368, '513330', '龚垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5577,31.687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41006, 3368, '513330', '白垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7353,31.4973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41007, 3368, '513330', '达马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0596,31.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41008, 3368, '513330', '温拖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1117,32.335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41009, 3368, '513330', '普马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9113,31.8097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41010, 3368, '513330', '八帮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6984,31.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41011, 3368, '513330', '亚丁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1014,32.57', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41012, 3368, '513330', '窝公乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0275,32.0934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41013, 3368, '513330', '错阿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4993,31.8648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41014, 3368, '513330', '浪多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7181,32.3558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41015, 3368, '513330', '年古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3174,32.2008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41016, 3368, '513330', '岳巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2882,31.6439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41017, 3368, '513330', '俄支乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.309,32.4578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41018, 3368, '513330', '汪布顶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4262,31.9485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41019, 3369, '513325', '祝桑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.322,30.0188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41020, 3369, '513325', '牙衣河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.888,29.2588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41021, 3369, '513325', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.01,30.0675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41022, 3369, '513325', '呷拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.207,30.2654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41023, 3369, '513325', '麻郎错乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.897,29.82', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41024, 3369, '513325', '西俄洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.718,30.1053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41025, 3369, '513325', '红龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.469,30.2165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41026, 3369, '513325', '八角楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.109,30.1329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41027, 3369, '513325', '木绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.1,30.4756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41028, 3369, '513325', '八衣绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.085,29.724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41029, 3369, '513325', '柯拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.472,29.961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41030, 3369, '513325', '瓦多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.868,30.4826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41031, 3369, '513325', '普巴绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.737,30.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41032, 3369, '513325', '德差乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.778,29.8486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41033, 3369, '513325', '恶古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.044,29.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41034, 3369, '513325', '波斯河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.044,29.4703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41035, 3369, '513325', '米龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.215,29.8938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41036, 3370, '513331', '沙马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2166,30.5082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41037, 3370, '513331', '阿察镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4521,30.763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41038, 3370, '513331', '金沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7842,31.2597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41039, 3370, '513331', '河坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8763,31.3646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41040, 3370, '513331', '辽西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5593,31.3213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41041, 3370, '513331', '赠科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2142,31.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41042, 3370, '513331', '登龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0809,31.6249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41043, 3370, '513331', '建设镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7874,31.2498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41044, 3370, '513331', '麻邛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4576,31.2773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41045, 3370, '513331', '山岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9323,30.5541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41046, 3370, '513331', '盖玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8855,30.9259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41047, 3370, '513331', '热加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0053,31.4027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41048, 3370, '513331', '绒盖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8005,31.0009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41049, 3370, '513331', '安孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2015,31.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41050, 3370, '513331', '麻绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3608,30.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41051, 3370, '513331', '纳塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7576,30.8759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41052, 3370, '513331', '章都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9586,31.2038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41053, 3371, '513326', '甲斯孔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.66,30.9797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41054, 3371, '513326', '仲尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.904,30.7848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41055, 3371, '513326', '木茹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.092,30.7757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41056, 3371, '513326', '龙灯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.402,30.9248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41057, 3371, '513326', '亚卓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.304,30.5523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41058, 3371, '513326', '银恩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.116,31.4498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41059, 3371, '513326', '甲宗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.24,31.2235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41060, 3371, '513326', '麻孜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.978,31.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41061, 3371, '513326', '瓦日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.151,30.9312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41062, 3371, '513326', '格西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.175,31.0064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41063, 3371, '513326', '协德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.646,30.4426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41064, 3371, '513326', '沙冲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.444,30.7968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41065, 3371, '513326', '八美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.473,30.479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41066, 3371, '513326', '鲜水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.103,30.9848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41067, 3371, '513326', '维它乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.023,31.2833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41068, 3371, '513326', '红顶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.057,30.649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41069, 3371, '513326', '孔色乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.956,31.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41070, 3371, '513326', '色卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.393,30.394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41071, 3371, '513326', '下拖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.042,30.4173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41072, 3371, '513326', '七美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.153,31.2481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41073, 3371, '513326', '葛卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.214,30.9383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41074, 3371, '513326', '扎拖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.844,30.677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41075, 3372, '513335', '波戈溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.457,30.2126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41076, 3372, '513335', '措拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3914,30.359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41077, 3372, '513335', '亚日贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2338,29.807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41078, 3372, '513335', '波密乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4776,30.0897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41079, 3372, '513335', '竹巴龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0239,29.8459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41080, 3372, '513335', '松多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2133,30.5188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41081, 3372, '513335', '甲英乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9866,30.2804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41082, 3372, '513335', '中咱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1906,29.4262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41083, 3372, '513335', '中心绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1121,29.2187', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41084, 3372, '513335', '拉哇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0018,30.1493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41085, 3372, '513335', '党巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1555,30.2025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41086, 3372, '513335', '德达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7127,30.3189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41087, 3372, '513335', '地巫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1102,29.1362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41088, 3372, '513335', '苏哇龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0494,29.4911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41089, 3372, '513335', '茶洛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.333,30.4582', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41090, 3372, '513335', '昌波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0942,29.2675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41091, 3372, '513335', '莫多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1068,30.206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41092, 3372, '513335', '夏邛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0614,29.9338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41093, 3372, '513335', '列衣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4178,30.1841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41094, 3373, '513327', '卡娘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.52,31.6995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41095, 3373, '513327', '雅德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.506,31.4891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41096, 3373, '513327', '洛秋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.494,31.2792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41097, 3373, '513327', '泥巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.574,31.6116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41098, 3373, '513327', '新都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.63,31.4173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41099, 3373, '513327', '斯木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.694,31.3458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41100, 3373, '513327', '旦都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.339,31.5789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41101, 3373, '513327', '仁达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.743,31.1861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41102, 3373, '513327', '更知乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.291,31.8218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41103, 3373, '513327', '上罗柯马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.747,31.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41104, 3373, '513327', '朱倭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.238,31.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41105, 3373, '513327', '充古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.193,31.7126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41106, 3373, '513327', '宜木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.848,31.2511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41107, 3373, '513327', '宗麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.025,31.6409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41108, 3373, '513327', '宗塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.853,31.7852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41109, 3373, '513327', '下罗柯马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.716,31.5645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41110, 3374, '513301', '金汤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.213,30.3856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41111, 3374, '513301', '瓦泽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.723,30.2389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41112, 3374, '513301', '甲根坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.715,29.7334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41113, 3374, '513301', '新都桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.483,30.2737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41114, 3374, '513301', '贡嘎山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.583,29.5127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41115, 3374, '513301', '麦崩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.209,30.2122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41116, 3374, '513301', '普沙绒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.247,29.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41117, 3374, '513301', '朋布西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.366,29.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41118, 3374, '513301', '孔玉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.175,30.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41119, 3374, '513301', '吉居乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.207,29.2437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41120, 3374, '513301', '呷巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.412,29.9024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41121, 3374, '513301', '姑咱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.014,30.1908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41122, 3374, '513301', '塔公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.666,30.4544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41123, 3374, '513301', '沙德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.484,29.5298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41124, 3374, '513301', '炉城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.841,30.0805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41125, 3374, '513301', '捧塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.169,30.5312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41126, 3374, '513301', '时济乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.178,30.1297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41127, 3374, '513301', '三合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.146,30.3628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41128, 3374, '513301', '雅拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.727,30.3626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41129, 3374, '513301', '鱼通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.164,30.3296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41130, 3375, '513334', '呷柯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.706,30.1409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41131, 3375, '513334', '觉吾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.089,30.4829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41132, 3375, '513334', '奔戈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.282,29.9374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41133, 3375, '513334', '禾尼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5752,30.0603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41134, 3375, '513334', '绒坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.519,30.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41135, 3375, '513334', '藏坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.424,29.5554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41136, 3375, '513334', '德巫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.766,29.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41137, 3375, '513334', '哈依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.353,30.4201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41138, 3375, '513334', '村戈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.422,30.3135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41139, 3375, '513334', '高城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.376,30.0249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41140, 3375, '513334', '喇嘛垭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9805,29.8828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41141, 3375, '513334', '拉波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.504,29.2402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41142, 3375, '513334', '章纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5542,29.7098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41143, 3375, '513334', '麦洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.706,29.2066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41144, 3375, '513334', '格木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.318,29.5315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41145, 3375, '513334', '雄坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.04,29.778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41146, 3375, '513334', '莫坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9088,30.6433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41147, 3375, '513334', '上木拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.541,29.8357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41148, 3375, '513334', '下木拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.764,29.4544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41149, 3375, '513334', '曲登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6322,30.4902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41150, 3375, '513334', '君坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.229,30.5177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41151, 3375, '513334', '中木拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.572,29.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41152, 3375, '513334', '亚火乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.051,30.558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41153, 3375, '513334', '甲洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.343,29.8846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41154, 3376, '513336', '尼斯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8044,28.935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41155, 3376, '513336', '青麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.031,28.8509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41156, 3376, '513336', '水洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.941,29.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41157, 3376, '513336', '定波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5716,29.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41158, 3376, '513336', '沙贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8483,29.1955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41159, 3376, '513336', '热打镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8524,29.4769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41160, 3376, '513336', '白依乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6482,29.035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41161, 3376, '513336', '香巴拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7796,29.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41162, 3376, '513336', '正斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4744,29.0404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41163, 3376, '513336', '青德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8772,28.9007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41164, 3376, '513336', '然乌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8762,28.6111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41165, 3376, '513336', '洞松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7365,28.7177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41166, 3377, '513324', '踏卡彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.768,28.8183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41167, 3377, '513324', '魁多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.667,28.4447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41168, 3377, '513324', '小金彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.975,28.6954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41169, 3377, '513324', '斜卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.693,29.0443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41170, 3377, '513324', '子耳彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.599,28.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41171, 3377, '513324', '乌拉溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.561,28.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41172, 3377, '513324', '八窝龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.228,28.9562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41173, 3377, '513324', '乃渠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.569,28.8636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41174, 3377, '513324', '俄尔彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.909,28.783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41175, 3377, '513324', '汤古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.349,29.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41176, 3377, '513324', '三岩龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.237,28.7979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41177, 3377, '513324', '洪坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.822,29.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41178, 3377, '513324', '呷尔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.661,29.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41179, 3377, '513324', '烟袋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.699,28.5676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41180, 3377, '513324', '上团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.184,28.9413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41181, 3377, '513324', '朵洛彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.82,28.6879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41182, 3377, '513324', '湾坝彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.905,28.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41183, 3377, '513324', '三垭彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.846,28.7126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41184, 3378, '513338', '松麦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.279,28.7656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41185, 3378, '513338', '曲雅贡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.179,28.3994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41186, 3378, '513338', '八日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5312,28.7753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41187, 3378, '513338', '古学乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4198,28.4588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41188, 3378, '513338', '日龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1932,28.7386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41189, 3378, '513338', '贡波乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1319,28.9486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41190, 3378, '513338', '白松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3417,28.8941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41191, 3378, '513338', '茨巫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3105,29.1559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41192, 3378, '513338', '奔都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4957,28.6148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41193, 3378, '513338', '徐龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1093,28.799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41194, 3378, '513338', '斯闸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2228,28.8978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41195, 3378, '513338', '瓦卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3295,28.2185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41196, 3379, '513333', '歌乐沱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.962,31.9808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41197, 3379, '513333', '塔子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.2,32.1008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41198, 3379, '513333', '年龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.384,32.7103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41199, 3379, '513333', '克戈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.825,32.4327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41200, 3379, '513333', '霍西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.714,32.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41201, 3379, '513333', '翁达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.808,31.9935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41202, 3379, '513333', '亚龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.224,32.2092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41203, 3379, '513333', '大章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.033,32.8964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41204, 3379, '513333', '旭日乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.652,32.1046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41205, 3379, '513333', '大则乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9004,32.5826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41206, 3379, '513333', '洛若乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.536,32.3662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41207, 3379, '513333', '杨各乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.762,32.0878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41208, 3379, '513333', '甲学乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.807,31.9195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41209, 3379, '513333', '康勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8839,32.5062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41210, 3379, '513333', '然充乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8595,32.2608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41211, 3379, '513333', '色柯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.454,32.3741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41212, 3379, '513333', '泥朵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7208,32.7319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41213, 3380, '513323', '中路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.919,30.9194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41214, 3380, '513323', '格宗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.85,30.7789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41215, 3380, '513323', '半扇门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.959,30.9967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41216, 3380, '513323', '丹东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.453,31.3489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41217, 3380, '513323', '章谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.856,30.8791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41218, 3380, '513323', '岳扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.91,30.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41219, 3380, '513323', '东谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.581,30.702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41220, 3380, '513323', '太平桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.119,31.1161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41221, 3380, '513323', '边耳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.415,31.1063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41222, 3380, '513323', '巴旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.736,31.0471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41223, 3380, '513323', '梭坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.029,30.8901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41224, 3380, '513323', '革什扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.669,31.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41225, 3380, '513323', '聂呷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.796,30.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41226, 3380, '513323', '巴底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.735,31.194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41227, 3380, '513323', '水子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.758,30.8414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41228, 3381, '513322', '加郡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.207,29.6414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41229, 3381, '513322', '冷碛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.219,29.8306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41230, 3381, '513322', '杵坭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.183,29.8306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41231, 3381, '513322', '岚安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.218,30.0657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41232, 3381, '513322', '烹坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.047,29.9572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41233, 3381, '513322', '德威乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.133,29.7457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41234, 3381, '513322', '泸桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.191,29.9729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41235, 3381, '513322', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.263,29.7818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41236, 3381, '513322', '田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.05,29.9247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41237, 3381, '513322', '磨西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.019,29.6662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41238, 3381, '513322', '新兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.031,29.9116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41239, 3381, '513322', '得妥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.946,29.5035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41240, 3382, '220881', '大通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.309,45.4034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41241, 3382, '220881', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.824,45.3736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41242, 3382, '220881', '永康街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.751,45.3322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41243, 3382, '220881', '呼和车力蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.331,45.2041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41244, 3382, '220881', '黑水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.683,45.273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41245, 3382, '220881', '野马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.007,45.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41246, 3382, '220881', '富文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.755,45.3506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41247, 3382, '220881', '东方红畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.987,45.1514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41248, 3382, '220881', '永茂林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.232,45.5385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41249, 3382, '220881', '二龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.134,45.4369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41250, 3382, '220881', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.785,45.3592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41251, 3382, '220881', '蛟流河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.454,45.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41252, 3382, '220881', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.789,45.3439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41253, 3382, '220881', '万宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.811,45.8893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41254, 3382, '220881', '聚宝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122,45.6332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41255, 3382, '220881', '那金镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.019,45.7819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41256, 3382, '220881', '胡力吐蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.811,46.0172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41257, 3382, '220881', '瓦房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.404,45.7844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41258, 3382, '220881', '东升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.04,45.9586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41259, 3382, '220881', '洮府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.794,45.3095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41260, 3382, '220881', '市原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.509,45.2529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41261, 3382, '220881', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.749,45.3321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41262, 3382, '220881', '安定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.471,45.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41263, 3382, '220881', '福顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.58,45.5351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41264, 3382, '220881', '通达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.798,45.343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41265, 3382, '220881', '永茂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.172,45.5246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41266, 3382, '220881', '万宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '121.75,45.7941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41267, 3383, '220882', '安北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.261,45.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41268, 3383, '220882', '联合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.19,45.5313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41269, 3383, '220882', '新荒渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.721,45.6946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41270, 3383, '220882', '风水山牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.502,45.2318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41271, 3383, '220882', '新艾里蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.381,45.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41272, 3383, '220882', '丰收镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.62,45.7416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41273, 3383, '220882', '良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.162,45.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41274, 3383, '220882', '烧锅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.533,45.5492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41275, 3383, '220882', '锦华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.28,45.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41276, 3383, '220882', '太山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.158,45.5344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41277, 3383, '220882', '两家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.851,45.5282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41278, 3383, '220882', '红旗饲养场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.271,45.4649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41279, 3383, '220882', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.3,45.5114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41280, 3383, '220882', '月亮泡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.035,45.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41281, 3383, '220882', '大安经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.276,45.5358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41282, 3383, '220882', '叉干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.252,45.3451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41283, 3383, '220882', '大赉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.306,45.5035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41284, 3383, '220882', '东方红农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.484,45.7528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41285, 3383, '220882', '五间房水库', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.286,45.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41286, 3383, '220882', '红岗子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.8,45.7362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41287, 3383, '220882', '舍力林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.356,45.5529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41288, 3383, '220882', '新平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.659,45.2133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41289, 3383, '220882', '安广猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.747,45.5545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41290, 3383, '220882', '安广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.768,45.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41291, 3383, '220882', '海坨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.073,45.3123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41292, 3383, '220882', '龙沼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.477,45.1144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41293, 3383, '220882', '东风马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.306,45.2767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41294, 3383, '220882', '长虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.286,45.5042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41295, 3383, '220882', '大岗子林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.499,45.225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41296, 3383, '220882', '大安马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.499,45.3664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41297, 3383, '220882', '舍力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.35,45.5521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41298, 3383, '220882', '四棵树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.328,45.4334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41299, 3383, '220882', '大岗子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.36,45.1971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41300, 3383, '220882', '慧阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.295,45.498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41301, 3383, '220882', '乐胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.749,45.5361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41302, 3384, '220822', '新发乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.402,44.6343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41303, 3384, '220822', '兴隆山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.351,44.7081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41304, 3384, '220822', '三家子种牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.374,44.7365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41305, 3384, '220822', '什花道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.492,44.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41306, 3384, '220822', '包拉温都蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.583,44.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41307, 3384, '220822', '乌兰花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.665,44.8858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41308, 3384, '220822', '边昭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.194,44.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41309, 3384, '220822', '新兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.954,44.7272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41310, 3384, '220822', '双岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.963,45.1018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41311, 3384, '220822', '通榆经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.091,44.8241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41312, 3384, '220822', '新华牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.974,44.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41313, 3384, '220822', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.918,44.5859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41314, 3384, '220822', '苏公坨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.381,44.6634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41315, 3384, '220822', '双岗鹿场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.84,45.1286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41316, 3384, '220822', '同发牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.083,44.8461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41317, 3384, '220822', '鸿兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.065,44.9991', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41318, 3384, '220822', '八面乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.433,45.1693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41319, 3384, '220822', '瞻榆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.676,44.2862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41320, 3384, '220822', '开通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.954,44.7272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41321, 3384, '220822', '良井子畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.476,44.3825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41322, 3384, '220822', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.113,44.6155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41323, 3384, '220822', '向海蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.348,45.1756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41324, 3385, '220802', '到保林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.076,45.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41325, 3385, '220802', '东风乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.841,45.6419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41326, 3385, '220802', '明仁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.831,45.6402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41327, 3385, '220802', '镇南种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.971,45.7103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41328, 3385, '220802', '白城牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.527,45.7931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41329, 3385, '220802', '三合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.637,45.6762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41330, 3385, '220802', '长庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.827,45.6251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41331, 3385, '220802', '洮河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.156,45.4573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41332, 3385, '220802', '瑞光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.821,45.6252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41333, 3385, '220802', '幸福街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.794,45.6475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41334, 3385, '220802', '新立街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.858,45.6311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41335, 3385, '220802', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.432,45.7271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41336, 3385, '220802', '到保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.23,45.5645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41337, 3385, '220802', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.866,45.6137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41338, 3385, '220802', '海明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.865,45.6287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41339, 3385, '220802', '青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.772,45.8064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41340, 3385, '220802', '林海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.713,45.5399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41341, 3385, '220802', '西郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.801,45.3676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41342, 3385, '220802', '金祥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.628,45.4842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41343, 3385, '220802', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.852,45.6045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41344, 3385, '220802', '保民农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.169,45.4893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41345, 3385, '220802', '保平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.781,45.6055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41346, 3385, '220802', '德顺蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.735,45.4138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41347, 3385, '220802', '东胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.5,45.6087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41348, 3385, '220802', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.856,45.6159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41349, 3385, '220802', '洮儿河农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.797,45.4363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41350, 3385, '220802', '岭下镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.366,45.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41351, 3385, '220802', '平台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.742,45.7091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41352, 3386, '220821', '哈吐气蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.471,46.1852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41353, 3386, '220821', '县种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.303,45.6389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41354, 3386, '220821', '大屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.801,46.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41355, 3386, '220821', '九龙山马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.979,46.0531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41356, 3386, '220821', '黑鱼泡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.626,45.7361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41357, 3386, '220821', '大岗林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '122.986,46.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41358, 3386, '220821', '嘎什根乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.868,46.2031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41359, 3386, '220821', '建平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.247,46.0373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41360, 3386, '220821', '到保农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.22,45.6616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41361, 3386, '220821', '五棵树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.943,46.1776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41362, 3386, '220821', '国营渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.936,45.8035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41363, 3386, '220821', '坦途镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.413,46.2427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41364, 3386, '220821', '莫莫格林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.63,45.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41365, 3386, '220821', '镇赉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.255,45.7841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41366, 3386, '220821', '四方坨子农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.876,46.0196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41367, 3386, '220821', '东屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.191,46.0631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41368, 3386, '220821', '莫莫格蒙古族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.464,45.9082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41369, 3386, '220821', '沿江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.818,45.7232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41370, 3386, '220821', '白音套海牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.204,46.1719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41371, 3387, '220183', '郭家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.394,44.5501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41372, 3387, '220183', '达家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.746,44.6758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41373, 3387, '220183', '大青嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.998,44.4365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41374, 3387, '220183', '夏家店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.756,44.5522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41375, 3387, '220183', '菜园子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.736,44.8086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41376, 3387, '220183', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.692,44.5221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41377, 3387, '220183', '大房身镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.081,44.6466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41378, 3387, '220183', '朝阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.27,44.6452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41379, 3387, '220183', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.695,44.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41380, 3387, '220183', '五台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.203,44.5632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41381, 3387, '220183', '朱城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.462,44.2588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41382, 3387, '220183', '同太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.364,44.4107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41383, 3387, '220183', '天台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.462,44.5816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41384, 3387, '220183', '布海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.783,44.4763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41385, 3387, '220183', '岔路口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.027,44.6825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41386, 3387, '220183', '边岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.633,44.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41387, 3387, '220183', '惠发街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.655,44.4997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41388, 3387, '220183', '松花江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.037,44.783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41389, 3388, '220182', '弓棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.189,45.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41390, 3388, '220182', '先峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.274,44.9462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41391, 3388, '220182', '环城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.523,44.7903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41392, 3388, '220182', '大坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.462,44.6332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41393, 3388, '220182', '恩育乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.434,44.9653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41394, 3388, '220182', '秀水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.361,44.7471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41395, 3388, '220182', '黑林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.706,44.531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41396, 3388, '220182', '大岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.633,45.1891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41397, 3388, '220182', '闵家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.45,44.8679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41398, 3388, '220182', '泗河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.811,44.9549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41399, 3388, '220182', '华昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.472,44.8419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41400, 3388, '220182', '延和朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.894,45.1314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41401, 3388, '220182', '培英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.638,44.86', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41402, 3388, '220182', '城郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.533,44.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41403, 3388, '220182', '太安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.482,45.0612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41404, 3388, '220182', '刘家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.349,44.7754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41405, 3388, '220182', '新庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.76,45.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41406, 3388, '220182', '青山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.783,45.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41407, 3388, '220182', '红星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.363,45.1936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41408, 3388, '220182', '城发乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.811,44.9464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41409, 3388, '220182', '保寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.668,44.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41410, 3388, '220182', '五棵树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.06,44.8833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41411, 3388, '220182', '八号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.178,45.0729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41412, 3388, '220182', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.542,44.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41413, 3388, '220182', '新立镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.807,44.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41414, 3388, '220182', '育民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.577,45.2513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41415, 3388, '220182', '土桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.999,44.7637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41416, 3388, '220182', '于家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.953,44.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41417, 3389, '220112', '山河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.875,43.4778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41418, 3389, '220112', '双营子回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.541,43.5441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41419, 3389, '220112', '齐家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.779,43.7549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41420, 3389, '220112', '平湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.766,43.6074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41421, 3389, '220112', '鹿乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.463,43.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41422, 3389, '220112', '云山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.674,43.5498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41423, 3389, '220112', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.637,43.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41424, 3389, '220112', '奢岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.714,43.795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41425, 3390, '220122', '永安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.562,44.5259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41426, 3390, '220122', '巴吉垒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.749,44.3651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41427, 3390, '220122', '万顺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.95,44.4355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41428, 3390, '220122', '黄鱼圈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.426,44.8943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41429, 3390, '220122', '小城子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.279,44.8014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41430, 3390, '220122', '靠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.723,44.8746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41431, 3390, '220122', '杨树林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.896,44.7265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41432, 3390, '220122', '哈拉海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.112,44.7659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41433, 3390, '220122', '青山口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.609,44.8955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41434, 3390, '220122', '农安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.2,44.3684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41435, 3390, '220122', '新农乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.62,44.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41436, 3390, '220122', '万金塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.542,44.6499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41437, 3390, '220122', '三盛玉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.668,44.6488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41438, 3390, '220122', '伏龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.6,44.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41439, 3390, '220122', '高家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.282,44.7326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41440, 3390, '220122', '烧锅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.972,44.0819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41441, 3390, '220122', '华家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.201,44.3775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41442, 3390, '220122', '开安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.257,44.168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41443, 3390, '220122', '龙王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.013,44.1552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41444, 3390, '220122', '前岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.399,44.3404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41445, 3390, '220122', '洼中高农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.787,44.2236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41446, 3390, '220122', '三岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.75,44.0965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41447, 3391, '220103', '兴业街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.353,43.9208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41448, 3391, '220103', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.302,43.9016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41449, 3391, '220103', '凯旋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.313,43.9388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41450, 3391, '220103', '米沙子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.527,44.2379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41451, 3391, '220103', '万宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.27,44.1859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41452, 3391, '220103', '合隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.03,44.1132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41453, 3391, '220103', '团山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.32,43.9759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41454, 3391, '220103', '新发街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.327,43.9037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41455, 3391, '220103', '群英街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.312,43.9121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41456, 3391, '220103', '奋进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.336,44.0698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41457, 3391, '220103', '兰家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.223,43.9832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41458, 3391, '220103', '柳影街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.276,43.9376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41459, 3391, '220103', '兴隆山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.524,43.9361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41460, 3391, '220103', '欣园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.184,43.9612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41461, 3391, '220103', '南广街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.334,43.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41462, 3391, '220103', '东广街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.347,43.9033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41463, 3392, '220113', '纪家街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.585,44.2738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41464, 3392, '220113', '卡伦湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.503,43.9684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41465, 3392, '220113', '城子街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.993,44.4094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41466, 3392, '220113', '龙嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.704,44.1944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41467, 3392, '220113', '其塔木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.437,44.4349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41468, 3392, '220113', '沐石河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.235,44.1758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41469, 3392, '220113', '九郊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.816,44.2267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41470, 3392, '220113', '胡家回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.26,44.1849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41471, 3392, '220113', '土们岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.094,44.1162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41472, 3392, '220113', '九台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.874,44.1661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41473, 3392, '220113', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.837,44.3629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41474, 3392, '220113', '苇子沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.907,44.3343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41475, 3392, '220113', '上河湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.27,44.519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41476, 3392, '220113', '莽卡满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.353,44.1754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41477, 3392, '220113', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.641,43.9807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41478, 3392, '220113', '西营城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.768,44.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41479, 3392, '220113', '波泥河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.024,43.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41480, 3392, '220113', '营城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.869,44.1676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41481, 3393, '220106', '林园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.248,43.9331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41482, 3393, '220106', '长春汽车产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.148,43.8631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41483, 3393, '220106', '正阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.262,43.9023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41484, 3393, '220106', '城西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.237,43.9846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41485, 3393, '220106', '青年街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.311,43.92', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41486, 3393, '220106', '锦程街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.219,43.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41487, 3393, '220106', '西新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.156,43.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41488, 3393, '220106', '合心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.069,43.9776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41489, 3393, '220106', '绿园经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.17,43.9699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41490, 3393, '220106', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.275,43.8715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41491, 3393, '220106', '同心街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.208,43.8943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41492, 3393, '220106', '春城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.271,43.8641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41493, 3394, '220184', '玻璃城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.016,44.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41494, 3394, '220184', '十屋种牛场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.201,43.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41495, 3394, '220184', '环岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.818,43.4646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41496, 3394, '220184', '陶家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.944,43.6257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41497, 3394, '220184', '黑林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.918,43.7964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41498, 3394, '220184', '创业农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.131,43.7813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41499, 3394, '220184', '公主岭市种猪场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.829,43.4693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41500, 3394, '220184', '毛城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.311,43.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41501, 3394, '220184', '范家屯经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.092,43.7319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41502, 3394, '220184', '岭西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.796,43.5064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41503, 3394, '220184', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.814,43.4974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41504, 3394, '220184', '东三街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.823,43.4971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41505, 3394, '220184', '省原种繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.919,43.4982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41506, 3394, '220184', '河北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.808,43.5076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41507, 3394, '220184', '响水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.307,43.6544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41508, 3394, '220184', '公主岭市鹿场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.794,43.3412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41509, 3394, '220184', '朝阳坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.68,43.6322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41510, 3394, '220184', '南崴子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.69,43.482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41511, 3394, '220184', '怀德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.925,43.9951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41512, 3394, '220184', '双城堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.764,44.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41513, 3394, '220184', '双龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.564,43.9775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41514, 3394, '220184', '岭东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.824,43.5088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41515, 3394, '220184', '永发乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.95,43.9442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41516, 3394, '220184', '范家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.213,43.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41517, 3394, '220184', '苇子沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.832,43.4997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41518, 3394, '220184', '十屋农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.312,43.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41519, 3394, '220184', '十屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.201,43.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41520, 3394, '220184', '杨大城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.396,44.0357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41521, 3394, '220184', '铁北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.772,43.5496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41522, 3394, '220184', '刘房子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.886,43.6365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41523, 3394, '220184', '八屋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.348,43.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41524, 3394, '220184', '大岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.066,43.9164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41525, 3394, '220184', '四平农科院', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.855,43.4964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41526, 3394, '220184', '二十家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.916,43.4409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41527, 3394, '220184', '龙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.774,43.3306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41528, 3394, '220184', '桑树台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.133,43.7735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41529, 3394, '220184', '秦家屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.47,43.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41530, 3394, '220184', '大榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.597,43.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41531, 3395, '220104', '桂林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.322,43.8707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41532, 3395, '220104', '永春镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.283,43.7042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41533, 3395, '220104', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.288,43.8787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41534, 3395, '220104', '重庆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.311,43.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41535, 3395, '220104', '富锋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.225,43.7249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41536, 3395, '220104', '双德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.222,43.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41537, 3395, '220104', '乐山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.283,43.5752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41538, 3395, '220104', '湖西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.277,43.8655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41539, 3395, '220104', '清和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.311,43.8959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41540, 3395, '220104', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.242,43.8378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41541, 3395, '220104', '硅谷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.258,43.729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41542, 3395, '220104', '永昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.311,43.8848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41543, 3395, '220104', '南湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.326,43.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41544, 3396, '220105', '东方广场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.473,43.9171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41545, 3396, '220105', '东盛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.37,43.8857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41546, 3396, '220105', '荣光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.382,43.8958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41547, 3396, '220105', '四家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.812,43.9109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41548, 3396, '220105', '英俊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.463,43.8644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41549, 3396, '220105', '远达街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.377,43.9322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41550, 3396, '220105', '八里堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.368,43.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41551, 3396, '220105', '吉林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.361,43.8899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41552, 3396, '220105', '劝农山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.562,43.8192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41553, 3396, '220105', '泉眼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.545,43.8644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41554, 3396, '220105', '东站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.369,43.8849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41555, 3396, '220105', '长青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.422,43.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41556, 3397, '220102', '自强街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.325,43.8917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41557, 3397, '220102', '新春街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.334,43.8999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41558, 3397, '220102', '永吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.34,43.8749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41559, 3397, '220102', '临河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.377,43.831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41560, 3397, '220102', '全安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.339,43.8871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41561, 3397, '220102', '曙光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.325,43.8695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41562, 3397, '220102', '南岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.326,43.8511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41563, 3397, '220102', '幸福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.337,43.767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41564, 3397, '220102', '新湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.497,43.6616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41565, 3397, '220102', '玉潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.521,43.8101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41566, 3397, '220102', '明珠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.311,43.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41567, 3397, '220102', '净月街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.403,43.8283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41568, 3397, '220102', '新立城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.328,43.6691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41569, 3397, '220102', '富裕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.349,43.775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41570, 3397, '220102', '鸿城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.352,43.8645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41571, 3397, '220102', '民康街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.325,43.8843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41572, 3397, '220102', '桃源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.355,43.8974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41573, 3397, '220102', '永兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.395,43.7999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41574, 3397, '220102', '长通街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.356,43.9138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41575, 3398, '220211', '丰满街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.761,43.7703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41576, 3398, '220211', '沿丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.581,43.797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41577, 3398, '220211', '前二道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.37,43.7623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41578, 3398, '220211', '石井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.635,43.795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41579, 3398, '220211', '江南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.57,43.829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41580, 3398, '220211', '新北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.356,43.9571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41581, 3398, '220211', '高新开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.588,43.7855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41582, 3398, '220211', '旺起镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.663,43.4624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41583, 3398, '220211', '泰山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.565,43.8371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41584, 3398, '220211', '小白山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.572,43.7159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41585, 3398, '220211', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.51,43.8018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41586, 3398, '220211', '江南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.567,43.8252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41587, 3399, '220283', '小城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.027,44.1236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41588, 3399, '220283', '亮甲山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.678,44.4594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41589, 3399, '220283', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.927,44.4272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41590, 3399, '220283', '白旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.442,44.4432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41591, 3399, '220283', '莲花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.614,44.5233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41592, 3399, '220283', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.789,44.4281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41593, 3399, '220283', '新安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.284,44.2238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41594, 3399, '220283', '平安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.226,44.6223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41595, 3399, '220283', '天德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.717,44.5339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41596, 3399, '220283', '吉舒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.929,44.1396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41597, 3399, '220283', '法特镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.561,44.5674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41598, 3399, '220283', '七里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.405,44.4362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41599, 3399, '220283', '上营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.187,44.0393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41600, 3399, '220283', '溪河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.589,44.2318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41601, 3399, '220283', '开原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.616,44.2692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41602, 3399, '220283', '水曲柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.996,44.5283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41603, 3399, '220283', '环城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.024,44.4219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41604, 3399, '220283', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.925,44.3867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41605, 3399, '220283', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.996,44.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41606, 3399, '220283', '金马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.331,44.6354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41607, 3400, '220282', '金沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.881,43.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41608, 3400, '220282', '公吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.997,42.7979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41609, 3400, '220282', '桦郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.668,42.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41610, 3400, '220282', '红石砬子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.06,42.8161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41611, 3400, '220282', '启新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.762,42.971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41612, 3400, '220282', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.741,42.9874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41613, 3400, '220282', '常山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.675,43.4548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41614, 3400, '220282', '横道河子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.599,43.3656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41615, 3400, '220282', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.729,42.967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41616, 3400, '220282', '永吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.841,42.9793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41617, 3400, '220282', '明桦街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.723,42.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41618, 3400, '220282', '夹皮沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.695,42.7753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41619, 3400, '220282', '二道甸子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.428,43.2561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41620, 3400, '220282', '八道河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.322,43.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41621, 3401, '220281', '天北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.809,44.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41622, 3401, '220281', '庆岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.845,43.8447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41623, 3401, '220281', '长安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.354,43.7342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41624, 3401, '220281', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.325,43.7094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41625, 3401, '220281', '新站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.356,44.0797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41626, 3401, '220281', '黄松甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.918,43.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41627, 3401, '220281', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.385,43.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41628, 3401, '220281', '松江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.03,43.6936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41629, 3401, '220281', '拉法街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.247,43.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41630, 3401, '220281', '漂河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.631,43.3134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41631, 3401, '220281', '乌林朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.42,43.729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41632, 3401, '220281', '新农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.331,43.6786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41633, 3401, '220281', '河北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.286,43.7401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41634, 3401, '220281', '奶子山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.409,43.6985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41635, 3401, '220281', '白石山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.682,43.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41636, 3401, '220281', '天岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.838,43.9361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41637, 3401, '220281', '前进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.849,44.0737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41638, 3402, '220203', '大口钦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.555,44.2329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41639, 3402, '220203', '缸窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.767,44.2581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41640, 3402, '220203', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.571,43.9014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41641, 3402, '220203', '泡子沿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.568,43.9373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41642, 3402, '220203', '龙潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.577,43.8921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41643, 3402, '220203', '新吉林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.604,43.9401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41644, 3402, '220203', '榆树街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.657,43.8531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41645, 3402, '220203', '铁东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.618,43.9024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41646, 3402, '220203', '遵义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.62,43.8871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41647, 3402, '220203', '乌拉街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.425,44.1404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41648, 3402, '220203', '龙潭经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.552,43.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41649, 3402, '220203', '江北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.681,43.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41650, 3402, '220203', '江密峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.826,43.8894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41651, 3402, '220203', '承德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.552,43.908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41652, 3402, '220203', '金珠工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.533,44.0167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41653, 3402, '220203', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.622,43.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41654, 3402, '220203', '山前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.564,43.9294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41655, 3402, '220203', '湘潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.554,43.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41656, 3402, '220203', '龙华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.604,43.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41657, 3402, '220203', '金珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.562,44.0413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41658, 3403, '220221', '永吉经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.454,43.6495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41659, 3403, '220221', '双河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.226,43.4089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41660, 3403, '220221', '一拉溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.124,43.8671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41661, 3403, '220221', '黄榆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.106,43.4523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41662, 3403, '220221', '万昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.803,43.8282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41663, 3403, '220221', '北大湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.553,43.3439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41664, 3403, '220221', '西阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.118,43.5347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41665, 3403, '220221', '金家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.887,43.5934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41666, 3403, '220221', '岔路河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.018,43.5827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41667, 3403, '220221', '口前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.514,43.6756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41668, 3404, '220284', '东宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.056,42.9619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41669, 3404, '220284', '牛心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.248,42.7833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41670, 3404, '220284', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.06,42.9342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41671, 3404, '220284', '松山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.682,42.7912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41672, 3404, '220284', '红旗岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.31,42.9806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41673, 3404, '220284', '朝阳山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.735,43.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41674, 3404, '220284', '呼兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.483,43.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41675, 3404, '220284', '磐石经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.056,42.9394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41676, 3404, '220284', '吉昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.681,43.1758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41677, 3404, '220284', '烟筒山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.016,43.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41678, 3404, '220284', '取柴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.155,43.4007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41679, 3404, '220284', '福安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.032,42.9331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41680, 3404, '220284', '驿马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.326,43.1947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41681, 3404, '220284', '石嘴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.937,43.0682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41682, 3404, '220284', '黑石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.456,42.9398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41683, 3404, '220284', '富太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.218,43.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41684, 3404, '220284', '宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.903,42.8861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41685, 3404, '220284', '明城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.033,43.2305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41686, 3405, '220202', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.565,43.8649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41687, 3405, '220202', '孤店子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.339,43.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41688, 3405, '220202', '文庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.573,43.852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41689, 3405, '220202', '延江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.588,43.8845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41690, 3405, '220202', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.521,43.9078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41691, 3405, '220202', '桦皮厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.237,43.9212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41692, 3405, '220202', '莲花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.547,43.8731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41693, 3405, '220202', '两家子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.243,44.179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41694, 3405, '220202', '九站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.523,43.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41695, 3405, '220202', '哈达湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.53,43.8895', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41696, 3405, '220202', '延安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.576,43.872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41697, 3405, '220202', '东局子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.603,43.8442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41698, 3405, '220202', '土城子满族朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.397,44.1818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41699, 3405, '220202', '幸福经济管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.564,43.8793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41700, 3405, '220202', '新地号街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.587,43.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41701, 3405, '220202', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.573,43.8535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41702, 3405, '220202', '吉林东市商贸示范区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.566,43.8477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41703, 3405, '220202', '左家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.012,43.989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41704, 3405, '220202', '双吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.411,44.0041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41705, 3405, '220202', '吉林哈达湾经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.503,43.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41706, 3405, '220202', '通江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.573,43.8783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41707, 3405, '220202', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.563,43.8782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41708, 3406, '220204', '黄旗屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.493,43.8112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41709, 3406, '220204', '北极街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.533,43.8565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41710, 3406, '220204', '欢喜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.476,43.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41711, 3406, '220204', '致和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.521,43.8415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41712, 3406, '220204', '越北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.438,43.8807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41713, 3406, '220204', '长春路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.485,43.8163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41714, 3406, '220204', '大绥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.344,43.7385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41715, 3406, '220204', '德胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.522,43.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41716, 3406, '220204', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.551,43.8506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41717, 3406, '220204', '南京街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.559,43.8475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41718, 3406, '220204', '大东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.553,43.8399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41719, 3406, '220204', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.52,43.8346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41720, 3406, '220204', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.524,43.8267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41721, 3406, '220204', '搜登站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.035,43.9465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41722, 3406, '220204', '青岛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.544,43.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41723, 3407, '220781', '新万发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.59,45.1734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41724, 3407, '220781', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.146,44.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41725, 3407, '220781', '弓棚子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.799,45.2036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41726, 3407, '220781', '新源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.996,44.8457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41727, 3407, '220781', '五家站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.634,45.051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41728, 3407, '220781', '拉林农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.895,45.2111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41729, 3407, '220781', '增盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.267,44.8581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41730, 3407, '220781', '长春岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.447,45.4852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41731, 3407, '220781', '肖家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.96,45.1351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41732, 3407, '220781', '三骏满族蒙古族锡伯族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.077,45.3259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41733, 3407, '220781', '蔡家沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.152,45.1436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41734, 3407, '220781', '永平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.009,45.2134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41735, 3407, '220781', '陶赖昭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.851,44.8373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41736, 3407, '220781', '下岱吉灌区管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.479,45.4002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41737, 3407, '220781', '拉林灌区管理局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.993,45.1913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41738, 3407, '220781', '得胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.706,45.4864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41739, 3407, '220781', '三井子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.392,45.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41740, 3407, '220781', '大林子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.46,45.2374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41741, 3407, '220781', '更新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.749,45.3067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41742, 3407, '220781', '新站乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.484,45.0578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41743, 3407, '220781', '伊家店农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.617,45.518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41744, 3408, '220702', '兴原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.845,45.124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41745, 3408, '220702', '滨江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.862,45.1478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41746, 3408, '220702', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.797,45.1831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41747, 3408, '220702', '国营善友林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.923,45.0953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41748, 3408, '220702', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.833,45.1918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41749, 3408, '220702', '文化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.834,45.1778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41750, 3408, '220702', '工农街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.807,45.2254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41751, 3408, '220702', '松原经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.818,45.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41752, 3408, '220702', '国营八家子苗圃', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.796,45.2158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41753, 3408, '220702', '伯都讷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.852,45.1819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41754, 3408, '220702', '铁西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.784,45.1135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41755, 3408, '220702', '善友镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.008,45.0998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41756, 3408, '220702', '新区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.929,45.1283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41757, 3408, '220702', '临江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.845,45.1617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41758, 3408, '220702', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.84,45.1844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41759, 3408, '220702', '建设街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.822,45.1068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41760, 3408, '220702', '大洼商业渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.019,45.4167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41761, 3408, '220702', '长宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.829,45.1987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41762, 3408, '220702', '前进街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.795,45.1869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41763, 3408, '220702', '石化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.847,45.1009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41764, 3408, '220702', '繁荣街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.81,45.1214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41765, 3408, '220702', '沿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.824,45.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41766, 3408, '220702', '毛都站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.581,45.2079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41767, 3408, '220702', '哈达山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.965,45.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41768, 3408, '220702', '雅达虹工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.887,45.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41769, 3408, '220702', '良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.796,45.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41770, 3408, '220702', '镜湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.796,45.1271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41771, 3408, '220702', '华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.747,45.4289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41772, 3408, '220702', '大洼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.032,45.2953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41773, 3408, '220702', '新城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.798,45.1871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41774, 3408, '220702', '伯都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.762,45.4384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41775, 3409, '220723', '所字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.727,44.8287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41776, 3409, '220723', '严字乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.916,44.914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41777, 3409, '220723', '来字良种繁育基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.007,45.2288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41778, 3409, '220723', '地字种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.194,45.2753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41779, 3409, '220723', '安字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.067,44.8556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41780, 3409, '220723', '大布苏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.491,44.948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41781, 3409, '220723', '乾安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.133,45.0593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41782, 3409, '220723', '水字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.841,45.1456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41783, 3409, '220723', '大遐畜牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.338,44.7525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41784, 3409, '220723', '腾字种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.314,45.1483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41785, 3409, '220723', '余字乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.259,45.1967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41786, 3409, '220723', '国营林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.01,45.0246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41787, 3409, '220723', '道字乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.706,45.0419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41788, 3409, '220723', '让字镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.169,45.1105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41789, 3409, '220723', '乾安鹿场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.177,44.7901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41790, 3409, '220723', '赞字乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.097,44.9649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41791, 3410, '220721', '长山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.439,45.153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41792, 3410, '220721', '蒙古艾里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.465,45.2192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41793, 3410, '220721', '前郭尔罗斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.827,45.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41794, 3410, '220721', '东三家子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.195,44.5192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41795, 3410, '220721', '海渤日戈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.363,44.7706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41796, 3410, '220721', '红旗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.012,44.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41797, 3410, '220721', '达里巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.635,45.175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41798, 3410, '220721', '浩特芒哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.907,44.4161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41799, 3410, '220721', '长龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.813,44.6687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41800, 3410, '220721', '白依拉嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.699,45.0896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41801, 3410, '220721', '额如乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.96,44.9365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41802, 3410, '220721', '套浩太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.511,44.9676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41803, 3410, '220721', '八郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.315,45.429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41804, 3410, '220721', '红光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.721,45.0019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41805, 3410, '220721', '长山余热鱼苗繁殖场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.473,45.3221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41806, 3410, '220721', '韩家店林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.712,45.0828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41807, 3410, '220721', '宝甸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.598,44.9153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41808, 3410, '220721', '洪泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.978,44.8385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41809, 3410, '220721', '哈拉毛都良种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.263,44.8139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41810, 3410, '220721', '查干花种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.783,44.4959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41811, 3410, '220721', '红星牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.479,45.0272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41812, 3410, '220721', '王府林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.997,44.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41813, 3410, '220721', '吉拉吐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.934,45.0822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41814, 3410, '220721', '库里渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.466,45.3377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41815, 3410, '220721', '乌兰嘎图林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.381,44.5705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41816, 3410, '220721', '乌兰敖都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.912,44.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41817, 3410, '220721', '莲花泡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.713,44.959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41818, 3410, '220721', '查干湖渔场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.222,45.2347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41819, 3410, '220721', '乌兰塔拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.341,44.7319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41820, 3410, '220721', '查干花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.06,44.6168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41821, 3410, '220721', '查干花林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.089,44.6055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41822, 3410, '220721', '平凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.611,45.2744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41823, 3410, '220721', '八郎农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.51,45.4016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41824, 3410, '220721', '乌兰图嘎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.376,44.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41825, 3410, '220721', '哈拉毛都林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.126,44.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41826, 3410, '220721', '王府站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.117,44.7691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41827, 3410, '220721', '哈拉毛都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.131,44.942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41828, 3411, '220722', '前七号机械林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.632,44.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41829, 3411, '220722', '三团乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.752,44.5035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41830, 3411, '220722', '良种繁育场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.617,44.515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41831, 3411, '220722', '前进乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.19,43.9913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41832, 3411, '220722', '前七号镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.586,44.1533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41833, 3411, '220722', '东岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.072,44.0188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41834, 3411, '220722', '利发盛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.222,44.1678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41835, 3411, '220722', '十四号种畜场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.623,44.5118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41836, 3411, '220722', '双龙工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.041,44.2405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41837, 3411, '220722', '北正镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.247,44.6048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41838, 3411, '220722', '海青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.243,44.235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41839, 3411, '220722', '东岭机械林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.618,44.5064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41840, 3411, '220722', '三县堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.295,44.0917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41841, 3411, '220722', '太平川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.162,44.3545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41842, 3411, '220722', '长岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.928,44.404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41843, 3411, '220722', '集体乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.246,44.3871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41844, 3411, '220722', '长岭经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.974,44.2377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41845, 3411, '220722', '太平川机械林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.606,44.5058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41846, 3411, '220722', '太平山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.609,44.2298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41847, 3411, '220722', '八十八乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.378,44.2707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41848, 3411, '220722', '巨宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.593,44.4908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41849, 3411, '220722', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.358,44.0746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41850, 3411, '220722', '流水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.117,44.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41851, 3411, '220722', '三青山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.601,44.3712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41852, 3411, '220722', '三团机械林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.611,44.5059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41853, 3411, '220722', '长岭种马场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.595,44.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41854, 3411, '220722', '腰坨子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.938,44.0734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41855, 3411, '220722', '光明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.368,44.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41856, 3411, '220722', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.709,44.0707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41857, 3411, '220722', '三十号乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.5,44.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41858, 3411, '220722', '永久镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.742,44.2049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41859, 3411, '220722', '太平川', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.13,44.4783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41860, 3412, '220403', '县级直管村级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.172,42.9427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41861, 3412, '220403', '灯塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.046,42.9691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41862, 3413, '220421', '杨木林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.093,42.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41863, 3413, '220421', '猴石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.246,42.696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41864, 3413, '220421', '南屯基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.402,42.6308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41865, 3413, '220421', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.327,42.7253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41866, 3413, '220421', '二龙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.757,42.7428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41867, 3413, '220421', '横道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.191,42.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41868, 3413, '220421', '拉拉河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.269,42.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41869, 3413, '220421', '大阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.596,42.5149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41870, 3413, '220421', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.575,43.0015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41871, 3413, '220421', '那丹伯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.366,43.1793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41872, 3413, '220421', '小四平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.077,42.5277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41873, 3413, '220421', '黄河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.696,42.8278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41874, 3413, '220421', '东丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.646,42.7347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41875, 3413, '220421', '三合满族朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.664,42.6508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41876, 3414, '220422', '甲山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.986,43.195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41877, 3414, '220422', '云顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.883,43.1114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41878, 3414, '220422', '渭津镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.255,42.8623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41879, 3414, '220422', '建安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.053,43.1316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41880, 3414, '220422', '平岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.856,42.8657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41881, 3414, '220422', '泉太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.871,42.9667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41882, 3414, '220422', '辽河源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.522,42.9256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41883, 3414, '220422', '白泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.07,42.9501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41884, 3414, '220422', '凌云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.119,42.6858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41885, 3414, '220422', '安石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.455,43.093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41886, 3414, '220422', '金洲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.285,43.1485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41887, 3414, '220422', '足民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.124,43.2211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41888, 3414, '220422', '安恕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.99,42.7349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41889, 3415, '220402', '辽源民营经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.068,42.9198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41890, 3415, '220402', '工农乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.097,42.8668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41891, 3415, '220402', '寿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.188,42.9633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41892, 3415, '220402', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.116,42.8954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41893, 3415, '220402', '县级直管村级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.134,42.9141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41894, 3416, '222403', '额穆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.907,43.6745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41895, 3416, '222403', '黄泥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.774,43.5524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41896, 3416, '222403', '官地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.471,43.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41897, 3416, '222403', '江源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.098,43.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41898, 3416, '222403', '敖东鹿场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.302,43.3929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41899, 3416, '222403', '丹江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.254,43.3411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41900, 3416, '222403', '渤海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.237,43.3841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41901, 3416, '222403', '沙河沿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.338,43.4723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41902, 3416, '222403', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.235,43.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41903, 3416, '222403', '翰章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.113,43.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41904, 3416, '222403', '丹峰林业有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.736,43.7519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41905, 3416, '222403', '大石头林业有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.677,43.1292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41906, 3416, '222403', '红石鹿场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.019,43.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41907, 3416, '222403', '江南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.239,43.3632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41908, 3416, '222403', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.233,43.3423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41909, 3416, '222403', '大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.336,43.3667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41910, 3416, '222403', '雁鸣湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.773,43.7254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41911, 3416, '222403', '大石头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.649,43.2526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41912, 3416, '222403', '敦化市林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.159,43.4853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41913, 3416, '222403', '黄泥河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.718,43.5025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41914, 3416, '222403', '大蒲柴河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.03,42.8804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41915, 3416, '222403', '黑石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.227,43.7061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41916, 3416, '222403', '秋梨沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.178,43.4866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41917, 3416, '222403', '贤儒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.096,43.2682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41918, 3416, '222403', '红石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.998,43.2649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41919, 3416, '222403', '青沟子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.399,43.8569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41920, 3417, '222404', '杨泡满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.494,42.9089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41921, 3417, '222404', '马川子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.496,42.8656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41922, 3417, '222404', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.373,42.8667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41923, 3417, '222404', '英安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.386,42.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41924, 3417, '222404', '近海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.466,42.7675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41925, 3417, '222404', '双新果树场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.413,42.916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41926, 3417, '222404', '珲春林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.366,42.8043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41927, 3417, '222404', '三家子满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.302,42.8478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41928, 3417, '222404', '哈达门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.528,42.9435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41929, 3417, '222404', '春化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '131.313,43.4059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41930, 3417, '222404', '板石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.324,42.8162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41931, 3417, '222404', '新安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.336,42.8708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41932, 3417, '222404', '密江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.212,43.2127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41933, 3417, '222404', '敬信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.386,42.7226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41934, 3417, '222404', '靖和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.372,42.8773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41935, 3418, '222402', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.585,43.0797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41936, 3418, '222402', '石岘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.795,43.0072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41937, 3418, '222402', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.838,42.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41938, 3418, '222402', '月宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.824,42.9784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41939, 3418, '222402', '凉水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.933,43.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41940, 3418, '222402', '向上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.846,42.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41941, 3418, '222402', '月晴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.849,42.9787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41942, 3419, '222406', '南坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.306,42.5184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41943, 3419, '222406', '龙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.005,42.5419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41944, 3419, '222406', '福洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.299,42.5645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41945, 3419, '222406', '崇善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.043,42.127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41946, 3419, '222406', '民慧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.005,42.533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41947, 3419, '222406', '和龙林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.852,42.4429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41948, 3419, '222406', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.961,42.5206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41949, 3419, '222406', '东城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.349,42.6377', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41950, 3419, '222406', '西城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.613,42.8708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41951, 3419, '222406', '头道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.303,42.6735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41952, 3419, '222406', '和龙市林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.257,42.4681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41953, 3419, '222406', '八家子林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.696,42.8409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41954, 3419, '222406', '八家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.142,42.6868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41955, 3419, '222406', '文化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.035,42.5548', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41956, 3420, '222424', '大兴沟林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.486,43.4721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41957, 3420, '222424', '汪清镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.738,43.3309', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41958, 3420, '222424', '鸡冠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130,43.6295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41959, 3420, '222424', '复兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.736,43.5463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41960, 3420, '222424', '天桥岭林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.281,43.7987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41961, 3420, '222424', '罗子沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.161,43.9183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41962, 3420, '222424', '大兴沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.697,43.6131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41963, 3420, '222424', '罗子沟农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.234,43.7666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41964, 3420, '222424', '汪清林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.731,43.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41965, 3420, '222424', '东光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.128,43.4823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41966, 3420, '222424', '江北社区工作委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.773,43.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41967, 3420, '222424', '八人沟农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.877,43.9216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41968, 3420, '222424', '新华社区工作委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.76,43.3161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41969, 3420, '222424', '新民社区工作委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.757,43.3183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41970, 3420, '222424', '天桥岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.85,43.676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41971, 3420, '222424', '百草沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.538,43.1912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41972, 3420, '222424', '复兴农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '130.414,43.4811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41973, 3420, '222424', '东振社区工作委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.742,43.3421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41974, 3420, '222424', '春阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.303,43.7969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41975, 3420, '222424', '大川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.785,43.3145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41976, 3421, '222401', '公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.489,42.922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41977, 3421, '222401', '延边新兴工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.393,42.9083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41978, 3421, '222401', '东山农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.575,42.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41979, 3421, '222401', '河南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.449,42.8905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41980, 3421, '222401', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.505,42.9373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41981, 3421, '222401', '延吉市林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.528,42.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41982, 3421, '222401', '小营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.32,43.0481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41983, 3421, '222401', '朝阳川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.425,42.8866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41984, 3421, '222401', '依兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.526,43.1906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41985, 3421, '222401', '建工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.508,42.8866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41986, 3421, '222401', '延边原种场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.396,42.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41987, 3421, '222401', '三道湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.19,43.072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41988, 3421, '222401', '北山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.511,42.9286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41989, 3421, '222401', '进学街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.564,42.9123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41990, 3422, '222426', '石门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.956,43.1007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41991, 3422, '222426', '明月镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.93,43.0934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41992, 3422, '222426', '县级直管村级单位', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.895,43.113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41993, 3422, '222426', '安图林业有限公司', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.983,43.2614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41994, 3422, '222426', '长白山保护开发区管委会池北区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.193,42.2334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41995, 3422, '222426', '海沟金矿', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.108,42.7668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41996, 3422, '222426', '白河林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.137,42.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41997, 3422, '222426', '二道白河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.132,42.3277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41998, 3422, '222426', '安图县林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.341,42.5761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (41999, 3422, '222426', '新合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.819,42.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42000, 3422, '222426', '两江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.182,42.5951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42001, 3422, '222426', '亮兵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.827,43.1152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42002, 3422, '222426', '万宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.103,42.9153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42003, 3422, '222426', '永庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.236,42.836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42004, 3422, '222426', '松江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.452,42.4469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42005, 3423, '222405', '东盛涌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.639,42.8847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42006, 3423, '222405', '白金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.418,42.4407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42007, 3423, '222405', '龙井市林业局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.737,42.4801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42008, 3423, '222405', '智新镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.417,42.7776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42009, 3423, '222405', '龙井大苏果树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.564,42.4329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42010, 3423, '222405', '安民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.435,42.7783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42011, 3423, '222405', '德新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.566,42.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42012, 3423, '222405', '开山屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.674,42.7848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42013, 3423, '222405', '老头沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.192,42.7786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42014, 3423, '222405', '龙门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.435,42.7777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42015, 3423, '222405', '三合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '129.745,42.4802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42016, 3424, '220623', '十二道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.641,41.4114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42017, 3424, '220623', '长白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.157,41.4106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42018, 3424, '220623', '宝泉山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.632,41.4608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42019, 3424, '220623', '十四道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.833,41.7112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42020, 3424, '220623', '八道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.283,41.5137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42021, 3424, '220623', '新房子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.537,41.6546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42022, 3424, '220623', '金华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.041,41.407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42023, 3424, '220623', '马鹿沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '128.105,41.8376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42024, 3425, '220605', '正岔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.601,42.1632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42025, 3425, '220605', '江源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.516,42.0469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42026, 3425, '220605', '大阳岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.733,42.1295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42027, 3425, '220605', '砟子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.526,41.989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42028, 3425, '220605', '孙家堡子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.616,42.0677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42029, 3425, '220605', '石人镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.639,41.99', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42030, 3425, '220605', '城墙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.448,42.1375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42031, 3425, '220605', '大石人镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.522,41.8988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42032, 3425, '220605', '湾沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.842,42.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42033, 3425, '220605', '松树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.052,42.1493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42034, 3426, '220622', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.548,42.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42035, 3426, '220622', '花园口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.259,42.3416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42036, 3426, '220622', '景山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.812,42.7078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42037, 3426, '220622', '那尔轰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.07,42.8137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42038, 3426, '220622', '三道湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.622,42.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42039, 3426, '220622', '靖宇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.776,42.4075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42040, 3426, '220622', '赤松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.005,42.6257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42041, 3426, '220622', '蒙江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.525,42.2598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42042, 3427, '220621', '露水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.954,42.6587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42043, 3427, '220621', '北岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.387,42.5653', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42044, 3427, '220621', '松江河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.525,42.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42045, 3427, '220621', '抚松工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.402,42.197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42046, 3427, '220621', '万良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.238,42.5365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42047, 3427, '220621', '漫江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.595,41.9492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42048, 3427, '220621', '兴参镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.071,42.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42049, 3427, '220621', '泉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.792,42.4277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42050, 3427, '220621', '抚松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.212,42.4056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42051, 3427, '220621', '沿江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.56,42.6443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42052, 3427, '220621', '东岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.672,42.0335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42053, 3427, '220621', '抽水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.111,42.4885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42054, 3427, '220621', '新屯子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.33,42.6209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42055, 3427, '220621', '长白山保护开发区管委会池西区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.484,42.1602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42056, 3427, '220621', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.373,42.3332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42057, 3427, '220621', '仙人桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.227,42.2028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42058, 3427, '220621', '长白山保护开发区管委会池南区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.603,41.9445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42059, 3428, '220602', '红土崖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.296,41.685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42060, 3428, '220602', '通沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.404,41.9109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42061, 3428, '220602', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.44,41.9418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42062, 3428, '220602', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.417,41.9399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42063, 3428, '220602', '六道江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.239,41.8448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42064, 3428, '220602', '板石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.457,41.9697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42065, 3428, '220602', '河口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.524,42.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42066, 3428, '220602', '东兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.452,41.9359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42067, 3428, '220602', '七道江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.191,41.9722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42068, 3428, '220602', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.43,41.9452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42069, 3428, '220602', '江北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.437,41.9599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42070, 3428, '220602', '三道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.393,41.5783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42071, 3429, '220681', '临江经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.911,41.8012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42072, 3429, '220681', '桦树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.571,41.6971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42073, 3429, '220681', '森工街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.969,41.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42074, 3429, '220681', '闹枝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.994,42.0075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42075, 3429, '220681', '花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.731,41.9525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42076, 3429, '220681', '大栗子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.874,41.7808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42077, 3429, '220681', '兴隆街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.938,41.8324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42078, 3429, '220681', '六道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.56,41.7094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42079, 3429, '220681', '临江硅藻土工业集中区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.194,41.6039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42080, 3429, '220681', '大湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.993,41.8266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42081, 3429, '220681', '蚂蚁河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.214,41.9219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42082, 3429, '220681', '新市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.911,41.8012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42083, 3429, '220681', '四道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '127.258,41.7788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42084, 3429, '220681', '苇沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.691,41.8625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42085, 3429, '220681', '建国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.947,41.8741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42086, 3430, '220521', '四棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.529,41.9777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42087, 3430, '220521', '富江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.304,41.9102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42088, 3430, '220521', '金斗朝鲜族满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.653,41.7704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42089, 3430, '220521', '光华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.904,42.0072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42090, 3430, '220521', '快大茂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.881,41.7046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42091, 3430, '220521', '石湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.223,41.3398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42092, 3430, '220521', '果松镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.384,41.6659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42093, 3430, '220521', '东来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.103,41.6698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42094, 3430, '220521', '兴林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.256,42.1197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42095, 3430, '220521', '英额布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.455,41.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42096, 3430, '220521', '大安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.211,41.9041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42097, 3430, '220521', '东宝新村', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.885,41.8013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42098, 3430, '220521', '二密镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.783,41.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42099, 3430, '220521', '大泉源满族朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.494,41.5103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42100, 3430, '220521', '通化聚鑫经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.804,41.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42101, 3430, '220521', '西江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.795,41.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42102, 3430, '220521', '三棵榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.335,41.7373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42103, 3431, '220503', '铁厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.227,41.6742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42104, 3431, '220503', '五道江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.249,41.8486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42105, 3431, '220503', '东通化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.038,41.802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42106, 3431, '220503', '二道江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.974,41.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42107, 3431, '220503', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.012,41.7823', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42108, 3431, '220503', '鸭园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.159,41.7859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42109, 3432, '220502', '老站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.983,41.766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42110, 3432, '220502', '金厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.976,41.5902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42111, 3432, '220502', '新站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.967,41.726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42112, 3432, '220502', '民主街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.928,41.7227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42113, 3432, '220502', '环通乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.871,41.7763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42114, 3432, '220502', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.917,41.7145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42115, 3432, '220502', '东昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.935,41.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42116, 3432, '220502', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.928,41.725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42117, 3432, '220502', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.956,41.7374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42118, 3432, '220502', '通化经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.917,41.6536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42119, 3432, '220502', '江东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.973,41.7271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42120, 3433, '220524', '三源浦朝鲜族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.889,41.9958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42121, 3433, '220524', '驼腰岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.906,42.1633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42122, 3433, '220524', '罗通山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.129,42.3697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42123, 3433, '220524', '孤山子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.152,42.1769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42124, 3433, '220524', '柳南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.861,41.9509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42125, 3433, '220524', '红石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.567,41.922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42126, 3433, '220524', '安口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.514,42.1798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42127, 3433, '220524', '凉水河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.269,42.0922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42128, 3433, '220524', '五道沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.738,42.1719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42129, 3433, '220524', '时家店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.954,42.3223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42130, 3433, '220524', '圣水河子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.009,42.5545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42131, 3433, '220524', '柳河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.617,42.2891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42132, 3433, '220524', '姜家店朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.2,42.3436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42133, 3433, '220524', '亨通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.882,42.4346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42134, 3433, '220524', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.433,42.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42135, 3434, '220581', '红梅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.534,42.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42136, 3434, '220581', '吉乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.445,42.2768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42137, 3434, '220581', '一座营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.758,42.8236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42138, 3434, '220581', '牛心顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.005,42.7127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42139, 3434, '220581', '杏岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.887,42.4471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42140, 3434, '220581', '康大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.739,42.8624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42141, 3434, '220581', '李炉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.757,42.5932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42142, 3434, '220581', '水道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.607,42.293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42143, 3434, '220581', '兴华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.897,42.9118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42144, 3434, '220581', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.705,42.5811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42145, 3434, '220581', '湾龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.681,42.6235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42146, 3434, '220581', '双兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.763,42.7437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42147, 3434, '220581', '进化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.858,42.395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42148, 3434, '220581', '海龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.855,42.6601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42149, 3434, '220581', '新合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.027,42.613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42150, 3434, '220581', '曙光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.681,42.4796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42151, 3434, '220581', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.635,42.5475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42152, 3434, '220581', '黑山头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.625,42.448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42153, 3434, '220581', '福民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.72,42.5716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42154, 3434, '220581', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.688,42.5339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42155, 3434, '220581', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.702,42.5357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42156, 3434, '220581', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.566,42.4123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42157, 3434, '220581', '山城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.408,42.3843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42158, 3434, '220581', '小杨满族朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.32,42.2038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42159, 3435, '220523', '庆阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.386,42.7049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42160, 3435, '220523', '辉南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.307,42.6656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42161, 3435, '220523', '辉发城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.395,42.8027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42162, 3435, '220523', '团林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.149,42.7914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42163, 3435, '220523', '金川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.538,42.3406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42164, 3435, '220523', '杉松岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.164,42.5148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42165, 3435, '220523', '石道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.649,42.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42166, 3435, '220523', '抚民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.637,42.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42167, 3435, '220523', '样子哨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.206,42.335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42168, 3435, '220523', '辉南县经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.098,42.7291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42169, 3435, '220523', '楼街朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.074,42.4888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42170, 3435, '220523', '朝辉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.044,42.6648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42171, 3435, '220523', '西凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.004,42.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42172, 3435, '220523', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.022,42.5956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42173, 3435, '220523', '东凤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.047,42.6961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42174, 3436, '220582', '财源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.637,41.3017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42175, 3436, '220582', '花甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.747,41.2454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42176, 3436, '220582', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.125,41.4631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42177, 3436, '220582', '台上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.789,41.1648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42178, 3436, '220582', '麻线乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.085,41.2224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42179, 3436, '220582', '头道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.933,41.5849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42180, 3436, '220582', '黎明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.194,41.1382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42181, 3436, '220582', '凉水朝鲜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.894,41.0132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42182, 3436, '220582', '大路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.714,41.0455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42183, 3436, '220582', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.184,41.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42184, 3436, '220582', '榆林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.011,40.8996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42185, 3436, '220582', '通胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.166,41.0984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42186, 3436, '220582', '青石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.394,41.5023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42187, 3436, '220582', '太王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '126.283,41.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42188, 3437, '220303', '叶赫满族镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.558,42.8897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42189, 3437, '220303', '北市场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.372,43.1642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42190, 3437, '220303', '解放街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.396,43.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42191, 3437, '220303', '城东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.471,43.2212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42192, 3437, '220303', '七马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.396,43.1614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42193, 3437, '220303', '黄土坑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.382,43.1611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42194, 3437, '220303', '北门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.399,43.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42195, 3437, '220303', '四马路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.411,43.1637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42196, 3437, '220303', '平南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.387,43.1518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42197, 3437, '220303', '平东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.388,43.1616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42198, 3437, '220303', '四平经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.417,43.1619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42199, 3437, '220303', '山门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.342,42.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42200, 3437, '220303', '石岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.715,43.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42201, 3438, '220382', '卧虎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.536,43.6474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42202, 3438, '220382', '玻璃山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.466,43.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42203, 3438, '220382', '新立乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.073,43.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42204, 3438, '220382', '郑家屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.502,43.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42205, 3438, '220382', '辽西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.491,43.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42206, 3438, '220382', '王奔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.726,43.4235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42207, 3438, '220382', '双山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.073,43.8129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42208, 3438, '220382', '辽南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.494,43.518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42209, 3438, '220382', '永加乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.893,43.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42210, 3438, '220382', '双辽农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.024,43.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42211, 3438, '220382', '辽东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.53,43.5249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42212, 3438, '220382', '兴隆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.749,43.9006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42213, 3438, '220382', '茂林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.424,44.0755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42214, 3438, '220382', '双辽经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.476,43.5159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42215, 3438, '220382', '双辽种羊场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.457,43.8728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42216, 3438, '220382', '红旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.623,43.6054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42217, 3438, '220382', '辽北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.49,43.5336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42218, 3438, '220382', '东明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.87,43.5523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42219, 3438, '220382', '服先镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.019,43.9848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42220, 3438, '220382', '柳条乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.908,43.5939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42221, 3438, '220382', '那木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.452,43.576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42222, 3439, '220323', '新兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.402,43.5817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42223, 3439, '220323', '营城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.372,43.222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42224, 3439, '220323', '莫里青乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.067,43.4841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42225, 3439, '220323', '景台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.277,43.5794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42226, 3439, '220323', '黄岭子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.915,43.4606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42227, 3439, '220323', '二道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.548,43.4088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42228, 3439, '220323', '马鞍镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.273,43.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42229, 3439, '220323', '河源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.651,43.2091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42230, 3439, '220323', '小孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.024,43.2122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42231, 3439, '220323', '伊通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.251,43.4489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42232, 3439, '220323', '伊丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.355,43.4759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42233, 3439, '220323', '三道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.985,43.2503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42234, 3439, '220323', '靠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.894,43.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42235, 3439, '220323', '西苇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.25,43.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42236, 3439, '220323', '大孤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '125.104,43.22', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42237, 3440, '220322', '万发镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.529,43.5304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42238, 3440, '220322', '国营梨树农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.316,43.7393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42239, 3440, '220322', '十家堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.562,43.1811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42240, 3440, '220322', '榆树台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.16,43.5784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42241, 3440, '220322', '胜利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.159,43.4636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42242, 3440, '220322', '蔡家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.704,43.4555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42243, 3440, '220322', '小城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.511,43.751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42244, 3440, '220322', '良种场生产区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.314,43.5763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42245, 3440, '220322', '东河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.604,43.5775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42246, 3440, '220322', '小宽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.398,43.7624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42247, 3440, '220322', '沈洋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.106,43.7053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42248, 3440, '220322', '泉眼岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.291,43.5159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42249, 3440, '220322', '梨树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.216,43.256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42250, 3440, '220322', '双河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.646,43.6706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42251, 3440, '220322', '白山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.418,43.415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42252, 3440, '220322', '金山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.34,43.6208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42253, 3440, '220322', '郭家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.537,43.4214', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42254, 3440, '220322', '孤家子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.205,43.7424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42255, 3440, '220322', '林海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.864,43.4009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42256, 3440, '220322', '四棵树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.138,43.3916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42257, 3440, '220322', '喇嘛甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.157,43.2511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42258, 3440, '220322', '刘家馆子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '123.887,43.5782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42259, 3441, '220302', '站前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.363,43.1643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42260, 3441, '220302', '孟家岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.801,43.243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42261, 3441, '220302', '红嘴高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.371,43.1949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42262, 3441, '220302', '英雄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.354,43.1579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42263, 3441, '220302', '北沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.352,43.1907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42264, 3441, '220302', '仁兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.334,43.1828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42265, 3441, '220302', '平西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.372,43.1843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42266, 3441, '220302', '地直街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '124.325,43.1779', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42267, 3442, '120102', '常州道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.257,39.1587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42268, 3442, '120102', '上杭路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.245,39.1302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42269, 3442, '120102', '春华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.218,39.1482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42270, 3442, '120102', '中山门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.254,39.1086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42271, 3442, '120102', '二号桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.278,39.1006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42272, 3442, '120102', '富民路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.258,39.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42273, 3442, '120102', '东新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.27,39.1375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42274, 3442, '120102', '向阳楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.261,39.1441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42275, 3442, '120102', '鲁山道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.267,39.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42276, 3442, '120102', '唐家口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.222,39.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42277, 3442, '120102', '大王庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,39.1344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42278, 3442, '120102', '大直沽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.241,39.1182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42279, 3443, '120105', '宁园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.211,39.1749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42280, 3443, '120105', '鸿顺里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.188,39.163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42281, 3443, '120105', '王串场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.231,39.1644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42282, 3443, '120105', '光复道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.2,39.1473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42283, 3443, '120105', '新开河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.18,39.1894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42284, 3443, '120105', '建昌道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.224,39.1852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42285, 3443, '120105', '江都路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.232,39.1632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42286, 3443, '120105', '望海楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.203,39.161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42287, 3443, '120105', '月牙河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.245,39.1606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42288, 3443, '120105', '铁东路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.202,39.1887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42289, 3444, '120101', '劝业场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.189,39.1272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42290, 3444, '120101', '小白楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.213,39.1329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42291, 3444, '120101', '南营门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.192,39.1199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42292, 3444, '120101', '五大道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,39.1166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42293, 3444, '120101', '南市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.188,39.1368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42294, 3444, '120101', '新兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.19,39.101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42295, 3445, '120115', '海滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.308,39.7375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42296, 3445, '120115', '黄庄农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.464,39.5697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42297, 3445, '120115', '口东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.375,39.6974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42298, 3445, '120115', '史各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.225,39.7625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42299, 3445, '120115', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.504,39.7704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42300, 3445, '120115', '王卜庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.487,39.7217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42301, 3445, '120115', '方家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.438,39.76', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42302, 3445, '120115', '大钟农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.569,39.698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42303, 3445, '120115', '尔王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.322,39.4418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42304, 3445, '120115', '大钟庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.568,39.698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42305, 3445, '120115', '八门城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.639,39.5933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42306, 3445, '120115', '新开口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.162,39.667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42307, 3445, '120115', '牛家牌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.277,39.568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42308, 3445, '120115', '天宝工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.346,39.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42309, 3445, '120115', '郝各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.314,39.5719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42310, 3445, '120115', '大口屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.172,39.6368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42311, 3445, '120115', '黄庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.518,39.4632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42312, 3445, '120115', '高家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.314,39.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42313, 3445, '120115', '里自沽农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.351,39.4903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42314, 3445, '120115', '周良庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.332,39.5734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42315, 3445, '120115', '京津新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.426,39.5489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42316, 3445, '120115', '九园工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.443,39.4427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42317, 3445, '120115', '马家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.227,39.6359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42318, 3445, '120115', '霍各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.413,39.7672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42319, 3445, '120115', '宝平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.286,39.7267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42320, 3445, '120115', '钰华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.317,39.7242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42321, 3445, '120115', '大唐庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.45,39.45', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42322, 3445, '120115', '林亭口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.476,39.5538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42323, 3445, '120115', '大白庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.364,39.4401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42324, 3445, '120115', '牛道口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,39.8347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42325, 3446, '120110', '服务滨海新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.339,39.136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42326, 3446, '120110', '军粮城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.478,39.0775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42327, 3446, '120110', '无瑕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.464,39.0329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42328, 3446, '120110', '万新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.298,39.0834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42329, 3446, '120110', '航空新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.514,39.1514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42330, 3446, '120110', '东丽湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.568,39.1778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42331, 3446, '120110', '华明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.409,39.2378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42332, 3446, '120110', '天津开发区西区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,39.1126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42333, 3446, '120110', '金钟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.292,39.2429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42334, 3446, '120110', '张贵庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.306,39.0886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42335, 3446, '120110', '东丽区开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.344,39.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42336, 3446, '120110', '新立街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.355,39.0521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42337, 3446, '120110', '天津航空物流区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.343,39.1208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42338, 3446, '120110', '天津空港经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.426,39.1048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42339, 3446, '120110', '丰年村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.351,39.0787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42340, 3446, '120110', '综合保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.399,39.1105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42341, 3446, '120110', '金桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.405,39.1054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42342, 3447, '120112', '津南开发区西区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.284,39.0303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42343, 3447, '120112', '长青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.313,39.0417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42344, 3447, '120112', '葛沽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.508,38.9981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42345, 3447, '120112', '铁路十八局', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.302,39.0625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42346, 3447, '120112', '小站镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.441,38.9575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42347, 3447, '120112', '八里台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.29,38.9917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42348, 3447, '120112', '咸水沽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.367,39.0169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42349, 3447, '120112', '津南国家农业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.349,38.9427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42350, 3447, '120112', '北闸口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.382,38.9181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42351, 3447, '120112', '双林农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.288,39.0609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42352, 3447, '120112', '辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.342,39.0565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42353, 3447, '120112', '双桥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.468,39.0334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42354, 3447, '120112', '海河教育园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.383,39.0012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42355, 3447, '120112', '津南开发区东区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.467,38.9785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42356, 3447, '120112', '双港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.264,39.0298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42357, 3448, '120116', '北塘经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.7,39.1222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42358, 3448, '120116', '新河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.61,39.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42359, 3448, '120116', '迎宾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.461,38.8382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42360, 3448, '120116', '小王庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.142,38.7357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42361, 3448, '120116', '滨海旅游区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.872,39.1226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42362, 3448, '120116', '东疆保税港区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.847,39.0107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42363, 3448, '120116', '北塘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.737,39.0856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42364, 3448, '120116', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.564,38.9952', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42365, 3448, '120116', '天津滨海新区高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.531,39.1064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42366, 3448, '120116', '渤海石油街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.526,39.1141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42367, 3448, '120116', '中心渔港经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.887,39.1948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42368, 3448, '120116', '新北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.654,39.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42369, 3448, '120116', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.766,39.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42370, 3448, '120116', '大田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.785,39.3043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42371, 3448, '120116', '海洋高新技术产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.66,39.0622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42372, 3448, '120116', '中新天津生态城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.778,39.1874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42373, 3448, '120116', '胡家园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.538,39.0023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42374, 3448, '120116', '保税区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.741,39.0136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42375, 3448, '120116', '河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.801,39.2528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42376, 3448, '120116', '中心商务区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.675,38.9928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42377, 3448, '120116', '港西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.446,38.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42378, 3448, '120116', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.47,38.6106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42379, 3448, '120116', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.662,39.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42380, 3448, '120116', '临港产业园区二', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.665,38.8917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42381, 3448, '120116', '寨上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '118.011,39.2669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42382, 3448, '120116', '轻纺经济区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.512,38.8141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42383, 3448, '120116', '临港工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.834,38.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42384, 3448, '120116', '杭州道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.642,39.0321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42385, 3448, '120116', '于家堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.659,39.0177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42386, 3448, '120116', '中塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.402,38.8831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42387, 3448, '120116', '古林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.473,38.8966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42388, 3448, '120116', '海滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,38.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42389, 3448, '120116', '茶淀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.779,39.2301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42390, 3448, '120116', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.423,38.8403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42391, 3448, '120116', '南港工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.526,38.6927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42392, 3448, '120116', '新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.631,39.0065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42393, 3448, '120116', '临港产业园区一', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.669,38.8969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42394, 3448, '120116', '大沽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.705,38.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42395, 3448, '120116', '新港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.753,39.0054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42396, 3448, '120116', '汉沽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.83,39.3031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42397, 3448, '120116', '杨家泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.971,39.3133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42398, 3449, '120118', '大丰堆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.023,38.9088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42399, 3449, '120118', '天津静海经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.998,38.8824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42400, 3449, '120118', '天津子牙工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.843,38.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42401, 3449, '120118', '团泊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.153,38.818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42402, 3449, '120118', '中旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.048,38.6864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42403, 3449, '120118', '杨成庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.035,38.9516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42404, 3449, '120118', '子牙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.723,38.8658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42405, 3449, '120118', '团泊新城', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.17,38.8822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42406, 3449, '120118', '双塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.914,38.8964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42407, 3449, '120118', '静海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.011,38.98', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42408, 3449, '120118', '蔡公庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.061,38.7964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42409, 3449, '120118', '良王庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.935,39.0239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42410, 3449, '120118', '沿庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.781,38.8127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42411, 3449, '120118', '独流镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.937,39.0156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42412, 3449, '120118', '陈官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.967,38.7919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42413, 3449, '120118', '大邱庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.982,38.8446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42414, 3449, '120118', '梁头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.796,38.9204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42415, 3449, '120118', '西翟庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.967,38.7942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42416, 3449, '120118', '台头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.756,39.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42417, 3449, '120118', '王口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.755,39.0033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42418, 3449, '120118', '唐官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.877,38.6824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42419, 3450, '120119', '马伸桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.645,40.0962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42420, 3450, '120119', '下窝头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.379,39.7977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42421, 3450, '120119', '白涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.187,40.0498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42422, 3450, '120119', '东二营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.273,39.9804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42423, 3450, '120119', '穿芳峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.696,40.0065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42424, 3450, '120119', '尤古庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.232,39.9424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42425, 3450, '120119', '邦均镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.275,40.015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42426, 3450, '120119', '桑梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.17,39.8754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42427, 3450, '120119', '洇溜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.35,40.0241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42428, 3450, '120119', '礼明庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.387,39.9374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42429, 3450, '120119', '下仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.424,39.759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42430, 3450, '120119', '上仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.408,39.9417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42431, 3450, '120119', '东施古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.332,39.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42432, 3450, '120119', '东赵各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.376,39.9805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42433, 3450, '120119', '许家台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.282,40.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42434, 3450, '120119', '杨津庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.43,39.9013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42435, 3450, '120119', '渔阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.424,40.0295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42436, 3450, '120119', '侯家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.259,39.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42437, 3450, '120119', '官庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.298,40.119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42438, 3450, '120119', '罗庄子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.369,40.173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42439, 3450, '120119', '文昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.428,40.0446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42440, 3450, '120119', '下营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.451,40.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42441, 3450, '120119', '别山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.505,39.9067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42442, 3450, '120119', '孙各庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.625,40.1464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42443, 3450, '120119', '五百户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.542,39.9949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42444, 3450, '120119', '出头岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.72,40.0825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42445, 3450, '120119', '西龙虎峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.787,39.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42446, 3451, '120114', '大王古庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.802,39.5587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42447, 3451, '120114', '石各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.953,39.3261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42448, 3451, '120114', '徐官屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.091,39.4279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42449, 3451, '120114', '下伍旗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.997,39.6057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42450, 3451, '120114', '杨村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.094,39.3925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42451, 3451, '120114', '武清汽车园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.24,39.3894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42452, 3451, '120114', '白古屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.862,39.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42453, 3451, '120114', '泗村店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.992,39.4829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42454, 3451, '120114', '南蔡村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.006,39.5042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42455, 3451, '120114', '大良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.037,39.6053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42456, 3451, '120114', '武清农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.121,39.3109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42457, 3451, '120114', '武清地毯园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.152,39.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42458, 3451, '120114', '武清区开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.996,39.4388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42459, 3451, '120114', '运河西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.056,39.3936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42460, 3451, '120114', '大黄堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.235,39.5019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42461, 3451, '120114', '豆张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.865,39.3885', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42462, 3451, '120114', '梅厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.198,39.427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42463, 3451, '120114', '高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.85,39.6656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42464, 3451, '120114', '大孟庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.008,39.5045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42465, 3451, '120114', '陈咀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.95,39.3316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42466, 3451, '120114', '城关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.895,39.5393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42467, 3451, '120114', '下朱庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.118,39.3697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42468, 3451, '120114', '武清商务区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.85,39.6198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42469, 3451, '120114', '曹子里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.192,39.4784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42470, 3451, '120114', '黄庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.982,39.3438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42471, 3451, '120114', '王庆坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.866,39.1554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42472, 3451, '120114', '武清京滨园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.798,39.5577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42473, 3451, '120114', '黄花店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.878,39.3901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42474, 3451, '120114', '上马台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.235,39.3845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42475, 3451, '120114', '开发区武清逸仙园小区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.034,39.3947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42476, 3451, '120114', '大碱厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.106,39.4941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42477, 3451, '120114', '汊沽港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.905,39.27', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42478, 3451, '120114', '崔黄口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.152,39.5222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42479, 3451, '120114', '武清科技谷', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.949,39.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42480, 3451, '120114', '东蒲洼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.019,39.4032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42481, 3451, '120114', '东马圈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.855,39.4804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42482, 3451, '120114', '河西务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.985,39.6239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42483, 3451, '120114', '河北屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.125,39.5576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42484, 3452, '120104', '兴南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.172,39.1243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42485, 3452, '120104', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.172,39.1395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42486, 3452, '120104', '学府街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.169,39.1144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42487, 3452, '120104', '向阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.117,39.1385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42488, 3452, '120104', '王顶堤街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.134,39.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42489, 3452, '120104', '水上公园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.172,39.1003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42490, 3452, '120104', '嘉陵道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.126,39.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42491, 3452, '120104', '广开街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.159,39.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42492, 3452, '120104', '万兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.154,39.1303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42493, 3452, '120104', '长虹街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.139,39.1459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42494, 3452, '120104', '体育中心街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.159,39.08', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42495, 3452, '120104', '华苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.124,39.0834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42496, 3453, '120103', '下瓦房街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.219,39.1021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42497, 3453, '120103', '东海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.256,39.0502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42498, 3453, '120103', '尖山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.238,39.0762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42499, 3453, '120103', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.199,39.1038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42500, 3453, '120103', '友谊路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.194,39.0828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42501, 3453, '120103', '陈塘庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.243,39.0893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42502, 3453, '120103', '马场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.189,39.1009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42503, 3453, '120103', '挂甲寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.22,39.0926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42504, 3453, '120103', '柳林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.287,39.0661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42505, 3453, '120103', '大营门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.215,39.1144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42506, 3453, '120103', '越秀路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.21,39.101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42507, 3453, '120103', '天塔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.18,39.0914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42508, 3453, '120103', '梅江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,39.0724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42509, 3454, '120117', '宁河县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.776,39.3112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42510, 3454, '120117', '宁河县现代产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.406,39.2521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42511, 3454, '120117', '苗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.812,39.4304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42512, 3454, '120117', '天津潘庄工业区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.401,39.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42513, 3454, '120117', '芦台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.78,39.3132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42514, 3454, '120117', '俵口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.642,39.3444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42515, 3454, '120117', '七里海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.612,39.2826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42516, 3454, '120117', '潘庄农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.44,39.3197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42517, 3454, '120117', '大北涧沽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.761,39.3587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42518, 3454, '120117', '潘庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.401,39.3086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42519, 3454, '120117', '东棘坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.685,39.484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42520, 3454, '120117', '北淮淀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.63,39.232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42521, 3454, '120117', '宁河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.694,39.5484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42522, 3454, '120117', '廉庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.782,39.4035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42523, 3454, '120117', '造甲城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.434,39.2543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42524, 3454, '120117', '丰台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.753,39.576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42525, 3454, '120117', '宁河县贸易开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.817,39.3449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42526, 3454, '120117', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.765,39.483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42527, 3454, '120117', '岳龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.86,39.5932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42528, 3455, '120106', '三条石街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.167,39.156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42529, 3455, '120106', '咸阳北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.153,39.1744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42530, 3455, '120106', '邵公庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.167,39.1574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42531, 3455, '120106', '芥园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.167,39.1537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42532, 3455, '120106', '铃铛阁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.144,39.1441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42533, 3455, '120106', '西于庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.133,39.1829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42534, 3455, '120106', '大胡同街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.187,39.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42535, 3455, '120106', '西沽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.179,39.1598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42536, 3455, '120106', '丁字沽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.168,39.184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42537, 3455, '120106', '双环村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.129,39.1907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42538, 3456, '120113', '青光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.014,39.2099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42539, 3456, '120113', '天穆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.121,39.2032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42540, 3456, '120113', '果园新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.145,39.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42541, 3456, '120113', '天津风电产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.203,39.307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42542, 3456, '120113', '普东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.192,39.2048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42543, 3456, '120113', '集贤里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.126,39.2282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42544, 3456, '120113', '大张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.164,39.3313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42545, 3456, '120113', '瑞景街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.125,39.2018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42546, 3456, '120113', '小淀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.288,39.2189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42547, 3456, '120113', '双口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.063,39.2668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42548, 3456, '120113', '天津陆路港物流装备产业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.299,39.2444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42549, 3456, '120113', '曙光农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.364,39.2788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42550, 3456, '120113', '科技园区南区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.207,39.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42551, 3456, '120113', '西堤头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.304,39.3371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42552, 3456, '120113', '科技园区北区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.122,39.2519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42553, 3456, '120113', '双街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.12,39.2686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42554, 3456, '120113', '北仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.169,39.2386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42555, 3456, '120113', '红旗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.202,39.2195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42556, 3456, '120113', '天津医药医疗器械工业园', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.032,39.2307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42557, 3456, '120113', '佳荣里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.109,39.1896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42558, 3456, '120113', '宜兴埠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.229,39.2306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42559, 3457, '120111', '西青区开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.284,38.9074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42560, 3457, '120111', '精武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.123,39.0843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42561, 3457, '120111', '新技术产业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.134,39.0975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42562, 3457, '120111', '西营门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,39.0943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42563, 3457, '120111', '张家窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.11,39.0884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42564, 3457, '120111', '王稳庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.175,38.9693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42565, 3457, '120111', '西青高校区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.091,39.0994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42566, 3457, '120111', '杨柳青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.935,39.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42567, 3457, '120111', '中北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.104,39.1501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42568, 3457, '120111', '大寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.212,38.9711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42569, 3457, '120111', '开发区西青微电子小区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.248,38.995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42570, 3457, '120111', '辛口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.917,39.1099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42571, 3457, '120111', '李七庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.136,39.0476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42572, 3458, '140822', '解店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.817,35.4623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42573, 3458, '140822', '里望乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.789,35.5213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42574, 3458, '140822', '荣河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.565,35.3966', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42575, 3458, '140822', '王显乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.562,35.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42576, 3458, '140822', '通化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.709,35.4846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42577, 3458, '140822', '光华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.66,35.4141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42578, 3458, '140822', '贾村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.63,35.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42579, 3458, '140822', '裴庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.532,35.4486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42580, 3458, '140822', '南张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.645,35.4218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42581, 3458, '140822', '西村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.882,35.4442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42582, 3458, '140822', '汉薛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.957,35.312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42583, 3458, '140822', '万泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.779,35.3246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42584, 3458, '140822', '皇甫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.89,35.3581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42585, 3458, '140822', '高村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.713,35.4001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42586, 3459, '140821', '庙上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.633,34.9902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42587, 3459, '140821', '牛杜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.753,35.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42588, 3459, '140821', '嵋阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.652,35.1183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42589, 3459, '140821', '七级镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.532,35.0502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42590, 3459, '140821', '临晋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.564,35.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42591, 3459, '140821', '卓里工贸区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.635,35.2033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42592, 3459, '140821', '闫家庄工贸区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.666,35.281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42593, 3459, '140821', '孙吉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.515,35.2932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42594, 3459, '140821', '三管镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.852,35.2591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42595, 3459, '140821', '猗氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.827,35.1862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42596, 3459, '140821', '北辛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.577,35.2652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42597, 3459, '140821', '东张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.374,35.0831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42598, 3459, '140821', '角杯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.5,35.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42599, 3459, '140821', '耽子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.55,35.1967', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42600, 3459, '140821', '北景乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.739,35.2951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42601, 3459, '140821', '楚侯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.875,35.1464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42602, 3460, '140823', '薛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.191,35.4362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42603, 3460, '140823', '郭家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.03,35.3455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42604, 3460, '140823', '后宫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.386,35.365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42605, 3460, '140823', '石门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.473,35.3327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42606, 3460, '140823', '东镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.339,35.4797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42607, 3460, '140823', '畖底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.093,35.4367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42608, 3460, '140823', '裴社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.313,35.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42609, 3460, '140823', '阳隅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.106,35.4435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42610, 3460, '140823', '礼元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.371,35.4961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42611, 3460, '140823', '桐城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.282,35.4149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42612, 3460, '140823', '侯村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.352,35.4409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42613, 3460, '140823', '河底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.293,35.3811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42614, 3460, '140823', '神柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.085,35.38', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42615, 3461, '140802', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.029,35.0413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42616, 3461, '140802', '泓芝驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.917,35.2064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42617, 3461, '140802', '王范乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.045,35.2514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42618, 3461, '140802', '金井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.786,35.0166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42619, 3461, '140802', '陶村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.057,35.1113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42620, 3461, '140802', '龙居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.843,35.0196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42621, 3461, '140802', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.004,35.0129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42622, 3461, '140802', '姚孟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.014,35.0649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42623, 3461, '140802', '中城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.986,35.0219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42624, 3461, '140802', '东郭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.176,35.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42625, 3461, '140802', '禹都经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.028,35.0921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42626, 3461, '140802', '安邑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.043,35.0971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42627, 3461, '140802', '冯村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.007,35.2175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42628, 3461, '140802', '解州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.877,34.9621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42629, 3461, '140802', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.984,35.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42630, 3461, '140802', '大渠街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.956,35.0324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42631, 3461, '140802', '运城市空港经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.042,35.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42632, 3461, '140802', '三路里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.985,35.3418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42633, 3461, '140802', '上郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.949,35.2958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42634, 3461, '140802', '北相镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.95,35.1821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42635, 3461, '140802', '上王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111,35.3268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42636, 3461, '140802', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.989,35.0592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42637, 3461, '140802', '席张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.774,34.8222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42638, 3462, '140830', '风陵渡经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.33,34.6282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42639, 3462, '140830', '永乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.5,34.6445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42640, 3462, '140830', '阳城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.475,34.7815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42641, 3462, '140830', '西陌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.739,34.7775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42642, 3462, '140830', '学张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.572,34.7345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42643, 3462, '140830', '大王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.488,34.7902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42644, 3462, '140830', '风陵渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.318,34.6219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42645, 3462, '140830', '陌南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.854,34.668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42646, 3462, '140830', '南卫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.716,34.7913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42647, 3462, '140830', '东垆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.829,34.7347', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42648, 3462, '140830', '古魏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.705,34.7917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42649, 3463, '140828', '埝掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.32,35.2728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42650, 3463, '140828', '尉郭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.198,35.2212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42651, 3463, '140828', '裴介镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.096,35.1045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42652, 3463, '140828', '水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.088,35.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42653, 3463, '140828', '祁家河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.513,35.0006', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42654, 3463, '140828', '庙前镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.208,35.0145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42655, 3463, '140828', '泗交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.382,35.0029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42656, 3463, '140828', '瑶峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.208,35.1174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42657, 3463, '140828', '胡张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.212,35.2937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42658, 3463, '140828', '南大里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.272,35.2436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42659, 3463, '140828', '禹王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.133,35.1986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42660, 3464, '140829', '曹川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.514,34.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42661, 3464, '140829', '圣人涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.364,34.9919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42662, 3464, '140829', '常乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.985,34.8868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42663, 3464, '140829', '张村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.009,34.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42664, 3464, '140829', '张店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.279,35.0023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42665, 3464, '140829', '三门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.389,34.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42666, 3464, '140829', '洪池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.934,34.8523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42667, 3464, '140829', '坡底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.392,34.9425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42668, 3464, '140829', '部官乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.114,34.9585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42669, 3464, '140829', '杜马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.057,34.9185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42670, 3465, '140881', '韩阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.329,34.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42671, 3465, '140881', '开张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.534,34.9869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42672, 3465, '140881', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.445,34.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42673, 3465, '140881', '蒲州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.256,34.9323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42674, 3465, '140881', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.439,34.8663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42675, 3465, '140881', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.447,34.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42676, 3465, '140881', '虞乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.593,34.8739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42677, 3465, '140881', '张营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.333,35.0451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42678, 3465, '140881', '卿头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.709,35.0364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42679, 3465, '140881', '栲栳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.443,35.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42680, 3465, '140881', '于乡农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.641,34.8979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42681, 3465, '140881', '伍姓湖农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.518,34.9091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42682, 3465, '140881', '董村农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.753,34.9102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42683, 3466, '140826', '古绛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.46,35.5384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42684, 3466, '140826', '横水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.462,35.5211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42685, 3466, '140826', '山西绛县经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.684,35.5103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42686, 3466, '140826', '陈村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.594,35.4763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42687, 3466, '140826', '南樊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.642,35.6052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42688, 3466, '140826', '安峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.7,35.6165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42689, 3466, '140826', '冷口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.574,35.3576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42690, 3466, '140826', '郝庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.465,35.5583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42691, 3466, '140826', '磨里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.82,35.4383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42692, 3466, '140826', '大交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.681,35.6119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42693, 3466, '140826', '卫庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.658,35.5326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42694, 3467, '140827', '英言乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.955,35.2146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42695, 3467, '140827', '蒲掌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.975,35.1433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42696, 3467, '140827', '皋落乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.673,35.2589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42697, 3467, '140827', '历山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.034,35.3469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42698, 3467, '140827', '毛家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.645,35.232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42699, 3467, '140827', '王茅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.768,35.1734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42700, 3467, '140827', '解峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.709,35.1408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42701, 3467, '140827', '长直乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.717,35.1604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42702, 3467, '140827', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.748,35.3675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42703, 3467, '140827', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.929,35.1155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42704, 3467, '140827', '华峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.771,35.2034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42705, 3468, '140825', '三泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.245,35.691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42706, 3468, '140825', '北张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.099,35.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42707, 3468, '140825', '社区办', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.223,35.6195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42708, 3468, '140825', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.137,35.5794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42709, 3468, '140825', '古交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.091,35.6341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42710, 3468, '140825', '泉掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.119,35.6784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42711, 3468, '140825', '阳王镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.143,35.5211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42712, 3468, '140825', '横桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.194,35.5792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42713, 3468, '140825', '泽掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.135,35.7188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42714, 3468, '140825', '新绛县煤化园区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.229,35.6778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42715, 3468, '140825', '龙兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.228,35.609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42716, 3469, '140824', '化峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.822,35.6943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42717, 3469, '140824', '清河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.973,35.5685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42718, 3469, '140824', '西社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.984,35.7876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42719, 3469, '140824', '太阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.954,35.569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42720, 3469, '140824', '稷峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.038,35.6437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42721, 3469, '140824', '翟店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.857,35.4637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42722, 3469, '140824', '蔡村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.954,35.5733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42723, 3470, '140882', '下化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.611,35.758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42724, 3470, '140882', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.707,35.6163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42725, 3470, '140882', '赵家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.76,35.6417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42726, 3470, '140882', '清涧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.655,35.6472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42727, 3470, '140882', '柴家乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.787,35.5197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42728, 3470, '140882', '僧楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.732,35.6708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42729, 3470, '140882', '小梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.554,35.515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42730, 3470, '140882', '樊村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.755,35.7272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42731, 3470, '140882', '山西铝厂', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.666,35.6633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42732, 3470, '140882', '阳村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.594,35.5931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42733, 3471, '141025', '古阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.942,36.5201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42734, 3471, '141025', '石壁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.095,36.2975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42735, 3471, '141025', '北平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.136,36.5232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42736, 3471, '141025', '岳阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.968,36.3849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42737, 3471, '141025', '永乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.051,36.158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42738, 3471, '141025', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.886,36.1588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42739, 3471, '141025', '南垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.04,36.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42740, 3472, '141026', '冀氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.308,36.1222', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42741, 3472, '141026', '和川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.159,36.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42742, 3472, '141026', '府城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.275,36.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42743, 3472, '141026', '良马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.406,36.2699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42744, 3472, '141026', '杜村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.516,36.0907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42745, 3472, '141026', '唐城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.172,36.3167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42746, 3472, '141026', '马必乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.252,35.9683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42747, 3473, '141030', '三多乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.823,36.4478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42748, 3473, '141030', '太德乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.729,36.588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42749, 3473, '141030', '曲峨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.671,36.5599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42750, 3473, '141030', '昕水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.759,36.5623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42751, 3473, '141030', '徐家垛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.527,36.5355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42752, 3473, '141030', '太古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.51,36.4224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42753, 3474, '141034', '团柏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.596,36.5521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42754, 3474, '141034', '对竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.403,36.799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42755, 3474, '141034', '邢家要乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.451,36.4928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42756, 3474, '141034', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.571,36.6563', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42757, 3474, '141034', '僧念镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.477,36.6143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42758, 3474, '141034', '佃坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.425,36.6619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42759, 3474, '141034', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.51,36.5597', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42760, 3474, '141034', '勍香镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.278,36.7485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42761, 3474, '141034', '管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.562,36.6601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42762, 3475, '141031', '黄土镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.215,36.765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42763, 3475, '141031', '陡坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.082,36.7123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42764, 3475, '141031', '城南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.936,36.6873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42765, 3475, '141031', '午城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.872,36.6169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42766, 3475, '141031', '下李乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.043,36.9292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42767, 3475, '141031', '寨子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.973,36.6365', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42768, 3475, '141031', '阳头升乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.788,36.74', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42769, 3475, '141031', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.937,36.6851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42770, 3476, '141028', '吉昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.613,36.0674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42771, 3476, '141028', '东城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.547,36.0987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42772, 3476, '141028', '车城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.796,36.19', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42773, 3476, '141028', '中垛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.613,35.923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42774, 3476, '141028', '文城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.489,36.3448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42775, 3476, '141028', '壶口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.453,36.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42776, 3476, '141028', '柏山寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.547,35.8948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42777, 3476, '141028', '屯里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.75,36.2384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42778, 3477, '141081', '上马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.444,35.5833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42779, 3477, '141081', '张村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.33,35.6775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42780, 3477, '141081', '新田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.367,35.624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42781, 3477, '141081', '浍滨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.4,35.6459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42782, 3477, '141081', '路东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.362,35.6226', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42783, 3477, '141081', '高村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.294,35.5778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42784, 3477, '141081', '路西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.291,35.583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42785, 3477, '141081', '凤城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.442,35.5875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42786, 3478, '141032', '交口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.493,36.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42787, 3478, '141032', '坡头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.646,36.9052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42788, 3478, '141032', '南庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.411,36.8225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42789, 3478, '141032', '打石腰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.475,36.8141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42790, 3478, '141032', '芝河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.555,36.8374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42791, 3478, '141032', '桑壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.668,36.7336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42792, 3478, '141032', '阁底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.424,36.681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42793, 3479, '141082', '南环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.763,36.5657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42794, 3479, '141082', '辛置镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.738,36.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42795, 3479, '141082', '李曹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.88,36.619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42796, 3479, '141082', '师庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.844,36.7102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42797, 3479, '141082', '开元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.731,36.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42798, 3479, '141082', '三教乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.809,36.658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42799, 3479, '141082', '大张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.776,36.6428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42800, 3479, '141082', '退沙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.7,36.6818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42801, 3479, '141082', '白龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.661,36.6149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42802, 3479, '141082', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.719,36.574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42803, 3479, '141082', '陶唐峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.772,36.5162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42804, 3479, '141082', '北环路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.718,36.5916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42805, 3480, '141029', '双鹤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.075,36.0705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42806, 3480, '141029', '西交口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.76,35.8845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42807, 3480, '141029', '西坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.715,35.846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42808, 3480, '141029', '管头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.058,36.0502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42809, 3480, '141029', '枣岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.693,35.9159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42810, 3480, '141029', '昌宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.826,35.9168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42811, 3480, '141029', '关王庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.025,35.9765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42812, 3480, '141029', '光华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.168,36.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42813, 3480, '141029', '台头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.05,36.1124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42814, 3480, '141029', '尉庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.83,35.9514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42815, 3481, '141021', '乐昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.501,35.6649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42816, 3481, '141021', '杨谈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.505,35.7725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42817, 3481, '141021', '里村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.444,35.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42818, 3481, '141021', '高显镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.444,35.7302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42819, 3481, '141021', '曲村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.549,35.7229', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42820, 3481, '141021', '北董乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.534,35.6201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42821, 3481, '141021', '史村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.525,35.7157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42822, 3482, '141033', '红道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.09,36.5043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42823, 3482, '141033', '薛关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.042,36.5002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42824, 3482, '141033', '蒲城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.054,36.4416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42825, 3482, '141033', '黑龙关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.16,36.3748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42826, 3482, '141033', '古县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.087,36.5727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42827, 3482, '141033', '太林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.345,36.5383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42828, 3482, '141033', '山中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.889,36.4627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42829, 3482, '141033', '克城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.25,36.6147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42830, 3482, '141033', '乔家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.259,36.3413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42831, 3483, '141027', '北王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.92,35.9871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42832, 3483, '141027', '张庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.742,36.0171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42833, 3483, '141027', '北韩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.862,36.057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42834, 3483, '141027', '响水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.733,35.9357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42835, 3483, '141027', '天坛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.848,36.0108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42836, 3483, '141027', '东张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.731,35.8866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42837, 3483, '141027', '寨圪塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.014,35.9782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42838, 3483, '141027', '槐埝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.765,35.982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42839, 3483, '141027', '米家垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.874,35.8521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42840, 3484, '141023', '大邓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.524,35.9169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42841, 3484, '141023', '邓庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.47,36.0161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42842, 3484, '141023', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.278,35.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42843, 3484, '141023', '景毛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.384,35.9074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42844, 3484, '141023', '赵康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.189,35.7502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42845, 3484, '141023', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.426,35.9368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42846, 3484, '141023', '南辛店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.288,35.9774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42847, 3484, '141023', '襄陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.373,35.9842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42848, 3484, '141023', '西贾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.3,35.8537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42849, 3484, '141023', '汾城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.19,35.7763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42850, 3484, '141023', '陶寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.503,35.9303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42851, 3484, '141023', '永固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.303,35.7134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42852, 3484, '141023', '南贾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.372,35.78', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42853, 3485, '141024', '大槐树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.656,36.3275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42854, 3485, '141024', '明姜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.771,36.3899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42855, 3485, '141024', '万安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.462,36.4188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42856, 3485, '141024', '苏堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.857,36.3218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42857, 3485, '141024', '山头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.369,36.499', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42858, 3485, '141024', '赵城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.661,36.3496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42859, 3485, '141024', '甘亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.677,36.2021', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42860, 3485, '141024', '辛村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.625,36.2387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42861, 3485, '141024', '广胜寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.76,36.3042', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42862, 3485, '141024', '堤村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.71,36.4942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42863, 3485, '141024', '左木乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.41,36.4018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42864, 3485, '141024', '刘家垣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.47,36.4715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42865, 3485, '141024', '龙马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.534,36.2797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42866, 3485, '141024', '曲亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.682,36.1568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42867, 3485, '141024', '兴唐寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.768,36.4511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42868, 3485, '141024', '淹底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.714,36.1591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42869, 3486, '141002', '乡贤街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.534,36.0757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42870, 3486, '141002', '水塔街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.495,36.0995', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42871, 3486, '141002', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.547,36.1013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42872, 3486, '141002', '县底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.691,36.0427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42873, 3486, '141002', '铁路东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.561,36.0524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42874, 3486, '141002', '贾得乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.516,36.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42875, 3486, '141002', '土门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.493,36.2196', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42876, 3486, '141002', '鼓楼西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.504,36.0738', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42877, 3486, '141002', '段店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.561,36.0525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42878, 3486, '141002', '车站街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.524,36.0931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42879, 3486, '141002', '金殿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.427,36.0302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42880, 3486, '141002', '河底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.204,36.2067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42881, 3486, '141002', '贺家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.675,36.0058', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42882, 3486, '141002', '屯里镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.507,36.1164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42883, 3486, '141002', '刘村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.473,36.1469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42884, 3486, '141002', '大阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.663,36.0426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42885, 3486, '141002', '尧庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.488,36.0723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42886, 3486, '141002', '吴村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.522,36.2015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42887, 3486, '141002', '枕头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.239,36.1765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42888, 3486, '141002', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.511,36.0772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42889, 3486, '141002', '一平垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.381,36.2339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42890, 3486, '141002', '魏村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.486,36.2205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42891, 3486, '141002', '解放路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.514,36.084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42892, 3486, '141002', '汾河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.484,36.159', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42893, 3486, '141002', '辛寺街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.553,36.0771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42894, 3486, '141002', '乔李镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.608,36.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42895, 3487, '141022', '唐兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.715,35.7693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42896, 3487, '141022', '南梁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.684,35.6773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42897, 3487, '141022', '西阎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.872,35.5156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42898, 3487, '141022', '浇底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.912,35.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42899, 3487, '141022', '南唐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.626,35.7059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42900, 3487, '141022', '中卫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.79,35.7385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42901, 3487, '141022', '王庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.662,35.8046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42902, 3487, '141022', '隆化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.889,35.7142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42903, 3487, '141022', '桥上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.93,35.7282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42904, 3487, '141022', '里砦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.657,35.8102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42905, 3488, '140109', '化客头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.439,37.8581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42906, 3488, '140109', '千峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.51,37.866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42907, 3488, '140109', '长风西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.508,37.8246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42908, 3488, '140109', '下元街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.511,37.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42909, 3488, '140109', '白家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.443,37.8526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42910, 3488, '140109', '王封乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.443,37.8537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42911, 3488, '140109', '西铭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.448,37.8731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42912, 3488, '140109', '神堂沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.507,37.8179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42913, 3488, '140109', '东社街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.476,37.8812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42914, 3488, '140109', '南寒街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.442,37.85', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42915, 3488, '140109', '万柏林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.509,37.8717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42916, 3488, '140109', '杜儿坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.436,37.8485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42917, 3488, '140109', '小井峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.499,37.8623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42918, 3488, '140109', '和平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.51,37.8661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42919, 3488, '140109', '兴华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.516,37.8811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42920, 3489, '140110', '晋源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.418,37.7923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42921, 3489, '140110', '罗城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.473,37.7775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42922, 3489, '140110', '晋祠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.406,37.7516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42923, 3489, '140110', '金胜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.489,37.7543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42924, 3489, '140110', '姚村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.41,37.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42925, 3489, '140110', '义井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.503,37.8204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42926, 3490, '140108', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.535,37.9265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42927, 3490, '140108', '柴村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.476,37.904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42928, 3490, '140108', '新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.553,37.9733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42929, 3490, '140108', '马头水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.377,37.9832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42930, 3490, '140108', '汇丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.5,37.8929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42931, 3490, '140108', '迎新街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.528,37.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42932, 3490, '140108', '光社街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.55,37.9417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42933, 3490, '140108', '尖草坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.525,37.9434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42934, 3490, '140108', '上兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.408,38.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42935, 3490, '140108', '阳曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.576,37.9939', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42936, 3490, '140108', '西焉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.579,37.9891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42937, 3490, '140108', '南寨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.49,38.0075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42938, 3490, '140108', '柏板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.443,38.0557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42939, 3490, '140108', '向阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.518,38.0176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42940, 3491, '140123', '米峪镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.582,37.8527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42941, 3491, '140123', '娄烦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.827,38.1328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42942, 3491, '140123', '天池店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.855,37.8931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42943, 3491, '140123', '马家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.52,38.0282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42944, 3491, '140123', '杜交曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.926,37.9705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42945, 3491, '140123', '庙湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.035,38.1564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42946, 3491, '140123', '静游镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.806,38.2036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42947, 3491, '140123', '盖家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.552,38.0872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42948, 3492, '140107', '涧河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.625,37.9119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42949, 3492, '140107', '职工新街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.604,37.8776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42950, 3492, '140107', '坝陵桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.568,37.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42951, 3492, '140107', '巨轮街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.584,37.8905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42952, 3492, '140107', '敦化坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.582,37.9085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42953, 3492, '140107', '小返乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.667,37.9669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42954, 3492, '140107', '杨家峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.621,37.8791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42955, 3492, '140107', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.568,37.8772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42956, 3492, '140107', '民营区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.627,37.8616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42957, 3492, '140107', '杏花岭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.578,37.8797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42958, 3492, '140107', '三桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.559,37.878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42959, 3492, '140107', '大东关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.601,37.8787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42960, 3492, '140107', '中涧河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.619,37.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42961, 3493, '140106', '迎泽街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.573,37.8602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42962, 3493, '140106', '老军营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.552,37.8559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42963, 3493, '140106', '民营区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.605,37.8603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42964, 3493, '140106', '桥东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.595,37.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42965, 3493, '140106', '柳巷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.57,37.8705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42966, 3493, '140106', '文庙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.574,37.8667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42967, 3493, '140106', '郝庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.593,37.8234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42968, 3493, '140106', '庙前街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.548,37.8695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42969, 3494, '140122', '侯村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.61,38.0375', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42970, 3494, '140122', '泥屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.556,38.2406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42971, 3494, '140122', '凌井店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.924,38.1442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42972, 3494, '140122', '东黄水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.819,37.988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42973, 3494, '140122', '中心镇建设管理办公室', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.676,38.068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42974, 3494, '140122', '高村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.64,38.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42975, 3494, '140122', '杨兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.083,38.396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42976, 3494, '140122', '黄寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.665,38.0594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42977, 3494, '140122', '民营阳曲三区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.731,38.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42978, 3494, '140122', '大盂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.73,38.239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42979, 3494, '140122', '北小店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.291,38.3095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42980, 3494, '140122', '民营阳曲一区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.709,38.0472', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42981, 3494, '140122', '民营阳曲二区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.747,38.0422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42982, 3494, '140122', '西凌井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.319,37.9984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42983, 3495, '140121', '清源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.337,37.6409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42984, 3495, '140121', '西谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.387,37.6019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42985, 3495, '140121', '王答乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.515,37.625', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42986, 3495, '140121', '柳杜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.317,37.4764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42987, 3495, '140121', '马峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.337,37.7736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42988, 3495, '140121', '孟封镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,37.5079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42989, 3495, '140121', '徐沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.543,37.6048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42990, 3495, '140121', '集义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.582,37.603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42991, 3495, '140121', '东于镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.222,37.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42992, 3496, '140105', '黄陵街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.621,37.7953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42993, 3496, '140105', '西温庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.616,37.686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42994, 3496, '140105', '坞城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.588,37.8191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42995, 3496, '140105', '北格镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.518,37.6583', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42996, 3496, '140105', '刘家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.459,37.6647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42997, 3496, '140105', '平阳路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.56,37.777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42998, 3496, '140105', '营盘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.592,37.8342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (42999, 3496, '140105', '小店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.578,37.7593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43000, 3496, '140105', '太原经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.627,37.6842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43001, 3496, '140105', '太原高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.545,37.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43002, 3496, '140105', '北营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.624,37.7951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43003, 3497, '140181', '屯兰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.135,37.9232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43004, 3497, '140181', '东曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.192,37.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43005, 3497, '140181', '桃园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.062,37.848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43006, 3497, '140181', '加乐泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.02,38.0617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43007, 3497, '140181', '阁上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.004,38.114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43008, 3497, '140181', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.321,37.935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43009, 3497, '140181', '岔口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.761,37.9055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43010, 3497, '140181', '邢家社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.14,37.8298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43011, 3497, '140181', '镇城底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.07,37.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43012, 3497, '140181', '原相乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.071,37.8016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43013, 3497, '140181', '马兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.994,37.8929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43014, 3497, '140181', '常安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.944,37.7802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43015, 3497, '140181', '梭峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.095,37.9382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43016, 3497, '140181', '西曲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.135,37.9232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43017, 3498, '140321', '巨城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.716,37.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43018, 3498, '140321', '锁簧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.67,37.7684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43019, 3498, '140321', '石门口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,37.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43020, 3498, '140321', '东回镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.806,37.8003', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43021, 3498, '140321', '冠山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.7,37.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43022, 3498, '140321', '张庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.732,37.7137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43023, 3498, '140321', '岔口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.787,38.0928', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43024, 3498, '140321', '冶西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.59,37.7856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43025, 3498, '140321', '娘子关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.875,37.8948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43026, 3498, '140321', '柏井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.862,37.8809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43027, 3499, '140311', '河底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.502,37.9959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43028, 3499, '140311', '西南舁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.58,38.0604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43029, 3499, '140311', '荫营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.563,37.968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43030, 3499, '140311', '旧街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.409,37.941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43031, 3499, '140311', '义井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.616,37.8397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43032, 3499, '140311', '平坦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.524,37.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43033, 3499, '140311', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.612,37.8804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43034, 3499, '140311', '李家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,37.8751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43035, 3499, '140311', '杨家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.62,37.8969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43036, 3500, '140303', '县区直属镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.551,37.8815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43037, 3500, '140303', '蔡洼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.523,37.8707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43038, 3500, '140303', '赛鱼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.521,37.8813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43039, 3500, '140303', '平潭街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.558,37.8741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43040, 3500, '140303', '沙坪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.519,37.8953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43041, 3501, '140322', '苌池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.28,38.2474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43042, 3501, '140322', '北下庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.626,38.2325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43043, 3501, '140322', '牛村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.564,38.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43044, 3501, '140322', '秀水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.401,38.1349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43045, 3501, '140322', '孙家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.436,38.1909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43046, 3501, '140322', '西潘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.116,38.274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43047, 3501, '140322', '路家村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.508,38.0662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43048, 3501, '140322', '南娄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.239,38.1234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43049, 3501, '140322', '东梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.055,38.1272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43050, 3501, '140322', '下社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.335,38.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43051, 3501, '140322', '上社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.256,38.3039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43052, 3501, '140322', '西烟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.95,38.1971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43053, 3501, '140322', '梁家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.571,38.4477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43054, 3501, '140322', '仙人乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.738,38.1874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43055, 3502, '140302', '下站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.593,37.8568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43056, 3502, '140302', '北大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.57,37.8657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43057, 3502, '140302', '上站街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.575,37.8544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43058, 3502, '140302', '南山路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.584,37.8529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43059, 3502, '140302', '义井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,37.8483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43060, 3503, '140603', '下面高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.488,39.5267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43061, 3503, '140603', '白堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.317,39.5054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43062, 3503, '140603', '向阳堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.443,39.6145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43063, 3503, '140603', '下木角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.102,39.4838', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43064, 3503, '140603', '西水界乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.199,39.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43065, 3503, '140603', '凤凰城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.243,39.7099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43066, 3503, '140603', '双碾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.157,39.7143', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43067, 3503, '140603', '陶村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.385,39.4758', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43068, 3503, '140603', '榆岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.387,39.5413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43069, 3503, '140603', '下水头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.138,39.5763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43070, 3503, '140603', '高石庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.074,39.9151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43071, 3503, '140603', '井坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.314,39.5574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43072, 3503, '140603', '阻虎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.06,39.7035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43073, 3504, '140623', '丁家窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.152,40.0349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43074, 3504, '140623', '牛心堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.593,40.1134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43075, 3504, '140623', '右卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.299,40.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43076, 3504, '140623', '威远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.274,39.9872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43077, 3504, '140623', '新城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.479,40.036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43078, 3504, '140623', '高家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.347,39.8596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43079, 3504, '140623', '白头里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.507,39.9748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43080, 3504, '140623', '杨千河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.216,40.1167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43081, 3504, '140623', '李达窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.453,40.2998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43082, 3504, '140623', '元堡子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.504,39.8566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43083, 3505, '140602', '贾庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.586,39.3338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43084, 3505, '140602', '沙塄河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.463,39.2279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43085, 3505, '140602', '小平易乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.491,39.4287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43086, 3505, '140602', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.407,39.3307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43087, 3505, '140602', '神头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.522,39.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43088, 3505, '140602', '神头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.533,39.3963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43089, 3505, '140602', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.415,39.3297', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43090, 3505, '140602', '朔州市开发区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.497,39.2842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43091, 3505, '140602', '南榆林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.69,39.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43092, 3505, '140602', '下团堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.309,39.4012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43093, 3505, '140602', '北旺庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.503,39.325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43094, 3505, '140602', '张蔡庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.249,39.3138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43095, 3505, '140602', '窑子头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.319,39.2202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43096, 3505, '140602', '滋润乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.607,39.3224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43097, 3505, '140602', '利民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.268,39.4178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43098, 3505, '140602', '福善庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.641,39.2843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43099, 3506, '140622', '义井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.293,39.6086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43100, 3506, '140622', '南泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.183,39.4398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43101, 3506, '140622', '镇子梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.279,39.6093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43102, 3506, '140622', '白马石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.43,39.4851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43103, 3506, '140622', '大黄巍乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.106,39.5892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43104, 3506, '140622', '杏寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.01,39.4817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43105, 3506, '140622', '藏寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.108,39.6949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43106, 3506, '140622', '南河种镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.258,39.4345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43107, 3506, '140622', '下马峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.081,39.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43108, 3506, '140622', '大临河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.357,39.6017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43109, 3506, '140622', '金城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.179,39.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43110, 3506, '140622', '下社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.26,39.5411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43111, 3507, '140621', '山阴农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.782,39.3974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43112, 3507, '140621', '吴马营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.531,39.7101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43113, 3507, '140621', '薛圐圙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.849,39.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43114, 3507, '140621', '岱岳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.824,39.5302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43115, 3507, '140621', '张家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.757,39.2004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43116, 3507, '140621', '西城管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.81,39.5447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43117, 3507, '140621', '马营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.685,39.7658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43118, 3507, '140621', '安荣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.822,39.4905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43119, 3507, '140621', '后所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.816,39.3091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43120, 3507, '140621', '马营庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.045,39.384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43121, 3507, '140621', '玉井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.53,39.7423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43122, 3507, '140621', '下喇叭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.659,39.6342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43123, 3507, '140621', '合盛堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.905,39.6131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43124, 3507, '140621', '北周庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.725,39.6473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43125, 3507, '140621', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.006,39.4897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43126, 3507, '140621', '东城管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.825,39.541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43127, 3508, '140681', '金沙滩农牧场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.92,39.6732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43128, 3508, '140681', '马辛庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.236,39.8917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43129, 3508, '140681', '新家园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,39.7646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43130, 3508, '140681', '金沙滩林场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.941,39.6736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43131, 3508, '140681', '亲和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.077,39.7963', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43132, 3508, '140681', '海北头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.146,39.851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43133, 3508, '140681', '河头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.369,39.7572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43134, 3508, '140681', '云中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,39.8807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43135, 3508, '140681', '吴家窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.875,39.8056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43136, 3508, '140681', '毛家皂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.301,39.9383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43137, 3508, '140681', '何家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.938,39.8302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43138, 3508, '140681', '金沙滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.98,39.7091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43139, 3509, '140932', '南堡子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.817,39.4647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43140, 3509, '140932', '楼沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.616,39.3749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43141, 3509, '140932', '老营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.771,39.5541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43142, 3509, '140932', '尚峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.726,39.4408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43143, 3509, '140932', '窑头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.57,39.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43144, 3509, '140932', '新关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.591,39.4413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43145, 3509, '140932', '陈家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.695,39.5346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43146, 3509, '140932', '天峰坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.441,39.5326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43147, 3509, '140932', '水泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.697,39.5363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43148, 3509, '140932', '万家寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.512,39.4944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43149, 3510, '140926', '中庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.087,38.4892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43150, 3510, '140926', '鹅城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.955,38.4251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43151, 3510, '140926', '杜家村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.049,38.5686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43152, 3510, '140926', '段家寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.866,38.5777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43153, 3510, '140926', '赤泥洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.049,38.2559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43154, 3510, '140926', '娑婆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.246,38.4708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43155, 3510, '140926', '王村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.794,38.5358', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43156, 3510, '140926', '神峪沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.918,38.3301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43157, 3510, '140926', '堂尔上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.225,38.5611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43158, 3510, '140926', '丰润镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.869,38.2887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43159, 3510, '140926', '娘子神乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.109,38.4093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43160, 3510, '140926', '康家会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.142,38.3918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43161, 3510, '140926', '双路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.117,38.5293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43162, 3510, '140926', '辛村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.822,38.5022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43163, 3511, '140981', '山西鲁能晋北铝业工矿区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.762,38.7522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43164, 3511, '140981', '解村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.613,38.7567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43165, 3511, '140981', '东社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.874,38.6774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43166, 3511, '140981', '沿沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.671,39.0023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43167, 3511, '140981', '王家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.639,38.6511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43168, 3511, '140981', '苏龙口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.834,38.8866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43169, 3511, '140981', '段家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.713,39.1331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43170, 3511, '140981', '大林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.597,38.8714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43171, 3511, '140981', '原平农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.756,38.7655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43172, 3511, '140981', '南白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.929,38.6806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43173, 3511, '140981', '轩岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.405,38.873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43174, 3511, '140981', '崞阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.6,38.9458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43175, 3511, '140981', '西镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.719,38.82', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43176, 3511, '140981', '长梁沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.287,38.8599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43177, 3511, '140981', '轩岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.404,38.8712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43178, 3511, '140981', '新原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.72,38.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43179, 3511, '140981', '大牛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.509,38.9029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43180, 3511, '140981', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.692,38.7268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43181, 3511, '140981', '中阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.787,38.8849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43182, 3511, '140981', '楼板寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.54,38.7713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43183, 3511, '140981', '子干乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.87,38.6812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43184, 3511, '140981', '闫庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.569,38.6018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43185, 3511, '140981', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.72,38.7513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43186, 3512, '140929', '李家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.498,38.971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43187, 3512, '140929', '岚漪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.556,38.6436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43188, 3512, '140929', '大涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.513,38.635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43189, 3512, '140929', '神堂坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.724,38.7829', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43190, 3512, '140929', '温泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.323,38.6951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43191, 3512, '140929', '王家岔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.779,38.7063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43192, 3512, '140929', '高家会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.419,38.8353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43193, 3512, '140929', '三井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.673,38.8986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43194, 3512, '140929', '西豹峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.373,38.8049', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43195, 3512, '140929', '宋家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.69,38.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43196, 3512, '140929', '阳坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.367,38.6661', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43197, 3512, '140929', '水峪贯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.318,38.8646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43198, 3513, '140923', '阳明堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.807,39.0868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43199, 3513, '140923', '峨口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.205,39.1682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43200, 3513, '140923', '滩上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.189,39.0148', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43201, 3513, '140923', '新高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.898,38.9666', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43202, 3513, '140923', '枣林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.153,39.2265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43203, 3513, '140923', '峪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.975,39.0444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43204, 3513, '140923', '胡峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.073,39.3537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43205, 3513, '140923', '磨坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.98,39.1343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43206, 3513, '140923', '上馆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.915,39.1533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43207, 3513, '140923', '雁门关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.808,39.1733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43208, 3513, '140923', '聂营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.324,39.0157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43209, 3514, '140928', '前所乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.984,38.9134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43210, 3514, '140928', '三岔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.66,39.2322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43211, 3514, '140928', '孙家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.714,38.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43212, 3514, '140928', '小河头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.747,39.0712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43213, 3514, '140928', '东秀庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.613,39.0728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43214, 3514, '140928', '杏岭子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.69,38.927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43215, 3514, '140928', '胡会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.76,39.0219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43216, 3514, '140928', '韩家楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.589,39.1733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43217, 3514, '140928', '新寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.683,39.0805', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43218, 3514, '140928', '李家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.885,39.0052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43219, 3514, '140928', '梁家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.733,38.9248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43220, 3514, '140928', '砚城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.863,38.8872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43221, 3515, '140925', '化北屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.129,38.6285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43222, 3515, '140925', '东寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.946,38.8171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43223, 3515, '140925', '余庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.34,38.9156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43224, 3515, '140925', '怀道乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.157,38.6934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43225, 3515, '140925', '石家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.981,38.5768', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43226, 3515, '140925', '新堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.835,38.6538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43227, 3515, '140925', '东马坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.468,38.7259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43228, 3515, '140925', '薛家洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.571,39.1133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43229, 3515, '140925', '街道居民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.288,39.0095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43230, 3515, '140925', '迭台寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.205,38.8294', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43231, 3515, '140925', '涔山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.063,38.9319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43232, 3515, '140925', '阳方口煤矿生活区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.321,39.09', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43233, 3515, '140925', '西马坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.849,38.715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43234, 3515, '140925', '圪廖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.177,38.7486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43235, 3515, '140925', '凤凰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.411,39.0373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43236, 3515, '140925', '阳方口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.318,39.122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43237, 3516, '140930', '沙坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.227,39.2179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43238, 3516, '140930', '楼子营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.238,39.4199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43239, 3516, '140930', '土沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.526,39.2556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43240, 3516, '140930', '巡镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.248,39.3493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43241, 3516, '140930', '鹿固乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.277,39.2913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43242, 3516, '140930', '旧县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.199,39.2032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43243, 3516, '140930', '赵家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.373,39.0314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43244, 3516, '140930', '文笔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.199,39.4088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43245, 3516, '140930', '单寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.37,39.2259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43246, 3516, '140930', '沙泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.275,39.0442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43247, 3516, '140930', '刘家塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.301,39.4207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43248, 3516, '140930', '前川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.356,39.2859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43249, 3516, '140930', '社梁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.256,39.1479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43250, 3517, '140922', '东雷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.202,38.7514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43251, 3517, '140922', '茹村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.345,38.7974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43252, 3517, '140922', '沟南乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.263,38.7169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43253, 3517, '140922', '陈家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.584,38.5725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43254, 3517, '140922', '灵境乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.474,38.8969', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43255, 3517, '140922', '石咀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.73,39.0189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43256, 3517, '140922', '东冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.167,38.6989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43257, 3517, '140922', '台怀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.499,38.9926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43258, 3517, '140922', '建安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.13,38.6045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43259, 3517, '140922', '神西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.205,38.6005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43260, 3517, '140922', '白家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.361,38.6228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43261, 3517, '140922', '台城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.246,38.7075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43262, 3517, '140922', '耿镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.531,38.8146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43263, 3517, '140922', '豆村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.313,38.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43264, 3517, '140922', '蒋坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.393,38.8274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43265, 3517, '140922', '阳白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,38.7417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43266, 3517, '140922', '门限石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.715,38.8348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43267, 3517, '140922', '高洪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.497,38.7', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43268, 3517, '140922', '金岗库乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.621,38.9725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43269, 3518, '140921', '神山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.006,38.5668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43270, 3518, '140921', '杨芳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.856,38.4923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43271, 3518, '140921', '季庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.911,38.6186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43272, 3518, '140921', '河边镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.076,38.5363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43273, 3518, '140921', '宏道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.04,38.6323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43274, 3518, '140921', '蒋村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.033,38.4637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43275, 3518, '140921', '南王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.936,38.4529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43276, 3518, '140921', '晋昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.934,38.5078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43277, 3518, '140921', '受禄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.865,38.5494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43278, 3519, '140902', '董村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.839,38.3962', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43279, 3519, '140902', '兰村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.555,38.3924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43280, 3519, '140902', '秦城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.67,38.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43281, 3519, '140902', '阳坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.452,38.464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43282, 3519, '140902', '新建路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.741,38.4285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43283, 3519, '140902', '紫岩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.797,38.4043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43284, 3519, '140902', '高城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.698,38.5576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43285, 3519, '140902', '曹张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.783,38.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43286, 3519, '140902', '秀容街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.76,38.3996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43287, 3519, '140902', '西张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.764,38.3234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43288, 3519, '140902', '奇村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.448,38.6231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43289, 3519, '140902', '合索乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.509,38.531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43290, 3519, '140902', '播明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.812,38.516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43291, 3519, '140902', '解原乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.664,38.4712', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43292, 3519, '140902', '三交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.448,38.4648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43293, 3519, '140902', '庄磨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.543,38.3611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43294, 3519, '140902', '东楼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.754,38.4318', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43295, 3519, '140902', '豆罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.681,38.3126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43296, 3519, '140902', '北义井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.829,38.4547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43297, 3519, '140902', '长征街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,38.4348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43298, 3520, '140931', '窑洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.272,38.8629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43299, 3520, '140931', '孙家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.225,38.8794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43300, 3520, '140931', '尧圪台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.282,39.0106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43301, 3520, '140931', '桥头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.159,38.9774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43302, 3520, '140931', '东关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.151,39.0268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43303, 3520, '140931', '韩家川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.011,38.9087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43304, 3520, '140931', '义门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.141,39.0684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43305, 3520, '140931', '杨家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.047,39.0068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43306, 3520, '140931', '腰庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.188,39.0141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43307, 3520, '140931', '冯家川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.972,38.7831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43308, 3520, '140931', '南河沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.075,38.7443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43309, 3520, '140931', '土崖塔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.064,38.7036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43310, 3520, '140931', '林遮峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.064,38.8631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43311, 3521, '140927', '贺职乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.792,39.2031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43312, 3521, '140927', '长畛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.73,39.3208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43313, 3521, '140927', '太平庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.181,39.066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43314, 3521, '140927', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.297,39.0769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43315, 3521, '140927', '义井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.071,39.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43316, 3521, '140927', '东湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.185,39.1278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43317, 3521, '140927', '八角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.886,39.2981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43318, 3521, '140927', '大严备乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.978,39.2524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43319, 3521, '140927', '虎北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.98,38.9896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43320, 3521, '140927', '烈堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.007,39.4094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43321, 3522, '140924', '岩头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.255,39.0807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43322, 3522, '140924', '东山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.676,39.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43323, 3522, '140924', '柏家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.657,39.4325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43324, 3522, '140924', '集义庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.44,39.2816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43325, 3522, '140924', '神堂堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.844,39.2053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43326, 3522, '140924', '砂河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.59,39.44', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43327, 3522, '140924', '横涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.91,39.334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43328, 3522, '140924', '杏园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.258,39.1798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43329, 3522, '140924', '金山铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.679,39.164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43330, 3522, '140924', '繁峙县居民街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.28,39.1899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43331, 3522, '140924', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.802,39.3762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43332, 3522, '140924', '下茹越乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.324,39.3146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43333, 3522, '140924', '光裕堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.416,39.22', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43334, 3522, '140924', '繁城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.29,39.1896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43335, 3523, '140724', '皋落镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.883,37.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43336, 3523, '140724', '孔氏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.007,37.6298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43337, 3523, '140724', '冶头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.884,37.6877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43338, 3523, '140724', '沾尚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.546,37.6281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43339, 3523, '140724', '三都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.734,37.5402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43340, 3523, '140724', '西寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.478,37.5828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43341, 3523, '140724', '赵壁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.739,37.5289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43342, 3523, '140724', '乐平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.634,37.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43343, 3523, '140724', '大寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.719,37.607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43344, 3523, '140724', '闫庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.842,37.501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43345, 3523, '140724', '界都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.915,37.6716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43346, 3523, '140724', '李家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.719,37.6041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43347, 3524, '140723', '平松乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.635,37.3326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43348, 3524, '140723', '喂马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.477,37.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43349, 3524, '140723', '横岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.094,37.3523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43350, 3524, '140723', '松烟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.657,37.2147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43351, 3524, '140723', '马坊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.142,37.5513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43352, 3524, '140723', '阳光占乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.292,37.3757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43353, 3524, '140723', '义兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.386,37.387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43354, 3524, '140723', '李阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.59,37.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43355, 3524, '140723', '牛川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.692,37.4277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43356, 3524, '140723', '青城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.912,37.3721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43357, 3525, '140725', '解愁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.155,38.0588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43358, 3525, '140725', '上湖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.062,37.6894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43359, 3525, '140725', '景尚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.196,37.782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43360, 3525, '140725', '羊头崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.204,37.6612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43361, 3525, '140725', '宗艾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.096,37.9367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43362, 3525, '140725', '马首乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.124,37.8122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43363, 3525, '140725', '平舒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.993,38.0027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43364, 3525, '140725', '南燕竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.052,37.926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43365, 3525, '140725', '温家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.26,38.0211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43366, 3525, '140725', '朝阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.092,37.8777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43367, 3525, '140725', '西洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.957,37.827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43368, 3525, '140725', '松塔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.259,37.7208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43369, 3525, '140725', '尹灵芝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.272,37.8904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43370, 3525, '140725', '平头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.829,38.0043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43371, 3526, '140722', '粟城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.566,36.9239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43372, 3526, '140722', '石匣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.227,37.217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43373, 3526, '140722', '拐儿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.54,37.0353', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43374, 3526, '140722', '寒王乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.468,37.1265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43375, 3526, '140722', '桐峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.368,36.9174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43376, 3526, '140722', '龙泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.263,36.9429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43377, 3526, '140722', '城区街道管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.346,37.0866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43378, 3526, '140722', '麻田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.593,36.8951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43379, 3526, '140722', '羊角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.641,36.9349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43380, 3526, '140722', '辽阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.377,37.0708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43381, 3526, '140722', '芹泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.732,37.0752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43382, 3527, '140721', '岚峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.064,36.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43383, 3527, '140721', '河峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.74,37.0711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43384, 3527, '140721', '云簇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.809,37.0754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43385, 3527, '140721', '讲堂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.069,37.0133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43386, 3527, '140721', '社城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.081,37.3792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43387, 3527, '140721', '北寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.053,37.2507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43388, 3527, '140721', '西马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.84,37.2901', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43389, 3527, '140721', '城区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.966,37.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43390, 3527, '140721', '郝北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.974,36.9866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43391, 3527, '140721', '箕城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.975,37.0775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43392, 3528, '140781', '西南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.893,37.0103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43393, 3528, '140781', '绵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.868,37.0045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43394, 3528, '140781', '洪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.033,37.0489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43395, 3528, '140781', '城关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.933,37.0258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43396, 3528, '140781', '西关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.913,37.0367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43397, 3528, '140781', '连福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.03,37.0469', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43398, 3528, '140781', '义棠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.846,37.0342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43399, 3528, '140781', '北坛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.879,37.0293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43400, 3528, '140781', '义安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.965,37.1791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43401, 3528, '140781', '东南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.933,37.0258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43402, 3528, '140781', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.942,37.0373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43403, 3528, '140781', '三佳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.982,37.0801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43404, 3528, '140781', '龙凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.005,36.9072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43405, 3528, '140781', '张兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.046,37.1508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43406, 3528, '140781', '宋古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.913,37.0483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43407, 3529, '140729', '段纯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.479,36.8454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43408, 3529, '140729', '梁家焉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.53,36.7881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43409, 3529, '140729', '南关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.985,36.7891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43410, 3529, '140729', '两渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.785,36.9621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43411, 3529, '140729', '西城管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.73,36.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43412, 3529, '140729', '翠峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.738,36.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43413, 3529, '140729', '东城管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.794,36.8456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43414, 3529, '140729', '马和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.991,36.8124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43415, 3529, '140729', '夏门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.641,36.912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43416, 3529, '140729', '王禹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.56,36.7878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43417, 3529, '140729', '交口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.541,36.9319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43418, 3529, '140729', '坛镇乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.606,36.8339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43419, 3529, '140729', '英武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.674,36.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43420, 3529, '140729', '静升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.872,36.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43421, 3529, '140729', '北城管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.773,36.8537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43422, 3530, '140702', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.771,37.6806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43423, 3530, '140702', '安宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,37.7357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43424, 3530, '140702', '经纬街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.687,37.684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43425, 3530, '140702', '晋华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.729,37.6981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43426, 3530, '140702', '路西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.721,37.6826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43427, 3530, '140702', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.748,37.6884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43428, 3530, '140702', '新建街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.678,37.7354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43429, 3530, '140702', '修文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.733,37.6388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43430, 3530, '140702', '锦纶街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.751,37.7277', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43431, 3530, '140702', '什贴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.931,37.8364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43432, 3530, '140702', '东赵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.798,37.7105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43433, 3530, '140702', '东阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.609,37.5771', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43434, 3530, '140702', '庄子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.761,37.6146', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43435, 3530, '140702', '张庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.621,37.6494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43436, 3530, '140702', '长凝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.854,37.6325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43437, 3530, '140702', '乌金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.815,37.8678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43438, 3530, '140702', '西南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.759,37.6851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43439, 3530, '140702', '郭家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.718,37.6858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43440, 3530, '140702', '晋中经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.668,37.7411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43441, 3530, '140702', '北田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.81,37.5953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43442, 3531, '140727', '昭馀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.334,37.359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43443, 3531, '140727', '西六支乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.353,37.3643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43444, 3531, '140727', '贾令镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.337,37.4612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43445, 3531, '140727', '昌源城区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.332,37.3494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43446, 3531, '140727', '麓台城区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.325,37.3525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43447, 3531, '140727', '古县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.444,37.2066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43448, 3531, '140727', '祁县经济开发区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.406,37.4323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43449, 3531, '140727', '东观镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.466,37.4678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43450, 3531, '140727', '来远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.667,37.2125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43451, 3531, '140727', '峪口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.5,37.2877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43452, 3531, '140727', '丹枫城区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.333,37.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43453, 3531, '140727', '城赵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.337,37.4061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43454, 3532, '140703', '北汪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.487,37.3806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43455, 3532, '140703', '南城区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.63,37.4075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43456, 3532, '140703', '白塔区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.552,37.4298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43457, 3532, '140703', '小白乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.679,37.4703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43458, 3532, '140703', '明星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.517,37.4543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43459, 3532, '140703', '北城区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.565,37.4508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43460, 3532, '140703', '范村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.724,37.4957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43461, 3532, '140703', '水秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.534,37.5149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43462, 3532, '140703', '侯城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.573,37.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43463, 3532, '140703', '阳邑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.599,37.423', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43464, 3532, '140703', '胡村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.626,37.5102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43465, 3532, '140703', '任村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.74,37.4989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43466, 3533, '140728', '东泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.252,37.1531', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43467, 3533, '140728', '香乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.969,37.2536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43468, 3533, '140728', '孟山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.488,37.086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43469, 3533, '140728', '城西街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.168,37.206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43470, 3533, '140728', '城东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.195,37.2073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43471, 3533, '140728', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.177,37.1959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43472, 3533, '140728', '段村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.155,37.1066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43473, 3533, '140728', '襄垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.324,37.2998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43474, 3533, '140728', '朱坑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.265,37.1664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43475, 3533, '140728', '岳壁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.205,37.1449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43476, 3533, '140728', '中都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.145,37.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43477, 3533, '140728', '洪善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.204,37.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43478, 3533, '140728', '杜家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.067,37.2605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43479, 3533, '140728', '南政乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.19,37.2393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43480, 3533, '140728', '古陶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.186,37.1942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43481, 3533, '140728', '宁固镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.101,37.2333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43482, 3533, '140728', '卜宜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.212,37.1336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43483, 3534, '141130', '康城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.279,36.8439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43484, 3534, '141130', '双池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.426,36.9325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43485, 3534, '141130', '回龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.379,36.9326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43486, 3534, '141130', '水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.124,36.8987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43487, 3534, '141130', '石口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.209,36.9325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43488, 3534, '141130', '温泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.391,37.1193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43489, 3534, '141130', '桃红坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.379,37.1142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43490, 3535, '141128', '马坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.332,38.0581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43491, 3535, '141128', '麻地会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.25,37.927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43492, 3535, '141128', '圪洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.344,37.892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43493, 3535, '141128', '积翠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.312,37.9728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43494, 3535, '141128', '大武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.192,37.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43495, 3535, '141128', '北武当镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.3,37.798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43496, 3535, '141128', '峪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.261,37.6998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43497, 3536, '141127', '土峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.61,38.3791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43498, 3536, '141127', '上明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.524,38.3903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43499, 3536, '141127', '大蛇头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.396,38.4364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43500, 3536, '141127', '河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.659,38.5567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43501, 3536, '141127', '岚城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.7,38.4638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43502, 3536, '141127', '顺会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.708,38.5074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43503, 3536, '141127', '王狮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.445,38.2735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43504, 3536, '141127', '社科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.754,38.3316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43505, 3536, '141127', '梁家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.644,38.1827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43506, 3536, '141127', '东村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.638,38.3018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43507, 3536, '141127', '界河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.407,38.5675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43508, 3536, '141127', '普明镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.545,38.3041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43509, 3537, '141124', '大禹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.077,37.8968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43510, 3537, '141124', '克虎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.527,37.9973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43511, 3537, '141124', '青凉寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.913,38.0811', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43512, 3537, '141124', '城庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.216,38.1589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43513, 3537, '141124', '林家坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.941,37.639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43514, 3537, '141124', '曲峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.596,37.9258', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43515, 3537, '141124', '碛口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.864,37.665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43516, 3537, '141124', '三交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.937,37.7057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43517, 3537, '141124', '湍水头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.114,37.7728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43518, 3537, '141124', '玉坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.189,37.9745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43519, 3537, '141124', '雷家碛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.811,38.0727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43520, 3537, '141124', '刘家会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.832,37.715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43521, 3537, '141124', '安业乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.973,37.9307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43522, 3537, '141124', '八堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.544,38.0595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43523, 3537, '141124', '招贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.964,37.6923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43524, 3537, '141124', '车赶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.027,37.773', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43525, 3537, '141124', '石白头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.783,37.9817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43526, 3537, '141124', '丛罗峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.678,37.8152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43527, 3537, '141124', '兔坂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.654,38.103', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43528, 3537, '141124', '安家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.902,37.8221', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43529, 3537, '141124', '木瓜坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.092,38.0133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43530, 3537, '141124', '临泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.978,37.931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43531, 3537, '141124', '白文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.19,38.2025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43532, 3538, '141102', '红眼川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.202,37.5069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43533, 3538, '141102', '信义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.547,37.6405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43534, 3538, '141102', '田家会街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.271,37.5016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43535, 3538, '141102', '枣林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.084,37.6263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43536, 3538, '141102', '交口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.064,37.5073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43537, 3538, '141102', '吴城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.369,37.5281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43538, 3538, '141102', '西属巴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.125,37.5781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43539, 3538, '141102', '凤山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.146,37.5535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43540, 3538, '141102', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.145,37.513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43541, 3538, '141102', '莲花池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.144,37.5106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43542, 3538, '141102', '坪头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.067,37.7034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43543, 3538, '141102', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.157,37.5812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43544, 3539, '141125', '庄上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.887,37.3916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43545, 3539, '141125', '金家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.892,37.3296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43546, 3539, '141125', '李家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.988,37.4857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43547, 3539, '141125', '成家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.884,37.5912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43548, 3539, '141125', '陈家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.935,37.4253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43549, 3539, '141125', '薛村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.8,37.4717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43550, 3539, '141125', '高家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.663,37.3589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43551, 3539, '141125', '留誉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.914,37.2726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43552, 3539, '141125', '石西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.703,37.4201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43553, 3539, '141125', '柳林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.939,37.5155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43554, 3539, '141125', '孟门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.868,37.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43555, 3539, '141125', '三交镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.739,37.3167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43556, 3539, '141125', '贾家垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.865,37.512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43557, 3539, '141125', '王家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.885,37.5911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43558, 3539, '141125', '穆村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.826,37.4235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43559, 3540, '141129', '宁乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.143,37.3532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43560, 3540, '141129', '暖泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.953,37.1031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43561, 3540, '141129', '金罗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.13,37.3842', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43562, 3540, '141129', '下枣林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.023,37.2818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43563, 3540, '141129', '枝柯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.412,37.3174', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43564, 3540, '141129', '张子山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.181,37.4112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43565, 3540, '141129', '武家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.076,37.2488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43566, 3541, '141123', '蔡家崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.072,38.5988', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43567, 3541, '141123', '罗峪口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.753,38.3748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43568, 3541, '141123', '交楼申乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.352,38.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43569, 3541, '141123', '孟家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.926,38.3243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43570, 3541, '141123', '康宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.023,38.4209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43571, 3541, '141123', '恶虎滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.277,38.553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43572, 3541, '141123', '固贤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.306,38.2602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43573, 3541, '141123', '赵家坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.811,38.4302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43574, 3541, '141123', '高家村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.909,38.552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43575, 3541, '141123', '贺家会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.877,38.2874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43576, 3541, '141123', '魏家滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.216,38.717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43577, 3541, '141123', '蔚汾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.125,38.3703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43578, 3541, '141123', '东会乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.355,38.2786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43579, 3541, '141123', '圪垯上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.574,38.2892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43580, 3541, '141123', '奥家湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.225,38.5137', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43581, 3541, '141123', '瓦塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.928,38.7139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43582, 3541, '141123', '蔡家会镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.758,38.2669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43583, 3542, '141126', '罗村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.045,37.0266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43584, 3542, '141126', '小蒜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.567,37.1092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43585, 3542, '141126', '曹家垣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.673,37.2586', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43586, 3542, '141126', '义牒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.567,36.9655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43587, 3542, '141126', '裴沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.759,37.239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43588, 3542, '141126', '龙交乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.875,37.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43589, 3542, '141126', '前山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.382,37.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43590, 3542, '141126', '和合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.458,36.9719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43591, 3542, '141126', '灵泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '110.722,37.0643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43592, 3543, '141122', '西社镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.866,37.5198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43593, 3543, '141122', '岭底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.975,37.7132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43594, 3543, '141122', '西营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.168,37.5176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43595, 3543, '141122', '水峪贯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.888,37.7955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43596, 3543, '141122', '夏家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.214,37.5984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43597, 3543, '141122', '夏家营生态工业园区管委会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.231,37.543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43598, 3543, '141122', '洪相乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.016,37.5313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43599, 3543, '141122', '庞泉沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.419,37.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43600, 3543, '141122', '东坡底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.657,37.858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43601, 3543, '141122', '会立乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.518,37.6841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43602, 3543, '141122', '天宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.134,37.5852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43603, 3544, '141121', '南武乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.076,37.4284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43604, 3544, '141121', '下曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.152,37.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43605, 3544, '141121', '开栅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.027,37.4843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43606, 3544, '141121', '南安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.298,37.5198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43607, 3544, '141121', '南庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.187,37.4753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43608, 3544, '141121', '孝义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.977,37.3935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43609, 3544, '141121', '凤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.961,37.4568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43610, 3544, '141121', '西城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.141,37.4332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43611, 3544, '141121', '马西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.957,37.4567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43612, 3544, '141121', '北张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.041,37.4019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43613, 3544, '141121', '西槽头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.995,37.3284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43614, 3544, '141121', '刘胡兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.26,37.4154', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43615, 3545, '141182', '杨家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.495,37.3442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43616, 3545, '141182', '冀村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.968,37.3559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43617, 3545, '141182', '杏花村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.827,37.3957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43618, 3545, '141182', '演武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.897,37.1562', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43619, 3545, '141182', '太和桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.778,37.2686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43620, 3545, '141182', '三泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.749,37.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43621, 3545, '141182', '辰北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.799,37.2671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43622, 3545, '141182', '西河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.767,37.2909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43623, 3545, '141182', '栗家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.594,37.3503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43624, 3545, '141182', '贾家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.807,37.3168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43625, 3545, '141182', '文峰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.829,37.2495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43626, 3545, '141182', '石庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.48,37.3301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43627, 3545, '141182', '峪道河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.59,37.4616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43628, 3545, '141182', '南薰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.759,37.2626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43629, 3545, '141182', '肖家庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.87,37.2839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43630, 3545, '141182', '阳城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.756,37.2027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43631, 3546, '141181', '南阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.378,37.2336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43632, 3546, '141181', '中阳楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.82,37.1492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43633, 3546, '141181', '驿马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.665,37.062', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43634, 3546, '141181', '高阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.706,37.1731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43635, 3546, '141181', '杜村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.411,37.2942', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43636, 3546, '141181', '阳泉曲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.474,37.0947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43637, 3546, '141181', '下栅乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.786,37.0824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43638, 3546, '141181', '大孝堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.888,37.1421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43639, 3546, '141181', '崇文街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.755,37.173', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43640, 3546, '141181', '兑镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.658,37.12', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43641, 3546, '141181', '下堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.548,37.1693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43642, 3546, '141181', '柱濮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.663,37.087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43643, 3546, '141181', '梧桐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.786,37.0813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43644, 3546, '141181', '新义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.742,37.1559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43645, 3546, '141181', '振兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.831,37.1433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43646, 3546, '141181', '西辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.532,36.9914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43647, 3546, '141181', '东许街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.761,37.1232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43648, 3547, '140225', '黄花滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.766,39.658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43649, 3547, '140225', '下韩村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.625,39.7462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43650, 3547, '140225', '驼峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.44,39.695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43651, 3547, '140225', '南榆林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.576,39.8227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43652, 3547, '140225', '大磁窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.694,39.6335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43653, 3547, '140225', '王庄堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.877,39.4785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43654, 3547, '140225', '永安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.688,39.7414', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43655, 3547, '140225', '官儿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.591,39.5265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43656, 3547, '140225', '裴村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.588,39.6478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43657, 3547, '140225', '西留村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.407,39.7312', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43658, 3547, '140225', '西坊城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.463,39.6131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43659, 3547, '140225', '蔡村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.673,39.7999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43660, 3547, '140225', '沙圪坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.742,39.8165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43661, 3547, '140225', '千佛岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.824,39.5859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43662, 3547, '140225', '大仁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.775,39.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43663, 3547, '140225', '青磁窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.831,39.6342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43664, 3547, '140225', '东坊城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.704,39.6549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43665, 3547, '140225', '吴城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.637,39.7957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43666, 3548, '140224', '东河南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.901,39.37', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43667, 3548, '140224', '武灵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.113,39.4247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43668, 3548, '140224', '石家田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.209,39.5822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43669, 3548, '140224', '史庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.091,39.5428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43670, 3548, '140224', '白崖台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.121,39.2946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43671, 3548, '140224', '赵北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.925,39.6349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43672, 3548, '140224', '红石塄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.345,39.3636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43673, 3548, '140224', '落水河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.513,39.4796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43674, 3548, '140224', '独峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.145,39.2546', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43675, 3548, '140224', '上寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.421,39.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43676, 3548, '140224', '下关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.295,39.1409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43677, 3548, '140224', '柳科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.554,39.529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43678, 3549, '140223', '宜兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.24,39.7149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43679, 3549, '140223', '梁庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.963,39.9044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43680, 3549, '140223', '壶泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.248,39.8244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43681, 3549, '140223', '望狐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.884,39.7892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43682, 3549, '140223', '南村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.096,39.8022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43683, 3549, '140223', '加斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.323,39.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43684, 3549, '140223', '蕉山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.365,39.8667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43685, 3549, '140223', '作疃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.15,39.7723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43686, 3549, '140223', '一斗泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.271,39.8704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43687, 3550, '140221', '罗文皂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.956,40.5144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43688, 3550, '140221', '大白登镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.845,40.3142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43689, 3550, '140221', '友宰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.855,39.9164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43690, 3550, '140221', '北徐屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.919,40.3886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43691, 3550, '140221', '长城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.501,40.3033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43692, 3550, '140221', '下深井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.73,40.1117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43693, 3550, '140221', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.775,40.4579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43694, 3550, '140221', '狮子屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.957,40.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43695, 3550, '140221', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.904,40.1976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43696, 3550, '140221', '王官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.592,40.2253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43697, 3550, '140221', '鳌石乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.931,39.9681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43698, 3550, '140221', '东小村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.838,40.0544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43699, 3551, '140215', '峰峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.748,39.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43700, 3551, '140215', '吉家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.34,39.7774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43701, 3551, '140215', '党留庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.399,40.0246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43702, 3551, '140215', '许堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.667,40.0707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43703, 3551, '140215', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.61,40.044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43704, 3551, '140215', '经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.446,40.0571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43705, 3551, '140215', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.603,40.0386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43706, 3551, '140215', '西坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.665,40.0578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43707, 3551, '140215', '湖东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.479,40.0025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43708, 3551, '140215', '瓜园乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.601,40.0056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43709, 3551, '140215', '倍加造镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.413,40.0552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43710, 3551, '140215', '杜庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.476,40.014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43711, 3551, '140215', '巨乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.592,40.2254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43712, 3551, '140215', '周士庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.417,40.1733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43713, 3552, '140214', '平盛路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.217,40.0199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43714, 3552, '140214', '晋华宫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.143,40.1056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43715, 3552, '140214', '四台沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.005,40.1067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43716, 3552, '140214', '马脊梁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.961,40.0955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43717, 3552, '140214', '姜家湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.095,40.1215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43718, 3552, '140214', '青磁窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.172,40.1028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43719, 3552, '140214', '鸦儿崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.923,39.9425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43720, 3552, '140214', '和顺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.225,39.9936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43721, 3552, '140214', '民胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.086,39.9415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43722, 3552, '140214', '燕子山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.939,40.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43723, 3552, '140214', '西花园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.239,40.0392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43724, 3552, '140214', '平旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.248,40.022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43725, 3552, '140214', '同家梁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.092,40.0213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43726, 3552, '140214', '挖金湾街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.965,39.9432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43727, 3552, '140214', '王村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.913,39.937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43728, 3552, '140214', '忻州窑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.127,40.0482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43729, 3552, '140214', '四老沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.025,39.9782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43730, 3552, '140214', '大斗沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.077,40.0147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43731, 3552, '140214', '清泉街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.251,40.0219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43732, 3552, '140214', '老平旺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.241,40.0754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43733, 3552, '140214', '口泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.108,40.0188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43734, 3552, '140214', '煤峪口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.146,40.0306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43735, 3552, '140214', '高山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.921,40.0183', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43736, 3552, '140214', '和瑞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.239,40.0081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43737, 3552, '140214', '新平旺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.187,40.0439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43738, 3552, '140214', '新胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.188,40.0429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43739, 3552, '140214', '平泉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.171,39.9975', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43740, 3552, '140214', '永定庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.107,40.0125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43741, 3552, '140214', '雁崖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.001,39.9646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43742, 3552, '140214', '杏儿沟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.941,39.9757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43743, 3552, '140214', '新泉路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.151,39.9997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43744, 3552, '140214', '马口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.873,39.9951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43745, 3552, '140214', '西韩岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.384,39.9371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43746, 3552, '140214', '白洞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.059,39.994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43747, 3552, '140214', '云冈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.138,40.0737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43748, 3552, '140214', '口泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.091,40.022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43749, 3553, '140213', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.319,40.0902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43750, 3553, '140213', '水泊寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.358,40.1505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43751, 3553, '140213', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.29,40.0947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43752, 3553, '140213', '新旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.28,40.0628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43753, 3553, '140213', '新建北路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.289,40.1113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43754, 3553, '140213', '开源街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.268,40.0464', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43755, 3553, '140213', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.305,40.0853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43756, 3553, '140213', '大庆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.259,40.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43757, 3553, '140213', '新华街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.288,40.1326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43758, 3553, '140213', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.292,40.0905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43759, 3553, '140213', '向阳里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.29,40.067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43760, 3553, '140213', '新建南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.275,40.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43761, 3553, '140213', '南关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.313,40.0859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43762, 3553, '140213', '北关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.306,40.1307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43763, 3553, '140213', '振华南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.264,40.0866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43764, 3553, '140213', '马军营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.227,40.0684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43765, 3554, '140222', '南河堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.037,40.4227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43766, 3554, '140222', '南高崖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.388,40.3534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43767, 3554, '140222', '赵家沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.079,40.1486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43768, 3554, '140222', '米薪关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.119,40.3607', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43769, 3554, '140222', '逯家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.279,40.5516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43770, 3554, '140222', '玉泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.072,40.4415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43771, 3554, '140222', '谷前堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.97,40.5016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43772, 3554, '140222', '张西河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.344,40.3695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43773, 3554, '140222', '贾家屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.043,40.2476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43774, 3554, '140222', '卅里铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.919,40.3876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43775, 3554, '140222', '马家皂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.977,40.1168', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43776, 3554, '140222', '新平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '114.115,40.5684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43777, 3555, '140212', '新荣区街道管理中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.146,40.2623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43778, 3555, '140212', '破鲁堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.912,40.2096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43779, 3555, '140212', '花元屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.336,40.2566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43780, 3555, '140212', '堡子湾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.312,40.2728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43781, 3555, '140212', '新荣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.255,40.2695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43782, 3555, '140212', '郭家窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.939,40.3412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43783, 3555, '140212', '古店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.334,40.2679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43784, 3555, '140212', '上深涧乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.959,40.151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43785, 3555, '140212', '西村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.143,40.2419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43786, 3556, '140226', '马道头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.732,39.9306', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43787, 3556, '140226', '云兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.662,39.9274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43788, 3556, '140226', '管家堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.912,40.21', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43789, 3556, '140226', '小京庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.628,39.9356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43790, 3556, '140226', '水窑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.954,39.8856', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43791, 3556, '140226', '鹊儿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.955,40.1584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43792, 3556, '140226', '张家场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.881,40.1036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43793, 3556, '140226', '三屯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.614,40.0858', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43794, 3556, '140226', '店湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.837,39.9682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43795, 3557, '140406', '潞华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.282,36.3395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43796, 3557, '140406', '翟店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.142,36.3072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43797, 3557, '140406', '合室乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.226,36.4672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43798, 3557, '140406', '成家川街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.266,36.3283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43799, 3557, '140406', '史回乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.138,36.3599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43800, 3557, '140406', '辛安泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.228,36.4289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43801, 3557, '140406', '微子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.333,36.4191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43802, 3557, '140406', '黄牛蹄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.373,36.3675', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43803, 3557, '140406', '店上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.999,36.4359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43804, 3558, '140428', '南漳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.007,36.119', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43805, 3558, '140428', '色头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.952,35.9815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43806, 3558, '140428', '丹朱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.836,36.1724', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43807, 3558, '140428', '鲍店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.833,36.2456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43808, 3558, '140428', '碾张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.788,36.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43809, 3558, '140428', '慈林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.93,36.0147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43810, 3558, '140428', '大堡头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.862,36.1051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43811, 3558, '140428', '石哲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.566,36.1781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43812, 3558, '140428', '常张乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.8,36.1287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43813, 3558, '140428', '南陈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.712,36.0523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43814, 3558, '140428', '宋村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.973,36.2057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43815, 3558, '140428', '岚水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.804,36.223', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43816, 3559, '140426', '西仵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.321,36.4595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43817, 3559, '140426', '程家山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.371,36.4364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43818, 3559, '140426', '停河铺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.387,36.5331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43819, 3559, '140426', '黄崖洞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.333,36.8633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43820, 3559, '140426', '黎侯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.5,36.4392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43821, 3559, '140426', '东阳关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.556,36.5108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43822, 3559, '140426', '洪井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.417,36.6651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43823, 3559, '140426', '西井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.356,36.7971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43824, 3559, '140426', '上遥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.179,36.5935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43825, 3560, '140404', '工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.09,36.1667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43826, 3560, '140404', '南宋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.051,35.953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43827, 3560, '140404', '八义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,36.0114', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43828, 3560, '140404', '西火镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.181,35.9393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43829, 3560, '140404', '郝家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.006,36.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43830, 3560, '140404', '北呈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.016,36.0938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43831, 3560, '140404', '苏店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.065,36.1263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43832, 3560, '140404', '振兴新区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.113,35.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43833, 3560, '140404', '韩店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.023,36.085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43834, 3560, '140404', '荫城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.078,35.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43835, 3560, '140404', '西池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.1,36.0752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43836, 3560, '140404', '东和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.043,36.0236', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43837, 3560, '140404', '贾掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.163,36.1405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43838, 3561, '140405', '李高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.886,36.2575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43839, 3561, '140405', '余吾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.821,36.4266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43840, 3561, '140405', '张店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.597,36.4262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43841, 3561, '140405', '上莲开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.827,36.4163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43842, 3561, '140405', '河神庙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.663,36.2809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43843, 3561, '140405', '上村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,36.3113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43844, 3561, '140405', '路村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.916,36.4105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43845, 3561, '140405', '西流寨开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.68,36.2747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43846, 3561, '140405', '康庄工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.986,36.2639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43847, 3561, '140405', '西贾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.795,36.287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43848, 3561, '140405', '吾元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.683,36.4694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43849, 3561, '140405', '渔泽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.974,36.3636', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43850, 3561, '140405', '丰宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.689,36.2633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43851, 3561, '140405', '麟绛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.901,36.3447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43852, 3562, '140431', '官滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.435,36.8457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43853, 3562, '140431', '交口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.381,36.6774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43854, 3562, '140431', '景凤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.399,36.9216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43855, 3562, '140431', '赤石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.296,36.9097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43856, 3562, '140431', '郭道镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.491,36.7323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43857, 3562, '140431', '沁河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.311,36.5992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43858, 3562, '140431', '灵空山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.144,36.6179', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43859, 3562, '140431', '聪子峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.193,36.8296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43860, 3562, '140431', '韩洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.112,36.6477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43861, 3562, '140431', '法中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.392,36.457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43862, 3562, '140431', '王和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.285,36.9087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43863, 3562, '140431', '王陶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.251,36.9188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43864, 3562, '140431', '中峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.25,36.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43865, 3562, '140431', '李元镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.149,36.6157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43866, 3563, '140425', '青羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.491,36.247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43867, 3563, '140425', '杏城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.578,36.1059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43868, 3563, '140425', '苗庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.271,36.1925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43869, 3563, '140425', '阳高乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.524,36.4126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43870, 3563, '140425', '石城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.636,36.301', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43871, 3563, '140425', '北社乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.197,36.2471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43872, 3563, '140425', '龙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.377,36.1014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43873, 3563, '140425', '西沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.422,36.1565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43874, 3563, '140425', '中五井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.405,36.3005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43875, 3563, '140425', '北耽车乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.424,36.3972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43876, 3563, '140425', '东寺头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.678,36.1251', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43877, 3563, '140425', '虹梯关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.61,36.2719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43878, 3564, '140423', '古韩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.02,36.4875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43879, 3564, '140423', '西营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.044,36.7308', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43880, 3564, '140423', '上马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.749,36.5575', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43881, 3564, '140423', '社区管理服务中心', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.031,36.5539', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43882, 3564, '140423', '王桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.142,36.5113', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43883, 3564, '140423', '北底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.104,36.5874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43884, 3564, '140423', '夏店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.974,36.5691', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43885, 3564, '140423', '侯堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.969,36.4756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43886, 3564, '140423', '善福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.964,36.6108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43887, 3564, '140423', '富阳工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.947,36.5091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43888, 3564, '140423', '下良镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.992,36.7004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43889, 3564, '140423', '王村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.894,36.7175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43890, 3564, '140423', '虒亭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.795,36.6424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43891, 3565, '140403', '延安南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.12,36.1669', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43892, 3565, '140403', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.124,36.1803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43893, 3565, '140403', '常青街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.088,36.1873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43894, 3565, '140403', '英雄中路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.108,36.1859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43895, 3565, '140403', '故县街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.074,36.4008', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43896, 3565, '140403', '长北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.124,36.328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43897, 3565, '140403', '堠北庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.043,36.2417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43898, 3565, '140403', '大辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.111,36.219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43899, 3565, '140403', '太行东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.143,36.1987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43900, 3565, '140403', '长治高新技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.118,36.2057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43901, 3565, '140403', '英雄南路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.107,36.1833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43902, 3565, '140403', '太行西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.092,36.2105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43903, 3565, '140403', '老顶山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.188,36.2004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43904, 3565, '140403', '黄碾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.138,36.3697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43905, 3565, '140403', '五马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.118,36.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43906, 3565, '140403', '西白兔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.07,36.4004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43907, 3565, '140403', '马厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.136,36.3305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43908, 3565, '140403', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.08,36.186', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43909, 3565, '140403', '紫金街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.123,36.19', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43910, 3566, '140430', '杨安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.636,36.5266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43911, 3566, '140430', '漳源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.536,36.868', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43912, 3566, '140430', '次村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.862,36.7564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43913, 3566, '140430', '南泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.591,36.565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43914, 3566, '140430', '南里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.659,36.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43915, 3566, '140430', '故县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.57,36.5688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43916, 3566, '140430', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.719,36.6693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43917, 3566, '140430', '段柳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.715,36.7338', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43918, 3566, '140430', '册村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.546,36.736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43919, 3566, '140430', '定昌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.715,36.8243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43920, 3566, '140430', '郭村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.529,36.7812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43921, 3566, '140430', '松村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.721,36.891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43922, 3566, '140430', '牛寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.744,36.9079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43923, 3567, '140429', '故县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.904,36.84', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43924, 3567, '140429', '石北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.807,36.9677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43925, 3567, '140429', '涌泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.809,36.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43926, 3567, '140429', '洪水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.165,36.9463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43927, 3567, '140429', '监漳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.017,36.8005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43928, 3567, '140429', '大有乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,36.8791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43929, 3567, '140429', '墨镫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.263,36.9451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43930, 3567, '140429', '韩北乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.129,36.7764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43931, 3567, '140429', '蟠龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.096,36.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43932, 3567, '140429', '丰州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.848,36.8818', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43933, 3567, '140429', '贾豁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.099,36.9191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43934, 3567, '140429', '上司乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.93,36.8156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43935, 3567, '140429', '分水岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.518,37.1117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43936, 3567, '140429', '故城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.551,36.9727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43937, 3568, '140427', '树掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.351,35.9073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43938, 3568, '140427', '鹅屋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.574,35.826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43939, 3568, '140427', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.167,36.0725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43940, 3568, '140427', '东井岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.319,35.9577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43941, 3568, '140427', '常平经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.253,36.1542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43942, 3568, '140427', '桥上乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.564,35.9147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43943, 3568, '140427', '五龙山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.275,36.1052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43944, 3568, '140427', '晋庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.261,36.1275', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43945, 3568, '140427', '店上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.246,36.0278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43946, 3568, '140427', '百尺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.264,35.9014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43947, 3568, '140427', '黄山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.168,36.0581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43948, 3568, '140427', '石坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.414,36.0311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43949, 3568, '140427', '集店乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.252,36.2091', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43950, 3569, '140581', '陈区镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.048,35.9063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43951, 3569, '140581', '米山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.99,35.817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43952, 3569, '140581', '神农镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.968,35.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43953, 3569, '140581', '寺庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.804,35.9787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43954, 3569, '140581', '南城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.932,35.7835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43955, 3569, '140581', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.941,35.837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43956, 3569, '140581', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.932,35.7835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43957, 3569, '140581', '三甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.934,35.8799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43958, 3569, '140581', '马村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.81,35.7454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43959, 3569, '140581', '野川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.736,35.877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43960, 3569, '140581', '石末乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.043,35.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43961, 3569, '140581', '北诗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.075,35.8207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43962, 3569, '140581', '永录乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.898,35.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43963, 3569, '140581', '原村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.816,35.7986', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43964, 3569, '140581', '建宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.086,35.8185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43965, 3569, '140581', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.035,35.6538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43966, 3570, '140502', '开发区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.88,35.5615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43967, 3570, '140502', '西上庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.825,35.5071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43968, 3570, '140502', '西街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.833,35.5155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43969, 3570, '140502', '开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.872,35.5024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43970, 3570, '140502', '钟家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.859,35.5107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43971, 3570, '140502', '南街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.838,35.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43972, 3570, '140502', '东街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.861,35.5023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43973, 3570, '140502', '北石店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.909,35.5433', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43974, 3570, '140502', '北街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.831,35.5169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43975, 3571, '140525', '金村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.923,35.4035', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43976, 3571, '140525', '高都镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.897,35.5938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43977, 3571, '140525', '南岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.688,35.4025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43978, 3571, '140525', '川底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.633,35.5889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43979, 3571, '140525', '北义城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.052,35.6642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43980, 3571, '140525', '李寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.602,35.3559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43981, 3571, '140525', '晋庙铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.828,35.2687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43982, 3571, '140525', '大东沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.65,35.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43983, 3571, '140525', '周村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.658,35.4584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43984, 3571, '140525', '犁川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.727,35.3793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43985, 3571, '140525', '巴公镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.918,35.6503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43986, 3571, '140525', '南村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.828,35.4718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43987, 3571, '140525', '大箕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.794,35.4345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43988, 3571, '140525', '下村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.656,35.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43989, 3571, '140525', '山河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.655,35.3333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43990, 3571, '140525', '大阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.793,35.6795', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43991, 3571, '140525', '柳树口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.166,35.4101', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43992, 3572, '140521', '郑村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.595,35.634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43993, 3572, '140521', '张村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.166,35.5594', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43994, 3572, '140521', '端氏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.468,35.8905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43995, 3572, '140521', '胡底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.65,35.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43996, 3572, '140521', '中村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '111.946,35.6094', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43997, 3572, '140521', '苏庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.163,35.6786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43998, 3572, '140521', '土沃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.056,35.6206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (43999, 3572, '140521', '樊村河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.045,35.8642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44000, 3572, '140521', '十里乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.452,35.9033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44001, 3572, '140521', '柿庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.725,36.0076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44002, 3572, '140521', '郑庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.177,35.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44003, 3572, '140521', '固县乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.527,35.9064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44004, 3572, '140521', '龙港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.167,35.6749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44005, 3572, '140521', '嘉峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.509,35.6463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44006, 3573, '140522', '寺头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.351,35.6192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44007, 3573, '140522', '次营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.243,35.5316', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44008, 3573, '140522', '横河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.152,35.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44009, 3573, '140522', '润城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.053,35.3643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44010, 3573, '140522', '驾岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.34,35.4349', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44011, 3573, '140522', '蟒河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.48,35.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44012, 3573, '140522', '固隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.255,35.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44013, 3573, '140522', '董封乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.052,35.3687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44014, 3573, '140522', '林场管理处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.132,35.4949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44015, 3573, '140522', '凤城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.482,35.4436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44016, 3573, '140522', '东冶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.547,35.417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44017, 3573, '140522', '西河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.355,35.5732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44018, 3573, '140522', '河北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.33,35.409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44019, 3573, '140522', '北留镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.566,35.5068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44020, 3573, '140522', '东城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.489,35.5321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44021, 3573, '140522', '芹池镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.366,35.6088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44022, 3573, '140522', '演礼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.32,35.5648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44023, 3573, '140522', '白桑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.481,35.4476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44024, 3573, '140522', '町店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '112.445,35.5332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44025, 3574, '140524', '六泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.507,35.7467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44026, 3574, '140524', '杨村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.154,35.867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44027, 3574, '140524', '崇文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.311,35.8085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44028, 3574, '140524', '马圪当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.37,35.6959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44029, 3574, '140524', '秦家庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.206,35.8887', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44030, 3574, '140524', '潞城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.346,35.7709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44031, 3574, '140524', '礼义镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.169,35.8071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44032, 3574, '140524', '附城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.194,35.6968', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44033, 3574, '140524', '西河底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.122,35.5765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44034, 3574, '140524', '平城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.286,35.8116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44035, 3574, '140524', '古郊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.46,35.6819', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44036, 3574, '140524', '夺火乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '113.381,35.5735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44037, 3575, '530681', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.236,28.5536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44038, 3575, '530681', '云富街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.331,28.6031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44039, 3575, '530681', '两碗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.187,28.5194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44040, 3575, '530681', '向家坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.259,28.5777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44041, 3576, '530626', '会仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.161,28.611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44042, 3576, '530626', '板栗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.949,28.5212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44043, 3576, '530626', '南岸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.876,28.5711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44044, 3576, '530626', '中城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.884,28.6012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44045, 3576, '530626', '新滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.055,28.5955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44046, 3577, '530629', '长安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.768,27.8851', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44047, 3577, '530629', '麟凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.8,27.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44048, 3577, '530629', '扎西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.105,27.9032', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44049, 3577, '530629', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.056,27.9827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44050, 3577, '530629', '三桃乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.917,27.9473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44051, 3577, '530629', '双河苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.109,27.8405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44052, 3577, '530629', '高田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.121,27.9194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44053, 3577, '530629', '水田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.23,27.7812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44054, 3577, '530629', '罗布镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.021,28.031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44055, 3577, '530629', '庙沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.787,27.8152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44056, 3578, '530625', '桧溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.855,28.3629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44057, 3578, '530625', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.497,27.7384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44058, 3578, '530625', '细沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.012,28.3898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44059, 3578, '530625', '黄华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.58,28.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44060, 3578, '530625', '码口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.389,27.6065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44061, 3578, '530625', '务基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.54,28.1812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44062, 3578, '530625', '墨翰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.724,27.8486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44063, 3578, '530625', '马楠苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.603,28.1037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44064, 3578, '530625', '溪洛渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.805,28.2617', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44065, 3578, '530625', '水竹乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.61,27.9354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44066, 3578, '530625', '茂林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.533,27.7368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44067, 3578, '530625', '莲峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.481,27.7905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44068, 3578, '530625', '伍寨彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.412,27.6386', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44069, 3578, '530625', '青胜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.867,28.505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44070, 3578, '530625', '团结乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.819,28.2366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44071, 3579, '530624', '悦乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.786,27.8511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44072, 3579, '530624', '翠华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.832,27.7255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44073, 3579, '530624', '玉碗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.865,27.7018', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44074, 3579, '530624', '寿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.782,27.91', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44075, 3579, '530624', '上高桥回族彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.824,27.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44076, 3579, '530624', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.897,28.0951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44077, 3579, '530624', '吉利镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.973,27.9713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44078, 3579, '530624', '天星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.928,27.8471', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44079, 3579, '530624', '木杆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.924,28.1259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44080, 3580, '530622', '白鹤滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.978,26.8302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44081, 3580, '530622', '马树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.39,26.7359', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44082, 3580, '530622', '金塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.994,26.8552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44083, 3580, '530622', '东坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.025,27.3494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44084, 3580, '530622', '药山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.067,26.9754', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44085, 3580, '530622', '小河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.158,27.307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44086, 3580, '530622', '蒙姑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.006,26.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44087, 3580, '530622', '中寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.1,26.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44088, 3580, '530622', '崇溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.113,26.9544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44089, 3580, '530622', '红山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.102,27.3672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44090, 3580, '530622', '新店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.184,27.0517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44091, 3580, '530622', '大寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.952,27.2694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44092, 3580, '530622', '炉房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.114,26.6671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44093, 3580, '530622', '老店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.148,27.0097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44094, 3580, '530622', '包谷垴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.288,26.9567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44095, 3580, '530622', '茂租镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.938,27.278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44096, 3581, '530602', '盘河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.885,27.6198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44097, 3581, '530602', '田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.144,27.4235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44098, 3581, '530602', '大寨子乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.272,27.5528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44099, 3581, '530602', '青岗岭回族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.702,27.435', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44100, 3581, '530602', '靖安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.718,27.6246', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44101, 3581, '530602', '洒渔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.591,27.5808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44102, 3581, '530602', '大山包镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.252,27.4002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44103, 3581, '530602', '布嘎回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.7,27.2219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44104, 3581, '530602', '乐居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.539,27.3348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44105, 3581, '530602', '炎山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.242,27.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44106, 3581, '530602', '守望回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.733,27.3067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44107, 3581, '530602', '苏甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.551,27.5361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44108, 3581, '530602', '苏家院镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.461,27.2513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44109, 3581, '530602', '永丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.636,27.311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44110, 3581, '530602', '凤凰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.689,27.3468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44111, 3581, '530602', '旧圃镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.692,27.3874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44112, 3581, '530602', '北闸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.774,27.4908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44113, 3581, '530602', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.706,27.3419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44114, 3581, '530602', '太平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.786,27.3992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44115, 3581, '530602', '小龙洞回族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.778,27.3201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44116, 3582, '530623', '牛寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.293,28.1419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44117, 3582, '530623', '柿子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.228,27.9984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44118, 3582, '530623', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.175,28.2055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44119, 3582, '530623', '豆沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.087,28.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44120, 3582, '530623', '普洱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.2,28.3201', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44121, 3582, '530623', '庙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.264,28.0147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44122, 3582, '530623', '落雁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.298,28.2398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44123, 3582, '530623', '滩头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.218,28.3254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44124, 3582, '530623', '盐井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.191,28.1504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44125, 3582, '530623', '兴隆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.343,28.1879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44126, 3583, '530621', '水磨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.315,27.2234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44127, 3583, '530621', '火德红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.495,27.0948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44128, 3583, '530621', '龙树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.381,27.4029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44129, 3583, '530621', '茨院回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.557,27.2117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44130, 3583, '530621', '乐红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.31,27.2189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44131, 3583, '530621', '文屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.531,27.1878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44132, 3583, '530621', '桃源回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.567,27.1403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44133, 3583, '530621', '梭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.279,27.2616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44134, 3583, '530621', '龙头山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.429,27.1521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44135, 3583, '530621', '小寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.545,27.2615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44136, 3583, '530621', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.377,27.4147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44137, 3583, '530621', '江底镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.517,27.088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44138, 3584, '530628', '荞山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.195,27.6733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44139, 3584, '530628', '小草坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.295,27.8296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44140, 3584, '530628', '洛旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.687,27.792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44141, 3584, '530628', '海子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.33,27.6172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44142, 3584, '530628', '洛泽河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.053,27.5429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44143, 3584, '530628', '龙海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.354,27.7624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44144, 3584, '530628', '牛街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.434,27.8561', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44145, 3584, '530628', '龙安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.107,27.7483', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44146, 3584, '530628', '角奎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.056,27.5366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44147, 3584, '530628', '钟鸣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.068,27.8488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44148, 3584, '530628', '两河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.131,27.825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44149, 3584, '530628', '柳溪苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.527,27.8041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44150, 3584, '530628', '树林彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.409,27.5288', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44151, 3584, '530628', '龙街苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.208,27.3303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44152, 3584, '530628', '奎香苗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.151,27.439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44153, 3585, '530627', '乌峰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.897,27.4919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44154, 3585, '530627', '以勒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.124,27.67', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44155, 3585, '530627', '中屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.896,27.3992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44156, 3585, '530627', '碗厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.535,27.6906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44157, 3585, '530627', '坪上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.648,27.5212', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44158, 3585, '530627', '林口彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.01,27.5518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44159, 3585, '530627', '盐源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.582,27.6873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44160, 3585, '530627', '木卓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.783,27.774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44161, 3585, '530627', '雨河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.923,27.7864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44162, 3585, '530627', '罗坎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.545,27.7181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44163, 3585, '530627', '尖山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.89,27.5906', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44164, 3585, '530627', '黑树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.168,27.475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44165, 3585, '530627', '花朗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.048,27.717', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44166, 3585, '530627', '牛场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.592,27.5994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44167, 3585, '530627', '果珠彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.996,27.5378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44168, 3585, '530627', '大湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.989,27.7086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44169, 3585, '530627', '泼机镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.018,27.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44170, 3585, '530627', '花山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.422,27.5133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44171, 3585, '530627', '杉树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.368,27.6883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44172, 3585, '530627', '塘房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.995,27.5278', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44173, 3585, '530627', '鱼洞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.105,27.4572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44174, 3585, '530627', '赤水源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.818,27.551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44175, 3585, '530627', '五德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.686,27.5896', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44176, 3585, '530627', '母享镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.189,27.6276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44177, 3585, '530627', '芒部镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.785,27.572', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44178, 3585, '530627', '场坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.766,27.4497', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44179, 3585, '530627', '坡头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.21,27.6626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44180, 3585, '530627', '以古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.547,27.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44181, 3586, '532527', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.798,24.6552', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44182, 3586, '532527', '金马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.693,24.6015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44183, 3586, '532527', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.671,24.7281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44184, 3586, '532527', '永宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.687,24.4225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44185, 3586, '532527', '向阳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.85,24.5295', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44186, 3586, '532527', '午街铺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.704,24.5489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44187, 3586, '532527', '中枢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.736,24.5606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44188, 3586, '532527', '三塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.87,24.5076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44189, 3587, '532504', '西三镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.309,24.6393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44190, 3587, '532504', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.808,24.2814', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44191, 3587, '532504', '西二镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.07,24.4383', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44192, 3587, '532504', '竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.399,24.1879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44193, 3587, '532504', '新哨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.404,24.2069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44194, 3587, '532504', '五山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.136,24.2039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44195, 3587, '532504', '弥阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.536,24.4624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44196, 3587, '532504', '西一镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.246,24.4038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44197, 3587, '532504', '朋普镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.492,23.8732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44198, 3587, '532504', '巡检司镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.129,24.0473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44199, 3587, '532504', '虹溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.352,24.225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44200, 3587, '532504', '江边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.611,23.9243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44201, 3588, '532524', '盘江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.071,24.0454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44202, 3588, '532524', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.67,23.6243', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44203, 3588, '532524', '面甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.947,23.7515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44204, 3588, '532524', '甸尾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.747,23.8517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44205, 3588, '532524', '利民乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.951,23.8919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44206, 3588, '532524', '西庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.668,23.7068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44207, 3588, '532524', '南庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.86,23.8072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44208, 3588, '532524', '李浩寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.813,23.8812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44209, 3588, '532524', '坡头乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.949,23.3919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44210, 3588, '532524', '曲江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.937,23.9587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44211, 3588, '532524', '普雄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.998,23.5835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44212, 3588, '532524', '临安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.818,23.6657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44213, 3588, '532524', '官厅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.675,23.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44214, 3588, '532524', '岔科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.947,23.8699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44215, 3589, '532525', '新城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.526,23.7657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44216, 3589, '532525', '大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.202,23.8902', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44217, 3589, '532525', '牛街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.35,23.4713', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44218, 3589, '532525', '异龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.351,23.667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44219, 3589, '532525', '宝秀镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.231,23.6826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44220, 3589, '532525', '龙武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.23,24.0227', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44221, 3589, '532525', '坝心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.569,23.729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44222, 3589, '532525', '哨冲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.452,24.0398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44223, 3589, '532525', '龙朋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.499,23.9069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44224, 3590, '532502', '大庄回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.38,23.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44225, 3590, '532502', '中和营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.355,23.7357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44226, 3590, '532502', '灵泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.204,23.7686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44227, 3590, '532502', '羊街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.349,23.5917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44228, 3590, '532502', '乐白道街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.417,23.7989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44229, 3590, '532502', '碑格乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.48,23.6961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44230, 3590, '532502', '小龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.217,23.8305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44231, 3591, '532501', '保和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.075,23.2987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44232, 3591, '532501', '大屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.189,23.4601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44233, 3591, '532501', '卡房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.101,23.2644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44234, 3591, '532501', '锡城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.19,23.3671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44235, 3591, '532501', '贾沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.933,23.3333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44236, 3591, '532501', '蔓耗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.096,23.1082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44237, 3591, '532501', '鸡街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.207,23.426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44238, 3591, '532501', '老厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.233,23.247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44239, 3591, '532501', '沙甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.239,23.5641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44240, 3591, '532501', '城区街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.15,23.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44241, 3592, '532503', '芷村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.573,23.4122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44242, 3592, '532503', '鸣鹫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.725,23.5503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44243, 3592, '532503', '新安所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.411,23.3342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44244, 3592, '532503', '水田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.316,23.136', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44245, 3592, '532503', '草坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.392,23.5649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44246, 3592, '532503', '西北勒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.465,23.3998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44247, 3592, '532503', '期路白苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.51,23.2587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44248, 3592, '532503', '冷泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.456,23.2571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44249, 3592, '532503', '老寨苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.706,23.388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44250, 3592, '532503', '文澜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.385,23.4374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44251, 3592, '532503', '雨过铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.292,23.5207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44252, 3593, '532529', '洛恩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.333,23.1864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44253, 3593, '532529', '浪堤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.244,23.3797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44254, 3593, '532529', '乐育镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.308,23.3494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44255, 3593, '532529', '三村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.931,23.2739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44256, 3593, '532529', '甲寅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.416,23.2908', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44257, 3593, '532529', '垤玛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.878,23.3014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44258, 3593, '532529', '宝华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.307,23.2492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44259, 3593, '532529', '架车乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.145,23.1131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44260, 3593, '532529', '阿扎河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.488,23.1935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44261, 3593, '532529', '大羊街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.265,23.3945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44262, 3593, '532529', '车古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.159,23.3385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44263, 3593, '532529', '石头寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.544,23.1793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44264, 3593, '532529', '迤萨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.387,23.3121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44265, 3594, '532523', '白河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.849,23.1001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44266, 3594, '532523', '新现镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.662,23.1117', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44267, 3594, '532523', '玉屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.649,23.08', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44268, 3594, '532523', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.734,23.3538', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44269, 3594, '532523', '白云乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.787,23.1441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44270, 3594, '532523', '湾塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.762,23.0234', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44271, 3594, '532523', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.895,23.3162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44272, 3595, '532531', '半坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.078,22.6936', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44273, 3595, '532531', '戈奎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.432,23.1097', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44274, 3595, '532531', '大水沟乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.879,23.0157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44275, 3595, '532531', '三猛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.392,22.9368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44276, 3595, '532531', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.26,23.0595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44277, 3595, '532531', '骑马坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.148,22.8714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44278, 3595, '532531', '大黑山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.936,22.8949', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44279, 3595, '532531', '牛孔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.093,22.9593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44280, 3595, '532531', '平河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.494,22.9081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44281, 3596, '532528', '小新街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.043,23.1046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44282, 3596, '532528', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.743,23.1976', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44283, 3596, '532528', '黄茅岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.729,23.0218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44284, 3596, '532528', '牛角寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.596,23.1633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44285, 3596, '532528', '上新城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.963,23.155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44286, 3596, '532528', '马街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.687,23.2848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44287, 3596, '532528', '沙拉托乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.506,23.1153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44288, 3596, '532528', '大坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.003,22.9656', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44289, 3596, '532528', '黄草岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.622,22.9352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44290, 3596, '532528', '攀枝花乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.831,23.051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44291, 3596, '532528', '南沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.77,23.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44292, 3596, '532528', '嘎娘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.882,23.1191', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44293, 3596, '532528', '逢春岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.117,23.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44294, 3596, '532528', '俄扎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.569,22.9399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44295, 3597, '532530', '大寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.397,22.9092', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44296, 3597, '532530', '铜厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.064,22.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44297, 3597, '532530', '者米拉祜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.588,22.8009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44298, 3597, '532530', '老集寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.72,22.8463', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44299, 3597, '532530', '阿得博乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.125,22.9387', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44300, 3597, '532530', '勐桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.325,22.8342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44301, 3597, '532530', '沙依坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.195,22.9725', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44302, 3597, '532530', '勐拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.858,22.6486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44303, 3597, '532530', '金河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.141,22.843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44304, 3597, '532530', '老勐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.828,22.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44305, 3597, '532530', '马鞍底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.441,22.753', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44306, 3597, '532530', '营盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.957,23.0005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44307, 3597, '532530', '金水河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.076,22.6299', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44308, 3598, '532532', '瑶山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.618,22.8457', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44309, 3598, '532532', '莲花滩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.406,22.9803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44310, 3598, '532532', '桥头苗族壮族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.119,22.8946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44311, 3598, '532532', '南溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.86,22.7002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44312, 3598, '532532', '老范寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.828,22.6782', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44313, 3598, '532532', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.811,22.7013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44314, 3599, '530326', '驾车乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.293,26.0271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44315, 3599, '530326', '田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.413,25.8287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44316, 3599, '530326', '雨碌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.607,26.4634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44317, 3599, '530326', '火红乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.704,26.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44318, 3599, '530326', '大海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.113,26.298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44319, 3599, '530326', '者海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.534,26.601', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44320, 3599, '530326', '上村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.414,26.1083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44321, 3599, '530326', '纸厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.44,26.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44322, 3599, '530326', '娜姑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.065,26.5683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44323, 3599, '530326', '待补镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.368,26.2482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44324, 3599, '530326', '大桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.235,26.6914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44325, 3599, '530326', '新街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.518,26.4745', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44326, 3599, '530326', '乐业镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.587,26.7817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44327, 3599, '530326', '迤车镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.4,26.7376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44328, 3599, '530326', '五星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.368,26.6436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44329, 3599, '530326', '矿山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.589,26.6964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44330, 3599, '530326', '老厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.14,26.5354', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44331, 3599, '530326', '鲁纳乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.583,26.282', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44332, 3599, '530326', '马路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.683,26.9099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44333, 3599, '530326', '大井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.906,26.5061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44334, 3599, '530326', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.295,26.4099', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44335, 3599, '530326', '金钟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.237,26.3665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44336, 3599, '530326', '宝云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.442,26.4007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44337, 3600, '530304', '马过河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.418,25.4149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44338, 3600, '530304', '纳章镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.57,25.3084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44339, 3600, '530304', '大庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.529,25.3491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44340, 3600, '530304', '马鸣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.388,25.3048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44341, 3600, '530304', '月望乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.563,25.3261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44342, 3600, '530304', '旧县街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.361,25.311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44343, 3600, '530304', '王家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.491,25.397', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44344, 3600, '530304', '通泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.656,25.4264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44345, 3600, '530304', '鸡头村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.523,25.4647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44346, 3600, '530304', '张安屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.634,25.537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44347, 3601, '530324', '富乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.338,25.3577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44348, 3601, '530324', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.239,25.0755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44349, 3601, '530324', '老厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.304,25.1346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44350, 3601, '530324', '阿岗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.025,25.0828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44351, 3601, '530324', '大水井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.409,24.8286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44352, 3601, '530324', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.44,25.0005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44353, 3601, '530324', '钟山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.579,25.0197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44354, 3601, '530324', '马街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.155,25.1315', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44355, 3601, '530324', '长底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.426,25.0248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44356, 3601, '530324', '旧屋基乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.472,24.8821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44357, 3601, '530324', '鲁布革乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.459,24.7737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44358, 3601, '530324', '罗雄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.3,24.7327', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44359, 3601, '530324', '腊山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.386,24.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44360, 3602, '530323', '高良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.349,24.5486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44361, 3602, '530323', '竹基镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.984,24.8907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44362, 3602, '530323', '龙庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.086,24.6954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44363, 3602, '530323', '丹凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.925,24.8057', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44364, 3602, '530323', '五龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.207,24.6242', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44365, 3602, '530323', '雄壁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.756,24.7647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44366, 3602, '530323', '彩云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.869,24.761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44367, 3602, '530323', '葵山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.837,24.8357', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44368, 3603, '530322', '小百户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.521,25.1711', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44369, 3603, '530322', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.716,25.0909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44370, 3603, '530322', '中枢镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.66,25.0695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44371, 3603, '530322', '大莫古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.491,24.9366', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44372, 3603, '530322', '马街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.709,24.9948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44373, 3603, '530322', '召夸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.647,24.8981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44374, 3603, '530322', '陆良华侨管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.709,24.9948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44375, 3603, '530322', '活水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.864,25.0475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44376, 3603, '530322', '芳华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.669,25.2272', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44377, 3603, '530322', '龙海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.838,25.0126', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44378, 3603, '530322', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.733,25.1528', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44379, 3604, '530381', '双龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.105,26.2864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44380, 3604, '530381', '西泽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.897,26.3848', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44381, 3604, '530381', '得禄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.9,26.3781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44382, 3604, '530381', '龙潭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.018,26.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44383, 3604, '530381', '西宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.916,26.2476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44384, 3604, '530381', '文兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.485,26.4706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44385, 3604, '530381', '宛水街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.132,26.2034', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44386, 3604, '530381', '宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.569,26.4107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44387, 3604, '530381', '海岱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.452,26.1334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44388, 3604, '530381', '务德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.738,26.4147', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44389, 3604, '530381', '虹桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.103,26.1663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44390, 3604, '530381', '热水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.704,26.123', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44391, 3604, '530381', '倘塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.127,26.4257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44392, 3604, '530381', '格宜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.452,26.4727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44393, 3604, '530381', '落水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.945,26.2245', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44394, 3604, '530381', '来宾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.212,26.3897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44395, 3604, '530381', '阿都乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.496,26.5857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44396, 3604, '530381', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.18,26.2217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44397, 3604, '530381', '羊场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.157,26.0567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44398, 3604, '530381', '田坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.518,26.149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44399, 3604, '530381', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.957,26.0098', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44400, 3604, '530381', '乐丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.248,26.4663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44401, 3604, '530381', '普立乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.597,26.5121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44402, 3604, '530381', '龙场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.31,26.4076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44403, 3604, '530381', '杨柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.372,26.6461', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44404, 3604, '530381', '双河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.465,26.6314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44405, 3605, '530325', '营上镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.286,25.4843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44406, 3605, '530325', '墨红镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.163,25.5459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44407, 3605, '530325', '竹园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.239,25.3947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44408, 3605, '530325', '黄泥河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.643,25.1998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44409, 3605, '530325', '富村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.526,25.3363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44410, 3605, '530325', '十八连山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.564,25.2155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44411, 3605, '530325', '古敢乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.717,25.2285', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44412, 3605, '530325', '老厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.625,25.2448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44413, 3605, '530325', '大河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.269,25.4774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44414, 3605, '530325', '中安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.167,25.5482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44415, 3605, '530325', '后所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.245,25.7697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44416, 3606, '530302', '沿江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.834,25.459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44417, 3606, '530302', '三宝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.84,25.4304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44418, 3606, '530302', '茨营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.914,25.4073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44419, 3606, '530302', '西城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.67,25.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44420, 3606, '530302', '珠街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.904,25.4679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44421, 3606, '530302', '越州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.895,25.3511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44422, 3606, '530302', '东山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.008,25.3019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44423, 3606, '530302', '文华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.807,25.5193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44424, 3606, '530302', '潇湘街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.791,25.3734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44425, 3606, '530302', '益宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.783,25.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44426, 3606, '530302', '建宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.773,25.5264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44427, 3606, '530302', '寥廓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.776,25.4789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44428, 3606, '530302', '白石江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.842,25.5164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44429, 3606, '530302', '南宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.821,25.485', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44430, 3606, '530302', '太和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.796,25.5381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44431, 3607, '530303', '西平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.787,25.693', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44432, 3607, '530303', '播乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.151,25.8992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44433, 3607, '530303', '德泽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.61,26.0698', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44434, 3607, '530303', '炎方乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.882,25.8627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44435, 3607, '530303', '大坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.524,25.73', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44436, 3607, '530303', '菱角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.667,25.9514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44437, 3607, '530303', '花山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.836,25.6863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44438, 3607, '530303', '白水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.012,25.5054', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44439, 3607, '530303', '盘江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.757,25.7233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44440, 3608, '533324', '茨开镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6103,27.821', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44441, 3608, '533324', '丙中洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4494,27.9812', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44442, 3608, '533324', '普拉底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.753,27.6644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44443, 3608, '533324', '捧当乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6987,28.0793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44444, 3608, '533324', '独龙江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3716,28.1826', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44445, 3609, '533323', '鹿马登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7668,27.169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44446, 3609, '533323', '匹河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9241,26.6106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44447, 3609, '533323', '子里甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7786,26.6408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44448, 3609, '533323', '架科底乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8812,26.8264', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44449, 3609, '533323', '上帕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8673,26.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44450, 3609, '533323', '石月亮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7165,27.2549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44451, 3609, '533323', '马吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7046,27.3671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44452, 3610, '533325', '啦井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2961,26.6378', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44453, 3610, '533325', '石登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1296,26.7945', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44454, 3610, '533325', '金顶镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3577,26.4973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44455, 3610, '533325', '营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.163,26.5922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44456, 3610, '533325', '中排乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.143,27.0009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44457, 3610, '533325', '通甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4417,26.7667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44458, 3610, '533325', '河西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2938,26.9953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44459, 3610, '533325', '兔峨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1064,26.3789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44460, 3611, '533301', '上江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7418,25.8248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44461, 3611, '533301', '片马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6862,25.9442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44462, 3611, '533301', '大兴地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7324,26.0645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44463, 3611, '533301', '老窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9752,25.881', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44464, 3611, '533301', '鲁掌镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6907,25.9938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44465, 3611, '533301', '称杆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7927,26.1206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44466, 3611, '533301', '洛本卓乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8096,26.4015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44467, 3611, '533301', '六库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8389,25.9505', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44468, 3611, '533301', '古登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9191,26.4171', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44469, 3612, '530425', '铜厂彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.955,24.7747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44470, 3612, '530425', '浦贝彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.114,24.6399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44471, 3612, '530425', '绿汁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.995,24.6774', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44472, 3612, '530425', '小街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.208,24.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44473, 3612, '530425', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.17,24.7388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44474, 3612, '530425', '十街彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.059,24.5907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44475, 3612, '530425', '六街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.182,24.7542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44476, 3613, '530481', '右所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.935,24.7033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44477, 3613, '530481', '龙街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.909,24.7584', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44478, 3613, '530481', '九村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.996,24.7792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44479, 3613, '530481', '阳宗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.948,24.8626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44480, 3613, '530481', '凤麓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.931,24.7011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44481, 3613, '530481', '海口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.042,24.568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44482, 3614, '530426', '塔甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.092,24.2651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44483, 3614, '530426', '甸中镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.145,24.4198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44484, 3614, '530426', '富良棚乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.125,24.3776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44485, 3614, '530426', '化念镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.149,24.0208', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44486, 3614, '530426', '岔河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.142,24.3142', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44487, 3614, '530426', '大龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.045,24.5026', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44488, 3614, '530426', '双江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.227,24.2283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44489, 3614, '530426', '小街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.399,24.0775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44490, 3615, '530424', '通红甸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.061,24.3951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44491, 3615, '530424', '青龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.041,24.5585', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44492, 3615, '530424', '华溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.062,24.0326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44493, 3615, '530424', '宁州街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.02,24.3081', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44494, 3615, '530424', '盘溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.045,24.2283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44495, 3616, '530427', '扬武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.224,23.9027', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44496, 3616, '530427', '桂山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.965,24.0665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44497, 3616, '530427', '老厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.695,24.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44498, 3616, '530427', '平掌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.441,23.8498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44499, 3616, '530427', '水塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.44,24.231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44500, 3616, '530427', '建兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.555,23.722', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44501, 3616, '530427', '漠沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.734,23.7612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44502, 3616, '530427', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.958,24.0835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44503, 3616, '530427', '新化乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.738,24.149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44504, 3616, '530427', '者竜乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.453,24.3486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44505, 3616, '530427', '戛洒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.485,24.0374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44506, 3616, '530427', '平甸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.804,24.0189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44507, 3617, '530403', '江城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.755,24.3913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44508, 3617, '530403', '路居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.902,24.3804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44509, 3617, '530403', '大街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.708,24.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44510, 3617, '530403', '安化彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.687,24.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44511, 3617, '530403', '前卫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.643,24.3444', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44512, 3617, '530403', '九溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.633,24.2118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44513, 3617, '530403', '雄关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.834,24.3038', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44514, 3618, '530402', '凤凰路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.543,24.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44515, 3618, '530402', '高仓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.484,24.2954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44516, 3618, '530402', '大营街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.481,24.405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44517, 3618, '530402', '洛河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.439,24.3641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44518, 3618, '530402', '北城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.603,24.4658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44519, 3618, '530402', '李棋街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.592,24.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44520, 3618, '530402', '春和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.456,24.4195', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44521, 3618, '530402', '研和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.474,24.2731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44522, 3618, '530402', '小石桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.597,24.4556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44523, 3618, '530402', '玉兴路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.538,24.3596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44524, 3618, '530402', '玉带路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.535,24.3578', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44525, 3619, '530423', '里山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.794,24.0961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44526, 3619, '530423', '四街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.726,24.1832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44527, 3619, '530423', '杨广镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.826,24.0845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44528, 3619, '530423', '兴蒙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.662,24.1576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44529, 3619, '530423', '河西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.598,24.2415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44530, 3619, '530423', '秀山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.715,24.1086', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44531, 3619, '530423', '九龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.687,24.1434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44532, 3619, '530423', '纳古镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.744,24.1846', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44533, 3619, '530423', '高大乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.653,24.047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44534, 3620, '530428', '因远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.776,23.4718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44535, 3620, '530428', '澧江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.927,23.5649', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44536, 3620, '530428', '那诺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.181,23.4206', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44537, 3620, '530428', '咪哩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.801,23.55', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44538, 3620, '530428', '曼来镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.703,23.7521', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44539, 3620, '530428', '洼垤乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.264,23.6395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44540, 3620, '530428', '龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.223,23.6307', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44541, 3620, '530428', '甘庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.961,23.8302', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44542, 3620, '530428', '红河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.916,23.5372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44543, 3620, '530428', '羊街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.979,23.4545', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44544, 3621, '530581', '和顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4336,25.0249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44545, 3621, '530581', '界头镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7263,25.7793', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44546, 3621, '530581', '荷花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4297,24.9849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44547, 3621, '530581', '固东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4247,25.3598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44548, 3621, '530581', '腾越镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4973,25.1252', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44549, 3621, '530581', '北海乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5348,25.1351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44550, 3621, '530581', '五合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6039,24.8802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44551, 3621, '530581', '团田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6005,24.7041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44552, 3621, '530581', '滇滩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3348,25.5376', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44553, 3621, '530581', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4295,25.1843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44554, 3621, '530581', '曲石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6875,25.2957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44555, 3621, '530581', '猴桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3149,25.1568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44556, 3621, '530581', '明光镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4811,25.7598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44557, 3621, '530581', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4462,24.7139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44558, 3621, '530581', '马站乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4728,25.1207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44559, 3621, '530581', '清水乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4209,24.9328', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44560, 3621, '530581', '蒲川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5551,24.8138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44561, 3621, '530581', '芒棒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6661,25.0513', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44562, 3622, '530502', '金鸡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3033,25.1921', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44563, 3622, '530502', '西邑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.231,24.9786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44564, 3622, '530502', '永昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0962,25.1404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44565, 3622, '530502', '板桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1259,25.3523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44566, 3622, '530502', '蒲缥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0186,24.8702', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44567, 3622, '530502', '保山工贸园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1773,25.0619', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44568, 3622, '530502', '瓦房彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8896,25.4493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44569, 3622, '530502', '瓦窑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.305,25.3193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44570, 3622, '530502', '兰城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1363,25.0789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44571, 3622, '530502', '辛街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1094,24.9824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44572, 3622, '530502', '水寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2916,25.2673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44573, 3622, '530502', '芒宽彝族傣族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8816,25.5744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44574, 3622, '530502', '瓦渡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4184,25.2059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44575, 3622, '530502', '瓦马彝族白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9568,25.6379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44576, 3622, '530502', '潞江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8975,24.957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44577, 3622, '530502', '河图街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2144,25.0843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44578, 3622, '530502', '杨柳白族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0322,25.3182', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44579, 3622, '530502', '汉庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1733,25.0761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44580, 3622, '530502', '丙麻乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.397,24.937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44581, 3622, '530502', '保山市高黎贡山旅游渡假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8679,24.9526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44582, 3623, '530524', '耈街彝族苗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7373,25.0606', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44583, 3623, '530524', '鸡飞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4807,24.7824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44584, 3623, '530524', '田园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5886,24.7804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44585, 3623, '530524', '温泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6704,24.7459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44586, 3623, '530524', '湾甸傣族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3419,24.6025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44587, 3623, '530524', '翁堵乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5442,24.7244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44588, 3623, '530524', '勐统镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5925,24.6261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44589, 3623, '530524', '漭水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6025,25.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44590, 3623, '530524', '柯街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4556,24.9731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44591, 3623, '530524', '卡斯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3128,24.8317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44592, 3623, '530524', '更戛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3833,24.5937', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44593, 3623, '530524', '大田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.62,24.943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44594, 3623, '530524', '珠街彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8585,25.0931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44595, 3624, '530521', '何元乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1198,24.7348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44596, 3624, '530521', '酒房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1901,24.5188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44597, 3624, '530521', '万兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1764,24.5951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44598, 3624, '530521', '摆榔彝族布朗族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2489,24.6417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44599, 3624, '530521', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1261,24.8156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44600, 3624, '530521', '老麦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1922,24.8329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44601, 3624, '530521', '由旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0778,24.8524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44602, 3624, '530521', '甸阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2098,24.7493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44603, 3624, '530521', '保山市水长工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0442,24.9345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44604, 3624, '530521', '水长乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0155,24.9011', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44605, 3624, '530521', '姚关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1867,24.629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44606, 3624, '530521', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.055,24.7305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44607, 3624, '530521', '旧城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1736,24.4752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44608, 3624, '530521', '木老元布朗族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2677,24.7069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44609, 3625, '530523', '木城彝族傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7987,24.2235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44610, 3625, '530523', '平达乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8496,24.2478', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44611, 3625, '530523', '碧寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0565,24.6273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44612, 3625, '530523', '龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7612,24.6752', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44613, 3625, '530523', '腊勐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8763,24.6973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44614, 3625, '530523', '龙江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7599,24.7681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44615, 3625, '530523', '镇安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.7597,24.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44616, 3625, '530523', '勐糯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9665,24.3068', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44617, 3625, '530523', '龙新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8086,24.6641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44618, 3625, '530523', '象达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9096,24.4095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44619, 3626, '532931', '羊岑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6496,26.5866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44620, 3626, '532931', '象图乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5304,26.3501', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44621, 3626, '532931', '老君山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6313,26.5406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44622, 3626, '532931', '甸南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8611,26.5209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44623, 3626, '532931', '弥沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6744,26.4089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44624, 3626, '532931', '沙溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7486,26.3697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44625, 3626, '532931', '金华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7674,26.5683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44626, 3626, '532931', '马登镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5437,26.4827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44627, 3627, '532932', '金墩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.119,26.5489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44628, 3627, '532932', '六合彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.402,26.4839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44629, 3627, '532932', '松桂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.199,26.4627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44630, 3627, '532932', '云鹤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.117,26.5715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44631, 3627, '532932', '草海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.199,26.6185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44632, 3627, '532932', '西邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.205,26.2948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44633, 3627, '532932', '龙开口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.367,26.4833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44634, 3627, '532932', '黄坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.2,26.1259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44635, 3627, '532932', '辛屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.211,26.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44636, 3628, '532930', '邓川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.05,25.9965', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44637, 3628, '532930', '三营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9575,26.2157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44638, 3628, '532930', '西山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7668,25.7324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44639, 3628, '532930', '右所镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.008,26.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44640, 3628, '532930', '凤羽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9667,25.8876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44641, 3628, '532930', '炼铁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8703,25.8728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44642, 3628, '532930', '茈碧湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8415,26.2045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44643, 3628, '532930', '乔后镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6014,26.1903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44644, 3628, '532930', '牛街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.054,26.428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44645, 3629, '532924', '州城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.582,25.7627', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44646, 3629, '532924', '大营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.292,25.8102', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44647, 3629, '532924', '宾居镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.426,25.7014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44648, 3629, '532924', '力角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.561,25.8867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44649, 3629, '532924', '钟英傈僳族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.793,26.1859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44650, 3629, '532924', '平川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.741,26.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44651, 3629, '532924', '金牛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.564,25.888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44652, 3629, '532924', '拉乌彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.816,25.9303', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44653, 3629, '532924', '乔甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.634,25.7498', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44654, 3629, '532924', '鸡足山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.493,25.9566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44655, 3630, '532929', '漕涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0099,26.0325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44656, 3630, '532929', '检槽乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2622,26.2256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44657, 3630, '532929', '宝丰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2559,25.8184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44658, 3630, '532929', '民建乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9186,25.6293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44659, 3630, '532929', '苗尾傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0264,26.133', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44660, 3630, '532929', '团结彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5696,25.7827', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44661, 3630, '532929', '诺邓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3216,25.997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44662, 3630, '532929', '白石镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3632,26.3266', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44663, 3630, '532929', '关坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4775,25.9351', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44664, 3630, '532929', '长新乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4937,26.2169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44665, 3630, '532929', '功果桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2822,25.7683', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44666, 3631, '532901', '下关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.172,25.6452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44667, 3631, '532901', '银桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.047,25.7481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44668, 3631, '532901', '上关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.104,25.9707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44669, 3631, '532901', '海东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.148,25.7794', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44670, 3631, '532901', '双廊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.225,26.0184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44671, 3631, '532901', '挖色镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.313,25.9134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44672, 3631, '532901', '大理镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.087,25.692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44673, 3631, '532901', '太邑彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.087,25.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44674, 3631, '532901', '湾桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.075,25.8061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44675, 3631, '532901', '大理创新工业园区天井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.249,25.6064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44676, 3631, '532901', '喜洲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.034,25.8093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44677, 3631, '532901', '大理创新工业园区满江街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.342,25.6686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44678, 3631, '532901', '大理创新工业园区凤仪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.294,25.6078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44679, 3632, '532923', '祥城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.438,25.5511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44680, 3632, '532923', '下庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.877,25.3526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44681, 3632, '532923', '刘厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.802,25.5139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44682, 3632, '532923', '沙龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.614,25.3912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44683, 3632, '532923', '鹿鸣乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.772,25.2051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44684, 3632, '532923', '普棚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.999,25.412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44685, 3632, '532923', '云南驿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.606,25.3723', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44686, 3632, '532923', '东山彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.949,25.6595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44687, 3632, '532923', '米甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.688,25.8437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44688, 3632, '532923', '禾甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.706,25.66', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44689, 3633, '532922', '龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8753,25.3335', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44690, 3633, '532922', '鸡街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9311,25.3504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44691, 3633, '532922', '瓦厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9355,25.3468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44692, 3633, '532922', '平坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.051,25.6197', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44693, 3633, '532922', '太平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7674,25.6534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44694, 3633, '532922', '富恒乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7719,25.7324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44695, 3633, '532922', '顺濞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9325,25.6066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44696, 3633, '532922', '苍山西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8733,25.7465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44697, 3633, '532922', '漾江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8113,25.7185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44698, 3634, '532928', '龙门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4214,25.5899', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44699, 3634, '532928', '厂街彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5799,25.3792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44700, 3634, '532928', '水泄彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8207,25.0876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44701, 3634, '532928', '博南镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3594,25.5462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44702, 3634, '532928', '杉阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3058,25.3439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44703, 3634, '532928', '龙街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8786,25.3178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44704, 3634, '532928', '北斗彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6326,25.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44705, 3635, '532927', '永建镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.139,25.526', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44706, 3635, '532927', '五印乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.231,25.1957', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44707, 3635, '532927', '大仓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.224,25.4198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44708, 3635, '532927', '庙街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.255,25.3475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44709, 3635, '532927', '紫金乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.998,25.5167', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44710, 3635, '532927', '牛街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.09,25.0769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44711, 3635, '532927', '巍宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.281,25.1837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44712, 3635, '532927', '马鞍山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.111,25.3861', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44713, 3635, '532927', '青华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.255,25.1339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44714, 3635, '532927', '南诏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.226,25.1835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44715, 3636, '532925', '牛街彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.649,24.9448', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44716, 3636, '532925', '寅街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.583,25.3139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44717, 3636, '532925', '红岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.437,25.523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44718, 3636, '532925', '密祉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.514,25.235', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44719, 3636, '532925', '弥城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.522,25.3866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44720, 3636, '532925', '苴力镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.641,25.1451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44721, 3636, '532925', '德苴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.613,25.0796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44722, 3636, '532925', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.469,25.3884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44723, 3637, '532926', '公郎镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.37,24.7267', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44724, 3637, '532926', '碧溪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.246,24.9581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44725, 3637, '532926', '小湾东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.276,24.809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44726, 3637, '532926', '乐秋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.307,25.0431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44727, 3637, '532926', '南涧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.399,25.1355', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44728, 3637, '532926', '无量山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.638,24.898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44729, 3637, '532926', '拥翠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.357,24.9598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44730, 3637, '532926', '宝华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.53,24.9342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44731, 3638, '530721', '太安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.089,26.8835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44732, 3638, '530721', '大具乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.293,27.0781', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44733, 3638, '530721', '鲁甸乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3927,27.2015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44734, 3638, '530721', '鸣音镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.382,27.3533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44735, 3638, '530721', '奉科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.319,27.5694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44736, 3638, '530721', '黄山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.185,26.8765', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44737, 3638, '530721', '石鼓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6536,26.8878', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44738, 3638, '530721', '塔城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5436,27.5682', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44739, 3638, '530721', '宝山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.243,27.5679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44740, 3638, '530721', '石头白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5683,26.8417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44741, 3638, '530721', '白沙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.289,27.0696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44742, 3638, '530721', '拉市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.073,26.8516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44743, 3638, '530721', '巨甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5518,27.3486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44744, 3638, '530721', '九河白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9199,26.7938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44745, 3638, '530721', '黎明傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.549,27.1155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44746, 3638, '530721', '龙蟠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.06,26.9658', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44747, 3639, '530702', '金山白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.29,26.9231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44748, 3639, '530702', '西安街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.248,26.9087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44749, 3639, '530702', '金江白族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.337,26.6676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44750, 3639, '530702', '金安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.374,26.9031', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44751, 3639, '530702', '大东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.337,27.1532', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44752, 3639, '530702', '束河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.32,27.0764', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44753, 3639, '530702', '大研街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.282,26.8919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44754, 3639, '530702', '祥和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.233,26.8672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44755, 3639, '530702', '七河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.39,26.739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44756, 3640, '530724', '新营盘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.831,27.0475', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44757, 3640, '530724', '大兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.784,27.3056', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44758, 3640, '530724', '跑马坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.904,26.9426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44759, 3640, '530724', '永宁坪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.894,26.6523', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44760, 3640, '530724', '拉伯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.412,27.8178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44761, 3640, '530724', '西川乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.524,27.0439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44762, 3640, '530724', '金棉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.516,27.2775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44763, 3640, '530724', '烂泥箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.093,27.2013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44764, 3640, '530724', '红桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.898,27.5419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44765, 3640, '530724', '西布河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.711,26.8082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44766, 3640, '530724', '宁利乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.644,27.213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44767, 3640, '530724', '蝉战河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.106,26.9443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44768, 3640, '530724', '战河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.786,26.7644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44769, 3640, '530724', '翠玉傈僳族普米族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.501,27.4948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44770, 3640, '530724', '永宁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.771,27.6199', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44771, 3641, '530722', '片角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.57,25.9857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44772, 3641, '530722', '期纳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.693,26.4033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44773, 3641, '530722', '大安彝族纳西族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.582,26.7589', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44774, 3641, '530722', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.978,26.4441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44775, 3641, '530722', '光华傈僳族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.671,26.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44776, 3641, '530722', '永北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.722,26.7305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44777, 3641, '530722', '六德傈僳族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.878,26.4411', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44778, 3641, '530722', '三川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.733,26.8213', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44779, 3641, '530722', '程海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.676,26.6799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44780, 3641, '530722', '鲁地拉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.665,26.2932', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44781, 3641, '530722', '顺州镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.401,26.697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44782, 3641, '530722', '松坪傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.519,27.0495', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44783, 3641, '530722', '东山傈僳族彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.816,26.4488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44784, 3641, '530722', '涛源镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.55,26.4304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44785, 3641, '530722', '羊坪彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.79,26.7273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44786, 3642, '530723', '中心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.2,26.6514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44787, 3642, '530723', '兴泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.449,26.732', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44788, 3642, '530723', '船房傈僳族傣族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.215,26.7933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44789, 3642, '530723', '通达傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.09,26.71', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44790, 3642, '530723', '荣将镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.319,26.5775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44791, 3642, '530723', '新庄傈僳族傣族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.081,26.6504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44792, 3642, '530723', '石龙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.39,26.4374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44793, 3642, '530723', '永兴傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.094,26.803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44794, 3643, '533422', '云岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9104,28.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44795, 3643, '533422', '奔子栏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9784,28.3261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44796, 3643, '533422', '拖顶乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3473,27.8166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44797, 3643, '533422', '佛山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8364,28.7249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44798, 3643, '533422', '升平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8187,28.652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44799, 3643, '533422', '羊拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1079,28.8022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44800, 3643, '533422', '燕门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9066,28.2162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44801, 3643, '533422', '霞若乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1898,28.1815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44802, 3644, '533401', '上江乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5656,27.5624', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44803, 3644, '533401', '五境乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4691,27.688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44804, 3644, '533401', '小中甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6848,27.6695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44805, 3644, '533401', '建塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5827,27.8595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44806, 3644, '533401', '三坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.17,27.2911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44807, 3644, '533401', '金江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6772,27.2789', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44808, 3644, '533401', '虎跳峡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9228,27.4487', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44809, 3644, '533401', '洛吉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.068,28.0665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44810, 3644, '533401', '格咱乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.511,28.259', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44811, 3644, '533401', '东旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6922,28.8194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44812, 3644, '533401', '尼西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3988,28.2458', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44813, 3645, '533423', '塔城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2371,27.5739', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44814, 3645, '533423', '攀天阁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2683,27.4046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44815, 3645, '533423', '白济汛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0411,27.5477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44816, 3645, '533423', '永春乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3691,26.9116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44817, 3645, '533423', '维登乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0138,27.0249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44818, 3645, '533423', '保和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3834,27.2131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44819, 3645, '533423', '叶枝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8331,27.7233', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44820, 3645, '533423', '巴迪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8923,27.9453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44821, 3645, '533423', '康普乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1328,27.6231', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44822, 3645, '533423', '中路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0129,27.1111', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44823, 3646, '532801', '橄榄坝农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.936,21.8489', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44824, 3646, '532801', '景哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.878,21.9311', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44825, 3646, '532801', '基诺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.968,21.9418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44826, 3646, '532801', '勐旺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.192,22.373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44827, 3646, '532801', '景洪工业园区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.763,22.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44828, 3646, '532801', '景讷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.81,22.5796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44829, 3646, '532801', '勐罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.893,21.9388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44830, 3646, '532801', '西双版纳州度假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.799,21.9788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44831, 3646, '532801', '嘎洒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.632,21.9875', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44832, 3646, '532801', '勐养农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.89,22.0844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44833, 3646, '532801', '大渡岗农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.93,22.3554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44834, 3646, '532801', '景洪农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.781,21.9943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44835, 3646, '532801', '勐养镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.899,22.0659', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44836, 3646, '532801', '东风农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.739,21.6994', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44837, 3646, '532801', '允景洪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.78,21.9958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44838, 3646, '532801', '普文镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.193,22.4066', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44839, 3646, '532801', '勐龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.492,21.5867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44840, 3646, '532801', '西双版纳监狱', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.065,22.4533', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44841, 3646, '532801', '大渡岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.847,22.2522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44842, 3647, '532822', '勐混镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.315,21.7871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44843, 3647, '532822', '勐往乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.609,22.3033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44844, 3647, '532822', '布朗山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.183,21.6743', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44845, 3647, '532822', '勐海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.322,22.0786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44846, 3647, '532822', '勐阿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.445,22.2938', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44847, 3647, '532822', '格朗和乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.473,21.9069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44848, 3647, '532822', '打洛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.259,21.8176', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44849, 3647, '532822', '勐宋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.592,22.2401', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44850, 3647, '532822', '西定乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.065,22.0262', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44851, 3647, '532822', '勐满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.228,22.1742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44852, 3647, '532822', '黎明农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.307,22.0193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44853, 3647, '532822', '勐遮镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.309,21.9813', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44854, 3648, '532823', '关累镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.189,21.5564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44855, 3648, '532823', '勐满镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.275,21.3525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44856, 3648, '532823', '瑶区乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.49,21.9135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44857, 3648, '532823', '勐醒农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.353,21.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44858, 3648, '532823', '西双版纳磨憨经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.591,21.3544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44859, 3648, '532823', '象明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.368,22.3609', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44860, 3648, '532823', '勐仑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.343,21.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44861, 3648, '532823', '勐伴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.589,21.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44862, 3648, '532823', '勐腊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.726,21.4737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44863, 3648, '532823', '勐腊农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.563,21.4733', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44864, 3648, '532823', '勐满农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.313,21.3914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44865, 3648, '532823', '易武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.425,22.1449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44866, 3648, '532823', '勐捧农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.335,21.4121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44867, 3648, '532823', '勐捧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.368,21.5831', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44868, 3649, '530113', '汤丹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.009,26.2663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44869, 3649, '530113', '红土地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.905,26.1482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44870, 3649, '530113', '乌龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.125,26.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44871, 3649, '530113', '因民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.005,26.3192', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44872, 3649, '530113', '舍块乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.801,26.2863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44873, 3649, '530113', '拖布卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.079,26.4508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44874, 3649, '530113', '铜都街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.133,26.0832', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44875, 3649, '530113', '阿旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.181,25.8122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44876, 3650, '530129', '鸡街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.819,25.7292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44877, 3650, '530129', '七星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.341,25.5973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44878, 3650, '530129', '甸沙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.104,25.7697', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44879, 3650, '530129', '先锋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.016,25.5668', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44880, 3650, '530129', '河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.495,25.8255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44881, 3650, '530129', '柯渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.835,25.5843', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44882, 3650, '530129', '六哨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.947,25.7228', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44883, 3650, '530129', '凤合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.047,25.8951', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44884, 3650, '530129', '功山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.313,25.8408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44885, 3650, '530129', '倘甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.862,25.705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44886, 3650, '530129', '仁德街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.196,25.6982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44887, 3650, '530129', '羊街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.114,25.4382', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44888, 3650, '530129', '联合乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.908,25.9322', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44889, 3650, '530129', '昆明倘甸产业园区轿子山旅游开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.938,26.0166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44890, 3650, '530129', '金源乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.131,25.9265', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44891, 3651, '530102', '红云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.699,25.1023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44892, 3651, '530102', '华山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.695,25.0581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44893, 3651, '530102', '大观街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.689,25.0395', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44894, 3651, '530102', '莲华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.706,25.0912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44895, 3651, '530102', '西翥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.572,25.279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44896, 3651, '530102', '龙翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.69,25.0541', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44897, 3651, '530102', '普吉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.647,25.1069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44898, 3651, '530102', '黑林铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.616,25.0898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44899, 3651, '530102', '丰宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.667,25.0716', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44900, 3651, '530102', '昆明国家高新技术产业开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.647,25.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44901, 3651, '530102', '护国街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.712,25.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44902, 3652, '530112', '团结街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.417,25.0688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44903, 3652, '530112', '永昌街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.715,25.0238', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44904, 3652, '530112', '马街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.618,25.0044', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44905, 3652, '530112', '海口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.605,24.8287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44906, 3652, '530112', '西苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.665,25.0422', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44907, 3652, '530112', '福海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.654,24.9888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44908, 3652, '530112', '金碧街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.706,25.0331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44909, 3652, '530112', '前卫街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.711,25.0036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44910, 3652, '530112', '棕树营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.669,25.033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44911, 3652, '530112', '碧鸡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.613,24.926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44912, 3652, '530112', '昆明滇池国家旅游度假区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.676,25.002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44913, 3653, '530125', '汤池街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.062,25.0974', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44914, 3653, '530125', '北古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.206,25.0514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44915, 3653, '530125', '耿家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.234,25.1567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44916, 3653, '530125', '马街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.179,25.2304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44917, 3653, '530125', '狗街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.105,24.772', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44918, 3653, '530125', '匡远街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.214,24.9479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44919, 3653, '530125', '竹山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.037,24.6205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44920, 3653, '530125', '九乡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.301,25.0109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44921, 3654, '530126', '圭山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.593,24.7417', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44922, 3654, '530126', '西街口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.485,24.8388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44923, 3654, '530126', '大可乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.174,24.6079', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44924, 3654, '530126', '鹿阜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.427,24.9714', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44925, 3654, '530126', '长湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.46,24.7695', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44926, 3655, '530114', '七甸街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.925,24.873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44927, 3655, '530114', '大渔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.822,24.8253', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44928, 3655, '530114', '乌龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.803,24.8735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44929, 3655, '530114', '龙城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.797,24.8766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44930, 3655, '530114', '洛龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.864,24.8879', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44931, 3655, '530114', '雨花街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.818,24.8138', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44932, 3655, '530114', '马金铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.844,24.8085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44933, 3655, '530114', '斗南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.787,24.8799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44934, 3655, '530114', '吴家营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.919,24.864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44935, 3655, '530114', '洛羊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.88,24.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44936, 3656, '530115', '双河彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.498,24.5426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44937, 3656, '530115', '上蒜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.711,24.7096', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44938, 3656, '530115', '二街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.533,24.7205', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44939, 3656, '530115', '昆阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.54,24.7343', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44940, 3656, '530115', '晋城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.753,24.5615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44941, 3656, '530115', '夕阳彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.218,24.514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44942, 3656, '530115', '六街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.732,24.5836', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44943, 3657, '530181', '禄脿街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.228,25.0004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44944, 3657, '530181', '县街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.302,24.8293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44945, 3657, '530181', '太平新城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.531,24.9279', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44946, 3657, '530181', '草铺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.352,24.9692', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44947, 3657, '530181', '青龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.251,25.0088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44948, 3657, '530181', '温泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.36,24.9834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44949, 3657, '530181', '八街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.38,24.7631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44950, 3657, '530181', '金方街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.515,24.8973', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44951, 3657, '530181', '连然街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.474,24.9443', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44952, 3658, '530124', '赤鹫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.565,25.4363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44953, 3658, '530124', '散旦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.645,25.3674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44954, 3658, '530124', '东村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.661,25.5598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44955, 3658, '530124', '罗免镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.491,25.3964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44956, 3658, '530124', '款庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.573,25.4392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44957, 3658, '530124', '永定街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.48,25.3263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44958, 3659, '530128', '九龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.742,25.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44959, 3659, '530128', '团街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.465,25.7696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44960, 3659, '530128', '中屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.728,25.982', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44961, 3659, '530128', '转龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.841,26.0673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44962, 3659, '530128', '皎平渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.36,26.2112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44963, 3659, '530128', '茂山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.376,25.8078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44964, 3659, '530128', '云龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.362,25.9923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44965, 3659, '530128', '乌东德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.451,26.3055', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44966, 3659, '530128', '雪山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.789,26.1015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44967, 3659, '530128', '撒营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.394,26.0859', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44968, 3659, '530128', '翠华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.625,25.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44969, 3659, '530128', '乌蒙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.774,26.1459', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44970, 3659, '530128', '马鹿塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.555,26.2216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44971, 3659, '530128', '汤郎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.369,26.2445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44972, 3659, '530128', '屏山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.502,25.4903', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44973, 3659, '530128', '禄劝工业园区管理委员会', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.5,25.4987', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44974, 3659, '530128', '则黑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.788,26.2997', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44975, 3660, '530111', '太和街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.716,25.0305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44976, 3660, '530111', '昆明经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.82,24.9844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44977, 3660, '530111', '吴井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.729,25.033', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44978, 3660, '530111', '官渡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.745,24.9628', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44979, 3660, '530111', '关上街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.742,25.0175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44980, 3660, '530111', '六甲街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.721,24.9707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44981, 3660, '530111', '大板桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.915,24.9837', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44982, 3660, '530111', '小板桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.781,25.0028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44983, 3660, '530111', '阿拉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.796,24.9864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44984, 3660, '530111', '金马街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.781,25.0024', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44985, 3660, '530111', '矣六街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.774,24.9631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44986, 3661, '530103', '松华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.795,25.419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44987, 3661, '530103', '盘龙区阿子营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.752,25.4074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44988, 3661, '530103', '茨坝街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.76,25.1992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44989, 3661, '530103', '盘龙区滇源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.914,25.2178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44990, 3661, '530103', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.712,25.0576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44991, 3661, '530103', '联盟街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.722,25.0751', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44992, 3661, '530103', '拓东街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.717,25.0381', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44993, 3661, '530103', '双龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.827,25.1527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44994, 3661, '530103', '东华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.744,25.0566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44995, 3661, '530103', '龙泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.78,25.0886', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44996, 3661, '530103', '金辰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.748,25.0958', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44997, 3661, '530103', '青云街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.755,25.0817', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44998, 3662, '530127', '杨林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.043,25.2784', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (44999, 3662, '530127', '小街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.204,25.4164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45000, 3662, '530127', '嵩阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.157,25.3927', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45001, 3662, '530127', '牛栏江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.236,25.3662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45002, 3662, '530127', '杨桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.919,25.3373', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45003, 3663, '530823', '景福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.59,24.4151', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45004, 3663, '530823', '安定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.619,24.7403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45005, 3663, '530823', '文龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.691,24.69', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45006, 3663, '530823', '文井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.934,24.4141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45007, 3663, '530823', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.649,24.5554', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45008, 3663, '530823', '太忠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.914,24.5631', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45009, 3663, '530823', '龙街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.882,24.5406', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45010, 3663, '530823', '曼等乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.555,24.3708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45011, 3663, '530823', '漫湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.45,24.6219', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45012, 3663, '530823', '大街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.022,24.4022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45013, 3663, '530823', '花山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.082,24.3128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45014, 3663, '530823', '林街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.666,24.4953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45015, 3663, '530823', '大朝山东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.613,24.2283', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45016, 3664, '530825', '古城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.078,23.8632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45017, 3664, '530825', '按板镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.914,23.7839', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45018, 3664, '530825', '田坝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.92,23.7453', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45019, 3664, '530825', '九甲镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.245,24.2808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45020, 3664, '530825', '者东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.321,24.1555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45021, 3664, '530825', '恩乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.946,23.9477', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45022, 3664, '530825', '振太镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.423,23.9676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45023, 3664, '530825', '勐大镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.745,24.3339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45024, 3664, '530825', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.44,23.8491', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45025, 3665, '530822', '团田镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.165,23.7447', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45026, 3665, '530822', '孟弄彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.428,23.7215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45027, 3665, '530822', '龙坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.728,23.3515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45028, 3665, '530822', '坝溜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.013,23.0803', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45029, 3665, '530822', '鱼塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.48,23.1981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45030, 3665, '530822', '泗南江镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.702,23.1684', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45031, 3665, '530822', '新抚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.177,23.7298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45032, 3665, '530822', '雅邑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.717,23.3053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45033, 3665, '530822', '新安镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.616,23.6362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45034, 3665, '530822', '通关镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.501,23.3595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45035, 3665, '530822', '那哈乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.842,23.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45036, 3665, '530822', '文武镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.705,23.0633', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45037, 3665, '530822', '龙潭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.533,23.1077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45038, 3665, '530822', '联珠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.635,23.6296', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45039, 3665, '530822', '景星镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.433,23.5977', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45040, 3666, '530824', '正兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.044,23.4849', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45041, 3666, '530824', '永平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.398,23.5431', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45042, 3666, '530824', '半坡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.291,23.134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45043, 3666, '530824', '民乐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.364,23.6077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45044, 3666, '530824', '勐班乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.297,23.1332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45045, 3666, '530824', '益智乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.554,23.3841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45046, 3666, '530824', '威远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.649,23.3694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45047, 3666, '530824', '碧安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.537,23.2917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45048, 3666, '530824', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.766,23.5876', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45049, 3666, '530824', '景谷镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.583,23.7286', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45050, 3667, '530821', '同心镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.948,22.9762', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45051, 3667, '530821', '普义乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.328,22.9766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45052, 3667, '530821', '梅子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.062,23.4707', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45053, 3667, '530821', '勐先镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.152,23.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45054, 3667, '530821', '德化镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.795,23.0181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45055, 3667, '530821', '宁洱镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.1,23.2255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45056, 3667, '530821', '黎明乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.513,22.9022', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45057, 3667, '530821', '德安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.163,23.4694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45058, 3667, '530821', '磨黑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.099,23.2194', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45059, 3668, '530802', '六顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.845,22.7158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45060, 3668, '530802', '思茅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.063,22.8651', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45061, 3668, '530802', '思茅港镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.483,22.822', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45062, 3668, '530802', '云仙彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.712,23.0744', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45063, 3668, '530802', '倚象镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.013,22.7439', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45064, 3668, '530802', '南屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.865,22.8944', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45065, 3668, '530802', '龙潭彝族傣族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.566,22.7964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45066, 3669, '530829', '中课镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5831,22.687', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45067, 3669, '530829', '勐卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4284,22.8046', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45068, 3669, '530829', '勐梭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5122,22.6904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45069, 3669, '530829', '岳宋乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3582,22.7576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45070, 3669, '530829', '力所拉祜族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3825,22.6544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45071, 3669, '530829', '翁嘎科镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5262,22.5185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45072, 3669, '530829', '新厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5401,22.8132', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45073, 3670, '530828', '木戛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6067,23.088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45074, 3670, '530828', '东河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9669,22.869', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45075, 3670, '530828', '大山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9794,23.0493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45076, 3670, '530828', '上允镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7711,23.1913', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45077, 3670, '530828', '南岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8822,22.8271', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45078, 3670, '530828', '糯扎渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.179,22.4507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45079, 3670, '530828', '发展河哈尼族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.115,22.3399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45080, 3670, '530828', '拉巴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7728,22.6481', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45081, 3670, '530828', '糯福乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9078,22.3372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45082, 3670, '530828', '酒井哈尼族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9685,22.2888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45083, 3670, '530828', '安康佤族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.657,23.0778', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45084, 3670, '530828', '勐朗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9476,22.4923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45085, 3670, '530828', '谦六彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.083,22.8785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45086, 3670, '530828', '竹塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6709,22.9112', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45087, 3670, '530828', '文东佤族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8436,23.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45088, 3670, '530828', '富邦乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7923,22.8686', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45089, 3670, '530828', '惠民镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9774,22.2884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45090, 3670, '530828', '雪林佤族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6593,23.0978', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45091, 3670, '530828', '富东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9269,23.1615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45092, 3670, '530828', '东回镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8852,22.348', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45093, 3671, '530826', '国庆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.751,22.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45094, 3671, '530826', '嘉禾乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.868,22.8076', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45095, 3671, '530826', '勐烈镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.811,22.5093', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45096, 3671, '530826', '康平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.316,22.7408', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45097, 3671, '530826', '宝藏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.741,22.596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45098, 3671, '530826', '整董镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.489,22.4796', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45099, 3671, '530826', '曲水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.011,22.614', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45100, 3672, '530827', '富岩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3144,22.4047', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45101, 3672, '530827', '公信乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3251,22.4053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45102, 3672, '530827', '芒信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6645,22.1993', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45103, 3672, '530827', '娜允镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4573,22.3452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45104, 3672, '530827', '景信乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.657,22.3681', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45105, 3672, '530827', '勐马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1998,22.2175', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45106, 3673, '532626', '官寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.146,24.44', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45107, 3673, '532626', '天星乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.266,24.0059', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45108, 3673, '532626', '双龙营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.228,24.3981', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45109, 3673, '532626', '温浏乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.352,24.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45110, 3673, '532626', '锦屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.189,24.088', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45111, 3673, '532626', '平寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.276,24.0799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45112, 3673, '532626', '腻脚彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.823,24.0694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45113, 3673, '532626', '舍得彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.876,24.3566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45114, 3673, '532626', '曰者镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.932,24.2268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45115, 3673, '532626', '树皮彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.095,24.0127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45116, 3673, '532626', '新店彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.767,24.2023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45117, 3673, '532626', '八道哨彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.032,24.0237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45118, 3674, '532627', '那洒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.658,23.699', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45119, 3674, '532627', '黑支果乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.173,23.7181', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45120, 3674, '532627', '八宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.34,23.8536', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45121, 3674, '532627', '珠街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.956,23.8257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45122, 3674, '532627', '篆角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.993,23.5345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45123, 3674, '532627', '杨柳井乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.197,23.9356', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45124, 3674, '532627', '曙光乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.109,23.8494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45125, 3674, '532627', '董堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.049,23.907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45126, 3674, '532627', '者太乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.712,24.3122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45127, 3674, '532627', '南屏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.3,23.6162', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45128, 3674, '532627', '莲城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.121,23.9708', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45129, 3674, '532627', '五珠乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.765,23.9388', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45130, 3674, '532627', '珠琳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.689,24.0436', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45131, 3674, '532627', '者兔乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.732,24.2509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45132, 3674, '532627', '底圩乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.781,24.3577', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45133, 3674, '532627', '旧莫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.892,24.0706', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45134, 3674, '532627', '板蚌乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.372,23.9947', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45135, 3674, '532627', '坝美镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.762,24.3694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45136, 3675, '532622', '者腊乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.456,23.6912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45137, 3675, '532622', '蚌峨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.555,23.5954', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45138, 3675, '532622', '稼依管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.31,23.5268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45139, 3675, '532622', '维末彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.419,23.8763', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45140, 3675, '532622', '回龙管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.796,23.6676', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45141, 3675, '532622', '江那镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.329,23.5547', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45142, 3675, '532622', '八嘎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.412,23.4437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45143, 3675, '532622', '阿舍彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.787,23.6329', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45144, 3675, '532622', '干河彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.311,23.7555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45145, 3675, '532622', '阿猛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.468,23.7291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45146, 3675, '532622', '平远镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.859,23.7685', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45147, 3675, '532622', '盘龙彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.253,23.5017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45148, 3675, '532622', '稼依镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.011,23.7367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45149, 3675, '532622', '平远管理区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.809,23.7385', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45150, 3676, '532623', '柏林乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.708,23.2643', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45151, 3676, '532623', '西洒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.748,23.5152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45152, 3676, '532623', '新马街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.492,23.2052', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45153, 3676, '532623', '法斗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.69,23.3874', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45154, 3676, '532623', '兴街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.588,23.3134', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45155, 3676, '532623', '鸡街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.793,23.4637', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45156, 3676, '532623', '莲花塘乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.508,23.3407', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45157, 3676, '532623', '蚌谷乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.584,23.3083', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45158, 3676, '532623', '董马乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.805,23.4574', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45159, 3677, '532601', '东山彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.258,23.3696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45160, 3677, '532601', '柳井彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.27,23.2002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45161, 3677, '532601', '新平街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.224,23.3124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45162, 3677, '532601', '卧龙街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.174,23.4506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45163, 3677, '532601', '小街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.069,23.2907', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45164, 3677, '532601', '红甸回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.939,23.6161', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45165, 3677, '532601', '薄竹镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104,23.4984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45166, 3677, '532601', '喜古乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.092,23.4341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45167, 3677, '532601', '新街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.976,23.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45168, 3677, '532601', '古木镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.171,23.2737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45169, 3677, '532601', '秉烈彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.997,23.5979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45170, 3677, '532601', '追栗街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.338,23.3045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45171, 3677, '532601', '平坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.139,23.3215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45172, 3677, '532601', '马塘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.026,23.4645', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45173, 3677, '532601', '德厚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.794,23.4777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45174, 3677, '532601', '坝心彝族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.998,23.4087', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45175, 3677, '532601', '开化街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.174,23.3442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45176, 3678, '532624', '杨万乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.923,23.313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45177, 3678, '532624', '大坪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.56,23.1535', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45178, 3678, '532624', '马街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.995,23.4403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45179, 3678, '532624', '八布乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.784,23.2512', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45180, 3678, '532624', '铁厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.968,23.3678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45181, 3678, '532624', '下金厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.78,23.1361', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45182, 3678, '532624', '天保镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.657,23.0139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45183, 3678, '532624', '猛硐瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.724,22.8211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45184, 3678, '532624', '麻栗镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.635,23.1571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45185, 3678, '532624', '董干镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.103,23.392', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45186, 3678, '532624', '六河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.946,23.4029', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45187, 3679, '532625', '金厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.461,22.7918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45188, 3679, '532625', '古林箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.953,22.8798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45189, 3679, '532625', '南捞乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.452,23.0122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45190, 3679, '532625', '小坝子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.337,22.8215', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45191, 3679, '532625', '篾厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '103.959,22.9304', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45192, 3679, '532625', '八寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.095,23.1184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45193, 3679, '532625', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.224,23.0144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45194, 3679, '532625', '大栗树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.09,23.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45195, 3679, '532625', '夹寒箐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.32,22.855', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45196, 3679, '532625', '都龙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.624,22.8289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45197, 3679, '532625', '木厂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.16,23.0007', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45198, 3679, '532625', '坡脚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.27,23.1125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45199, 3679, '532625', '马白镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '104.37,23.0929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45200, 3680, '532628', '里达镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.53,23.573', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45201, 3680, '532628', '阿用乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.523,24.1073', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45202, 3680, '532628', '田蓬镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.642,23.44', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45203, 3680, '532628', '新华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.542,23.679', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45204, 3680, '532628', '归朝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.957,23.7131', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45205, 3680, '532628', '花甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.477,23.8479', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45206, 3680, '532628', '那能乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.731,23.9635', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45207, 3680, '532628', '洞波瑶族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.724,23.9051', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45208, 3680, '532628', '者桑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.945,23.865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45209, 3680, '532628', '板仑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.707,23.6352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45210, 3680, '532628', '木央镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.239,23.4629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45211, 3680, '532628', '谷拉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.99,23.6792', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45212, 3680, '532628', '剥隘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '105.998,24.1177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45213, 3681, '532326', '湾碧傣族傈僳族自治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.994,26.2419', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45214, 3681, '532326', '金碧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.343,25.7948', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45215, 3681, '532326', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.054,25.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45216, 3681, '532326', '昙华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.135,26.0519', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45217, 3681, '532326', '石羊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.083,25.9807', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45218, 3681, '532326', '桂花镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.184,26.1078', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45219, 3681, '532326', '六苴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.303,25.9281', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45220, 3681, '532326', '铁锁乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.053,26.1399', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45221, 3681, '532326', '三台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.189,26.0787', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45222, 3681, '532326', '龙街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.423,25.7178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45223, 3681, '532326', '新街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.294,25.8694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45224, 3681, '532326', '赵家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.387,25.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45225, 3682, '532328', '平田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.708,25.7441', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45226, 3682, '532328', '凉山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.915,25.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45227, 3682, '532328', '老城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.898,25.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45228, 3682, '532328', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.64,25.7396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45229, 3682, '532328', '元马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.819,25.7005', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45230, 3682, '532328', '黄瓜园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.822,25.8537', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45231, 3682, '532328', '羊街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.829,25.5237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45232, 3682, '532328', '江边乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.836,25.9524', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45233, 3682, '532328', '物茂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.686,25.8755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45234, 3682, '532328', '姜驿乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.984,26.0889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45235, 3683, '532325', '光禄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.174,25.6371', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45236, 3683, '532325', '前场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.323,25.5626', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45237, 3683, '532325', '栋川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.273,25.5844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45238, 3683, '532325', '大河口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.087,25.4188', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45239, 3683, '532325', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.207,25.466', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45240, 3683, '532325', '官屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.011,25.6503', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45241, 3683, '532325', '弥兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.14,25.4314', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45242, 3683, '532325', '适中乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.423,25.5757', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45243, 3683, '532325', '左门乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.066,25.6116', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45244, 3684, '532323', '共和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.431,25.446', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45245, 3684, '532323', '蟠猫乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.516,25.5189', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45246, 3684, '532323', '戌街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.681,25.6372', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45247, 3684, '532323', '安乐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.717,25.5331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45248, 3684, '532323', '江坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.576,25.2847', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45249, 3684, '532323', '凤屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.306,25.4319', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45250, 3684, '532323', '新桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.589,25.4352', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45251, 3685, '532324', '马街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.805,24.9323', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45252, 3685, '532324', '龙川镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.088,25.129', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45253, 3685, '532324', '雨露白族自治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.205,25.1017', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45254, 3685, '532324', '兔街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.768,24.9016', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45255, 3685, '532324', '沙桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.987,25.257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45256, 3685, '532324', '五街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.967,25.2486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45257, 3685, '532324', '五顶山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.787,25.015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45258, 3685, '532324', '罗武庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.799,25.202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45259, 3685, '532324', '一街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.82,25.2257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45260, 3685, '532324', '红土坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.802,25.074', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45261, 3686, '532331', '一平浪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.891,25.3445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45262, 3686, '532331', '妥安乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.671,25.3529', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45263, 3686, '532331', '彩云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.895,25.0799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45264, 3686, '532331', '中村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.051,25.2169', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45265, 3686, '532331', '高峰乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.839,25.4105', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45266, 3686, '532331', '恐龙山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.002,24.9909', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45267, 3686, '532331', '黑井镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.688,25.4071', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45268, 3686, '532331', '广通镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.75,25.2515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45269, 3686, '532331', '勤丰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.283,25.2139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45270, 3686, '532331', '土官镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.16,24.9289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45271, 3686, '532331', '和平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.127,25.2783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45272, 3686, '532331', '碧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.243,25.324', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45273, 3686, '532331', '仁兴镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.389,25.3877', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45274, 3686, '532331', '金山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.062,25.023', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45275, 3687, '532301', '东瓜镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.465,25.1346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45276, 3687, '532301', '吕合镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.469,25.2153', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45277, 3687, '532301', '紫溪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.458,25.1067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45278, 3687, '532301', '大过口乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.118,24.8256', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45279, 3687, '532301', '大地基乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.19,24.7985', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45280, 3687, '532301', '苍岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.621,25.0655', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45281, 3687, '532301', '新村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.169,24.5893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45282, 3687, '532301', '子午镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.575,24.8971', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45283, 3687, '532301', '八角镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.939,24.9426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45284, 3687, '532301', '树苴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.903,24.9925', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45285, 3687, '532301', '西舍路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.999,24.7558', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45286, 3687, '532301', '三街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.99,24.9613', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45287, 3687, '532301', '东华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.246,24.9218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45288, 3687, '532301', '中山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.029,24.9028', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45289, 3687, '532301', '鹿城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.593,24.889', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45290, 3688, '532322', '鄂嘉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.111,24.5216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45291, 3688, '532322', '安龙堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.911,24.504', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45292, 3688, '532322', '大麦地镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.696,24.3405', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45293, 3688, '532322', '大庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.727,24.6556', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45294, 3688, '532322', '独田乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.338,24.5761', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45295, 3688, '532322', '妥甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.739,24.8157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45296, 3688, '532322', '爱尼山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.573,24.6313', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45297, 3688, '532322', '法脿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.816,24.6494', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45298, 3689, '532329', '白路镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.074,25.7442', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45299, 3689, '532329', '狮山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.328,25.6241', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45300, 3689, '532329', '己衣镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.163,26.0587', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45301, 3689, '532329', '猫街镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.073,25.5809', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45302, 3689, '532329', '田心乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.189,25.7293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45303, 3689, '532329', '万德镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.191,26.0336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45304, 3689, '532329', '发窝乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.261,25.9785', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45305, 3689, '532329', '插甸镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.237,25.7511', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45306, 3689, '532329', '东坡傣族自治乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.108,25.9736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45307, 3689, '532329', '高桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '102.073,25.5804', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45308, 3689, '532329', '环州乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.985,25.8931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45309, 3690, '532327', '宜就镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.495,26.0274', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45310, 3690, '532327', '中和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.419,26.2815', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45311, 3690, '532327', '永兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.377,26.2544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45312, 3690, '532327', '维的乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.616,26.1239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45313, 3690, '532327', '猛虎乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.601,26.1012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45314, 3690, '532327', '永定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.646,26.0393', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45315, 3690, '532327', '莲池乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '101.63,26.048', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45316, 3691, '530921', '洛党镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.974,24.5737', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45317, 3691, '530921', '凤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8445,24.6334', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45318, 3691, '530921', '诗礼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.006,25.0193', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45319, 3691, '530921', '鲁史镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.021,24.9551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45320, 3691, '530921', '郭大寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8238,24.3734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45321, 3691, '530921', '腰街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.146,24.632', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45322, 3691, '530921', '三岔河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9265,24.5095', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45323, 3691, '530921', '小湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.006,24.6759', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45324, 3691, '530921', '大寺乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7806,24.7747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45325, 3691, '530921', '勐佑镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8098,24.7037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45326, 3691, '530921', '新华乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.094,24.9473', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45327, 3691, '530921', '雪山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9261,24.4089', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45328, 3691, '530921', '营盘镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.715,24.4721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45329, 3692, '530922', '大寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.181,24.1872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45330, 3692, '530922', '后箐乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.377,24.3897', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45331, 3692, '530922', '茶房乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.15,24.3036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45332, 3692, '530922', '茂兰镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.208,24.6917', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45333, 3692, '530922', '大朝山西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.289,24.0953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45334, 3692, '530922', '幸福农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9521,24.1402', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45335, 3692, '530922', '忙怀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.497,24.5604', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45336, 3692, '530922', '新城农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.152,24.4648', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45337, 3692, '530922', '栗树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.427,24.2367', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45338, 3692, '530922', '漫湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.296,24.6462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45339, 3692, '530922', '晓街乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.316,24.4863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45340, 3692, '530922', '涌宝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.327,24.4157', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45341, 3692, '530922', '爱华镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.126,24.4873', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45342, 3692, '530922', '幸福镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7188,24.1345', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45343, 3693, '530923', '乌木龙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6536,24.2342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45344, 3693, '530923', '勐底农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4705,24.1892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45345, 3693, '530923', '班卡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.404,24.0841', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45346, 3693, '530923', '德党镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3562,23.998', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45347, 3693, '530923', '永康镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4728,24.1914', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45348, 3693, '530923', '小勐统镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2499,24.418', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45349, 3693, '530923', '亚练乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4284,24.2145', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45350, 3693, '530923', '崇岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4607,23.9872', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45351, 3693, '530923', '勐板乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.182,24.1672', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45352, 3693, '530923', '大山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4074,24.019', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45353, 3693, '530923', '大雪山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6103,24.0797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45354, 3694, '530924', '凤尾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9764,23.8883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45355, 3694, '530924', '勐堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9337,23.9898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45356, 3694, '530924', '军赛乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1953,23.7719', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45357, 3694, '530924', '木场乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1805,23.802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45358, 3694, '530924', '忙丙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0754,23.979', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45359, 3694, '530924', '勐捧镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8979,24.1127', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45360, 3694, '530924', '南伞镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.6811,23.8013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45361, 3695, '530902', '南美乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9277,23.9568', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45362, 3695, '530902', '邦东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.289,23.972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45363, 3695, '530902', '章驮乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.9319,23.9553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45364, 3695, '530902', '博尚镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.025,23.8516', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45365, 3695, '530902', '马台乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.192,23.8799', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45366, 3695, '530902', '忙畔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.033,23.9984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45367, 3695, '530902', '凤翔街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.055,23.7438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45368, 3695, '530902', '圈内乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.136,23.6791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45369, 3695, '530902', '蚂蚁堆乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.088,24.2332', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45370, 3695, '530902', '平村乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.319,23.8177', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45371, 3696, '530926', '大兴乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7674,23.8305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45372, 3696, '530926', '芒洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.547,23.5776', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45373, 3696, '530926', '孟定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.2169,23.6629', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45374, 3696, '530926', '孟定农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.9179,23.5013', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45375, 3696, '530926', '勐撒农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5152,23.7828', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45376, 3696, '530926', '勐永镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6127,23.8748', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45377, 3696, '530926', '四排山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5652,23.5646', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45378, 3696, '530926', '贺派乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4084,23.5063', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45379, 3696, '530926', '勐简乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.5242,23.7756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45380, 3696, '530926', '勐撒镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6183,23.8728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45381, 3696, '530926', '耿马华侨农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4365,23.5923', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45382, 3696, '530926', '耿马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4337,23.4756', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45383, 3697, '530925', '大文乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8971,23.3662', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45384, 3697, '530925', '勐勐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8425,23.5218', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45385, 3697, '530925', '沙河乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.7587,23.6185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45386, 3697, '530925', '勐库镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8171,23.599', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45387, 3697, '530925', '忙糯乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '100.109,23.5244', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45388, 3697, '530925', '邦丙乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.8137,23.3429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45389, 3698, '530927', '勐省镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4221,23.3341', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45390, 3698, '530927', '单甲乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.4203,23.0888', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45391, 3698, '530927', '芒卡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0505,23.4857', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45392, 3698, '530927', '勐来乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3383,23.3853', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45393, 3698, '530927', '班洪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.0324,23.3527', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45394, 3698, '530927', '班老乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.8903,23.178', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45395, 3698, '530927', '勐角乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1429,23.2769', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45396, 3698, '530927', '糯良乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.3307,23.2806', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45397, 3698, '530927', '勐省农场', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.416,23.3155', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45398, 3698, '530927', '岩帅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.6354,23.2082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45399, 3698, '530927', '勐董镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '99.1999,23.109', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45400, 3699, '533123', '盏西镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9714,25.0118', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45401, 3699, '533123', '平原镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8059,24.7639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45402, 3699, '533123', '油松岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1447,24.7077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45403, 3699, '533123', '勐弄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9887,24.9509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45404, 3699, '533123', '卡场镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8766,25.0067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45405, 3699, '533123', '苏典傈僳族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7858,25.1468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45406, 3699, '533123', '铜壁关乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6114,24.6515', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45407, 3699, '533123', '弄璋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.952,24.6493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45408, 3699, '533123', '旧城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1864,24.7777', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45409, 3699, '533123', '昔马镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6227,24.735', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45410, 3699, '533123', '太平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7371,24.5825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45411, 3699, '533123', '芒章乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0275,24.8934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45412, 3699, '533123', '支那乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0088,25.1634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45413, 3699, '533123', '新城乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9833,24.8592', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45414, 3699, '533123', '那邦镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.5649,24.7602', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45415, 3700, '533122', '曩宋阿昌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4093,24.8', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45416, 3700, '533122', '芒东镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3327,24.7424', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45417, 3700, '533122', '遮岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3164,24.7413', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45418, 3700, '533122', '河西乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2562,24.8009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45419, 3700, '533122', '九保阿昌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3198,24.7835', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45420, 3700, '533122', '大厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3286,24.7549', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45421, 3700, '533122', '平山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4247,24.8507', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45422, 3700, '533122', '勐养镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.2582,24.6432', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45423, 3700, '533122', '小厂乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3992,24.7394', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45424, 3701, '533124', '景罕镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9591,24.3107', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45425, 3701, '533124', '勐约乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9977,24.2677', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45426, 3701, '533124', '章凤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8262,24.2263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45427, 3701, '533124', '护国乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0629,24.508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45428, 3701, '533124', '清平乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0223,24.5509', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45429, 3701, '533124', '城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.9449,24.4333', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45430, 3701, '533124', '户撒阿昌族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.959,24.5384', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45431, 3701, '533124', '陇把镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8759,24.3344', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45432, 3701, '533124', '王子树乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.0801,24.4555', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45433, 3702, '533103', '芒市镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5092,24.534', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45434, 3702, '533103', '西山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1531,24.3747', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45435, 3702, '533103', '三台山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3727,24.3726', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45436, 3702, '533103', '遮放镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.314,24.291', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45437, 3702, '533103', '风平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4443,24.3502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45438, 3702, '533103', '五岔路乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.3345,24.3638', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45439, 3702, '533103', '芒海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4486,24.1261', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45440, 3702, '533103', '江东乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4232,24.6581', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45441, 3702, '533103', '轩岗乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4206,24.5084', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45442, 3702, '533103', '勐戛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5216,24.3403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45443, 3702, '533103', '勐焕街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.5829,24.4476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45444, 3702, '533103', '中山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.4942,24.1956', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45445, 3703, '533102', '户育乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7729,23.9688', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45446, 3703, '533102', '弄岛镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.6113,23.9396', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45447, 3703, '533102', '勐秀乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8183,23.9972', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45448, 3703, '533102', '勐卯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.8645,24.0456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45449, 3703, '533102', '畹町镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '98.1662,24.1036', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45450, 3703, '533102', '姐相乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '97.7329,23.9596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45451, 3704, '110119', '香营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.209,40.7045', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45452, 3704, '110119', '大庄科乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.304,40.4671', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45453, 3704, '110119', '刘斌堡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.359,40.6082', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45454, 3704, '110119', '儒林街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.96,40.4612', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45455, 3704, '110119', '八达岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.923,40.3247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45456, 3704, '110119', '沈家营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.053,40.5172', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45457, 3704, '110119', '井庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.145,40.3363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45458, 3704, '110119', '永宁镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.329,40.502', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45459, 3704, '110119', '千家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.228,40.6412', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45460, 3704, '110119', '四海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.359,40.598', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45461, 3704, '110119', '珍珠泉乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.462,40.6493', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45462, 3704, '110119', '香水园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.997,40.462', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45463, 3704, '110119', '大榆树镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.062,40.4421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45464, 3704, '110119', '百泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.987,40.4389', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45465, 3704, '110119', '延庆镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.985,40.4689', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45466, 3704, '110119', '旧县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.026,40.6067', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45467, 3704, '110119', '张山营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.977,40.5518', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45468, 3704, '110119', '康庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.882,40.4506', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45469, 3705, '110116', '泉河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.633,40.3239', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45470, 3705, '110116', '琉璃庙镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.664,40.6704', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45471, 3705, '110116', '桥梓镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.546,40.3591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45472, 3705, '110116', '喇叭沟门满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.617,41.0077', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45473, 3705, '110116', '北房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.711,40.3715', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45474, 3705, '110116', '怀北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.675,40.5542', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45475, 3705, '110116', '怀柔镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.636,40.3144', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45476, 3705, '110116', '龙山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.638,40.3065', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45477, 3705, '110116', '汤河口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.555,40.8736', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45478, 3705, '110116', '宝山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.356,40.9364', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45479, 3705, '110116', '北京雁栖经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.696,40.3321', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45480, 3705, '110116', '九渡河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.295,40.4263', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45481, 3705, '110116', '渤海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.388,40.4786', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45482, 3705, '110116', '长哨营满族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.68,40.8621', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45483, 3705, '110116', '庙城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.64,40.3', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45484, 3705, '110116', '杨宋镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.668,40.2783', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45485, 3705, '110116', '雁栖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.517,40.4904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45486, 3706, '110109', '永定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.93,39.9331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45487, 3706, '110109', '斋堂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,39.9801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45488, 3706, '110109', '妙峰山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.945,40.06', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45489, 3706, '110109', '东辛房街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.053,39.911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45490, 3706, '110109', '王平镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.973,39.9564', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45491, 3706, '110109', '城子街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.11,39.9615', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45492, 3706, '110109', '雁翅镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.776,40.1254', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45493, 3706, '110109', '军庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.089,40.0317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45494, 3706, '110109', '龙泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.119,39.9336', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45495, 3706, '110109', '潭柘寺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.933,39.893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45496, 3706, '110109', '大峪街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.087,39.933', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45497, 3706, '110109', '大台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.822,39.9486', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45498, 3706, '110109', '清水镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.51,40.0623', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45499, 3707, '110113', '旺泉街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.644,40.1434', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45500, 3707, '110113', '大孙各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.891,40.1287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45501, 3707, '110113', '高丽营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.512,40.1934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45502, 3707, '110113', '双丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.639,40.1484', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45503, 3707, '110113', '石园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,40.1108', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45504, 3707, '110113', '马坡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.645,40.1729', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45505, 3707, '110113', '杨镇镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.852,40.2025', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45506, 3707, '110113', '仁和镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.649,40.135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45507, 3707, '110113', '北小营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.729,40.2398', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45508, 3707, '110113', '牛栏山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.667,40.2603', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45509, 3707, '110113', '龙湾屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.887,40.2543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45510, 3707, '110113', '赵全营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,40.2445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45511, 3707, '110113', '南法信镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.631,40.1522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45512, 3707, '110113', '北石槽镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.546,40.2749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45513, 3707, '110113', '木林镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.826,40.2883', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45514, 3707, '110113', '李桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.626,40.0634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45515, 3707, '110113', '南彩镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.76,40.1867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45516, 3707, '110113', '北务镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.828,40.0863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45517, 3707, '110113', '光明街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.657,40.1368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45518, 3707, '110113', '张镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.897,40.1728', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45519, 3707, '110113', '胜利街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.646,40.1429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45520, 3707, '110113', '空港街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.502,40.0788', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45521, 3707, '110113', '后沙峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.57,40.1273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45522, 3707, '110113', '李遂镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.747,40.1224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45523, 3707, '110113', '天竺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.607,40.0731', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45524, 3708, '110117', '南独乐河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.182,40.1591', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45525, 3708, '110117', '马坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.013,40.1041', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45526, 3708, '110117', '山东庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.18,40.2416', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45527, 3708, '110117', '金海湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.243,40.1673', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45528, 3708, '110117', '滨河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.1,40.1456', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45529, 3708, '110117', '马昌营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.017,40.1426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45530, 3708, '110117', '峪口地区办事处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.013,40.1426', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45531, 3708, '110117', '兴谷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.146,40.1657', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45532, 3708, '110117', '渔阳地区办事处', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.077,40.1085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45533, 3708, '110117', '黄松峪乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.274,40.3293', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45534, 3708, '110117', '熊儿寨乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.196,40.3232', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45535, 3708, '110117', '夏各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.151,40.1508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45536, 3708, '110117', '刘家店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.993,40.2891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45537, 3708, '110117', '王辛庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.05,40.2273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45538, 3708, '110117', '大兴庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.05,40.1801', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45539, 3708, '110117', '镇罗营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.173,40.3742', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45540, 3708, '110117', '大华山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.055,40.3368', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45541, 3708, '110117', '东高村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.067,40.1069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45542, 3709, '110114', '马池口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.112,40.1834', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45543, 3709, '110114', '南口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.045,40.3166', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45544, 3709, '110114', '崔村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.344,40.2802', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45545, 3709, '110114', '城北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.236,40.2452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45546, 3709, '110114', '霍营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.336,40.0934', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45547, 3709, '110114', '十三陵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.191,40.3734', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45548, 3709, '110114', '南邵镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.301,40.2596', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45549, 3709, '110114', '延寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.295,40.3882', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45550, 3709, '110114', '天通苑北街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.413,40.0844', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45551, 3709, '110114', '北七家镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.427,40.0825', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45552, 3709, '110114', '阳坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.128,40.1727', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45553, 3709, '110114', '小汤山镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.362,40.1525', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45554, 3709, '110114', '东小口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.342,40.0891', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45555, 3709, '110114', '城南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.254,40.1893', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45556, 3709, '110114', '兴寿镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.443,40.2644', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45557, 3709, '110114', '百善镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.302,40.1892', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45558, 3709, '110114', '天通苑南街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.424,40.0593', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45559, 3709, '110114', '沙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.261,40.1139', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45560, 3709, '110114', '回龙观街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.333,40.0709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45561, 3709, '110114', '龙泽园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.332,40.0918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45562, 3709, '110114', '流村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.893,40.2289', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45563, 3709, '110114', '史各庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.259,40.1128', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45564, 3710, '110101', '龙潭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.428,39.8935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45565, 3710, '110101', '东直门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.436,39.9508', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45566, 3710, '110101', '崇文门外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.41,39.8983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45567, 3710, '110101', '东华门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.417,39.9237', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45568, 3710, '110101', '建国门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.424,39.918', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45569, 3710, '110101', '和平里街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.425,39.9622', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45570, 3710, '110101', '安定门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.416,39.9454', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45571, 3710, '110101', '天坛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.399,39.8767', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45572, 3710, '110101', '北新桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.416,39.943', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45573, 3710, '110101', '永定门外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.392,39.8718', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45574, 3710, '110101', '体育馆路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.418,39.8931', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45575, 3710, '110101', '朝阳门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.419,39.9255', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45576, 3710, '110101', '交道口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.399,39.941', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45577, 3710, '110101', '前门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.411,39.8989', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45578, 3710, '110101', '东花市街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.435,39.9014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45579, 3710, '110101', '东四街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.433,39.9339', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45580, 3710, '110101', '景山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.398,39.9326', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45581, 3711, '110105', '团结湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.462,39.9337', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45582, 3711, '110105', '酒仙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.49,39.9569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45583, 3711, '110105', '双井街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.448,39.8905', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45584, 3711, '110105', '常营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.576,39.9438', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45585, 3711, '110105', '大屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.418,40.0185', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45586, 3711, '110105', '安贞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.392,39.9755', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45587, 3711, '110105', '南磨房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.49,39.8674', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45588, 3711, '110105', '劲松街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.49,39.8845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45589, 3711, '110105', '高碑店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.531,39.9225', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45590, 3711, '110105', '十八里店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.459,39.8703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45591, 3711, '110105', '小红门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.446,39.8467', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45592, 3711, '110105', '潘家园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.454,39.8824', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45593, 3711, '110105', '豆各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.543,39.8374', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45594, 3711, '110105', '孙河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,40.0701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45595, 3711, '110105', '金盏镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.542,40.015', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45596, 3711, '110105', '六里屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.483,39.93', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45597, 3711, '110105', '亚运村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.417,39.9959', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45598, 3711, '110105', '和平街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.43,39.9576', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45599, 3711, '110105', '来广营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.407,40.0496', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45600, 3711, '110105', '朝外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.437,39.9284', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45601, 3711, '110105', '望京街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.448,39.9961', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45602, 3711, '110105', '三里屯街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.447,39.9451', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45603, 3711, '110105', '三间房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.582,39.9198', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45604, 3711, '110105', '垡头街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.505,39.862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45605, 3711, '110105', '香河园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.435,39.9696', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45606, 3711, '110105', '东湖街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.487,40.0124', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45607, 3711, '110105', '八里庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.506,39.9106', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45608, 3711, '110105', '奥运村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.417,40.0449', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45609, 3711, '110105', '黑庄户镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.628,39.8904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45610, 3711, '110105', '小关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.412,39.9863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45611, 3711, '110105', '东风镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.509,39.9639', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45612, 3711, '110105', '将台镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.499,39.9816', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45613, 3711, '110105', '太阳宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.444,39.984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45614, 3711, '110105', '东坝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.521,39.9616', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45615, 3711, '110105', '崔各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.466,40.0517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45616, 3711, '110105', '平房镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.565,39.9445', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45617, 3711, '110105', '麦子店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.46,39.9544', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45618, 3711, '110105', '王四营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.504,39.8866', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45619, 3711, '110105', '建外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.435,39.9122', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45620, 3711, '110105', '呼家楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.462,39.9268', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45621, 3711, '110105', '管庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.602,39.9207', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45622, 3711, '110105', '左家庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.448,39.9641', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45623, 3711, '110105', '首都机场街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.589,40.0605', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45624, 3712, '110108', '温泉镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.138,40.0428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45625, 3712, '110108', '学院路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.362,39.9871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45626, 3712, '110108', '北下关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.351,39.9455', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45627, 3712, '110108', '北太平庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.353,39.9701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45628, 3712, '110108', '花园路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.368,39.9678', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45629, 3712, '110108', '紫竹院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.325,39.9465', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45630, 3712, '110108', '海淀街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.306,39.9864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45631, 3712, '110108', '永定路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.249,39.916', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45632, 3712, '110108', '万柳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.293,39.9911', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45633, 3712, '110108', '四季青镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.221,39.9852', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45634, 3712, '110108', '苏家坨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.096,40.1211', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45635, 3712, '110108', '上庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.19,40.1551', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45636, 3712, '110108', '羊坊店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.297,39.8871', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45637, 3712, '110108', '清河街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.304,40.0566', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45638, 3712, '110108', '清华园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.316,40.0053', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45639, 3712, '110108', '曙光街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.275,39.9665', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45640, 3712, '110108', '田村路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.232,39.9249', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45641, 3712, '110108', '燕园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.312,39.9996', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45642, 3712, '110108', '青龙桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.271,40.0247', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45643, 3712, '110108', '甘家口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.304,39.924', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45644, 3712, '110108', '东升镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.338,39.9946', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45645, 3712, '110108', '上地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.318,40.0379', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45646, 3712, '110108', '香山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.174,40.0039', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45647, 3712, '110108', '万寿路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.255,39.9149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45648, 3712, '110108', '马连洼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.269,40.0248', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45649, 3712, '110108', '八里庄街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.301,39.9403', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45650, 3712, '110108', '中关村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.322,39.9922', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45651, 3712, '110108', '西三旗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.382,40.0663', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45652, 3712, '110108', '西北旺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.242,40.1072', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45653, 3713, '110107', '五里坨街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.151,39.9935', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45654, 3713, '110107', '八角街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.189,39.9217', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45655, 3713, '110107', '广宁街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.115,39.9482', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45656, 3713, '110107', '老山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.25,39.9209', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45657, 3713, '110107', '鲁谷街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.207,39.8746', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45658, 3713, '110107', '苹果园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.187,39.9276', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45659, 3713, '110107', '八宝山街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.23,39.8898', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45660, 3713, '110107', '金顶街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.158,39.9468', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45661, 3713, '110107', '古城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.195,39.919', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45662, 3714, '110111', '石楼镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.932,39.6362', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45663, 3714, '110111', '韩村河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.778,39.6611', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45664, 3714, '110111', '大安山乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.81,39.9141', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45665, 3714, '110111', '琉璃河镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.223,39.5964', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45666, 3714, '110111', '霞云岭乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.59,39.8163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45667, 3714, '110111', '良乡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.152,39.7125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45668, 3714, '110111', '长沟镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.819,39.6069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45669, 3714, '110111', '河北镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.954,39.8667', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45670, 3714, '110111', '城关街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.969,39.7216', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45671, 3714, '110111', '周口店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.867,39.7409', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45672, 3714, '110111', '迎风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.949,39.7287', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45673, 3714, '110111', '青龙湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.02,39.8415', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45674, 3714, '110111', '东风街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.978,39.7798', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45675, 3714, '110111', '窦店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.077,39.6862', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45676, 3714, '110111', '长阳镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.18,39.7428', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45677, 3714, '110111', '佛子庄乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.821,39.8565', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45678, 3714, '110111', '向阳街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.985,39.7156', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45679, 3714, '110111', '新镇街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.068,39.7346', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45680, 3714, '110111', '张坊镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.719,39.6955', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45681, 3714, '110111', '南窖乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.833,39.8125', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45682, 3714, '110111', '西潞街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.13,39.7292', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45683, 3714, '110111', '拱辰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.185,39.7452', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45684, 3714, '110111', '史家营乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.614,39.8165', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45685, 3714, '110111', '星城街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.069,39.7152', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45686, 3714, '110111', '阎村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.068,39.7342', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45687, 3714, '110111', '十渡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.553,39.6984', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45688, 3714, '110111', '蒲洼乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.56,39.7904', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45689, 3714, '110111', '大石窝镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '115.775,39.5522', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45690, 3715, '110106', '马家堡街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.373,39.8273', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45691, 3715, '110106', '长辛店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.172,39.8158', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45692, 3715, '110106', '南苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.368,39.8012', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45693, 3715, '110106', '南苑乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.425,39.8543', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45694, 3715, '110106', '大红门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.409,39.8488', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45695, 3715, '110106', '卢沟桥乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.305,39.8791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45696, 3715, '110106', '宛平城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.211,39.8775', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45697, 3715, '110106', '右安门街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,39.8664', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45698, 3715, '110106', '东铁匠营街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.454,39.854', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45699, 3715, '110106', '新村街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.352,39.8492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45700, 3715, '110106', '和义街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.401,39.8305', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45701, 3715, '110106', '卢沟桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.285,39.8863', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45702, 3715, '110106', '太平桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.321,39.8553', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45703, 3715, '110106', '方庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.443,39.8701', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45704, 3715, '110106', '花乡乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.361,39.8517', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45705, 3715, '110106', '云岗街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.174,39.8061', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45706, 3715, '110106', '西罗园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.391,39.8652', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45707, 3715, '110106', '王佐镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.075,39.8369', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45708, 3715, '110106', '丰台街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.284,39.8654', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45709, 3715, '110106', '长辛店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.168,39.8164', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45710, 3715, '110106', '东高地街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.412,39.8069', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45711, 3716, '110102', '月坛街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,39.9184', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45712, 3716, '110102', '德胜街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.394,39.9559', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45713, 3716, '110102', '什刹海街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.394,39.9425', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45714, 3716, '110102', '新街口街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.368,39.9476', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45715, 3716, '110102', '展览路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,39.9429', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45716, 3716, '110102', '广安门内街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.357,39.9004', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45717, 3716, '110102', '白纸坊街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.354,39.8833', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45718, 3716, '110102', '广安门外街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.322,39.884', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45719, 3716, '110102', '大栅栏街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.396,39.9002', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45720, 3716, '110102', '陶然亭街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.383,39.8894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45721, 3716, '110102', '金融街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.373,39.9037', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45722, 3716, '110102', '西长安街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.373,39.9224', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45723, 3716, '110102', '天桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.398,39.8912', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45724, 3716, '110102', '牛街街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.359,39.8894', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45725, 3716, '110102', '椿树街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.378,39.8999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45726, 3717, '110115', '亦庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.524,39.8298', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45727, 3717, '110115', '国家新媒体产业基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.364,39.7634', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45728, 3717, '110115', '天宫院街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.35,39.721', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45729, 3717, '110115', '青云店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.439,39.7331', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45730, 3717, '110115', '礼贤镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.331,39.5474', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45731, 3717, '110115', '瀛海镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.462,39.7741', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45732, 3717, '110115', '中关村国家自主创新示范区大兴生物医药产业基地', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.308,39.694', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45733, 3717, '110115', '庞各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.216,39.642', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45734, 3717, '110115', '采育镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.658,39.6865', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45735, 3717, '110115', '北臧村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.23,39.709', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45736, 3717, '110115', '魏善庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.397,39.6926', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45737, 3717, '110115', '林校路街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.343,39.7163', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45738, 3717, '110115', '长子营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.619,39.7257', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45739, 3717, '110115', '旧宫镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.468,39.8149', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45740, 3717, '110115', '观音寺街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.343,39.7749', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45741, 3717, '110115', '黄村镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.349,39.7363', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45742, 3717, '110115', '清源街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.318,39.7567', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45743, 3717, '110115', '西红门镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.362,39.7999', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45744, 3717, '110115', '兴丰街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.332,39.7427', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45745, 3717, '110115', '安定镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.421,39.595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45746, 3717, '110115', '榆垡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.308,39.4845', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45747, 3717, '110115', '高米店街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.322,39.7569', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45748, 3717, '110115', '博兴街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.51,39.7647', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45749, 3717, '110115', '北京经济技术开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.487,39.7579', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45750, 3718, '110112', '新华街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.656,39.9202', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45751, 3718, '110112', '永顺镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.691,39.9001', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45752, 3718, '110112', '永乐店镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.816,39.7204', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45753, 3718, '110112', '北苑街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.652,39.8929', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45754, 3718, '110112', '梨园镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.625,39.8808', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45755, 3718, '110112', '宋庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.638,40.0014', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45756, 3718, '110112', '于家务回族乡', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.699,39.7404', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45757, 3718, '110112', '张家湾镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.71,39.8791', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45758, 3718, '110112', '潞城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.765,39.9043', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45759, 3718, '110112', '中仓街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.692,39.9009', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45760, 3718, '110112', '玉桥街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.705,39.8797', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45761, 3718, '110112', '西集镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.808,39.7867', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45762, 3718, '110112', '漷县镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.833,39.7135', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45763, 3718, '110112', '马驹桥镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.692,39.7421', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45764, 3718, '110112', '台湖镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.636,39.8588', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45765, 3719, '110118', '大城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.188,40.4705', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45766, 3719, '110118', '溪翁庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.822,40.5075', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45767, 3719, '110118', '密云镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.83,40.4121', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45768, 3719, '110118', '巨各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.069,40.4595', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45769, 3719, '110118', '河南寨镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.912,40.3437', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45770, 3719, '110118', '西田各庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.746,40.5064', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45771, 3719, '110118', '冯家峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.89,40.7983', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45772, 3719, '110118', '穆家峪镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.059,40.4492', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45773, 3719, '110118', '果园街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.828,40.3571', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45774, 3719, '110118', '北庄镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.254,40.5325', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45775, 3719, '110118', '太师屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.28,40.5608', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45776, 3719, '110118', '东邵渠镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.894,40.317', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45777, 3719, '110118', '北京密云经济开发区', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.838,40.3557', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45778, 3719, '110118', '不老屯镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.98,40.703', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45779, 3719, '110118', '高岭镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.169,40.5992', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45780, 3719, '110118', '古北口镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.202,40.6953', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45781, 3719, '110118', '檀营镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.869,40.4085', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45782, 3719, '110118', '十里堡镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.783,40.3766', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45783, 3719, '110118', '新城子镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '117.281,40.5864', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45784, 3719, '110118', '鼓楼街道', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.823,40.3514', NULL, 0, 0, b'0', 0);
INSERT INTO `biz_area` VALUES (45785, 3719, '110118', '石城镇', NULL, NULL, '2020-09-20 10:40:28', 0, 3, '116.726,40.6858', NULL, 0, 0, b'0', 0);

-- ----------------------------
-- Table structure for biz_dict
-- ----------------------------
DROP TABLE IF EXISTS `biz_dict`;
CREATE TABLE `biz_dict`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `key` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典KEY',
  `code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典CODE',
  `value` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字典VALUE',
  `parent_id` bigint NULL DEFAULT NULL COMMENT '父ID',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `status` tinyint(1) NULL DEFAULT 0 COMMENT '状态 0 正常 -2 删除 -1 停用',
  `creator_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建者',
  `updater_id` bigint NOT NULL DEFAULT 0 COMMENT '更新者',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '软删除标记',
  `version` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '乐观锁标记',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `pk_id`(`id` ASC) USING BTREE,
  INDEX `idx_key`(`key` ASC) USING BTREE,
  INDEX `idx_parent_id`(`parent_id` ASC) USING BTREE,
  INDEX `idx_code`(`code` ASC) USING BTREE,
  INDEX `idx_value`(`value` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 120868 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of biz_dict
-- ----------------------------
INSERT INTO `biz_dict` VALUES (5000, 'INDUSTRY_CATEGORY', 'A', '农、林、牧、渔业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5001, 'INDUSTRY_CATEGORY', 'B', '采矿业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5002, 'INDUSTRY_CATEGORY', 'C', '制造业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5003, 'INDUSTRY_CATEGORY', 'D', '电力、热力、燃气及水生产和供应业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5004, 'INDUSTRY_CATEGORY', 'E', '建筑业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5005, 'INDUSTRY_CATEGORY', 'F', '批发和零售业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5006, 'INDUSTRY_CATEGORY', 'G', '交通运输、仓储和邮政业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5007, 'INDUSTRY_CATEGORY', 'H', '住宿和餐饮业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5008, 'INDUSTRY_CATEGORY', 'I', '信息传输、软件和信息技术服务业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5009, 'INDUSTRY_CATEGORY', 'J', '金融业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5010, 'INDUSTRY_CATEGORY', 'K', '房地产业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5011, 'INDUSTRY_CATEGORY', 'L', '租赁和商务服务业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5012, 'INDUSTRY_CATEGORY', 'M', '科学研究和技术服务业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5013, 'INDUSTRY_CATEGORY', 'N', '水利、环境和公共设施管理业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5014, 'INDUSTRY_CATEGORY', 'O', '居民服务、修理和其他服务业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5015, 'INDUSTRY_CATEGORY', 'P', '教育', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5016, 'INDUSTRY_CATEGORY', 'Q', '卫生和社会工作', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5017, 'INDUSTRY_CATEGORY', 'R', '文化、体育和娱乐业', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5018, 'INDUSTRY_CATEGORY', 'S', '公共管理、社会保障和社会组织', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5019, 'INDUSTRY_CATEGORY', 'T', '国际组织', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5020, 'INDUSTRY_SPECIFIC', '01', '农业', 5000, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5021, 'INDUSTRY_SPECIFIC', '02', '林业', 5000, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5022, 'INDUSTRY_SPECIFIC', '03', '畜牧业', 5000, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5023, 'INDUSTRY_SPECIFIC', '04', '渔业', 5000, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5024, 'INDUSTRY_SPECIFIC', '05', '农、林、牧、渔专业及辅助性活动', 5000, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5025, 'INDUSTRY_SPECIFIC', '06', '煤炭开采和洗选业', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5026, 'INDUSTRY_SPECIFIC', '07', '石油和天然气开采', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5027, 'INDUSTRY_SPECIFIC', '08', '黑色金属矿采选业', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5028, 'INDUSTRY_SPECIFIC', '09', '有色金属矿采选业', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5029, 'INDUSTRY_SPECIFIC', '10', '非金属矿采选业', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5030, 'INDUSTRY_SPECIFIC', '11', '开采专业及辅助性活动', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5031, 'INDUSTRY_SPECIFIC', '12', '其他采矿业', 5001, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5032, 'INDUSTRY_SPECIFIC', '13', '农副食品加工业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5033, 'INDUSTRY_SPECIFIC', '14', '食品制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5034, 'INDUSTRY_SPECIFIC', '15', '酒、饮料和精制茶制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5035, 'INDUSTRY_SPECIFIC', '16', '烟草制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5036, 'INDUSTRY_SPECIFIC', '17', '纺织业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5037, 'INDUSTRY_SPECIFIC', '18', '纺织服装、服饰业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5038, 'INDUSTRY_SPECIFIC', '19', '皮革、毛皮、羽毛及其制品和制鞋业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5039, 'INDUSTRY_SPECIFIC', '20', '木材加工和水、竹、藤、棕、草制品业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5040, 'INDUSTRY_SPECIFIC', '21', '家具制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5041, 'INDUSTRY_SPECIFIC', '22', '造纸和纸制品业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5042, 'INDUSTRY_SPECIFIC', '23', '印刷和记录媒介复制业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5043, 'INDUSTRY_SPECIFIC', '24', '文教、工美、体育和娱乐用品制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5044, 'INDUSTRY_SPECIFIC', '25', '石油、煤炭及其他燃料加工业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5045, 'INDUSTRY_SPECIFIC', '26', '化学原料和化学制品制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5046, 'INDUSTRY_SPECIFIC', '27', '医药制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5047, 'INDUSTRY_SPECIFIC', '28', '化学纤维制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5048, 'INDUSTRY_SPECIFIC', '29', '橡胶和塑料制品业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5049, 'INDUSTRY_SPECIFIC', '30', '非金属矿物制品业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5050, 'INDUSTRY_SPECIFIC', '31', '黑色金属冶炼和压延加工业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5051, 'INDUSTRY_SPECIFIC', '32', '有色金属冶炼和压延加工业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5052, 'INDUSTRY_SPECIFIC', '33', '金属制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5053, 'INDUSTRY_SPECIFIC', '34', '通用设备制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5054, 'INDUSTRY_SPECIFIC', '35', '专用设备制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5055, 'INDUSTRY_SPECIFIC', '36', '汽车制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5056, 'INDUSTRY_SPECIFIC', '37', '铁路、船舶、航空航天和其他运输设备制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5057, 'INDUSTRY_SPECIFIC', '38', '电气机械和器材制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5058, 'INDUSTRY_SPECIFIC', '39', '计算机、通信和其他电子设备制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5059, 'INDUSTRY_SPECIFIC', '40', '仪器仪表制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5060, 'INDUSTRY_SPECIFIC', '41', '其他制造业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5061, 'INDUSTRY_SPECIFIC', '42', '废弃资源综合利用业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5062, 'INDUSTRY_SPECIFIC', '43', '金属制品、机械和设备修理业', 5002, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5063, 'INDUSTRY_SPECIFIC', '44', '电力、热力生产和供应业', 5003, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5064, 'INDUSTRY_SPECIFIC', '45', '燃气生产和供应业', 5003, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5065, 'INDUSTRY_SPECIFIC', '46', '水的生产和供应业', 5003, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5066, 'INDUSTRY_SPECIFIC', '47', '房屋建筑业', 5004, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5067, 'INDUSTRY_SPECIFIC', '48', '土木工程建筑业', 5004, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5068, 'INDUSTRY_SPECIFIC', '49', '建筑安装业', 5004, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5069, 'INDUSTRY_SPECIFIC', '50', '建筑装饰、装修和其他建筑业', 5004, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5070, 'INDUSTRY_SPECIFIC', '51', '批发业', 5005, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5071, 'INDUSTRY_SPECIFIC', '52', '零售业', 5005, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5072, 'INDUSTRY_SPECIFIC', '53', '交通运输业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5073, 'INDUSTRY_SPECIFIC', '54', '道路运输业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5074, 'INDUSTRY_SPECIFIC', '55', '水上运输业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5075, 'INDUSTRY_SPECIFIC', '56', '航空运输业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5076, 'INDUSTRY_SPECIFIC', '57', '管道运输业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5077, 'INDUSTRY_SPECIFIC', '58', '多式联运和运输代理业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5078, 'INDUSTRY_SPECIFIC', '59', '装卸搬运和仓储业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5079, 'INDUSTRY_SPECIFIC', '60', '邮政业', 5006, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5080, 'INDUSTRY_SPECIFIC', '61', '住宿业', 5007, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5081, 'INDUSTRY_SPECIFIC', '62', '餐饮业', 5007, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5082, 'INDUSTRY_SPECIFIC', '63', '电信、广播电视和卫星传输服务', 5008, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5083, 'INDUSTRY_SPECIFIC', '64', '互联网和相关服务', 5008, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5084, 'INDUSTRY_SPECIFIC', '65', '软件和信息技术服务业', 5008, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5085, 'INDUSTRY_SPECIFIC', '66', '货币金融服务', 5009, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5086, 'INDUSTRY_SPECIFIC', '67', '资本市场服务', 5009, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5087, 'INDUSTRY_SPECIFIC', '68', '保险业', 5009, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5088, 'INDUSTRY_SPECIFIC', '69', '其他金融业', 5009, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5089, 'INDUSTRY_SPECIFIC', '70', '房地产业', 5010, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5090, 'INDUSTRY_SPECIFIC', '71', '租赁业', 5011, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5091, 'INDUSTRY_SPECIFIC', '72', '商务服务业', 5011, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5092, 'INDUSTRY_SPECIFIC', '73', '研究和试验发展', 5012, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5093, 'INDUSTRY_SPECIFIC', '74', '专业技术服务业', 5012, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5094, 'INDUSTRY_SPECIFIC', '75', '科技推广和应用服务业', 5012, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5095, 'INDUSTRY_SPECIFIC', '76', '水利管理业', 5013, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5096, 'INDUSTRY_SPECIFIC', '77', '生态保护和环境治理业', 5013, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5097, 'INDUSTRY_SPECIFIC', '78', '公共设施管理业', 5013, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5098, 'INDUSTRY_SPECIFIC', '79', '土地管理业', 5013, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5099, 'INDUSTRY_SPECIFIC', '80', '居民服务业', 5014, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5100, 'INDUSTRY_SPECIFIC', '81', '机动车、电子产品和日用产品修理业', 5014, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5101, 'INDUSTRY_SPECIFIC', '82', '其他服务业', 5014, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5102, 'INDUSTRY_SPECIFIC', '83', '教育', 5015, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5103, 'INDUSTRY_SPECIFIC', '84', '卫生', 5016, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5104, 'INDUSTRY_SPECIFIC', '85', '社会工作', 5016, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5105, 'INDUSTRY_SPECIFIC', '86', '新闻和初版业', 5017, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5106, 'INDUSTRY_SPECIFIC', '87', '广播、电视、电影和录音制作业', 5017, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5107, 'INDUSTRY_SPECIFIC', '88', '文化艺术业', 5017, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5108, 'INDUSTRY_SPECIFIC', '89', '体育', 5017, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5109, 'INDUSTRY_SPECIFIC', '90', '娱乐业', 5017, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5110, 'INDUSTRY_SPECIFIC', '91', '中国共产党机关', 5018, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5111, 'INDUSTRY_SPECIFIC', '92', '国家机构', 5018, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5112, 'INDUSTRY_SPECIFIC', '93', '人民协政、民主党派', 5018, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5113, 'INDUSTRY_SPECIFIC', '94', '社会保障', 5018, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5114, 'INDUSTRY_SPECIFIC', '95', '群众团体、社会团体和其他成员组织', 5018, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5115, 'INDUSTRY_SPECIFIC', '96', '基层群众自治组织', 5018, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (5116, 'INDUSTRY_SPECIFIC', '97', '国际组织', 5019, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10000, 'ROLE', '1', '系统管理员', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10001, 'ROLE', '2', '基础用户', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10010, 'ORG_TYPE', '1', '统一社会信用代码', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10011, 'ORG_TYPE', '3', '其他', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10013, 'ENT_TYPE', '1', '营业执照', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10014, 'ENT_TYPE', '2', '税务证', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10015, 'ENT_TYPE', '3', '组织机构代码证', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10016, 'ENT_TYPE', '4', '安全生产许可证', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10017, 'ENT_TYPE', '5', '工业产品生产许可证或许可证', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10101, 'ORG', '1', '国有控股', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10102, 'ORG', '2', '民营控股', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10103, 'ORG', '3', '外商控股', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10104, 'ORG', '4', '事业单位', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10105, 'ORG', '5', '民营非盈利', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10111, 'ID_TYPE', '1', '中国居民身份证', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10112, 'ID_TYPE', '2', '护照', 0, '2021-06-16 07:58:18', '2018-11-27 18:57:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (10113, 'ID_TYPE', '3', '其他', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15004, 'ROLE', '3', '企业用户', 0, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15005, 'ROLE', '5', '审核员', 0, '2019-03-19 11:36:14', '2019-03-19 11:36:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15006, 'ROLE', '6', '数据托管用户', 0, '2019-03-19 11:41:25', '2019-03-19 11:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15007, 'ROLE', '7', 'test', 0, '2021-04-19 11:54:00', '2021-04-19 11:54:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15052, 'INDUSTRY_TRADE', '011', '谷物种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15053, 'INDUSTRY_TRADE', '012', '豆类、油料和薯类种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15054, 'INDUSTRY_TRADE', '013', '棉、麻、糖、烟草种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15055, 'INDUSTRY_TRADE', '014', '蔬菜、食用菌及园艺作物种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15056, 'INDUSTRY_TRADE', '015', '水果种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15057, 'INDUSTRY_TRADE', '016', '坚果、含油果、香料和饮料作物种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15058, 'INDUSTRY_TRADE', '017', '中药材种植', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15059, 'INDUSTRY_TRADE', '018', '草种植及割草', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15060, 'INDUSTRY_TRADE', '019', '其他农业', 5020, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15061, 'INDUSTRY_TRADE', '021', '林木育种和育苗', 5021, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15062, 'INDUSTRY_TRADE', '022', '造林和更新', 5021, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15063, 'INDUSTRY_TRADE', '023', '森林经营、管护和改培', 5021, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15064, 'INDUSTRY_TRADE', '024', '木材和竹材采运', 5021, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15065, 'INDUSTRY_TRADE', '025', '林产品采集', 5021, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15066, 'INDUSTRY_TRADE', '031', '牲畜饲养', 5022, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15067, 'INDUSTRY_TRADE', '032', '家禽饲养', 5022, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15068, 'INDUSTRY_TRADE', '033', '狩猎和捕捉动物', 5022, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15069, 'INDUSTRY_TRADE', '039', '其他畜牧业', 5022, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15070, 'INDUSTRY_TRADE', '041', '水产养殖', 5023, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15071, 'INDUSTRY_TRADE', '042', '水产捕捞', 5023, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15072, 'INDUSTRY_TRADE', '051', '农业专业及辅助性活动', 5024, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15073, 'INDUSTRY_TRADE', '052', '林业专业及辅助性活动', 5024, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15074, 'INDUSTRY_TRADE', '053', '畜牧专业及辅助性活动', 5024, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15075, 'INDUSTRY_TRADE', '054', '渔业专业及辅助性活动', 5024, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15076, 'INDUSTRY_TRADE', '061', '烟煤和无烟煤开采洗选', 5025, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15077, 'INDUSTRY_TRADE', '062', '褐煤开采洗选', 5025, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15078, 'INDUSTRY_TRADE', '069', '其他煤炭采选', 5025, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15079, 'INDUSTRY_TRADE', '071', '石油开采', 5026, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15080, 'INDUSTRY_TRADE', '072', '天然气开采', 5026, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15081, 'INDUSTRY_TRADE', '081', '铁矿采选', 5027, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15082, 'INDUSTRY_TRADE', '082', '锰矿、铬矿采选', 5027, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15083, 'INDUSTRY_TRADE', '089', '其他黑色金属矿采选', 5027, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15084, 'INDUSTRY_TRADE', '091', '常用有色金属矿采选', 5028, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15085, 'INDUSTRY_TRADE', '092', '贵金属矿采选', 5028, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15086, 'INDUSTRY_TRADE', '093', '稀有稀土金属矿采选', 5028, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15087, 'INDUSTRY_TRADE', '101', '土砂石开采', 5029, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15088, 'INDUSTRY_TRADE', '102', '化学矿开采', 5029, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15089, 'INDUSTRY_TRADE', '103', '采盐', 5029, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15090, 'INDUSTRY_TRADE', '109', '石棉及其他非金属矿采选', 5029, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15091, 'INDUSTRY_TRADE', '111', '煤炭开采和洗选专业及辅助性活动', 5030, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15092, 'INDUSTRY_TRADE', '112', '石油和天然气开采专业及辅助性活动', 5030, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15093, 'INDUSTRY_TRADE', '119', '其他开采专业及辅助性活动', 5030, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15094, 'INDUSTRY_TRADE', '120', '其他采矿业', 5031, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15095, 'INDUSTRY_TRADE', '131', '谷物磨制', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15096, 'INDUSTRY_TRADE', '132', '饲料加工', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15097, 'INDUSTRY_TRADE', '133', '植物油加工', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15098, 'INDUSTRY_TRADE', '134', '制糖业', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15099, 'INDUSTRY_TRADE', '135', '屠宰及肉类加工', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15100, 'INDUSTRY_TRADE', '136', '水产品加工', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15101, 'INDUSTRY_TRADE', '137', '蔬菜、菌类、水果和坚果加工', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15102, 'INDUSTRY_TRADE', '139', '其他农副食品加工', 5032, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15103, 'INDUSTRY_TRADE', '141', '焙烤食品制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15104, 'INDUSTRY_TRADE', '142', '糖果、巧克力及蜜饯制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15105, 'INDUSTRY_TRADE', '143', '方便食品制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15106, 'INDUSTRY_TRADE', '144', '乳制品制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15107, 'INDUSTRY_TRADE', '145', '罐头食品制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15108, 'INDUSTRY_TRADE', '146', '调味品、发酵制品制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15109, 'INDUSTRY_TRADE', '149', '其他食品制造', 5033, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15110, 'INDUSTRY_TRADE', '151', '酒的制造', 5034, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15111, 'INDUSTRY_TRADE', '152', '饮料制造', 5034, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15112, 'INDUSTRY_TRADE', '153', '精制茶加工', 5034, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15113, 'INDUSTRY_TRADE', '161', '烟叶复烤', 5035, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15114, 'INDUSTRY_TRADE', '162', '卷烟制造', 5035, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15115, 'INDUSTRY_TRADE', '169', '其他烟草制品制造', 5035, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15116, 'INDUSTRY_TRADE', '171', '棉纺织及印染精加工', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15117, 'INDUSTRY_TRADE', '172', '毛纺织及染整精加工', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15118, 'INDUSTRY_TRADE', '173', '麻纺织及染整精加工', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15119, 'INDUSTRY_TRADE', '174', '丝绢纺织及印染精加工', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15120, 'INDUSTRY_TRADE', '175', '化纤织造及印染精加工', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15121, 'INDUSTRY_TRADE', '176', '针织或钩针编织物及其制品制造', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15122, 'INDUSTRY_TRADE', '177', '家用纺织制成品制造', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15123, 'INDUSTRY_TRADE', '178', '产业用纺织制成品制造', 5036, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15124, 'INDUSTRY_TRADE', '181', '机织服装制造', 5037, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15125, 'INDUSTRY_TRADE', '182', '针织或钩针编织服装制造', 5037, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15126, 'INDUSTRY_TRADE', '183', '服饰制造', 5037, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15127, 'INDUSTRY_TRADE', '191', '皮革鞣制加工', 5038, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15128, 'INDUSTRY_TRADE', '192', '皮革制品制造', 5038, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15129, 'INDUSTRY_TRADE', '193', '毛皮鞣制及制品加工', 5038, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15130, 'INDUSTRY_TRADE', '194', '羽毛(绒)加工及制品制造', 5038, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15131, 'INDUSTRY_TRADE', '195', '制鞋业', 5038, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15132, 'INDUSTRY_TRADE', '201', '木材加工', 5039, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15133, 'INDUSTRY_TRADE', '202', '人造板制造', 5039, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15134, 'INDUSTRY_TRADE', '203', '木质制品制造', 5039, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15135, 'INDUSTRY_TRADE', '204', '竹、藤、棕、草等制品制造', 5039, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15136, 'INDUSTRY_TRADE', '211', '木质家具制造', 5040, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15137, 'INDUSTRY_TRADE', '212', '竹、藤家具制造', 5040, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15138, 'INDUSTRY_TRADE', '213', '金属家具制造', 5040, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15139, 'INDUSTRY_TRADE', '214', '塑料家具制造', 5040, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15140, 'INDUSTRY_TRADE', '219', '其他家具制造', 5040, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15141, 'INDUSTRY_TRADE', '221', '纸浆制造', 5041, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15142, 'INDUSTRY_TRADE', '222', '造纸', 5041, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15143, 'INDUSTRY_TRADE', '223', '纸制品制造', 5041, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15144, 'INDUSTRY_TRADE', '231', '印刷', 5042, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15145, 'INDUSTRY_TRADE', '232', '装订及印刷相关服务', 5042, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15146, 'INDUSTRY_TRADE', '233', '记录媒介复制', 5042, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15147, 'INDUSTRY_TRADE', '241', '文教办公用品制造', 5043, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15148, 'INDUSTRY_TRADE', '242', '乐器制造', 5043, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15149, 'INDUSTRY_TRADE', '243', '工艺美术及礼仪用品制造', 5043, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15150, 'INDUSTRY_TRADE', '244', '体育用品制造', 5043, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15151, 'INDUSTRY_TRADE', '245', '玩具制造', 5043, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15152, 'INDUSTRY_TRADE', '246', '游艺器材及娱乐用品制造', 5043, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15153, 'INDUSTRY_TRADE', '251', '精炼石油产品制造', 5044, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15154, 'INDUSTRY_TRADE', '252', '煤炭加工', 5044, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15155, 'INDUSTRY_TRADE', '253', '核燃料加工', 5044, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15156, 'INDUSTRY_TRADE', '254', '生物质燃料加工', 5044, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15157, 'INDUSTRY_TRADE', '261', '基础化学原料制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15158, 'INDUSTRY_TRADE', '262', '肥料制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15159, 'INDUSTRY_TRADE', '263', '农药制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15160, 'INDUSTRY_TRADE', '264', '涂料、油墨、颜料及类似产品制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15161, 'INDUSTRY_TRADE', '265', '合成材料制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15162, 'INDUSTRY_TRADE', '266', '专用化学产品制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15163, 'INDUSTRY_TRADE', '267', '炸药、火工及焰火产品制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15164, 'INDUSTRY_TRADE', '268', '日用化学产品制造', 5045, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15165, 'INDUSTRY_TRADE', '271', '化学药品原料药制造', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15166, 'INDUSTRY_TRADE', '272', '化学药品制剂制造', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15167, 'INDUSTRY_TRADE', '273', '中药饮片加工', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15168, 'INDUSTRY_TRADE', '274', '中成药生产', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15169, 'INDUSTRY_TRADE', '275', '兽用药品制造', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15170, 'INDUSTRY_TRADE', '276', '生物药品制品制造', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15171, 'INDUSTRY_TRADE', '277', '卫生材料及医药用品制造', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15172, 'INDUSTRY_TRADE', '281', '纤维素纤维原料及纤维制造', 5047, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15173, 'INDUSTRY_TRADE', '282', '合成纤维制造', 5047, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15174, 'INDUSTRY_TRADE', '291', '橡胶制品业', 5048, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15175, 'INDUSTRY_TRADE', '292', '塑料制品业', 5048, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15176, 'INDUSTRY_TRADE', '301', '水泥、石灰和石膏制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15177, 'INDUSTRY_TRADE', '302', '石膏、水泥制品及类似制品制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15178, 'INDUSTRY_TRADE', '303', '砖瓦、石材等建筑材料制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15179, 'INDUSTRY_TRADE', '304', '玻璃制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15180, 'INDUSTRY_TRADE', '305', '玻璃制品制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15181, 'INDUSTRY_TRADE', '306', '玻璃纤维和玻璃纤维增强塑料制品制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15182, 'INDUSTRY_TRADE', '307', '陶瓷制品制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15183, 'INDUSTRY_TRADE', '308', '耐火材料制品制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15184, 'INDUSTRY_TRADE', '309', '石墨及其他非金属矿物制品制造', 5049, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15185, 'INDUSTRY_TRADE', '311', '炼铁', 5050, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15186, 'INDUSTRY_TRADE', '312', '炼钢', 5050, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15187, 'INDUSTRY_TRADE', '313', '钢压延加工', 5050, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15188, 'INDUSTRY_TRADE', '314', '铁合金冶炼', 5050, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15189, 'INDUSTRY_TRADE', '321', '常用有色金属冶炼', 5051, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15190, 'INDUSTRY_TRADE', '322', '贵金属冶炼', 5051, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15191, 'INDUSTRY_TRADE', '323', '稀有稀土金属冶炼', 5051, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15192, 'INDUSTRY_TRADE', '324', '有色金属合金制造', 5051, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15193, 'INDUSTRY_TRADE', '325', '有色金属压延加工', 5051, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15194, 'INDUSTRY_TRADE', '331', '结构性金属制品制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15195, 'INDUSTRY_TRADE', '332', '金属工具制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15196, 'INDUSTRY_TRADE', '333', '集装箱及金属包装容器制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15197, 'INDUSTRY_TRADE', '334', '金属丝绳及其制品制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15198, 'INDUSTRY_TRADE', '335', '建筑、安全用金属制品制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15199, 'INDUSTRY_TRADE', '336', '金属表面处理及热处理加工', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15200, 'INDUSTRY_TRADE', '337', '搪瓷制品制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15201, 'INDUSTRY_TRADE', '338', '金属制日用品制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15202, 'INDUSTRY_TRADE', '339', '铸造及其他金属制品制造', 5052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15203, 'INDUSTRY_TRADE', '341', '锅炉及原动设备制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15204, 'INDUSTRY_TRADE', '342', '金属加工机械制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15205, 'INDUSTRY_TRADE', '343', '物料搬运设备制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15206, 'INDUSTRY_TRADE', '344', '泵、阀门、压缩机及类似机械制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15207, 'INDUSTRY_TRADE', '345', '轴承、齿轮和传动部件制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15208, 'INDUSTRY_TRADE', '346', '烘炉、风机、包装等设备制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15209, 'INDUSTRY_TRADE', '347', '文化、办公用机械制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15210, 'INDUSTRY_TRADE', '348', '通用零部件制造', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15211, 'INDUSTRY_TRADE', '349', '其他通用设备制造业', 5053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15212, 'INDUSTRY_TRADE', '351', '采矿、冶金、建筑专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15213, 'INDUSTRY_TRADE', '352', '化工、木材、非金属加工专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15214, 'INDUSTRY_TRADE', '353', '食品、饮料、烟草及饲料生产专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15215, 'INDUSTRY_TRADE', '354', '印刷、制药、日化及日用品生产专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15216, 'INDUSTRY_TRADE', '355', '纺织、服装和皮革加工专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15217, 'INDUSTRY_TRADE', '356', '电子和电工机械专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15218, 'INDUSTRY_TRADE', '357', '农、林、牧、渔专用机械制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15219, 'INDUSTRY_TRADE', '358', '医疗仪器设备及器械制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15220, 'INDUSTRY_TRADE', '359', '环保、邮政、社会公共服务及其他专用设备制造', 5054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15221, 'INDUSTRY_TRADE', '361', '汽车整车制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15222, 'INDUSTRY_TRADE', '362', '汽车用发动机制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15223, 'INDUSTRY_TRADE', '363', '改装汽车制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15224, 'INDUSTRY_TRADE', '364', '低速汽车制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15225, 'INDUSTRY_TRADE', '365', '电车制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15226, 'INDUSTRY_TRADE', '366', '汽车车身、挂车制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15227, 'INDUSTRY_TRADE', '371', '铁路运输设备制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15228, 'INDUSTRY_TRADE', '372', '城市轨道交通设备制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15229, 'INDUSTRY_TRADE', '373', '船舶及相关装置制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15230, 'INDUSTRY_TRADE', '374', '航空、航天器及设备制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15231, 'INDUSTRY_TRADE', '375', '摩托车制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15232, 'INDUSTRY_TRADE', '376', '自行车和残疾人座车制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15233, 'INDUSTRY_TRADE', '377', '助动车制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15234, 'INDUSTRY_TRADE', '378', '非公路休闲车及零配件制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15235, 'INDUSTRY_TRADE', '379', '潜水救捞及其他未列明运输设备制造', 5056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15236, 'INDUSTRY_TRADE', '381', '电机制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15237, 'INDUSTRY_TRADE', '382', '输配电及控制设备制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15238, 'INDUSTRY_TRADE', '383', '电线、电缆、光缆及电工器材制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15239, 'INDUSTRY_TRADE', '384', '电池制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15240, 'INDUSTRY_TRADE', '385', '家用电力器具制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15241, 'INDUSTRY_TRADE', '386', '非电力家用器具制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15242, 'INDUSTRY_TRADE', '387', '照明器具制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15243, 'INDUSTRY_TRADE', '389', '其他电气机械及器材制造', 5057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15244, 'INDUSTRY_TRADE', '391', '计算机制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15245, 'INDUSTRY_TRADE', '392', '通信设备制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15246, 'INDUSTRY_TRADE', '393', '广播电视设备制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15247, 'INDUSTRY_TRADE', '394', '雷达及配套设备制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15248, 'INDUSTRY_TRADE', '395', '非专业视听设备制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15249, 'INDUSTRY_TRADE', '396', '智能消费设备制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15250, 'INDUSTRY_TRADE', '397', '电子器件制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15251, 'INDUSTRY_TRADE', '398', '电子元件及电子专用材料制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15252, 'INDUSTRY_TRADE', '399', '其他电子设备制造', 5058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15253, 'INDUSTRY_TRADE', '401', '通用仪器仪表制造', 5059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15254, 'INDUSTRY_TRADE', '402', '专用仪器仪表制造', 5059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15255, 'INDUSTRY_TRADE', '403', '钟表与计时仪器制造', 5059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15256, 'INDUSTRY_TRADE', '404', '光学仪器制造', 5059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15257, 'INDUSTRY_TRADE', '405', '衡器制造', 5059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15258, 'INDUSTRY_TRADE', '409', '其他仪器仪表制造业', 5059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15259, 'INDUSTRY_TRADE', '411', '日用杂品制造', 5060, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15260, 'INDUSTRY_TRADE', '412', '核辐射加工', 5060, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15261, 'INDUSTRY_TRADE', '419', '其他未列明制造业', 5060, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15262, 'INDUSTRY_TRADE', '421', '金属废料和碎屑加工处理', 5061, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15263, 'INDUSTRY_TRADE', '422', '非金属废料和碎屑加工处理', 5061, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15264, 'INDUSTRY_TRADE', '431', '金属制品修理', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15265, 'INDUSTRY_TRADE', '432', '通用设备修理', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15266, 'INDUSTRY_TRADE', '433', '专用设备修理', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15267, 'INDUSTRY_TRADE', '434', '铁路、船舶、航空航天等运输设备修理', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15268, 'INDUSTRY_TRADE', '435', '电气设备修理', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15269, 'INDUSTRY_TRADE', '436', '仪器仪表修理', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15270, 'INDUSTRY_TRADE', '439', '其他机械和设备修理业', 5062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15271, 'INDUSTRY_TRADE', '441', '电力生产', 5063, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15272, 'INDUSTRY_TRADE', '442', '电力供应', 5063, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15273, 'INDUSTRY_TRADE', '443', '热力生产和供应', 5063, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15274, 'INDUSTRY_TRADE', '451', '燃气生产和供应业', 5064, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15275, 'INDUSTRY_TRADE', '452', '生物质燃气生产和供应业', 5064, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15276, 'INDUSTRY_TRADE', '461', '自来水生产和供应', 5065, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15277, 'INDUSTRY_TRADE', '462', '污水处理及其再生利用', 5065, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15278, 'INDUSTRY_TRADE', '463', '海水淡化处理', 5065, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15279, 'INDUSTRY_TRADE', '469', '其他水的处理、利用与分配', 5065, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15280, 'INDUSTRY_TRADE', '471', '住宅房屋建筑', 5066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15281, 'INDUSTRY_TRADE', '472', '体育场馆建筑', 5066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15282, 'INDUSTRY_TRADE', '479', '其他房屋建筑业', 5066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15283, 'INDUSTRY_TRADE', '481', '铁路、道路、隧道和桥梁工程建筑', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15284, 'INDUSTRY_TRADE', '482', '水利和水运工程建筑', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15285, 'INDUSTRY_TRADE', '483', '海洋工程建筑', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15286, 'INDUSTRY_TRADE', '484', '工矿工程建筑', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15287, 'INDUSTRY_TRADE', '485', '架线和管道工程建筑', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15288, 'INDUSTRY_TRADE', '486', '节能环保工程施工', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15289, 'INDUSTRY_TRADE', '487', '电力工程施工', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15290, 'INDUSTRY_TRADE', '489', '其他土木工程建筑', 5067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15291, 'INDUSTRY_TRADE', '491', '电气安装', 5068, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15292, 'INDUSTRY_TRADE', '492', '管道和设备安装', 5068, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15293, 'INDUSTRY_TRADE', '499', '其他建筑安装业', 5068, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15294, 'INDUSTRY_TRADE', '501', '建筑装饰和装修业', 5069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15295, 'INDUSTRY_TRADE', '502', '建筑物拆除和场地准备活动', 5069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15296, 'INDUSTRY_TRADE', '503', '提供施工设备服务', 5069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15297, 'INDUSTRY_TRADE', '509', '其他未列明建筑业', 5069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15298, 'INDUSTRY_TRADE', '511', '农、林、牧、渔产品批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15299, 'INDUSTRY_TRADE', '512', '食品、饮料及烟草制品批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15300, 'INDUSTRY_TRADE', '513', '纺织、服装及家庭用品批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15301, 'INDUSTRY_TRADE', '514', '文化、体育用品及器材批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15302, 'INDUSTRY_TRADE', '515', '医药及医疗器材批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15303, 'INDUSTRY_TRADE', '516', '矿产品、建材及化工产品批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15304, 'INDUSTRY_TRADE', '517', '机械设备、五金产品及电子产品批发', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15305, 'INDUSTRY_TRADE', '518', '贸易经纪与代理', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15306, 'INDUSTRY_TRADE', '519', '其他批发业', 5070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15307, 'INDUSTRY_TRADE', '521', '综合零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15308, 'INDUSTRY_TRADE', '522', '食品、饮料及烟草制品专门零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15309, 'INDUSTRY_TRADE', '523', '纺织、服装及日用品专门零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15310, 'INDUSTRY_TRADE', '524', '文化、体育用品及器材专门零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15311, 'INDUSTRY_TRADE', '525', '医药及医疗器材专门零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15312, 'INDUSTRY_TRADE', '526', '汽车、摩托车、零配件和燃料及其他动力销售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15313, 'INDUSTRY_TRADE', '527', '家用电器及电子产品专门零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15314, 'INDUSTRY_TRADE', '528', '五金、家具及室内装饰材料专门零售', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15315, 'INDUSTRY_TRADE', '529', '货摊、无店铺及其他零售业', 5071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15316, 'INDUSTRY_TRADE', '531', '铁路旅客运输', 5072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15317, 'INDUSTRY_TRADE', '532', '铁路货物运输', 5072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15318, 'INDUSTRY_TRADE', '533', '铁路运输辅助活动', 5072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15319, 'INDUSTRY_TRADE', '541', '城市公共交通运输', 5073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15320, 'INDUSTRY_TRADE', '542', '公路旅客运输', 5073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15321, 'INDUSTRY_TRADE', '543', '道路货物运输', 5073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15322, 'INDUSTRY_TRADE', '544', '道路运输辅助活动', 5073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15323, 'INDUSTRY_TRADE', '551', '水上旅客运输', 5074, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15324, 'INDUSTRY_TRADE', '552', '水上货物运输', 5074, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15325, 'INDUSTRY_TRADE', '553', '水上运输辅助活动', 5074, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15326, 'INDUSTRY_TRADE', '561', '航空客货运输', 5075, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15327, 'INDUSTRY_TRADE', '562', '通用航空服务', 5075, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15328, 'INDUSTRY_TRADE', '563', '航空运输辅助活动', 5075, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15329, 'INDUSTRY_TRADE', '571', '海底管道运输', 5076, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15330, 'INDUSTRY_TRADE', '572', '陆地管道运输', 5076, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15331, 'INDUSTRY_TRADE', '581', '多式联运', 5077, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15332, 'INDUSTRY_TRADE', '582', '运输代理业', 5077, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15333, 'INDUSTRY_TRADE', '591', '装卸搬运', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15334, 'INDUSTRY_TRADE', '592', '通用仓储', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15335, 'INDUSTRY_TRADE', '593', '低温仓储', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15336, 'INDUSTRY_TRADE', '594', '危险品仓储', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15337, 'INDUSTRY_TRADE', '595', '谷物、棉花等农产品仓储', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15338, 'INDUSTRY_TRADE', '596', '中药材仓储', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15339, 'INDUSTRY_TRADE', '599', '其他仓储业', 5078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15340, 'INDUSTRY_TRADE', '601', '邮政基本服务', 5079, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15341, 'INDUSTRY_TRADE', '602', '快递服务', 5079, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15342, 'INDUSTRY_TRADE', '609', '其他寄递服务', 5079, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15343, 'INDUSTRY_TRADE', '611', '旅游饭店', 5080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15344, 'INDUSTRY_TRADE', '612', '一般旅馆', 5080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15345, 'INDUSTRY_TRADE', '613', '民宿服务', 5080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15346, 'INDUSTRY_TRADE', '614', '露营地服务', 5080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15347, 'INDUSTRY_TRADE', '619', '其他住宿业', 5080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15348, 'INDUSTRY_TRADE', '621', '正餐服务', 5081, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15349, 'INDUSTRY_TRADE', '622', '快餐服务', 5081, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15350, 'INDUSTRY_TRADE', '623', '饮料及冷饮服务', 5081, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15351, 'INDUSTRY_TRADE', '624', '餐饮配送及外卖送餐服务', 5081, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15352, 'INDUSTRY_TRADE', '629', '其他餐饮业', 5081, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15353, 'INDUSTRY_TRADE', '631', '电信', 5082, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15354, 'INDUSTRY_TRADE', '632', '广播电视传输服务', 5082, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15355, 'INDUSTRY_TRADE', '633', '卫星传输服务', 5082, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15356, 'INDUSTRY_TRADE', '641', '互联网接入及相关服务', 5083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15357, 'INDUSTRY_TRADE', '642', '互联网信息服务', 5083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15358, 'INDUSTRY_TRADE', '643', '互联网平台', 5083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15359, 'INDUSTRY_TRADE', '644', '互联网安全服务', 5083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15360, 'INDUSTRY_TRADE', '645', '互联网数据服务', 5083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15361, 'INDUSTRY_TRADE', '649', '其他互联网服务', 5083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15362, 'INDUSTRY_TRADE', '651', '软件开发', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15363, 'INDUSTRY_TRADE', '652', '集成电路设计', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15364, 'INDUSTRY_TRADE', '653', '信息系统集成和物联网技术服务', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15365, 'INDUSTRY_TRADE', '654', '运行维护服务', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15366, 'INDUSTRY_TRADE', '655', '信息处理和存储支持服务', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15367, 'INDUSTRY_TRADE', '656', '信息技术咨询服务', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15368, 'INDUSTRY_TRADE', '657', '数字内容服务', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15369, 'INDUSTRY_TRADE', '659', '其他信息技术服务业', 5084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15370, 'INDUSTRY_TRADE', '661', '中央银行服务', 5085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15371, 'INDUSTRY_TRADE', '662', '货币银行服务', 5085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15372, 'INDUSTRY_TRADE', '663', '非货币银行服务', 5085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15373, 'INDUSTRY_TRADE', '664', '银行理财服务', 5085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15374, 'INDUSTRY_TRADE', '665', '银行监管服务', 5085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15375, 'INDUSTRY_TRADE', '671', '证券市场服务', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15376, 'INDUSTRY_TRADE', '672', '公开募集证券投资基金', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15377, 'INDUSTRY_TRADE', '673', '非公开募集证券投资基金', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15378, 'INDUSTRY_TRADE', '674', '期货市场服务', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15379, 'INDUSTRY_TRADE', '675', '证券期货监管服务', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15380, 'INDUSTRY_TRADE', '676', '资本投资服务', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15381, 'INDUSTRY_TRADE', '679', '其他资本市场服务', 5086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15382, 'INDUSTRY_TRADE', '681', '人身保险', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15383, 'INDUSTRY_TRADE', '682', '财产保险', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15384, 'INDUSTRY_TRADE', '683', '再保险', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15385, 'INDUSTRY_TRADE', '684', '商业养老金', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15386, 'INDUSTRY_TRADE', '685', '保险中介服务', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15387, 'INDUSTRY_TRADE', '686', '保险资产管理', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15388, 'INDUSTRY_TRADE', '687', '保险监管服务', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15389, 'INDUSTRY_TRADE', '689', '其他保险活动', 5087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15390, 'INDUSTRY_TRADE', '691', '金融信托与管理服务', 5088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15391, 'INDUSTRY_TRADE', '692', '控股公司服务', 5088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15392, 'INDUSTRY_TRADE', '693', '非金融机构支付服务', 5088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15393, 'INDUSTRY_TRADE', '694', '金融信息服务', 5088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15394, 'INDUSTRY_TRADE', '695', '金融资产管理公司', 5088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15395, 'INDUSTRY_TRADE', '699', '其他未列明金融业', 5088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15396, 'INDUSTRY_TRADE', '701', '房地产开发经营', 5089, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15397, 'INDUSTRY_TRADE', '702', '物业管理', 5089, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15398, 'INDUSTRY_TRADE', '703', '房地产中介服务', 5089, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15399, 'INDUSTRY_TRADE', '704', '房地产租赁经营', 5089, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15400, 'INDUSTRY_TRADE', '709', '其他房地产业', 5089, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15401, 'INDUSTRY_TRADE', '711', '机械设备经营租赁', 5090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15402, 'INDUSTRY_TRADE', '712', '文体设备和用品出租', 5090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15403, 'INDUSTRY_TRADE', '713', '日用品出租', 5090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15404, 'INDUSTRY_TRADE', '721', '组织管理服务', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15405, 'INDUSTRY_TRADE', '722', '综合管理服务', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15406, 'INDUSTRY_TRADE', '723', '法律服务', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15407, 'INDUSTRY_TRADE', '724', '咨询与调查', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15408, 'INDUSTRY_TRADE', '725', '广告业', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15409, 'INDUSTRY_TRADE', '726', '人力资源服务', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15410, 'INDUSTRY_TRADE', '727', '安全保护服务', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15411, 'INDUSTRY_TRADE', '728', '会议、展览及相关服务', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15412, 'INDUSTRY_TRADE', '729', '其他商务服务业', 5091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15413, 'INDUSTRY_TRADE', '731', '自然科学研究和试验发展', 5092, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15414, 'INDUSTRY_TRADE', '732', '工程和技术研究和试验发展', 5092, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15415, 'INDUSTRY_TRADE', '733', '农业科学研究和试验发展', 5092, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15416, 'INDUSTRY_TRADE', '734', '医学研究和试验发展', 5092, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15417, 'INDUSTRY_TRADE', '735', '社会人文科学研究', 5092, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15418, 'INDUSTRY_TRADE', '741', '气象服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15419, 'INDUSTRY_TRADE', '742', '地震服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15420, 'INDUSTRY_TRADE', '743', '海洋服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15421, 'INDUSTRY_TRADE', '744', '测绘地理信息服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15422, 'INDUSTRY_TRADE', '745', '质检技术服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15423, 'INDUSTRY_TRADE', '746', '环境与生态监测检测服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15424, 'INDUSTRY_TRADE', '747', '地质勘查', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15425, 'INDUSTRY_TRADE', '748', '工程技术与设计服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15426, 'INDUSTRY_TRADE', '749', '工业与专业设计及其他专业技术服务', 5093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15427, 'INDUSTRY_TRADE', '751', '技术推广服务', 5094, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15428, 'INDUSTRY_TRADE', '752', '知识产权服务', 5094, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15429, 'INDUSTRY_TRADE', '753', '科技中介服务', 5094, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15430, 'INDUSTRY_TRADE', '754', '创业空间服务', 5094, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15431, 'INDUSTRY_TRADE', '759', '其他科技推广服务业', 5094, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15432, 'INDUSTRY_TRADE', '761', '防洪除涝设施管理', 5095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15433, 'INDUSTRY_TRADE', '762', '水资源管理', 5095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15434, 'INDUSTRY_TRADE', '763', '天然水收集与分配', 5095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15435, 'INDUSTRY_TRADE', '764', '水文服务', 5095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15436, 'INDUSTRY_TRADE', '769', '其他水利管理业', 5095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15437, 'INDUSTRY_TRADE', '771', '生态保护', 5096, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15438, 'INDUSTRY_TRADE', '772', '环境治理业', 5096, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15439, 'INDUSTRY_TRADE', '781', '市政设施管理', 5097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15440, 'INDUSTRY_TRADE', '782', '环境卫生管理', 5097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15441, 'INDUSTRY_TRADE', '783', '城乡市容管理', 5097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15442, 'INDUSTRY_TRADE', '784', '绿化管理', 5097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15443, 'INDUSTRY_TRADE', '785', '城市公园管理', 5097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15444, 'INDUSTRY_TRADE', '786', '游览景区管理', 5097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15445, 'INDUSTRY_TRADE', '791', '土地整治服务', 5098, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15446, 'INDUSTRY_TRADE', '792', '土地调查评估服务', 5098, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15447, 'INDUSTRY_TRADE', '793', '土地登记服务', 5098, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15448, 'INDUSTRY_TRADE', '794', '土地登记代理服务', 5098, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15449, 'INDUSTRY_TRADE', '799', '其他土地管理服务', 5098, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15450, 'INDUSTRY_TRADE', '801', '家庭服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15451, 'INDUSTRY_TRADE', '802', '托儿所服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15452, 'INDUSTRY_TRADE', '803', '洗染服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15453, 'INDUSTRY_TRADE', '804', '理发及美容服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15454, 'INDUSTRY_TRADE', '805', '洗浴和保健养生服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15455, 'INDUSTRY_TRADE', '806', '摄影扩印服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15456, 'INDUSTRY_TRADE', '807', '婚姻服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15457, 'INDUSTRY_TRADE', '808', '殡葬服务', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15458, 'INDUSTRY_TRADE', '809', '其他居民服务业', 5099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15459, 'INDUSTRY_TRADE', '811', '汽车、摩托车等修理与维护', 5100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15460, 'INDUSTRY_TRADE', '812', '计算机和办公设备维修', 5100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15461, 'INDUSTRY_TRADE', '813', '家用电器修理', 5100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15462, 'INDUSTRY_TRADE', '819', '其他日用产品修理业', 5100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15463, 'INDUSTRY_TRADE', '821', '清洁服务', 5101, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15464, 'INDUSTRY_TRADE', '822', '宠物服务', 5101, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15465, 'INDUSTRY_TRADE', '831', '学前教育', 5102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15466, 'INDUSTRY_TRADE', '832', '初等教育', 5102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15467, 'INDUSTRY_TRADE', '833', '中等教育', 5102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15468, 'INDUSTRY_TRADE', '834', '高等教育', 5102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15469, 'INDUSTRY_TRADE', '835', '特殊教育', 5102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15470, 'INDUSTRY_TRADE', '839', '技能培训、教育辅助及其他教育', 5102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15471, 'INDUSTRY_TRADE', '841', '医院', 5103, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15472, 'INDUSTRY_TRADE', '842', '基层医疗卫生服务', 5103, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15473, 'INDUSTRY_TRADE', '843', '专业公共卫生服务', 5103, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15474, 'INDUSTRY_TRADE', '849', '其他卫生活动', 5103, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15475, 'INDUSTRY_TRADE', '851', '提供住宿社会工作', 5104, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15476, 'INDUSTRY_TRADE', '852', '不提供住宿社会工作', 5104, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15477, 'INDUSTRY_TRADE', '861', '新闻业', 5105, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15478, 'INDUSTRY_TRADE', '862', '出版业', 5105, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15479, 'INDUSTRY_TRADE', '871', '广播', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15480, 'INDUSTRY_TRADE', '872', '电视', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15481, 'INDUSTRY_TRADE', '873', '影视节目制作', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15482, 'INDUSTRY_TRADE', '874', '广播电视集成播控', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15483, 'INDUSTRY_TRADE', '875', '电影和广播电视节目发行', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15484, 'INDUSTRY_TRADE', '876', '电影放映', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15485, 'INDUSTRY_TRADE', '877', '录音制作', 5106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15486, 'INDUSTRY_TRADE', '881', '文艺创作与表演', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15487, 'INDUSTRY_TRADE', '882', '艺术表演场馆', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15488, 'INDUSTRY_TRADE', '883', '图书馆与档案馆', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15489, 'INDUSTRY_TRADE', '884', '文物及非物质文化遗产保护', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15490, 'INDUSTRY_TRADE', '885', '博物馆', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15491, 'INDUSTRY_TRADE', '886', '烈士陵园、纪念馆', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15492, 'INDUSTRY_TRADE', '887', '群众文体活动', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15493, 'INDUSTRY_TRADE', '889', '其他文化艺术业', 5107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15494, 'INDUSTRY_TRADE', '891', '体育组织', 5108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15495, 'INDUSTRY_TRADE', '892', '体育场地设施管理', 5108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15496, 'INDUSTRY_TRADE', '893', '健身休闲活动', 5108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15497, 'INDUSTRY_TRADE', '899', '其他体育', 5108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15498, 'INDUSTRY_TRADE', '901', '室内娱乐活动', 5109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15499, 'INDUSTRY_TRADE', '902', '游乐园', 5109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15500, 'INDUSTRY_TRADE', '903', '休闲观光活动', 5109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15501, 'INDUSTRY_TRADE', '904', '彩票活动', 5109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15502, 'INDUSTRY_TRADE', '905', '文化体育娱乐活动与经纪代理服务', 5109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15503, 'INDUSTRY_TRADE', '909', '其他娱乐业', 5109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15504, 'INDUSTRY_TRADE', '910', '中国共产党机关', 5110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15505, 'INDUSTRY_TRADE', '921', '国家权力机构', 5111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15506, 'INDUSTRY_TRADE', '922', '国家行政机构', 5111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15507, 'INDUSTRY_TRADE', '923', '人民法院和人民检察院', 5111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15508, 'INDUSTRY_TRADE', '929', '其他国家机构', 5111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15509, 'INDUSTRY_TRADE', '931', '人民政协', 5112, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15510, 'INDUSTRY_TRADE', '941', '基本保险', 5113, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15511, 'INDUSTRY_TRADE', '942', '补充保险', 5113, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15512, 'INDUSTRY_TRADE', '949', '其他社会保障', 5113, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15513, 'INDUSTRY_TRADE', '951', '群众团体', 5114, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15514, 'INDUSTRY_TRADE', '952', '社会团体', 5114, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15515, 'INDUSTRY_TRADE', '953', '基金会', 5114, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15516, 'INDUSTRY_TRADE', '954', '宗教组织', 5114, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15517, 'INDUSTRY_TRADE', '961', '社区居民自治组织', 5115, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15518, 'INDUSTRY_TRADE', '962', '村民自治组织', 5115, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15519, 'INDUSTRY_TRADE', '970', '国际组织', 5116, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15520, 'INDUSTRY_TRADE', '278', '药用辅料及包装材料', 5046, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15521, 'INDUSTRY_TRADE', '283', '生物基材料制造', 5047, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15522, 'INDUSTRY_TRADE', '367', '汽车零部件及配件制造', 5055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15523, 'INDUSTRY_TRADE', '829', '其他未列明服务业', 5101, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15524, 'INDUSTRY_TRADE', '932', '民主党派', 5112, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15563, 'INDUSTRY_SUBCLASS', '0111', '稻谷种植', 15052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15564, 'INDUSTRY_SUBCLASS', '0112', '小麦种植', 15052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15565, 'INDUSTRY_SUBCLASS', '0113', '玉米种植', 15052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15566, 'INDUSTRY_SUBCLASS', '0119', '其他谷物种植', 15052, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15567, 'INDUSTRY_SUBCLASS', '0121', '豆类种植', 15053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15568, 'INDUSTRY_SUBCLASS', '0122', '油料种植', 15053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15569, 'INDUSTRY_SUBCLASS', '0123', '薯类种植', 15053, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15570, 'INDUSTRY_SUBCLASS', '0131', '棉花种植', 15054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15571, 'INDUSTRY_SUBCLASS', '0132', '麻类种植', 15054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15572, 'INDUSTRY_SUBCLASS', '0133', '糖料种植', 15054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15573, 'INDUSTRY_SUBCLASS', '0134', '烟草种植', 15054, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15574, 'INDUSTRY_SUBCLASS', '0141', '蔬菜种植', 15055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15575, 'INDUSTRY_SUBCLASS', '0142', '食用菌种植', 15055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15576, 'INDUSTRY_SUBCLASS', '0143', '花卉种植', 15055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15577, 'INDUSTRY_SUBCLASS', '0149', '其他园艺作物种植', 15055, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15578, 'INDUSTRY_SUBCLASS', '0151', '仁果类和核果类水果种植', 15056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15579, 'INDUSTRY_SUBCLASS', '0152', '葡萄种植', 15056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15580, 'INDUSTRY_SUBCLASS', '0153', '柑橘类种植', 15056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15581, 'INDUSTRY_SUBCLASS', '0154', '香蕉等亚热带水果种植', 15056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15582, 'INDUSTRY_SUBCLASS', '0159', '其他水果种植', 15056, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15583, 'INDUSTRY_SUBCLASS', '0161', '坚果种植', 15057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15584, 'INDUSTRY_SUBCLASS', '0162', '含油果种植', 15057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15585, 'INDUSTRY_SUBCLASS', '0163', '香料作物种植', 15057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15586, 'INDUSTRY_SUBCLASS', '0164', '茶叶种植', 15057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15587, 'INDUSTRY_SUBCLASS', '0169', '其他饮料作物种植', 15057, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15588, 'INDUSTRY_SUBCLASS', '0171', '中草药种植', 15058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15589, 'INDUSTRY_SUBCLASS', '0181', '草种植', 15059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15590, 'INDUSTRY_SUBCLASS', '0182', '天然草原割草', 15059, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15591, 'INDUSTRY_SUBCLASS', '0190', '其他农业', 15060, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15592, 'INDUSTRY_SUBCLASS', '0211', '林木育种', 15061, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15593, 'INDUSTRY_SUBCLASS', '0212', '林木育苗', 15061, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15594, 'INDUSTRY_SUBCLASS', '0220', '造林和更新', 15062, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15595, 'INDUSTRY_SUBCLASS', '0231', '森林经营和管护', 15063, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15596, 'INDUSTRY_SUBCLASS', '0232', '森林改培', 15063, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15597, 'INDUSTRY_SUBCLASS', '0241', '木材采运', 15064, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15598, 'INDUSTRY_SUBCLASS', '0242', '竹材采运', 15064, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15599, 'INDUSTRY_SUBCLASS', '0251', '木竹材林产品采集', 15065, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15600, 'INDUSTRY_SUBCLASS', '0252', '非木竹材林产品采集', 15065, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15601, 'INDUSTRY_SUBCLASS', '0311', '牛的饲养', 15066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15602, 'INDUSTRY_SUBCLASS', '0312', '马的饲养', 15066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15603, 'INDUSTRY_SUBCLASS', '0313', '猪的饲养', 15066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15604, 'INDUSTRY_SUBCLASS', '0314', '羊的饲养', 15066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15605, 'INDUSTRY_SUBCLASS', '0315', '骆驼饲养', 15066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15606, 'INDUSTRY_SUBCLASS', '0319', '其他牲畜饲养', 15066, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15607, 'INDUSTRY_SUBCLASS', '0321', '鸡的饲养', 15067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15608, 'INDUSTRY_SUBCLASS', '0322', '鸭的饲养', 15067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15609, 'INDUSTRY_SUBCLASS', '0323', '鹅的饲养', 15067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15610, 'INDUSTRY_SUBCLASS', '0329', '其他家禽饲养', 15067, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15611, 'INDUSTRY_SUBCLASS', '0330', '狩猎和捕捉动物', 15068, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15612, 'INDUSTRY_SUBCLASS', '0411', '海水养殖', 15070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15613, 'INDUSTRY_SUBCLASS', '0412', '内陆养殖', 15070, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15614, 'INDUSTRY_SUBCLASS', '0421', '海水捕捞', 15071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15615, 'INDUSTRY_SUBCLASS', '0422', '内陆捕捞', 15071, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15616, 'INDUSTRY_SUBCLASS', '0511', '种子种苗培育活动', 15072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15617, 'INDUSTRY_SUBCLASS', '0512', '农业机械活动', 15072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15618, 'INDUSTRY_SUBCLASS', '0513', '灌溉活动', 15072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15619, 'INDUSTRY_SUBCLASS', '0514', '农产品初加工活动', 15072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15620, 'INDUSTRY_SUBCLASS', '0515', '农作物病虫害防治活动', 15072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15621, 'INDUSTRY_SUBCLASS', '0519', '其他农业专业及辅助性活动', 15072, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15622, 'INDUSTRY_SUBCLASS', '0521', '林业有害生物防治活动', 15073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15623, 'INDUSTRY_SUBCLASS', '0522', '森林防火活动', 15073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15624, 'INDUSTRY_SUBCLASS', '0523', '林产品初级加工活动', 15073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15625, 'INDUSTRY_SUBCLASS', '0529', '其他林业专业及辅助性活动', 15073, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15626, 'INDUSTRY_SUBCLASS', '0531', '畜牧良种繁殖活动', 15074, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15627, 'INDUSTRY_SUBCLASS', '0532', '畜禽粪污处理活动', 15074, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15628, 'INDUSTRY_SUBCLASS', '0539', '其他畜牧专业及辅助性活动', 15074, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15629, 'INDUSTRY_SUBCLASS', '0541', '鱼苗及鱼种场活动', 15075, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15630, 'INDUSTRY_SUBCLASS', '0549', '其他渔业专业及辅助性活动', 15075, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15631, 'INDUSTRY_SUBCLASS', '0610', '烟煤和无烟煤开采洗选', 15076, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15632, 'INDUSTRY_SUBCLASS', '0620', '褐煤开采洗选', 15077, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15633, 'INDUSTRY_SUBCLASS', '0690', '其他煤炭采选', 15078, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15634, 'INDUSTRY_SUBCLASS', '0711', '陆地石油开采', 15079, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15635, 'INDUSTRY_SUBCLASS', '0712', '海洋石油开采', 15079, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15636, 'INDUSTRY_SUBCLASS', '0721', '陆地天然气开采', 15080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15637, 'INDUSTRY_SUBCLASS', '0722', '海洋天然气及可燃冰开采', 15080, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15638, 'INDUSTRY_SUBCLASS', '0810', '铁矿采选', 15081, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15639, 'INDUSTRY_SUBCLASS', '0820', '锰矿、铬矿采选', 15082, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15640, 'INDUSTRY_SUBCLASS', '0890', '其他黑色金属矿采选', 15083, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15641, 'INDUSTRY_SUBCLASS', '0911', '铜矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15642, 'INDUSTRY_SUBCLASS', '0912', '铅锌矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15643, 'INDUSTRY_SUBCLASS', '0913', '镍钴矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15644, 'INDUSTRY_SUBCLASS', '0914', '锡矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15645, 'INDUSTRY_SUBCLASS', '0915', '锑矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15646, 'INDUSTRY_SUBCLASS', '0916', '铝矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15647, 'INDUSTRY_SUBCLASS', '0917', '镁矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15648, 'INDUSTRY_SUBCLASS', '0919', '其他常用有色金属矿采选', 15084, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15649, 'INDUSTRY_SUBCLASS', '0921', '金矿采选', 15085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15650, 'INDUSTRY_SUBCLASS', '0922', '银矿采选', 15085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15651, 'INDUSTRY_SUBCLASS', '0929', '其他贵金属矿采选', 15085, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15652, 'INDUSTRY_SUBCLASS', '0931', '钨钼矿采选', 15086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15653, 'INDUSTRY_SUBCLASS', '0932', '稀土金属矿采选', 15086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15654, 'INDUSTRY_SUBCLASS', '0933', '放射性金属矿采选', 15086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15655, 'INDUSTRY_SUBCLASS', '0939', '其他稀有金属矿采选', 15086, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15656, 'INDUSTRY_SUBCLASS', '1011', '石灰石、石膏开采', 15087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15657, 'INDUSTRY_SUBCLASS', '1012', '建筑装饰用石开采', 15087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15658, 'INDUSTRY_SUBCLASS', '1013', '耐火土石开采', 15087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15659, 'INDUSTRY_SUBCLASS', '1019', '粘土及其他土砂石开采', 15087, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15660, 'INDUSTRY_SUBCLASS', '1020', '化学矿开采', 15088, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15661, 'INDUSTRY_SUBCLASS', '1030', '采盐', 15089, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15662, 'INDUSTRY_SUBCLASS', '1091', '石棉、云母矿采选', 15090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15663, 'INDUSTRY_SUBCLASS', '1092', '石墨、滑石采选', 15090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15664, 'INDUSTRY_SUBCLASS', '1093', '宝石、玉石采选', 15090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15665, 'INDUSTRY_SUBCLASS', '1099', '其他未列明非金属矿采选', 15090, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15666, 'INDUSTRY_SUBCLASS', '1110', '煤炭开采和洗选专业及辅助性活动', 15091, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15667, 'INDUSTRY_SUBCLASS', '1120', '石油和天然气开采专业及辅助性活动', 15092, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15668, 'INDUSTRY_SUBCLASS', '1190', '其他开采专业及辅助性活动', 15093, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15669, 'INDUSTRY_SUBCLASS', '1200', '其他采矿业', 15094, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15670, 'INDUSTRY_SUBCLASS', '1311', '稻谷加工', 15095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15671, 'INDUSTRY_SUBCLASS', '1312', '小麦加工', 15095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15672, 'INDUSTRY_SUBCLASS', '1313', '玉米加工', 15095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15673, 'INDUSTRY_SUBCLASS', '1314', '杂粮加工', 15095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15674, 'INDUSTRY_SUBCLASS', '1319', '其他谷物磨制', 15095, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15675, 'INDUSTRY_SUBCLASS', '1321', '宠物饲料加工', 15096, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15676, 'INDUSTRY_SUBCLASS', '1329', '其他饲料加工', 15096, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15677, 'INDUSTRY_SUBCLASS', '1331', '食用植物油加工', 15097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15678, 'INDUSTRY_SUBCLASS', '1332', '非食用植物油加工', 15097, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15679, 'INDUSTRY_SUBCLASS', '1340', '制糖业', 15098, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15680, 'INDUSTRY_SUBCLASS', '1351', '牲畜屠宰', 15099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15681, 'INDUSTRY_SUBCLASS', '1352', '禽类屠宰', 15099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15682, 'INDUSTRY_SUBCLASS', '1353', '肉制品及副产品加工', 15099, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15683, 'INDUSTRY_SUBCLASS', '1361', '水产品冷冻加工', 15100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15684, 'INDUSTRY_SUBCLASS', '1362', '鱼糜制品及水产品干腌制加工', 15100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15685, 'INDUSTRY_SUBCLASS', '1363', '鱼油提取及制品制造', 15100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15686, 'INDUSTRY_SUBCLASS', '1369', '其他水产品加工', 15100, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15687, 'INDUSTRY_SUBCLASS', '1371', '蔬菜加工', 15101, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15688, 'INDUSTRY_SUBCLASS', '1372', '食用菌加工', 15101, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15689, 'INDUSTRY_SUBCLASS', '1373', '水果和坚果加工', 15101, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15690, 'INDUSTRY_SUBCLASS', '1391', '淀粉及淀粉制品制造', 15102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15691, 'INDUSTRY_SUBCLASS', '1392', '豆制品制造', 15102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15692, 'INDUSTRY_SUBCLASS', '1393', '蛋品加工', 15102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15693, 'INDUSTRY_SUBCLASS', '1399', '其他未列明农副食品加工', 15102, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15694, 'INDUSTRY_SUBCLASS', '1411', '糕点、面包制造', 15103, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15695, 'INDUSTRY_SUBCLASS', '1419', '饼干及其他焙烤食品制造', 15103, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15696, 'INDUSTRY_SUBCLASS', '1421', '糖果、巧克力制造', 15104, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15697, 'INDUSTRY_SUBCLASS', '1422', '蜜饯制作', 15104, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15698, 'INDUSTRY_SUBCLASS', '1431', '米、面制品制造', 15105, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15699, 'INDUSTRY_SUBCLASS', '1432', '速冻食品制造', 15105, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15700, 'INDUSTRY_SUBCLASS', '1433', '方便面制造', 15105, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15701, 'INDUSTRY_SUBCLASS', '1439', '其他方便食品制造', 15105, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15702, 'INDUSTRY_SUBCLASS', '1441', '液体乳制造', 15106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15703, 'INDUSTRY_SUBCLASS', '1442', '乳粉制造', 15106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15704, 'INDUSTRY_SUBCLASS', '1449', '其他乳制品制造', 15106, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15705, 'INDUSTRY_SUBCLASS', '1451', '肉、禽类罐头制造', 15107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15706, 'INDUSTRY_SUBCLASS', '1452', '水产品罐头制造', 15107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15707, 'INDUSTRY_SUBCLASS', '1453', '蔬菜、水果罐头制造', 15107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15708, 'INDUSTRY_SUBCLASS', '1459', '其他罐头食品制造', 15107, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15709, 'INDUSTRY_SUBCLASS', '1461', '味精制造', 15108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15710, 'INDUSTRY_SUBCLASS', '1462', '酱油、食醋及类似制品制造', 15108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15711, 'INDUSTRY_SUBCLASS', '1469', '其他调味品、发酵制品制造', 15108, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15712, 'INDUSTRY_SUBCLASS', '1491', '营养食品制造', 15109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15713, 'INDUSTRY_SUBCLASS', '1492', '保健食品制造', 15109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15714, 'INDUSTRY_SUBCLASS', '1493', '冷冻饮品及食用冰制造', 15109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15715, 'INDUSTRY_SUBCLASS', '1494', '盐加工', 15109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15716, 'INDUSTRY_SUBCLASS', '1495', '食品及饲料添加剂制造', 15109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15717, 'INDUSTRY_SUBCLASS', '1499', '其他未列明食品制造', 15109, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15718, 'INDUSTRY_SUBCLASS', '1511', '酒精制造', 15110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15719, 'INDUSTRY_SUBCLASS', '1512', '白酒制造', 15110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15720, 'INDUSTRY_SUBCLASS', '1513', '啤酒制造', 15110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15721, 'INDUSTRY_SUBCLASS', '1514', '黄酒制造', 15110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15722, 'INDUSTRY_SUBCLASS', '1515', '葡萄酒制造', 15110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15723, 'INDUSTRY_SUBCLASS', '1519', '其他酒制造', 15110, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15724, 'INDUSTRY_SUBCLASS', '1521', '碳酸饮料制造', 15111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15725, 'INDUSTRY_SUBCLASS', '1522', '瓶（罐）装饮用水制造', 15111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15726, 'INDUSTRY_SUBCLASS', '1523', '果菜汁及果菜汁饮料制造', 15111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15727, 'INDUSTRY_SUBCLASS', '1524', '含乳饮料和植物蛋白饮料制造', 15111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15728, 'INDUSTRY_SUBCLASS', '1525', '固体饮料制造', 15111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15729, 'INDUSTRY_SUBCLASS', '1529', '茶饮料及其他饮料制造', 15111, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15730, 'INDUSTRY_SUBCLASS', '1530', '精制茶加工', 15112, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15731, 'INDUSTRY_SUBCLASS', '1610', '烟叶复烤', 15113, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15732, 'INDUSTRY_SUBCLASS', '1620', '卷烟制造', 15114, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15733, 'INDUSTRY_SUBCLASS', '1690', '其他烟草制品制造', 15115, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15734, 'INDUSTRY_SUBCLASS', '1711', '棉纺纱加工', 15116, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15735, 'INDUSTRY_SUBCLASS', '1712', '棉织造加工', 15116, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15736, 'INDUSTRY_SUBCLASS', '1713', '棉印染精加工', 15116, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15737, 'INDUSTRY_SUBCLASS', '1721', '毛条和毛纱线加工', 15117, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15738, 'INDUSTRY_SUBCLASS', '1722', '毛织造加工', 15117, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15739, 'INDUSTRY_SUBCLASS', '1723', '毛染整精加工', 15117, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15740, 'INDUSTRY_SUBCLASS', '1731', '麻纤维纺前加工和纺纱', 15118, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15741, 'INDUSTRY_SUBCLASS', '1732', '麻织造加工', 15118, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15742, 'INDUSTRY_SUBCLASS', '1733', '麻染整精加工', 15118, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15743, 'INDUSTRY_SUBCLASS', '1741', '缫丝加工', 15119, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15744, 'INDUSTRY_SUBCLASS', '1742', '绢纺和丝织加工', 15119, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15745, 'INDUSTRY_SUBCLASS', '1743', '丝印染精加工', 15119, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15746, 'INDUSTRY_SUBCLASS', '1751', '化纤织造加工', 15120, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15747, 'INDUSTRY_SUBCLASS', '1752', '化纤织物染整精加工', 15120, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15748, 'INDUSTRY_SUBCLASS', '1761', '针织或钩针编织物织造', 15121, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15749, 'INDUSTRY_SUBCLASS', '1762', '针织或钩针编织物印染精加工', 15121, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15750, 'INDUSTRY_SUBCLASS', '1763', '针织或钩针编织品制造', 15121, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15751, 'INDUSTRY_SUBCLASS', '1771', '床上用品制造', 15122, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15752, 'INDUSTRY_SUBCLASS', '1772', '毛巾类制品制造', 15122, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15753, 'INDUSTRY_SUBCLASS', '1773', '窗帘、布艺类产品制造', 15122, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15754, 'INDUSTRY_SUBCLASS', '1779', '其他家用纺织制成品制造', 15122, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15755, 'INDUSTRY_SUBCLASS', '1781', '非织造布制造', 15123, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15756, 'INDUSTRY_SUBCLASS', '1782', '绳、索、缆制造', 15123, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15757, 'INDUSTRY_SUBCLASS', '1783', '纺织带和帘子布制造', 15123, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15758, 'INDUSTRY_SUBCLASS', '1784', '篷、帆布制造', 15123, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15759, 'INDUSTRY_SUBCLASS', '1789', '其他产业用纺织制成品制造', 15123, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15760, 'INDUSTRY_SUBCLASS', '1811', '运动机织服装制造', 15124, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15761, 'INDUSTRY_SUBCLASS', '1819', '其他机织服装制造', 15124, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15762, 'INDUSTRY_SUBCLASS', '1821', '运动休闲针织服装制造', 15125, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15763, 'INDUSTRY_SUBCLASS', '1829', '其他针织或钩针编织服装制造', 15125, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15764, 'INDUSTRY_SUBCLASS', '1830', '服饰制造', 15126, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15765, 'INDUSTRY_SUBCLASS', '1910', '皮革鞣制加工', 15127, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15766, 'INDUSTRY_SUBCLASS', '1921', '皮革服装制造', 15128, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15767, 'INDUSTRY_SUBCLASS', '1922', '皮箱、包（袋）制造', 15128, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15768, 'INDUSTRY_SUBCLASS', '1923', '皮手套及皮装饰制品制造 ', 15128, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15769, 'INDUSTRY_SUBCLASS', '1929', '其他皮革制品制造', 15128, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15770, 'INDUSTRY_SUBCLASS', '1931', '毛皮鞣制加工', 15129, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15771, 'INDUSTRY_SUBCLASS', '1932', '毛皮服装加工', 15129, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15772, 'INDUSTRY_SUBCLASS', '1939', '其他毛皮制品加工', 15129, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15773, 'INDUSTRY_SUBCLASS', '1941', '羽毛（绒）加工', 15130, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15774, 'INDUSTRY_SUBCLASS', '1942', '羽毛（绒）制品加工', 15130, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15775, 'INDUSTRY_SUBCLASS', '1951', '纺织面料鞋制造', 15131, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15776, 'INDUSTRY_SUBCLASS', '1952', '皮鞋制造', 15131, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15777, 'INDUSTRY_SUBCLASS', '1953', '塑料鞋制造', 15131, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15778, 'INDUSTRY_SUBCLASS', '1954', '橡胶鞋制造', 15131, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15779, 'INDUSTRY_SUBCLASS', '1959', '其他制鞋业', 15131, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15780, 'INDUSTRY_SUBCLASS', '2011', '锯材加工', 15132, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15781, 'INDUSTRY_SUBCLASS', '2012', '木片加工', 15132, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15782, 'INDUSTRY_SUBCLASS', '2013', '单板加工', 15132, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15783, 'INDUSTRY_SUBCLASS', '2019', '其他木材加工', 15132, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15784, 'INDUSTRY_SUBCLASS', '2021', '胶合板制造', 15133, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15785, 'INDUSTRY_SUBCLASS', '2022', '纤维板制造', 15133, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15786, 'INDUSTRY_SUBCLASS', '2023', '刨花板制造', 15133, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15787, 'INDUSTRY_SUBCLASS', '2029', '其他人造板制造', 15133, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15788, 'INDUSTRY_SUBCLASS', '2031', '建筑用木料及木材组件加工', 15134, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15789, 'INDUSTRY_SUBCLASS', '2032', '木门窗制造', 15134, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15790, 'INDUSTRY_SUBCLASS', '2033', '木楼梯制造', 15134, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15791, 'INDUSTRY_SUBCLASS', '2034', '木地板制造', 15134, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15792, 'INDUSTRY_SUBCLASS', '2035', '木制容器制造', 15134, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15793, 'INDUSTRY_SUBCLASS', '2039', '软木制品及其他木制品制造', 15134, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15794, 'INDUSTRY_SUBCLASS', '2041', '竹制品制造', 15135, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15795, 'INDUSTRY_SUBCLASS', '2042', '藤制品制造', 15135, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15796, 'INDUSTRY_SUBCLASS', '2043', '棕制品制造', 15135, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15797, 'INDUSTRY_SUBCLASS', '2049', '草及其他制品制造', 15135, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15798, 'INDUSTRY_SUBCLASS', '2110', '木质家具制造', 15136, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15799, 'INDUSTRY_SUBCLASS', '2120', '竹、藤家具制造', 15137, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15800, 'INDUSTRY_SUBCLASS', '2130', '金属家具制造', 15138, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15801, 'INDUSTRY_SUBCLASS', '2140', '塑料家具制造', 15139, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15802, 'INDUSTRY_SUBCLASS', '2190', '其他家具制造', 15140, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15803, 'INDUSTRY_SUBCLASS', '2211', '木竹浆制造', 15141, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15804, 'INDUSTRY_SUBCLASS', '2212', '非木竹浆制造', 15141, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15805, 'INDUSTRY_SUBCLASS', '2221', '机制纸及纸板制造', 15142, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15806, 'INDUSTRY_SUBCLASS', '2222', '手工纸制造', 15142, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15807, 'INDUSTRY_SUBCLASS', '2223', '加工纸制造', 15142, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15808, 'INDUSTRY_SUBCLASS', '2231', '纸和纸板容器制造', 15143, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15809, 'INDUSTRY_SUBCLASS', '2239', '其他纸制品制造', 15143, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15810, 'INDUSTRY_SUBCLASS', '2311', '书、报刊印刷', 15144, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15811, 'INDUSTRY_SUBCLASS', '2312', '本册印制', 15144, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15812, 'INDUSTRY_SUBCLASS', '2319', '包装装潢及其他印刷', 15144, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15813, 'INDUSTRY_SUBCLASS', '2320', '装订及印刷相关服务', 15145, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15814, 'INDUSTRY_SUBCLASS', '2330', '记录媒介复制', 15146, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15815, 'INDUSTRY_SUBCLASS', '2411', '文具制造', 15147, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15816, 'INDUSTRY_SUBCLASS', '2412', '笔的制造', 15147, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15817, 'INDUSTRY_SUBCLASS', '2413', '教学用模型及教具制造', 15147, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15818, 'INDUSTRY_SUBCLASS', '2414', '墨水、墨汁制造', 15147, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15819, 'INDUSTRY_SUBCLASS', '2419', '其他文教办公用品制造', 15147, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15820, 'INDUSTRY_SUBCLASS', '2421', '中乐器制造', 15148, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15821, 'INDUSTRY_SUBCLASS', '2422', '西乐器制造', 15148, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15822, 'INDUSTRY_SUBCLASS', '2423', '电子乐器制造', 15148, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15823, 'INDUSTRY_SUBCLASS', '2429', '其他乐器及零件制造', 15148, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15824, 'INDUSTRY_SUBCLASS', '2431', '雕塑工艺品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15825, 'INDUSTRY_SUBCLASS', '2432', '金属工艺品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15826, 'INDUSTRY_SUBCLASS', '2433', '漆器工艺品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15827, 'INDUSTRY_SUBCLASS', '2434', '花画工艺品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15828, 'INDUSTRY_SUBCLASS', '2435', '天然植物纤维编织工艺品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15829, 'INDUSTRY_SUBCLASS', '2436', '抽纱刺绣工艺品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15830, 'INDUSTRY_SUBCLASS', '2437', '地毯、挂毯制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15831, 'INDUSTRY_SUBCLASS', '2438', '珠宝首饰及有关物品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15832, 'INDUSTRY_SUBCLASS', '2439', '其他工艺美术及礼仪用品制造', 15149, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15833, 'INDUSTRY_SUBCLASS', '2441', '球类制造', 15150, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15834, 'INDUSTRY_SUBCLASS', '2442', '专项运动器材及配件制造', 15150, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15835, 'INDUSTRY_SUBCLASS', '2443', '健身器材制造', 15150, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15836, 'INDUSTRY_SUBCLASS', '2444', '运动防护用具制造', 15150, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15837, 'INDUSTRY_SUBCLASS', '2449', '其他体育用品制造', 15150, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15838, 'INDUSTRY_SUBCLASS', '2451', '电玩具制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15839, 'INDUSTRY_SUBCLASS', '2452', '塑胶玩具制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15840, 'INDUSTRY_SUBCLASS', '2453', '金属玩具制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15841, 'INDUSTRY_SUBCLASS', '2454', '弹射玩具制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15842, 'INDUSTRY_SUBCLASS', '2455', '娃娃玩具制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15843, 'INDUSTRY_SUBCLASS', '2456', '儿童乘骑玩耍的童车类产品制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15844, 'INDUSTRY_SUBCLASS', '2459', '其他玩具制造', 15151, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15845, 'INDUSTRY_SUBCLASS', '2461', '露天游乐场所游乐设备制造', 15152, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15846, 'INDUSTRY_SUBCLASS', '2462', '游艺用品及室内游艺器材制造', 15152, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15847, 'INDUSTRY_SUBCLASS', '2469', '其他娱乐用品制造', 15152, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15848, 'INDUSTRY_SUBCLASS', '2511', '原油加工及石油制品制造', 15153, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15849, 'INDUSTRY_SUBCLASS', '2519', '其他原油制造', 15153, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15850, 'INDUSTRY_SUBCLASS', '2521', '炼焦', 15154, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15851, 'INDUSTRY_SUBCLASS', '2522', '煤制合成气生产', 15154, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15852, 'INDUSTRY_SUBCLASS', '2523', '煤制液体燃料生产', 15154, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15853, 'INDUSTRY_SUBCLASS', '2524', '煤制品制造', 15154, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15854, 'INDUSTRY_SUBCLASS', '2529', '其他煤炭加工', 15154, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15855, 'INDUSTRY_SUBCLASS', '2530', '核燃料加工', 15155, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15856, 'INDUSTRY_SUBCLASS', '2541', '生物质液体燃料生产', 15156, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15857, 'INDUSTRY_SUBCLASS', '2542', '生物质致密成型燃料加工', 15156, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15858, 'INDUSTRY_SUBCLASS', '2611', '无机酸制造', 15157, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15859, 'INDUSTRY_SUBCLASS', '2612', '无机碱制造', 15157, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15860, 'INDUSTRY_SUBCLASS', '2613', '无机盐制造', 15157, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15861, 'INDUSTRY_SUBCLASS', '2614', '有机化学原料制造', 15157, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15862, 'INDUSTRY_SUBCLASS', '2619', '其他基础化学原料制造', 15157, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15863, 'INDUSTRY_SUBCLASS', '2621', '氮肥制造', 15158, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15864, 'INDUSTRY_SUBCLASS', '2622', '磷肥制造', 15158, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15865, 'INDUSTRY_SUBCLASS', '2623', '钾肥制造', 15158, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15866, 'INDUSTRY_SUBCLASS', '2624', '复混肥料制造', 15158, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15867, 'INDUSTRY_SUBCLASS', '2625', '有机肥料及微生物肥料制造', 15158, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15868, 'INDUSTRY_SUBCLASS', '2629', '其他肥料制造', 15158, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15869, 'INDUSTRY_SUBCLASS', '2631', '化学农药制造', 15159, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15870, 'INDUSTRY_SUBCLASS', '2632', '生物化学农药及微生物农药制造', 15159, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15871, 'INDUSTRY_SUBCLASS', '2641', '涂料制造', 15160, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15872, 'INDUSTRY_SUBCLASS', '2642', '油墨及类似产品制造', 15160, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15873, 'INDUSTRY_SUBCLASS', '2643', '工业颜料制造', 15160, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15874, 'INDUSTRY_SUBCLASS', '2644', '工艺美术颜料制造', 15160, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15875, 'INDUSTRY_SUBCLASS', '2645', '染料制造', 15160, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15876, 'INDUSTRY_SUBCLASS', '2646', '密封用填料及类似品制造', 15160, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15877, 'INDUSTRY_SUBCLASS', '2651', '初级形态塑料及合成树脂制造', 15161, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15878, 'INDUSTRY_SUBCLASS', '2652', '合成橡胶制造', 15161, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15879, 'INDUSTRY_SUBCLASS', '2653', '合成纤维单（聚合）体制造', 15161, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15880, 'INDUSTRY_SUBCLASS', '2659', '其他合成材料制造', 15161, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15881, 'INDUSTRY_SUBCLASS', '2661', '化学试剂和助剂制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15882, 'INDUSTRY_SUBCLASS', '2662', '专项化学用品制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15883, 'INDUSTRY_SUBCLASS', '2663', '林产化学产品制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15884, 'INDUSTRY_SUBCLASS', '2664', '文化用信息化学品制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15885, 'INDUSTRY_SUBCLASS', '2665', '医学生产用信息化学品制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15886, 'INDUSTRY_SUBCLASS', '2666', '环境污染处理专用药剂材料制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15887, 'INDUSTRY_SUBCLASS', '2667', '动物胶制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15888, 'INDUSTRY_SUBCLASS', '2669', '其他专用化学产品制造', 15162, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15889, 'INDUSTRY_SUBCLASS', '2671', '炸药及火工产品制造', 15163, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15890, 'INDUSTRY_SUBCLASS', '2672', '焰火、鞭炮产品制造 ', 15163, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15891, 'INDUSTRY_SUBCLASS', '2681', '肥皂及洗涤剂制造', 15164, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15892, 'INDUSTRY_SUBCLASS', '2682', '化妆品制造', 15164, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15893, 'INDUSTRY_SUBCLASS', '2683', '口腔清洁用品制造', 15164, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15894, 'INDUSTRY_SUBCLASS', '2684', '香料、香精制造', 15164, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15895, 'INDUSTRY_SUBCLASS', '2689', '其他日用化学产品制造', 15164, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15896, 'INDUSTRY_SUBCLASS', '2710', '化学药品原料药制造', 15165, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15897, 'INDUSTRY_SUBCLASS', '2720', '化学药品制剂制造', 15166, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15898, 'INDUSTRY_SUBCLASS', '2730', '中药饮片加工', 15167, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15899, 'INDUSTRY_SUBCLASS', '2740', '中成药生产', 15168, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15900, 'INDUSTRY_SUBCLASS', '2750', '兽用药品制造', 15169, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15901, 'INDUSTRY_SUBCLASS', '2761', '生物药品制造', 15170, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15902, 'INDUSTRY_SUBCLASS', '2762', '基因工程药物和疫苗制造', 15170, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15903, 'INDUSTRY_SUBCLASS', '2770', '卫生材料及医药用品制造', 15171, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15904, 'INDUSTRY_SUBCLASS', '2811', '化纤浆粕制造', 15172, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15905, 'INDUSTRY_SUBCLASS', '2812', '人造纤维（纤维素纤维）制造', 15172, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15906, 'INDUSTRY_SUBCLASS', '2821', '锦纶纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15907, 'INDUSTRY_SUBCLASS', '2822', '涤纶纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15908, 'INDUSTRY_SUBCLASS', '2823', '腈纶纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15909, 'INDUSTRY_SUBCLASS', '2824', '维纶纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15910, 'INDUSTRY_SUBCLASS', '2825', '丙纶纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15911, 'INDUSTRY_SUBCLASS', '2826', '氨纶纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15912, 'INDUSTRY_SUBCLASS', '2829', '其他合成纤维制造', 15173, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15913, 'INDUSTRY_SUBCLASS', '2911', '轮胎制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15914, 'INDUSTRY_SUBCLASS', '2912', '橡胶板、管、带制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15915, 'INDUSTRY_SUBCLASS', '2913', '橡胶零件制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15916, 'INDUSTRY_SUBCLASS', '2914', '再生橡胶制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15917, 'INDUSTRY_SUBCLASS', '2915', '日用及医用橡胶制品制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15918, 'INDUSTRY_SUBCLASS', '2916', '运动场地用塑胶制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15919, 'INDUSTRY_SUBCLASS', '2919', '其他橡胶制品制造', 15174, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15920, 'INDUSTRY_SUBCLASS', '2921', '塑料薄膜制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15921, 'INDUSTRY_SUBCLASS', '2922', '塑料板、管、型材制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15922, 'INDUSTRY_SUBCLASS', '2923', '塑料丝、绳及编织品制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15923, 'INDUSTRY_SUBCLASS', '2924', '泡沫塑料制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15924, 'INDUSTRY_SUBCLASS', '2925', '塑料人造革、合成革制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15925, 'INDUSTRY_SUBCLASS', '2926', '塑料包装箱及容器制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15926, 'INDUSTRY_SUBCLASS', '2927', '日用塑料制品制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15927, 'INDUSTRY_SUBCLASS', '2928', '人造草坪制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15928, 'INDUSTRY_SUBCLASS', '2929', '塑料零件及其他塑料制品制造', 15175, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15929, 'INDUSTRY_SUBCLASS', '3011', '水泥制造', 15176, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15930, 'INDUSTRY_SUBCLASS', '3012', '石灰和石膏制造', 15176, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15931, 'INDUSTRY_SUBCLASS', '3021', '水泥制品制造', 15177, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15932, 'INDUSTRY_SUBCLASS', '3022', '砼结构构件制造', 15177, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15933, 'INDUSTRY_SUBCLASS', '3023', '石棉水泥制品制造', 15177, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15934, 'INDUSTRY_SUBCLASS', '3024', '轻质建筑材料制造', 15177, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15935, 'INDUSTRY_SUBCLASS', '3029', '其他水泥类似制品制造', 15177, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15936, 'INDUSTRY_SUBCLASS', '3031', '粘土砖瓦及建筑砌块制造', 15178, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15937, 'INDUSTRY_SUBCLASS', '3032', '建筑用石加工', 15178, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15938, 'INDUSTRY_SUBCLASS', '3033', '防水建筑材料制造', 15178, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15939, 'INDUSTRY_SUBCLASS', '3034', '隔热和隔音材料制造', 15178, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15940, 'INDUSTRY_SUBCLASS', '3039', '其他建筑材料制造', 15178, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15941, 'INDUSTRY_SUBCLASS', '3041', '平板玻璃制造', 15179, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15942, 'INDUSTRY_SUBCLASS', '3042', '特种玻璃制造', 15179, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15943, 'INDUSTRY_SUBCLASS', '3049', '其他玻璃制造', 15179, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15944, 'INDUSTRY_SUBCLASS', '3051', '技术玻璃制品制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15945, 'INDUSTRY_SUBCLASS', '3052', '光学玻璃制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15946, 'INDUSTRY_SUBCLASS', '3053', '玻璃仪器制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15947, 'INDUSTRY_SUBCLASS', '3054', '日用玻璃制品制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15948, 'INDUSTRY_SUBCLASS', '3055', '玻璃包装容器制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15949, 'INDUSTRY_SUBCLASS', '3056', '玻璃保温容器制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15950, 'INDUSTRY_SUBCLASS', '3057', '制镜及类似品加工', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15951, 'INDUSTRY_SUBCLASS', '3059', '其他玻璃制品制造', 15180, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15952, 'INDUSTRY_SUBCLASS', '3061', '玻璃纤维及制品制造', 15181, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15953, 'INDUSTRY_SUBCLASS', '3062', '玻璃纤维增强塑料制品制造', 15181, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15954, 'INDUSTRY_SUBCLASS', '3071', '建筑陶瓷制品制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15955, 'INDUSTRY_SUBCLASS', '3072', '卫生陶瓷制品制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15956, 'INDUSTRY_SUBCLASS', '3073', '特种陶瓷制品制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15957, 'INDUSTRY_SUBCLASS', '3074', '日用陶瓷制品制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15958, 'INDUSTRY_SUBCLASS', '3075', '陈设艺术陶瓷制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15959, 'INDUSTRY_SUBCLASS', '3076', '园艺陶瓷制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15960, 'INDUSTRY_SUBCLASS', '3079', '其他陶瓷制品制造', 15182, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15961, 'INDUSTRY_SUBCLASS', '3081', '石棉制品制造', 15183, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15962, 'INDUSTRY_SUBCLASS', '3082', '云母制品制造', 15183, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15963, 'INDUSTRY_SUBCLASS', '3089', '耐火陶瓷制品及其他耐火材料制造', 15183, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15964, 'INDUSTRY_SUBCLASS', '3091', '石墨及碳素制品制造', 15184, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15965, 'INDUSTRY_SUBCLASS', '3099', '其他非金属矿物制品制造', 15184, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15966, 'INDUSTRY_SUBCLASS', '3110', '炼铁', 15185, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15967, 'INDUSTRY_SUBCLASS', '3120', '炼钢', 15186, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15968, 'INDUSTRY_SUBCLASS', '3130', '钢压延加工', 15187, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15969, 'INDUSTRY_SUBCLASS', '3140', '铁合金冶炼', 15188, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15970, 'INDUSTRY_SUBCLASS', '3211', '铜冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15971, 'INDUSTRY_SUBCLASS', '3212', '铅锌冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15972, 'INDUSTRY_SUBCLASS', '3213', '镍钴冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15973, 'INDUSTRY_SUBCLASS', '3214', '锡冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15974, 'INDUSTRY_SUBCLASS', '3215', '锑冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15975, 'INDUSTRY_SUBCLASS', '3216', '铝冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15976, 'INDUSTRY_SUBCLASS', '3217', '镁冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15977, 'INDUSTRY_SUBCLASS', '3218', '硅冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15978, 'INDUSTRY_SUBCLASS', '3219', '其他常用有色金属冶炼', 15189, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15979, 'INDUSTRY_SUBCLASS', '3221', '金冶炼', 15190, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15980, 'INDUSTRY_SUBCLASS', '3222', '银冶炼', 15190, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15981, 'INDUSTRY_SUBCLASS', '3229', '其他贵金属冶炼', 15190, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15982, 'INDUSTRY_SUBCLASS', '3231', '钨钼冶炼', 15191, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15983, 'INDUSTRY_SUBCLASS', '3232', '稀土金属冶炼', 15191, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15984, 'INDUSTRY_SUBCLASS', '3239', '其他稀有金属冶炼', 15191, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15985, 'INDUSTRY_SUBCLASS', '3240', '有色金属合金制造', 15192, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15986, 'INDUSTRY_SUBCLASS', '3251', '铜压延加工', 15193, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15987, 'INDUSTRY_SUBCLASS', '3252', '铝压延加工', 15193, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15988, 'INDUSTRY_SUBCLASS', '3253', '贵金属压延加工', 15193, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15989, 'INDUSTRY_SUBCLASS', '3254', '稀有稀土金属压延加工', 15193, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15990, 'INDUSTRY_SUBCLASS', '3259', '其他有色金属压延加工', 15193, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15991, 'INDUSTRY_SUBCLASS', '3311', '金属结构制造', 15194, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15992, 'INDUSTRY_SUBCLASS', '3312', '金属门窗制造', 15194, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15993, 'INDUSTRY_SUBCLASS', '3321', '切削工具制造', 15195, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15994, 'INDUSTRY_SUBCLASS', '3322', '手工具制造', 15195, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15995, 'INDUSTRY_SUBCLASS', '3323', '农用及园林用金属工具制造', 15195, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15996, 'INDUSTRY_SUBCLASS', '3324', '刀剪及类似日用金属工具制造', 15195, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15997, 'INDUSTRY_SUBCLASS', '3329', '其他金属工具制造', 15195, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15998, 'INDUSTRY_SUBCLASS', '3331', '集装箱制造', 15196, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (15999, 'INDUSTRY_SUBCLASS', '3332', '金属压力容器制造', 15196, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16000, 'INDUSTRY_SUBCLASS', '3333', '金属包装容器及材料制造', 15196, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16001, 'INDUSTRY_SUBCLASS', '3340', '金属丝绳及其制品制造', 15197, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16002, 'INDUSTRY_SUBCLASS', '3351', '建筑、家具用金属配件制造', 15198, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16003, 'INDUSTRY_SUBCLASS', '3352', '建筑装饰及水暖管道零件制造', 15198, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16004, 'INDUSTRY_SUBCLASS', '3353', '安全、消防用金属制品制造', 15198, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16005, 'INDUSTRY_SUBCLASS', '3359', '其他建筑、安全用金属制品制造', 15198, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16006, 'INDUSTRY_SUBCLASS', '3360', '金属表面处理及热处理加工', 15199, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16007, 'INDUSTRY_SUBCLASS', '3371', '生产专用搪瓷制品制造', 15200, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16008, 'INDUSTRY_SUBCLASS', '3372', '建筑装饰搪瓷制品制造', 15200, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16009, 'INDUSTRY_SUBCLASS', '3373', '搪瓷卫生洁具制造', 15200, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16010, 'INDUSTRY_SUBCLASS', '3379', '搪瓷日用品及其他搪瓷制品制造', 15200, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16011, 'INDUSTRY_SUBCLASS', '3381', '金属制厨房用器具制造', 15201, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16012, 'INDUSTRY_SUBCLASS', '3382', '金属制餐具和器皿制造', 15201, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16013, 'INDUSTRY_SUBCLASS', '3383', '金属制卫生器具制造', 15201, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16014, 'INDUSTRY_SUBCLASS', '3389', '其他金属制日用品制造', 15201, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16015, 'INDUSTRY_SUBCLASS', '3391', '黑色金属铸造', 15202, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16016, 'INDUSTRY_SUBCLASS', '3392', '有色金属铸造', 15202, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16017, 'INDUSTRY_SUBCLASS', '3393', '锻件及粉末冶金制品制造', 15202, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16018, 'INDUSTRY_SUBCLASS', '3394', '交通及公共管理用金属标牌制造', 15202, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16019, 'INDUSTRY_SUBCLASS', '3399', '其他未列明金属制品制造', 15202, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16020, 'INDUSTRY_SUBCLASS', '3411', '锅炉及辅助设备制造', 15203, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16021, 'INDUSTRY_SUBCLASS', '3412', '内燃机及配件制造', 15203, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16022, 'INDUSTRY_SUBCLASS', '3413', '汽轮机及辅机制造', 15203, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16023, 'INDUSTRY_SUBCLASS', '3414', '水轮机及辅机制造', 15203, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16024, 'INDUSTRY_SUBCLASS', '3415', '风能原动设备制造', 15203, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16025, 'INDUSTRY_SUBCLASS', '3419', '其他原动设备制造', 15203, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16026, 'INDUSTRY_SUBCLASS', '3421', '金属切削机床制造', 15204, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16027, 'INDUSTRY_SUBCLASS', '3422', '金属成形机床制造', 15204, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16028, 'INDUSTRY_SUBCLASS', '3423', '铸造机械制造', 15204, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16029, 'INDUSTRY_SUBCLASS', '3424', '金属切割及焊接设备制造', 15204, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16030, 'INDUSTRY_SUBCLASS', '3425', '机床功能部件及附件制造', 15204, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16031, 'INDUSTRY_SUBCLASS', '3429', '其他金属加工机械制造', 15204, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16032, 'INDUSTRY_SUBCLASS', '3431', '轻小型起重设备制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16033, 'INDUSTRY_SUBCLASS', '3432', '生产专用起重机制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16034, 'INDUSTRY_SUBCLASS', '3433', '生产专用车辆制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16035, 'INDUSTRY_SUBCLASS', '3434', '连续搬运设备制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16036, 'INDUSTRY_SUBCLASS', '3435', '电梯、自动扶梯及升降机制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16037, 'INDUSTRY_SUBCLASS', '3436', '客运索道制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16038, 'INDUSTRY_SUBCLASS', '3437', '机械式停车设备制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16039, 'INDUSTRY_SUBCLASS', '3439', '其他物料搬运设备制造', 15205, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16040, 'INDUSTRY_SUBCLASS', '3441', '泵及真空设备制造', 15206, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16041, 'INDUSTRY_SUBCLASS', '3442', '气体压缩机械制造', 15206, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16042, 'INDUSTRY_SUBCLASS', '3443', '阀门和旋塞制造', 15206, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16043, 'INDUSTRY_SUBCLASS', '3444', '液压动力机械及元件制造', 15206, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16044, 'INDUSTRY_SUBCLASS', '3445', '液力动力机械元件制造', 15206, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16045, 'INDUSTRY_SUBCLASS', '3446', '气压动力机械及元件制造', 15206, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16046, 'INDUSTRY_SUBCLASS', '3451', '滚动轴承制造', 15207, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16047, 'INDUSTRY_SUBCLASS', '3452', '滑动轴承制造', 15207, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16048, 'INDUSTRY_SUBCLASS', '3453', '齿轮及齿轮减、变速箱制造', 15207, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16049, 'INDUSTRY_SUBCLASS', '3459', '其他传动部件制造', 15207, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16050, 'INDUSTRY_SUBCLASS', '3461', '烘炉、熔炉及电炉制造', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16051, 'INDUSTRY_SUBCLASS', '3462', '风机、风扇制造', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16052, 'INDUSTRY_SUBCLASS', '3463', '气体、液体分离及纯净设备制造', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16053, 'INDUSTRY_SUBCLASS', '3464', '制冷、空调设备制造', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16054, 'INDUSTRY_SUBCLASS', '3465', '风动和电动工具制造', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16055, 'INDUSTRY_SUBCLASS', '3466', '喷枪及类似器具制造 ', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16056, 'INDUSTRY_SUBCLASS', '3467', '包装专用设备制造', 15208, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16057, 'INDUSTRY_SUBCLASS', '3471', '电影机械制造', 15209, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16058, 'INDUSTRY_SUBCLASS', '3472', '幻灯及投影设备制造', 15209, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16059, 'INDUSTRY_SUBCLASS', '3473', '照相机及器材制造', 15209, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16060, 'INDUSTRY_SUBCLASS', '3474', '复印和胶印设备制造', 15209, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16061, 'INDUSTRY_SUBCLASS', '3475', '计算器及货币专用设备制造', 15209, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16062, 'INDUSTRY_SUBCLASS', '3479', '其他文化、办公用机械制造', 15209, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16063, 'INDUSTRY_SUBCLASS', '3481', '金属密封件制造', 15210, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16064, 'INDUSTRY_SUBCLASS', '3482', '紧固件制造', 15210, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16065, 'INDUSTRY_SUBCLASS', '3483', '弹簧制造', 15210, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16066, 'INDUSTRY_SUBCLASS', '3484', '机械零部件加工', 15210, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16067, 'INDUSTRY_SUBCLASS', '3489', '其他通用零部件制造', 15210, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16068, 'INDUSTRY_SUBCLASS', '3491', '工业机器人制造', 15211, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16069, 'INDUSTRY_SUBCLASS', '3492', '特殊作业机器人制造', 15211, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16070, 'INDUSTRY_SUBCLASS', '3493', '增材制造装备制造', 15211, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16071, 'INDUSTRY_SUBCLASS', '3499', '其他未列明通用设备制造业', 15211, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16072, 'INDUSTRY_SUBCLASS', '3511', '矿山机械制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16073, 'INDUSTRY_SUBCLASS', '3512', '石油钻采专用设备制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16074, 'INDUSTRY_SUBCLASS', '3513', '深海石油钻探设备制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16075, 'INDUSTRY_SUBCLASS', '3514', '建筑工程用机械制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16076, 'INDUSTRY_SUBCLASS', '3515', '建筑材料生产专用机械制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16077, 'INDUSTRY_SUBCLASS', '3516', '冶金专用设备制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16078, 'INDUSTRY_SUBCLASS', '3517', '隧道施工专用机械制造', 15212, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16079, 'INDUSTRY_SUBCLASS', '3521', '炼油、化工生产专用设备制造', 15213, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16080, 'INDUSTRY_SUBCLASS', '3522', '橡胶加工专用设备制造', 15213, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16081, 'INDUSTRY_SUBCLASS', '3523', '塑料加工专用设备制造', 15213, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16082, 'INDUSTRY_SUBCLASS', '3524', '木竹材加工机械制造', 15213, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16083, 'INDUSTRY_SUBCLASS', '3525', '模具制造', 15213, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16084, 'INDUSTRY_SUBCLASS', '3529', '其他非金属加工专用设备制造', 15213, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16085, 'INDUSTRY_SUBCLASS', '3531', '食品、酒、饮料及茶生产专用设备制造', 15214, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16086, 'INDUSTRY_SUBCLASS', '3532', '农副食品加工专用设备制造', 15214, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16087, 'INDUSTRY_SUBCLASS', '3533', '烟草生产专用设备制造', 15214, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16088, 'INDUSTRY_SUBCLASS', '3534', '饲料生产专用设备制造', 15214, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16089, 'INDUSTRY_SUBCLASS', '3541', '制浆和造纸专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16090, 'INDUSTRY_SUBCLASS', '3542', '印刷专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16091, 'INDUSTRY_SUBCLASS', '3543', '日用化工专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16092, 'INDUSTRY_SUBCLASS', '3544', '制药专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16093, 'INDUSTRY_SUBCLASS', '3545', '照明器具生产专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16094, 'INDUSTRY_SUBCLASS', '3546', '玻璃、陶瓷和搪瓷制品生产专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16095, 'INDUSTRY_SUBCLASS', '3549', '其他日用品生产专用设备制造', 15215, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16096, 'INDUSTRY_SUBCLASS', '3551', '纺织专用设备制造', 15216, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16097, 'INDUSTRY_SUBCLASS', '3552', '皮革、毛皮及其制品加工专用设备制造', 15216, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16098, 'INDUSTRY_SUBCLASS', '3553', '缝制机械制造', 15216, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16099, 'INDUSTRY_SUBCLASS', '3554', '洗涤机械制造', 15216, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16100, 'INDUSTRY_SUBCLASS', '3561', '电工机械专用设备制造', 15217, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16101, 'INDUSTRY_SUBCLASS', '3562', '半导体器件专用设备制造', 15217, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16102, 'INDUSTRY_SUBCLASS', '3563', '电子元器件与机电组件设备制造', 15217, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16103, 'INDUSTRY_SUBCLASS', '3569', '其他电子专用设备制造', 15217, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16104, 'INDUSTRY_SUBCLASS', '3571', '拖拉机制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16105, 'INDUSTRY_SUBCLASS', '3572', '机械化农业及园艺机具制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16106, 'INDUSTRY_SUBCLASS', '3573', '营林及木竹采伐机械制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16107, 'INDUSTRY_SUBCLASS', '3574', '畜牧机械制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16108, 'INDUSTRY_SUBCLASS', '3575', '渔业机械制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16109, 'INDUSTRY_SUBCLASS', '3576', '农林牧渔机械配件制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16110, 'INDUSTRY_SUBCLASS', '3577', '棉花加工机械制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16111, 'INDUSTRY_SUBCLASS', '3579', '其他农、林、牧、渔业机械制造', 15218, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16112, 'INDUSTRY_SUBCLASS', '3581', '医疗诊断、监护及治疗设备制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16113, 'INDUSTRY_SUBCLASS', '3582', '口腔科用设备及器具制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16114, 'INDUSTRY_SUBCLASS', '3583', '医疗实验室及医用消毒设备和器具制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16115, 'INDUSTRY_SUBCLASS', '3584', '医疗、外科及兽医用器械制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16116, 'INDUSTRY_SUBCLASS', '3585', '机械治疗及病房护理设备制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16117, 'INDUSTRY_SUBCLASS', '3586', '康复辅具制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16118, 'INDUSTRY_SUBCLASS', '3587', '眼镜制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16119, 'INDUSTRY_SUBCLASS', '3589', '其他医疗设备及器械制造', 15219, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16120, 'INDUSTRY_SUBCLASS', '3591', '环境保护专用设备制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16121, 'INDUSTRY_SUBCLASS', '3592', '地质勘查专用设备制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16122, 'INDUSTRY_SUBCLASS', '3593', '邮政专用机械及器材制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16123, 'INDUSTRY_SUBCLASS', '3594', '商业、饮食、服务专用设备制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16124, 'INDUSTRY_SUBCLASS', '3595', '社会公共安全设备及器材制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16125, 'INDUSTRY_SUBCLASS', '3596', '交通安全、管制及类似专用设备制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16126, 'INDUSTRY_SUBCLASS', '3597', '水资源专用机械制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16127, 'INDUSTRY_SUBCLASS', '3599', '其他专用设备制造', 15220, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16128, 'INDUSTRY_SUBCLASS', '3612', '新能源车整车制造', 15221, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16129, 'INDUSTRY_SUBCLASS', '3620', '汽车用发动机制造', 15222, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16130, 'INDUSTRY_SUBCLASS', '3630', '改装汽车制造', 15223, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16131, 'INDUSTRY_SUBCLASS', '3640', '低速汽车制造', 15224, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16132, 'INDUSTRY_SUBCLASS', '3650', '电车制造', 15225, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16133, 'INDUSTRY_SUBCLASS', '3660', '汽车车身、挂车制造', 15226, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16134, 'INDUSTRY_SUBCLASS', '3711', '高铁车组制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16135, 'INDUSTRY_SUBCLASS', '3712', '铁路机车车辆制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16136, 'INDUSTRY_SUBCLASS', '3713', '窄轨机车车辆制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16137, 'INDUSTRY_SUBCLASS', '3714', '高铁设备、配件制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16138, 'INDUSTRY_SUBCLASS', '3715', '铁路机车车辆配件制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16139, 'INDUSTRY_SUBCLASS', '3716', '铁路专用设备及器材、配件制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16140, 'INDUSTRY_SUBCLASS', '3719', '其他铁路运输设备制造', 15227, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16141, 'INDUSTRY_SUBCLASS', '3720', '城市轨道交通设备制造', 15228, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16142, 'INDUSTRY_SUBCLASS', '3731', '金属船舶制造', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16143, 'INDUSTRY_SUBCLASS', '3732', '非金属船舶制造', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16144, 'INDUSTRY_SUBCLASS', '3733', '娱乐船和运动船制造', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16145, 'INDUSTRY_SUBCLASS', '3734', '船用配套设备制造', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16146, 'INDUSTRY_SUBCLASS', '3735', '船舶改装', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16147, 'INDUSTRY_SUBCLASS', '3736', '船舶拆除', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16148, 'INDUSTRY_SUBCLASS', '3737', '海洋工程装备制造', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16149, 'INDUSTRY_SUBCLASS', '3739', '航标器材及其他相关装置制造', 15229, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16150, 'INDUSTRY_SUBCLASS', '3741', '飞机制造', 15230, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16151, 'INDUSTRY_SUBCLASS', '3742', '航天器及运载火箭制造', 15230, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16152, 'INDUSTRY_SUBCLASS', '3743', '航天相关设备制造', 15230, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16153, 'INDUSTRY_SUBCLASS', '3744', '航空相关设备制造', 15230, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16154, 'INDUSTRY_SUBCLASS', '3749', '其他航空航天器制造', 15230, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16155, 'INDUSTRY_SUBCLASS', '3751', '摩托车整车制造', 15231, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16156, 'INDUSTRY_SUBCLASS', '3752', '摩托车零部件及配件制造', 15231, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16157, 'INDUSTRY_SUBCLASS', '3761', '自行车制造', 15232, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16158, 'INDUSTRY_SUBCLASS', '3762', '残疾人座车制造', 15232, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16159, 'INDUSTRY_SUBCLASS', '3770', '助动车制造', 15233, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16160, 'INDUSTRY_SUBCLASS', '3780', '非公路休闲车及零配件制造', 15234, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16161, 'INDUSTRY_SUBCLASS', '3791', '潜水装备制造', 15235, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16162, 'INDUSTRY_SUBCLASS', '3792', '水下救捞装备制造', 15235, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16163, 'INDUSTRY_SUBCLASS', '3799', '其他未列明运输设备制造', 15235, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16164, 'INDUSTRY_SUBCLASS', '3811', '发电机及发电机组制造', 15236, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16165, 'INDUSTRY_SUBCLASS', '3812', '电动机制造', 15236, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16166, 'INDUSTRY_SUBCLASS', '3813', '微特电机及组件制造', 15236, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16167, 'INDUSTRY_SUBCLASS', '3819', '其他电机制造', 15236, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16168, 'INDUSTRY_SUBCLASS', '3821', '变压器、整流器和电感器制造', 15237, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16169, 'INDUSTRY_SUBCLASS', '3822', '电容器及其配套设备制造', 15237, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16170, 'INDUSTRY_SUBCLASS', '3823', '配电开关控制设备制造', 15237, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16171, 'INDUSTRY_SUBCLASS', '3824', '电力电子元器件制造', 15237, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16172, 'INDUSTRY_SUBCLASS', '3825', '光伏设备及元器件制造', 15237, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16173, 'INDUSTRY_SUBCLASS', '3829', '其他输配电及控制设备制造', 15237, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16174, 'INDUSTRY_SUBCLASS', '3831', '电线、电缆制造', 15238, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16175, 'INDUSTRY_SUBCLASS', '3832', '光纤制造', 15238, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16176, 'INDUSTRY_SUBCLASS', '3833', '光缆制造', 15238, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16177, 'INDUSTRY_SUBCLASS', '3834', '绝缘制品制造', 15238, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16178, 'INDUSTRY_SUBCLASS', '3839', '其他电工器材制造', 15238, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16179, 'INDUSTRY_SUBCLASS', '3841', '锂离子电池制造', 15239, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16180, 'INDUSTRY_SUBCLASS', '3842', '镍氢电池制造', 15239, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16181, 'INDUSTRY_SUBCLASS', '3843', '铅蓄电池制造', 15239, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16182, 'INDUSTRY_SUBCLASS', '3844', '锌锰电池制造', 15239, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16183, 'INDUSTRY_SUBCLASS', '3849', '其他电池制造', 15239, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16184, 'INDUSTRY_SUBCLASS', '3851', '家用制冷电器具制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16185, 'INDUSTRY_SUBCLASS', '3852', '家用空气调节器制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16186, 'INDUSTRY_SUBCLASS', '3853', '家用通风电器具制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16187, 'INDUSTRY_SUBCLASS', '3854', '家用厨房电器具制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16188, 'INDUSTRY_SUBCLASS', '3855', '家用清洁卫生电器具制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16189, 'INDUSTRY_SUBCLASS', '3856', '家用美容、保健护理电器具制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16190, 'INDUSTRY_SUBCLASS', '3857', '家用电力器具专用配件制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16191, 'INDUSTRY_SUBCLASS', '3859', '其他家用电力器具制造', 15240, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16192, 'INDUSTRY_SUBCLASS', '3861', '燃气及类似能源家用器具制造', 15241, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16193, 'INDUSTRY_SUBCLASS', '3862', '太阳能器具制造', 15241, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16194, 'INDUSTRY_SUBCLASS', '3869', '其他非电力家用器具制造', 15241, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16195, 'INDUSTRY_SUBCLASS', '3871', '电光源制造', 15242, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16196, 'INDUSTRY_SUBCLASS', '3872', '照明灯具制造 ', 15242, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16197, 'INDUSTRY_SUBCLASS', '3873', '舞台及场地用灯制造', 15242, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16198, 'INDUSTRY_SUBCLASS', '3874', '智能照明器具制造', 15242, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16199, 'INDUSTRY_SUBCLASS', '3879', '灯用电器附件及其他照明器具制造', 15242, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16200, 'INDUSTRY_SUBCLASS', '3891', '电气信号设备装置制造', 15243, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16201, 'INDUSTRY_SUBCLASS', '3899', '其他未列明电气机械及器材制造', 15243, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16202, 'INDUSTRY_SUBCLASS', '3911', '计算机整机制造', 15244, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16203, 'INDUSTRY_SUBCLASS', '3912', '计算机零部件制造', 15244, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16204, 'INDUSTRY_SUBCLASS', '3913', '计算机外围设备制造', 15244, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16205, 'INDUSTRY_SUBCLASS', '3914', '工业控制计算机及系统制造', 15244, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16206, 'INDUSTRY_SUBCLASS', '3915', '信息安全设备制造', 15244, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16207, 'INDUSTRY_SUBCLASS', '3919', '其他计算机制造', 15244, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16208, 'INDUSTRY_SUBCLASS', '3921', '通信系统设备制造', 15245, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16209, 'INDUSTRY_SUBCLASS', '3922', '通信终端设备制造', 15245, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16210, 'INDUSTRY_SUBCLASS', '3931', '广播电视节目制作及发射设备制造', 15246, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16211, 'INDUSTRY_SUBCLASS', '3932', '广播电视接收设备制造', 15246, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16212, 'INDUSTRY_SUBCLASS', '3933', '广播电视专用配件制造', 15246, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16213, 'INDUSTRY_SUBCLASS', '3934', '专业音响设备制造', 15246, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16214, 'INDUSTRY_SUBCLASS', '3939', '应用电视设备及其他广播电视设备制造', 15246, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16215, 'INDUSTRY_SUBCLASS', '3940', '雷达及配套设备制造', 15247, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16216, 'INDUSTRY_SUBCLASS', '3951', '电视机制造', 15248, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16217, 'INDUSTRY_SUBCLASS', '3952', '音响设备制造', 15248, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16218, 'INDUSTRY_SUBCLASS', '3953', '影视录放设备制造', 15248, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16219, 'INDUSTRY_SUBCLASS', '3961', '可穿戴智能设备制造', 15249, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16220, 'INDUSTRY_SUBCLASS', '3962', '智能车载设备制造', 15249, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16221, 'INDUSTRY_SUBCLASS', '3963', '智能无人飞行器制造', 15249, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16222, 'INDUSTRY_SUBCLASS', '3964', '服务消费机器人制造', 15249, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16223, 'INDUSTRY_SUBCLASS', '3969', '其他智能消费设备制造', 15249, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16224, 'INDUSTRY_SUBCLASS', '3971', '电子真空器件制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16225, 'INDUSTRY_SUBCLASS', '3972', '半导体分立器件制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16226, 'INDUSTRY_SUBCLASS', '3973', '集成电路制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16227, 'INDUSTRY_SUBCLASS', '3974', '显示器件制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16228, 'INDUSTRY_SUBCLASS', '3975', '半导体照明器件制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16229, 'INDUSTRY_SUBCLASS', '3976', '光电子器件制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16230, 'INDUSTRY_SUBCLASS', '3979', '其他电子器件制造', 15250, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16231, 'INDUSTRY_SUBCLASS', '3981', '电阻电容电感元件制造', 15251, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16232, 'INDUSTRY_SUBCLASS', '3982', '电子电路制造', 15251, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16233, 'INDUSTRY_SUBCLASS', '3983', '敏感元件及传感器制造', 15251, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16234, 'INDUSTRY_SUBCLASS', '3984', '电声器件及零件制造', 15251, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16235, 'INDUSTRY_SUBCLASS', '3985', '电子专用材料制造', 15251, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16236, 'INDUSTRY_SUBCLASS', '3989', '其他电子元件制造', 15251, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16237, 'INDUSTRY_SUBCLASS', '3990', '其他电子设备制造', 15252, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16238, 'INDUSTRY_SUBCLASS', '4011', '工业自动控制系统装置制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16239, 'INDUSTRY_SUBCLASS', '4012', '电工仪器仪表制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16240, 'INDUSTRY_SUBCLASS', '4013', '绘图、计算及测量仪器制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16241, 'INDUSTRY_SUBCLASS', '4014', '实验分析仪器制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16242, 'INDUSTRY_SUBCLASS', '4015', '试验机制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16243, 'INDUSTRY_SUBCLASS', '4016', '供应用仪器仪表制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16244, 'INDUSTRY_SUBCLASS', '4019', '其他通用仪器制造', 15253, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16245, 'INDUSTRY_SUBCLASS', '4021', '环境监测专用仪器仪表制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16246, 'INDUSTRY_SUBCLASS', '4022', '运输设备及生产用计数仪表制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16247, 'INDUSTRY_SUBCLASS', '4023', '导航、测绘、气象及海洋专用仪器制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16248, 'INDUSTRY_SUBCLASS', '4024', '农林牧渔专用仪器仪表制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16249, 'INDUSTRY_SUBCLASS', '4025', '地质勘探和地震专用仪器制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16250, 'INDUSTRY_SUBCLASS', '4026', '教学专用仪器制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16251, 'INDUSTRY_SUBCLASS', '4027', '核子及核辐射测量仪器制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16252, 'INDUSTRY_SUBCLASS', '4028', '电子测量仪器制造 ', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16253, 'INDUSTRY_SUBCLASS', '4029', '其他专用仪器制造', 15254, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16254, 'INDUSTRY_SUBCLASS', '4030', '钟表与计时仪器制造', 15255, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16255, 'INDUSTRY_SUBCLASS', '4040', '光学仪器制造', 15256, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16256, 'INDUSTRY_SUBCLASS', '4050', '衡器制造', 15257, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16257, 'INDUSTRY_SUBCLASS', '4090', '其他仪器仪表制造业', 15258, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16258, 'INDUSTRY_SUBCLASS', '4111', '鬃毛加工、制刷及清扫工具制造', 15259, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16259, 'INDUSTRY_SUBCLASS', '4119', '其他日用杂品制造', 15259, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16260, 'INDUSTRY_SUBCLASS', '4120', '核辐射加工', 15260, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16261, 'INDUSTRY_SUBCLASS', '4190', '其他未列明制造业', 15261, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16262, 'INDUSTRY_SUBCLASS', '4210', '金属废料和碎屑加工处理', 15262, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16263, 'INDUSTRY_SUBCLASS', '4220', '非金属废料和碎屑加工处理', 15263, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16264, 'INDUSTRY_SUBCLASS', '4310', '金属制品修理', 15264, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16265, 'INDUSTRY_SUBCLASS', '4320', '通用设备修理', 15265, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16266, 'INDUSTRY_SUBCLASS', '4330', '专用设备修理', 15266, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16267, 'INDUSTRY_SUBCLASS', '4341', '铁路运输设备修理', 15267, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16268, 'INDUSTRY_SUBCLASS', '4342', '船舶修理', 15267, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16269, 'INDUSTRY_SUBCLASS', '4343', '航空航天器修理', 15267, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16270, 'INDUSTRY_SUBCLASS', '4349', '其他运输设备修理', 15267, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16271, 'INDUSTRY_SUBCLASS', '4350', '电气设备修理', 15268, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16272, 'INDUSTRY_SUBCLASS', '4360', '仪器仪表修理', 15269, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16273, 'INDUSTRY_SUBCLASS', '4390', '其他机械和设备修理业', 15270, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16274, 'INDUSTRY_SUBCLASS', '4411', '火力发电', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16275, 'INDUSTRY_SUBCLASS', '4412', '热电联产', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16276, 'INDUSTRY_SUBCLASS', '4413', '水力发电', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16277, 'INDUSTRY_SUBCLASS', '4414', '核力发电', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16278, 'INDUSTRY_SUBCLASS', '4415', '风力发电', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16279, 'INDUSTRY_SUBCLASS', '4416', '太阳能发电', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16280, 'INDUSTRY_SUBCLASS', '4417', '生物质能发电', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16281, 'INDUSTRY_SUBCLASS', '4419', '其他电力生产', 15271, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16282, 'INDUSTRY_SUBCLASS', '4420', '电力供应', 15272, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16283, 'INDUSTRY_SUBCLASS', '4430', '热力生产和供应', 15273, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16284, 'INDUSTRY_SUBCLASS', '4511', '天然气生产和供应业', 15274, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16285, 'INDUSTRY_SUBCLASS', '4512', '液化石油气生产和供应业', 15274, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16286, 'INDUSTRY_SUBCLASS', '4513', '煤气生产和供应业', 15274, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16287, 'INDUSTRY_SUBCLASS', '4520', '生物质燃气生产和供应业', 15275, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16288, 'INDUSTRY_SUBCLASS', '4610', '自来水生产和供应', 15276, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16289, 'INDUSTRY_SUBCLASS', '4620', '污水处理及其再生利用', 15277, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16290, 'INDUSTRY_SUBCLASS', '4630', '海水淡化处理', 15278, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16291, 'INDUSTRY_SUBCLASS', '4690', '其他水的处理、利用与分配', 15279, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16292, 'INDUSTRY_SUBCLASS', '4710', '住宅房屋建筑', 15280, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16293, 'INDUSTRY_SUBCLASS', '4720', '体育场馆建筑', 15281, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16294, 'INDUSTRY_SUBCLASS', '4790', '其他房屋建筑业', 15282, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16295, 'INDUSTRY_SUBCLASS', '4811', '铁路工程建筑', 15283, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16296, 'INDUSTRY_SUBCLASS', '4812', '公路工程建筑', 15283, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16297, 'INDUSTRY_SUBCLASS', '4813', '市政道路工程建筑', 15283, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16298, 'INDUSTRY_SUBCLASS', '4814', '城市轨道交通工程建筑', 15283, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16299, 'INDUSTRY_SUBCLASS', '4819', '其他道路、隧道和桥梁工程建筑', 15283, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16300, 'INDUSTRY_SUBCLASS', '4821', '水源及供水设施工程建筑', 15284, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16301, 'INDUSTRY_SUBCLASS', '4822', '河湖治理及防洪设施工程建筑', 15284, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16302, 'INDUSTRY_SUBCLASS', '4823', '港口及航运设施工程建筑', 15284, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16303, 'INDUSTRY_SUBCLASS', '4831', '海洋油气资源开发利用工程建筑', 15285, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16304, 'INDUSTRY_SUBCLASS', '4832', '海洋能源开发利用工程建筑', 15285, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16305, 'INDUSTRY_SUBCLASS', '4833', '海底隧道工程建筑', 15285, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16306, 'INDUSTRY_SUBCLASS', '4834', '海底设施铺设工程建筑', 15285, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16307, 'INDUSTRY_SUBCLASS', '4839', '其他海洋工程建筑', 15285, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16308, 'INDUSTRY_SUBCLASS', '4840', '工矿工程建筑', 15286, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16309, 'INDUSTRY_SUBCLASS', '4851', '架线及设备工程建筑', 15287, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16310, 'INDUSTRY_SUBCLASS', '4852', '管道工程建筑', 15287, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16311, 'INDUSTRY_SUBCLASS', '4853', '地下综合管廊工程建筑', 15287, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16312, 'INDUSTRY_SUBCLASS', '4861', '节能工程施工', 15288, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16313, 'INDUSTRY_SUBCLASS', '4862', '环保工程施工', 15288, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16314, 'INDUSTRY_SUBCLASS', '4863', '生态保护工程施工', 15288, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16315, 'INDUSTRY_SUBCLASS', '4871', '火力发电工程施工', 15289, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16316, 'INDUSTRY_SUBCLASS', '4872', '水力发电工程施工', 15289, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16317, 'INDUSTRY_SUBCLASS', '4873', '核电工程施工', 15289, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16318, 'INDUSTRY_SUBCLASS', '4874', '风能发电工程施工', 15289, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16319, 'INDUSTRY_SUBCLASS', '4875', '太阳能发电工程施工', 15289, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16320, 'INDUSTRY_SUBCLASS', '4879', '其他电力工程施工', 15289, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16321, 'INDUSTRY_SUBCLASS', '4891', '园林绿化工程施工', 15290, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16322, 'INDUSTRY_SUBCLASS', '4892', '体育场地设施工程施工', 15290, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16323, 'INDUSTRY_SUBCLASS', '4893', '游乐设施工程施工', 15290, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16324, 'INDUSTRY_SUBCLASS', '4899', '其他土木工程建筑施工', 15290, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16325, 'INDUSTRY_SUBCLASS', '4910', '电气安装', 15291, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16326, 'INDUSTRY_SUBCLASS', '4920', '管道和设备安装', 15292, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16327, 'INDUSTRY_SUBCLASS', '4991', '体育场地设施安装', 15293, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16328, 'INDUSTRY_SUBCLASS', '4999', '其他建筑安装', 15293, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16329, 'INDUSTRY_SUBCLASS', '5011', '公共建筑装饰和装修', 15294, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16330, 'INDUSTRY_SUBCLASS', '5012', '住宅装饰和装修', 15294, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16331, 'INDUSTRY_SUBCLASS', '5013', '建筑幕墙装饰和装修', 15294, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16332, 'INDUSTRY_SUBCLASS', '5021', '建筑物拆除活动', 15295, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16333, 'INDUSTRY_SUBCLASS', '5022', '场地准备活动', 15295, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16334, 'INDUSTRY_SUBCLASS', '5030', '提供施工设备服务', 15296, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16335, 'INDUSTRY_SUBCLASS', '5090', '其他未列明建筑业', 15297, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16336, 'INDUSTRY_SUBCLASS', '5111', '谷物、豆及薯类批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16337, 'INDUSTRY_SUBCLASS', '5112', '种子批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16338, 'INDUSTRY_SUBCLASS', '5113', '畜牧渔业饲料批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16339, 'INDUSTRY_SUBCLASS', '5114', '棉、麻批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16340, 'INDUSTRY_SUBCLASS', '5115', '林业产品批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16341, 'INDUSTRY_SUBCLASS', '5116', '牲畜批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16342, 'INDUSTRY_SUBCLASS', '5117', '渔业产品批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16343, 'INDUSTRY_SUBCLASS', '5119', '其他农牧产品批发', 15298, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16344, 'INDUSTRY_SUBCLASS', '5121', '米、面制品及食用油批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16345, 'INDUSTRY_SUBCLASS', '5122', '糕点、糖果及糖批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16346, 'INDUSTRY_SUBCLASS', '5123', '果品、蔬菜批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16347, 'INDUSTRY_SUBCLASS', '5124', '肉、禽、蛋、奶及水产品批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16348, 'INDUSTRY_SUBCLASS', '5125', '盐及调味品批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16349, 'INDUSTRY_SUBCLASS', '5126', '营养和保健品批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16350, 'INDUSTRY_SUBCLASS', '5127', '酒、饮料及茶叶批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16351, 'INDUSTRY_SUBCLASS', '5128', '烟草制品批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16352, 'INDUSTRY_SUBCLASS', '5129', '其他食品批发', 15299, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16353, 'INDUSTRY_SUBCLASS', '5131', '纺织品、针织品及原料批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16354, 'INDUSTRY_SUBCLASS', '5132', '服装批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16355, 'INDUSTRY_SUBCLASS', '5133', '鞋帽批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16356, 'INDUSTRY_SUBCLASS', '5134', '化妆品及卫生用品批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16357, 'INDUSTRY_SUBCLASS', '5135', '厨具卫具及日用杂品批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16358, 'INDUSTRY_SUBCLASS', '5136', '灯具、装饰物品批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16359, 'INDUSTRY_SUBCLASS', '5137', '家用视听设备批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16360, 'INDUSTRY_SUBCLASS', '5138', '日用家电批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16361, 'INDUSTRY_SUBCLASS', '5139', '其他家庭用品批发', 15300, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16362, 'INDUSTRY_SUBCLASS', '5141', '文具用品批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16363, 'INDUSTRY_SUBCLASS', '5142', '体育用品及器材批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16364, 'INDUSTRY_SUBCLASS', '5143', '图书批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16365, 'INDUSTRY_SUBCLASS', '5144', '报刊批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16366, 'INDUSTRY_SUBCLASS', '5145', '音像制品、电子和数字出版物批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16367, 'INDUSTRY_SUBCLASS', '5146', '首饰、工艺品及收藏品批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16368, 'INDUSTRY_SUBCLASS', '5147', '乐器批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16369, 'INDUSTRY_SUBCLASS', '5149', '其他文化用品批发', 15301, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16370, 'INDUSTRY_SUBCLASS', '5151', '西药批发', 15302, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16371, 'INDUSTRY_SUBCLASS', '5152', '中药批发', 15302, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16372, 'INDUSTRY_SUBCLASS', '5153', '动物用药品批发', 15302, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16373, 'INDUSTRY_SUBCLASS', '5154', '医疗用品及器材批发', 15302, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16374, 'INDUSTRY_SUBCLASS', '5161', '煤炭及制品批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16375, 'INDUSTRY_SUBCLASS', '5162', '石油及制品批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16376, 'INDUSTRY_SUBCLASS', '5163', '非金属矿及制品批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16377, 'INDUSTRY_SUBCLASS', '5164', '金属及金属矿批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16378, 'INDUSTRY_SUBCLASS', '5165', '建材批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16379, 'INDUSTRY_SUBCLASS', '5166', '化肥批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16380, 'INDUSTRY_SUBCLASS', '5167', '农药批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16381, 'INDUSTRY_SUBCLASS', '5168', '农用薄膜批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16382, 'INDUSTRY_SUBCLASS', '5169', '其他化工产品批发', 15303, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16383, 'INDUSTRY_SUBCLASS', '5171', '农业机械批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16384, 'INDUSTRY_SUBCLASS', '5172', '汽车及零配件批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16385, 'INDUSTRY_SUBCLASS', '5173', '摩托车及零配件批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16386, 'INDUSTRY_SUBCLASS', '5174', '五金产品批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16387, 'INDUSTRY_SUBCLASS', '5175', '电气设备批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16388, 'INDUSTRY_SUBCLASS', '5176', '计算机、软件及辅助设备批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16389, 'INDUSTRY_SUBCLASS', '5177', '通讯设备批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16390, 'INDUSTRY_SUBCLASS', '5178', '广播影视设备批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16391, 'INDUSTRY_SUBCLASS', '5179', '其他机械设备及电子产品批发', 15304, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16392, 'INDUSTRY_SUBCLASS', '5181', '贸易代理', 15305, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16393, 'INDUSTRY_SUBCLASS', '5182', '一般物品拍卖 ', 15305, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16394, 'INDUSTRY_SUBCLASS', '5183', '艺术品、收藏品拍卖', 15305, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16395, 'INDUSTRY_SUBCLASS', '5184', '艺术品代理', 15305, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16396, 'INDUSTRY_SUBCLASS', '5189', '其他贸易经纪与代理', 15305, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16397, 'INDUSTRY_SUBCLASS', '5191', '再生物资回收与批发', 15306, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16398, 'INDUSTRY_SUBCLASS', '5192', '宠物食品用品批发', 15306, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16399, 'INDUSTRY_SUBCLASS', '5193', '互联网批发', 15306, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16400, 'INDUSTRY_SUBCLASS', '5199', '其他未列明批发业', 15306, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16401, 'INDUSTRY_SUBCLASS', '5211', '百货零售', 15307, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16402, 'INDUSTRY_SUBCLASS', '5212', '超级市场零售', 15307, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16403, 'INDUSTRY_SUBCLASS', '5213', '便利店零售', 15307, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16404, 'INDUSTRY_SUBCLASS', '5219', '其他综合零售', 15307, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16405, 'INDUSTRY_SUBCLASS', '5221', '粮油零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16406, 'INDUSTRY_SUBCLASS', '5222', '糕点、面包零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16407, 'INDUSTRY_SUBCLASS', '5223', '果品、蔬菜零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16408, 'INDUSTRY_SUBCLASS', '5224', '肉、禽、蛋、奶及水产品零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16409, 'INDUSTRY_SUBCLASS', '5225', '营养和保健品零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16410, 'INDUSTRY_SUBCLASS', '5226', '酒、饮料及茶叶零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16411, 'INDUSTRY_SUBCLASS', '5227', '烟草制品零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16412, 'INDUSTRY_SUBCLASS', '5229', '其他食品零售', 15308, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16413, 'INDUSTRY_SUBCLASS', '5231', '纺织品及针织品零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16414, 'INDUSTRY_SUBCLASS', '5232', '服装零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16415, 'INDUSTRY_SUBCLASS', '5233', '鞋帽零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16416, 'INDUSTRY_SUBCLASS', '5234', '化妆品及卫生用品零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16417, 'INDUSTRY_SUBCLASS', '5235', '厨具卫具及日用杂品零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16418, 'INDUSTRY_SUBCLASS', '5236', '钟表、眼镜零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16419, 'INDUSTRY_SUBCLASS', '5237', '箱包零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16420, 'INDUSTRY_SUBCLASS', '5238', '自行车等代步设备零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16421, 'INDUSTRY_SUBCLASS', '5239', '其他日用品零售', 15309, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16422, 'INDUSTRY_SUBCLASS', '5241', '文具用品零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16423, 'INDUSTRY_SUBCLASS', '5242', '体育用品及器材零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16424, 'INDUSTRY_SUBCLASS', '5243', '图书、报刊零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16425, 'INDUSTRY_SUBCLASS', '5244', '音像制品、电子和数字出版物零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16426, 'INDUSTRY_SUBCLASS', '5245', '珠宝首饰零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16427, 'INDUSTRY_SUBCLASS', '5246', '工艺美术品及收藏品零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16428, 'INDUSTRY_SUBCLASS', '5247', '乐器零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16429, 'INDUSTRY_SUBCLASS', '5248', '照相器材零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16430, 'INDUSTRY_SUBCLASS', '5249', '其他文化用品零售', 15310, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16431, 'INDUSTRY_SUBCLASS', '5251', '西药零售', 15311, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16432, 'INDUSTRY_SUBCLASS', '5252', '中药零售', 15311, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16433, 'INDUSTRY_SUBCLASS', '5253', '动物用药品零售', 15311, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16434, 'INDUSTRY_SUBCLASS', '5254', '医疗用品及器材零售', 15311, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16435, 'INDUSTRY_SUBCLASS', '5255', '保健辅助治疗器材零售', 15311, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16436, 'INDUSTRY_SUBCLASS', '5261', '汽车新车零售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16437, 'INDUSTRY_SUBCLASS', '5262', '汽车旧车零售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16438, 'INDUSTRY_SUBCLASS', '5263', '汽车零配件零售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16439, 'INDUSTRY_SUBCLASS', '5264', '摩托车及零配件零售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16440, 'INDUSTRY_SUBCLASS', '5265', '机动车燃油零售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16441, 'INDUSTRY_SUBCLASS', '5266', '机动车燃气零售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16442, 'INDUSTRY_SUBCLASS', '5267', '机动车充电销售', 15312, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16443, 'INDUSTRY_SUBCLASS', '5271', '家用视听设备零售', 15313, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16444, 'INDUSTRY_SUBCLASS', '5272', '日用家电零售', 15313, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16445, 'INDUSTRY_SUBCLASS', '5273', '计算机、软件及辅助设备零售', 15313, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16446, 'INDUSTRY_SUBCLASS', '5274', '通信设备零售', 15313, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16447, 'INDUSTRY_SUBCLASS', '5279', '其他电子产品零售', 15313, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16448, 'INDUSTRY_SUBCLASS', '5281', '五金零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16449, 'INDUSTRY_SUBCLASS', '5282', '灯具零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16450, 'INDUSTRY_SUBCLASS', '5283', '家具零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16451, 'INDUSTRY_SUBCLASS', '5284', '涂料零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16452, 'INDUSTRY_SUBCLASS', '5285', '卫生洁具零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16453, 'INDUSTRY_SUBCLASS', '5286', '木质装饰材料零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16454, 'INDUSTRY_SUBCLASS', '5287', '陶瓷、石材装饰材料零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16455, 'INDUSTRY_SUBCLASS', '5289', '其他室内装饰材料零售', 15314, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16456, 'INDUSTRY_SUBCLASS', '5291', '流动货摊零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16457, 'INDUSTRY_SUBCLASS', '5292', '互联网零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16458, 'INDUSTRY_SUBCLASS', '5293', '邮购及电视、电话零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16459, 'INDUSTRY_SUBCLASS', '5294', '自动售货机零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16460, 'INDUSTRY_SUBCLASS', '5295', '旧货零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16461, 'INDUSTRY_SUBCLASS', '5296', '生活用燃料零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16462, 'INDUSTRY_SUBCLASS', '5297', '宠物食品用品零售', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16463, 'INDUSTRY_SUBCLASS', '5299', '其他未列明零售业', 15315, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16464, 'INDUSTRY_SUBCLASS', '5311', '高速铁路旅客运输', 15316, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16465, 'INDUSTRY_SUBCLASS', '5312', '城际铁路旅客运输', 15316, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16466, 'INDUSTRY_SUBCLASS', '5313', '普通铁路旅客运输', 15316, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16467, 'INDUSTRY_SUBCLASS', '5320', '铁路货物运输', 15317, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16468, 'INDUSTRY_SUBCLASS', '5331', '客运火车站', 15318, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16469, 'INDUSTRY_SUBCLASS', '5332', '货运火车站（场）', 15318, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16470, 'INDUSTRY_SUBCLASS', '5333', '铁路运输维护活动', 15318, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16471, 'INDUSTRY_SUBCLASS', '5339', '其他铁路运输辅助活动', 15318, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16472, 'INDUSTRY_SUBCLASS', '5411', '公共电汽车客运', 15319, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16473, 'INDUSTRY_SUBCLASS', '5412', '城市轨道交通', 15319, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16474, 'INDUSTRY_SUBCLASS', '5413', '出租车客运', 15319, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16475, 'INDUSTRY_SUBCLASS', '5414', '公共自行车服务', 15319, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16476, 'INDUSTRY_SUBCLASS', '5419', '其他城市公共交通运输', 15319, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16477, 'INDUSTRY_SUBCLASS', '5421', '长途客运', 15320, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16478, 'INDUSTRY_SUBCLASS', '5422', '旅游客运', 15320, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16479, 'INDUSTRY_SUBCLASS', '5429', '其他公路客运', 15320, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16480, 'INDUSTRY_SUBCLASS', '5431', '普通货物道路运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16481, 'INDUSTRY_SUBCLASS', '5432', '冷藏车道路运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16482, 'INDUSTRY_SUBCLASS', '5433', '集装箱道路运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16483, 'INDUSTRY_SUBCLASS', '5434', '大型货物道路运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16484, 'INDUSTRY_SUBCLASS', '5435', '危险货物道路运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16485, 'INDUSTRY_SUBCLASS', '5436', '邮件包裹道路运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16486, 'INDUSTRY_SUBCLASS', '5437', '城市配送', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16487, 'INDUSTRY_SUBCLASS', '5438', '搬家运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16488, 'INDUSTRY_SUBCLASS', '5439', '其他道路货物运输', 15321, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16489, 'INDUSTRY_SUBCLASS', '5441', '客运汽车站', 15322, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16490, 'INDUSTRY_SUBCLASS', '5442', '货运枢纽（站）', 15322, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16491, 'INDUSTRY_SUBCLASS', '5443', '公路管理与养护', 15322, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16492, 'INDUSTRY_SUBCLASS', '5449', '其他道路运输辅助活动', 15322, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16493, 'INDUSTRY_SUBCLASS', '5511', '海上旅客运输', 15323, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16494, 'INDUSTRY_SUBCLASS', '5512', '内河旅客运输', 15323, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16495, 'INDUSTRY_SUBCLASS', '5513', '客运轮渡运输', 15323, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16496, 'INDUSTRY_SUBCLASS', '5521', '远洋货物运输', 15324, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16497, 'INDUSTRY_SUBCLASS', '5522', '沿海货物运输', 15324, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16498, 'INDUSTRY_SUBCLASS', '5523', '内河货物运输', 15324, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16499, 'INDUSTRY_SUBCLASS', '5531', '客运港口', 15325, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16500, 'INDUSTRY_SUBCLASS', '5532', '货运港口', 15325, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16501, 'INDUSTRY_SUBCLASS', '5539', '其他水上运输辅助活动', 15325, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16502, 'INDUSTRY_SUBCLASS', '5611', '航空旅客运输', 15326, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16503, 'INDUSTRY_SUBCLASS', '5612', '航空货物运输', 15326, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16504, 'INDUSTRY_SUBCLASS', '5621', '通用航空生产服务', 15327, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16505, 'INDUSTRY_SUBCLASS', '5622', '观光游览航空服务', 15327, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16506, 'INDUSTRY_SUBCLASS', '5623', '体育航空运动服务', 15327, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16507, 'INDUSTRY_SUBCLASS', '5629', '其他通用航空服务', 15327, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16508, 'INDUSTRY_SUBCLASS', '5631', '机场', 15328, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16509, 'INDUSTRY_SUBCLASS', '5632', '空中交通管理', 15328, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16510, 'INDUSTRY_SUBCLASS', '5639', '其他航空运输辅助活动', 15328, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16511, 'INDUSTRY_SUBCLASS', '5710', '海底管道运输', 15329, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16512, 'INDUSTRY_SUBCLASS', '5720', '陆地管道运输', 15330, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16513, 'INDUSTRY_SUBCLASS', '5810', '多式联运', 15331, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16514, 'INDUSTRY_SUBCLASS', '5821', '货物运输代理', 15332, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16515, 'INDUSTRY_SUBCLASS', '5822', '旅客票务代理', 15332, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16516, 'INDUSTRY_SUBCLASS', '5829', '其他运输代理业', 15332, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16517, 'INDUSTRY_SUBCLASS', '5910', '装卸搬运', 15333, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16518, 'INDUSTRY_SUBCLASS', '5920', '通用仓储', 15334, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16519, 'INDUSTRY_SUBCLASS', '5930', '低温仓储', 15335, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16520, 'INDUSTRY_SUBCLASS', '5941', '油气仓储', 15336, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16521, 'INDUSTRY_SUBCLASS', '5942', '危险化学品仓储', 15336, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16522, 'INDUSTRY_SUBCLASS', '5949', '其他危险品仓储', 15336, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16523, 'INDUSTRY_SUBCLASS', '5951', '谷物仓储', 15337, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16524, 'INDUSTRY_SUBCLASS', '5952', '棉花仓储', 15337, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16525, 'INDUSTRY_SUBCLASS', '5959', '其他农产品仓储', 15337, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16526, 'INDUSTRY_SUBCLASS', '5960', '中药材仓储', 15338, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16527, 'INDUSTRY_SUBCLASS', '5990', '其他仓储业', 15339, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16528, 'INDUSTRY_SUBCLASS', '6010', '邮政基本服务', 15340, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16529, 'INDUSTRY_SUBCLASS', '6020', '快递服务', 15341, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16530, 'INDUSTRY_SUBCLASS', '6090', '其他寄递服务', 15342, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16531, 'INDUSTRY_SUBCLASS', '6110', '旅游饭店', 15343, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16532, 'INDUSTRY_SUBCLASS', '6121', '经济型连锁酒店', 15344, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16533, 'INDUSTRY_SUBCLASS', '6129', '其他一般旅馆', 15344, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16534, 'INDUSTRY_SUBCLASS', '6130', '民宿服务', 15345, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16535, 'INDUSTRY_SUBCLASS', '6140', '露营地服务', 15346, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16536, 'INDUSTRY_SUBCLASS', '6190', '其他住宿业', 15347, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16537, 'INDUSTRY_SUBCLASS', '6210', '正餐服务', 15348, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16538, 'INDUSTRY_SUBCLASS', '6220', '快餐服务', 15349, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16539, 'INDUSTRY_SUBCLASS', '6231', '茶馆服务', 15350, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16540, 'INDUSTRY_SUBCLASS', '6232', '咖啡馆服务', 15350, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16541, 'INDUSTRY_SUBCLASS', '6233', '酒吧服务 ', 15350, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16542, 'INDUSTRY_SUBCLASS', '6239', '其他饮料及冷饮服务', 15350, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16543, 'INDUSTRY_SUBCLASS', '6241', '餐饮配送服务', 15351, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16544, 'INDUSTRY_SUBCLASS', '6242', '外卖送餐服务', 15351, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16545, 'INDUSTRY_SUBCLASS', '6291', '小吃服务', 15352, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16546, 'INDUSTRY_SUBCLASS', '6299', '其他未列明餐饮业', 15352, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16547, 'INDUSTRY_SUBCLASS', '6311', '固定电信服务', 15353, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16548, 'INDUSTRY_SUBCLASS', '6312', '移动电信服务', 15353, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16549, 'INDUSTRY_SUBCLASS', '6319', '其他电信服务', 15353, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16550, 'INDUSTRY_SUBCLASS', '6321', '有线广播电视传输服务', 15354, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16551, 'INDUSTRY_SUBCLASS', '6322', '无线广播电视传输服务', 15354, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16552, 'INDUSTRY_SUBCLASS', '6331', '广播电视卫星传输服务', 15355, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16553, 'INDUSTRY_SUBCLASS', '6339', '其他卫星传输服务', 15355, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16554, 'INDUSTRY_SUBCLASS', '6410', '互联网接入及相关服务', 15356, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16555, 'INDUSTRY_SUBCLASS', '6421', '互联网搜索服务', 15357, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16556, 'INDUSTRY_SUBCLASS', '6422', '互联网游戏服务', 15357, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16557, 'INDUSTRY_SUBCLASS', '6429', '互联网其他信息服务', 15357, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16558, 'INDUSTRY_SUBCLASS', '6431', '互联网生产服务平台', 15358, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16559, 'INDUSTRY_SUBCLASS', '6432', '互联网生活服务平台', 15358, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16560, 'INDUSTRY_SUBCLASS', '6433', '互联网科技创新平台', 15358, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16561, 'INDUSTRY_SUBCLASS', '6434', '互联网公共服务平台', 15358, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16562, 'INDUSTRY_SUBCLASS', '6439', '其他互联网平台', 15358, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16563, 'INDUSTRY_SUBCLASS', '6440', '互联网安全服务', 15359, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16564, 'INDUSTRY_SUBCLASS', '6450', '互联网数据服务', 15360, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16565, 'INDUSTRY_SUBCLASS', '6490', '其他互联网服务', 15361, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16566, 'INDUSTRY_SUBCLASS', '6511', '基础软件开发', 15362, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16567, 'INDUSTRY_SUBCLASS', '6512', '支撑软件开发', 15362, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16568, 'INDUSTRY_SUBCLASS', '6513', '应用软件开发', 15362, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16569, 'INDUSTRY_SUBCLASS', '6519', '其他软件开发', 15362, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16570, 'INDUSTRY_SUBCLASS', '6520', '集成电路设计', 15363, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16571, 'INDUSTRY_SUBCLASS', '6531', '信息系统集成服务', 15364, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16572, 'INDUSTRY_SUBCLASS', '6532', '物联网技术服务', 15364, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16573, 'INDUSTRY_SUBCLASS', '6540', '运行维护服务', 15365, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16574, 'INDUSTRY_SUBCLASS', '6550', '信息处理和存储支持服务', 15366, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16575, 'INDUSTRY_SUBCLASS', '6560', '信息技术咨询服务', 15367, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16576, 'INDUSTRY_SUBCLASS', '6571', '地理遥感信息服务', 15368, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16577, 'INDUSTRY_SUBCLASS', '6572', '动漫、游戏数字内容服务', 15368, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16578, 'INDUSTRY_SUBCLASS', '6579', '其他数字内容服务', 15368, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16579, 'INDUSTRY_SUBCLASS', '6591', '呼叫中心', 15369, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16580, 'INDUSTRY_SUBCLASS', '6599', '其他未列明信息技术服务业', 15369, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16581, 'INDUSTRY_SUBCLASS', '6610', '中央银行服务', 15370, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16582, 'INDUSTRY_SUBCLASS', '6621', '商业银行服务', 15371, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16583, 'INDUSTRY_SUBCLASS', '6622', '政策性银行服务', 15371, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16584, 'INDUSTRY_SUBCLASS', '6623', '信用合作社服务', 15371, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16585, 'INDUSTRY_SUBCLASS', '6624', '农村资金互助社服务', 15371, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16586, 'INDUSTRY_SUBCLASS', '6629', '其他货币银行服务', 15371, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16587, 'INDUSTRY_SUBCLASS', '6631', '融资租赁服务', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16588, 'INDUSTRY_SUBCLASS', '6632', '财务公司服务 ', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16589, 'INDUSTRY_SUBCLASS', '6633', '典当', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16590, 'INDUSTRY_SUBCLASS', '6634', '汽车金融公司服务', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16591, 'INDUSTRY_SUBCLASS', '6635', '小额贷款公司服务 ', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16592, 'INDUSTRY_SUBCLASS', '6636', '消费金融公司服务 ', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16593, 'INDUSTRY_SUBCLASS', '6637', '网络借贷服务', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16594, 'INDUSTRY_SUBCLASS', '6639', '其他非货币银行服务', 15372, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16595, 'INDUSTRY_SUBCLASS', '6640', '银行理财服务', 15373, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16596, 'INDUSTRY_SUBCLASS', '6650', '银行监管服务', 15374, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16597, 'INDUSTRY_SUBCLASS', '6711', '证券市场管理服务', 15375, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16598, 'INDUSTRY_SUBCLASS', '6712', '证券经纪交易服务', 15375, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16599, 'INDUSTRY_SUBCLASS', '6720', '公开募集证券投资基金', 15376, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16600, 'INDUSTRY_SUBCLASS', '6731', '创业投资基金', 15377, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16601, 'INDUSTRY_SUBCLASS', '6732', '天使投资', 15377, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16602, 'INDUSTRY_SUBCLASS', '6739', '其他非公开募集证券投资基金', 15377, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16603, 'INDUSTRY_SUBCLASS', '6741', '期货市场管理服务', 15378, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16604, 'INDUSTRY_SUBCLASS', '6749', '其他期货市场服务', 15378, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16605, 'INDUSTRY_SUBCLASS', '6750', '证券期货监管服务', 15379, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16606, 'INDUSTRY_SUBCLASS', '6760', '资本投资服务', 15380, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16607, 'INDUSTRY_SUBCLASS', '6790', '其他资本市场服务', 15381, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16608, 'INDUSTRY_SUBCLASS', '6811', '人寿保险', 15382, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16609, 'INDUSTRY_SUBCLASS', '6812', '年金保险', 15382, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16610, 'INDUSTRY_SUBCLASS', '6813', '健康保险', 15382, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16611, 'INDUSTRY_SUBCLASS', '6814', '意外伤害保险', 15382, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16612, 'INDUSTRY_SUBCLASS', '6820', '财产保险', 15383, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16613, 'INDUSTRY_SUBCLASS', '6830', '再保险', 15384, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16614, 'INDUSTRY_SUBCLASS', '6840', '商业养老金', 15385, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16615, 'INDUSTRY_SUBCLASS', '6851', '保险经纪服务', 15386, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16616, 'INDUSTRY_SUBCLASS', '6852', '保险代理服务', 15386, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16617, 'INDUSTRY_SUBCLASS', '6853', '保险公估服务', 15386, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16618, 'INDUSTRY_SUBCLASS', '6860', '保险资产管理', 15387, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16619, 'INDUSTRY_SUBCLASS', '6870', '保险监管服务', 15388, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16620, 'INDUSTRY_SUBCLASS', '6890', '其他保险活动', 15389, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16621, 'INDUSTRY_SUBCLASS', '6911', '信托公司', 15390, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16622, 'INDUSTRY_SUBCLASS', '6919', '其他金融信托与管理服务', 15390, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16623, 'INDUSTRY_SUBCLASS', '6920', '控股公司服务', 15391, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16624, 'INDUSTRY_SUBCLASS', '6930', '非金融机构支付服务', 15392, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16625, 'INDUSTRY_SUBCLASS', '6940', '金融信息服务', 15393, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16626, 'INDUSTRY_SUBCLASS', '6950', '金融资产管理公司', 15394, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16627, 'INDUSTRY_SUBCLASS', '6991', '货币经纪公司服务', 15395, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16628, 'INDUSTRY_SUBCLASS', '6999', '其他未包括金融业', 15395, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16629, 'INDUSTRY_SUBCLASS', '7010', '房地产开发经营', 15396, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16630, 'INDUSTRY_SUBCLASS', '7020', '物业管理', 15397, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16631, 'INDUSTRY_SUBCLASS', '7030', '房地产中介服务', 15398, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16632, 'INDUSTRY_SUBCLASS', '7040', '房地产租赁经营', 15399, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16633, 'INDUSTRY_SUBCLASS', '7090', '其他房地产业', 15400, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16634, 'INDUSTRY_SUBCLASS', '7111', '汽车租赁', 15401, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16635, 'INDUSTRY_SUBCLASS', '7112', '农业机械经营租赁', 15401, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16636, 'INDUSTRY_SUBCLASS', '7113', '建筑工程机械与设备经营租赁', 15401, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16637, 'INDUSTRY_SUBCLASS', '7114', '计算机及通讯设备经营租赁', 15401, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16638, 'INDUSTRY_SUBCLASS', '7115', '医疗设备经营租赁', 15401, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16639, 'INDUSTRY_SUBCLASS', '7119', '其他机械与设备经营租赁', 15401, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16640, 'INDUSTRY_SUBCLASS', '7121', '休闲娱乐用品设备出租', 15402, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16641, 'INDUSTRY_SUBCLASS', '7122', '体育用品设备出租', 15402, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16642, 'INDUSTRY_SUBCLASS', '7123', '文化用品设备出租', 15402, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16643, 'INDUSTRY_SUBCLASS', '7124', '图书出租', 15402, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16644, 'INDUSTRY_SUBCLASS', '7125', '音像制品出租', 15402, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16645, 'INDUSTRY_SUBCLASS', '7129', '其他文体设备和用品出租', 15402, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16646, 'INDUSTRY_SUBCLASS', '7130', '日用品出租', 15403, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16647, 'INDUSTRY_SUBCLASS', '7211', '企业总部管理', 15404, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16648, 'INDUSTRY_SUBCLASS', '7212', '投资与资产管理', 15404, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16649, 'INDUSTRY_SUBCLASS', '7213', '资源与产权交易服务', 15404, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16650, 'INDUSTRY_SUBCLASS', '7214', '单位后勤管理服务', 15404, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16651, 'INDUSTRY_SUBCLASS', '7215', '农村集体经济组织管理', 15404, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16652, 'INDUSTRY_SUBCLASS', '7219', '其他组织管理服务', 15404, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16653, 'INDUSTRY_SUBCLASS', '7221', '园区管理服务', 15405, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16654, 'INDUSTRY_SUBCLASS', '7222', '商业综合体管理服务', 15405, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16655, 'INDUSTRY_SUBCLASS', '7223', '市场管理服务', 15405, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16656, 'INDUSTRY_SUBCLASS', '7224', '供应链管理服务', 15405, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16657, 'INDUSTRY_SUBCLASS', '7229', '其他综合管理服务', 15405, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16658, 'INDUSTRY_SUBCLASS', '7231', '律师及相关法律服务', 15406, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16659, 'INDUSTRY_SUBCLASS', '7232', '公证服务', 15406, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16660, 'INDUSTRY_SUBCLASS', '7239', '其他法律服务', 15406, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16661, 'INDUSTRY_SUBCLASS', '7241', '会计、审计及税务服务', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16662, 'INDUSTRY_SUBCLASS', '7242', '市场调查', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16663, 'INDUSTRY_SUBCLASS', '7243', '社会经济咨询', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16664, 'INDUSTRY_SUBCLASS', '7244', '健康咨询', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16665, 'INDUSTRY_SUBCLASS', '7245', '环保咨询', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16666, 'INDUSTRY_SUBCLASS', '7246', '体育咨询', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16667, 'INDUSTRY_SUBCLASS', '7249', '其他专业咨询与调查', 15407, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16668, 'INDUSTRY_SUBCLASS', '7251', '互联网广告服务', 15408, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16669, 'INDUSTRY_SUBCLASS', '7259', '其他广告服务', 15408, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16670, 'INDUSTRY_SUBCLASS', '7261', '公共就业服务', 15409, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16671, 'INDUSTRY_SUBCLASS', '7262', '职业中介服务', 15409, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16672, 'INDUSTRY_SUBCLASS', '7263', '劳务派遣服务', 15409, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16673, 'INDUSTRY_SUBCLASS', '7264', '创业指导服务', 15409, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16674, 'INDUSTRY_SUBCLASS', '7269', '其他人力资源服务', 15409, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16675, 'INDUSTRY_SUBCLASS', '7271', '安全服务', 15410, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16676, 'INDUSTRY_SUBCLASS', '7272', '安全系统监控服务', 15410, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16677, 'INDUSTRY_SUBCLASS', '7279', '其他安全保护服务', 15410, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16678, 'INDUSTRY_SUBCLASS', '7281', '科技会展服务', 15411, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16679, 'INDUSTRY_SUBCLASS', '7282', '旅游会展服务', 15411, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16680, 'INDUSTRY_SUBCLASS', '7283', '体育会展服务', 15411, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16681, 'INDUSTRY_SUBCLASS', '7284', '文化会展服务', 15411, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16682, 'INDUSTRY_SUBCLASS', '7289', '其他会议、会展及相关服务', 15411, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16683, 'INDUSTRY_SUBCLASS', '7291', '旅行社及相关服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16684, 'INDUSTRY_SUBCLASS', '7292', '包装服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16685, 'INDUSTRY_SUBCLASS', '7293', '办公服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16686, 'INDUSTRY_SUBCLASS', '7294', '翻译服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16687, 'INDUSTRY_SUBCLASS', '7295', '信用服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16688, 'INDUSTRY_SUBCLASS', '7296', '非融资担保服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16689, 'INDUSTRY_SUBCLASS', '7297', '商务代理代办服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16690, 'INDUSTRY_SUBCLASS', '7298', '票务代理服务', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16691, 'INDUSTRY_SUBCLASS', '7299', '其他未列明商务服务业', 15412, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16692, 'INDUSTRY_SUBCLASS', '7310', '自然科学研究和试验发展', 15413, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16693, 'INDUSTRY_SUBCLASS', '7320', '工程和技术研究和试验发展', 15414, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16694, 'INDUSTRY_SUBCLASS', '7330', '农业科学研究和试验发展', 15415, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16695, 'INDUSTRY_SUBCLASS', '7340', '医学研究和试验发展', 15416, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16696, 'INDUSTRY_SUBCLASS', '7350', '社会人文科学研究', 15417, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16697, 'INDUSTRY_SUBCLASS', '7410', '气象服务', 15418, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16698, 'INDUSTRY_SUBCLASS', '7420', '地震服务', 15419, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16699, 'INDUSTRY_SUBCLASS', '7431', '海洋气象服务', 15420, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16700, 'INDUSTRY_SUBCLASS', '7432', '海洋环境服务', 15420, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16701, 'INDUSTRY_SUBCLASS', '7439', '其他海洋服务', 15420, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16702, 'INDUSTRY_SUBCLASS', '7441', '遥感测绘服务', 15421, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16703, 'INDUSTRY_SUBCLASS', '7449', '其他测绘地理信息服务', 15421, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16704, 'INDUSTRY_SUBCLASS', '7451', '检验检疫服务', 15422, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16705, 'INDUSTRY_SUBCLASS', '7452', '检测服务', 15422, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16706, 'INDUSTRY_SUBCLASS', '7453', '计量服务', 15422, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16707, 'INDUSTRY_SUBCLASS', '7454', '标准化服务', 15422, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16708, 'INDUSTRY_SUBCLASS', '7455', '认证认可服务', 15422, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16709, 'INDUSTRY_SUBCLASS', '7459', '其他质检技术服务', 15422, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16710, 'INDUSTRY_SUBCLASS', '7461', '环境保护监测', 15423, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16711, 'INDUSTRY_SUBCLASS', '7462', '生态资源监测', 15423, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16712, 'INDUSTRY_SUBCLASS', '7463', '野生动物疫源疫病防控监测', 15423, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16713, 'INDUSTRY_SUBCLASS', '7471', '能源矿产地质勘查', 15424, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16714, 'INDUSTRY_SUBCLASS', '7472', '固体矿产地质勘查', 15424, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16715, 'INDUSTRY_SUBCLASS', '7473', '水、二氧化碳等矿产地质勘查', 15424, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16716, 'INDUSTRY_SUBCLASS', '7474', '基础地质勘查', 15424, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16717, 'INDUSTRY_SUBCLASS', '7475', '地质勘查技术服务', 15424, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16718, 'INDUSTRY_SUBCLASS', '7481', '工程管理服务', 15425, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16719, 'INDUSTRY_SUBCLASS', '7482', '工程监理服务', 15425, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16720, 'INDUSTRY_SUBCLASS', '7483', '工程勘察活动', 15425, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16721, 'INDUSTRY_SUBCLASS', '7484', '工程设计活动', 15425, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16722, 'INDUSTRY_SUBCLASS', '7485', '规划设计管理', 15425, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16723, 'INDUSTRY_SUBCLASS', '7486', '土地规划服务', 15425, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16724, 'INDUSTRY_SUBCLASS', '7491', '工业设计服务', 15426, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16725, 'INDUSTRY_SUBCLASS', '7492', '专业设计服务', 15426, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16726, 'INDUSTRY_SUBCLASS', '7493', '兽医服务', 15426, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16727, 'INDUSTRY_SUBCLASS', '7499', '其他未列明专业技术服务业', 15426, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16728, 'INDUSTRY_SUBCLASS', '7511', '农林牧渔技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16729, 'INDUSTRY_SUBCLASS', '7512', '生物技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16730, 'INDUSTRY_SUBCLASS', '7513', '新材料技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16731, 'INDUSTRY_SUBCLASS', '7514', '节能技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16732, 'INDUSTRY_SUBCLASS', '7515', '新能源技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16733, 'INDUSTRY_SUBCLASS', '7516', '环保技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16734, 'INDUSTRY_SUBCLASS', '7517', '三维（3D)打印技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16735, 'INDUSTRY_SUBCLASS', '7519', '其他技术推广服务', 15427, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16736, 'INDUSTRY_SUBCLASS', '7520', '知识产权服务', 15428, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16737, 'INDUSTRY_SUBCLASS', '7530', '科技中介服务', 15429, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16738, 'INDUSTRY_SUBCLASS', '7540', '创业空间服务', 15430, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16739, 'INDUSTRY_SUBCLASS', '7590', '其他科技推广服务业', 15431, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16740, 'INDUSTRY_SUBCLASS', '7610', '防洪除涝设施管理', 15432, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16741, 'INDUSTRY_SUBCLASS', '7620', '水资源管理', 15433, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16742, 'INDUSTRY_SUBCLASS', '7630', '天然水收集与分配', 15434, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16743, 'INDUSTRY_SUBCLASS', '7640', '水文服务', 15435, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16744, 'INDUSTRY_SUBCLASS', '7690', '其他水利管理业', 15436, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16745, 'INDUSTRY_SUBCLASS', '7711', '自然生态系统保护管理', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16746, 'INDUSTRY_SUBCLASS', '7712', '自然遗迹保护管理', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16747, 'INDUSTRY_SUBCLASS', '7713', '野生动物保护', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16748, 'INDUSTRY_SUBCLASS', '7714', '野生植物保护', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16749, 'INDUSTRY_SUBCLASS', '7715', '动物园、水族馆管理服务', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16750, 'INDUSTRY_SUBCLASS', '7716', '植物园管理服务', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16751, 'INDUSTRY_SUBCLASS', '7719', '其他自然保护', 15437, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16752, 'INDUSTRY_SUBCLASS', '7721', '水污染治理', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16753, 'INDUSTRY_SUBCLASS', '7722', '大气污染治理', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16754, 'INDUSTRY_SUBCLASS', '7723', '固体废物治理', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16755, 'INDUSTRY_SUBCLASS', '7724', '危险废物治理', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16756, 'INDUSTRY_SUBCLASS', '7725', '放射性废物治理', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16757, 'INDUSTRY_SUBCLASS', '7726', '土壤污染治理与修复服务', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16758, 'INDUSTRY_SUBCLASS', '7727', '噪声与振动控制服务', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16759, 'INDUSTRY_SUBCLASS', '7729', '其他污染治理 ', 15438, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16760, 'INDUSTRY_SUBCLASS', '7810', '市政设施管理', 15439, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16761, 'INDUSTRY_SUBCLASS', '7820', '环境卫生管理', 15440, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16762, 'INDUSTRY_SUBCLASS', '7830', '城乡市容管理 ', 15441, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16763, 'INDUSTRY_SUBCLASS', '7840', '绿化管理', 15442, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16764, 'INDUSTRY_SUBCLASS', '7850', '城市公园管理', 15443, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16765, 'INDUSTRY_SUBCLASS', '7861', '名胜风景区管理', 15444, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16766, 'INDUSTRY_SUBCLASS', '7862', '森林公园管理', 15444, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16767, 'INDUSTRY_SUBCLASS', '7869', '其他游览景区管理', 15444, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16768, 'INDUSTRY_SUBCLASS', '7910', '土地整治服务', 15445, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16769, 'INDUSTRY_SUBCLASS', '7920', '土地调查评估服务', 15446, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16770, 'INDUSTRY_SUBCLASS', '7930', '土地登记服务', 15447, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16771, 'INDUSTRY_SUBCLASS', '7940', '土地登记代理服务', 15448, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16772, 'INDUSTRY_SUBCLASS', '7990', '其他土地管理服务', 15449, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16773, 'INDUSTRY_SUBCLASS', '8010', '家庭服务', 15450, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16774, 'INDUSTRY_SUBCLASS', '8020', '托儿所服务', 15451, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16775, 'INDUSTRY_SUBCLASS', '8030', '洗染服务', 15452, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16776, 'INDUSTRY_SUBCLASS', '8040', '理发及美容服务', 15453, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16777, 'INDUSTRY_SUBCLASS', '8051', '洗浴服务', 15454, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16778, 'INDUSTRY_SUBCLASS', '8052', '足浴服务', 15454, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16779, 'INDUSTRY_SUBCLASS', '8053', '养生保健服务', 15454, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16780, 'INDUSTRY_SUBCLASS', '8060', '摄影扩印服务', 15455, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16781, 'INDUSTRY_SUBCLASS', '8070', '婚姻服务', 15456, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16782, 'INDUSTRY_SUBCLASS', '8080', '殡葬服务', 15457, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16783, 'INDUSTRY_SUBCLASS', '8090', '其他居民服务业', 15458, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16784, 'INDUSTRY_SUBCLASS', '8111', '汽车修理与维护', 15459, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16785, 'INDUSTRY_SUBCLASS', '8112', '大型车辆装备修理与维护', 15459, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16786, 'INDUSTRY_SUBCLASS', '8113', '摩托车修理与维护', 15459, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16787, 'INDUSTRY_SUBCLASS', '8114', '助动车等修理与维护', 15459, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16788, 'INDUSTRY_SUBCLASS', '8121', '计算机和辅助设备修理', 15460, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16789, 'INDUSTRY_SUBCLASS', '8122', '通讯设备修理', 15460, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16790, 'INDUSTRY_SUBCLASS', '8129', '其他办公设备维修', 15460, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16791, 'INDUSTRY_SUBCLASS', '8131', '家用电子产品修理', 15461, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16792, 'INDUSTRY_SUBCLASS', '8132', '日用电器修理 ', 15461, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16793, 'INDUSTRY_SUBCLASS', '8191', '自行车修理', 15462, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16794, 'INDUSTRY_SUBCLASS', '8192', '鞋和皮革修理', 15462, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16795, 'INDUSTRY_SUBCLASS', '8193', '家具和相关物品修理', 15462, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16796, 'INDUSTRY_SUBCLASS', '8199', '其他未列明日用产品修理业', 15462, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16797, 'INDUSTRY_SUBCLASS', '8211', '建筑物清洁服务', 15463, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16798, 'INDUSTRY_SUBCLASS', '8219', '其他清洁服务', 15463, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16799, 'INDUSTRY_SUBCLASS', '8221', '宠物饲养', 15464, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16800, 'INDUSTRY_SUBCLASS', '8222', '宠物医院服务', 15464, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16801, 'INDUSTRY_SUBCLASS', '8223', '宠物美容服务', 15464, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16802, 'INDUSTRY_SUBCLASS', '8224', '宠物寄托收养服务', 15464, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16803, 'INDUSTRY_SUBCLASS', '8229', '其他宠物服务', 15464, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16804, 'INDUSTRY_SUBCLASS', '8310', '学前教育', 15465, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16805, 'INDUSTRY_SUBCLASS', '8321', '普通小学教育', 15466, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16806, 'INDUSTRY_SUBCLASS', '8322', '成人小学教育', 15466, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16807, 'INDUSTRY_SUBCLASS', '8331', '普通初中教育', 15467, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16808, 'INDUSTRY_SUBCLASS', '8332', '职业初中教育', 15467, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16809, 'INDUSTRY_SUBCLASS', '8333', '成人初中教育', 15467, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16810, 'INDUSTRY_SUBCLASS', '8334', '普通高中教育', 15467, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16811, 'INDUSTRY_SUBCLASS', '8335', '成人高中教育', 15467, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16812, 'INDUSTRY_SUBCLASS', '8336', '中等职业学校教育', 15467, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16813, 'INDUSTRY_SUBCLASS', '8341', '普通高等教育', 15468, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16814, 'INDUSTRY_SUBCLASS', '8342', '成人高等教育', 15468, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16815, 'INDUSTRY_SUBCLASS', '8350', '特殊教育', 15469, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16816, 'INDUSTRY_SUBCLASS', '8391', '职业技能培训', 15470, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16817, 'INDUSTRY_SUBCLASS', '8392', '体校及体育培训', 15470, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16818, 'INDUSTRY_SUBCLASS', '8393', '文化艺术培训', 15470, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16819, 'INDUSTRY_SUBCLASS', '8394', '教育辅助服务', 15470, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16820, 'INDUSTRY_SUBCLASS', '8399', '其他未列明教育', 15470, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16821, 'INDUSTRY_SUBCLASS', '8411', '综合医院', 15471, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16822, 'INDUSTRY_SUBCLASS', '8412', '中医医院', 15471, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16823, 'INDUSTRY_SUBCLASS', '8413', '中西医结合医院', 15471, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16824, 'INDUSTRY_SUBCLASS', '8414', '民族医院', 15471, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16825, 'INDUSTRY_SUBCLASS', '8415', '专科医院', 15471, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16826, 'INDUSTRY_SUBCLASS', '8416', '疗养院', 15471, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16827, 'INDUSTRY_SUBCLASS', '8421', '社区卫生服务中心（站）', 15472, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16828, 'INDUSTRY_SUBCLASS', '8422', '街道卫生院', 15472, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16829, 'INDUSTRY_SUBCLASS', '8423', '乡镇卫生院', 15472, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16830, 'INDUSTRY_SUBCLASS', '8424', '村卫生室 ', 15472, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16831, 'INDUSTRY_SUBCLASS', '8425', '门诊部（所）', 15472, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16832, 'INDUSTRY_SUBCLASS', '8431', '疾病预防控制中心', 15473, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16833, 'INDUSTRY_SUBCLASS', '8432', '专科疾病防治院（所、站）', 15473, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16834, 'INDUSTRY_SUBCLASS', '8433', '妇幼保健院（所、站）', 15473, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16835, 'INDUSTRY_SUBCLASS', '8434', '急救中心（站）服务', 15473, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16836, 'INDUSTRY_SUBCLASS', '8435', '采供血机构服务', 15473, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16837, 'INDUSTRY_SUBCLASS', '8436', '计划生育技术服务活动', 15473, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16838, 'INDUSTRY_SUBCLASS', '8491', '健康体检服务', 15474, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16839, 'INDUSTRY_SUBCLASS', '8492', '临床检验服务', 15474, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16840, 'INDUSTRY_SUBCLASS', '8499', '其他未列明卫生服务', 15474, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16841, 'INDUSTRY_SUBCLASS', '8511', '干部休养所', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16842, 'INDUSTRY_SUBCLASS', '8512', '护理机构服务', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16843, 'INDUSTRY_SUBCLASS', '8513', '精神康复服务', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16844, 'INDUSTRY_SUBCLASS', '8514', '老年人、残疾人养护服务', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16845, 'INDUSTRY_SUBCLASS', '8515', '临终关怀服务', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16846, 'INDUSTRY_SUBCLASS', '8516', '孤残儿童收养和庇护服务', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16847, 'INDUSTRY_SUBCLASS', '8519', '其他提供住宿社会救助', 15475, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16848, 'INDUSTRY_SUBCLASS', '8521', '社会看护与帮助服务', 15476, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16849, 'INDUSTRY_SUBCLASS', '8522', '康复辅具适配服务', 15476, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16850, 'INDUSTRY_SUBCLASS', '8529', '其他不提供住宿社会工作', 15476, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16851, 'INDUSTRY_SUBCLASS', '8610', '新闻业', 15477, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16852, 'INDUSTRY_SUBCLASS', '8621', '图书出版', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16853, 'INDUSTRY_SUBCLASS', '8622', '报纸出版', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16854, 'INDUSTRY_SUBCLASS', '8623', '期刊出版', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16855, 'INDUSTRY_SUBCLASS', '8624', '音像制品出版', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16856, 'INDUSTRY_SUBCLASS', '8625', '电子出版物出版', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16857, 'INDUSTRY_SUBCLASS', '8626', '数字出版', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16858, 'INDUSTRY_SUBCLASS', '8629', '其他出版业', 15478, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16859, 'INDUSTRY_SUBCLASS', '8710', '广播', 15479, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16860, 'INDUSTRY_SUBCLASS', '8720', '电视', 15480, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16861, 'INDUSTRY_SUBCLASS', '8730', '影视节目制作', 15481, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16862, 'INDUSTRY_SUBCLASS', '8740', '广播电视集成播控', 15482, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16863, 'INDUSTRY_SUBCLASS', '8750', '电影和广播电视节目发行', 15483, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16864, 'INDUSTRY_SUBCLASS', '8760', '电影放映', 15484, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16865, 'INDUSTRY_SUBCLASS', '8770', '录音制作', 15485, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16866, 'INDUSTRY_SUBCLASS', '8810', '文艺创作与表演', 15486, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16867, 'INDUSTRY_SUBCLASS', '8820', '艺术表演场馆', 15487, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16868, 'INDUSTRY_SUBCLASS', '8831', '图书馆', 15488, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16869, 'INDUSTRY_SUBCLASS', '8832', '档案馆', 15488, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16870, 'INDUSTRY_SUBCLASS', '8840', '文物及非物质文化遗产保护', 15489, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16871, 'INDUSTRY_SUBCLASS', '8850', '博物馆', 15490, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16872, 'INDUSTRY_SUBCLASS', '8860', '烈士陵园、纪念馆', 15491, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16873, 'INDUSTRY_SUBCLASS', '8870', '群众文体活动', 15492, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16874, 'INDUSTRY_SUBCLASS', '8890', '其他文化艺术业', 15493, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16875, 'INDUSTRY_SUBCLASS', '8911', '体育竞赛组织', 15494, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16876, 'INDUSTRY_SUBCLASS', '8912', '体育保障组织', 15494, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16877, 'INDUSTRY_SUBCLASS', '8919', '其他体育组织', 15494, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16878, 'INDUSTRY_SUBCLASS', '8921', '体育场馆管理', 15495, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16879, 'INDUSTRY_SUBCLASS', '8929', '其他体育场地设施管理 ', 15495, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16880, 'INDUSTRY_SUBCLASS', '8930', '健身休闲活动', 15496, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16881, 'INDUSTRY_SUBCLASS', '8991', '体育中介代理服务', 15497, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16882, 'INDUSTRY_SUBCLASS', '8992', '体育健康服务', 15497, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16883, 'INDUSTRY_SUBCLASS', '8999', '其他未列明体育', 15497, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16884, 'INDUSTRY_SUBCLASS', '9011', '歌舞厅娱乐活动', 15498, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16885, 'INDUSTRY_SUBCLASS', '9012', '电子游艺厅娱乐活动', 15498, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16886, 'INDUSTRY_SUBCLASS', '9013', '网吧活动', 15498, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16887, 'INDUSTRY_SUBCLASS', '9019', '其他室内娱乐活动', 15498, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16888, 'INDUSTRY_SUBCLASS', '9020', '游乐园', 15499, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16889, 'INDUSTRY_SUBCLASS', '9030', '休闲观光活动', 15500, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16890, 'INDUSTRY_SUBCLASS', '9041', '体育彩票服务', 15501, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16891, 'INDUSTRY_SUBCLASS', '9042', '福利彩票服务', 15501, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16892, 'INDUSTRY_SUBCLASS', '9049', '其他彩票服务', 15501, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16893, 'INDUSTRY_SUBCLASS', '9051', '文化活动服务', 15502, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16894, 'INDUSTRY_SUBCLASS', '9052', '体育表演服务', 15502, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16895, 'INDUSTRY_SUBCLASS', '9053', '文化娱乐经纪人', 15502, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16896, 'INDUSTRY_SUBCLASS', '9054', '体育经纪人', 15502, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16897, 'INDUSTRY_SUBCLASS', '9059', '其他文化艺术经纪代理', 15502, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16898, 'INDUSTRY_SUBCLASS', '9090', '其他娱乐业', 15503, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16899, 'INDUSTRY_SUBCLASS', '9100', '中国共产党机关', 15504, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16900, 'INDUSTRY_SUBCLASS', '9210', '国家权力机构', 15505, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16901, 'INDUSTRY_SUBCLASS', '9221', '综合事务管理机构', 15506, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16902, 'INDUSTRY_SUBCLASS', '9222', '对外事务管理机构', 15506, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16903, 'INDUSTRY_SUBCLASS', '9223', '公共安全管理机构', 15506, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16904, 'INDUSTRY_SUBCLASS', '9224', '社会事务管理机构', 15506, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16905, 'INDUSTRY_SUBCLASS', '9225', '经济事务管理机构', 15506, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16906, 'INDUSTRY_SUBCLASS', '9226', '行政监督检查机构', 15506, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16907, 'INDUSTRY_SUBCLASS', '9231', '人民法院', 15507, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16908, 'INDUSTRY_SUBCLASS', '9232', '人民检察院', 15507, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16909, 'INDUSTRY_SUBCLASS', '9310', '人民政协', 15509, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16910, 'INDUSTRY_SUBCLASS', '9411', '基本养老保险', 15510, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16911, 'INDUSTRY_SUBCLASS', '9412', '基本医疗保险', 15510, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16912, 'INDUSTRY_SUBCLASS', '9413', '失业保险', 15510, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16913, 'INDUSTRY_SUBCLASS', '9414', '工伤保险', 15510, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16914, 'INDUSTRY_SUBCLASS', '9415', '生育保险', 15510, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16915, 'INDUSTRY_SUBCLASS', '9419', '其他基本保险', 15510, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16916, 'INDUSTRY_SUBCLASS', '9420', '补充保险', 15511, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16917, 'INDUSTRY_SUBCLASS', '9490', '其他社会保障', 15512, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16918, 'INDUSTRY_SUBCLASS', '9511', '工会', 15513, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16919, 'INDUSTRY_SUBCLASS', '9512', '妇联', 15513, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16920, 'INDUSTRY_SUBCLASS', '9513', '共青团', 15513, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16921, 'INDUSTRY_SUBCLASS', '9519', '其他群众团体', 15513, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16922, 'INDUSTRY_SUBCLASS', '9521', '专业性团体', 15514, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16923, 'INDUSTRY_SUBCLASS', '9522', '行业性团体', 15514, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16924, 'INDUSTRY_SUBCLASS', '9529', '其他社会团体', 15514, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16925, 'INDUSTRY_SUBCLASS', '9530', '基金会', 15515, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16926, 'INDUSTRY_SUBCLASS', '9541', '宗教团体服务', 15516, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16927, 'INDUSTRY_SUBCLASS', '9542', '宗教活动场所服务', 15516, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16928, 'INDUSTRY_SUBCLASS', '9610', '社区居民自治组织', 15517, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16929, 'INDUSTRY_SUBCLASS', '9620', '村民自治组织', 15518, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16930, 'INDUSTRY_SUBCLASS', '0179', '其他中药材种植', 15058, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16931, 'INDUSTRY_SUBCLASS', '0391', '兔的饲养', 15069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16932, 'INDUSTRY_SUBCLASS', '0392', '蜜蜂饲养', 15069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16933, 'INDUSTRY_SUBCLASS', '0399', '其他未列明畜牧业', 15069, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16934, 'INDUSTRY_SUBCLASS', '2780', '药用辅料及包装材料', 15520, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16935, 'INDUSTRY_SUBCLASS', '2831', '生物基化学纤维制造', 15521, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16936, 'INDUSTRY_SUBCLASS', '2832', '生物基、淀粉基新材料制造', 15521, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16937, 'INDUSTRY_SUBCLASS', '3611', '汽柴油车整车制造', 15221, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16938, 'INDUSTRY_SUBCLASS', '3670', '汽车零部件及配件制造', 15522, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16939, 'INDUSTRY_SUBCLASS', '8290', '其他未列明服务业', 15523, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16940, 'INDUSTRY_SUBCLASS', '9291', '消防管理机构', 15508, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16941, 'INDUSTRY_SUBCLASS', '9299', '其他未列明国家机构', 15508, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16942, 'INDUSTRY_SUBCLASS', '9320', '民主党派', 15524, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16943, 'INDUSTRY_SUBCLASS', '9700', '国际组织', 15519, '2021-06-16 07:59:26', '2021-06-16 07:59:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (16944, 'ROLE', '7', '临时测试', 0, '2021-08-16 18:41:26', '2021-08-16 18:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100001, 'PROVINCE', '110000', '北京市', 0, '2018-10-30 15:30:00', '2018-10-30 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100002, 'PROVINCE', '120000', '天津市', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100003, 'PROVINCE', '130000', '河北省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100004, 'PROVINCE', '140000', '山西省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100005, 'PROVINCE', '150000', '内蒙古自治区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100006, 'PROVINCE', '210000', '辽宁省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100007, 'PROVINCE', '220000', '吉林省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100008, 'PROVINCE', '230000', '黑龙江省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100009, 'PROVINCE', '310000', '上海市', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100010, 'PROVINCE', '320000', '江苏省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100011, 'PROVINCE', '330000', '浙江省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100012, 'PROVINCE', '340000', '安徽省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100013, 'PROVINCE', '350000', '福建省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100014, 'PROVINCE', '360000', '江西省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100015, 'PROVINCE', '370000', '山东省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100016, 'PROVINCE', '410000', '河南省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100017, 'PROVINCE', '420000', '湖北省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100018, 'PROVINCE', '430000', '湖南省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100019, 'PROVINCE', '440000', '广东省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100020, 'PROVINCE', '450000', '广西壮族自治区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100021, 'PROVINCE', '460000', '海南省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100022, 'PROVINCE', '500000', '重庆市', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100023, 'PROVINCE', '510000', '四川省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100024, 'PROVINCE', '520000', '贵州省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100025, 'PROVINCE', '530000', '云南省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100026, 'PROVINCE', '540000', '西藏自治区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100027, 'PROVINCE', '610000', '陕西省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100028, 'PROVINCE', '620000', '甘肃省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100029, 'PROVINCE', '630000', '青海省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100030, 'PROVINCE', '640000', '宁夏回族自治区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100031, 'PROVINCE', '650000', '新疆维吾尔自治区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100032, 'PROVINCE', '710000', '台湾省', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100033, 'PROVINCE', '810000', '香港特别行政区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100034, 'PROVINCE', '820000', '澳门特别行政区', 0, '2018-10-31 15:30:00', '2018-10-31 15:30:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100050, 'CITY', '110100', '市辖区', 100001, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100051, 'CITY', '120100', '市辖区', 100002, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100052, 'CITY', '130100', '石家庄市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100053, 'CITY', '131100', '衡水市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100054, 'CITY', '131000', '廊坊市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100055, 'CITY', '130400', '邯郸市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100056, 'CITY', '130500', '邢台市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100057, 'CITY', '130200', '唐山市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100058, 'CITY', '130300', '秦皇岛市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100059, 'CITY', '130800', '承德市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100060, 'CITY', '130900', '沧州市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100061, 'CITY', '130600', '保定市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100062, 'CITY', '130700', '张家口市', 100003, '2018-11-13 20:36:37', '2018-11-13 20:36:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100065, 'CITY', '141100', '吕梁市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100066, 'CITY', '141000', '临汾市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100067, 'CITY', '140100', '太原市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100068, 'CITY', '140200', '大同市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100069, 'CITY', '140300', '阳泉市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100070, 'CITY', '140400', '长治市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100071, 'CITY', '140500', '晋城市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100072, 'CITY', '140600', '朔州市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100073, 'CITY', '140700', '晋中市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100074, 'CITY', '140800', '运城市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100075, 'CITY', '140900', '忻州市', 100004, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100076, 'CITY', '150800', '巴彦淖尔市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100077, 'CITY', '150900', '乌兰察布市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100078, 'CITY', '150600', '鄂尔多斯市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100079, 'CITY', '152900', '阿拉善盟', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100080, 'CITY', '150700', '呼伦贝尔市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100081, 'CITY', '150400', '赤峰市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100082, 'CITY', '150500', '通辽市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100083, 'CITY', '150200', '包头市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100084, 'CITY', '152500', '锡林郭勒盟', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100085, 'CITY', '150300', '乌海市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100086, 'CITY', '150100', '呼和浩特市', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100087, 'CITY', '152200', '兴安盟', 100005, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100088, 'CITY', '211100', '盘锦市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100089, 'CITY', '211000', '辽阳市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100090, 'CITY', '210900', '阜新市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100091, 'CITY', '210400', '抚顺市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100092, 'CITY', '210300', '鞍山市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100093, 'CITY', '211400', '葫芦岛市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100094, 'CITY', '210200', '大连市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100095, 'CITY', '211300', '朝阳市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100096, 'CITY', '210100', '沈阳市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100097, 'CITY', '211200', '铁岭市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100098, 'CITY', '210800', '营口市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100099, 'CITY', '210700', '锦州市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100100, 'CITY', '210600', '丹东市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100101, 'CITY', '210500', '本溪市', 100006, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100102, 'CITY', '220800', '白城市', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100103, 'CITY', '220100', '长春市', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100104, 'CITY', '222400', '延边朝鲜族自治州', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100105, 'CITY', '220300', '四平市', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100106, 'CITY', '220200', '吉林市', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100107, 'CITY', '220500', '通化市', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100108, 'CITY', '220400', '辽源市', 100007, '2018-11-13 20:36:38', '2018-11-13 20:36:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100109, 'CITY', '220700', '松原市', 100007, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100110, 'CITY', '220600', '白山市', 100007, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100111, 'CITY', '230600', '大庆市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100112, 'CITY', '230500', '双鸭山市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100113, 'CITY', '230400', '鹤岗市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100114, 'CITY', '230300', '鸡西市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100115, 'CITY', '230200', '齐齐哈尔市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100116, 'CITY', '230100', '哈尔滨市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100117, 'CITY', '231000', '牡丹江市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100118, 'CITY', '231100', '黑河市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100119, 'CITY', '231200', '绥化市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100120, 'CITY', '230900', '七台河市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100121, 'CITY', '230800', '佳木斯市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100122, 'CITY', '232700', '大兴安岭地区', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100123, 'CITY', '230700', '伊春市', 100008, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100124, 'CITY', '310100', '市辖区', 100009, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100125, 'CITY', '321000', '扬州市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100126, 'CITY', '321100', '镇江市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100127, 'CITY', '320900', '盐城市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100128, 'CITY', '320700', '连云港市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100129, 'CITY', '320800', '淮安市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100130, 'CITY', '320500', '苏州市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100131, 'CITY', '320600', '南通市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100132, 'CITY', '320300', '徐州市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100133, 'CITY', '320400', '常州市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100134, 'CITY', '320100', '南京市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100135, 'CITY', '321200', '泰州市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100136, 'CITY', '320200', '无锡市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100137, 'CITY', '321300', '宿迁市', 100010, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100138, 'CITY', '331000', '台州市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100139, 'CITY', '330800', '衢州市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100140, 'CITY', '330900', '舟山市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100141, 'CITY', '330400', '嘉兴市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100142, 'CITY', '330500', '湖州市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100143, 'CITY', '330600', '绍兴市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100144, 'CITY', '330700', '金华市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100145, 'CITY', '331100', '丽水市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100146, 'CITY', '330100', '杭州市', 100011, '2018-11-13 20:36:39', '2018-11-13 20:36:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100147, 'CITY', '330200', '宁波市', 100011, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100148, 'CITY', '330300', '温州市', 100011, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100149, 'CITY', '340700', '铜陵市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100150, 'CITY', '340800', '安庆市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100151, 'CITY', '341800', '宣城市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100152, 'CITY', '340100', '合肥市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100153, 'CITY', '341200', '阜阳市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100154, 'CITY', '340200', '芜湖市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100155, 'CITY', '341300', '宿州市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100156, 'CITY', '341000', '黄山市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100157, 'CITY', '341100', '滁州市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100158, 'CITY', '340500', '马鞍山市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100159, 'CITY', '341700', '池州市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100160, 'CITY', '340600', '淮北市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100161, 'CITY', '341600', '亳州市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100162, 'CITY', '340300', '蚌埠市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100163, 'CITY', '341500', '六安市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100164, 'CITY', '340400', '淮南市', 100012, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100165, 'CITY', '350600', '漳州市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100166, 'CITY', '350700', '南平市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100167, 'CITY', '350800', '龙岩市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100168, 'CITY', '350900', '宁德市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100169, 'CITY', '350100', '福州市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100170, 'CITY', '350200', '厦门市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100171, 'CITY', '350300', '莆田市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100172, 'CITY', '350400', '三明市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100173, 'CITY', '350500', '泉州市', 100013, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100174, 'CITY', '360300', '萍乡市', 100014, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100175, 'CITY', '360400', '九江市', 100014, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100176, 'CITY', '360100', '南昌市', 100014, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100177, 'CITY', '360200', '景德镇市', 100014, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100178, 'CITY', '361100', '上饶市', 100014, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100179, 'CITY', '361000', '抚州市', 100014, '2018-11-13 20:36:40', '2018-11-13 20:36:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100180, 'CITY', '360900', '宜春市', 100014, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100181, 'CITY', '360700', '赣州市', 100014, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100182, 'CITY', '360800', '吉安市', 100014, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100183, 'CITY', '360500', '新余市', 100014, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100184, 'CITY', '360600', '鹰潭市', 100014, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100186, 'CITY', '370100', '济南市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100187, 'CITY', '371100', '日照市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100188, 'CITY', '370200', '青岛市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100189, 'CITY', '371400', '德州市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100190, 'CITY', '370300', '淄博市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100191, 'CITY', '371300', '临沂市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100192, 'CITY', '371000', '威海市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100193, 'CITY', '370800', '济宁市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100194, 'CITY', '370900', '泰安市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100195, 'CITY', '370400', '枣庄市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100196, 'CITY', '371600', '滨州市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100197, 'CITY', '370500', '东营市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100198, 'CITY', '371500', '聊城市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100199, 'CITY', '370600', '烟台市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100200, 'CITY', '370700', '潍坊市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100201, 'CITY', '371700', '菏泽市', 100015, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100202, 'CITY', '410800', '焦作市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100203, 'CITY', '410700', '新乡市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100204, 'CITY', '410900', '濮阳市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100205, 'CITY', '410400', '平顶山市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100206, 'CITY', '411500', '信阳市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100207, 'CITY', '410300', '洛阳市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100208, 'CITY', '411400', '商丘市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100209, 'CITY', '410600', '鹤壁市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100210, 'CITY', '411700', '驻马店市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100211, 'CITY', '410500', '安阳市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100212, 'CITY', '411600', '周口市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100213, 'CITY', '411100', '漯河市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100214, 'CITY', '411000', '许昌市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100215, 'CITY', '410200', '开封市', 100016, '2018-11-13 20:36:41', '2018-11-13 20:36:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100216, 'CITY', '411300', '南阳市', 100016, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100217, 'CITY', '410100', '郑州市', 100016, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100218, 'CITY', '411200', '三门峡市', 100016, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100221, 'CITY', '420100', '武汉市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100222, 'CITY', '421200', '咸宁市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100224, 'CITY', '421100', '黄冈市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100226, 'CITY', '421000', '荆州市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100228, 'CITY', '420500', '宜昌市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100229, 'CITY', '422800', '恩施土家族苗族自治州', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100230, 'CITY', '420300', '十堰市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100231, 'CITY', '420200', '黄石市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100232, 'CITY', '421300', '随州市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100233, 'CITY', '420900', '孝感市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100234, 'CITY', '420800', '荆门市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100235, 'CITY', '420700', '鄂州市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100236, 'CITY', '420600', '襄阳市', 100017, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100237, 'CITY', '430200', '株洲市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100238, 'CITY', '431300', '娄底市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100239, 'CITY', '430100', '长沙市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100240, 'CITY', '431200', '怀化市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100241, 'CITY', '430400', '衡阳市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100242, 'CITY', '430300', '湘潭市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100243, 'CITY', '430600', '岳阳市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100244, 'CITY', '430500', '邵阳市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100245, 'CITY', '430800', '张家界市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100246, 'CITY', '430700', '常德市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100247, 'CITY', '430900', '益阳市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100248, 'CITY', '431100', '永州市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100249, 'CITY', '431000', '郴州市', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100250, 'CITY', '433100', '湘西土家族苗族自治州', 100018, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100251, 'CITY', '440900', '茂名市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100252, 'CITY', '440800', '湛江市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100253, 'CITY', '441900', '东莞市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100254, 'CITY', '440700', '江门市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100255, 'CITY', '441800', '清远市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100256, 'CITY', '440600', '佛山市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100257, 'CITY', '441700', '阳江市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100258, 'CITY', '440500', '汕头市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100259, 'CITY', '441600', '河源市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100260, 'CITY', '440400', '珠海市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100261, 'CITY', '441500', '汕尾市', 100019, '2018-11-13 20:36:42', '2018-11-13 20:36:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100262, 'CITY', '440300', '深圳市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100263, 'CITY', '441400', '梅州市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100264, 'CITY', '445200', '揭阳市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100265, 'CITY', '440200', '韶关市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100266, 'CITY', '441300', '惠州市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100267, 'CITY', '445100', '潮州市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100268, 'CITY', '440100', '广州市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100269, 'CITY', '441200', '肇庆市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100270, 'CITY', '442000', '中山市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100271, 'CITY', '445300', '云浮市', 100019, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100272, 'CITY', '450800', '贵港市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100273, 'CITY', '450700', '钦州市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100274, 'CITY', '450900', '玉林市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100275, 'CITY', '450400', '梧州市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100276, 'CITY', '450300', '桂林市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100277, 'CITY', '451400', '崇左市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100278, 'CITY', '450600', '防城港市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100279, 'CITY', '450500', '北海市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100280, 'CITY', '451100', '贺州市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100281, 'CITY', '451000', '百色市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100282, 'CITY', '450200', '柳州市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100283, 'CITY', '451300', '来宾市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100284, 'CITY', '450100', '南宁市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100285, 'CITY', '451200', '河池市', 100020, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100286, 'CITY', '460100', '海口市', 100021, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100287, 'CITY', '460400', '儋州市', 100021, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100288, 'CITY', '460300', '三沙市', 100021, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100289, 'CITY', '460200', '三亚市', 100021, '2018-11-13 20:36:43', '2018-11-13 20:36:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100305, 'CITY', '500200', '县', 100022, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100306, 'CITY', '500100', '市辖区', 100022, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100307, 'CITY', '512000', '资阳市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100308, 'CITY', '513200', '阿坝藏族羌族自治州', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100309, 'CITY', '511000', '内江市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100310, 'CITY', '510100', '成都市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100311, 'CITY', '511300', '南充市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100312, 'CITY', '511400', '眉山市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100313, 'CITY', '510300', '自贡市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100314, 'CITY', '511100', '乐山市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100315, 'CITY', '513400', '凉山彝族自治州', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100316, 'CITY', '513300', '甘孜藏族自治州', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100317, 'CITY', '510500', '泸州市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100318, 'CITY', '511700', '达州市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100319, 'CITY', '510400', '攀枝花市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100320, 'CITY', '511800', '雅安市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100321, 'CITY', '510700', '绵阳市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100322, 'CITY', '511500', '宜宾市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100323, 'CITY', '510600', '德阳市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100324, 'CITY', '511600', '广安市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100325, 'CITY', '510800', '广元市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100326, 'CITY', '511900', '巴中市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100327, 'CITY', '510900', '遂宁市', 100023, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100328, 'CITY', '522300', '黔西南布依族苗族自治州', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100329, 'CITY', '520200', '六盘水市', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100330, 'CITY', '520300', '遵义市', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100331, 'CITY', '520100', '贵阳市', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100332, 'CITY', '520400', '安顺市', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100333, 'CITY', '522600', '黔东南苗族侗族自治州', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100334, 'CITY', '520500', '毕节市', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100335, 'CITY', '522700', '黔南布依族苗族自治州', 100024, '2018-11-13 20:36:44', '2018-11-13 20:36:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100336, 'CITY', '520600', '铜仁市', 100024, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100337, 'CITY', '532300', '楚雄彝族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100338, 'CITY', '533400', '迪庆藏族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100339, 'CITY', '530100', '昆明市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100340, 'CITY', '533300', '怒江傈僳族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100341, 'CITY', '533100', '德宏傣族景颇族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100342, 'CITY', '530800', '普洱市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100343, 'CITY', '530900', '临沧市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100344, 'CITY', '530600', '昭通市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100345, 'CITY', '532900', '大理白族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100346, 'CITY', '530700', '丽江市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100347, 'CITY', '532800', '西双版纳傣族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100348, 'CITY', '530400', '玉溪市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100349, 'CITY', '530500', '保山市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100350, 'CITY', '532600', '文山壮族苗族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100351, 'CITY', '532500', '红河哈尼族彝族自治州', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100352, 'CITY', '530300', '曲靖市', 100025, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100353, 'CITY', '540500', '山南市', 100026, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100354, 'CITY', '540100', '拉萨市', 100026, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100356, 'CITY', '540200', '日喀则市', 100026, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100357, 'CITY', '540300', '昌都市', 100026, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100358, 'CITY', '540400', '林芝市', 100026, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100359, 'CITY', '542500', '阿里地区', 100026, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100360, 'CITY', '610300', '宝鸡市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100361, 'CITY', '610400', '咸阳市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100362, 'CITY', '610100', '西安市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100363, 'CITY', '610200', '铜川市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100364, 'CITY', '611000', '商洛市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100365, 'CITY', '610900', '安康市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100366, 'CITY', '610700', '汉中市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100367, 'CITY', '610800', '榆林市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100368, 'CITY', '610500', '渭南市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100369, 'CITY', '610600', '延安市', 100027, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100370, 'CITY', '621200', '陇南市', 100028, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100371, 'CITY', '620100', '兰州市', 100028, '2018-11-13 20:36:45', '2018-11-13 20:36:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100372, 'CITY', '621100', '定西市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100373, 'CITY', '620200', '嘉峪关市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100374, 'CITY', '620300', '金昌市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100375, 'CITY', '621000', '庆阳市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100376, 'CITY', '623000', '甘南藏族自治州', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100377, 'CITY', '620800', '平凉市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100378, 'CITY', '620900', '酒泉市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100379, 'CITY', '620400', '白银市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100380, 'CITY', '620500', '天水市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100381, 'CITY', '620600', '武威市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100382, 'CITY', '622900', '临夏回族自治州', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100383, 'CITY', '620700', '张掖市', 100028, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100384, 'CITY', '630100', '西宁市', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100385, 'CITY', '630200', '海东市', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100386, 'CITY', '632300', '黄南藏族自治州', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100387, 'CITY', '632200', '海北藏族自治州', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100388, 'CITY', '632800', '海西蒙古族藏族自治州', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100389, 'CITY', '632700', '玉树藏族自治州', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100390, 'CITY', '632600', '果洛藏族自治州', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100391, 'CITY', '632500', '海南藏族自治州', 100029, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100392, 'CITY', '640100', '银川市', 100030, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100393, 'CITY', '640300', '吴忠市', 100030, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100394, 'CITY', '640200', '石嘴山市', 100030, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100395, 'CITY', '640500', '中卫市', 100030, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100396, 'CITY', '640400', '固原市', 100030, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100397, 'CITY', '650500', '哈密市', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100398, 'CITY', '650400', '吐鲁番市', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100399, 'CITY', '650200', '克拉玛依市', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100400, 'CITY', '650100', '乌鲁木齐市', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100401, 'CITY', '652300', '昌吉回族自治州', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100402, 'CITY', '652700', '博尔塔拉蒙古自治州', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100403, 'CITY', '652800', '巴音郭楞蒙古自治州', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100404, 'CITY', '652900', '阿克苏地区', 100031, '2018-11-13 20:36:46', '2018-11-13 20:36:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100407, 'CITY', '654000', '伊犁哈萨克自治州', 100031, '2018-11-13 20:36:47', '2018-11-13 20:36:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100409, 'CITY', '653000', '克孜勒苏柯尔克孜自治州', 100031, '2018-11-13 20:36:47', '2018-11-13 20:36:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100410, 'CITY', '653100', '喀什地区', 100031, '2018-11-13 20:36:47', '2018-11-13 20:36:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100411, 'CITY', '654200', '塔城地区', 100031, '2018-11-13 20:36:47', '2018-11-13 20:36:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100412, 'CITY', '653200', '和田地区', 100031, '2018-11-13 20:36:47', '2018-11-13 20:36:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100413, 'CITY', '654300', '阿勒泰地区', 100031, '2018-11-13 20:36:47', '2018-11-13 20:36:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100500, 'DISTRICT', '110105', '朝阳区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100501, 'DISTRICT', '110116', '怀柔区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100502, 'DISTRICT', '110106', '丰台区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100503, 'DISTRICT', '110117', '平谷区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100504, 'DISTRICT', '110114', '昌平区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100505, 'DISTRICT', '110115', '大兴区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100506, 'DISTRICT', '110101', '东城区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100507, 'DISTRICT', '110112', '通州区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100508, 'DISTRICT', '110102', '西城区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100509, 'DISTRICT', '110113', '顺义区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100510, 'DISTRICT', '110111', '房山区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100511, 'DISTRICT', '110109', '门头沟区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100512, 'DISTRICT', '110107', '石景山区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100513, 'DISTRICT', '110118', '密云区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100514, 'DISTRICT', '110108', '海淀区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100515, 'DISTRICT', '110119', '延庆区', 100050, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100516, 'DISTRICT', '120102', '河东区', 100051, '2018-11-13 20:40:17', '2018-11-13 20:40:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100517, 'DISTRICT', '120113', '北辰区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100518, 'DISTRICT', '120103', '河西区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100519, 'DISTRICT', '120114', '武清区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100520, 'DISTRICT', '120104', '南开区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100521, 'DISTRICT', '120115', '宝坻区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100522, 'DISTRICT', '120105', '河北区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100523, 'DISTRICT', '120116', '滨海新区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100524, 'DISTRICT', '120110', '东丽区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100525, 'DISTRICT', '120111', '西青区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100526, 'DISTRICT', '120101', '和平区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100527, 'DISTRICT', '120112', '津南区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100528, 'DISTRICT', '120106', '红桥区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100529, 'DISTRICT', '120117', '宁河区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100530, 'DISTRICT', '120118', '静海区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100531, 'DISTRICT', '120119', '蓟州区', 100051, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100532, 'DISTRICT', '130110', '鹿泉区', 100052, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100533, 'DISTRICT', '130121', '井陉县', 100052, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100534, 'DISTRICT', '130132', '元氏县', 100052, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100535, 'DISTRICT', '130111', '栾城区', 100052, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100536, 'DISTRICT', '130133', '赵县', 100052, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100537, 'DISTRICT', '130130', '无极县', 100052, '2018-11-13 20:40:18', '2018-11-13 20:40:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100538, 'DISTRICT', '130131', '平山县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100539, 'DISTRICT', '130125', '行唐县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100540, 'DISTRICT', '130104', '桥西区', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100541, 'DISTRICT', '130126', '灵寿县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100542, 'DISTRICT', '130123', '正定县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100543, 'DISTRICT', '130102', '长安区', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100544, 'DISTRICT', '130107', '井陉矿区', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100545, 'DISTRICT', '130129', '赞皇县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100546, 'DISTRICT', '130108', '裕华区', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100547, 'DISTRICT', '130105', '新华区', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100548, 'DISTRICT', '130127', '高邑县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100549, 'DISTRICT', '130128', '深泽县', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100550, 'DISTRICT', '130109', '藁城区', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100551, 'DISTRICT', '130183', '晋州市', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100552, 'DISTRICT', '130184', '新乐市', 100052, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100553, 'DISTRICT', '131123', '武强县', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100554, 'DISTRICT', '131122', '武邑县', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100555, 'DISTRICT', '131121', '枣强县', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100556, 'DISTRICT', '131127', '景县', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100557, 'DISTRICT', '131126', '故城县', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100558, 'DISTRICT', '131103', '冀州区', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100559, 'DISTRICT', '131125', '安平县', 100053, '2018-11-13 20:40:19', '2018-11-13 20:40:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100560, 'DISTRICT', '131102', '桃城区', 100053, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100561, 'DISTRICT', '131124', '饶阳县', 100053, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100562, 'DISTRICT', '131128', '阜城县', 100053, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100563, 'DISTRICT', '131182', '深州市', 100053, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100564, 'DISTRICT', '131002', '安次区', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100565, 'DISTRICT', '131024', '香河县', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100566, 'DISTRICT', '131023', '永清县', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100567, 'DISTRICT', '131022', '固安县', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100568, 'DISTRICT', '131028', '大厂回族自治县', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100569, 'DISTRICT', '131026', '文安县', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100570, 'DISTRICT', '131003', '广阳区', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100571, 'DISTRICT', '131025', '大城县', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100572, 'DISTRICT', '131082', '三河市', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100573, 'DISTRICT', '131081', '霸州市', 100054, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100574, 'DISTRICT', '130430', '邱县', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100575, 'DISTRICT', '130433', '馆陶县', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100576, 'DISTRICT', '130423', '临漳县', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100577, 'DISTRICT', '130434', '魏县', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100578, 'DISTRICT', '130431', '鸡泽县', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100580, 'DISTRICT', '130432', '广平县', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100581, 'DISTRICT', '130404', '复兴区', 100055, '2018-11-13 20:40:20', '2018-11-13 20:40:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100582, 'DISTRICT', '130426', '涉县', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100583, 'DISTRICT', '130427', '磁县', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100584, 'DISTRICT', '130402', '邯山区', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100585, 'DISTRICT', '130424', '成安县', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100586, 'DISTRICT', '130435', '曲周县', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100587, 'DISTRICT', '130403', '丛台区', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100588, 'DISTRICT', '130425', '大名县', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100589, 'DISTRICT', '130406', '峰峰矿区', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100592, 'DISTRICT', '130481', '武安市', 100055, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100593, 'DISTRICT', '130581', '南宫市', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100594, 'DISTRICT', '130582', '沙河市', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100596, 'DISTRICT', '130532', '平乡县', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100597, 'DISTRICT', '130522', '临城县', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100598, 'DISTRICT', '130533', '威县', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100599, 'DISTRICT', '130530', '新河县', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100600, 'DISTRICT', '130531', '广宗县', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100601, 'DISTRICT', '130503', '信都区', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100602, 'DISTRICT', '130525', '隆尧县', 100056, '2018-11-13 20:40:21', '2018-11-13 20:40:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100604, 'DISTRICT', '130523', '内丘县', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100605, 'DISTRICT', '130534', '清河县', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100606, 'DISTRICT', '130502', '襄都区', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100607, 'DISTRICT', '130524', '柏乡县', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100608, 'DISTRICT', '130535', '临西县', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100609, 'DISTRICT', '130529', '巨鹿县', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100611, 'DISTRICT', '130528', '宁晋县', 100056, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100612, 'DISTRICT', '130202', '路南区', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100613, 'DISTRICT', '130224', '滦南县', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100614, 'DISTRICT', '130203', '路北区', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100615, 'DISTRICT', '130225', '乐亭县', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100617, 'DISTRICT', '130207', '丰南区', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100618, 'DISTRICT', '130229', '玉田县', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100619, 'DISTRICT', '130204', '古冶区', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100620, 'DISTRICT', '130205', '开平区', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100621, 'DISTRICT', '130227', '迁西县', 100057, '2018-11-13 20:40:22', '2018-11-13 20:40:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100622, 'DISTRICT', '130208', '丰润区', 100057, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100623, 'DISTRICT', '130209', '曹妃甸区', 100057, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100624, 'DISTRICT', '130283', '迁安市', 100057, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100625, 'DISTRICT', '130281', '遵化市', 100057, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100626, 'DISTRICT', '130302', '海港区', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100627, 'DISTRICT', '130324', '卢龙县', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100628, 'DISTRICT', '130321', '青龙满族自治县', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100629, 'DISTRICT', '130322', '昌黎县', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100630, 'DISTRICT', '130306', '抚宁区', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100631, 'DISTRICT', '130303', '山海关区', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100632, 'DISTRICT', '130304', '北戴河区', 100058, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100633, 'DISTRICT', '130828', '围场满族蒙古族自治县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100634, 'DISTRICT', '130822', '兴隆县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100636, 'DISTRICT', '130821', '承德县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100637, 'DISTRICT', '130804', '鹰手营子矿区', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100638, 'DISTRICT', '130826', '丰宁满族自治县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100639, 'DISTRICT', '130827', '宽城满族自治县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100640, 'DISTRICT', '130802', '双桥区', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100641, 'DISTRICT', '130824', '滦平县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100642, 'DISTRICT', '130803', '双滦区', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100643, 'DISTRICT', '130825', '隆化县', 100059, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100644, 'DISTRICT', '130983', '黄骅市', 100060, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100645, 'DISTRICT', '130984', '河间市', 100060, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100646, 'DISTRICT', '130981', '泊头市', 100060, '2018-11-13 20:40:23', '2018-11-13 20:40:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100647, 'DISTRICT', '130982', '任丘市', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100648, 'DISTRICT', '130921', '沧县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100649, 'DISTRICT', '130922', '青县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100650, 'DISTRICT', '130930', '孟村回族自治县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100651, 'DISTRICT', '130903', '运河区', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100652, 'DISTRICT', '130925', '盐山县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100653, 'DISTRICT', '130926', '肃宁县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100654, 'DISTRICT', '130923', '东光县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100655, 'DISTRICT', '130902', '新华区', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100656, 'DISTRICT', '130924', '海兴县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100657, 'DISTRICT', '130929', '献县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100658, 'DISTRICT', '130927', '南皮县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100659, 'DISTRICT', '130928', '吴桥县', 100060, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100660, 'DISTRICT', '130683', '安国市', 100061, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100661, 'DISTRICT', '130681', '涿州市', 100061, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100662, 'DISTRICT', '130631', '望都县', 100061, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100663, 'DISTRICT', '130632', '安新县', 100061, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100664, 'DISTRICT', '130684', '高碑店市', 100061, '2018-11-13 20:40:24', '2018-11-13 20:40:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100665, 'DISTRICT', '130630', '涞源县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100666, 'DISTRICT', '130602', '竞秀区', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100667, 'DISTRICT', '130624', '阜平县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100668, 'DISTRICT', '130635', '蠡县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100669, 'DISTRICT', '130636', '顺平县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100670, 'DISTRICT', '130633', '易县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100671, 'DISTRICT', '130623', '涞水县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100672, 'DISTRICT', '130634', '曲阳县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100673, 'DISTRICT', '130606', '莲池区', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100674, 'DISTRICT', '130628', '高阳县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100675, 'DISTRICT', '130607', '满城区', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100676, 'DISTRICT', '130629', '容城县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100677, 'DISTRICT', '130626', '定兴县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100678, 'DISTRICT', '130637', '博野县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100679, 'DISTRICT', '130627', '唐县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100680, 'DISTRICT', '130638', '雄县', 100061, '2018-11-13 20:40:25', '2018-11-13 20:40:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100681, 'DISTRICT', '130608', '清苑区', 100061, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100682, 'DISTRICT', '130609', '徐水区', 100061, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100683, 'DISTRICT', '130730', '怀来县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100684, 'DISTRICT', '130731', '涿鹿县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100685, 'DISTRICT', '130723', '康保县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100686, 'DISTRICT', '130702', '桥东区', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100687, 'DISTRICT', '130724', '沽源县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100688, 'DISTRICT', '130732', '赤城县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100689, 'DISTRICT', '130722', '张北县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100690, 'DISTRICT', '130705', '宣化区', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100691, 'DISTRICT', '130727', '阳原县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100692, 'DISTRICT', '130706', '下花园区', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100693, 'DISTRICT', '130728', '怀安县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100694, 'DISTRICT', '130703', '桥西区', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100695, 'DISTRICT', '130725', '尚义县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100696, 'DISTRICT', '130726', '蔚县', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100697, 'DISTRICT', '130709', '崇礼区', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100698, 'DISTRICT', '130708', '万全区', 100062, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100699, 'DISTRICT', '141182', '汾阳市', 100065, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100700, 'DISTRICT', '141181', '孝义市', 100065, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100701, 'DISTRICT', '141130', '交口县', 100065, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100702, 'DISTRICT', '141122', '交城县', 100065, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100703, 'DISTRICT', '141121', '文水县', 100065, '2018-11-13 20:40:26', '2018-11-13 20:40:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100704, 'DISTRICT', '141102', '离石区', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100705, 'DISTRICT', '141124', '临县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100706, 'DISTRICT', '141123', '兴县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100707, 'DISTRICT', '141126', '石楼县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100708, 'DISTRICT', '141125', '柳林县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100709, 'DISTRICT', '141128', '方山县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100710, 'DISTRICT', '141127', '岚县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100711, 'DISTRICT', '141129', '中阳县', 100065, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100712, 'DISTRICT', '141081', '侯马市', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100713, 'DISTRICT', '141082', '霍州市', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100714, 'DISTRICT', '141030', '大宁县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100715, 'DISTRICT', '141021', '曲沃县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100716, 'DISTRICT', '141032', '永和县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100717, 'DISTRICT', '141031', '隰县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100718, 'DISTRICT', '141023', '襄汾县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100719, 'DISTRICT', '141034', '汾西县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100720, 'DISTRICT', '141022', '翼城县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100721, 'DISTRICT', '141033', '蒲县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100722, 'DISTRICT', '141025', '古县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100723, 'DISTRICT', '141002', '尧都区', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100724, 'DISTRICT', '141024', '洪洞县', 100066, '2018-11-13 20:40:27', '2018-11-13 20:40:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100725, 'DISTRICT', '141027', '浮山县', 100066, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100726, 'DISTRICT', '141026', '安泽县', 100066, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100727, 'DISTRICT', '141029', '乡宁县', 100066, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100728, 'DISTRICT', '141028', '吉县', 100066, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100729, 'DISTRICT', '140110', '晋源区', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100730, 'DISTRICT', '140121', '清徐县', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100731, 'DISTRICT', '140122', '阳曲县', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100732, 'DISTRICT', '140123', '娄烦县', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100733, 'DISTRICT', '140105', '小店区', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100734, 'DISTRICT', '140106', '迎泽区', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100735, 'DISTRICT', '140107', '杏花岭区', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100736, 'DISTRICT', '140108', '尖草坪区', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100737, 'DISTRICT', '140109', '万柏林区', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100738, 'DISTRICT', '140181', '古交市', 100067, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100739, 'DISTRICT', '140221', '阳高县', 100068, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100741, 'DISTRICT', '140222', '天镇县', 100068, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100742, 'DISTRICT', '140212', '新荣区', 100068, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100743, 'DISTRICT', '140223', '广灵县', 100068, '2018-11-13 20:40:28', '2018-11-13 20:40:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100745, 'DISTRICT', '140224', '灵丘县', 100068, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100747, 'DISTRICT', '140225', '浑源县', 100068, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100748, 'DISTRICT', '140226', '左云县', 100068, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100750, 'DISTRICT', '140321', '平定县', 100069, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100751, 'DISTRICT', '140311', '郊区', 100069, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100752, 'DISTRICT', '140322', '盂县', 100069, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100753, 'DISTRICT', '140302', '城区', 100069, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100754, 'DISTRICT', '140303', '矿区', 100069, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100756, 'DISTRICT', '140430', '沁县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100757, 'DISTRICT', '140431', '沁源县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100760, 'DISTRICT', '140423', '襄垣县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100763, 'DISTRICT', '140425', '平顺县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100764, 'DISTRICT', '140426', '黎城县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100765, 'DISTRICT', '140427', '壶关县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100766, 'DISTRICT', '140428', '长子县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100767, 'DISTRICT', '140429', '武乡县', 100070, '2018-11-13 20:40:29', '2018-11-13 20:40:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100768, 'DISTRICT', '140581', '高平市', 100071, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100769, 'DISTRICT', '140521', '沁水县', 100071, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100770, 'DISTRICT', '140522', '阳城县', 100071, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100771, 'DISTRICT', '140502', '城区', 100071, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100772, 'DISTRICT', '140524', '陵川县', 100071, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100773, 'DISTRICT', '140525', '泽州县', 100071, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100774, 'DISTRICT', '140621', '山阴县', 100072, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100775, 'DISTRICT', '140622', '应县', 100072, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100776, 'DISTRICT', '140623', '右玉县', 100072, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100777, 'DISTRICT', '140602', '朔城区', 100072, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100779, 'DISTRICT', '140603', '平鲁区', 100072, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100780, 'DISTRICT', '140728', '平遥县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100781, 'DISTRICT', '140729', '灵石县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100782, 'DISTRICT', '140781', '介休市', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100783, 'DISTRICT', '140721', '榆社县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100784, 'DISTRICT', '140722', '左权县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100785, 'DISTRICT', '140723', '和顺县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100786, 'DISTRICT', '140702', '榆次区', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100787, 'DISTRICT', '140724', '昔阳县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100788, 'DISTRICT', '140725', '寿阳县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100790, 'DISTRICT', '140727', '祁县', 100073, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100791, 'DISTRICT', '140827', '垣曲县', 100074, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100792, 'DISTRICT', '140828', '夏县', 100074, '2018-11-13 20:40:30', '2018-11-13 20:40:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100793, 'DISTRICT', '140829', '平陆县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100794, 'DISTRICT', '140881', '永济市', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100795, 'DISTRICT', '140882', '河津市', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100796, 'DISTRICT', '140830', '芮城县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100797, 'DISTRICT', '140821', '临猗县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100798, 'DISTRICT', '140822', '万荣县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100799, 'DISTRICT', '140823', '闻喜县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100800, 'DISTRICT', '140802', '盐湖区', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100801, 'DISTRICT', '140824', '稷山县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100802, 'DISTRICT', '140825', '新绛县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100803, 'DISTRICT', '140826', '绛县', 100074, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100804, 'DISTRICT', '140926', '静乐县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100805, 'DISTRICT', '140927', '神池县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100806, 'DISTRICT', '140928', '五寨县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100807, 'DISTRICT', '140929', '岢岚县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100808, 'DISTRICT', '140981', '原平市', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100809, 'DISTRICT', '140930', '河曲县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100810, 'DISTRICT', '140931', '保德县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100811, 'DISTRICT', '140921', '定襄县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100812, 'DISTRICT', '140932', '偏关县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100813, 'DISTRICT', '140922', '五台县', 100075, '2018-11-13 20:40:31', '2018-11-13 20:40:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100814, 'DISTRICT', '140923', '代县', 100075, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100815, 'DISTRICT', '140902', '忻府区', 100075, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100816, 'DISTRICT', '140924', '繁峙县', 100075, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100817, 'DISTRICT', '140925', '宁武县', 100075, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100818, 'DISTRICT', '150802', '临河区', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100819, 'DISTRICT', '150824', '乌拉特中旗', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100820, 'DISTRICT', '150825', '乌拉特后旗', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100821, 'DISTRICT', '150822', '磴口县', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100822, 'DISTRICT', '150823', '乌拉特前旗', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100823, 'DISTRICT', '150821', '五原县', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100824, 'DISTRICT', '150826', '杭锦后旗', 100076, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100825, 'DISTRICT', '150902', '集宁区', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100826, 'DISTRICT', '150924', '兴和县', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100827, 'DISTRICT', '150923', '商都县', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100828, 'DISTRICT', '150922', '化德县', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100829, 'DISTRICT', '150921', '卓资县', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100830, 'DISTRICT', '150981', '丰镇市', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100831, 'DISTRICT', '150929', '四子王旗', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100832, 'DISTRICT', '150928', '察哈尔右翼后旗', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100833, 'DISTRICT', '150927', '察哈尔右翼中旗', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100834, 'DISTRICT', '150926', '察哈尔右翼前旗', 100077, '2018-11-13 20:40:32', '2018-11-13 20:40:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100835, 'DISTRICT', '150925', '凉城县', 100077, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100836, 'DISTRICT', '150626', '乌审旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100837, 'DISTRICT', '150627', '伊金霍洛旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100838, 'DISTRICT', '150602', '东胜区', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100839, 'DISTRICT', '150624', '鄂托克旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100840, 'DISTRICT', '150603', '康巴什区', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100841, 'DISTRICT', '150625', '杭锦旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100842, 'DISTRICT', '150622', '准格尔旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100843, 'DISTRICT', '150623', '鄂托克前旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100844, 'DISTRICT', '150621', '达拉特旗', 100078, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100845, 'DISTRICT', '152923', '额济纳旗', 100079, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100846, 'DISTRICT', '152922', '阿拉善右旗', 100079, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100847, 'DISTRICT', '152921', '阿拉善左旗', 100079, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100848, 'DISTRICT', '150727', '新巴尔虎右旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100849, 'DISTRICT', '150703', '扎赉诺尔区', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100850, 'DISTRICT', '150725', '陈巴尔虎旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100851, 'DISTRICT', '150726', '新巴尔虎左旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100852, 'DISTRICT', '150723', '鄂伦春自治旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100853, 'DISTRICT', '150702', '海拉尔区', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100854, 'DISTRICT', '150724', '鄂温克族自治旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100855, 'DISTRICT', '150721', '阿荣旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100856, 'DISTRICT', '150722', '莫力达瓦达斡尔族自治旗', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100857, 'DISTRICT', '150785', '根河市', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100858, 'DISTRICT', '150783', '扎兰屯市', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100859, 'DISTRICT', '150784', '额尔古纳市', 100080, '2018-11-13 20:40:33', '2018-11-13 20:40:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100860, 'DISTRICT', '150781', '满洲里市', 100080, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100861, 'DISTRICT', '150782', '牙克石市', 100080, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100862, 'DISTRICT', '150428', '喀喇沁旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100863, 'DISTRICT', '150429', '宁城县', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100864, 'DISTRICT', '150404', '松山区', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100865, 'DISTRICT', '150426', '翁牛特旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100866, 'DISTRICT', '150402', '红山区', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100867, 'DISTRICT', '150424', '林西县', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100868, 'DISTRICT', '150403', '元宝山区', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100869, 'DISTRICT', '150425', '克什克腾旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100870, 'DISTRICT', '150422', '巴林左旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100871, 'DISTRICT', '150423', '巴林右旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100872, 'DISTRICT', '150421', '阿鲁科尔沁旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100873, 'DISTRICT', '150430', '敖汉旗', 100081, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100874, 'DISTRICT', '150525', '奈曼旗', 100082, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100875, 'DISTRICT', '150526', '扎鲁特旗', 100082, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100876, 'DISTRICT', '150523', '开鲁县', 100082, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100877, 'DISTRICT', '150502', '科尔沁区', 100082, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100878, 'DISTRICT', '150524', '库伦旗', 100082, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100879, 'DISTRICT', '150521', '科尔沁左翼中旗', 100082, '2018-11-13 20:40:34', '2018-11-13 20:40:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100880, 'DISTRICT', '150522', '科尔沁左翼后旗', 100082, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100881, 'DISTRICT', '150581', '霍林郭勒市', 100082, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100882, 'DISTRICT', '150206', '白云鄂博矿区', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100883, 'DISTRICT', '150207', '九原区', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100884, 'DISTRICT', '150204', '青山区', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100885, 'DISTRICT', '150205', '石拐区', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100886, 'DISTRICT', '150202', '东河区', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100887, 'DISTRICT', '150203', '昆都仑区', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100888, 'DISTRICT', '150222', '固阳县', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100889, 'DISTRICT', '150223', '达尔罕茂明安联合旗', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100890, 'DISTRICT', '150221', '土默特右旗', 100083, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100891, 'DISTRICT', '152529', '正镶白旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100892, 'DISTRICT', '152528', '镶黄旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100893, 'DISTRICT', '152527', '太仆寺旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100894, 'DISTRICT', '152526', '西乌珠穆沁旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100895, 'DISTRICT', '152525', '东乌珠穆沁旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100896, 'DISTRICT', '152502', '锡林浩特市', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100897, 'DISTRICT', '152524', '苏尼特右旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100898, 'DISTRICT', '152501', '二连浩特市', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100899, 'DISTRICT', '152523', '苏尼特左旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100900, 'DISTRICT', '152522', '阿巴嘎旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100901, 'DISTRICT', '152531', '多伦县', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100902, 'DISTRICT', '152530', '正蓝旗', 100084, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100903, 'DISTRICT', '150303', '海南区', 100085, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100904, 'DISTRICT', '150304', '乌达区', 100085, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100905, 'DISTRICT', '150302', '海勃湾区', 100085, '2018-11-13 20:40:35', '2018-11-13 20:40:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100906, 'DISTRICT', '150105', '赛罕区', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100907, 'DISTRICT', '150103', '回民区', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100908, 'DISTRICT', '150125', '武川县', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100909, 'DISTRICT', '150104', '玉泉区', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100910, 'DISTRICT', '150123', '和林格尔县', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100911, 'DISTRICT', '150102', '新城区', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100912, 'DISTRICT', '150124', '清水河县', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100913, 'DISTRICT', '150121', '土默特左旗', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100914, 'DISTRICT', '150122', '托克托县', 100086, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100915, 'DISTRICT', '152202', '阿尔山市', 100087, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100916, 'DISTRICT', '152224', '突泉县', 100087, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100917, 'DISTRICT', '152201', '乌兰浩特市', 100087, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100918, 'DISTRICT', '152223', '扎赉特旗', 100087, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100919, 'DISTRICT', '152222', '科尔沁右翼中旗', 100087, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100920, 'DISTRICT', '152221', '科尔沁右翼前旗', 100087, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100921, 'DISTRICT', '211122', '盘山县', 100088, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100922, 'DISTRICT', '211104', '大洼区', 100088, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100923, 'DISTRICT', '211103', '兴隆台区', 100088, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100924, 'DISTRICT', '211102', '双台子区', 100088, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100925, 'DISTRICT', '211011', '太子河区', 100089, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100926, 'DISTRICT', '211021', '辽阳县', 100089, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100927, 'DISTRICT', '211005', '弓长岭区', 100089, '2018-11-13 20:40:36', '2018-11-13 20:40:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100928, 'DISTRICT', '211004', '宏伟区', 100089, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100929, 'DISTRICT', '211003', '文圣区', 100089, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100930, 'DISTRICT', '211002', '白塔区', 100089, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100931, 'DISTRICT', '211081', '灯塔市', 100089, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100932, 'DISTRICT', '210903', '新邱区', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100933, 'DISTRICT', '210902', '海州区', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100934, 'DISTRICT', '210911', '细河区', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100935, 'DISTRICT', '210922', '彰武县', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100936, 'DISTRICT', '210905', '清河门区', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100937, 'DISTRICT', '210904', '太平区', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100938, 'DISTRICT', '210921', '阜新蒙古族自治县', 100090, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100939, 'DISTRICT', '210411', '顺城区', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100940, 'DISTRICT', '210422', '新宾满族自治县', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100941, 'DISTRICT', '210421', '抚顺县', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100942, 'DISTRICT', '210404', '望花区', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100943, 'DISTRICT', '210403', '东洲区', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100944, 'DISTRICT', '210402', '新抚区', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100945, 'DISTRICT', '210423', '清原满族自治县', 100091, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100946, 'DISTRICT', '210381', '海城市', 100092, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100947, 'DISTRICT', '210323', '岫岩满族自治县', 100092, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100948, 'DISTRICT', '210311', '千山区', 100092, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100949, 'DISTRICT', '210321', '台安县', 100092, '2018-11-13 20:40:37', '2018-11-13 20:40:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100950, 'DISTRICT', '210304', '立山区', 100092, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100951, 'DISTRICT', '210303', '铁西区', 100092, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100952, 'DISTRICT', '210302', '铁东区', 100092, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100953, 'DISTRICT', '211481', '兴城市', 100093, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100954, 'DISTRICT', '211422', '建昌县', 100093, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100955, 'DISTRICT', '211421', '绥中县', 100093, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100956, 'DISTRICT', '211404', '南票区', 100093, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100957, 'DISTRICT', '211403', '龙港区', 100093, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100958, 'DISTRICT', '211402', '连山区', 100093, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100959, 'DISTRICT', '210281', '瓦房店市', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100960, 'DISTRICT', '210283', '庄河市', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100961, 'DISTRICT', '210202', '中山区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100962, 'DISTRICT', '210213', '金州区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100963, 'DISTRICT', '210224', '长海县', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100964, 'DISTRICT', '210212', '旅顺口区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100965, 'DISTRICT', '210211', '甘井子区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100966, 'DISTRICT', '210204', '沙河口区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100967, 'DISTRICT', '210203', '西岗区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100968, 'DISTRICT', '210214', '普兰店区', 100094, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100969, 'DISTRICT', '211382', '凌源市', 100095, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100970, 'DISTRICT', '211381', '北票市', 100095, '2018-11-13 20:40:38', '2018-11-13 20:40:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100971, 'DISTRICT', '211302', '双塔区', 100095, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100972, 'DISTRICT', '211324', '喀喇沁左翼蒙古族自治县', 100095, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100973, 'DISTRICT', '211322', '建平县', 100095, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100974, 'DISTRICT', '211321', '朝阳县', 100095, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100975, 'DISTRICT', '211303', '龙城区', 100095, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100976, 'DISTRICT', '210181', '新民市', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100977, 'DISTRICT', '210103', '沈河区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100978, 'DISTRICT', '210114', '于洪区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100979, 'DISTRICT', '210102', '和平区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100980, 'DISTRICT', '210113', '沈北新区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100981, 'DISTRICT', '210124', '法库县', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100982, 'DISTRICT', '210112', '浑南区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100983, 'DISTRICT', '210123', '康平县', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100984, 'DISTRICT', '210111', '苏家屯区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100985, 'DISTRICT', '210106', '铁西区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100986, 'DISTRICT', '210105', '皇姑区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100987, 'DISTRICT', '210104', '大东区', 100096, '2018-11-13 20:40:39', '2018-11-13 20:40:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100988, 'DISTRICT', '210115', '辽中区', 100096, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100989, 'DISTRICT', '211282', '开原市', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100990, 'DISTRICT', '211281', '调兵山市', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100991, 'DISTRICT', '211221', '铁岭县', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100992, 'DISTRICT', '211202', '银州区', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100993, 'DISTRICT', '211224', '昌图县', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100994, 'DISTRICT', '211223', '西丰县', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100995, 'DISTRICT', '211204', '清河区', 100097, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100996, 'DISTRICT', '210804', '鲅鱼圈区', 100098, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100997, 'DISTRICT', '210803', '西市区', 100098, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100998, 'DISTRICT', '210802', '站前区', 100098, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (100999, 'DISTRICT', '210882', '大石桥市', 100098, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101000, 'DISTRICT', '210881', '盖州市', 100098, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101001, 'DISTRICT', '210811', '老边区', 100098, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101002, 'DISTRICT', '210727', '义县', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101003, 'DISTRICT', '210726', '黑山县', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101004, 'DISTRICT', '210703', '凌河区', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101005, 'DISTRICT', '210702', '古塔区', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101006, 'DISTRICT', '210781', '凌海市', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101007, 'DISTRICT', '210782', '北镇市', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101008, 'DISTRICT', '210711', '太和区', 100099, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101009, 'DISTRICT', '210604', '振安区', 100100, '2018-11-13 20:40:40', '2018-11-13 20:40:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101010, 'DISTRICT', '210603', '振兴区', 100100, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101011, 'DISTRICT', '210682', '凤城市', 100100, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101012, 'DISTRICT', '210681', '东港市', 100100, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101013, 'DISTRICT', '210602', '元宝区', 100100, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101014, 'DISTRICT', '210624', '宽甸满族自治县', 100100, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101015, 'DISTRICT', '210505', '南芬区', 100101, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101016, 'DISTRICT', '210504', '明山区', 100101, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101017, 'DISTRICT', '210521', '本溪满族自治县', 100101, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101018, 'DISTRICT', '210503', '溪湖区', 100101, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101019, 'DISTRICT', '210502', '平山区', 100101, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101020, 'DISTRICT', '210522', '桓仁满族自治县', 100101, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101021, 'DISTRICT', '220822', '通榆县', 100102, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101022, 'DISTRICT', '220802', '洮北区', 100102, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101023, 'DISTRICT', '220881', '洮南市', 100102, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101024, 'DISTRICT', '220882', '大安市', 100102, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101025, 'DISTRICT', '220821', '镇赉县', 100102, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101026, 'DISTRICT', '220182', '榆树市', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101027, 'DISTRICT', '220183', '德惠市', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101028, 'DISTRICT', '220122', '农安县', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101029, 'DISTRICT', '220102', '南关区', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101030, 'DISTRICT', '220113', '九台区', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101031, 'DISTRICT', '220112', '双阳区', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101032, 'DISTRICT', '220104', '朝阳区', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101033, 'DISTRICT', '220103', '宽城区', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101034, 'DISTRICT', '220106', '绿园区', 100103, '2018-11-13 20:40:41', '2018-11-13 20:40:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101035, 'DISTRICT', '220105', '二道区', 100103, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101036, 'DISTRICT', '222406', '和龙市', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101037, 'DISTRICT', '222401', '延吉市', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101038, 'DISTRICT', '222404', '珲春市', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101039, 'DISTRICT', '222426', '安图县', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101040, 'DISTRICT', '222405', '龙井市', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101041, 'DISTRICT', '222402', '图们市', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101042, 'DISTRICT', '222424', '汪清县', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101043, 'DISTRICT', '222403', '敦化市', 100104, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101044, 'DISTRICT', '220382', '双辽市', 100105, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101046, 'DISTRICT', '220322', '梨树县', 100105, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101047, 'DISTRICT', '220302', '铁西区', 100105, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101048, 'DISTRICT', '220323', '伊通满族自治县', 100105, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101049, 'DISTRICT', '220303', '铁东区', 100105, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101050, 'DISTRICT', '220281', '蛟河市', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101051, 'DISTRICT', '220283', '舒兰市', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101052, 'DISTRICT', '220282', '桦甸市', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101053, 'DISTRICT', '220284', '磐石市', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101054, 'DISTRICT', '220221', '永吉县', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101055, 'DISTRICT', '220211', '丰满区', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101056, 'DISTRICT', '220203', '龙潭区', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101057, 'DISTRICT', '220202', '昌邑区', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101058, 'DISTRICT', '220204', '船营区', 100106, '2018-11-13 20:40:42', '2018-11-13 20:40:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101059, 'DISTRICT', '220503', '二道江区', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101060, 'DISTRICT', '220582', '集安市', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101061, 'DISTRICT', '220581', '梅河口市', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101062, 'DISTRICT', '220521', '通化县', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101063, 'DISTRICT', '220502', '东昌区', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101064, 'DISTRICT', '220524', '柳河县', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101065, 'DISTRICT', '220523', '辉南县', 100107, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101066, 'DISTRICT', '220421', '东丰县', 100108, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101067, 'DISTRICT', '220422', '东辽县', 100108, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101068, 'DISTRICT', '220403', '西安区', 100108, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101069, 'DISTRICT', '220402', '龙山区', 100108, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101070, 'DISTRICT', '220702', '宁江区', 100109, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101071, 'DISTRICT', '220723', '乾安县', 100109, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101072, 'DISTRICT', '220781', '扶余市', 100109, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101073, 'DISTRICT', '220722', '长岭县', 100109, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101074, 'DISTRICT', '220721', '前郭尔罗斯蒙古族自治县', 100109, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101075, 'DISTRICT', '220602', '浑江区', 100110, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101076, 'DISTRICT', '220605', '江源区', 100110, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101077, 'DISTRICT', '220681', '临江市', 100110, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101078, 'DISTRICT', '220621', '抚松县', 100110, '2018-11-13 20:40:43', '2018-11-13 20:40:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101079, 'DISTRICT', '220623', '长白朝鲜族自治县', 100110, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101080, 'DISTRICT', '220622', '靖宇县', 100110, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101081, 'DISTRICT', '230622', '肇源县', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101082, 'DISTRICT', '230621', '肇州县', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101083, 'DISTRICT', '230606', '大同区', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101084, 'DISTRICT', '230605', '红岗区', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101085, 'DISTRICT', '230604', '让胡路区', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101086, 'DISTRICT', '230603', '龙凤区', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101087, 'DISTRICT', '230602', '萨尔图区', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101088, 'DISTRICT', '230624', '杜尔伯特蒙古族自治县', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101089, 'DISTRICT', '230623', '林甸县', 100111, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101090, 'DISTRICT', '230523', '宝清县', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101091, 'DISTRICT', '230522', '友谊县', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101092, 'DISTRICT', '230521', '集贤县', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101093, 'DISTRICT', '230506', '宝山区', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101094, 'DISTRICT', '230505', '四方台区', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101095, 'DISTRICT', '230503', '岭东区', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101096, 'DISTRICT', '230502', '尖山区', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101097, 'DISTRICT', '230524', '饶河县', 100112, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101098, 'DISTRICT', '230402', '向阳区', 100113, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101099, 'DISTRICT', '230422', '绥滨县', 100113, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101100, 'DISTRICT', '230421', '萝北县', 100113, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101101, 'DISTRICT', '230407', '兴山区', 100113, '2018-11-13 20:40:44', '2018-11-13 20:40:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101102, 'DISTRICT', '230406', '东山区', 100113, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101103, 'DISTRICT', '230405', '兴安区', 100113, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101104, 'DISTRICT', '230404', '南山区', 100113, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101105, 'DISTRICT', '230403', '工农区', 100113, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101106, 'DISTRICT', '230303', '恒山区', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101107, 'DISTRICT', '230302', '鸡冠区', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101108, 'DISTRICT', '230321', '鸡东县', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101109, 'DISTRICT', '230382', '密山市', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101110, 'DISTRICT', '230381', '虎林市', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101111, 'DISTRICT', '230307', '麻山区', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101112, 'DISTRICT', '230306', '城子河区', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101113, 'DISTRICT', '230305', '梨树区', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101114, 'DISTRICT', '230304', '滴道区', 100114, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101115, 'DISTRICT', '230281', '讷河市', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101116, 'DISTRICT', '230204', '铁锋区', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101117, 'DISTRICT', '230203', '建华区', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101118, 'DISTRICT', '230225', '甘南县', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101119, 'DISTRICT', '230202', '龙沙区', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101120, 'DISTRICT', '230224', '泰来县', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101121, 'DISTRICT', '230223', '依安县', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101122, 'DISTRICT', '230221', '龙江县', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101123, 'DISTRICT', '230231', '拜泉县', 100115, '2018-11-13 20:40:45', '2018-11-13 20:40:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101124, 'DISTRICT', '230230', '克东县', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101125, 'DISTRICT', '230208', '梅里斯达斡尔族区', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101126, 'DISTRICT', '230207', '碾子山区', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101127, 'DISTRICT', '230229', '克山县', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101128, 'DISTRICT', '230206', '富拉尔基区', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101129, 'DISTRICT', '230205', '昂昂溪区', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101130, 'DISTRICT', '230227', '富裕县', 100115, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101131, 'DISTRICT', '230184', '五常市', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101132, 'DISTRICT', '230183', '尚志市', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101133, 'DISTRICT', '230127', '木兰县', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101134, 'DISTRICT', '230104', '道外区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101135, 'DISTRICT', '230126', '巴彦县', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101136, 'DISTRICT', '230103', '南岗区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101137, 'DISTRICT', '230125', '宾县', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101138, 'DISTRICT', '230102', '道里区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101139, 'DISTRICT', '230113', '双城区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101140, 'DISTRICT', '230124', '方正县', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101141, 'DISTRICT', '230112', '阿城区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101142, 'DISTRICT', '230123', '依兰县', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101143, 'DISTRICT', '230111', '呼兰区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101144, 'DISTRICT', '230110', '香坊区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101145, 'DISTRICT', '230109', '松北区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101146, 'DISTRICT', '230108', '平房区', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101147, 'DISTRICT', '230129', '延寿县', 100116, '2018-11-13 20:40:46', '2018-11-13 20:40:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101148, 'DISTRICT', '230128', '通河县', 100116, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101149, 'DISTRICT', '231005', '西安区', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101150, 'DISTRICT', '231004', '爱民区', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101151, 'DISTRICT', '231003', '阳明区', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101152, 'DISTRICT', '231025', '林口县', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101153, 'DISTRICT', '231002', '东安区', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101154, 'DISTRICT', '231086', '东宁市', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101155, 'DISTRICT', '231085', '穆棱市', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101156, 'DISTRICT', '231084', '宁安市', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101157, 'DISTRICT', '231083', '海林市', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101158, 'DISTRICT', '231081', '绥芬河市', 100117, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101159, 'DISTRICT', '231181', '北安市', 100118, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101160, 'DISTRICT', '231182', '五大连池市', 100118, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101162, 'DISTRICT', '231123', '逊克县', 100118, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101163, 'DISTRICT', '231102', '爱辉区', 100118, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101164, 'DISTRICT', '231124', '孙吴县', 100118, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101165, 'DISTRICT', '231281', '安达市', 100119, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101166, 'DISTRICT', '231282', '肇东市', 100119, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101167, 'DISTRICT', '231283', '海伦市', 100119, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101168, 'DISTRICT', '231221', '望奎县', 100119, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101169, 'DISTRICT', '231222', '兰西县', 100119, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101170, 'DISTRICT', '231223', '青冈县', 100119, '2018-11-13 20:40:47', '2018-11-13 20:40:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101171, 'DISTRICT', '231202', '北林区', 100119, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101172, 'DISTRICT', '231224', '庆安县', 100119, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101173, 'DISTRICT', '231225', '明水县', 100119, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101174, 'DISTRICT', '231226', '绥棱县', 100119, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101175, 'DISTRICT', '230904', '茄子河区', 100120, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101176, 'DISTRICT', '230903', '桃山区', 100120, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101177, 'DISTRICT', '230902', '新兴区', 100120, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101178, 'DISTRICT', '230921', '勃利县', 100120, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101179, 'DISTRICT', '230883', '抚远市', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101180, 'DISTRICT', '230882', '富锦市', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101181, 'DISTRICT', '230881', '同江市', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101182, 'DISTRICT', '230828', '汤原县', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101183, 'DISTRICT', '230805', '东风区', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101184, 'DISTRICT', '230804', '前进区', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101185, 'DISTRICT', '230826', '桦川县', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101186, 'DISTRICT', '230803', '向阳区', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101187, 'DISTRICT', '230811', '郊区', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101188, 'DISTRICT', '230822', '桦南县', 100121, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101189, 'DISTRICT', '232721', '呼玛县', 100122, '2018-11-13 20:40:48', '2018-11-13 20:40:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101190, 'DISTRICT', '232722', '塔河县', 100122, '2018-11-13 20:40:49', '2018-11-13 20:40:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101195, 'DISTRICT', '230781', '铁力市', 100123, '2018-11-13 20:40:49', '2018-11-13 20:40:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101208, 'DISTRICT', '230722', '嘉荫县', 100123, '2018-11-13 20:40:49', '2018-11-13 20:40:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101209, 'DISTRICT', '310151', '崇明区', 100124, '2018-11-13 20:40:49', '2018-11-13 20:40:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101210, 'DISTRICT', '310120', '奉贤区', 100124, '2018-11-13 20:40:49', '2018-11-13 20:40:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101211, 'DISTRICT', '310110', '杨浦区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101212, 'DISTRICT', '310101', '黄浦区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101213, 'DISTRICT', '310112', '闵行区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101214, 'DISTRICT', '310113', '宝山区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101215, 'DISTRICT', '310114', '嘉定区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101216, 'DISTRICT', '310104', '徐汇区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101217, 'DISTRICT', '310115', '浦东新区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101218, 'DISTRICT', '310105', '长宁区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101219, 'DISTRICT', '310116', '金山区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101220, 'DISTRICT', '310106', '静安区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101221, 'DISTRICT', '310117', '松江区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101222, 'DISTRICT', '310107', '普陀区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101223, 'DISTRICT', '310118', '青浦区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101224, 'DISTRICT', '310109', '虹口区', 100124, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101225, 'DISTRICT', '321012', '江都区', 100125, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101226, 'DISTRICT', '321023', '宝应县', 100125, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101227, 'DISTRICT', '321084', '高邮市', 100125, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101228, 'DISTRICT', '321081', '仪征市', 100125, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101229, 'DISTRICT', '321002', '广陵区', 100125, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101230, 'DISTRICT', '321003', '邗江区', 100125, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101231, 'DISTRICT', '321111', '润州区', 100126, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101232, 'DISTRICT', '321183', '句容市', 100126, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101233, 'DISTRICT', '321181', '丹阳市', 100126, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101234, 'DISTRICT', '321182', '扬中市', 100126, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101235, 'DISTRICT', '321112', '丹徒区', 100126, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101236, 'DISTRICT', '321102', '京口区', 100126, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101237, 'DISTRICT', '320904', '大丰区', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101238, 'DISTRICT', '320902', '亭湖区', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101239, 'DISTRICT', '320924', '射阳县', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101240, 'DISTRICT', '320903', '盐都区', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101241, 'DISTRICT', '320925', '建湖县', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101242, 'DISTRICT', '320922', '滨海县', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101243, 'DISTRICT', '320923', '阜宁县', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101244, 'DISTRICT', '320921', '响水县', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101245, 'DISTRICT', '320981', '东台市', 100127, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101246, 'DISTRICT', '320706', '海州区', 100128, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101247, 'DISTRICT', '320707', '赣榆区', 100128, '2018-11-13 20:40:50', '2018-11-13 20:40:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101248, 'DISTRICT', '320724', '灌南县', 100128, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101249, 'DISTRICT', '320703', '连云区', 100128, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101250, 'DISTRICT', '320722', '东海县', 100128, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101251, 'DISTRICT', '320723', '灌云县', 100128, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101252, 'DISTRICT', '320803', '淮安区', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101253, 'DISTRICT', '320804', '淮阴区', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101254, 'DISTRICT', '320826', '涟水县', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101255, 'DISTRICT', '320812', '清江浦区', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101256, 'DISTRICT', '320813', '洪泽区', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101257, 'DISTRICT', '320830', '盱眙县', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101258, 'DISTRICT', '320831', '金湖县', 100129, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101259, 'DISTRICT', '320582', '张家港市', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101260, 'DISTRICT', '320583', '昆山市', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101261, 'DISTRICT', '320508', '姑苏区', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101262, 'DISTRICT', '320509', '吴江区', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101263, 'DISTRICT', '320581', '常熟市', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101264, 'DISTRICT', '320506', '吴中区', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101265, 'DISTRICT', '320507', '相城区', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101266, 'DISTRICT', '320505', '虎丘区', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101267, 'DISTRICT', '320585', '太仓市', 100130, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101268, 'DISTRICT', '320681', '启东市', 100131, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101269, 'DISTRICT', '320682', '如皋市', 100131, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101270, 'DISTRICT', '320612', '通州区', 100131, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101271, 'DISTRICT', '320623', '如东县', 100131, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101276, 'DISTRICT', '320382', '邳州市', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101277, 'DISTRICT', '320381', '新沂市', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101278, 'DISTRICT', '320305', '贾汪区', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101279, 'DISTRICT', '320302', '鼓楼区', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101280, 'DISTRICT', '320324', '睢宁县', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101281, 'DISTRICT', '320303', '云龙区', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101282, 'DISTRICT', '320311', '泉山区', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101283, 'DISTRICT', '320322', '沛县', 100132, '2018-11-13 20:40:51', '2018-11-13 20:40:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101284, 'DISTRICT', '320312', '铜山区', 100132, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101285, 'DISTRICT', '320321', '丰县', 100132, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101286, 'DISTRICT', '320481', '溧阳市', 100133, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101287, 'DISTRICT', '320404', '钟楼区', 100133, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101288, 'DISTRICT', '320412', '武进区', 100133, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101289, 'DISTRICT', '320402', '天宁区', 100133, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101290, 'DISTRICT', '320413', '金坛区', 100133, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101291, 'DISTRICT', '320411', '新北区', 100133, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101292, 'DISTRICT', '320106', '鼓楼区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101293, 'DISTRICT', '320117', '溧水区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101294, 'DISTRICT', '320118', '高淳区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101295, 'DISTRICT', '320104', '秦淮区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101296, 'DISTRICT', '320115', '江宁区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101297, 'DISTRICT', '320105', '建邺区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101298, 'DISTRICT', '320116', '六合区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101299, 'DISTRICT', '320102', '玄武区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101300, 'DISTRICT', '320113', '栖霞区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101301, 'DISTRICT', '320114', '雨花台区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101302, 'DISTRICT', '320111', '浦口区', 100134, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101303, 'DISTRICT', '321282', '靖江市', 100135, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101304, 'DISTRICT', '321283', '泰兴市', 100135, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101305, 'DISTRICT', '321281', '兴化市', 100135, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101306, 'DISTRICT', '321204', '姜堰区', 100135, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101307, 'DISTRICT', '321202', '海陵区', 100135, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101308, 'DISTRICT', '321203', '高港区', 100135, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101309, 'DISTRICT', '320281', '江阴市', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101310, 'DISTRICT', '320282', '宜兴市', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101311, 'DISTRICT', '320205', '锡山区', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101312, 'DISTRICT', '320206', '惠山区', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101313, 'DISTRICT', '320214', '新吴区', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101314, 'DISTRICT', '320213', '梁溪区', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101315, 'DISTRICT', '320211', '滨湖区', 100136, '2018-11-13 20:40:52', '2018-11-13 20:40:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101316, 'DISTRICT', '321323', '泗阳县', 100137, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101317, 'DISTRICT', '321302', '宿城区', 100137, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101318, 'DISTRICT', '321324', '泗洪县', 100137, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101319, 'DISTRICT', '321311', '宿豫区', 100137, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101320, 'DISTRICT', '321322', '沭阳县', 100137, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101322, 'DISTRICT', '331022', '三门县', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101323, 'DISTRICT', '331081', '温岭市', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101324, 'DISTRICT', '331082', '临海市', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101325, 'DISTRICT', '331023', '天台县', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101326, 'DISTRICT', '331002', '椒江区', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101327, 'DISTRICT', '331024', '仙居县', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101328, 'DISTRICT', '331003', '黄岩区', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101329, 'DISTRICT', '331004', '路桥区', 100138, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101330, 'DISTRICT', '330822', '常山县', 100139, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101331, 'DISTRICT', '330802', '柯城区', 100139, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101332, 'DISTRICT', '330824', '开化县', 100139, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101333, 'DISTRICT', '330803', '衢江区', 100139, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101334, 'DISTRICT', '330825', '龙游县', 100139, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101335, 'DISTRICT', '330881', '江山市', 100139, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101336, 'DISTRICT', '330903', '普陀区', 100140, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101337, 'DISTRICT', '330921', '岱山县', 100140, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101338, 'DISTRICT', '330922', '嵊泗县', 100140, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101339, 'DISTRICT', '330902', '定海区', 100140, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101340, 'DISTRICT', '330481', '海宁市', 100141, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101341, 'DISTRICT', '330482', '平湖市', 100141, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101342, 'DISTRICT', '330483', '桐乡市', 100141, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101343, 'DISTRICT', '330411', '秀洲区', 100141, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101344, 'DISTRICT', '330402', '南湖区', 100141, '2018-11-13 20:40:53', '2018-11-13 20:40:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101345, 'DISTRICT', '330424', '海盐县', 100141, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101346, 'DISTRICT', '330421', '嘉善县', 100141, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101347, 'DISTRICT', '330503', '南浔区', 100142, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101348, 'DISTRICT', '330521', '德清县', 100142, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101349, 'DISTRICT', '330522', '长兴县', 100142, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101350, 'DISTRICT', '330523', '安吉县', 100142, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101351, 'DISTRICT', '330502', '吴兴区', 100142, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101352, 'DISTRICT', '330681', '诸暨市', 100143, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101353, 'DISTRICT', '330602', '越城区', 100143, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101354, 'DISTRICT', '330624', '新昌县', 100143, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101355, 'DISTRICT', '330603', '柯桥区', 100143, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101356, 'DISTRICT', '330604', '上虞区', 100143, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101357, 'DISTRICT', '330683', '嵊州市', 100143, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101358, 'DISTRICT', '330727', '磐安县', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101359, 'DISTRICT', '330723', '武义县', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101360, 'DISTRICT', '330702', '婺城区', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101361, 'DISTRICT', '330703', '金东区', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101362, 'DISTRICT', '330726', '浦江县', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101363, 'DISTRICT', '330781', '兰溪市', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101364, 'DISTRICT', '330782', '义乌市', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101365, 'DISTRICT', '330783', '东阳市', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101366, 'DISTRICT', '330784', '永康市', 100144, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101367, 'DISTRICT', '331121', '青田县', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101368, 'DISTRICT', '331181', '龙泉市', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101369, 'DISTRICT', '331126', '庆元县', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101370, 'DISTRICT', '331127', '景宁畲族自治县', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101371, 'DISTRICT', '331122', '缙云县', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101372, 'DISTRICT', '331123', '遂昌县', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101373, 'DISTRICT', '331102', '莲都区', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101374, 'DISTRICT', '331124', '松阳县', 100145, '2018-11-13 20:40:54', '2018-11-13 20:40:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101375, 'DISTRICT', '331125', '云和县', 100145, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101376, 'DISTRICT', '330108', '滨江区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101377, 'DISTRICT', '330109', '萧山区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101380, 'DISTRICT', '330105', '拱墅区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101381, 'DISTRICT', '330127', '淳安县', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101382, 'DISTRICT', '330106', '西湖区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101383, 'DISTRICT', '330110', '余杭区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101384, 'DISTRICT', '330111', '富阳区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101385, 'DISTRICT', '330122', '桐庐县', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101386, 'DISTRICT', '330102', '上城区', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101388, 'DISTRICT', '330182', '建德市', 100146, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101389, 'DISTRICT', '330282', '慈溪市', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101391, 'DISTRICT', '330206', '北仑区', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101392, 'DISTRICT', '330281', '余姚市', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101393, 'DISTRICT', '330203', '海曙区', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101394, 'DISTRICT', '330225', '象山县', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101396, 'DISTRICT', '330226', '宁海县', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101397, 'DISTRICT', '330205', '江北区', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101398, 'DISTRICT', '330211', '镇海区', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101399, 'DISTRICT', '330212', '鄞州区', 100147, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101400, 'DISTRICT', '330381', '瑞安市', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101401, 'DISTRICT', '330382', '乐清市', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101402, 'DISTRICT', '330305', '洞头区', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101403, 'DISTRICT', '330327', '苍南县', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101404, 'DISTRICT', '330328', '文成县', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101405, 'DISTRICT', '330329', '泰顺县', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101406, 'DISTRICT', '330302', '鹿城区', 100148, '2018-11-13 20:40:55', '2018-11-13 20:40:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101407, 'DISTRICT', '330324', '永嘉县', 100148, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101408, 'DISTRICT', '330303', '龙湾区', 100148, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101409, 'DISTRICT', '330304', '瓯海区', 100148, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101410, 'DISTRICT', '330326', '平阳县', 100148, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101411, 'DISTRICT', '340711', '郊区', 100149, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101412, 'DISTRICT', '340722', '枞阳县', 100149, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101413, 'DISTRICT', '340706', '义安区', 100149, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101414, 'DISTRICT', '340705', '铜官区', 100149, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101415, 'DISTRICT', '340802', '迎江区', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101417, 'DISTRICT', '340811', '宜秀区', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101418, 'DISTRICT', '340822', '怀宁县', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101419, 'DISTRICT', '340827', '望江县', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101420, 'DISTRICT', '340828', '岳西县', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101421, 'DISTRICT', '340803', '大观区', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101422, 'DISTRICT', '340825', '太湖县', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101423, 'DISTRICT', '340826', '宿松县', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101424, 'DISTRICT', '340881', '桐城市', 100150, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101425, 'DISTRICT', '341825', '旌德县', 100151, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101426, 'DISTRICT', '341802', '宣州区', 100151, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101427, 'DISTRICT', '341824', '绩溪县', 100151, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101428, 'DISTRICT', '341823', '泾县', 100151, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101430, 'DISTRICT', '341881', '宁国市', 100151, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101431, 'DISTRICT', '341821', '郎溪县', 100151, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101432, 'DISTRICT', '340181', '巢湖市', 100152, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101433, 'DISTRICT', '340111', '包河区', 100152, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101434, 'DISTRICT', '340122', '肥东县', 100152, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101435, 'DISTRICT', '340123', '肥西县', 100152, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101436, 'DISTRICT', '340121', '长丰县', 100152, '2018-11-13 20:40:56', '2018-11-13 20:40:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101437, 'DISTRICT', '340104', '蜀山区', 100152, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101438, 'DISTRICT', '340102', '瑶海区', 100152, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101439, 'DISTRICT', '340124', '庐江县', 100152, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101440, 'DISTRICT', '340103', '庐阳区', 100152, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101441, 'DISTRICT', '341282', '界首市', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101442, 'DISTRICT', '341222', '太和县', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101443, 'DISTRICT', '341221', '临泉县', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101444, 'DISTRICT', '341204', '颍泉区', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101445, 'DISTRICT', '341226', '颍上县', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101446, 'DISTRICT', '341202', '颍州区', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101447, 'DISTRICT', '341203', '颍东区', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101448, 'DISTRICT', '341225', '阜南县', 100153, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101449, 'DISTRICT', '340207', '鸠江区', 100154, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101455, 'DISTRICT', '340223', '南陵县', 100154, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101456, 'DISTRICT', '340202', '镜湖区', 100154, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101457, 'DISTRICT', '341321', '砀山县', 100155, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101458, 'DISTRICT', '341322', '萧县', 100155, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101459, 'DISTRICT', '341323', '灵璧县', 100155, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101460, 'DISTRICT', '341302', '埇桥区', 100155, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101461, 'DISTRICT', '341324', '泗县', 100155, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101462, 'DISTRICT', '341021', '歙县', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101463, 'DISTRICT', '341002', '屯溪区', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101464, 'DISTRICT', '341024', '祁门县', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101465, 'DISTRICT', '341003', '黄山区', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101466, 'DISTRICT', '341022', '休宁县', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101467, 'DISTRICT', '341023', '黟县', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101468, 'DISTRICT', '341004', '徽州区', 100156, '2018-11-13 20:40:57', '2018-11-13 20:40:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101469, 'DISTRICT', '341181', '天长市', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101470, 'DISTRICT', '341182', '明光市', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101471, 'DISTRICT', '341102', '琅琊区', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101472, 'DISTRICT', '341124', '全椒县', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101473, 'DISTRICT', '341122', '来安县', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101474, 'DISTRICT', '341103', '南谯区', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101475, 'DISTRICT', '341125', '定远县', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101476, 'DISTRICT', '341126', '凤阳县', 100157, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101477, 'DISTRICT', '340504', '雨山区', 100158, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101478, 'DISTRICT', '340503', '花山区', 100158, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101479, 'DISTRICT', '340506', '博望区', 100158, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101480, 'DISTRICT', '340522', '含山县', 100158, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101481, 'DISTRICT', '340523', '和县', 100158, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101482, 'DISTRICT', '340521', '当涂县', 100158, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101483, 'DISTRICT', '341702', '贵池区', 100159, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101484, 'DISTRICT', '341723', '青阳县', 100159, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101485, 'DISTRICT', '341722', '石台县', 100159, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101486, 'DISTRICT', '341721', '东至县', 100159, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101487, 'DISTRICT', '340603', '相山区', 100160, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101488, 'DISTRICT', '340604', '烈山区', 100160, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101489, 'DISTRICT', '340602', '杜集区', 100160, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101490, 'DISTRICT', '340621', '濉溪县', 100160, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101491, 'DISTRICT', '341602', '谯城区', 100161, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101492, 'DISTRICT', '341623', '利辛县', 100161, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101493, 'DISTRICT', '341622', '蒙城县', 100161, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101494, 'DISTRICT', '341621', '涡阳县', 100161, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101495, 'DISTRICT', '340304', '禹会区', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101496, 'DISTRICT', '340321', '怀远县', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101497, 'DISTRICT', '340302', '龙子湖区', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101498, 'DISTRICT', '340303', '蚌山区', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101499, 'DISTRICT', '340311', '淮上区', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101500, 'DISTRICT', '340322', '五河县', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101501, 'DISTRICT', '340323', '固镇县', 100162, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101502, 'DISTRICT', '341504', '叶集区', 100163, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101503, 'DISTRICT', '341503', '裕安区', 100163, '2018-11-13 20:40:58', '2018-11-13 20:40:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101504, 'DISTRICT', '341525', '霍山县', 100163, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101505, 'DISTRICT', '341502', '金安区', 100163, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101506, 'DISTRICT', '341524', '金寨县', 100163, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101507, 'DISTRICT', '341523', '舒城县', 100163, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101508, 'DISTRICT', '341522', '霍邱县', 100163, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101509, 'DISTRICT', '340405', '八公山区', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101510, 'DISTRICT', '340406', '潘集区', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101511, 'DISTRICT', '340403', '田家庵区', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101512, 'DISTRICT', '340404', '谢家集区', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101513, 'DISTRICT', '340402', '大通区', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101514, 'DISTRICT', '340421', '凤台县', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101515, 'DISTRICT', '340422', '寿县', 100164, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101516, 'DISTRICT', '350622', '云霄县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101517, 'DISTRICT', '350623', '漳浦县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101518, 'DISTRICT', '350602', '芗城区', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101519, 'DISTRICT', '350624', '诏安县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101520, 'DISTRICT', '350603', '龙文区', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101522, 'DISTRICT', '350626', '东山县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101523, 'DISTRICT', '350627', '南靖县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101524, 'DISTRICT', '350628', '平和县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101525, 'DISTRICT', '350629', '华安县', 100165, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101527, 'DISTRICT', '350721', '顺昌县', 100166, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101528, 'DISTRICT', '350722', '浦城县', 100166, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101529, 'DISTRICT', '350723', '光泽县', 100166, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101530, 'DISTRICT', '350702', '延平区', 100166, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101531, 'DISTRICT', '350724', '松溪县', 100166, '2018-11-13 20:40:59', '2018-11-13 20:40:59', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101532, 'DISTRICT', '350703', '建阳区', 100166, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101533, 'DISTRICT', '350725', '政和县', 100166, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101534, 'DISTRICT', '350781', '邵武市', 100166, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101535, 'DISTRICT', '350782', '武夷山市', 100166, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101536, 'DISTRICT', '350783', '建瓯市', 100166, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101537, 'DISTRICT', '350821', '长汀县', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101538, 'DISTRICT', '350823', '上杭县', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101539, 'DISTRICT', '350802', '新罗区', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101540, 'DISTRICT', '350824', '武平县', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101541, 'DISTRICT', '350803', '永定区', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101542, 'DISTRICT', '350825', '连城县', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101543, 'DISTRICT', '350881', '漳平市', 100167, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101544, 'DISTRICT', '350921', '霞浦县', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101545, 'DISTRICT', '350922', '古田县', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101546, 'DISTRICT', '350923', '屏南县', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101547, 'DISTRICT', '350902', '蕉城区', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101548, 'DISTRICT', '350924', '寿宁县', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101549, 'DISTRICT', '350925', '周宁县', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101550, 'DISTRICT', '350926', '柘荣县', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101551, 'DISTRICT', '350981', '福安市', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101552, 'DISTRICT', '350982', '福鼎市', 100168, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101553, 'DISTRICT', '350105', '马尾区', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101554, 'DISTRICT', '350128', '平潭县', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101555, 'DISTRICT', '350121', '闽侯县', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101556, 'DISTRICT', '350111', '晋安区', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101557, 'DISTRICT', '350122', '连江县', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101558, 'DISTRICT', '350123', '罗源县', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101559, 'DISTRICT', '350102', '鼓楼区', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101560, 'DISTRICT', '350124', '闽清县', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101561, 'DISTRICT', '350103', '台江区', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101562, 'DISTRICT', '350125', '永泰县', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101563, 'DISTRICT', '350104', '仓山区', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101564, 'DISTRICT', '350181', '福清市', 100169, '2018-11-13 20:41:00', '2018-11-13 20:41:00', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101566, 'DISTRICT', '350205', '海沧区', 100170, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101567, 'DISTRICT', '350206', '湖里区', 100170, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101568, 'DISTRICT', '350211', '集美区', 100170, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101569, 'DISTRICT', '350212', '同安区', 100170, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101570, 'DISTRICT', '350213', '翔安区', 100170, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101571, 'DISTRICT', '350203', '思明区', 100170, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101572, 'DISTRICT', '350303', '涵江区', 100171, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101573, 'DISTRICT', '350304', '荔城区', 100171, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101574, 'DISTRICT', '350305', '秀屿区', 100171, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101575, 'DISTRICT', '350322', '仙游县', 100171, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101576, 'DISTRICT', '350302', '城厢区', 100171, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101578, 'DISTRICT', '350424', '宁化县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101580, 'DISTRICT', '350425', '大田县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101581, 'DISTRICT', '350426', '尤溪县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101583, 'DISTRICT', '350428', '将乐县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101584, 'DISTRICT', '350429', '泰宁县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101585, 'DISTRICT', '350481', '永安市', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101586, 'DISTRICT', '350430', '建宁县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101587, 'DISTRICT', '350421', '明溪县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101588, 'DISTRICT', '350423', '清流县', 100172, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101589, 'DISTRICT', '350502', '鲤城区', 100173, '2018-11-13 20:41:01', '2018-11-13 20:41:01', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101590, 'DISTRICT', '350524', '安溪县', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101591, 'DISTRICT', '350503', '丰泽区', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101592, 'DISTRICT', '350525', '永春县', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101593, 'DISTRICT', '350504', '洛江区', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101594, 'DISTRICT', '350526', '德化县', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101595, 'DISTRICT', '350505', '泉港区', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101596, 'DISTRICT', '350527', '金门县', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101597, 'DISTRICT', '350581', '石狮市', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101598, 'DISTRICT', '350582', '晋江市', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101599, 'DISTRICT', '350583', '南安市', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101600, 'DISTRICT', '350521', '惠安县', 100173, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101601, 'DISTRICT', '360322', '上栗县', 100174, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101602, 'DISTRICT', '360323', '芦溪县', 100174, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101603, 'DISTRICT', '360321', '莲花县', 100174, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101604, 'DISTRICT', '360302', '安源区', 100174, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101605, 'DISTRICT', '360313', '湘东区', 100174, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101607, 'DISTRICT', '360430', '彭泽县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101608, 'DISTRICT', '360483', '庐山市', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101609, 'DISTRICT', '360481', '瑞昌市', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101610, 'DISTRICT', '360482', '共青城市', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101611, 'DISTRICT', '360429', '湖口县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101612, 'DISTRICT', '360428', '都昌县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101613, 'DISTRICT', '360403', '浔阳区', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101614, 'DISTRICT', '360425', '永修县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101615, 'DISTRICT', '360426', '德安县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101616, 'DISTRICT', '360423', '武宁县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101617, 'DISTRICT', '360402', '濂溪区', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101618, 'DISTRICT', '360424', '修水县', 100175, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101619, 'DISTRICT', '360102', '东湖区', 100176, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101620, 'DISTRICT', '360124', '进贤县', 100176, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101621, 'DISTRICT', '360103', '西湖区', 100176, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101622, 'DISTRICT', '360111', '青山湖区', 100176, '2018-11-13 20:41:02', '2018-11-13 20:41:02', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101623, 'DISTRICT', '360112', '新建区', 100176, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101624, 'DISTRICT', '360123', '安义县', 100176, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101625, 'DISTRICT', '360121', '南昌县', 100176, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101626, 'DISTRICT', '360104', '青云谱区', 100176, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101628, 'DISTRICT', '360202', '昌江区', 100177, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101629, 'DISTRICT', '360222', '浮梁县', 100177, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101630, 'DISTRICT', '360281', '乐平市', 100177, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101631, 'DISTRICT', '360203', '珠山区', 100177, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101632, 'DISTRICT', '361126', '弋阳县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101633, 'DISTRICT', '361103', '广丰区', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101634, 'DISTRICT', '361125', '横峰县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101635, 'DISTRICT', '361102', '信州区', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101636, 'DISTRICT', '361124', '铅山县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101637, 'DISTRICT', '361123', '玉山县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101639, 'DISTRICT', '361130', '婺源县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101640, 'DISTRICT', '361181', '德兴市', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101641, 'DISTRICT', '361129', '万年县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101642, 'DISTRICT', '361128', '鄱阳县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101643, 'DISTRICT', '361127', '余干县', 100178, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101644, 'DISTRICT', '361027', '金溪县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101645, 'DISTRICT', '361026', '宜黄县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101646, 'DISTRICT', '361025', '乐安县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101647, 'DISTRICT', '361002', '临川区', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101648, 'DISTRICT', '361024', '崇仁县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101649, 'DISTRICT', '361023', '南丰县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101650, 'DISTRICT', '361022', '黎川县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101651, 'DISTRICT', '361021', '南城县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101652, 'DISTRICT', '361030', '广昌县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101654, 'DISTRICT', '361028', '资溪县', 100179, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101655, 'DISTRICT', '360982', '樟树市', 100180, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101656, 'DISTRICT', '360983', '高安市', 100180, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101657, 'DISTRICT', '360981', '丰城市', 100180, '2018-11-13 20:41:03', '2018-11-13 20:41:03', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101658, 'DISTRICT', '360926', '铜鼓县', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101659, 'DISTRICT', '360902', '袁州区', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101660, 'DISTRICT', '360924', '宜丰县', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101661, 'DISTRICT', '360925', '靖安县', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101662, 'DISTRICT', '360922', '万载县', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101663, 'DISTRICT', '360923', '上高县', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101664, 'DISTRICT', '360921', '奉新县', 100180, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101665, 'DISTRICT', '360728', '定南县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101666, 'DISTRICT', '360729', '全南县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101667, 'DISTRICT', '360730', '宁都县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101668, 'DISTRICT', '360781', '瑞金市', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101669, 'DISTRICT', '360726', '安远县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101671, 'DISTRICT', '360702', '章贡区', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101672, 'DISTRICT', '360724', '上犹县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101673, 'DISTRICT', '360735', '石城县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101674, 'DISTRICT', '360703', '南康区', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101675, 'DISTRICT', '360725', '崇义县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101676, 'DISTRICT', '360722', '信丰县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101677, 'DISTRICT', '360733', '会昌县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101678, 'DISTRICT', '360723', '大余县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101679, 'DISTRICT', '360734', '寻乌县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101680, 'DISTRICT', '360731', '于都县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101682, 'DISTRICT', '360732', '兴国县', 100181, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101683, 'DISTRICT', '360829', '安福县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101684, 'DISTRICT', '360827', '遂川县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101685, 'DISTRICT', '360828', '万安县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101686, 'DISTRICT', '360881', '井冈山市', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101687, 'DISTRICT', '360803', '青原区', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101688, 'DISTRICT', '360825', '永丰县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101689, 'DISTRICT', '360826', '泰和县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101690, 'DISTRICT', '360823', '峡江县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101691, 'DISTRICT', '360802', '吉州区', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101692, 'DISTRICT', '360824', '新干县', 100182, '2018-11-13 20:41:04', '2018-11-13 20:41:04', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101693, 'DISTRICT', '360821', '吉安县', 100182, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101694, 'DISTRICT', '360822', '吉水县', 100182, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101695, 'DISTRICT', '360830', '永新县', 100182, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101696, 'DISTRICT', '360521', '分宜县', 100183, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101697, 'DISTRICT', '360502', '渝水区', 100183, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101698, 'DISTRICT', '360681', '贵溪市', 100184, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101699, 'DISTRICT', '360602', '月湖区', 100184, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101703, 'DISTRICT', '370112', '历城区', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101704, 'DISTRICT', '370102', '历下区', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101705, 'DISTRICT', '370113', '长清区', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101706, 'DISTRICT', '370124', '平阴县', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101708, 'DISTRICT', '370103', '市中区', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101710, 'DISTRICT', '370104', '槐荫区', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101711, 'DISTRICT', '370126', '商河县', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101712, 'DISTRICT', '370105', '天桥区', 100186, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101713, 'DISTRICT', '371122', '莒县', 100187, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101714, 'DISTRICT', '371103', '岚山区', 100187, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101715, 'DISTRICT', '371102', '东港区', 100187, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101716, 'DISTRICT', '371121', '五莲县', 100187, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101717, 'DISTRICT', '370211', '黄岛区', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101718, 'DISTRICT', '370212', '崂山区', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101720, 'DISTRICT', '370283', '平度市', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101721, 'DISTRICT', '370285', '莱西市', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101722, 'DISTRICT', '370281', '胶州市', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101723, 'DISTRICT', '370202', '市南区', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101724, 'DISTRICT', '370213', '李沧区', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101725, 'DISTRICT', '370203', '市北区', 100188, '2018-11-13 20:41:05', '2018-11-13 20:41:05', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101726, 'DISTRICT', '370214', '城阳区', 100188, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101727, 'DISTRICT', '371422', '宁津县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101728, 'DISTRICT', '371482', '禹城市', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101729, 'DISTRICT', '371481', '乐陵市', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101730, 'DISTRICT', '371428', '武城县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101731, 'DISTRICT', '371427', '夏津县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101732, 'DISTRICT', '371402', '德城区', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101733, 'DISTRICT', '371424', '临邑县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101734, 'DISTRICT', '371423', '庆云县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101735, 'DISTRICT', '371426', '平原县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101736, 'DISTRICT', '371403', '陵城区', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101737, 'DISTRICT', '371425', '齐河县', 100189, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101738, 'DISTRICT', '370321', '桓台县', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101739, 'DISTRICT', '370322', '高青县', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101740, 'DISTRICT', '370305', '临淄区', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101741, 'DISTRICT', '370306', '周村区', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101742, 'DISTRICT', '370323', '沂源县', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101743, 'DISTRICT', '370302', '淄川区', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101744, 'DISTRICT', '370303', '张店区', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101745, 'DISTRICT', '370304', '博山区', 100190, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101746, 'DISTRICT', '371321', '沂南县', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101747, 'DISTRICT', '371312', '河东区', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101748, 'DISTRICT', '371323', '沂水县', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101749, 'DISTRICT', '371311', '罗庄区', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101750, 'DISTRICT', '371322', '郯城县', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101751, 'DISTRICT', '371329', '临沭县', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101752, 'DISTRICT', '371328', '蒙阴县', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101753, 'DISTRICT', '371325', '费县', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101754, 'DISTRICT', '371302', '兰山区', 100191, '2018-11-13 20:41:06', '2018-11-13 20:41:06', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101755, 'DISTRICT', '371324', '兰陵县', 100191, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101756, 'DISTRICT', '371327', '莒南县', 100191, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101757, 'DISTRICT', '371326', '平邑县', 100191, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101758, 'DISTRICT', '371002', '环翠区', 100192, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101759, 'DISTRICT', '371003', '文登区', 100192, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101760, 'DISTRICT', '371082', '荣成市', 100192, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101761, 'DISTRICT', '371083', '乳山市', 100192, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101762, 'DISTRICT', '370881', '曲阜市', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101763, 'DISTRICT', '370883', '邹城市', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101764, 'DISTRICT', '370826', '微山县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101765, 'DISTRICT', '370827', '鱼台县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101766, 'DISTRICT', '370828', '金乡县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101767, 'DISTRICT', '370829', '嘉祥县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101768, 'DISTRICT', '370811', '任城区', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101769, 'DISTRICT', '370812', '兖州区', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101770, 'DISTRICT', '370830', '汶上县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101771, 'DISTRICT', '370831', '泗水县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101772, 'DISTRICT', '370832', '梁山县', 100193, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101773, 'DISTRICT', '370982', '新泰市', 100194, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101774, 'DISTRICT', '370921', '宁阳县', 100194, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101775, 'DISTRICT', '370911', '岱岳区', 100194, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101776, 'DISTRICT', '370923', '东平县', 100194, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101777, 'DISTRICT', '370902', '泰山区', 100194, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101778, 'DISTRICT', '370983', '肥城市', 100194, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101779, 'DISTRICT', '370481', '滕州市', 100195, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101780, 'DISTRICT', '370404', '峄城区', 100195, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101781, 'DISTRICT', '370405', '台儿庄区', 100195, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101782, 'DISTRICT', '370406', '山亭区', 100195, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101783, 'DISTRICT', '370402', '市中区', 100195, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101784, 'DISTRICT', '370403', '薛城区', 100195, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101786, 'DISTRICT', '371603', '沾化区', 100196, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101787, 'DISTRICT', '371625', '博兴县', 100196, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101788, 'DISTRICT', '371622', '阳信县', 100196, '2018-11-13 20:41:07', '2018-11-13 20:41:07', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101789, 'DISTRICT', '371621', '惠民县', 100196, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101790, 'DISTRICT', '371602', '滨城区', 100196, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101791, 'DISTRICT', '371623', '无棣县', 100196, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101792, 'DISTRICT', '370503', '河口区', 100197, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101793, 'DISTRICT', '370505', '垦利区', 100197, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101794, 'DISTRICT', '370522', '利津县', 100197, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101795, 'DISTRICT', '370523', '广饶县', 100197, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101796, 'DISTRICT', '370502', '东营区', 100197, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101797, 'DISTRICT', '371521', '阳谷县', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101798, 'DISTRICT', '371581', '临清市', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101799, 'DISTRICT', '371526', '高唐县', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101801, 'DISTRICT', '371522', '莘县', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101802, 'DISTRICT', '371525', '冠县', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101803, 'DISTRICT', '371502', '东昌府区', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101804, 'DISTRICT', '371524', '东阿县', 100198, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101805, 'DISTRICT', '370682', '莱阳市', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101806, 'DISTRICT', '370683', '莱州市', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101808, 'DISTRICT', '370685', '招远市', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101809, 'DISTRICT', '370681', '龙口市', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101810, 'DISTRICT', '370602', '芝罘区', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101811, 'DISTRICT', '370613', '莱山区', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101812, 'DISTRICT', '370686', '栖霞市', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101813, 'DISTRICT', '370687', '海阳市', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101814, 'DISTRICT', '370611', '福山区', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101815, 'DISTRICT', '370612', '牟平区', 100199, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101817, 'DISTRICT', '370781', '青州市', 100200, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101818, 'DISTRICT', '370782', '诸城市', 100200, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101819, 'DISTRICT', '370783', '寿光市', 100200, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101820, 'DISTRICT', '370784', '安丘市', 100200, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101821, 'DISTRICT', '370705', '奎文区', 100200, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101822, 'DISTRICT', '370702', '潍城区', 100200, '2018-11-13 20:41:08', '2018-11-13 20:41:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101823, 'DISTRICT', '370724', '临朐县', 100200, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101824, 'DISTRICT', '370703', '寒亭区', 100200, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101825, 'DISTRICT', '370725', '昌乐县', 100200, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101826, 'DISTRICT', '370704', '坊子区', 100200, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101827, 'DISTRICT', '370785', '高密市', 100200, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101828, 'DISTRICT', '370786', '昌邑市', 100200, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101829, 'DISTRICT', '371728', '东明县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101830, 'DISTRICT', '371703', '定陶区', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101831, 'DISTRICT', '371725', '郓城县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101832, 'DISTRICT', '371702', '牡丹区', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101833, 'DISTRICT', '371724', '巨野县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101834, 'DISTRICT', '371726', '鄄城县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101835, 'DISTRICT', '371721', '曹县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101836, 'DISTRICT', '371723', '成武县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101837, 'DISTRICT', '371722', '单县', 100201, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101838, 'DISTRICT', '410811', '山阳区', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101839, 'DISTRICT', '410822', '博爱县', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101840, 'DISTRICT', '410821', '修武县', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101841, 'DISTRICT', '410802', '解放区', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101842, 'DISTRICT', '410823', '武陟县', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101843, 'DISTRICT', '410883', '孟州市', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101844, 'DISTRICT', '410882', '沁阳市', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101845, 'DISTRICT', '410804', '马村区', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101846, 'DISTRICT', '410803', '中站区', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101847, 'DISTRICT', '410825', '温县', 100202, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101848, 'DISTRICT', '410711', '牧野区', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101849, 'DISTRICT', '410703', '卫滨区', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101850, 'DISTRICT', '410725', '原阳县', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101851, 'DISTRICT', '410702', '红旗区', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101852, 'DISTRICT', '410724', '获嘉县', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101853, 'DISTRICT', '410721', '新乡县', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101854, 'DISTRICT', '410781', '卫辉市', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101855, 'DISTRICT', '410782', '辉县市', 100203, '2018-11-13 20:41:09', '2018-11-13 20:41:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101856, 'DISTRICT', '410727', '封丘县', 100203, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101857, 'DISTRICT', '410704', '凤泉区', 100203, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101858, 'DISTRICT', '410726', '延津县', 100203, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101860, 'DISTRICT', '410923', '南乐县', 100204, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101861, 'DISTRICT', '410922', '清丰县', 100204, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101862, 'DISTRICT', '410928', '濮阳县', 100204, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101863, 'DISTRICT', '410902', '华龙区', 100204, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101864, 'DISTRICT', '410927', '台前县', 100204, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101865, 'DISTRICT', '410926', '范县', 100204, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101866, 'DISTRICT', '410404', '石龙区', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101867, 'DISTRICT', '410403', '卫东区', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101868, 'DISTRICT', '410425', '郏县', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101869, 'DISTRICT', '410411', '湛河区', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101870, 'DISTRICT', '410422', '叶县', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101871, 'DISTRICT', '410421', '宝丰县', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101872, 'DISTRICT', '410402', '新华区', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101873, 'DISTRICT', '410423', '鲁山县', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101874, 'DISTRICT', '410482', '汝州市', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101875, 'DISTRICT', '410481', '舞钢市', 100205, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101876, 'DISTRICT', '411526', '潢川县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101877, 'DISTRICT', '411503', '平桥区', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101878, 'DISTRICT', '411525', '固始县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101879, 'DISTRICT', '411528', '息县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101880, 'DISTRICT', '411527', '淮滨县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101881, 'DISTRICT', '411522', '光山县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101882, 'DISTRICT', '411521', '罗山县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101883, 'DISTRICT', '411502', '浉河区', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101884, 'DISTRICT', '411524', '商城县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101885, 'DISTRICT', '411523', '新县', 100206, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101886, 'DISTRICT', '410305', '涧西区', 100207, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101887, 'DISTRICT', '410327', '宜阳县', 100207, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101888, 'DISTRICT', '410304', '瀍河回族区', 100207, '2018-11-13 20:41:10', '2018-11-13 20:41:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101889, 'DISTRICT', '410326', '汝阳县', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101890, 'DISTRICT', '410329', '伊川县', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101892, 'DISTRICT', '410328', '洛宁县', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101893, 'DISTRICT', '410323', '新安县', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101894, 'DISTRICT', '410311', '洛龙区', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101896, 'DISTRICT', '410303', '西工区', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101897, 'DISTRICT', '410325', '嵩县', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101898, 'DISTRICT', '410302', '老城区', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101899, 'DISTRICT', '410324', '栾川县', 100207, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101901, 'DISTRICT', '411426', '夏邑县', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101902, 'DISTRICT', '411423', '宁陵县', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101903, 'DISTRICT', '411422', '睢县', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101904, 'DISTRICT', '411403', '睢阳区', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101905, 'DISTRICT', '411425', '虞城县', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101906, 'DISTRICT', '411402', '梁园区', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101907, 'DISTRICT', '411424', '柘城县', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101908, 'DISTRICT', '411421', '民权县', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101909, 'DISTRICT', '411481', '永城市', 100208, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101910, 'DISTRICT', '410602', '鹤山区', 100209, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101911, 'DISTRICT', '410603', '山城区', 100209, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101912, 'DISTRICT', '410611', '淇滨区', 100209, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101913, 'DISTRICT', '410622', '淇县', 100209, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101914, 'DISTRICT', '410621', '浚县', 100209, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101915, 'DISTRICT', '411702', '驿城区', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101916, 'DISTRICT', '411724', '正阳县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101917, 'DISTRICT', '411723', '平舆县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101918, 'DISTRICT', '411726', '泌阳县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101919, 'DISTRICT', '411725', '确山县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101920, 'DISTRICT', '411722', '上蔡县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101921, 'DISTRICT', '411721', '西平县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101922, 'DISTRICT', '411728', '遂平县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101923, 'DISTRICT', '411727', '汝南县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101924, 'DISTRICT', '411729', '新蔡县', 100210, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101925, 'DISTRICT', '410503', '北关区', 100211, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101926, 'DISTRICT', '410502', '文峰区', 100211, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101927, 'DISTRICT', '410505', '殷都区', 100211, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101928, 'DISTRICT', '410527', '内黄县', 100211, '2018-11-13 20:41:11', '2018-11-13 20:41:11', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101929, 'DISTRICT', '410526', '滑县', 100211, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101930, 'DISTRICT', '410523', '汤阴县', 100211, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101931, 'DISTRICT', '410522', '安阳县', 100211, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101932, 'DISTRICT', '410506', '龙安区', 100211, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101933, 'DISTRICT', '410581', '林州市', 100211, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101934, 'DISTRICT', '411625', '郸城县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101935, 'DISTRICT', '411602', '川汇区', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101936, 'DISTRICT', '411624', '沈丘县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101937, 'DISTRICT', '411627', '太康县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101939, 'DISTRICT', '411621', '扶沟县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101940, 'DISTRICT', '411623', '商水县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101941, 'DISTRICT', '411622', '西华县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101942, 'DISTRICT', '411628', '鹿邑县', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101943, 'DISTRICT', '411681', '项城市', 100212, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101944, 'DISTRICT', '411104', '召陵区', 100213, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101945, 'DISTRICT', '411103', '郾城区', 100213, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101946, 'DISTRICT', '411122', '临颍县', 100213, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101947, 'DISTRICT', '411121', '舞阳县', 100213, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101948, 'DISTRICT', '411102', '源汇区', 100213, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101949, 'DISTRICT', '411081', '禹州市', 100214, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101950, 'DISTRICT', '411082', '长葛市', 100214, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101952, 'DISTRICT', '411025', '襄城县', 100214, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101953, 'DISTRICT', '411002', '魏都区', 100214, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101954, 'DISTRICT', '411024', '鄢陵县', 100214, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101955, 'DISTRICT', '410205', '禹王台区', 100215, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101956, 'DISTRICT', '410202', '龙亭区', 100215, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101957, 'DISTRICT', '410212', '祥符区', 100215, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101958, 'DISTRICT', '410223', '尉氏县', 100215, '2018-11-13 20:41:12', '2018-11-13 20:41:12', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101959, 'DISTRICT', '410204', '鼓楼区', 100215, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101960, 'DISTRICT', '410203', '顺河回族区', 100215, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101961, 'DISTRICT', '410225', '兰考县', 100215, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101963, 'DISTRICT', '410222', '通许县', 100215, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101964, 'DISTRICT', '410221', '杞县', 100215, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101965, 'DISTRICT', '411328', '唐河县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101966, 'DISTRICT', '411327', '社旗县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101967, 'DISTRICT', '411329', '新野县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101968, 'DISTRICT', '411302', '宛城区', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101969, 'DISTRICT', '411324', '镇平县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101970, 'DISTRICT', '411323', '西峡县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101971, 'DISTRICT', '411326', '淅川县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101972, 'DISTRICT', '411303', '卧龙区', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101973, 'DISTRICT', '411325', '内乡县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101974, 'DISTRICT', '411330', '桐柏县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101975, 'DISTRICT', '411322', '方城县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101976, 'DISTRICT', '411321', '南召县', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101977, 'DISTRICT', '411381', '邓州市', 100216, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101978, 'DISTRICT', '410106', '上街区', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101979, 'DISTRICT', '410181', '巩义市', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101980, 'DISTRICT', '410108', '惠济区', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101981, 'DISTRICT', '410103', '二七区', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101982, 'DISTRICT', '410102', '中原区', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101983, 'DISTRICT', '410105', '金水区', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101984, 'DISTRICT', '410104', '管城回族区', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101985, 'DISTRICT', '410122', '中牟县', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101986, 'DISTRICT', '410183', '新密市', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101987, 'DISTRICT', '410182', '荥阳市', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101988, 'DISTRICT', '410185', '登封市', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101989, 'DISTRICT', '410184', '新郑市', 100217, '2018-11-13 20:41:13', '2018-11-13 20:41:13', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101990, 'DISTRICT', '411281', '义马市', 100218, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101991, 'DISTRICT', '411203', '陕州区', 100218, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101992, 'DISTRICT', '411202', '湖滨区', 100218, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101993, 'DISTRICT', '411224', '卢氏县', 100218, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101994, 'DISTRICT', '411221', '渑池县', 100218, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101995, 'DISTRICT', '411282', '灵宝市', 100218, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101996, 'DISTRICT', '420111', '洪山区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101997, 'DISTRICT', '420104', '硚口区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101998, 'DISTRICT', '420115', '江夏区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (101999, 'DISTRICT', '420103', '江汉区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102000, 'DISTRICT', '420114', '蔡甸区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102001, 'DISTRICT', '420102', '江岸区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102002, 'DISTRICT', '420113', '汉南区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102003, 'DISTRICT', '420112', '东西湖区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102004, 'DISTRICT', '420107', '青山区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102005, 'DISTRICT', '420106', '武昌区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102006, 'DISTRICT', '420117', '新洲区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102007, 'DISTRICT', '420105', '汉阳区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102008, 'DISTRICT', '420116', '黄陂区', 100221, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102009, 'DISTRICT', '421202', '咸安区', 100222, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102010, 'DISTRICT', '421224', '通山县', 100222, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102011, 'DISTRICT', '421223', '崇阳县', 100222, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102012, 'DISTRICT', '421281', '赤壁市', 100222, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102013, 'DISTRICT', '421222', '通城县', 100222, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102014, 'DISTRICT', '421221', '嘉鱼县', 100222, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102015, 'DISTRICT', '421127', '黄梅县', 100224, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102016, 'DISTRICT', '421126', '蕲春县', 100224, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102017, 'DISTRICT', '421125', '浠水县', 100224, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102018, 'DISTRICT', '421102', '黄州区', 100224, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102019, 'DISTRICT', '421124', '英山县', 100224, '2018-11-13 20:41:14', '2018-11-13 20:41:14', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102020, 'DISTRICT', '421181', '麻城市', 100224, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102021, 'DISTRICT', '421182', '武穴市', 100224, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102022, 'DISTRICT', '421123', '罗田县', 100224, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102023, 'DISTRICT', '421122', '红安县', 100224, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102024, 'DISTRICT', '421121', '团风县', 100224, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102025, 'DISTRICT', '421003', '荆州区', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102026, 'DISTRICT', '421081', '石首市', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102027, 'DISTRICT', '421083', '洪湖市', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102028, 'DISTRICT', '421002', '沙市区', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102029, 'DISTRICT', '421024', '江陵县', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102031, 'DISTRICT', '421022', '公安县', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102032, 'DISTRICT', '421087', '松滋市', 100226, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102033, 'DISTRICT', '420583', '枝江市', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102034, 'DISTRICT', '420582', '当阳市', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102035, 'DISTRICT', '420581', '宜都市', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102036, 'DISTRICT', '420504', '点军区', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102037, 'DISTRICT', '420526', '兴山县', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102038, 'DISTRICT', '420503', '伍家岗区', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102039, 'DISTRICT', '420525', '远安县', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102040, 'DISTRICT', '420502', '西陵区', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102041, 'DISTRICT', '420529', '五峰土家族自治县', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102042, 'DISTRICT', '420506', '夷陵区', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102043, 'DISTRICT', '420528', '长阳土家族自治县', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102044, 'DISTRICT', '420505', '猇亭区', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102045, 'DISTRICT', '420527', '秭归县', 100228, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102046, 'DISTRICT', '422822', '建始县', 100229, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102047, 'DISTRICT', '422801', '恩施市', 100229, '2018-11-13 20:41:15', '2018-11-13 20:41:15', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102048, 'DISTRICT', '422823', '巴东县', 100229, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102049, 'DISTRICT', '422802', '利川市', 100229, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102050, 'DISTRICT', '422825', '宣恩县', 100229, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102051, 'DISTRICT', '422826', '咸丰县', 100229, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102052, 'DISTRICT', '422827', '来凤县', 100229, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102053, 'DISTRICT', '422828', '鹤峰县', 100229, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102054, 'DISTRICT', '420302', '茅箭区', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102055, 'DISTRICT', '420324', '竹溪县', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102056, 'DISTRICT', '420323', '竹山县', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102057, 'DISTRICT', '420322', '郧西县', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102058, 'DISTRICT', '420304', '郧阳区', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102059, 'DISTRICT', '420303', '张湾区', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102060, 'DISTRICT', '420325', '房县', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102061, 'DISTRICT', '420381', '丹江口市', 100230, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102062, 'DISTRICT', '420203', '西塞山区', 100231, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102063, 'DISTRICT', '420202', '黄石港区', 100231, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102064, 'DISTRICT', '420222', '阳新县', 100231, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102065, 'DISTRICT', '420205', '铁山区', 100231, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102066, 'DISTRICT', '420204', '下陆区', 100231, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102067, 'DISTRICT', '420281', '大冶市', 100231, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102068, 'DISTRICT', '421303', '曾都区', 100232, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102069, 'DISTRICT', '421381', '广水市', 100232, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102070, 'DISTRICT', '421321', '随县', 100232, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102071, 'DISTRICT', '420984', '汉川市', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102072, 'DISTRICT', '420982', '安陆市', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102073, 'DISTRICT', '420981', '应城市', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102074, 'DISTRICT', '420922', '大悟县', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102075, 'DISTRICT', '420921', '孝昌县', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102076, 'DISTRICT', '420902', '孝南区', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102077, 'DISTRICT', '420923', '云梦县', 100233, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102078, 'DISTRICT', '420822', '沙洋县', 100234, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102080, 'DISTRICT', '420804', '掇刀区', 100234, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102081, 'DISTRICT', '420802', '东宝区', 100234, '2018-11-13 20:41:16', '2018-11-13 20:41:16', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102082, 'DISTRICT', '420881', '钟祥市', 100234, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102083, 'DISTRICT', '420702', '梁子湖区', 100235, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102084, 'DISTRICT', '420704', '鄂城区', 100235, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102085, 'DISTRICT', '420703', '华容区', 100235, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102086, 'DISTRICT', '420684', '宜城市', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102087, 'DISTRICT', '420625', '谷城县', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102088, 'DISTRICT', '420602', '襄城区', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102089, 'DISTRICT', '420624', '南漳县', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102090, 'DISTRICT', '420607', '襄州区', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102091, 'DISTRICT', '420606', '樊城区', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102092, 'DISTRICT', '420626', '保康县', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102093, 'DISTRICT', '420683', '枣阳市', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102094, 'DISTRICT', '420682', '老河口市', 100236, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102095, 'DISTRICT', '430211', '天元区', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102097, 'DISTRICT', '430202', '荷塘区', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102098, 'DISTRICT', '430224', '茶陵县', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102099, 'DISTRICT', '430223', '攸县', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102100, 'DISTRICT', '430204', '石峰区', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102101, 'DISTRICT', '430203', '芦淞区', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102102, 'DISTRICT', '430225', '炎陵县', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102103, 'DISTRICT', '430281', '醴陵市', 100237, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102104, 'DISTRICT', '431322', '新化县', 100238, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102105, 'DISTRICT', '431321', '双峰县', 100238, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102106, 'DISTRICT', '431302', '娄星区', 100238, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102107, 'DISTRICT', '431382', '涟源市', 100238, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102108, 'DISTRICT', '431381', '冷水江市', 100238, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102109, 'DISTRICT', '430112', '望城区', 100239, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102110, 'DISTRICT', '430111', '雨花区', 100239, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102111, 'DISTRICT', '430103', '天心区', 100239, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102112, 'DISTRICT', '430102', '芙蓉区', 100239, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102114, 'DISTRICT', '430105', '开福区', 100239, '2018-11-13 20:41:17', '2018-11-13 20:41:17', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102115, 'DISTRICT', '430104', '岳麓区', 100239, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102116, 'DISTRICT', '430181', '浏阳市', 100239, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102117, 'DISTRICT', '430121', '长沙县', 100239, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102118, 'DISTRICT', '431223', '辰溪县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102119, 'DISTRICT', '431222', '沅陵县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102120, 'DISTRICT', '431225', '会同县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102121, 'DISTRICT', '431202', '鹤城区', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102122, 'DISTRICT', '431224', '溆浦县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102123, 'DISTRICT', '431227', '新晃侗族自治县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102124, 'DISTRICT', '431226', '麻阳苗族自治县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102125, 'DISTRICT', '431229', '靖州苗族侗族自治县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102126, 'DISTRICT', '431228', '芷江侗族自治县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102127, 'DISTRICT', '431281', '洪江市', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102128, 'DISTRICT', '431230', '通道侗族自治县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102129, 'DISTRICT', '431221', '中方县', 100240, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102130, 'DISTRICT', '430422', '衡南县', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102131, 'DISTRICT', '430421', '衡阳县', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102132, 'DISTRICT', '430424', '衡东县', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102133, 'DISTRICT', '430412', '南岳区', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102134, 'DISTRICT', '430423', '衡山县', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102135, 'DISTRICT', '430426', '祁东县', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102136, 'DISTRICT', '430406', '雁峰区', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102137, 'DISTRICT', '430405', '珠晖区', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102138, 'DISTRICT', '430408', '蒸湘区', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102139, 'DISTRICT', '430407', '石鼓区', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102140, 'DISTRICT', '430482', '常宁市', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102141, 'DISTRICT', '430481', '耒阳市', 100241, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102142, 'DISTRICT', '430321', '湘潭县', 100242, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102143, 'DISTRICT', '430302', '雨湖区', 100242, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102144, 'DISTRICT', '430304', '岳塘区', 100242, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102145, 'DISTRICT', '430381', '湘乡市', 100242, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102146, 'DISTRICT', '430382', '韶山市', 100242, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102147, 'DISTRICT', '430611', '君山区', 100243, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102148, 'DISTRICT', '430621', '岳阳县', 100243, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102149, 'DISTRICT', '430602', '岳阳楼区', 100243, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102150, 'DISTRICT', '430624', '湘阴县', 100243, '2018-11-13 20:41:18', '2018-11-13 20:41:18', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102151, 'DISTRICT', '430623', '华容县', 100243, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102152, 'DISTRICT', '430626', '平江县', 100243, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102153, 'DISTRICT', '430603', '云溪区', 100243, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102154, 'DISTRICT', '430682', '临湘市', 100243, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102155, 'DISTRICT', '430681', '汨罗市', 100243, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102157, 'DISTRICT', '430523', '邵阳县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102158, 'DISTRICT', '430511', '北塔区', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102159, 'DISTRICT', '430522', '新邵县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102160, 'DISTRICT', '430503', '大祥区', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102161, 'DISTRICT', '430525', '洞口县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102162, 'DISTRICT', '430502', '双清区', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102163, 'DISTRICT', '430524', '隆回县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102164, 'DISTRICT', '430527', '绥宁县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102165, 'DISTRICT', '430529', '城步苗族自治县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102166, 'DISTRICT', '430528', '新宁县', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102167, 'DISTRICT', '430581', '武冈市', 100244, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102168, 'DISTRICT', '430811', '武陵源区', 100245, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102169, 'DISTRICT', '430822', '桑植县', 100245, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102170, 'DISTRICT', '430821', '慈利县', 100245, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102171, 'DISTRICT', '430802', '永定区', 100245, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102172, 'DISTRICT', '430721', '安乡县', 100246, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102173, 'DISTRICT', '430723', '澧县', 100246, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102174, 'DISTRICT', '430722', '汉寿县', 100246, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102175, 'DISTRICT', '430703', '鼎城区', 100246, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102176, 'DISTRICT', '430725', '桃源县', 100246, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102177, 'DISTRICT', '430702', '武陵区', 100246, '2018-11-13 20:41:19', '2018-11-13 20:41:19', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102178, 'DISTRICT', '430724', '临澧县', 100246, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102179, 'DISTRICT', '430726', '石门县', 100246, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102180, 'DISTRICT', '430781', '津市市', 100246, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102181, 'DISTRICT', '430981', '沅江市', 100247, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102182, 'DISTRICT', '430921', '南县', 100247, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102183, 'DISTRICT', '430923', '安化县', 100247, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102184, 'DISTRICT', '430922', '桃江县', 100247, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102185, 'DISTRICT', '430903', '赫山区', 100247, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102186, 'DISTRICT', '430902', '资阳区', 100247, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102187, 'DISTRICT', '431102', '零陵区', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102188, 'DISTRICT', '431124', '道县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102189, 'DISTRICT', '431123', '双牌县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102190, 'DISTRICT', '431126', '宁远县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102191, 'DISTRICT', '431103', '冷水滩区', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102192, 'DISTRICT', '431125', '江永县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102193, 'DISTRICT', '431128', '新田县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102194, 'DISTRICT', '431127', '蓝山县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102195, 'DISTRICT', '431129', '江华瑶族自治县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102196, 'DISTRICT', '431122', '东安县', 100248, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102198, 'DISTRICT', '431003', '苏仙区', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102199, 'DISTRICT', '431025', '临武县', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102200, 'DISTRICT', '431002', '北湖区', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102201, 'DISTRICT', '431024', '嘉禾县', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102202, 'DISTRICT', '431027', '桂东县', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102203, 'DISTRICT', '431026', '汝城县', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102204, 'DISTRICT', '431028', '安仁县', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102205, 'DISTRICT', '431081', '资兴市', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102206, 'DISTRICT', '431021', '桂阳县', 100249, '2018-11-13 20:41:20', '2018-11-13 20:41:20', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102207, 'DISTRICT', '431023', '永兴县', 100249, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102208, 'DISTRICT', '431022', '宜章县', 100249, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102209, 'DISTRICT', '433127', '永顺县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102210, 'DISTRICT', '433125', '保靖县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102211, 'DISTRICT', '433126', '古丈县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102212, 'DISTRICT', '433130', '龙山县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102213, 'DISTRICT', '433101', '吉首市', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102214, 'DISTRICT', '433123', '凤凰县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102215, 'DISTRICT', '433124', '花垣县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102216, 'DISTRICT', '433122', '泸溪县', 100250, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102217, 'DISTRICT', '440904', '电白区', 100251, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102218, 'DISTRICT', '440902', '茂南区', 100251, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102219, 'DISTRICT', '440983', '信宜市', 100251, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102220, 'DISTRICT', '440982', '化州市', 100251, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102221, 'DISTRICT', '440981', '高州市', 100251, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102222, 'DISTRICT', '440804', '坡头区', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102223, 'DISTRICT', '440803', '霞山区', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102224, 'DISTRICT', '440825', '徐闻县', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102225, 'DISTRICT', '440802', '赤坎区', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102226, 'DISTRICT', '440823', '遂溪县', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102227, 'DISTRICT', '440811', '麻章区', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102228, 'DISTRICT', '440883', '吴川市', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102229, 'DISTRICT', '440882', '雷州市', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102230, 'DISTRICT', '440881', '廉江市', 100252, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102231, 'DISTRICT', '440705', '新会区', 100254, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102232, 'DISTRICT', '440704', '江海区', 100254, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102233, 'DISTRICT', '440703', '蓬江区', 100254, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102234, 'DISTRICT', '440785', '恩平市', 100254, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102235, 'DISTRICT', '440784', '鹤山市', 100254, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102236, 'DISTRICT', '440783', '开平市', 100254, '2018-11-13 20:41:21', '2018-11-13 20:41:21', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102237, 'DISTRICT', '440781', '台山市', 100254, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102238, 'DISTRICT', '441826', '连南瑶族自治县', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102239, 'DISTRICT', '441803', '清新区', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102240, 'DISTRICT', '441825', '连山壮族瑶族自治县', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102241, 'DISTRICT', '441802', '清城区', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102242, 'DISTRICT', '441823', '阳山县', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102243, 'DISTRICT', '441821', '佛冈县', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102244, 'DISTRICT', '441882', '连州市', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102245, 'DISTRICT', '441881', '英德市', 100255, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102246, 'DISTRICT', '440608', '高明区', 100256, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102247, 'DISTRICT', '440607', '三水区', 100256, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102248, 'DISTRICT', '440606', '顺德区', 100256, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102249, 'DISTRICT', '440605', '南海区', 100256, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102250, 'DISTRICT', '440604', '禅城区', 100256, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102251, 'DISTRICT', '441781', '阳春市', 100257, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102252, 'DISTRICT', '441704', '阳东区', 100257, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102253, 'DISTRICT', '441702', '江城区', 100257, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102254, 'DISTRICT', '441721', '阳西县', 100257, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102255, 'DISTRICT', '440507', '龙湖区', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102256, 'DISTRICT', '440515', '澄海区', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102257, 'DISTRICT', '440514', '潮南区', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102258, 'DISTRICT', '440513', '潮阳区', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102259, 'DISTRICT', '440512', '濠江区', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102260, 'DISTRICT', '440523', '南澳县', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102261, 'DISTRICT', '440511', '金平区', 100258, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102262, 'DISTRICT', '441625', '东源县', 100259, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102263, 'DISTRICT', '441602', '源城区', 100259, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102264, 'DISTRICT', '441624', '和平县', 100259, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102265, 'DISTRICT', '441623', '连平县', 100259, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102266, 'DISTRICT', '441622', '龙川县', 100259, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102267, 'DISTRICT', '441621', '紫金县', 100259, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102268, 'DISTRICT', '440404', '金湾区', 100260, '2018-11-13 20:41:22', '2018-11-13 20:41:22', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102269, 'DISTRICT', '440403', '斗门区', 100260, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102270, 'DISTRICT', '440402', '香洲区', 100260, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102271, 'DISTRICT', '441581', '陆丰市', 100261, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102272, 'DISTRICT', '441502', '城区', 100261, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102273, 'DISTRICT', '441523', '陆河县', 100261, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102274, 'DISTRICT', '441521', '海丰县', 100261, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102275, 'DISTRICT', '440308', '盐田区', 100262, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102276, 'DISTRICT', '440307', '龙岗区', 100262, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102277, 'DISTRICT', '440306', '宝安区', 100262, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102278, 'DISTRICT', '440305', '南山区', 100262, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102279, 'DISTRICT', '440304', '福田区', 100262, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102280, 'DISTRICT', '440303', '罗湖区', 100262, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102281, 'DISTRICT', '441481', '兴宁市', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102282, 'DISTRICT', '441427', '蕉岭县', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102283, 'DISTRICT', '441426', '平远县', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102284, 'DISTRICT', '441403', '梅县区', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102285, 'DISTRICT', '441402', '梅江区', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102286, 'DISTRICT', '441424', '五华县', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102287, 'DISTRICT', '441423', '丰顺县', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102288, 'DISTRICT', '441422', '大埔县', 100263, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102289, 'DISTRICT', '445203', '揭东区', 100264, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102290, 'DISTRICT', '445281', '普宁市', 100264, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102291, 'DISTRICT', '445222', '揭西县', 100264, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102292, 'DISTRICT', '445202', '榕城区', 100264, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102293, 'DISTRICT', '445224', '惠来县', 100264, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102294, 'DISTRICT', '440282', '南雄市', 100265, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102295, 'DISTRICT', '440281', '乐昌市', 100265, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102296, 'DISTRICT', '440229', '翁源县', 100265, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102297, 'DISTRICT', '440205', '曲江区', 100265, '2018-11-13 20:41:23', '2018-11-13 20:41:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102298, 'DISTRICT', '440204', '浈江区', 100265, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102299, 'DISTRICT', '440203', '武江区', 100265, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102300, 'DISTRICT', '440224', '仁化县', 100265, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102301, 'DISTRICT', '440222', '始兴县', 100265, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102302, 'DISTRICT', '440233', '新丰县', 100265, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102303, 'DISTRICT', '440232', '乳源瑶族自治县', 100265, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102304, 'DISTRICT', '441303', '惠阳区', 100266, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102305, 'DISTRICT', '441302', '惠城区', 100266, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102306, 'DISTRICT', '441324', '龙门县', 100266, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102307, 'DISTRICT', '441323', '惠东县', 100266, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102308, 'DISTRICT', '441322', '博罗县', 100266, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102309, 'DISTRICT', '445122', '饶平县', 100267, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102310, 'DISTRICT', '445103', '潮安区', 100267, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102311, 'DISTRICT', '445102', '湘桥区', 100267, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102312, 'DISTRICT', '440118', '增城区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102313, 'DISTRICT', '440106', '天河区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102314, 'DISTRICT', '440117', '从化区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102315, 'DISTRICT', '440105', '海珠区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102316, 'DISTRICT', '440104', '越秀区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102317, 'DISTRICT', '440115', '南沙区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102318, 'DISTRICT', '440103', '荔湾区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102319, 'DISTRICT', '440114', '花都区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102320, 'DISTRICT', '440113', '番禺区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102321, 'DISTRICT', '440112', '黄埔区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102322, 'DISTRICT', '440111', '白云区', 100268, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102323, 'DISTRICT', '441284', '四会市', 100269, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102324, 'DISTRICT', '441204', '高要区', 100269, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102325, 'DISTRICT', '441226', '德庆县', 100269, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102326, 'DISTRICT', '441203', '鼎湖区', 100269, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102327, 'DISTRICT', '441225', '封开县', 100269, '2018-11-13 20:41:24', '2018-11-13 20:41:24', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102328, 'DISTRICT', '441202', '端州区', 100269, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102329, 'DISTRICT', '441224', '怀集县', 100269, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102330, 'DISTRICT', '441223', '广宁县', 100269, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102331, 'DISTRICT', '445303', '云安区', 100271, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102332, 'DISTRICT', '445302', '云城区', 100271, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102333, 'DISTRICT', '445381', '罗定市', 100271, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102334, 'DISTRICT', '445321', '新兴县', 100271, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102335, 'DISTRICT', '445322', '郁南县', 100271, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102336, 'DISTRICT', '450804', '覃塘区', 100272, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102337, 'DISTRICT', '450803', '港南区', 100272, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102338, 'DISTRICT', '450821', '平南县', 100272, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102339, 'DISTRICT', '450802', '港北区', 100272, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102340, 'DISTRICT', '450881', '桂平市', 100272, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102341, 'DISTRICT', '450722', '浦北县', 100273, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102342, 'DISTRICT', '450703', '钦北区', 100273, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102343, 'DISTRICT', '450702', '钦南区', 100273, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102344, 'DISTRICT', '450721', '灵山县', 100273, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102345, 'DISTRICT', '450903', '福绵区', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102346, 'DISTRICT', '450902', '玉州区', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102347, 'DISTRICT', '450924', '兴业县', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102348, 'DISTRICT', '450921', '容县', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102349, 'DISTRICT', '450923', '博白县', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102350, 'DISTRICT', '450922', '陆川县', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102351, 'DISTRICT', '450981', '北流市', 100274, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102352, 'DISTRICT', '450481', '岑溪市', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102353, 'DISTRICT', '450403', '万秀区', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102354, 'DISTRICT', '450406', '龙圩区', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102355, 'DISTRICT', '450405', '长洲区', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102356, 'DISTRICT', '450422', '藤县', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102357, 'DISTRICT', '450421', '苍梧县', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102358, 'DISTRICT', '450423', '蒙山县', 100275, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102359, 'DISTRICT', '450305', '七星区', 100276, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102360, 'DISTRICT', '450327', '灌阳县', 100276, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102361, 'DISTRICT', '450304', '象山区', 100276, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102362, 'DISTRICT', '450326', '永福县', 100276, '2018-11-13 20:41:25', '2018-11-13 20:41:25', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102363, 'DISTRICT', '450329', '资源县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102364, 'DISTRICT', '450328', '龙胜各族自治县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102365, 'DISTRICT', '450312', '临桂区', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102366, 'DISTRICT', '450323', '灵川县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102367, 'DISTRICT', '450311', '雁山区', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102368, 'DISTRICT', '450303', '叠彩区', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102369, 'DISTRICT', '450325', '兴安县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102370, 'DISTRICT', '450302', '秀峰区', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102371, 'DISTRICT', '450324', '全州县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102372, 'DISTRICT', '450330', '平乐县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102373, 'DISTRICT', '450321', '阳朔县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102374, 'DISTRICT', '450332', '恭城瑶族自治县', 100276, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102376, 'DISTRICT', '451481', '凭祥市', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102377, 'DISTRICT', '451423', '龙州县', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102378, 'DISTRICT', '451422', '宁明县', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102379, 'DISTRICT', '451425', '天等县', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102380, 'DISTRICT', '451402', '江州区', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102381, 'DISTRICT', '451424', '大新县', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102382, 'DISTRICT', '451421', '扶绥县', 100277, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102383, 'DISTRICT', '450602', '港口区', 100278, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102384, 'DISTRICT', '450603', '防城区', 100278, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102385, 'DISTRICT', '450621', '上思县', 100278, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102386, 'DISTRICT', '450681', '东兴市', 100278, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102387, 'DISTRICT', '450503', '银海区', 100279, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102388, 'DISTRICT', '450502', '海城区', 100279, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102389, 'DISTRICT', '450521', '合浦县', 100279, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102390, 'DISTRICT', '450512', '铁山港区', 100279, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102391, 'DISTRICT', '451103', '平桂区', 100280, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102392, 'DISTRICT', '451122', '钟山县', 100280, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102393, 'DISTRICT', '451121', '昭平县', 100280, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102394, 'DISTRICT', '451102', '八步区', 100280, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102395, 'DISTRICT', '451123', '富川瑶族自治县', 100280, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102396, 'DISTRICT', '451030', '西林县', 100281, '2018-11-13 20:41:26', '2018-11-13 20:41:26', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102398, 'DISTRICT', '451031', '隆林各族自治县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102399, 'DISTRICT', '451081', '靖西市', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102400, 'DISTRICT', '451027', '凌云县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102401, 'DISTRICT', '451026', '那坡县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102402, 'DISTRICT', '451029', '田林县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102403, 'DISTRICT', '451028', '乐业县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102405, 'DISTRICT', '451022', '田东县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102406, 'DISTRICT', '451002', '右江区', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102407, 'DISTRICT', '451024', '德保县', 100281, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102408, 'DISTRICT', '450206', '柳江区', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102409, 'DISTRICT', '450205', '柳北区', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102410, 'DISTRICT', '450202', '城中区', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102411, 'DISTRICT', '450224', '融安县', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102412, 'DISTRICT', '450223', '鹿寨县', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102413, 'DISTRICT', '450204', '柳南区', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102414, 'DISTRICT', '450226', '三江侗族自治县', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102415, 'DISTRICT', '450203', '鱼峰区', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102416, 'DISTRICT', '450225', '融水苗族自治县', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102417, 'DISTRICT', '450222', '柳城县', 100282, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102418, 'DISTRICT', '451381', '合山市', 100283, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102419, 'DISTRICT', '451302', '兴宾区', 100283, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102420, 'DISTRICT', '451324', '金秀瑶族自治县', 100283, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102421, 'DISTRICT', '451323', '武宣县', 100283, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102422, 'DISTRICT', '451322', '象州县', 100283, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102423, 'DISTRICT', '451321', '忻城县', 100283, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102424, 'DISTRICT', '450107', '西乡塘区', 100284, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102425, 'DISTRICT', '450109', '邕宁区', 100284, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102426, 'DISTRICT', '450108', '良庆区', 100284, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102427, 'DISTRICT', '450103', '青秀区', 100284, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102428, 'DISTRICT', '450125', '上林县', 100284, '2018-11-13 20:41:27', '2018-11-13 20:41:27', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102429, 'DISTRICT', '450102', '兴宁区', 100284, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102430, 'DISTRICT', '450124', '马山县', 100284, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102431, 'DISTRICT', '450105', '江南区', 100284, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102433, 'DISTRICT', '450126', '宾阳县', 100284, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102434, 'DISTRICT', '450110', '武鸣区', 100284, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102435, 'DISTRICT', '450123', '隆安县', 100284, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102436, 'DISTRICT', '451229', '大化瑶族自治县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102437, 'DISTRICT', '451228', '都安瑶族自治县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102439, 'DISTRICT', '451225', '罗城仫佬族自治县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102440, 'DISTRICT', '451202', '金城江区', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102441, 'DISTRICT', '451224', '东兰县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102442, 'DISTRICT', '451227', '巴马瑶族自治县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102443, 'DISTRICT', '451226', '环江毛南族自治县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102444, 'DISTRICT', '451221', '南丹县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102445, 'DISTRICT', '451223', '凤山县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102446, 'DISTRICT', '451222', '天峨县', 100285, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102447, 'DISTRICT', '460108', '美兰区', 100286, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102448, 'DISTRICT', '460107', '琼山区', 100286, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102449, 'DISTRICT', '460106', '龙华区', 100286, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102450, 'DISTRICT', '460105', '秀英区', 100286, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102451, 'DISTRICT', '460205', '崖州区', 100289, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102452, 'DISTRICT', '460204', '天涯区', 100289, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102453, 'DISTRICT', '460203', '吉阳区', 100289, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102454, 'DISTRICT', '460202', '海棠区', 100289, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102456, 'DISTRICT', '500238', '巫溪县', 100305, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102457, 'DISTRICT', '500237', '巫山县', 100305, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102458, 'DISTRICT', '500236', '奉节县', 100305, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102459, 'DISTRICT', '500229', '城口县', 100305, '2018-11-13 20:41:28', '2018-11-13 20:41:28', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102460, 'DISTRICT', '500231', '垫江县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102461, 'DISTRICT', '500242', '酉阳土家族苗族自治县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102462, 'DISTRICT', '500230', '丰都县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102463, 'DISTRICT', '500241', '秀山土家族苗族自治县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102464, 'DISTRICT', '500240', '石柱土家族自治县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102465, 'DISTRICT', '500235', '云阳县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102466, 'DISTRICT', '500233', '忠县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102468, 'DISTRICT', '500243', '彭水苗族土家族自治县', 100305, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102469, 'DISTRICT', '500107', '九龙坡区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102470, 'DISTRICT', '500118', '永川区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102471, 'DISTRICT', '500106', '沙坪坝区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102472, 'DISTRICT', '500117', '合川区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102473, 'DISTRICT', '500105', '江北区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102474, 'DISTRICT', '500116', '江津区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102475, 'DISTRICT', '500104', '大渡口区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102476, 'DISTRICT', '500115', '长寿区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102477, 'DISTRICT', '500109', '北碚区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102478, 'DISTRICT', '500108', '南岸区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102479, 'DISTRICT', '500119', '南川区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102480, 'DISTRICT', '500110', '綦江区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102481, 'DISTRICT', '500154', '开州区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102482, 'DISTRICT', '500120', '璧山区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102483, 'DISTRICT', '500153', '荣昌区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102484, 'DISTRICT', '500152', '潼南区', 100306, '2018-11-13 20:41:29', '2018-11-13 20:41:29', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102485, 'DISTRICT', '500151', '铜梁区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102486, 'DISTRICT', '500103', '渝中区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102487, 'DISTRICT', '500114', '黔江区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102488, 'DISTRICT', '500102', '涪陵区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102489, 'DISTRICT', '500113', '巴南区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102490, 'DISTRICT', '500101', '万州区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102491, 'DISTRICT', '500112', '渝北区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102492, 'DISTRICT', '500111', '大足区', 100306, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102493, 'DISTRICT', '512022', '乐至县', 100307, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102494, 'DISTRICT', '512021', '安岳县', 100307, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102495, 'DISTRICT', '512002', '雁江区', 100307, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102496, 'DISTRICT', '513222', '理县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102497, 'DISTRICT', '513233', '红原县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102498, 'DISTRICT', '513221', '汶川县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102499, 'DISTRICT', '513232', '若尔盖县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102500, 'DISTRICT', '513231', '阿坝县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102501, 'DISTRICT', '513230', '壤塘县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102502, 'DISTRICT', '513226', '金川县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102503, 'DISTRICT', '513225', '九寨沟县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102504, 'DISTRICT', '513224', '松潘县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102505, 'DISTRICT', '513201', '马尔康市', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102506, 'DISTRICT', '513223', '茂县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102507, 'DISTRICT', '513228', '黑水县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102508, 'DISTRICT', '513227', '小金县', 100308, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102509, 'DISTRICT', '511011', '东兴区', 100309, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102510, 'DISTRICT', '511025', '资中县', 100309, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102511, 'DISTRICT', '511002', '市中区', 100309, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102512, 'DISTRICT', '511024', '威远县', 100309, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102514, 'DISTRICT', '510184', '崇州市', 100310, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102515, 'DISTRICT', '510183', '邛崃市', 100310, '2018-11-13 20:41:30', '2018-11-13 20:41:30', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102516, 'DISTRICT', '510131', '蒲江县', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102517, 'DISTRICT', '510185', '简阳市', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102518, 'DISTRICT', '510121', '金堂县', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102520, 'DISTRICT', '510113', '青白江区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102522, 'DISTRICT', '510112', '龙泉驿区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102523, 'DISTRICT', '510182', '彭州市', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102524, 'DISTRICT', '510181', '都江堰市', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102525, 'DISTRICT', '510104', '锦江区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102526, 'DISTRICT', '510115', '温江区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102527, 'DISTRICT', '510114', '新都区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102528, 'DISTRICT', '510106', '金牛区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102529, 'DISTRICT', '510105', '青羊区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102530, 'DISTRICT', '510116', '双流区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102531, 'DISTRICT', '510108', '成华区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102532, 'DISTRICT', '510107', '武侯区', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102533, 'DISTRICT', '510129', '大邑县', 100310, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102534, 'DISTRICT', '511322', '营山县', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102535, 'DISTRICT', '511323', '蓬安县', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102536, 'DISTRICT', '511321', '南部县', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102537, 'DISTRICT', '511304', '嘉陵区', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102538, 'DISTRICT', '511302', '顺庆区', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102539, 'DISTRICT', '511324', '仪陇县', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102540, 'DISTRICT', '511303', '高坪区', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102541, 'DISTRICT', '511325', '西充县', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102542, 'DISTRICT', '511381', '阆中市', 100311, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102543, 'DISTRICT', '511421', '仁寿县', 100312, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102544, 'DISTRICT', '511403', '彭山区', 100312, '2018-11-13 20:41:31', '2018-11-13 20:41:31', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102545, 'DISTRICT', '511425', '青神县', 100312, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102546, 'DISTRICT', '511423', '洪雅县', 100312, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102547, 'DISTRICT', '511402', '东坡区', 100312, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102548, 'DISTRICT', '511424', '丹棱县', 100312, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102549, 'DISTRICT', '510311', '沿滩区', 100313, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102550, 'DISTRICT', '510322', '富顺县', 100313, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102551, 'DISTRICT', '510321', '荣县', 100313, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102552, 'DISTRICT', '510302', '自流井区', 100313, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102553, 'DISTRICT', '510304', '大安区', 100313, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102554, 'DISTRICT', '510303', '贡井区', 100313, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102555, 'DISTRICT', '511132', '峨边彝族自治县', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102556, 'DISTRICT', '511102', '市中区', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102557, 'DISTRICT', '511113', '金口河区', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102558, 'DISTRICT', '511124', '井研县', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102559, 'DISTRICT', '511111', '沙湾区', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102560, 'DISTRICT', '511133', '马边彝族自治县', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102561, 'DISTRICT', '511112', '五通桥区', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102562, 'DISTRICT', '511123', '犍为县', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102563, 'DISTRICT', '511129', '沐川县', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102564, 'DISTRICT', '511126', '夹江县', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102565, 'DISTRICT', '511181', '峨眉山市', 100314, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102566, 'DISTRICT', '513431', '昭觉县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102567, 'DISTRICT', '513430', '金阳县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102568, 'DISTRICT', '513424', '德昌县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102569, 'DISTRICT', '513435', '甘洛县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102570, 'DISTRICT', '513401', '西昌市', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102571, 'DISTRICT', '513423', '盐源县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102572, 'DISTRICT', '513434', '越西县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102573, 'DISTRICT', '513422', '木里藏族自治县', 100315, '2018-11-13 20:41:32', '2018-11-13 20:41:32', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102574, 'DISTRICT', '513433', '冕宁县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102575, 'DISTRICT', '513432', '喜德县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102576, 'DISTRICT', '513428', '普格县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102577, 'DISTRICT', '513427', '宁南县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102578, 'DISTRICT', '513426', '会东县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102579, 'DISTRICT', '513437', '雷波县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102581, 'DISTRICT', '513436', '美姑县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102582, 'DISTRICT', '513429', '布拖县', 100315, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102583, 'DISTRICT', '513332', '石渠县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102584, 'DISTRICT', '513331', '白玉县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102585, 'DISTRICT', '513330', '德格县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102586, 'DISTRICT', '513325', '雅江县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102587, 'DISTRICT', '513336', '乡城县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102588, 'DISTRICT', '513324', '九龙县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102589, 'DISTRICT', '513335', '巴塘县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102590, 'DISTRICT', '513301', '康定市', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102591, 'DISTRICT', '513323', '丹巴县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102592, 'DISTRICT', '513334', '理塘县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102593, 'DISTRICT', '513322', '泸定县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102594, 'DISTRICT', '513333', '色达县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102595, 'DISTRICT', '513329', '新龙县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102596, 'DISTRICT', '513328', '甘孜县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102597, 'DISTRICT', '513327', '炉霍县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102598, 'DISTRICT', '513338', '得荣县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102599, 'DISTRICT', '513326', '道孚县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102600, 'DISTRICT', '513337', '稻城县', 100316, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102601, 'DISTRICT', '510522', '合江县', 100317, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102602, 'DISTRICT', '510521', '泸县', 100317, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102603, 'DISTRICT', '510502', '江阳区', 100317, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102604, 'DISTRICT', '510524', '叙永县', 100317, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102605, 'DISTRICT', '510504', '龙马潭区', 100317, '2018-11-13 20:41:33', '2018-11-13 20:41:33', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102606, 'DISTRICT', '510503', '纳溪区', 100317, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102607, 'DISTRICT', '510525', '古蔺县', 100317, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102608, 'DISTRICT', '511781', '万源市', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102609, 'DISTRICT', '511722', '宣汉县', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102610, 'DISTRICT', '511723', '开江县', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102611, 'DISTRICT', '511702', '通川区', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102612, 'DISTRICT', '511724', '大竹县', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102613, 'DISTRICT', '511703', '达川区', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102614, 'DISTRICT', '511725', '渠县', 100318, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102615, 'DISTRICT', '510421', '米易县', 100319, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102616, 'DISTRICT', '510411', '仁和区', 100319, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102617, 'DISTRICT', '510422', '盐边县', 100319, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102618, 'DISTRICT', '510403', '西区', 100319, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102619, 'DISTRICT', '510402', '东区', 100319, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102620, 'DISTRICT', '511827', '宝兴县', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102621, 'DISTRICT', '511822', '荥经县', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102622, 'DISTRICT', '511803', '名山区', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102623, 'DISTRICT', '511825', '天全县', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102624, 'DISTRICT', '511826', '芦山县', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102625, 'DISTRICT', '511823', '汉源县', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102626, 'DISTRICT', '511802', '雨城区', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102627, 'DISTRICT', '511824', '石棉县', 100320, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102628, 'DISTRICT', '510705', '安州区', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102629, 'DISTRICT', '510727', '平武县', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102630, 'DISTRICT', '510781', '江油市', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102631, 'DISTRICT', '510722', '三台县', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102632, 'DISTRICT', '510723', '盐亭县', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102633, 'DISTRICT', '510704', '游仙区', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102634, 'DISTRICT', '510726', '北川羌族自治县', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102635, 'DISTRICT', '510703', '涪城区', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102636, 'DISTRICT', '510725', '梓潼县', 100321, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102638, 'DISTRICT', '511502', '翠屏区', 100322, '2018-11-13 20:41:34', '2018-11-13 20:41:34', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102639, 'DISTRICT', '511524', '长宁县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102640, 'DISTRICT', '511503', '南溪区', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102641, 'DISTRICT', '511525', '高县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102642, 'DISTRICT', '511523', '江安县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102643, 'DISTRICT', '511528', '兴文县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102644, 'DISTRICT', '511529', '屏山县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102645, 'DISTRICT', '511526', '珙县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102646, 'DISTRICT', '511527', '筠连县', 100322, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102647, 'DISTRICT', '510681', '广汉市', 100323, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102648, 'DISTRICT', '510683', '绵竹市', 100323, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102649, 'DISTRICT', '510682', '什邡市', 100323, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102650, 'DISTRICT', '510623', '中江县', 100323, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102651, 'DISTRICT', '510603', '旌阳区', 100323, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102653, 'DISTRICT', '511681', '华蓥市', 100324, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102654, 'DISTRICT', '511623', '邻水县', 100324, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102655, 'DISTRICT', '511602', '广安区', 100324, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102656, 'DISTRICT', '511621', '岳池县', 100324, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102657, 'DISTRICT', '511622', '武胜县', 100324, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102658, 'DISTRICT', '511603', '前锋区', 100324, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102659, 'DISTRICT', '510821', '旺苍县', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102660, 'DISTRICT', '510802', '利州区', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102661, 'DISTRICT', '510824', '苍溪县', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102662, 'DISTRICT', '510811', '昭化区', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102663, 'DISTRICT', '510822', '青川县', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102664, 'DISTRICT', '510812', '朝天区', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102665, 'DISTRICT', '510823', '剑阁县', 100325, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102666, 'DISTRICT', '511921', '通江县', 100326, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102667, 'DISTRICT', '511902', '巴州区', 100326, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102668, 'DISTRICT', '511903', '恩阳区', 100326, '2018-11-13 20:41:35', '2018-11-13 20:41:35', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102669, 'DISTRICT', '511922', '南江县', 100326, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102670, 'DISTRICT', '511923', '平昌县', 100326, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102671, 'DISTRICT', '510903', '船山区', 100327, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102672, 'DISTRICT', '510904', '安居区', 100327, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102673, 'DISTRICT', '510923', '大英县', 100327, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102674, 'DISTRICT', '510921', '蓬溪县', 100327, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102677, 'DISTRICT', '522301', '兴义市', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102678, 'DISTRICT', '522323', '普安县', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102679, 'DISTRICT', '522324', '晴隆县', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102680, 'DISTRICT', '522325', '贞丰县', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102681, 'DISTRICT', '522326', '望谟县', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102682, 'DISTRICT', '522327', '册亨县', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102683, 'DISTRICT', '522328', '安龙县', 100328, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102686, 'DISTRICT', '520201', '钟山区', 100329, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102687, 'DISTRICT', '520203', '六枝特区', 100329, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102688, 'DISTRICT', '520322', '桐梓县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102689, 'DISTRICT', '520323', '绥阳县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102690, 'DISTRICT', '520302', '红花岗区', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102691, 'DISTRICT', '520324', '正安县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102692, 'DISTRICT', '520303', '汇川区', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102693, 'DISTRICT', '520325', '道真仡佬族苗族自治县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102694, 'DISTRICT', '520304', '播州区', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102695, 'DISTRICT', '520326', '务川仡佬族苗族自治县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102696, 'DISTRICT', '520327', '凤冈县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102697, 'DISTRICT', '520328', '湄潭县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102698, 'DISTRICT', '520329', '余庆县', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102699, 'DISTRICT', '520381', '赤水市', 100330, '2018-11-13 20:41:36', '2018-11-13 20:41:36', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102700, 'DISTRICT', '520382', '仁怀市', 100330, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102701, 'DISTRICT', '520330', '习水县', 100330, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102702, 'DISTRICT', '520121', '开阳县', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102703, 'DISTRICT', '520103', '云岩区', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102704, 'DISTRICT', '520122', '息烽县', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102705, 'DISTRICT', '520102', '南明区', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102706, 'DISTRICT', '520123', '修文县', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102707, 'DISTRICT', '520112', '乌当区', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102708, 'DISTRICT', '520113', '白云区', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102709, 'DISTRICT', '520111', '花溪区', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102710, 'DISTRICT', '520115', '观山湖区', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102711, 'DISTRICT', '520181', '清镇市', 100331, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102712, 'DISTRICT', '520422', '普定县', 100332, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102713, 'DISTRICT', '520423', '镇宁布依族苗族自治县', 100332, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102714, 'DISTRICT', '520402', '西秀区', 100332, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102715, 'DISTRICT', '520424', '关岭布依族苗族自治县', 100332, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102716, 'DISTRICT', '520403', '平坝区', 100332, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102717, 'DISTRICT', '520425', '紫云苗族布依族自治县', 100332, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102718, 'DISTRICT', '522629', '剑河县', 100333, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102719, 'DISTRICT', '522632', '榕江县', 100333, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102720, 'DISTRICT', '522622', '黄平县', 100333, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102721, 'DISTRICT', '522633', '从江县', 100333, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102722, 'DISTRICT', '522601', '凯里市', 100333, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102723, 'DISTRICT', '522623', '施秉县', 100333, '2018-11-13 20:41:37', '2018-11-13 20:41:37', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102724, 'DISTRICT', '522634', '雷山县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102725, 'DISTRICT', '522624', '三穗县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102726, 'DISTRICT', '522635', '麻江县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102727, 'DISTRICT', '522625', '镇远县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102728, 'DISTRICT', '522636', '丹寨县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102729, 'DISTRICT', '522626', '岑巩县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102730, 'DISTRICT', '522627', '天柱县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102731, 'DISTRICT', '522628', '锦屏县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102732, 'DISTRICT', '522630', '台江县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102733, 'DISTRICT', '522631', '黎平县', 100333, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102734, 'DISTRICT', '520521', '大方县', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102736, 'DISTRICT', '520523', '金沙县', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102737, 'DISTRICT', '520502', '七星关区', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102738, 'DISTRICT', '520524', '织金县', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102739, 'DISTRICT', '520525', '纳雍县', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102740, 'DISTRICT', '520526', '威宁彝族回族苗族自治县', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102741, 'DISTRICT', '520527', '赫章县', 100334, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102742, 'DISTRICT', '522728', '罗甸县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102743, 'DISTRICT', '522729', '长顺县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102744, 'DISTRICT', '522730', '龙里县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102745, 'DISTRICT', '522731', '惠水县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102746, 'DISTRICT', '522732', '三都水族自治县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102747, 'DISTRICT', '522722', '荔波县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102748, 'DISTRICT', '522701', '都匀市', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102749, 'DISTRICT', '522723', '贵定县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102750, 'DISTRICT', '522702', '福泉市', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102751, 'DISTRICT', '522725', '瓮安县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102752, 'DISTRICT', '522726', '独山县', 100335, '2018-11-13 20:41:38', '2018-11-13 20:41:38', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102753, 'DISTRICT', '522727', '平塘县', 100335, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102754, 'DISTRICT', '520627', '沿河土家族自治县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102755, 'DISTRICT', '520628', '松桃苗族自治县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102756, 'DISTRICT', '520621', '江口县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102757, 'DISTRICT', '520622', '玉屏侗族自治县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102758, 'DISTRICT', '520623', '石阡县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102759, 'DISTRICT', '520602', '碧江区', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102760, 'DISTRICT', '520624', '思南县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102761, 'DISTRICT', '520603', '万山区', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102762, 'DISTRICT', '520625', '印江土家族苗族自治县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102763, 'DISTRICT', '520626', '德江县', 100336, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102764, 'DISTRICT', '532329', '武定县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102765, 'DISTRICT', '532328', '元谋县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102766, 'DISTRICT', '532327', '永仁县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102767, 'DISTRICT', '532326', '大姚县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102768, 'DISTRICT', '532325', '姚安县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102769, 'DISTRICT', '532324', '南华县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102770, 'DISTRICT', '532301', '楚雄市', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102771, 'DISTRICT', '532323', '牟定县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102772, 'DISTRICT', '532322', '双柏县', 100337, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102774, 'DISTRICT', '533401', '香格里拉市', 100338, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102775, 'DISTRICT', '533423', '维西傈僳族自治县', 100338, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102776, 'DISTRICT', '533422', '德钦县', 100338, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102777, 'DISTRICT', '530111', '官渡区', 100339, '2018-11-13 20:41:39', '2018-11-13 20:41:39', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102779, 'DISTRICT', '530181', '安宁市', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102780, 'DISTRICT', '530129', '寻甸回族彝族自治县', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102781, 'DISTRICT', '530127', '嵩明县', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102782, 'DISTRICT', '530128', '禄劝彝族苗族自治县', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102783, 'DISTRICT', '530103', '盘龙区', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102784, 'DISTRICT', '530114', '呈贡区', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102785, 'DISTRICT', '530125', '宜良县', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102786, 'DISTRICT', '530126', '石林彝族自治县', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102787, 'DISTRICT', '530112', '西山区', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102788, 'DISTRICT', '530102', '五华区', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102789, 'DISTRICT', '530113', '东川区', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102790, 'DISTRICT', '530124', '富民县', 100339, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102791, 'DISTRICT', '533325', '兰坪白族普米族自治县', 100340, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102792, 'DISTRICT', '533324', '贡山独龙族怒族自治县', 100340, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102793, 'DISTRICT', '533301', '泸水市', 100340, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102794, 'DISTRICT', '533323', '福贡县', 100340, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102795, 'DISTRICT', '533103', '芒市', 100341, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102796, 'DISTRICT', '533102', '瑞丽市', 100341, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102797, 'DISTRICT', '533124', '陇川县', 100341, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102798, 'DISTRICT', '533123', '盈江县', 100341, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102799, 'DISTRICT', '533122', '梁河县', 100341, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102800, 'DISTRICT', '530822', '墨江哈尼族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102801, 'DISTRICT', '530823', '景东彝族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102802, 'DISTRICT', '530821', '宁洱哈尼族彝族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102803, 'DISTRICT', '530828', '澜沧拉祜族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102804, 'DISTRICT', '530829', '西盟佤族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102805, 'DISTRICT', '530826', '江城哈尼族彝族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102806, 'DISTRICT', '530827', '孟连傣族拉祜族佤族自治县', 100342, '2018-11-13 20:41:40', '2018-11-13 20:41:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102807, 'DISTRICT', '530802', '思茅区', 100342, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102808, 'DISTRICT', '530824', '景谷傣族彝族自治县', 100342, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102809, 'DISTRICT', '530825', '镇沅彝族哈尼族拉祜族自治县', 100342, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102810, 'DISTRICT', '530921', '凤庆县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102811, 'DISTRICT', '530922', '云县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102812, 'DISTRICT', '530927', '沧源佤族自治县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102813, 'DISTRICT', '530925', '双江拉祜族佤族布朗族傣族自治县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102814, 'DISTRICT', '530926', '耿马傣族佤族自治县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102815, 'DISTRICT', '530923', '永德县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102816, 'DISTRICT', '530902', '临翔区', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102817, 'DISTRICT', '530924', '镇康县', 100343, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102818, 'DISTRICT', '530602', '昭阳区', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102819, 'DISTRICT', '530624', '大关县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102820, 'DISTRICT', '530625', '永善县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102821, 'DISTRICT', '530622', '巧家县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102822, 'DISTRICT', '530623', '盐津县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102823, 'DISTRICT', '530621', '鲁甸县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102825, 'DISTRICT', '530628', '彝良县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102826, 'DISTRICT', '530629', '威信县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102827, 'DISTRICT', '530626', '绥江县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102828, 'DISTRICT', '530627', '镇雄县', 100344, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102829, 'DISTRICT', '532924', '宾川县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102830, 'DISTRICT', '532901', '大理市', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102831, 'DISTRICT', '532923', '祥云县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102832, 'DISTRICT', '532922', '漾濞彝族自治县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102833, 'DISTRICT', '532932', '鹤庆县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102834, 'DISTRICT', '532931', '剑川县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102835, 'DISTRICT', '532930', '洱源县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102836, 'DISTRICT', '532929', '云龙县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102837, 'DISTRICT', '532928', '永平县', 100345, '2018-11-13 20:41:41', '2018-11-13 20:41:41', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102838, 'DISTRICT', '532927', '巍山彝族回族自治县', 100345, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102839, 'DISTRICT', '532926', '南涧彝族自治县', 100345, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102840, 'DISTRICT', '532925', '弥渡县', 100345, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102841, 'DISTRICT', '530723', '华坪县', 100346, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102842, 'DISTRICT', '530702', '古城区', 100346, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102843, 'DISTRICT', '530724', '宁蒗彝族自治县', 100346, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102844, 'DISTRICT', '530721', '玉龙纳西族自治县', 100346, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102845, 'DISTRICT', '530722', '永胜县', 100346, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102846, 'DISTRICT', '532801', '景洪市', 100347, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102847, 'DISTRICT', '532823', '勐腊县', 100347, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102848, 'DISTRICT', '532822', '勐海县', 100347, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102849, 'DISTRICT', '530426', '峨山彝族自治县', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102850, 'DISTRICT', '530427', '新平彝族傣族自治县', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102851, 'DISTRICT', '530402', '红塔区', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102852, 'DISTRICT', '530424', '华宁县', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102853, 'DISTRICT', '530403', '江川区', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102854, 'DISTRICT', '530425', '易门县', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102856, 'DISTRICT', '530423', '通海县', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102857, 'DISTRICT', '530428', '元江哈尼族彝族傣族自治县', 100348, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102858, 'DISTRICT', '530523', '龙陵县', 100349, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102859, 'DISTRICT', '530502', '隆阳区', 100349, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102860, 'DISTRICT', '530524', '昌宁县', 100349, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102861, 'DISTRICT', '530521', '施甸县', 100349, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102862, 'DISTRICT', '530581', '腾冲市', 100349, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102863, 'DISTRICT', '532627', '广南县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102864, 'DISTRICT', '532626', '丘北县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102865, 'DISTRICT', '532625', '马关县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102866, 'DISTRICT', '532624', '麻栗坡县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102867, 'DISTRICT', '532601', '文山市', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102868, 'DISTRICT', '532623', '西畴县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102869, 'DISTRICT', '532622', '砚山县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102870, 'DISTRICT', '532628', '富宁县', 100350, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102871, 'DISTRICT', '532531', '绿春县', 100351, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102872, 'DISTRICT', '532530', '金平苗族瑶族傣族自治县', 100351, '2018-11-13 20:41:42', '2018-11-13 20:41:42', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102873, 'DISTRICT', '532528', '元阳县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102874, 'DISTRICT', '532527', '泸西县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102875, 'DISTRICT', '532504', '弥勒市', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102876, 'DISTRICT', '532503', '蒙自市', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102877, 'DISTRICT', '532525', '石屏县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102878, 'DISTRICT', '532502', '开远市', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102879, 'DISTRICT', '532524', '建水县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102880, 'DISTRICT', '532501', '个旧市', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102881, 'DISTRICT', '532523', '屏边苗族自治县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102882, 'DISTRICT', '532532', '河口瑶族自治县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102883, 'DISTRICT', '532529', '红河县', 100351, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102884, 'DISTRICT', '530303', '沾益区', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102885, 'DISTRICT', '530325', '富源县', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102886, 'DISTRICT', '530326', '会泽县', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102887, 'DISTRICT', '530323', '师宗县', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102888, 'DISTRICT', '530302', '麒麟区', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102889, 'DISTRICT', '530324', '罗平县', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102891, 'DISTRICT', '530322', '陆良县', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102892, 'DISTRICT', '530381', '宣威市', 100352, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102893, 'DISTRICT', '540522', '贡嘎县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102894, 'DISTRICT', '540523', '桑日县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102895, 'DISTRICT', '540502', '乃东区', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102896, 'DISTRICT', '540524', '琼结县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102897, 'DISTRICT', '540525', '曲松县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102898, 'DISTRICT', '540530', '错那县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102899, 'DISTRICT', '540531', '浪卡子县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102900, 'DISTRICT', '540521', '扎囊县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102901, 'DISTRICT', '540526', '措美县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102902, 'DISTRICT', '540527', '洛扎县', 100353, '2018-11-13 20:41:43', '2018-11-13 20:41:43', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102903, 'DISTRICT', '540528', '加查县', 100353, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102904, 'DISTRICT', '540529', '隆子县', 100353, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102906, 'DISTRICT', '540127', '墨竹工卡县', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102907, 'DISTRICT', '540122', '当雄县', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102908, 'DISTRICT', '540123', '尼木县', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102909, 'DISTRICT', '540102', '城关区', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102910, 'DISTRICT', '540124', '曲水县', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102911, 'DISTRICT', '540103', '堆龙德庆区', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102912, 'DISTRICT', '540121', '林周县', 100354, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102924, 'DISTRICT', '540225', '拉孜县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102925, 'DISTRICT', '540236', '萨嘎县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102926, 'DISTRICT', '540226', '昂仁县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102927, 'DISTRICT', '540237', '岗巴县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102928, 'DISTRICT', '540227', '谢通门县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102929, 'DISTRICT', '540228', '白朗县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102930, 'DISTRICT', '540221', '南木林县', 100356, '2018-11-13 20:41:44', '2018-11-13 20:41:44', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102931, 'DISTRICT', '540232', '仲巴县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102932, 'DISTRICT', '540222', '江孜县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102933, 'DISTRICT', '540233', '亚东县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102934, 'DISTRICT', '540223', '定日县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102935, 'DISTRICT', '540234', '吉隆县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102936, 'DISTRICT', '540202', '桑珠孜区', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102937, 'DISTRICT', '540224', '萨迦县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102938, 'DISTRICT', '540235', '聂拉木县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102939, 'DISTRICT', '540229', '仁布县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102940, 'DISTRICT', '540230', '康马县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102941, 'DISTRICT', '540231', '定结县', 100356, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102942, 'DISTRICT', '540302', '卡若区', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102943, 'DISTRICT', '540324', '丁青县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102944, 'DISTRICT', '540325', '察雅县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102945, 'DISTRICT', '540326', '八宿县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102946, 'DISTRICT', '540327', '左贡县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102947, 'DISTRICT', '540321', '江达县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102948, 'DISTRICT', '540322', '贡觉县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102949, 'DISTRICT', '540323', '类乌齐县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102950, 'DISTRICT', '540330', '边坝县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102951, 'DISTRICT', '540328', '芒康县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102952, 'DISTRICT', '540329', '洛隆县', 100357, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102953, 'DISTRICT', '540423', '墨脱县', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102954, 'DISTRICT', '540402', '巴宜区', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102955, 'DISTRICT', '540424', '波密县', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102956, 'DISTRICT', '540425', '察隅县', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102957, 'DISTRICT', '540426', '朗县', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102958, 'DISTRICT', '540421', '工布江达县', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102959, 'DISTRICT', '540422', '米林县', 100358, '2018-11-13 20:41:45', '2018-11-13 20:41:45', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102960, 'DISTRICT', '542525', '革吉县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102961, 'DISTRICT', '542524', '日土县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102962, 'DISTRICT', '542527', '措勤县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102963, 'DISTRICT', '542526', '改则县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102964, 'DISTRICT', '542521', '普兰县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102965, 'DISTRICT', '542523', '噶尔县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102966, 'DISTRICT', '542522', '札达县', 100359, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102968, 'DISTRICT', '610323', '岐山县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102969, 'DISTRICT', '610331', '太白县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102970, 'DISTRICT', '610330', '凤县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102971, 'DISTRICT', '610328', '千阳县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102972, 'DISTRICT', '610329', '麟游县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102973, 'DISTRICT', '610304', '陈仓区', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102974, 'DISTRICT', '610326', '眉县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102975, 'DISTRICT', '610327', '陇县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102976, 'DISTRICT', '610302', '渭滨区', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102977, 'DISTRICT', '610324', '扶风县', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102978, 'DISTRICT', '610303', '金台区', 100360, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102979, 'DISTRICT', '610429', '旬邑县', 100361, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102981, 'DISTRICT', '610428', '长武县', 100361, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102982, 'DISTRICT', '610403', '杨陵区', 100361, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102983, 'DISTRICT', '610425', '礼泉县', 100361, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102984, 'DISTRICT', '610404', '渭城区', 100361, '2018-11-13 20:41:46', '2018-11-13 20:41:46', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102985, 'DISTRICT', '610426', '永寿县', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102986, 'DISTRICT', '610423', '泾阳县', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102987, 'DISTRICT', '610402', '秦都区', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102988, 'DISTRICT', '610424', '乾县', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102989, 'DISTRICT', '610422', '三原县', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102990, 'DISTRICT', '610430', '淳化县', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102991, 'DISTRICT', '610431', '武功县', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102992, 'DISTRICT', '610481', '兴平市', 100361, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102993, 'DISTRICT', '610117', '高陵区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102994, 'DISTRICT', '610104', '莲湖区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102995, 'DISTRICT', '610115', '临潼区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102996, 'DISTRICT', '610116', '长安区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102997, 'DISTRICT', '610102', '新城区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102998, 'DISTRICT', '610113', '雁塔区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (102999, 'DISTRICT', '610124', '周至县', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103000, 'DISTRICT', '610103', '碑林区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103001, 'DISTRICT', '610114', '阎良区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103003, 'DISTRICT', '610111', '灞桥区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103004, 'DISTRICT', '610122', '蓝田县', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103005, 'DISTRICT', '610112', '未央区', 100362, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103006, 'DISTRICT', '610202', '王益区', 100363, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103007, 'DISTRICT', '610222', '宜君县', 100363, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103008, 'DISTRICT', '610203', '印台区', 100363, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103009, 'DISTRICT', '610204', '耀州区', 100363, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103010, 'DISTRICT', '611026', '柞水县', 100364, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103011, 'DISTRICT', '611025', '镇安县', 100364, '2018-11-13 20:41:47', '2018-11-13 20:41:47', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103012, 'DISTRICT', '611002', '商州区', 100364, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103013, 'DISTRICT', '611024', '山阳县', 100364, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103014, 'DISTRICT', '611023', '商南县', 100364, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103015, 'DISTRICT', '611022', '丹凤县', 100364, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103016, 'DISTRICT', '611021', '洛南县', 100364, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103018, 'DISTRICT', '610929', '白河县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103019, 'DISTRICT', '610926', '平利县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103020, 'DISTRICT', '610927', '镇坪县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103021, 'DISTRICT', '610902', '汉滨区', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103022, 'DISTRICT', '610924', '紫阳县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103023, 'DISTRICT', '610925', '岚皋县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103024, 'DISTRICT', '610922', '石泉县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103025, 'DISTRICT', '610923', '宁陕县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103026, 'DISTRICT', '610921', '汉阴县', 100365, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103027, 'DISTRICT', '610730', '佛坪县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103028, 'DISTRICT', '610728', '镇巴县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103029, 'DISTRICT', '610729', '留坝县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103030, 'DISTRICT', '610726', '宁强县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103031, 'DISTRICT', '610727', '略阳县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103032, 'DISTRICT', '610702', '汉台区', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103033, 'DISTRICT', '610724', '西乡县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103034, 'DISTRICT', '610725', '勉县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103035, 'DISTRICT', '610722', '城固县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103036, 'DISTRICT', '610723', '洋县', 100366, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103038, 'DISTRICT', '610829', '吴堡县', 100367, '2018-11-13 20:41:48', '2018-11-13 20:41:48', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103039, 'DISTRICT', '610827', '米脂县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103040, 'DISTRICT', '610828', '佳县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103041, 'DISTRICT', '610803', '横山区', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103042, 'DISTRICT', '610825', '定边县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103043, 'DISTRICT', '610826', '绥德县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103044, 'DISTRICT', '610802', '榆阳区', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103045, 'DISTRICT', '610824', '靖边县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103047, 'DISTRICT', '610822', '府谷县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103048, 'DISTRICT', '610830', '清涧县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103049, 'DISTRICT', '610831', '子洲县', 100367, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103050, 'DISTRICT', '610582', '华阴市', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103051, 'DISTRICT', '610581', '韩城市', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103052, 'DISTRICT', '610528', '富平县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103053, 'DISTRICT', '610526', '蒲城县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103054, 'DISTRICT', '610527', '白水县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103055, 'DISTRICT', '610502', '临渭区', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103056, 'DISTRICT', '610524', '合阳县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103057, 'DISTRICT', '610503', '华州区', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103058, 'DISTRICT', '610525', '澄城县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103059, 'DISTRICT', '610522', '潼关县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103060, 'DISTRICT', '610523', '大荔县', 100368, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103061, 'DISTRICT', '610629', '洛川县', 100369, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103062, 'DISTRICT', '610627', '甘泉县', 100369, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103063, 'DISTRICT', '610628', '富县', 100369, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103064, 'DISTRICT', '610603', '安塞区', 100369, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103065, 'DISTRICT', '610625', '志丹县', 100369, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103066, 'DISTRICT', '610626', '吴起县', 100369, '2018-11-13 20:41:49', '2018-11-13 20:41:49', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103068, 'DISTRICT', '610602', '宝塔区', 100369, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103069, 'DISTRICT', '610621', '延长县', 100369, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103070, 'DISTRICT', '610632', '黄陵县', 100369, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103071, 'DISTRICT', '610622', '延川县', 100369, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103072, 'DISTRICT', '610630', '宜川县', 100369, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103073, 'DISTRICT', '610631', '黄龙县', 100369, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103074, 'DISTRICT', '621222', '文县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103075, 'DISTRICT', '621221', '成县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103076, 'DISTRICT', '621202', '武都区', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103077, 'DISTRICT', '621224', '康县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103078, 'DISTRICT', '621223', '宕昌县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103079, 'DISTRICT', '621226', '礼县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103080, 'DISTRICT', '621225', '西和县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103081, 'DISTRICT', '621228', '两当县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103082, 'DISTRICT', '621227', '徽县', 100370, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103083, 'DISTRICT', '620121', '永登县', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103084, 'DISTRICT', '620111', '红古区', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103085, 'DISTRICT', '620122', '皋兰县', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103086, 'DISTRICT', '620123', '榆中县', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103087, 'DISTRICT', '620102', '城关区', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103088, 'DISTRICT', '620103', '七里河区', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103089, 'DISTRICT', '620104', '西固区', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103090, 'DISTRICT', '620105', '安宁区', 100371, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103091, 'DISTRICT', '621123', '渭源县', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103092, 'DISTRICT', '621122', '陇西县', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103093, 'DISTRICT', '621125', '漳县', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103094, 'DISTRICT', '621102', '安定区', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103095, 'DISTRICT', '621124', '临洮县', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103096, 'DISTRICT', '621121', '通渭县', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103097, 'DISTRICT', '621126', '岷县', 100372, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103098, 'DISTRICT', '620321', '永昌县', 100374, '2018-11-13 20:41:50', '2018-11-13 20:41:50', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103099, 'DISTRICT', '620302', '金川区', 100374, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103100, 'DISTRICT', '621002', '西峰区', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103101, 'DISTRICT', '621024', '合水县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103102, 'DISTRICT', '621023', '华池县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103103, 'DISTRICT', '621026', '宁县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103104, 'DISTRICT', '621025', '正宁县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103105, 'DISTRICT', '621022', '环县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103106, 'DISTRICT', '621021', '庆城县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103107, 'DISTRICT', '621027', '镇原县', 100375, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103108, 'DISTRICT', '623027', '夏河县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103109, 'DISTRICT', '623025', '玛曲县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103110, 'DISTRICT', '623026', '碌曲县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103111, 'DISTRICT', '623001', '合作市', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103112, 'DISTRICT', '623023', '舟曲县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103113, 'DISTRICT', '623024', '迭部县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103114, 'DISTRICT', '623021', '临潭县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103115, 'DISTRICT', '623022', '卓尼县', 100376, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103116, 'DISTRICT', '620826', '静宁县', 100377, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103117, 'DISTRICT', '620822', '灵台县', 100377, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103118, 'DISTRICT', '620823', '崇信县', 100377, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103119, 'DISTRICT', '620802', '崆峒区', 100377, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103121, 'DISTRICT', '620825', '庄浪县', 100377, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103122, 'DISTRICT', '620821', '泾川县', 100377, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103123, 'DISTRICT', '620981', '玉门市', 100378, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103124, 'DISTRICT', '620982', '敦煌市', 100378, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103125, 'DISTRICT', '620921', '金塔县', 100378, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103126, 'DISTRICT', '620922', '瓜州县', 100378, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103127, 'DISTRICT', '620923', '肃北蒙古族自治县', 100378, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103128, 'DISTRICT', '620902', '肃州区', 100378, '2018-11-13 20:41:51', '2018-11-13 20:41:51', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103129, 'DISTRICT', '620924', '阿克塞哈萨克族自治县', 100378, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103130, 'DISTRICT', '620421', '靖远县', 100379, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103131, 'DISTRICT', '620422', '会宁县', 100379, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103132, 'DISTRICT', '620423', '景泰县', 100379, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103133, 'DISTRICT', '620402', '白银区', 100379, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103134, 'DISTRICT', '620403', '平川区', 100379, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103135, 'DISTRICT', '620503', '麦积区', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103136, 'DISTRICT', '620525', '张家川回族自治县', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103137, 'DISTRICT', '620521', '清水县', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103138, 'DISTRICT', '620522', '秦安县', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103139, 'DISTRICT', '620523', '甘谷县', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103140, 'DISTRICT', '620502', '秦州区', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103141, 'DISTRICT', '620524', '武山县', 100380, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103142, 'DISTRICT', '620602', '凉州区', 100381, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103143, 'DISTRICT', '620621', '民勤县', 100381, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103144, 'DISTRICT', '620622', '古浪县', 100381, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103145, 'DISTRICT', '620623', '天祝藏族自治县', 100381, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103146, 'DISTRICT', '622927', '积石山保安族东乡族撒拉族自治县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103147, 'DISTRICT', '622924', '广河县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103148, 'DISTRICT', '622901', '临夏市', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103149, 'DISTRICT', '622923', '永靖县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103150, 'DISTRICT', '622926', '东乡族自治县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103151, 'DISTRICT', '622925', '和政县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103152, 'DISTRICT', '622922', '康乐县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103153, 'DISTRICT', '622921', '临夏县', 100382, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103154, 'DISTRICT', '620723', '临泽县', 100383, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103155, 'DISTRICT', '620702', '甘州区', 100383, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103156, 'DISTRICT', '620724', '高台县', 100383, '2018-11-13 20:41:52', '2018-11-13 20:41:52', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103157, 'DISTRICT', '620725', '山丹县', 100383, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103158, 'DISTRICT', '620721', '肃南裕固族自治县', 100383, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103159, 'DISTRICT', '620722', '民乐县', 100383, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103161, 'DISTRICT', '630123', '湟源县', 100384, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103162, 'DISTRICT', '630121', '大通回族土族自治县', 100384, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103163, 'DISTRICT', '630104', '城西区', 100384, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103164, 'DISTRICT', '630105', '城北区', 100384, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103165, 'DISTRICT', '630102', '城东区', 100384, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103166, 'DISTRICT', '630103', '城中区', 100384, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103167, 'DISTRICT', '630222', '民和回族土族自治县', 100385, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103168, 'DISTRICT', '630203', '平安区', 100385, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103169, 'DISTRICT', '630225', '循化撒拉族自治县', 100385, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103170, 'DISTRICT', '630223', '互助土族自治县', 100385, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103171, 'DISTRICT', '630202', '乐都区', 100385, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103172, 'DISTRICT', '630224', '化隆回族自治县', 100385, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103173, 'DISTRICT', '632323', '泽库县', 100386, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103174, 'DISTRICT', '632322', '尖扎县', 100386, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103176, 'DISTRICT', '632324', '河南蒙古族自治县', 100386, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103177, 'DISTRICT', '632224', '刚察县', 100387, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103178, 'DISTRICT', '632223', '海晏县', 100387, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103179, 'DISTRICT', '632222', '祁连县', 100387, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103180, 'DISTRICT', '632221', '门源回族自治县', 100387, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103181, 'DISTRICT', '632822', '都兰县', 100388, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103182, 'DISTRICT', '632821', '乌兰县', 100388, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103183, 'DISTRICT', '632802', '德令哈市', 100388, '2018-11-13 20:41:53', '2018-11-13 20:41:53', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103184, 'DISTRICT', '632801', '格尔木市', 100388, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103185, 'DISTRICT', '632823', '天峻县', 100388, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103186, 'DISTRICT', '632701', '玉树市', 100389, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103187, 'DISTRICT', '632723', '称多县', 100389, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103188, 'DISTRICT', '632722', '杂多县', 100389, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103189, 'DISTRICT', '632726', '曲麻莱县', 100389, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103190, 'DISTRICT', '632725', '囊谦县', 100389, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103191, 'DISTRICT', '632724', '治多县', 100389, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103192, 'DISTRICT', '632624', '达日县', 100390, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103193, 'DISTRICT', '632623', '甘德县', 100390, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103194, 'DISTRICT', '632622', '班玛县', 100390, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103195, 'DISTRICT', '632621', '玛沁县', 100390, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103196, 'DISTRICT', '632626', '玛多县', 100390, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103197, 'DISTRICT', '632625', '久治县', 100390, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103198, 'DISTRICT', '632521', '共和县', 100391, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103199, 'DISTRICT', '632525', '贵南县', 100391, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103200, 'DISTRICT', '632524', '兴海县', 100391, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103201, 'DISTRICT', '632523', '贵德县', 100391, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103202, 'DISTRICT', '632522', '同德县', 100391, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103203, 'DISTRICT', '640181', '灵武市', 100392, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103204, 'DISTRICT', '640122', '贺兰县', 100392, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103205, 'DISTRICT', '640121', '永宁县', 100392, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103206, 'DISTRICT', '640104', '兴庆区', 100392, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103207, 'DISTRICT', '640106', '金凤区', 100392, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103208, 'DISTRICT', '640105', '西夏区', 100392, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103209, 'DISTRICT', '640381', '青铜峡市', 100393, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103210, 'DISTRICT', '640302', '利通区', 100393, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103211, 'DISTRICT', '640324', '同心县', 100393, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103212, 'DISTRICT', '640323', '盐池县', 100393, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103213, 'DISTRICT', '640303', '红寺堡区', 100393, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103214, 'DISTRICT', '640221', '平罗县', 100394, '2018-11-13 20:41:54', '2018-11-13 20:41:54', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103215, 'DISTRICT', '640202', '大武口区', 100394, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103216, 'DISTRICT', '640205', '惠农区', 100394, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103217, 'DISTRICT', '640522', '海原县', 100395, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103218, 'DISTRICT', '640521', '中宁县', 100395, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103219, 'DISTRICT', '640502', '沙坡头区', 100395, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103220, 'DISTRICT', '640423', '隆德县', 100396, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103221, 'DISTRICT', '640422', '西吉县', 100396, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103222, 'DISTRICT', '640425', '彭阳县', 100396, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103223, 'DISTRICT', '640402', '原州区', 100396, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103224, 'DISTRICT', '640424', '泾源县', 100396, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103225, 'DISTRICT', '650502', '伊州区', 100397, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103226, 'DISTRICT', '650522', '伊吾县', 100397, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103227, 'DISTRICT', '650521', '巴里坤哈萨克自治县', 100397, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103228, 'DISTRICT', '650402', '高昌区', 100398, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103229, 'DISTRICT', '650422', '托克逊县', 100398, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103230, 'DISTRICT', '650421', '鄯善县', 100398, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103231, 'DISTRICT', '650205', '乌尔禾区', 100399, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103232, 'DISTRICT', '650204', '白碱滩区', 100399, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103233, 'DISTRICT', '650203', '克拉玛依区', 100399, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103234, 'DISTRICT', '650202', '独山子区', 100399, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103235, 'DISTRICT', '650107', '达坂城区', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103236, 'DISTRICT', '650106', '头屯河区', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103237, 'DISTRICT', '650105', '水磨沟区', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103238, 'DISTRICT', '650104', '新市区', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103239, 'DISTRICT', '650103', '沙依巴克区', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103240, 'DISTRICT', '650102', '天山区', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103241, 'DISTRICT', '650121', '乌鲁木齐县', 100400, '2018-11-13 20:41:55', '2018-11-13 20:41:55', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103242, 'DISTRICT', '650109', '米东区', 100400, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103243, 'DISTRICT', '652301', '昌吉市', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103244, 'DISTRICT', '652323', '呼图壁县', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103245, 'DISTRICT', '652302', '阜康市', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103246, 'DISTRICT', '652324', '玛纳斯县', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103247, 'DISTRICT', '652325', '奇台县', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103248, 'DISTRICT', '652327', '吉木萨尔县', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103249, 'DISTRICT', '652328', '木垒哈萨克自治县', 100401, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103250, 'DISTRICT', '652722', '精河县', 100402, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103251, 'DISTRICT', '652701', '博乐市', 100402, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103252, 'DISTRICT', '652723', '温泉县', 100402, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103253, 'DISTRICT', '652702', '阿拉山口市', 100402, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103254, 'DISTRICT', '652825', '且末县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103255, 'DISTRICT', '652826', '焉耆回族自治县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103256, 'DISTRICT', '652827', '和静县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103257, 'DISTRICT', '652828', '和硕县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103258, 'DISTRICT', '652829', '博湖县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103259, 'DISTRICT', '652822', '轮台县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103260, 'DISTRICT', '652801', '库尔勒市', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103261, 'DISTRICT', '652823', '尉犁县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103262, 'DISTRICT', '652824', '若羌县', 100403, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103263, 'DISTRICT', '652924', '沙雅县', 100404, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103264, 'DISTRICT', '652925', '新和县', 100404, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103265, 'DISTRICT', '652926', '拜城县', 100404, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103266, 'DISTRICT', '652927', '乌什县', 100404, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103267, 'DISTRICT', '652928', '阿瓦提县', 100404, '2018-11-13 20:41:56', '2018-11-13 20:41:56', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103268, 'DISTRICT', '652929', '柯坪县', 100404, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103269, 'DISTRICT', '652922', '温宿县', 100404, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103270, 'DISTRICT', '652901', '阿克苏市', 100404, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103272, 'DISTRICT', '654021', '伊宁县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103273, 'DISTRICT', '654022', '察布查尔锡伯自治县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103274, 'DISTRICT', '654023', '霍城县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103275, 'DISTRICT', '654002', '伊宁市', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103276, 'DISTRICT', '654024', '巩留县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103277, 'DISTRICT', '654003', '奎屯市', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103278, 'DISTRICT', '654025', '新源县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103279, 'DISTRICT', '654004', '霍尔果斯市', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103280, 'DISTRICT', '654026', '昭苏县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103281, 'DISTRICT', '654027', '特克斯县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103282, 'DISTRICT', '654028', '尼勒克县', 100407, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103283, 'DISTRICT', '653022', '阿克陶县', 100409, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103284, 'DISTRICT', '653001', '阿图什市', 100409, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103285, 'DISTRICT', '653023', '阿合奇县', 100409, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103286, 'DISTRICT', '653024', '乌恰县', 100409, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103287, 'DISTRICT', '653130', '巴楚县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103288, 'DISTRICT', '653131', '塔什库尔干塔吉克自治县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103289, 'DISTRICT', '653121', '疏附县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103290, 'DISTRICT', '653122', '疏勒县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103291, 'DISTRICT', '653101', '喀什市', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103292, 'DISTRICT', '653123', '英吉沙县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103293, 'DISTRICT', '653124', '泽普县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103294, 'DISTRICT', '653125', '莎车县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103295, 'DISTRICT', '653126', '叶城县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103296, 'DISTRICT', '653127', '麦盖提县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103297, 'DISTRICT', '653128', '岳普湖县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103298, 'DISTRICT', '653129', '伽师县', 100410, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103299, 'DISTRICT', '654221', '额敏县', 100411, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103300, 'DISTRICT', '654201', '塔城市', 100411, '2018-11-13 20:41:57', '2018-11-13 20:41:57', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103302, 'DISTRICT', '654202', '乌苏市', 100411, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103303, 'DISTRICT', '654224', '托里县', 100411, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103304, 'DISTRICT', '654225', '裕民县', 100411, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103305, 'DISTRICT', '654226', '和布克赛尔蒙古自治县', 100411, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103306, 'DISTRICT', '653221', '和田县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103307, 'DISTRICT', '653222', '墨玉县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103308, 'DISTRICT', '653201', '和田市', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103309, 'DISTRICT', '653223', '皮山县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103310, 'DISTRICT', '653224', '洛浦县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103311, 'DISTRICT', '653225', '策勒县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103312, 'DISTRICT', '653226', '于田县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103313, 'DISTRICT', '653227', '民丰县', 100412, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103314, 'DISTRICT', '654321', '布尔津县', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103315, 'DISTRICT', '654322', '富蕴县', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103316, 'DISTRICT', '654301', '阿勒泰市', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103317, 'DISTRICT', '654323', '福海县', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103318, 'DISTRICT', '654324', '哈巴河县', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103319, 'DISTRICT', '654325', '青河县', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (103320, 'DISTRICT', '654326', '吉木乃县', 100413, '2018-11-13 20:41:58', '2018-11-13 20:41:58', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117648, 'CITY', '710100', '台北市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117649, 'CITY', '710200', '高雄市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117650, 'CITY', '710300', '台南市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117651, 'CITY', '710400', '台中市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117652, 'CITY', '710500', '金门县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117653, 'CITY', '710600', '南投县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117654, 'CITY', '710700', '基隆市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117655, 'CITY', '710800', '新竹市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117656, 'CITY', '710900', '嘉义市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117657, 'CITY', '711100', '新北市', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117658, 'CITY', '711200', '宜兰县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117659, 'CITY', '711300', '新竹县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117660, 'CITY', '711400', '桃园县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117661, 'CITY', '711500', '苗栗县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117662, 'CITY', '711700', '彰化县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117663, 'CITY', '711900', '嘉义县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117664, 'CITY', '712100', '云林县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117665, 'CITY', '712400', '屏东县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117666, 'CITY', '712500', '台东县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117667, 'CITY', '712600', '花莲县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117668, 'CITY', '712700', '澎湖县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117669, 'CITY', '712800', '连江县', 100032, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117679, 'DISTRICT', '710101', '中正区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117680, 'DISTRICT', '710102', '大同区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117681, 'DISTRICT', '710103', '中山区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117682, 'DISTRICT', '710104', '松山区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117683, 'DISTRICT', '710105', '大安区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117684, 'DISTRICT', '710106', '万华区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117685, 'DISTRICT', '710107', '信义区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117686, 'DISTRICT', '710108', '士林区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117687, 'DISTRICT', '710109', '北投区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117688, 'DISTRICT', '710110', '内湖区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117689, 'DISTRICT', '710111', '南港区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117690, 'DISTRICT', '710112', '文山区', 117648, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117691, 'DISTRICT', '710201', '新兴区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117692, 'DISTRICT', '710202', '前金区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117693, 'DISTRICT', '710203', '芩雅区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117694, 'DISTRICT', '710204', '盐埕区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117695, 'DISTRICT', '710205', '鼓山区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117696, 'DISTRICT', '710206', '旗津区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117697, 'DISTRICT', '710207', '前镇区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117698, 'DISTRICT', '710208', '三民区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117699, 'DISTRICT', '710209', '左营区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117700, 'DISTRICT', '710210', '楠梓区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117701, 'DISTRICT', '710211', '小港区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117702, 'DISTRICT', '710241', '苓雅区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117703, 'DISTRICT', '710242', '仁武区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117704, 'DISTRICT', '710243', '大社区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117705, 'DISTRICT', '710244', '冈山区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117706, 'DISTRICT', '710245', '路竹区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117707, 'DISTRICT', '710246', '阿莲区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117708, 'DISTRICT', '710247', '田寮区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117709, 'DISTRICT', '710248', '燕巢区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117710, 'DISTRICT', '710249', '桥头区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117711, 'DISTRICT', '710250', '梓官区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117712, 'DISTRICT', '710251', '弥陀区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117713, 'DISTRICT', '710252', '永安区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117714, 'DISTRICT', '710253', '湖内区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117715, 'DISTRICT', '710254', '凤山区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117716, 'DISTRICT', '710255', '大寮区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117717, 'DISTRICT', '710256', '林园区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117718, 'DISTRICT', '710257', '鸟松区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117719, 'DISTRICT', '710258', '大树区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117720, 'DISTRICT', '710259', '旗山区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117721, 'DISTRICT', '710260', '美浓区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117722, 'DISTRICT', '710261', '六龟区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117723, 'DISTRICT', '710262', '内门区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117724, 'DISTRICT', '710263', '杉林区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117725, 'DISTRICT', '710264', '甲仙区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117726, 'DISTRICT', '710265', '桃源区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117727, 'DISTRICT', '710266', '那玛夏区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117728, 'DISTRICT', '710267', '茂林区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117729, 'DISTRICT', '710268', '茄萣区', 117649, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117730, 'DISTRICT', '710301', '中西区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117731, 'DISTRICT', '710302', '东区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117732, 'DISTRICT', '710303', '南区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117733, 'DISTRICT', '710304', '北区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117734, 'DISTRICT', '710305', '安平区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117735, 'DISTRICT', '710306', '安南区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117736, 'DISTRICT', '710339', '永康区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117737, 'DISTRICT', '710340', '归仁区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117738, 'DISTRICT', '710341', '新化区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117739, 'DISTRICT', '710342', '左镇区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117740, 'DISTRICT', '710343', '玉井区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117741, 'DISTRICT', '710344', '楠西区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117742, 'DISTRICT', '710345', '南化区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117743, 'DISTRICT', '710346', '仁德区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117744, 'DISTRICT', '710347', '关庙区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117745, 'DISTRICT', '710348', '龙崎区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117746, 'DISTRICT', '710349', '官田区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117747, 'DISTRICT', '710350', '麻豆区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117748, 'DISTRICT', '710351', '佳里区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117749, 'DISTRICT', '710352', '西港区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117750, 'DISTRICT', '710353', '七股区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117751, 'DISTRICT', '710354', '将军区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117752, 'DISTRICT', '710355', '学甲区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117753, 'DISTRICT', '710356', '北门区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117754, 'DISTRICT', '710357', '新营区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117755, 'DISTRICT', '710358', '后壁区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117756, 'DISTRICT', '710359', '白河区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117757, 'DISTRICT', '710360', '东山区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117758, 'DISTRICT', '710361', '六甲区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117759, 'DISTRICT', '710362', '下营区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117760, 'DISTRICT', '710363', '柳营区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117761, 'DISTRICT', '710364', '盐水区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117762, 'DISTRICT', '710365', '善化区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117763, 'DISTRICT', '710366', '大内区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117764, 'DISTRICT', '710367', '山上区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117765, 'DISTRICT', '710368', '新市区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117766, 'DISTRICT', '710369', '安定区', 117650, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117767, 'DISTRICT', '710401', '中区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117768, 'DISTRICT', '710402', '东区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117769, 'DISTRICT', '710403', '南区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117770, 'DISTRICT', '710404', '西区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117771, 'DISTRICT', '710405', '北区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117772, 'DISTRICT', '710406', '北屯区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117773, 'DISTRICT', '710407', '西屯区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117774, 'DISTRICT', '710408', '南屯区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117775, 'DISTRICT', '710431', '太平区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117776, 'DISTRICT', '710432', '大里区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117777, 'DISTRICT', '710433', '雾峰区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117778, 'DISTRICT', '710434', '乌日区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117779, 'DISTRICT', '710435', '丰原区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117780, 'DISTRICT', '710436', '后里区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117781, 'DISTRICT', '710437', '石冈区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117782, 'DISTRICT', '710438', '东势区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117783, 'DISTRICT', '710439', '和平区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117784, 'DISTRICT', '710440', '新社区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117785, 'DISTRICT', '710441', '潭子区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117786, 'DISTRICT', '710442', '大雅区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117787, 'DISTRICT', '710443', '神冈区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117788, 'DISTRICT', '710444', '大肚区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117789, 'DISTRICT', '710445', '沙鹿区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117790, 'DISTRICT', '710446', '龙井区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117791, 'DISTRICT', '710447', '梧栖区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117792, 'DISTRICT', '710448', '清水区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117793, 'DISTRICT', '710449', '大甲区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117794, 'DISTRICT', '710450', '外埔区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117795, 'DISTRICT', '710451', '大安区', 117651, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117796, 'DISTRICT', '710507', '金沙镇', 117652, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117797, 'DISTRICT', '710508', '金湖镇', 117652, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117798, 'DISTRICT', '710509', '金宁乡', 117652, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117799, 'DISTRICT', '710510', '金城镇', 117652, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117800, 'DISTRICT', '710511', '烈屿乡', 117652, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117801, 'DISTRICT', '710512', '乌坵乡', 117652, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117802, 'DISTRICT', '710614', '南投市', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117803, 'DISTRICT', '710615', '中寮乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117804, 'DISTRICT', '710616', '草屯镇', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117805, 'DISTRICT', '710617', '国姓乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117806, 'DISTRICT', '710618', '埔里镇', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117807, 'DISTRICT', '710619', '仁爱乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117808, 'DISTRICT', '710620', '名间乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117809, 'DISTRICT', '710621', '集集镇', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117810, 'DISTRICT', '710622', '水里乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117811, 'DISTRICT', '710623', '鱼池乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117812, 'DISTRICT', '710624', '信义乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117813, 'DISTRICT', '710625', '竹山镇', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117814, 'DISTRICT', '710626', '鹿谷乡', 117653, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117815, 'DISTRICT', '710701', '仁爱区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117816, 'DISTRICT', '710702', '信义区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117817, 'DISTRICT', '710703', '中正区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117818, 'DISTRICT', '710704', '中山区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117819, 'DISTRICT', '710705', '安乐区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117820, 'DISTRICT', '710706', '暖暖区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117821, 'DISTRICT', '710707', '七堵区', 117654, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117822, 'DISTRICT', '710801', '东区', 117655, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117823, 'DISTRICT', '710802', '北区', 117655, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117824, 'DISTRICT', '710803', '香山区', 117655, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117825, 'DISTRICT', '710901', '东区', 117656, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117826, 'DISTRICT', '710902', '西区', 117656, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117827, 'DISTRICT', '711130', '万里区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117828, 'DISTRICT', '711131', '金山区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117829, 'DISTRICT', '711132', '板桥区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117830, 'DISTRICT', '711133', '汐止区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117831, 'DISTRICT', '711134', '深坑区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117832, 'DISTRICT', '711135', '石碇区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117833, 'DISTRICT', '711136', '瑞芳区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117834, 'DISTRICT', '711137', '平溪区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117835, 'DISTRICT', '711138', '双溪区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117836, 'DISTRICT', '711139', '贡寮区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117837, 'DISTRICT', '711140', '新店区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117838, 'DISTRICT', '711141', '坪林区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117839, 'DISTRICT', '711142', '乌来区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117840, 'DISTRICT', '711143', '永和区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117841, 'DISTRICT', '711144', '中和区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117842, 'DISTRICT', '711145', '土城区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117843, 'DISTRICT', '711146', '三峡区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117844, 'DISTRICT', '711147', '树林区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117845, 'DISTRICT', '711148', '莺歌区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117846, 'DISTRICT', '711149', '三重区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117847, 'DISTRICT', '711150', '新庄区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117848, 'DISTRICT', '711151', '泰山区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117849, 'DISTRICT', '711152', '林口区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117850, 'DISTRICT', '711153', '芦洲区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117851, 'DISTRICT', '711154', '五股区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117852, 'DISTRICT', '711155', '八里区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117853, 'DISTRICT', '711156', '淡水区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117854, 'DISTRICT', '711157', '三芝区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117855, 'DISTRICT', '711158', '石门区', 117657, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117856, 'DISTRICT', '711214', '宜兰市', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117857, 'DISTRICT', '711215', '头城镇', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117858, 'DISTRICT', '711216', '礁溪乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117859, 'DISTRICT', '711217', '壮围乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117860, 'DISTRICT', '711218', '员山乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117861, 'DISTRICT', '711219', '罗东镇', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117862, 'DISTRICT', '711220', '三星乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117863, 'DISTRICT', '711221', '大同乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117864, 'DISTRICT', '711222', '五结乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117865, 'DISTRICT', '711223', '冬山乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117866, 'DISTRICT', '711224', '苏澳镇', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117867, 'DISTRICT', '711225', '南澳乡', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117868, 'DISTRICT', '711226', '钓鱼台', 117658, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117869, 'DISTRICT', '711314', '竹北市', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117870, 'DISTRICT', '711315', '湖口乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117871, 'DISTRICT', '711316', '新丰乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117872, 'DISTRICT', '711317', '新埔镇', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117873, 'DISTRICT', '711318', '关西镇', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117874, 'DISTRICT', '711319', '芎林乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117875, 'DISTRICT', '711320', '宝山乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117876, 'DISTRICT', '711321', '竹东镇', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117877, 'DISTRICT', '711322', '五峰乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117878, 'DISTRICT', '711323', '横山乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117879, 'DISTRICT', '711324', '尖石乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117880, 'DISTRICT', '711325', '北埔乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117881, 'DISTRICT', '711326', '峨眉乡', 117659, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117882, 'DISTRICT', '711414', '中坜市', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117883, 'DISTRICT', '711415', '平镇市', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117884, 'DISTRICT', '711416', '龙潭乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117885, 'DISTRICT', '711417', '杨梅市', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117886, 'DISTRICT', '711418', '新屋乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117887, 'DISTRICT', '711419', '观音乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117888, 'DISTRICT', '711420', '桃园市', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117889, 'DISTRICT', '711421', '龟山乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117890, 'DISTRICT', '711422', '八德市', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117891, 'DISTRICT', '711423', '大溪镇', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117892, 'DISTRICT', '711424', '复兴乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117893, 'DISTRICT', '711425', '大园乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117894, 'DISTRICT', '711426', '芦竹乡', 117660, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117895, 'DISTRICT', '711519', '竹南镇', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117896, 'DISTRICT', '711520', '头份镇', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117897, 'DISTRICT', '711521', '三湾乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117898, 'DISTRICT', '711522', '南庄乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117899, 'DISTRICT', '711523', '狮潭乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117900, 'DISTRICT', '711524', '后龙镇', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117901, 'DISTRICT', '711525', '通霄镇', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117902, 'DISTRICT', '711526', '苑里镇', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117903, 'DISTRICT', '711527', '苗栗市', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117904, 'DISTRICT', '711528', '造桥乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117905, 'DISTRICT', '711529', '头屋乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117906, 'DISTRICT', '711530', '公馆乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117907, 'DISTRICT', '711531', '大湖乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117908, 'DISTRICT', '711532', '泰安乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117909, 'DISTRICT', '711533', '铜锣乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117910, 'DISTRICT', '711534', '三义乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117911, 'DISTRICT', '711535', '西湖乡', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117912, 'DISTRICT', '711536', '卓兰镇', 117661, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117913, 'DISTRICT', '711727', '彰化市', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117914, 'DISTRICT', '711728', '芬园乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117915, 'DISTRICT', '711729', '花坛乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117916, 'DISTRICT', '711730', '秀水乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117917, 'DISTRICT', '711731', '鹿港镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117918, 'DISTRICT', '711732', '福兴乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117919, 'DISTRICT', '711733', '线西乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117920, 'DISTRICT', '711734', '和美镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117921, 'DISTRICT', '711735', '伸港乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117922, 'DISTRICT', '711736', '员林镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117923, 'DISTRICT', '711737', '社头乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117924, 'DISTRICT', '711738', '永靖乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117925, 'DISTRICT', '711739', '埔心乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117926, 'DISTRICT', '711740', '溪湖镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117927, 'DISTRICT', '711741', '大村乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117928, 'DISTRICT', '711742', '埔盐乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117929, 'DISTRICT', '711743', '田中镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117930, 'DISTRICT', '711744', '北斗镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117931, 'DISTRICT', '711745', '田尾乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117932, 'DISTRICT', '711746', '埤头乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117933, 'DISTRICT', '711747', '溪州乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117934, 'DISTRICT', '711748', '竹塘乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117935, 'DISTRICT', '711749', '二林镇', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117936, 'DISTRICT', '711750', '大城乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117937, 'DISTRICT', '711751', '芳苑乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117938, 'DISTRICT', '711752', '二水乡', 117662, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117939, 'DISTRICT', '711919', '番路乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117940, 'DISTRICT', '711920', '梅山乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117941, 'DISTRICT', '711921', '竹崎乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117942, 'DISTRICT', '711922', '阿里山乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117943, 'DISTRICT', '711923', '中埔乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117944, 'DISTRICT', '711924', '大埔乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117945, 'DISTRICT', '711925', '水上乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117946, 'DISTRICT', '711926', '鹿草乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117947, 'DISTRICT', '711927', '太保市', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117948, 'DISTRICT', '711928', '朴子市', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117949, 'DISTRICT', '711929', '东石乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117950, 'DISTRICT', '711930', '六脚乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117951, 'DISTRICT', '711931', '新港乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117952, 'DISTRICT', '711932', '民雄乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117953, 'DISTRICT', '711933', '大林镇', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117954, 'DISTRICT', '711934', '溪口乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117955, 'DISTRICT', '711935', '义竹乡', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117956, 'DISTRICT', '711936', '布袋镇', 117663, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117957, 'DISTRICT', '712121', '斗南镇', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117958, 'DISTRICT', '712122', '大埤乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117959, 'DISTRICT', '712123', '虎尾镇', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117960, 'DISTRICT', '712124', '土库镇', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117961, 'DISTRICT', '712125', '褒忠乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117962, 'DISTRICT', '712126', '东势乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117963, 'DISTRICT', '712127', '台西乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117964, 'DISTRICT', '712128', '仑背乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117965, 'DISTRICT', '712129', '麦寮乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117966, 'DISTRICT', '712130', '斗六市', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117967, 'DISTRICT', '712131', '林内乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117968, 'DISTRICT', '712132', '古坑乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117969, 'DISTRICT', '712133', '莿桐乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117970, 'DISTRICT', '712134', '西螺镇', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117971, 'DISTRICT', '712135', '二仑乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117972, 'DISTRICT', '712136', '北港镇', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117973, 'DISTRICT', '712137', '水林乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117974, 'DISTRICT', '712138', '口湖乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117975, 'DISTRICT', '712139', '四湖乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117976, 'DISTRICT', '712140', '元长乡', 117664, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117977, 'DISTRICT', '712434', '屏东市', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117978, 'DISTRICT', '712435', '三地门乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117979, 'DISTRICT', '712436', '雾台乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117980, 'DISTRICT', '712437', '玛家乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117981, 'DISTRICT', '712438', '九如乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117982, 'DISTRICT', '712439', '里港乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117983, 'DISTRICT', '712440', '高树乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117984, 'DISTRICT', '712441', '盐埔乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117985, 'DISTRICT', '712442', '长治乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117986, 'DISTRICT', '712443', '麟洛乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117987, 'DISTRICT', '712444', '竹田乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117988, 'DISTRICT', '712445', '内埔乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117989, 'DISTRICT', '712446', '万丹乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117990, 'DISTRICT', '712447', '潮州镇', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117991, 'DISTRICT', '712448', '泰武乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117992, 'DISTRICT', '712449', '来义乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117993, 'DISTRICT', '712450', '万峦乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117994, 'DISTRICT', '712451', '崁顶乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117995, 'DISTRICT', '712452', '新埤乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117996, 'DISTRICT', '712453', '南州乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117997, 'DISTRICT', '712454', '林边乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117998, 'DISTRICT', '712455', '东港镇', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (117999, 'DISTRICT', '712456', '琉球乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118000, 'DISTRICT', '712457', '佳冬乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118001, 'DISTRICT', '712458', '新园乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118002, 'DISTRICT', '712459', '枋寮乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118003, 'DISTRICT', '712460', '枋山乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118004, 'DISTRICT', '712461', '春日乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118005, 'DISTRICT', '712462', '狮子乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118006, 'DISTRICT', '712463', '车城乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118007, 'DISTRICT', '712464', '牡丹乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118008, 'DISTRICT', '712465', '恒春镇', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118009, 'DISTRICT', '712466', '满州乡', 117665, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118010, 'DISTRICT', '712517', '台东市', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118011, 'DISTRICT', '712518', '绿岛乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118012, 'DISTRICT', '712519', '兰屿乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118013, 'DISTRICT', '712520', '延平乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118014, 'DISTRICT', '712521', '卑南乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118015, 'DISTRICT', '712522', '鹿野乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118016, 'DISTRICT', '712523', '关山镇', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118017, 'DISTRICT', '712524', '海端乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118018, 'DISTRICT', '712525', '池上乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118019, 'DISTRICT', '712526', '东河乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118020, 'DISTRICT', '712527', '成功镇', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118021, 'DISTRICT', '712528', '长滨乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118022, 'DISTRICT', '712529', '金峰乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118023, 'DISTRICT', '712530', '大武乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118024, 'DISTRICT', '712531', '达仁乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118025, 'DISTRICT', '712532', '太麻里乡', 117666, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118026, 'DISTRICT', '712615', '花莲市', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118027, 'DISTRICT', '712616', '新城乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118028, 'DISTRICT', '712617', '太鲁阁', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118029, 'DISTRICT', '712618', '秀林乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118030, 'DISTRICT', '712619', '吉安乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118031, 'DISTRICT', '712620', '寿丰乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118032, 'DISTRICT', '712621', '凤林镇', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118033, 'DISTRICT', '712622', '光复乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118034, 'DISTRICT', '712623', '丰滨乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118035, 'DISTRICT', '712624', '瑞穗乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118036, 'DISTRICT', '712625', '万荣乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118037, 'DISTRICT', '712626', '玉里镇', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118038, 'DISTRICT', '712627', '卓溪乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118039, 'DISTRICT', '712628', '富里乡', 117667, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118040, 'DISTRICT', '712707', '马公市', 117668, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118041, 'DISTRICT', '712708', '西屿乡', 117668, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118042, 'DISTRICT', '712709', '望安乡', 117668, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118043, 'DISTRICT', '712710', '七美乡', 117668, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118044, 'DISTRICT', '712711', '白沙乡', 117668, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118045, 'DISTRICT', '712712', '湖西乡', 117668, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118046, 'DISTRICT', '712805', '南竿乡', 117669, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118047, 'DISTRICT', '712806', '北竿乡', 117669, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118048, 'DISTRICT', '712807', '莒光乡', 117669, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118049, 'DISTRICT', '712808', '东引乡', 117669, '2021-08-16 15:42:23', '2021-08-16 15:42:23', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118242, 'CITY', '810010', '荃灣區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118243, 'CITY', '810011', '屯門區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118244, 'CITY', '810001', '中西區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118245, 'CITY', '810012', '元朗區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118246, 'CITY', '810002', '灣仔區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118247, 'CITY', '810013', '北區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118248, 'CITY', '810003', '東區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118249, 'CITY', '810014', '大埔區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118250, 'CITY', '810004', '南區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118251, 'CITY', '810015', '西貢區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118252, 'CITY', '810005', '油尖旺區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118253, 'CITY', '810016', '沙田區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118254, 'CITY', '810006', '深水埗區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118255, 'CITY', '810017', '葵青區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118256, 'CITY', '810007', '九龍城區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118257, 'CITY', '810018', '離島區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118258, 'CITY', '810008', '黃大仙區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118259, 'CITY', '810009', '觀塘區', 100033, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118260, 'CITY', '820008', '聖方濟各堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118261, 'CITY', '820006', '嘉模堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118262, 'CITY', '820007', '路氹填海區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118263, 'CITY', '820004', '大堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118264, 'CITY', '820005', '風順堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118265, 'CITY', '820002', '花王堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118266, 'CITY', '820003', '望德堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118267, 'CITY', '820001', '花地瑪堂區', 100034, '2021-08-31 20:02:40', '2021-08-31 20:02:40', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118268, 'DISTRICT', '320491', '经开区', 100133, '2022-01-18 09:16:10', '2022-01-18 09:16:10', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118270, 'CITY', '419000', '省直辖县级行政区划', 100016, '2022-08-15 17:28:08', '2022-08-15 17:28:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118271, 'CITY', '429000', '省直辖县级行政区划', 100017, '2022-08-15 17:28:08', '2022-08-15 17:28:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118272, 'CITY', '469000', '省直辖县级行政区划', 100021, '2022-08-15 17:28:08', '2022-08-15 17:28:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118273, 'CITY', '540600', '那曲市', 100026, '2022-08-15 17:28:08', '2022-08-15 17:28:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118274, 'CITY', '659000', '自治区直辖县级行政区划', 100031, '2022-08-15 17:28:08', '2022-08-15 17:28:08', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118277, 'DISTRICT', '130171', '石家庄高新技术产业开发区', 100052, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118278, 'DISTRICT', '130172', '石家庄循环化工园区', 100052, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118279, 'DISTRICT', '130181', '辛集市', 100052, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118280, 'DISTRICT', '130271', '河北唐山芦台经济开发区', 100057, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118281, 'DISTRICT', '130272', '唐山市汉沽管理区', 100057, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118282, 'DISTRICT', '130273', '唐山高新技术产业开发区', 100057, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118283, 'DISTRICT', '130274', '河北唐山海港经济开发区', 100057, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118284, 'DISTRICT', '130284', '滦州市', 100057, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118285, 'DISTRICT', '130371', '秦皇岛市经济技术开发区', 100058, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118286, 'DISTRICT', '130372', '北戴河新区', 100058, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118287, 'DISTRICT', '130407', '肥乡区', 100055, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118288, 'DISTRICT', '130408', '永年区', 100055, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118289, 'DISTRICT', '130471', '邯郸经济技术开发区', 100055, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118290, 'DISTRICT', '130473', '邯郸冀南新区', 100055, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118291, 'DISTRICT', '130505', '任泽区', 100056, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118292, 'DISTRICT', '130506', '南和区', 100056, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118293, 'DISTRICT', '130571', '河北邢台经济开发区', 100056, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118294, 'DISTRICT', '130671', '保定高新技术产业开发区', 100061, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118295, 'DISTRICT', '130672', '保定白沟新城', 100061, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118296, 'DISTRICT', '130682', '定州市', 100061, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118297, 'DISTRICT', '130771', '张家口经济开发区', 100062, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118298, 'DISTRICT', '130772', '张家口市察北管理区', 100062, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118299, 'DISTRICT', '130773', '张家口市塞北管理区', 100062, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118300, 'DISTRICT', '130871', '承德高新技术产业开发区', 100059, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118301, 'DISTRICT', '130881', '平泉市', 100059, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118302, 'DISTRICT', '130971', '河北沧州经济开发区', 100060, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118303, 'DISTRICT', '130972', '沧州高新技术产业开发区', 100060, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118304, 'DISTRICT', '130973', '沧州渤海新区', 100060, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118305, 'DISTRICT', '131071', '廊坊经济技术开发区', 100054, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118306, 'DISTRICT', '131171', '河北衡水高新技术产业开发区', 100053, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118307, 'DISTRICT', '131172', '衡水滨湖新区', 100053, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118308, 'DISTRICT', '140171', '山西转型综合改革示范区', 100067, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118309, 'DISTRICT', '140213', '平城区', 100068, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118310, 'DISTRICT', '140214', '云冈区', 100068, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118311, 'DISTRICT', '140215', '云州区', 100068, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118312, 'DISTRICT', '140271', '山西大同经济开发区', 100068, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118313, 'DISTRICT', '140403', '潞州区', 100070, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118314, 'DISTRICT', '140404', '上党区', 100070, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118315, 'DISTRICT', '140405', '屯留区', 100070, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118316, 'DISTRICT', '140406', '潞城区', 100070, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118317, 'DISTRICT', '140471', '山西长治高新技术产业园区', 100070, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118318, 'DISTRICT', '140671', '山西朔州经济开发区', 100072, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118319, 'DISTRICT', '140681', '怀仁市', 100072, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118320, 'DISTRICT', '140703', '太谷区', 100073, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118321, 'DISTRICT', '140971', '五台山风景名胜区', 100075, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118322, 'DISTRICT', '150172', '呼和浩特经济技术开发区', 100086, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118323, 'DISTRICT', '150271', '包头稀土高新技术产业开发区', 100083, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118324, 'DISTRICT', '150571', '通辽经济技术开发区', 100082, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118325, 'DISTRICT', '152571', '乌拉盖管委会', 100084, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118326, 'DISTRICT', '152971', '内蒙古阿拉善高新技术产业开发区', 100079, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118327, 'DISTRICT', '220171', '长春经济技术开发区', 100103, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118328, 'DISTRICT', '220172', '长春净月高新技术产业开发区', 100103, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118329, 'DISTRICT', '220173', '长春高新技术产业开发区', 100103, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118330, 'DISTRICT', '220174', '长春汽车经济技术开发区', 100103, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118331, 'DISTRICT', '220184', '公主岭市', 100103, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118332, 'DISTRICT', '220271', '吉林经济开发区', 100106, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118333, 'DISTRICT', '220272', '吉林高新技术产业开发区', 100106, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118334, 'DISTRICT', '220273', '吉林中国新加坡食品区', 100106, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118335, 'DISTRICT', '220771', '吉林松原经济开发区', 100109, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118336, 'DISTRICT', '220871', '吉林白城经济开发区', 100102, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118337, 'DISTRICT', '230671', '大庆高新技术产业开发区', 100111, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118338, 'DISTRICT', '230717', '伊美区', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118339, 'DISTRICT', '230718', '乌翠区', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118340, 'DISTRICT', '230719', '友好区', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118341, 'DISTRICT', '230723', '汤旺县', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118342, 'DISTRICT', '230724', '丰林县', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118343, 'DISTRICT', '230725', '大箐山县', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118344, 'DISTRICT', '230726', '南岔县', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118345, 'DISTRICT', '230751', '金林区', 100123, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118346, 'DISTRICT', '231071', '牡丹江经济技术开发区', 100117, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118347, 'DISTRICT', '231183', '嫩江市', 100118, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118348, 'DISTRICT', '232701', '漠河市', 100122, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118349, 'DISTRICT', '232761', '加格达奇区', 100122, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118350, 'DISTRICT', '232762', '松岭区', 100122, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118351, 'DISTRICT', '232763', '新林区', 100122, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118352, 'DISTRICT', '232764', '呼中区', 100122, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118353, 'DISTRICT', '320371', '徐州经济技术开发区', 100132, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118354, 'DISTRICT', '320571', '苏州工业园区', 100130, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118355, 'DISTRICT', '320613', '崇川区', 100131, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118356, 'DISTRICT', '320614', '海门区', 100131, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118357, 'DISTRICT', '320671', '南通经济技术开发区', 100131, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118358, 'DISTRICT', '320685', '海安市', 100131, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118359, 'DISTRICT', '320771', '连云港经济技术开发区', 100128, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118360, 'DISTRICT', '320772', '连云港高新技术产业开发区', 100128, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118361, 'DISTRICT', '320871', '淮安经济技术开发区', 100129, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118362, 'DISTRICT', '320971', '盐城经济技术开发区', 100127, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118363, 'DISTRICT', '321071', '扬州经济技术开发区', 100125, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118364, 'DISTRICT', '321171', '镇江新区', 100126, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118365, 'DISTRICT', '321271', '泰州医药高新技术产业开发区', 100135, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118366, 'DISTRICT', '321371', '宿迁经济技术开发区', 100137, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118367, 'DISTRICT', '330112', '临安区', 100146, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118368, 'DISTRICT', '330113', '临平区', 100146, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118369, 'DISTRICT', '330114', '钱塘区', 100146, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118370, 'DISTRICT', '330213', '奉化区', 100147, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118372, 'DISTRICT', '330383', '龙港市', 100148, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118373, 'DISTRICT', '331083', '玉环市', 100138, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118374, 'DISTRICT', '340171', '合肥高新技术产业开发区', 100152, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118375, 'DISTRICT', '340172', '合肥经济技术开发区', 100152, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118376, 'DISTRICT', '340173', '合肥新站高新技术产业开发区', 100152, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118377, 'DISTRICT', '340209', '弋江区', 100154, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118378, 'DISTRICT', '340210', '湾沚区', 100154, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118379, 'DISTRICT', '340212', '繁昌区', 100154, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118380, 'DISTRICT', '340271', '芜湖经济技术开发区', 100154, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118381, 'DISTRICT', '340272', '安徽芜湖三山经济开发区', 100154, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118382, 'DISTRICT', '340281', '无为市', 100154, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118383, 'DISTRICT', '340371', '蚌埠市高新技术开发区', 100162, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118384, 'DISTRICT', '340372', '蚌埠市经济开发区', 100162, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118385, 'DISTRICT', '340871', '安徽安庆经济开发区', 100150, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118386, 'DISTRICT', '340882', '潜山市', 100150, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118387, 'DISTRICT', '341171', '中新苏滁高新技术产业开发区', 100157, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118388, 'DISTRICT', '341172', '滁州经济技术开发区', 100157, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118389, 'DISTRICT', '341271', '阜阳合肥现代产业园区', 100153, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118390, 'DISTRICT', '341272', '阜阳经济技术开发区', 100153, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118391, 'DISTRICT', '341371', '宿州马鞍山现代产业园区', 100155, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118392, 'DISTRICT', '341372', '宿州经济技术开发区', 100155, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118393, 'DISTRICT', '341871', '宣城市经济开发区', 100151, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118394, 'DISTRICT', '341882', '广德市', 100151, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118395, 'DISTRICT', '350112', '长乐区', 100169, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118396, 'DISTRICT', '350404', '三元区', 100172, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118397, 'DISTRICT', '350405', '沙县区', 100172, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118398, 'DISTRICT', '350604', '龙海区', 100165, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118399, 'DISTRICT', '350605', '长泰区', 100165, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118400, 'DISTRICT', '360113', '红谷滩区', 100176, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118401, 'DISTRICT', '360404', '柴桑区', 100175, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118402, 'DISTRICT', '360603', '余江区', 100184, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118403, 'DISTRICT', '360704', '赣县区', 100181, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118404, 'DISTRICT', '360783', '龙南市', 100181, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118405, 'DISTRICT', '361003', '东乡区', 100179, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118406, 'DISTRICT', '361104', '广信区', 100178, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118407, 'DISTRICT', '370114', '章丘区', 100186, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118408, 'DISTRICT', '370115', '济阳区', 100186, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118409, 'DISTRICT', '370116', '莱芜区', 100186, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118410, 'DISTRICT', '370117', '钢城区', 100186, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118411, 'DISTRICT', '370171', '济南高新技术产业开发区', 100186, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118412, 'DISTRICT', '370215', '即墨区', 100188, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118413, 'DISTRICT', '370271', '青岛高新技术产业开发区', 100188, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118414, 'DISTRICT', '370571', '东营经济技术开发区', 100197, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118415, 'DISTRICT', '370572', '东营港经济开发区', 100197, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118416, 'DISTRICT', '370614', '蓬莱区', 100199, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118417, 'DISTRICT', '370671', '烟台高新技术产业开发区', 100199, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118418, 'DISTRICT', '370672', '烟台经济技术开发区', 100199, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118419, 'DISTRICT', '370772', '潍坊滨海经济技术开发区', 100200, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118420, 'DISTRICT', '370871', '济宁高新技术产业开发区', 100193, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118421, 'DISTRICT', '371071', '威海火炬高技术产业开发区', 100192, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118422, 'DISTRICT', '371072', '威海经济技术开发区', 100192, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118423, 'DISTRICT', '371073', '威海临港经济技术开发区', 100192, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118424, 'DISTRICT', '371171', '日照经济技术开发区', 100187, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118425, 'DISTRICT', '371371', '临沂高新技术产业开发区', 100191, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118426, 'DISTRICT', '371471', '德州天衢新区', 100189, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118428, 'DISTRICT', '371503', '茌平区', 100198, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118429, 'DISTRICT', '371681', '邹平市', 100196, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118430, 'DISTRICT', '371771', '菏泽经济技术开发区', 100201, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118431, 'DISTRICT', '371772', '菏泽高新技术开发区', 100201, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118432, 'DISTRICT', '410171', '郑州经济技术开发区', 100217, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118433, 'DISTRICT', '410172', '郑州高新技术产业开发区', 100217, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118434, 'DISTRICT', '410173', '郑州航空港经济综合实验区', 100217, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118435, 'DISTRICT', '410307', '偃师区', 100207, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118436, 'DISTRICT', '410308', '孟津区', 100207, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118437, 'DISTRICT', '410371', '洛阳高新技术产业开发区', 100207, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118438, 'DISTRICT', '410471', '平顶山高新技术产业开发区', 100205, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118439, 'DISTRICT', '410472', '平顶山市城乡一体化示范区', 100205, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118440, 'DISTRICT', '410571', '安阳高新技术产业开发区', 100211, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118441, 'DISTRICT', '410671', '鹤壁经济技术开发区', 100209, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118442, 'DISTRICT', '410771', '新乡高新技术产业开发区', 100203, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118443, 'DISTRICT', '410772', '新乡经济技术开发区', 100203, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118444, 'DISTRICT', '410773', '新乡市平原城乡一体化示范区', 100203, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118445, 'DISTRICT', '410783', '长垣市', 100203, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118446, 'DISTRICT', '410871', '焦作城乡一体化示范区', 100202, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118447, 'DISTRICT', '410971', '河南濮阳工业园区', 100204, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118448, 'DISTRICT', '410972', '濮阳经济技术开发区', 100204, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118449, 'DISTRICT', '411003', '建安区', 100214, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118450, 'DISTRICT', '411071', '许昌经济技术开发区', 100214, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118451, 'DISTRICT', '411171', '漯河经济技术开发区', 100213, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118452, 'DISTRICT', '411271', '河南三门峡经济开发区', 100218, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118453, 'DISTRICT', '411371', '南阳高新技术产业开发区', 100216, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118454, 'DISTRICT', '411372', '南阳市城乡一体化示范区', 100216, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118455, 'DISTRICT', '411471', '豫东综合物流产业聚集区', 100208, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118456, 'DISTRICT', '411472', '河南商丘经济开发区', 100208, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118457, 'DISTRICT', '411571', '信阳高新技术产业开发区', 100206, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118458, 'DISTRICT', '411603', '淮阳区', 100212, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118459, 'DISTRICT', '411671', '河南周口经济开发区', 100212, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118460, 'DISTRICT', '411771', '河南驻马店经济开发区', 100210, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118461, 'DISTRICT', '419001', '济源市', 118270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118462, 'DISTRICT', '420882', '京山市', 100234, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118463, 'DISTRICT', '421071', '荆州经济技术开发区', 100226, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118464, 'DISTRICT', '421088', '监利市', 100226, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118465, 'DISTRICT', '421171', '龙感湖管理区', 100224, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118466, 'DISTRICT', '429004', '仙桃市', 118271, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118467, 'DISTRICT', '429005', '潜江市', 118271, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118468, 'DISTRICT', '429006', '天门市', 118271, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118469, 'DISTRICT', '429021', '神农架林区', 118271, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118470, 'DISTRICT', '430182', '宁乡市', 100239, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118471, 'DISTRICT', '430212', '渌口区', 100237, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118473, 'DISTRICT', '430371', '湖南湘潭高新技术产业园区', 100242, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118474, 'DISTRICT', '430372', '湘潭昭山示范区', 100242, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118475, 'DISTRICT', '430373', '湘潭九华示范区', 100242, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118476, 'DISTRICT', '430471', '衡阳综合保税区', 100241, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118477, 'DISTRICT', '430472', '湖南衡阳高新技术产业园区', 100241, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118478, 'DISTRICT', '430473', '湖南衡阳松木经济开发区', 100241, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118479, 'DISTRICT', '430582', '邵东市', 100244, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118480, 'DISTRICT', '430671', '岳阳市屈原管理区', 100243, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118481, 'DISTRICT', '430771', '常德市西洞庭管理区', 100246, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118482, 'DISTRICT', '430971', '益阳市大通湖管理区', 100247, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118483, 'DISTRICT', '430972', '湖南益阳高新技术产业园区', 100247, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118484, 'DISTRICT', '431171', '永州经济技术开发区', 100248, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118485, 'DISTRICT', '431173', '永州市回龙圩管理区', 100248, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118486, 'DISTRICT', '431181', '祁阳市', 100248, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118487, 'DISTRICT', '431271', '怀化市洪江管理区', 100240, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118488, 'DISTRICT', '440309', '龙华区', 100262, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118489, 'DISTRICT', '440310', '坪山区', 100262, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118490, 'DISTRICT', '440311', '光明区', 100262, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118491, 'DISTRICT', '441900003', '东城街道', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118492, 'DISTRICT', '441900004', '南城街道', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118493, 'DISTRICT', '441900005', '万江街道', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118494, 'DISTRICT', '441900006', '莞城街道', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118495, 'DISTRICT', '441900101', '石碣镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118496, 'DISTRICT', '441900102', '石龙镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118497, 'DISTRICT', '441900103', '茶山镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118498, 'DISTRICT', '441900104', '石排镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118499, 'DISTRICT', '441900105', '企石镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118500, 'DISTRICT', '441900106', '横沥镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118501, 'DISTRICT', '441900107', '桥头镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118502, 'DISTRICT', '441900108', '谢岗镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118503, 'DISTRICT', '441900109', '东坑镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118504, 'DISTRICT', '441900110', '常平镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118505, 'DISTRICT', '441900111', '寮步镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118506, 'DISTRICT', '441900112', '樟木头镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118507, 'DISTRICT', '441900113', '大朗镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118508, 'DISTRICT', '441900114', '黄江镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118509, 'DISTRICT', '441900115', '清溪镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118510, 'DISTRICT', '441900116', '塘厦镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118511, 'DISTRICT', '441900117', '凤岗镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118512, 'DISTRICT', '441900118', '大岭山镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118513, 'DISTRICT', '441900119', '长安镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118514, 'DISTRICT', '441900121', '虎门镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118515, 'DISTRICT', '441900122', '厚街镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118516, 'DISTRICT', '441900123', '沙田镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118517, 'DISTRICT', '441900124', '道滘镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118518, 'DISTRICT', '441900125', '洪梅镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118519, 'DISTRICT', '441900126', '麻涌镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118520, 'DISTRICT', '441900127', '望牛墩镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118521, 'DISTRICT', '441900128', '中堂镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118522, 'DISTRICT', '441900129', '高埗镇', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118523, 'DISTRICT', '441900401', '松山湖', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118524, 'DISTRICT', '441900402', '东莞港', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118525, 'DISTRICT', '441900403', '东莞生态园', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118526, 'DISTRICT', '441900404', '东莞滨海湾新区', 100253, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118527, 'DISTRICT', '442000001', '石岐街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118528, 'DISTRICT', '442000002', '东区街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118529, 'DISTRICT', '442000003', '中山港街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118530, 'DISTRICT', '442000004', '西区街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118531, 'DISTRICT', '442000005', '南区街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118532, 'DISTRICT', '442000006', '五桂山街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118533, 'DISTRICT', '442000007', '民众街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118534, 'DISTRICT', '442000008', '南朗街道', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118535, 'DISTRICT', '442000101', '黄圃镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118536, 'DISTRICT', '442000103', '东凤镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118537, 'DISTRICT', '442000105', '古镇镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118538, 'DISTRICT', '442000106', '沙溪镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118539, 'DISTRICT', '442000107', '坦洲镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118540, 'DISTRICT', '442000108', '港口镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118541, 'DISTRICT', '442000109', '三角镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118542, 'DISTRICT', '442000110', '横栏镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118543, 'DISTRICT', '442000111', '南头镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118544, 'DISTRICT', '442000112', '阜沙镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118545, 'DISTRICT', '442000114', '三乡镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118546, 'DISTRICT', '442000115', '板芙镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118547, 'DISTRICT', '442000116', '大涌镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118548, 'DISTRICT', '442000117', '神湾镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118549, 'DISTRICT', '442000118', '小榄镇', 100270, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118550, 'DISTRICT', '450181', '横州市', 100284, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118551, 'DISTRICT', '450381', '荔浦市', 100276, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118552, 'DISTRICT', '451003', '田阳区', 100281, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118553, 'DISTRICT', '451082', '平果市', 100281, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118554, 'DISTRICT', '451203', '宜州区', 100285, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118555, 'DISTRICT', '460321', '西沙群岛', 100288, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118556, 'DISTRICT', '460322', '南沙群岛', 100288, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118557, 'DISTRICT', '460323', '中沙群岛的岛礁及其海域', 100288, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118558, 'DISTRICT', '460400100', '那大镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118559, 'DISTRICT', '460400101', '和庆镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118560, 'DISTRICT', '460400102', '南丰镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118561, 'DISTRICT', '460400103', '大成镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118562, 'DISTRICT', '460400104', '雅星镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118563, 'DISTRICT', '460400105', '兰洋镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118564, 'DISTRICT', '460400106', '光村镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118565, 'DISTRICT', '460400107', '木棠镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118566, 'DISTRICT', '460400108', '海头镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118567, 'DISTRICT', '460400109', '峨蔓镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118568, 'DISTRICT', '460400111', '王五镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118569, 'DISTRICT', '460400112', '白马井镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118570, 'DISTRICT', '460400113', '中和镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118571, 'DISTRICT', '460400114', '排浦镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118572, 'DISTRICT', '460400115', '东成镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118573, 'DISTRICT', '460400116', '新州镇', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118574, 'DISTRICT', '460400499', '洋浦经济开发区', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118575, 'DISTRICT', '460400500', '华南热作学院', 100287, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118576, 'DISTRICT', '469001', '五指山市', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118577, 'DISTRICT', '469002', '琼海市', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118578, 'DISTRICT', '469005', '文昌市', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118579, 'DISTRICT', '469006', '万宁市', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118580, 'DISTRICT', '469007', '东方市', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118581, 'DISTRICT', '469021', '定安县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118582, 'DISTRICT', '469022', '屯昌县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118583, 'DISTRICT', '469023', '澄迈县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118584, 'DISTRICT', '469024', '临高县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118585, 'DISTRICT', '469025', '白沙黎族自治县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118586, 'DISTRICT', '469026', '昌江黎族自治县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118587, 'DISTRICT', '469027', '乐东黎族自治县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118588, 'DISTRICT', '469028', '陵水黎族自治县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118589, 'DISTRICT', '469029', '保亭黎族苗族自治县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118590, 'DISTRICT', '469030', '琼中黎族苗族自治县', 118272, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118591, 'DISTRICT', '500155', '梁平区', 100306, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118592, 'DISTRICT', '500156', '武隆区', 100306, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118593, 'DISTRICT', '510117', '郫都区', 100310, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118594, 'DISTRICT', '510118', '新津区', 100310, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118595, 'DISTRICT', '510604', '罗江区', 100323, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118596, 'DISTRICT', '510981', '射洪市', 100327, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118598, 'DISTRICT', '511083', '隆昌市', 100309, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118599, 'DISTRICT', '511504', '叙州区', 100322, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118602, 'DISTRICT', '513402', '会理市', 100315, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118603, 'DISTRICT', '520204', '水城区', 100329, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118604, 'DISTRICT', '520281', '盘州市', 100329, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118605, 'DISTRICT', '520581', '黔西市', 100334, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118606, 'DISTRICT', '522302', '兴仁市', 100328, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118607, 'DISTRICT', '530115', '晋宁区', 100339, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118608, 'DISTRICT', '530304', '马龙区', 100352, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118609, 'DISTRICT', '530481', '澄江市', 100348, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118610, 'DISTRICT', '530681', '水富市', 100344, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118611, 'DISTRICT', '532302', '禄丰市', 100337, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118612, 'DISTRICT', '540104', '达孜区', 100354, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118613, 'DISTRICT', '540171', '格尔木藏青工业园区', 100354, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118614, 'DISTRICT', '540172', '拉萨经济技术开发区', 100354, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118615, 'DISTRICT', '540173', '西藏文化旅游创意园区', 100354, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118616, 'DISTRICT', '540174', '达孜工业园区', 100354, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118617, 'DISTRICT', '540602', '色尼区', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118618, 'DISTRICT', '540621', '嘉黎县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118619, 'DISTRICT', '540622', '比如县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118620, 'DISTRICT', '540623', '聂荣县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118621, 'DISTRICT', '540624', '安多县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118622, 'DISTRICT', '540625', '申扎县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118623, 'DISTRICT', '540626', '索县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118624, 'DISTRICT', '540627', '班戈县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118625, 'DISTRICT', '540628', '巴青县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118626, 'DISTRICT', '540629', '尼玛县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118627, 'DISTRICT', '540630', '双湖县', 118273, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118628, 'DISTRICT', '610118', '鄠邑区', 100362, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118629, 'DISTRICT', '610305', '凤翔区', 100360, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118630, 'DISTRICT', '610482', '彬州市', 100361, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118631, 'DISTRICT', '610681', '子长市', 100369, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118632, 'DISTRICT', '610703', '南郑区', 100366, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118633, 'DISTRICT', '610881', '神木市', 100367, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118634, 'DISTRICT', '610981', '旬阳市', 100365, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118635, 'DISTRICT', '620171', '兰州新区', 100371, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118636, 'DISTRICT', '620201', '市辖区', 100373, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118637, 'DISTRICT', '620881', '华亭市', 100377, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118638, 'DISTRICT', '630106', '湟中区', 100384, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118639, 'DISTRICT', '632301', '同仁市', 100386, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118640, 'DISTRICT', '632803', '茫崖市', 100388, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118641, 'DISTRICT', '632857', '大柴旦行政委员会', 100388, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118642, 'DISTRICT', '652871', '库尔勒经济技术开发区', 100403, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118643, 'DISTRICT', '652902', '库车市', 100404, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118644, 'DISTRICT', '654203', '沙湾市', 100411, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118645, 'DISTRICT', '659001', '石河子市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118646, 'DISTRICT', '659002', '阿拉尔市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118647, 'DISTRICT', '659003', '图木舒克市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118648, 'DISTRICT', '659004', '五家渠市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118649, 'DISTRICT', '659005', '北屯市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118650, 'DISTRICT', '659006', '铁门关市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118651, 'DISTRICT', '659007', '双河市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118652, 'DISTRICT', '659008', '可克达拉市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118653, 'DISTRICT', '659009', '昆玉市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118654, 'DISTRICT', '659010', '胡杨河市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);
INSERT INTO `biz_dict` VALUES (118655, 'DISTRICT', '659011', '新星市', 118274, '2022-08-15 17:28:09', '2022-08-15 17:28:09', NULL, NULL, 0, 0, b'0', 0);

-- ----------------------------
-- Table structure for biz_tenant
-- ----------------------------
DROP TABLE IF EXISTS `biz_tenant`;
CREATE TABLE `biz_tenant`  (
  `id` bigint NOT NULL COMMENT '主键 对应snms 系统中nbms_ent 中的 id',
  `ent_id` bigint NOT NULL DEFAULT 0 COMMENT 'snms 系统企业 id',
  `identity` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '标识信息',
  `identity_qc_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标识二维码',
  `logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '企业Logo',
  `rotation_chart` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '轮播图',
  `business_license` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '营业执照',
  `snms_password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'snms_系统 登录密码',
  `snms_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT 'snms_系统 登录名称',
  `org_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '租户名称 = snms系统中的企业名称',
  `db_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据库连接 url',
  `db_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据库连接 用户名',
  `db_password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据库连接 密码',
  `database_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据库名',
  `db_host` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据库主机',
  `vip` tinyint NOT NULL DEFAULT 0 COMMENT '0 普通/1 VIP VIP租户有独立数据库',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态 1 正常 2 停用',
  `expire` datetime(6) NULL DEFAULT NULL COMMENT '过期时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  `create_time` datetime(6) NOT NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '创建时间',
  `creator_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建者',
  `update_time` datetime(6) NOT NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '更新时间',
  `updater_id` bigint NOT NULL DEFAULT 0 COMMENT '更新者',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '软删除标记',
  `version` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '乐观锁标记',
  `ent_prefix` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '企业前缀',
  `org_nature` tinyint NOT NULL DEFAULT 0 COMMENT '单位性质 单位性质，国有控股、民营控股、外商控股、事业单位、民营非盈利，对应取值1-5',
  `org_addr` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '单位地址，详细地址',
  `county` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '区',
  `city` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '市',
  `province` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '省',
  `org_addr_province` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '单位地址，省，取值遵从全国省市区行政编码，如北京110000',
  `org_addr_city` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '单位地址，市，取值遵从全国省市区行政编码，如北京市则展示为直辖市，取值110100',
  `org_addr_county` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '单位地址，县，取值遵从全国省市区行政编码，如北京的东城区110101',
  `org_crt_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '单位证件号',
  `org_crt_type` tinyint(1) NOT NULL COMMENT '单位证件类型，统一社会信用代码、其他，对应取值1-2',
  `org_desc` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '单位简介，200字左右企业简介，包括公司名称、成立时间、所在省市、主营业务、主要用户群体、行业地位等信息。',
  `industry_category` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '服务行业，行业门类，参考《GB/T 4754—2017国民经济行业分类》，如门类“农、林、牧、渔业”对应“A”\r\n',
  `industry_specific` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '服务行业，行业大类，参考《GB/T 4754—2017国民经济行业分类》，如大类“农业”对应“01”。和门类有级联关系',
  `website` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '官方网站',
  `legal_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '法定代表人姓名',
  `contact_email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '联系人邮箱，正则表达式：\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*',
  `contact_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '联系人手机号，正则表达式：(1[0-9][0-9])\\d{8}',
  `contact_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '联系人姓名',
  `reg_capital` bigint NULL DEFAULT NULL COMMENT '注册资本，单位元',
  `audit_msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '审核状态',
  `audit_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '审核人',
  `audit_date` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '审核日期',
  `establish_date` datetime(6) NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '成立日期',
  `introduction` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '企业介绍',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `pk_id`(`id` ASC) USING BTREE,
  INDEX `idx_ent_id`(`ent_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of biz_tenant
-- ----------------------------
INSERT INTO `biz_tenant` VALUES (105, 105, '88.472.00001/105', NULL, '', NULL, '', 'Ymtl618@', '天恩璐（辽宁）技术有限公司', '天恩璐（辽宁）技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:49.000000', 1, '2023-09-22 10:06:01.000000', 1, b'0', 2, '88.472.00001', 2, '大连市开发区双D港数字三路26号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210245787347728W', 1, NULL, 'C', '34', NULL, '廖荣强', '1241614508@qq.com', '13841062257', '廖荣强', NULL, '审核通过', 'admin', '2023-03-15 14:46:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (106, 106, '88.472.60012/PROD106', '/profile/identity/company/106-s.png', '/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg', '/profile/upload/2023/09/07/微信图片_20230201095554_20230907091807A001.jpg,/profile/upload/2023/09/07/微信图片_20230201095602_20230907091807A002.jpg,/profile/upload/2023/09/07/微信图片_20230201095550_20230907091808A003.jpg', '', 'Ymtl618@', '18640822691', '大连真材实料科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-08-21 16:10:01.000000', 1, '2023-10-10 14:47:20.000000', 1, b'0', 1096, '88.472.60012', 2, '辽宁省大连大连经济技术开发区数字三路26-1号1-4层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA1142T79A', 1, NULL, 'M', '75', NULL, '乔云', '18640822691@163.com', '18640822691', '乔云', NULL, '审核通过', 'admin', '2023-03-27 08:09:27', '0000-00-00 00:00:00.000000', '<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [46]</sup></span><a href=\"\" target=\"\"> </a> 。</p><p style=\"text-align: center;\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\" alt=\"\" data-href=\"\" style=\"width: 483.00px;height: 271.69px;\"></p><p><span style=\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [1]</sup></span><a href=\"\" target=\"\"> </a> 。</p><p style=\"text-align: center;\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <img src=\"/prod-api/profile/upload/2023/09/07/image_20230907092024A005.png\" alt=\"\" data-href=\"\" style=\"width: 510.00px;height: 286.88px;\"></p><h3>性格特点</h3><p style=\"text-align: center;\"> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布和姐姐巴尔虽然在时间“磨损”一事上有共同的认知，但相比为未来担忧的巴尔泽布，巴尔更愿意把注意力放到现在。那时的巴尔泽布只能反省自己身为一介影武者，居然比雷电将军还古板。她也会反思，想学着和姐姐一样，更加从容一些。但突变之日来得太快，巴尔泽布毫无防备。回过神来，她手中竟已握着弥留之际的巴尔递来的刀<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [50]</sup></span><a href=\"\" target=\"\"> </a> 。</p><p style=\"text-align: center;\"><img src=\"/prod-api/profile/upload/2023/09/07/image_20230907092056A007.png\" alt=\"\" data-href=\"\" style=\"width: 577.00px;height: 324.56px;\"></p><p> &nbsp; &nbsp; &nbsp; &nbsp;只要前进，便会有所失去。巴尔泽布认为，这正是以时间为载体作用于整个世界的钢铁法则。终有一日，稻妻将会失去神的庇护。身为武人，她警惕一切对手。哪怕敌人是如时间般虚无的危机，她也要赶在那一日到来之前，找到反击的武器。她的答案是“永恒”。唯有“永恒”能令万物停驻，能令稻妻长生不灭<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [47]</sup></span><a href=\"\" target=\"\"> </a> 。她也知道，追求“永恒”可能也只是一种逃避罢了。最后她隐于一心净土的方法也和缩壳乌龟一样。不过她乐观的认为，乌龟本来就是长寿的象征，说不定追求永恒就是会变成这样的形态<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [59]</sup></span><a href=\"\" target=\"\"> </a> 。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;眼狩令事件中，巴尔泽布心中认定的“永恒”被民众的万千“愿望”所动摇。她心中空明，本已臻自我之境，可听见人民的呼喊，便要为之停下脚步<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [55]</sup></span><a href=\"\" target=\"\"> </a> 。前进会带来失去，但也会创造相遇<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [89]</sup></span><a href=\"\" target=\"\"> </a> 。身为稻妻之神，她背负投向天光的万千视线，战胜曾经订立的永恒的规则，回应了稻妻子民的愿望<span style=\"color: rgb(51, 102, 204); font-size: 12px;\"><sup> [91]</sup></span><a href=\"\" target=\"\"> </a> 。</p>');
INSERT INTO `biz_tenant` VALUES (107, 107, '88.472.20001/107', NULL, '', NULL, '', 'Ymtl618@', 'dlhllius@163.com', '大连宏朗机械工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:51.000000', 1, '2023-09-22 10:20:53.000000', 1, b'0', 2, '88.472.20001', 2, '辽宁省大连市甘井子区西北路860-5号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210200740916030L', 1, NULL, 'C', '34', NULL, '李京元', 'dlhllius@163.com', '13795168757', '李京元', NULL, '审核通过', 'admin', '2023-03-20 08:17:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (108, 108, '88.472.60013/108', NULL, '', NULL, '', 'Ymtl618@', '18640915335', '甘井子区周水子街道嘉创建材商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:42.000000', 1, '2023-09-22 09:59:44.000000', 1, b'0', 2, '88.472.60013', 2, '西南路芳林园45号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UKWRJ8R', 1, NULL, 'F', '51', NULL, '王海杰', 'ling19890810@163.com', '18640915335', '王海杰', NULL, '审核通过', 'admin', '2023-03-20 15:02:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (109, 109, '88.472.60010/109', NULL, '', NULL, '', 'Ymtl618@', '493021830@qq.com', '益恩喜（大连）生物科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:56.000000', 1, '2023-09-22 10:20:59.000000', 1, b'0', 2, '88.472.60010', 2, '辽宁省大连经济技术开发区数字三路26-1号二层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10PL0C0J', 1, NULL, 'M', '75', NULL, ' 张卉', '493021830@qq.com', '18104115022', ' 张卉', NULL, '审核通过', 'admin', '2023-03-20 15:19:12', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (110, 110, '88.472.60009/110', NULL, '', NULL, '', 'Ymtl618@', '727130615@qq.com', '大连万德润贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:26:11.000000', 1, '2023-09-22 10:26:23.000000', 1, b'0', 2, '88.472.60009', 2, '辽宁省大连市沙河口区中山路692号29层18号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA7MP97R65', 1, NULL, 'F', '52', NULL, '孙喜君', '727130615@qq.com', '18104115069', '孙喜君', NULL, '审核通过', 'admin', '2023-03-20 16:01:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (111, 111, '88.472.20008/111', NULL, '', NULL, '', 'Ymtl618@', '15140574991', '大连融恒包装制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:49:23.000000', 1, '2023-09-22 09:49:26.000000', 1, b'0', 2, '88.472.20008', 2, '开发区保灵街16号1-6', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0Y70F44N', 1, NULL, 'C', '22', NULL, '李明', '616283759@qq.com', '15140574991', '李明', NULL, '审核通过', 'admin', '2023-03-21 11:45:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (113, 113, '88.472.80002/113', NULL, '', NULL, '', 'Ymtl618@', 'yuhaiyue@tianenlu.net', '天恩璐（大连）航运有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:00.000000', 1, '2023-09-22 10:03:02.000000', 1, b'0', 2, '88.472.80002', 2, '辽宁省大连长兴岛经济区三堂中心街5-7号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210244669241957Q', 1, NULL, 'G', '55', NULL, '于海跃', 'yuhaiyue@tianenlu.net', '18104115044', '于海跃', NULL, '审核通过', 'admin', '2023-03-21 13:50:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (114, 114, '88.472.60036/114', NULL, '', NULL, '', 'Ymtl618@', '15542398981', '大连冠力电机科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:53.000000', 1, '2023-09-22 09:56:55.000000', 1, b'0', 2, '88.472.60036', 2, '旅顺口区三涧堡工业园区科达路906-2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102123114785891', 1, NULL, 'M', '73', NULL, '冯韵娇', 'glyc2014@126.com', '15542398981', '冯韵娇', NULL, '审核通过', 'admin', '2023-03-21 14:00:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (115, 115, '88.472.60037/115', NULL, '', NULL, '', 'Ymtl618@', '13591170678', '大连隆兴达机电设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:13:18.000000', 1, '2023-09-22 10:13:27.000000', 1, b'0', 2, '88.472.60037', 2, '石门街64号2-4-1', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204665802139G', 1, NULL, 'F', '51', NULL, '徐忠丽', 'suoziming@163.com', '13591170678', '徐忠丽', NULL, '审核通过', 'admin', '2023-03-21 14:18:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (116, 116, '88.472.20003/116', NULL, '', NULL, '', 'Ymtl618@', '13478969859', '大连拓北成电机有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:37.000000', 1, '2023-09-22 10:11:40.000000', 1, b'0', 2, '88.472.20003', 2, '数字3路26-1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210211MA0YFKWWX1', 1, NULL, 'C', '35', NULL, '贺北华', 'zhangcong_723@163.com', '13478969859', '贺北华', NULL, '审核通过', 'admin', '2023-03-21 14:46:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (117, 117, '88.472.60031/117', NULL, '', NULL, '', 'Ymtl618@', '15141140983', '大连易智造科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:51:16.000000', 1, '2023-09-22 09:51:23.000000', 1, b'0', 2, '88.472.60031', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号4109室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210242MA0UKBUW6E', 1, NULL, 'I', '65', NULL, ' 乔云', '2433329363@qq.com', '15141140983', ' 乔云', NULL, '审核通过', 'admin', '2023-03-21 14:57:22', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (118, 118, '88.472.60021/118', NULL, '', NULL, '', 'Ymtl618@', '15840658606@163.com', '甘井子区大连湾街道瑞杰电器服务部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:06:31.000000', 1, '2023-09-22 10:06:34.000000', 1, b'0', 2, '88.472.60021', 2, '大连湾镇大房身村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0TPEHM6G', 1, '', 'F', '52', NULL, '王玉杰', '15840658606@163.com', '15840658606', '王玉杰', NULL, '审核通过', 'admin', '2023-03-21 15:38:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (119, 119, '88.472.60033/119', NULL, '', NULL, '', 'Ymtl618@', '18525466893', '大连易模软件有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:46.000000', 1, '2023-09-22 09:54:50.000000', 1, b'0', 2, '88.472.60033', 2, '辽宁省大连市甘井子区春田园D-3、D-4号（1跃5）', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '9121021105807757XF', 1, NULL, 'I', '65', NULL, '乔云', '18640822691@163.com', '18525466893', '乔云', NULL, '审核通过', 'admin', '2023-03-21 15:39:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (120, 120, '88.472.60025/120', NULL, '', NULL, '', 'Ymtl618@', '15840658606@163.co', '大连海洋鸿邦印刷有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:06:02.000000', 1, '2023-09-22 10:06:10.000000', 1, b'0', 2, '88.472.60025', 2, '大连湾', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102117644452614', 1, NULL, 'C', '23', NULL, '刘冬松', 'zhangmeiling@tianenlu.net', '13904092631', '刘冬松', NULL, '审核通过', 'admin', '2023-03-21 16:00:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (121, 121, '88.472.60034/121', NULL, '', NULL, '', 'Ymtl618@', 'lihengtechnology@126.com', '大连立珩科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:41.000000', 1, '2023-09-22 09:57:44.000000', 1, b'0', 2, '88.472.60034', 2, '辽宁省大连市金普新区悦祥街6号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0U1K1D7W', 1, NULL, 'M', '74', NULL, '冯树秋', 'lihengtechnology@126.com', '13478560618', '冯树秋', NULL, '审核通过', 'admin', '2023-03-21 16:45:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (122, 122, '88.472.60027/122', NULL, '', NULL, '', 'Ymtl618@', '15504099110', '大连龙御生态科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:53:18.000000', 1, '2023-09-22 09:53:23.000000', 1, b'0', 2, '88.472.60027', 2, '中国（辽宁）自由贸易试验区大连保税区海兴街60-1号816室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MAOYC5L6XD', 1, NULL, 'M', '73', NULL, '张科', '15840658606@163.com', '15840658606', '张科', NULL, '审核通过', 'admin', '2023-03-21 17:00:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (123, 123, '88.472.60026/123', NULL, '', NULL, '', 'Ymtl618@', '442444952@qq.com', '大连浩庭科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:00.000000', 1, '2023-09-22 10:20:03.000000', 1, b'0', 2, '88.472.60026', 2, '辽宁省大连市中山区安乐街40号4层3号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '912102000715625373', 1, NULL, 'I', '65', NULL, '张科', '15840658606@163.com', '15840658606', '张科', NULL, '审核通过', 'admin', '2023-03-21 17:24:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (124, 124, '88.472.50001/124', NULL, '', NULL, '', 'Ymtl618@', '13050528197', '大连正金建筑劳务分包有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:46.000000', 1, '2023-09-22 09:54:50.000000', 1, b'0', 2, '88.472.50001', 2, '先进街道金海嘉园12号1单元1203', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213588076208T', 1, NULL, 'E', '50', NULL, '刁正金', '1449323063@qq.com', '13050528197', '刁正金', NULL, '审核通过', 'admin', '2023-03-22 11:27:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (125, 125, '88.472.60004/125', NULL, '', NULL, '', 'Ymtl618@', '13050578956', '大连百川国际物流有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:13.000000', 1, '2023-09-22 09:55:20.000000', 1, b'0', 2, '88.472.60004', 2, '保税区自贸大厦816室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA11FC2M7P', 1, NULL, 'G', '58', NULL, '刁成', '623698567@qq.com', '13050578956', '刁成', NULL, '审核通过', 'admin', '2023-03-22 13:14:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (126, 126, '88.472.30003/126', NULL, '', NULL, '', 'Ymtl618@', '13332266776', '大连泰琦食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:33.000000', 1, '2023-09-22 10:00:37.000000', 1, b'0', 2, '88.472.30003', 2, '老虎屯经济开发区', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '210204198501033954', 1, NULL, 'C', '13', NULL, '迟恒', 'taiqi@vip.163.com', '13332266776', '迟恒', NULL, '审核通过', 'admin', '2023-03-22 14:18:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (127, 127, '88.472.10001/127', NULL, '', NULL, '', 'Ymtl618@', '18641195273', '轩唐特种电机（辽宁）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:47.000000', 1, '2023-09-22 10:00:50.000000', 1, b'0', 2, '88.472.10001', 2, '大连经济技术开发区数字三路26-1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210105774817428R', 1, NULL, 'C', '38', NULL, '贺北华', '545981669@qq.com', '18641195273', '贺北华', NULL, '审核通过', 'admin', '2023-03-22 15:39:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (128, 128, '88.472.60028/128', NULL, '', NULL, '', 'Ymtl618@', '15840658606@163', '大连美荣杰物资经贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:04:52.000000', 1, '2023-09-22 10:05:43.000000', 1, b'0', 2, '88.472.60028', 2, '辽宁省大连市甘井子区香周路357号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102117607714655', 1, NULL, 'F', '51', NULL, '王波', '15840658606@163.com', '15840658606', '王波', NULL, '审核通过', 'admin', '2023-03-22 15:46:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (129, 129, '88.472.60018/129', NULL, '', NULL, '', 'Ymtl618@', 'dyw10@163.com', '中山区珏美办公用品商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:51:58.000000', 1, '2023-09-22 09:52:21.000000', 1, b'0', 2, '88.472.60018', 2, '辽宁省大连市中山区天津街271号G层B111-1号商铺 ', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '92210202MA0TXR656E', 1, NULL, 'F', '52', NULL, '张文华', 'dyw10@163.com', '13352213389', '张文华', NULL, '审核通过', 'admin', '2023-03-22 16:26:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (130, 130, '88.472.30002/130', NULL, '', NULL, '', 'Ymtl618@', 'dlxxhs1996@163.com', '大连禹霖水产有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:50:00.000000', 1, '2023-09-22 09:50:08.000000', 1, b'0', 2, '88.472.30002', 2, '姚家工业区姚工街97-2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211677517191L', 1, NULL, 'F', '51', NULL, '李广新', 'dlxxhs1996@163.com', '15898105665', '李广新', NULL, '审核通过', 'admin', '2023-03-22 16:56:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (131, 131, '88.472.60017/131', NULL, '', NULL, '', 'Ymtl618@', '478833980@qq.com', '大连佳兆业赛博数码广场巴索珏电子产品经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:33.000000', 1, '2023-09-22 10:20:37.000000', 1, b'0', 2, '88.472.60017', 2, '辽宁省大连市中山区天津街257号佳兆业赛博数码广场G层OC24号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '92210202MA0X06MG4N', 1, NULL, 'F', '51', NULL, '张文华', '478833980@qq.com', '15140512033', '张文华', NULL, '审核通过', 'admin', '2023-03-22 16:56:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (132, 132, '88.472.20002/132', NULL, '', NULL, '', 'Ymtl618@', '甘井子区宏君自动化机电经营部', '甘井子区宏君自动化机电经营部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:11.000000', 1, '2023-09-22 10:16:16.000000', 1, b'0', 2, '88.472.20002', 2, '辽宁省大连市甘井子区泉水A4区43A百斯德AF层340', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA7JDR9848', 1, NULL, 'C', '40', NULL, '侯盺朋', '646851930@QQ.COM', '15940844449', '侯盺朋', NULL, '审核通过', 'admin', '2023-03-22 17:09:23', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (133, 133, '88.472.60038/133', NULL, '', NULL, '', 'Ymtl618@', '中山区昕辉机电产品经销处', '中山区昕辉机电产品经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:10:45.000000', 1, '2023-09-22 10:10:46.000000', 1, b'0', 2, '88.472.60038', 2, '辽宁省大连市中山区涟景园3号5单元8层1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '92210202MA0UALWA1C', 1, NULL, 'F', '51', NULL, '侯昕朋', '646851930@qq.com', '15940844449', '侯昕朋', NULL, '审核通过', 'admin', '2023-03-22 17:43:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (134, 134, '88.472.60019/134', NULL, '', NULL, '', 'Ymtl618@', '15840658606@1', '甘井子区大连湾街道红光电器配件商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:04:32.000000', 1, '2023-09-22 10:04:35.000000', 1, b'0', 2, '88.472.60019', 2, '大连湾港北小区7号楼4号车库', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UDL1H88', 1, NULL, 'F', '52', NULL, '于德恩', '15840658606@163.com', '15840658606', '于德恩', NULL, '审核通过', 'admin', '2023-03-23 09:40:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (135, 135, '88.472.60020/135', NULL, '', NULL, '', 'Ymtl618@', '15840658606@', '甘井子区大连湾街道智恩机电设备经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:46.000000', 1, '2023-09-22 10:04:06.000000', 1, b'0', 2, '88.472.60020', 2, '辽宁省大连市甘井子区大连湾镇大连湾村于屯', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UCJ4K0C', 1, NULL, 'F', '51', NULL, '孙有全', '15840658606@163.com', '15840658606', '孙有全', NULL, '审核通过', 'admin', '2023-03-23 10:08:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (136, 136, '88.472.60039/136', NULL, '', NULL, '', 'Ymtl618@', '大连恒爱信工程技术有限公司', '大连恒爱信工程技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:20.000000', 1, '2023-09-22 10:18:41.000000', 1, b'0', 4, '88.472.60039', 2, '中华西路25号1单元8层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '9121020409887870XK', 1, NULL, 'M', '74', NULL, '姜帅', '306462066@qq.com', '13898609435', '姜帅', NULL, '审核通过', 'admin', '2023-03-23 10:12:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (137, 137, '88.472.20004/137', '', '', NULL, '', 'Ymtl618@', '大连市甘井子区大连湾街道弘日电子技术服务部', '大连市甘井子区大连湾街道弘日电子技术服务部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:40.000000', 1, '2023-09-22 10:10:39.000000', 1, b'0', 10, '88.472.20004', 2, '辽宁省大连市甘井子区大连湾街道港北小区9号楼4号仓库', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UDL1E3M', 1, NULL, 'C', '43', NULL, '于德恩', '15840658606@163.com', '15840658606', '于德恩', NULL, '审核通过', 'admin', '2023-03-23 10:35:23', '0000-00-00 00:00:00.000000', '<p><br></p>');
INSERT INTO `biz_tenant` VALUES (138, 138, '88.472.60022/138', NULL, '', NULL, '', 'Ymtl618@', '15840658606', '大连经济技术开发区成伟五金商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:22.000000', 1, '2023-09-22 10:03:28.000000', 1, b'0', 2, '88.472.60022', 2, '辽宁省大连经济技术开发区金马路169号金玛五金机电城一层17号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MA0WX8WM1L', 1, NULL, 'F', '52', NULL, '邹校成', '15840658606@163.com', '15840658606', '邹校成', NULL, '审核通过', 'admin', '2023-03-23 10:35:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (139, 139, '88.472.80001/139', NULL, '', NULL, '', 'Ymtl618@', '大连东应船舶服务有限公司', '大连东应船舶服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:18:47.000000', 1, '2023-09-22 09:55:10.000000', 1, b'0', 6, '88.472.80001', 2, '辽宁省大连保税区自贸大厦815室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MAC2RRER1F', 1, NULL, 'G', '55', NULL, '于德恩', '15840658606@163.com', '15840658606', '于德恩', NULL, '审核通过', 'admin', '2023-03-23 10:59:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (140, 140, '88.472.60023/140', NULL, '', NULL, '', 'Ymtl618@', '1584065860', '大连经济技术开发区品伟机电商店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:03.000000', 1, '2023-09-22 10:03:06.000000', 1, b'0', 2, '88.472.60023', 2, '经济技术开发区金马路169号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210212MA0X1YUP0N', 1, NULL, 'F', '52', NULL, '邹校成', '15840658606@163.com', '15840658606', '邹校成', NULL, '审核通过', 'admin', '2023-03-23 11:09:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (141, 141, '88.472.60003/141', NULL, '', NULL, '', 'Ymtl618@', '大连薛阿姨食品有限公司', '大连薛阿姨食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:55:47.000000', 1, '2023-09-22 10:15:18.000000', 1, b'0', 4, '88.472.60003', 2, '姚家工业区姚工街97-2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0XY3NR8Q', 1, NULL, 'F', '51', NULL, '薛桂艳', 'dlxxhs1996@163.com', '15898105665', '薛桂艳', NULL, '审核通过', 'admin', '2023-03-23 11:09:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (142, 142, '88.472.60005/142', NULL, '', NULL, '', 'Ymtl618@', '大连家园共育文化发展服务有限公司', '大连家园共育文化发展服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:46.000000', 1, '2023-09-22 10:01:19.000000', 1, b'0', 6, '88.472.60005', 2, '辽宁省大连市沙河口区如意街38号15层8号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA108MUN1B', 1, NULL, 'R', '90', NULL, '贾福莲', '727130615@qq.com', '13387892852', '贾福莲', NULL, '审核通过', 'admin', '2023-03-23 11:50:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (143, 143, '88.472.60001/143', NULL, '', NULL, '', 'Ymtl618@', '甘井子区翔顺电力电子元器件商行', '甘井子区翔顺电力电子元器件商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:56:44.000000', 1, '2023-09-22 10:15:45.000000', 1, b'0', 4, '88.472.60001', 2, '泉水A4区43A（百斯德商场）AF340-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA7J0NKY5G', 1, NULL, 'F', '52', NULL, '亲重顺', 'QZS6507925@163.com', '13889504677', '亲重顺', NULL, '审核通过', 'admin', '2023-03-23 14:10:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (144, 144, '88.472.20007/144', NULL, '', NULL, '', 'Ymtl618@', '大连科天新材料有限公司', '大连科天新材料有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:28.000000', 1, '2023-09-22 10:09:25.000000', 1, b'0', 6, '88.472.20007', 2, '辽宁省大连高新技术产业园区广贤路131号科创大厦13层1302室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0U98X3X6', 1, NULL, 'M', '75', NULL, '王汉光', 'wqw@ktalloys.com', '13614283210', '王汉光', NULL, '审核通过', 'admin', '2023-03-23 14:27:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (145, 145, '88.472.60024/145', NULL, '', NULL, '', 'Ymtl618@', '158406586', '大连金州区新品伟机电商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:02:41.000000', 1, '2023-09-22 10:02:45.000000', 1, b'0', 2, '88.472.60024', 2, '金发地市场', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MA0WX6AA8A', 1, NULL, 'F', '52', NULL, '邹校成', '15840658606@163.com', '15840658606', '邹校成', NULL, '审核通过', 'admin', '2023-03-23 14:36:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (146, 146, '88.472.20006/146', NULL, '', NULL, '', 'Ymtl618@', '大连市甘井子区伊休楼梯制造厂', '大连市甘井子区伊休楼梯制造厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:57:22.000000', 1, '2023-09-22 10:09:48.000000', 1, b'0', 4, '88.472.20006', 2, '姚北路48号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UQF4D99', 1, NULL, 'C', '21', NULL, '张红兵', '13050827237@163.com', '13130044548', '张红兵', NULL, '审核通过', 'admin', '2023-03-23 15:07:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (147, 147, '88.472.60040/147', NULL, '', NULL, '', 'Ymtl618@', '大连嘉福消费品综合市场有限公司', '大连嘉福消费品综合市场有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:51:05.000000', 1, '2023-09-22 09:51:17.000000', 1, b'0', 2, '88.472.60040', 2, '玉镜路114号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA11330Q7L', 1, NULL, 'L', '72', NULL, '黄颖', '506617408@qq.com', '17504267377', '黄颖', NULL, '审核通过', 'admin', '2023-03-23 15:26:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (148, 148, '88.472.60041/148', NULL, '', NULL, '', 'Ymtl618@', '上海君戎机电商行', '上海君戎机电商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:15:41.000000', 1, '2023-09-22 10:09:57.000000', 1, b'0', 6, '88.472.60041', 2, '上海市虹口区宝隆一方大厦507室', '虹口区', '上海', '上海', '310000', '310100', '310109', '91310230MA1JUJC242', 1, NULL, 'F', '51', NULL, '侯昕朋', '646851930@qq.com', '15940844449', '侯昕朋', NULL, '审核通过', 'admin', '2023-03-23 15:28:13', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (149, 149, '88.472.30001/149', NULL, '', NULL, '', 'Ymtl618@', '大连慢丽江餐饮管理有限公司', '大连慢丽江餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:55.000000', 1, '2023-09-22 10:22:15.000000', 1, b'0', 6, '88.472.30001', 2, '兴工南五街25号6层9号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204311503107H', 1, NULL, 'L', '72', NULL, '蔡宏伟', '13841062257@163.com', '13332223050', '蔡宏伟', NULL, '审核通过', 'admin', '2023-03-23 15:28:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (150, 150, '88.472.60030/150', NULL, '', NULL, '', 'Ymtl618@', '15840658', '大连海洋鸿邦印刷有限公司保税区分公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:02:20.000000', 1, '2023-09-22 10:02:25.000000', 1, b'0', 2, '88.472.60030', 2, '保税区自贸大厦814室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10W7R47N', 1, NULL, 'C', '23', NULL, '张科', '15840658606@163.com', '15840658606', '张科', NULL, '审核通过', 'admin', '2023-03-23 16:16:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (151, 151, '88.472.60042/PROD151', '/profile/identity/company/151-s.png', '', NULL, '/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg', 'Ymtl618@', '桑原电机(大连)有限公司', '桑原电机(大连)有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-08-21 15:37:24.000000', 1, '2023-10-10 14:38:32.000000', 1, b'0', 82, '88.472.60042', 2, '保税区市场大厦320F-3', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242582041194H', 1, NULL, 'F', '51', NULL, ' 辜国权', 'sydj_022@163.com', '13904118911', ' 辜国权', NULL, '审核通过', 'admin', '2023-03-23 16:17:28', '0000-00-00 00:00:00.000000', '<p><img src=\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\" alt=\"\" data-href=\"\" style=\"\"/><img src=\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\" alt=\"\" data-href=\"\" style=\"\"/></p>');
INSERT INTO `biz_tenant` VALUES (152, 152, '88.472.60043/152', NULL, '', NULL, '', 'Ymtl618@', '大连东原驱动技术有限公司', '大连东原驱动技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:18:26.000000', 1, '2023-09-22 09:54:46.000000', 1, b'0', 6, '88.472.60043', 2, '辽宁省大连市庄河市石城乡光明村大房身屯(政府办公楼217)', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA10GYY3XU', 1, NULL, 'M', '75', NULL, '辜国权', 'sydj_023@163.com', '18904176466', '辜国权', NULL, '审核通过', 'admin', '2023-03-23 16:19:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (153, 153, '88.472.60044/153', NULL, '', NULL, '', 'Ymtl618@', '东方成套设备（大连）有限公司', '东方成套设备（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:16:09.000000', 1, '2023-09-22 10:10:12.000000', 1, b'0', 6, '88.472.60044', 2, '辽宁省大连保税区慧能大厦649', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '9121024255982115X5', 1, NULL, 'F', '51', NULL, '辜国权', 'sydj_027@163.com', '13500722625', '辜国权', NULL, '审核通过', 'admin', '2023-03-23 16:20:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (154, 154, '88.472.60029/154', NULL, '', NULL, '', 'Ymtl618@', '1584065', '大连市甘井子区华北路嵘杰轴承经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:02:05.000000', 1, '2023-09-22 10:02:09.000000', 1, b'0', 2, '88.472.60029', 2, '华北路357号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0WUCRH36', 1, NULL, 'F', '51', NULL, '王波', '15840658606@163.com', '15840658606', '王波', NULL, '审核通过', 'admin', '2023-03-24 09:47:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (155, 155, '88.472.60006/155', NULL, '', NULL, '', 'Ymtl618@', '15641180711', '大连古鲟时代生物科技有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:27.000000', 1, '2023-09-22 09:59:30.000000', 1, b'0', 2, '88.472.60006', 2, '大连市沙河口区中山路403号13层', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA10UOM614', 1, NULL, 'A', '05', NULL, '杨晓英', 'tangtang210208@sohu.com', '15641180711', '杨晓英', NULL, '审核通过', 'admin', '2023-03-24 10:23:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (157, 157, '88.472.60015/157', NULL, '', NULL, '', 'Ymtl618@', '中山区珏美日用品百货超市', '中山区珏美日用百货超市', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:47.000000', 1, '2023-09-22 10:11:21.000000', 1, b'0', 4, '88.472.60015', 2, '辽宁省大连市中山区吉庆街90号1层1-1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '92210202MA119PA19N', 1, NULL, 'F', '52', NULL, '张文华', '1411835303@qq.com', '15668659337', '张文华', NULL, '审核通过', 'admin', '2023-03-24 10:35:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (158, 158, '88.472.60046/158', NULL, '', NULL, '', 'Ymtl618@', '大连北岗汽配城光辉汽车维修服务中心', '大连北岗汽配城光辉汽车维修服务中心', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:39.000000', 1, '2023-09-22 10:08:54.000000', 1, b'0', 6, '88.472.60046', 2, '辽宁省大连市西岗区北岗汽配城修理1区四栋4号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '92210203MA0WWH0D3D', 1, NULL, 'O', '81', NULL, '韩英', 'yuhaiyue119@163.com', '18742594444', '韩英', NULL, '审核通过', 'admin', '2023-03-24 11:33:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (159, 159, '88.472.60045/159', NULL, '', NULL, '', 'Ymtl618@', '甘井子区金三角市场宝安居照明器材经销部', '甘井子区金三角市场宝安居照明器材经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:36.000000', 1, '2023-09-22 10:14:26.000000', 1, b'0', 6, '88.472.60045', 2, '辽宁省大连市甘井子区金三角广场15-64号（金三角建材家居广场A号楼地下西D-23、西D-25号）', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0WTMML65', 1, NULL, 'F', '52', NULL, '张玉玲 ', '444073627@qq.com', '15942804886', '张玉玲 ', NULL, '审核通过', 'admin', '2023-03-24 11:34:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (160, 160, '88.472.60008/160', NULL, '', NULL, '', 'Ymtl618@', '15641180711@126.com', '辽宁新纪元水产开发有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:48.000000', 1, '2023-09-22 09:59:51.000000', 1, b'0', 2, '88.472.60008', 2, '辽宁省营口盖州市双台镇思拉堡村', '盖州市', '营口市', '辽宁省', '210000', '210800', '210881', '912108007497562640', 1, NULL, 'A', '04', NULL, '杨晓英', 'tangtang210208@sohu.com', '13478789159', '杨晓英', NULL, '审核通过', 'admin', '2023-03-24 13:53:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (161, 161, '88.472.60016/161', NULL, '', NULL, '', 'Ymtl618@', '317182018@qq.com', '大连巴索珏网络科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:54.000000', 1, '2023-09-22 10:17:00.000000', 1, b'0', 2, '88.472.60016', 2, '辽宁省大连保税区海富路9-1号2869室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0TW23W42', 1, NULL, 'I', '65', NULL, '张文华', '317182018@qq.com', '13352298608', '张文华', NULL, '审核通过', 'admin', '2023-03-24 14:27:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (162, 162, '88.472.60032/162', NULL, '', NULL, '', 'Ymtl618@', '技合互联网信息服务（上海）有限公司大连分公司', '技合互联网信息服务（上海）有限公司大连分公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:14.000000', 1, '2023-09-22 10:15:44.000000', 1, b'0', 6, '88.472.60032', 2, '辽宁省大连市中山区七一街11号13层1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210242MA10DMBXX6', 1, NULL, 'I', '64', NULL, ' 侯昕朋', '646851930@QQ.COM', '15940844449', ' 侯昕朋', NULL, '审核通过', 'admin', '2023-03-24 14:46:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (163, 163, '88.472.60014/163', NULL, '', NULL, '', 'Ymtl618@', '18018997073', '大连康立机电设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:46.000000', 1, '2023-09-22 10:14:49.000000', 1, b'0', 2, '88.472.60014', 2, '辽宁省大连市西岗区菜市街4号25层5号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '912102007824800017', 1, NULL, 'F', '51', NULL, '徐翀', 'kljd2004@163.com', '18018997073', '徐翀', NULL, '审核通过', 'admin', '2023-03-24 15:26:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (164, 164, '88.472.60002/164', NULL, '', NULL, '', 'Ymtl618@', '成都众志信法律咨询有限公司大连分公司', '成都众志信法律咨询有限公司大连分公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:53.000000', 1, '2023-09-22 10:14:53.000000', 1, b'0', 6, '88.472.60002', 2, '辽宁省大连市中山区七一街11号13层2号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA10QF933B', 1, NULL, 'L', '72', NULL, '侯昕朋', '646851930@QQ.COM', '15940844449', '侯昕朋', NULL, '审核通过', 'admin', '2023-03-24 16:33:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (165, 165, '88.472.60058/165', '/profile/identity/company/165-s.png', '/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png', NULL, '', 'Ymtl618@', '大连电子城明辉电脑商行', '大连电子城明辉电脑商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:42.000000', 1, '2023-09-22 14:36:47.000000', 1153724105414021120, b'0', 16, '88.472.60058', 2, '辽宁省大连市沙河口区中长东四街53-6号K区A125号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MA0WQB008K', 1, NULL, 'F', '52', NULL, '闫超', '116097080@qq.com', '13109846939', '闫超', NULL, '审核通过', 'admin', '2023-03-29 17:02:50', '0000-00-00 00:00:00.000000', '<p><br></p>');
INSERT INTO `biz_tenant` VALUES (166, 166, '88.472.60059/166', NULL, '', NULL, '', 'Ymtl618@', '大连嘉蕙商贸有限公司', '大连嘉蕙商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:03.000000', 1, '2023-09-22 09:51:56.000000', 1, b'0', 6, '88.472.60059', 2, '辽宁省大连市甘井子区迎客路3号蓝天街78-南-3', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0QDQ4E2U', 1, NULL, 'F', '51', NULL, '王凤', '756914291@qq.com', '13998564978', '王凤', NULL, '审核通过', 'admin', '2023-03-30 10:06:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (167, 167, '88.472.60047/167', NULL, '', NULL, '', 'Ymtl618@', '大连成宇科技发展有限公司', '大连成宇科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:40.000000', 1, '2023-09-22 10:22:42.000000', 1, b'0', 6, '88.472.60047', 2, '辽宁省大连市沙河口区连胜街8号中盛家园8-2-1002', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '912102047730387052', 1, NULL, 'I', '65', NULL, '白晓燕', 'dlchengyu@163.com', '18519134143', '白晓燕', NULL, '审核通过', 'admin', '2023-04-03 08:34:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (168, 168, '88.472.60048/168', NULL, '', NULL, '', 'Ymtl618@', '北京日臻祥环保科技有限公司', '北京日臻祥环保科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:30.000000', 1, '2023-09-22 10:15:22.000000', 1, b'0', 7, '88.472.60048', 2, '北京市海淀区东北旺南路29号院3号楼1层1238室', '海淀区', '北京', '北京', '110000', '110100', '110108', '911101083397262655', 1, NULL, 'M', '75', NULL, '白晓燕', 'bjhelix141319@163.com', '13654939676', '白晓燕', NULL, '审核通过', 'admin', '2023-04-03 08:52:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (169, 169, '88.472.20009/169', NULL, '', NULL, '', 'Ymtl618@', '沈阳永业实业有限公司', '沈阳永业实业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:44.000000', 1, '2023-09-22 10:26:22.000000', 1, b'0', 6, '88.472.20009', 2, '辽宁省铁岭市铁岭县新台子懿路工业园中央路11号', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211221715704482X', 1, NULL, 'C', '40', NULL, '王岩', '260231227@qq.com', '13591040867', '王岩', NULL, '审核通过', 'admin', '2023-04-03 09:25:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (170, 170, '88.472.60060/170', NULL, '', NULL, '', 'Ymtl618@', '西丰县西丰镇鑫顺源电子商务店', '西丰县西丰镇鑫顺源电子商务店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:54.000000', 1, '2023-09-22 10:10:02.000000', 1, b'0', 4, '88.472.60060', 2, '远景街育英委育英小区1幢1-4-1', '西丰县', '铁岭市', '辽宁省', '210000', '211200', '211223', '92211223MA0Y7EDFX2', 1, NULL, 'F', '52', NULL, '张晓刚', '18841063299@139.com', '18841063299', '张晓刚', NULL, '审核通过', 'admin', '2023-04-03 10:53:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (171, 171, '88.472.30004/171', NULL, '', NULL, '', 'Ymtl618@', '西丰县西丰镇麦奇乐快餐店（二部）', '西丰县西丰镇麦奇乐快餐店（二部）', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:15.000000', 1, '2023-09-22 10:09:52.000000', 1, b'0', 4, '88.472.30004', 2, '清华园二期工程厢楼门市2单元3号', '西丰县', '铁岭市', '辽宁省', '210000', '211200', '211223', '92211223MA0WRCWU51', 1, NULL, 'H', '62', NULL, '张娜', '19786940@qq.com', '13188422223', '张娜', NULL, '审核通过', 'admin', '2023-04-04 14:03:11', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (172, 172, '88.472.60061/172', NULL, '', NULL, '', 'Ymtl618@', '大连喜上枝头信息科技有限公司', '大连喜上枝头信息科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:06.000000', 1, '2023-09-22 10:15:09.000000', 1, b'0', 6, '88.472.60061', 2, '辽宁省大连保税区保税港区三路8号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA7GL2D583', 1, NULL, 'M', '75', NULL, '乔云', '18640822691@163.com', '18640822691', '乔云', NULL, '审核通过', 'admin', '2023-04-07 09:07:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (173, 173, '88.472.60063/173', NULL, '', NULL, '', 'Ymtl618@', '大连九合科技有限公司', '大连九合科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:21:05.000000', 1, '2023-09-22 10:00:22.000000', 1, b'0', 7, '88.472.60063', 2, '沙河口区中长东四街53-6号K134A', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210231MA10YJRR9K', 1, NULL, 'M', '75', NULL, '赵子树', 'zhaozs@jiuhetec.com', '18604110266', '赵子树', NULL, '审核通过', 'admin', '2023-04-07 16:40:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (174, 174, '88.472.60065/174', NULL, '', NULL, '', 'Ymtl618@', '甘井子区金三角市场非凡空间经销部', '甘井子区金三角市场非凡空间经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:45:48.000000', 1, '2023-09-22 10:14:08.000000', 1, b'0', 6, '88.472.60065', 2, '辽宁省大连市甘井子区金三角广场15-64号（金三角建材家居广场A号楼地下层中DB-23、25号）', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '210211606902340', 1, NULL, 'F', '52', NULL, '王世强', 'yhybs04@sina.com', '13387897848', '王世强', NULL, '审核通过', 'admin', '2023-04-10 14:17:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (175, 175, '88.472.60064/175', NULL, '', NULL, '', 'Ymtl618@', '甘井子区千山路亨得利眼镜专卖店', '甘井子区千山路亨得利眼镜专卖店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:30.000000', 1, '2023-09-22 10:28:15.000000', 1, b'0', 6, '88.472.60064', 2, '辽宁省大连市甘井子区千山路16号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UCX1E0M', 1, NULL, 'F', '52', NULL, '陈俊发', 'hengdeli0411@163.com', '18642857422', '陈俊发', NULL, '审核通过', 'admin', '2023-04-10 15:45:12', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (176, 176, '88.472.60062/176', NULL, '', NULL, '', 'Ymtl618@', '大连嘉辕国际贸易有限公司', '大连嘉辕国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:45.000000', 1, '2023-09-22 09:52:27.000000', 1, b'0', 6, '88.472.60062', 2, '辽宁省大连市甘井子区红旗小区B-3-5号楼2单元4层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211058098522D', 1, NULL, 'F', '51', NULL, '李滨', '18524632047@163.com', '15542478989', '李滨', NULL, '审核通过', 'admin', '2023-04-11 11:25:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (177, 177, '88.472.80003/177', NULL, '', NULL, '', 'Ymtl618@', '大连瑞德国际货运代理有限公司', '大连瑞德国际货运代理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:59.000000', 1, '2023-09-22 10:02:11.000000', 1, b'0', 6, '88.472.80003', 2, '辽宁省大连市甘井子区哲林北园67号1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210200MA0QE3BL7B', 1, NULL, 'G', '54', NULL, '张连萍', '18524632047@163.com', '15542478989', '张连萍', NULL, '审核通过', 'admin', '2023-04-11 11:25:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (178, 178, '88.472.20010/178', NULL, '', NULL, '', 'Ymtl618@', '大连珂尼赛格电气有限公司', '大连珂尼赛格电气有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:26.000000', 1, '2023-09-22 10:01:19.000000', 1, b'0', 7, '88.472.20010', 2, '辽宁省大连保税区自贸大厦107室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10WENT5Q', 1, NULL, 'C', '38', NULL, '王哲', 'cnisegg@163.con', '15309845298', '王哲', NULL, '审核通过', 'admin', '2023-04-11 11:58:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (179, 179, '88.472.60067/179', NULL, '', NULL, '', 'Ymtl618@', '辽宁信航科技有限公司', '辽宁信航科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:02:06.000000', 1, '2023-09-22 10:08:15.000000', 1, b'0', 6, '88.472.60067', 2, '云峰南街34号12幢212号', '铁西区', '沈阳市', '辽宁省', '210000', '210100', '210106', '912101065599555298', 1, NULL, 'F', '51', NULL, '李杭达', '332551435@qq.com', '15141878442', '李杭达', NULL, '审核通过', 'admin', '2023-04-12 14:18:23', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (180, 180, '88.472.60066/180', NULL, '', NULL, '', 'Ymtl618@', '396430736@qq.com', '辽宁兰锦汽车配件制造有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:18:41.000000', 1, '2023-09-22 10:18:44.000000', 1, b'0', 2, '88.472.60066', 2, '工业园区懿路园南一路', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '912112215772170286', 1, NULL, 'F', '51', NULL, '李杭达', '332551435@qq.com', '15304900750', '李杭达', NULL, '审核通过', 'admin', '2023-04-12 14:35:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (181, 181, '88.472.20011/181', NULL, '', NULL, '', 'Ymtl618@', '大连盈科精密模具有限公司', '大连盈科精密模具有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:02:04.000000', 1, '2023-09-22 10:06:55.000000', 1, b'0', 6, '88.472.20011', 2, '经济技术开发区东北六街4号-1', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0XQRD568', 1, NULL, 'C', '35', NULL, '王绍崴', 'FNEW@163.COM', '13942864113', '王绍崴', NULL, '审核通过', 'admin', '2023-04-12 16:18:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (182, 182, '88.472.60668/182', NULL, '', NULL, '', 'Ymtl618@', '辽宁赛福特化工有限公司', '辽宁赛福特化工有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:01:41.000000', 1, '2023-09-22 10:04:50.000000', 1, b'0', 4, '88.472.60668', 2, '铁岭县新台子镇懿路工业园南一路11号', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211221MA0QEX0H6C', 1, NULL, 'F', '51', NULL, '何涛', '13050827237@sohu.com', '13324039281', '何涛', NULL, '审核通过', 'admin', '2023-04-13 15:32:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (183, 183, '88.472.60072/183', NULL, '', NULL, '', 'Ymtl618@', '环嘉德润（大连）再生资源有限公司', '环嘉德润（大连）再生资源有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:40:52.000000', 1, '2023-09-22 10:29:36.000000', 1, b'0', 6, '88.472.60072', 2, '辽宁省大连市甘井子区革镇堡镇棋盘村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210200MA0QEC0T74', 1, NULL, 'F', '51', NULL, '朱云天', 'zyt8327@126.com', '13591115955', '朱云天', NULL, '审核通过', 'admin', '2023-04-14 11:05:13', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (184, 184, '88.472.80004/184', NULL, '', NULL, '', 'Tel@84648133', '大连六六六船务有限公司', '大连六六六船务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:58.000000', 1, '2023-09-20 15:01:02.000000', 1, b'0', 4, '88.472.80004', 2, '辽宁省大连市甘井子区辛寨子砬子山村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MACCQCN194', 1, NULL, 'G', '55', NULL, '于海跃', 'yuhaiyue@tianenlu.net', '18104115044', '于海跃', NULL, '审核通过', 'admin', '2023-04-14 11:56:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (185, 185, '88.472.60073/185', NULL, '', NULL, '', 'Ymtl618@', '大连合越供应链管理有限公司', '大连合越供应链管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:53.000000', 1, '2023-09-22 10:12:24.000000', 1, b'0', 6, '88.472.60073', 2, '辽宁省大连保税区自贸大厦814室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10WDH904', 1, NULL, 'L', '72', NULL, '邵庆虎', '1174744086@qq.com', '15804098912', '邵庆虎', NULL, '审核通过', 'admin', '2023-04-17 16:22:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (186, 186, '88.472.66618,88.472.000000/186', NULL, '', NULL, '', 'Ymtl618@', '天恩璐（大连）节能服务有限公司', '天恩璐（大连）节能服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:03:55.000000', 1, '2023-09-22 10:05:13.000000', 1, b'0', 3, '88.472.66618,88.472.000000', 2, '大连经济技术开发区黄海大道46-1-7号1层', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210245051130075N', 1, NULL, 'M', '73', NULL, '廖荣强', '2036353618@qq.com', '13050827237', '廖荣强', NULL, '审核通过', 'admin', '2023-04-18 15:06:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (187, 187, '88.472.60077/187', NULL, '', NULL, '', 'Ymtl618@', '沙河口区梅尔大叔原生态农副产品中心', '沙河口区梅尔大叔原生态农副产品中心', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:04:08.000000', 1, '2023-09-22 10:28:21.000000', 1, b'0', 4, '88.472.60077', 2, '沙河口区锦霞南园2号1单元1层2号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MABYTGYH53', 1, NULL, 'F', '51', NULL, '刘健', 'Wky_0411@163.com', '13591732952', '刘健', NULL, '审核通过', 'admin', '2023-04-18 17:16:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (188, 188, '88.472.60075/188', NULL, '', NULL, '', 'Ymtl618@', '辽宁东泰电气设备有限公司', '辽宁东泰电气设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:40.000000', 1, '2023-09-22 10:08:29.000000', 1, b'0', 11, '88.472.60075', 2, '辽宁省铁岭市铁岭县新台子镇站前住宅小区5号楼17号门市', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211221MA0QFA6N62', 1, NULL, 'F', '51', NULL, '黄玉选', '515616927@qq.com', '15841089520', '黄玉选', NULL, '审核通过', 'admin', '2023-04-19 15:38:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (189, 189, '88.472.60076/189', NULL, '', NULL, '', 'Ymtl618@', '大连力群科技有限公司', '大连力群科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:02:50.000000', 1, '2023-09-22 10:08:32.000000', 1, b'0', 6, '88.472.60076', 2, '沙河口区沙能东街12号3-11', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204079495527P', 1, NULL, 'I', '65', NULL, '张振江', '1020802900@qq.com', '13840852346', '张振江', NULL, '审核通过', 'admin', '2023-04-19 17:44:13', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (190, 190, '88.472.60078/190', NULL, '', NULL, '', 'Ymtl618@', '大连鑫辉数字科技有限公司', '大连鑫辉数字科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:58.000000', 1, '2023-09-22 09:52:40.000000', 1, b'0', 6, '88.472.60078', 2, '辽宁省大连市沙河口区高尔基路250号5单元1层2C座', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204098871858T', 1, NULL, 'I', '65', NULL, '黄飞', '13609851813@139.com', '13609851813', '黄飞', NULL, '审核通过', 'admin', '2023-04-20 16:01:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (191, 191, '88.472.60777/191', NULL, '', NULL, '', 'Ymtl618@', '大连方元文化传媒有限公司', '大连方元文化传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:01:45.000000', 1, '2023-09-22 10:24:43.000000', 1, b'0', 4, '88.472.60777', 2, '210224197601030022', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '210224197601030022', 1, NULL, 'L', '72', NULL, '高芳', '2281339301@qq.com', '13591756777', '高芳', NULL, '审核通过', 'admin', '2023-04-24 15:20:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (192, 192, '88.472.60081/192', NULL, '', NULL, '', 'Ymtl618@', '大连中科生态科技有限公司', '大连中科生态科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:01:12.000000', 1, '2023-09-22 09:58:17.000000', 1, b'0', 5, '88.472.60081', 2, '庄河市栗子房镇张炉村张炉屯134号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA10NR42XH', 1, NULL, 'M', '75', NULL, '付振华', '17824834161@139.com', '17824834161', '付振华', NULL, '审核通过', 'admin', '2023-04-24 22:01:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (193, 193, '88.472.60082/193', NULL, '', NULL, '', 'Ymtl618@', '大连惠特尔流体工程技术有限公司', '大连惠特尔流体工程技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 15:00:40.000000', 1, '2023-09-22 10:21:03.000000', 1, b'0', 4, '88.472.60082', 2, '甘井子区黄浦路537号泰德大厦6层606-0031房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA1180XM3R', 1, NULL, 'M', '75', NULL, '于华', '15694763578@139.com', '15694763578', '于华', NULL, '审核通过', 'admin', '2023-04-24 22:16:54', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (194, 194, '88.472.60085/194', NULL, '', NULL, '', 'Ymtl618@', '大连玖美嘉穗科技有限公司', '大连玖美嘉穗科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:06.000000', 1, '2023-09-22 10:00:48.000000', 1, b'0', 6, '88.472.60085', 2, '辽宁省大连保税区自贸大厦814室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10TUXB9U', 1, NULL, 'M', '75', NULL, '潘琦', '15840660651@139.com', '15840660651', '潘琦', NULL, '审核通过', 'admin', '2023-04-25 09:00:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (195, 195, '88.472.60086/195', NULL, '', NULL, '', 'Ymtl618@', '大连青麦田科技有限公司', '大连青麦田科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:52.000000', 1, '2023-09-22 09:55:25.000000', 1, b'0', 6, '88.472.60086', 2, '辽宁省大连市甘井子区黄浦路537号泰德大厦6层606-0043房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA117WXH4B', 1, NULL, 'M', '74', NULL, '吕娜', '13130404651@139.com', '13130404651', '吕娜', NULL, '审核通过', 'admin', '2023-04-25 09:12:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (196, 196, '88.472.60087/196', NULL, '', NULL, '', 'Ymtl618@', '大连弗贝电子商务有限公司', '大连弗贝电子商务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:31.000000', 1, '2023-09-22 10:14:34.000000', 1, b'0', 6, '88.472.60087', 2, '中国（辽宁）自由贸易试验区大连保税区海兴街60-1号3237室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA1142GB9M', 1, NULL, 'F', '52', NULL, '郭姗姗', '15840609651@139.com', '15840609651', '郭姗姗', NULL, '审核通过', 'admin', '2023-04-25 09:41:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (197, 197, '88.472.60083/197', NULL, '', NULL, '', 'Ymtl618@', '大连中世富瑞电子商务有限公司', '大连中世富瑞电子商务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:53:07.000000', 1, '2023-09-22 09:55:33.000000', 1, b'0', 4, '88.472.60083', 2, '自由贸易试验区大连保税区海兴街60-1号3236室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA1140KH8B', 1, NULL, 'F', '52', NULL, '郭静', '13897811897@139.com', '13897811897', '21021319871209442X', NULL, '审核通过', 'admin', '2023-04-25 10:16:48', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (198, 198, '88.472.60084/198', NULL, '', NULL, '', 'Ymtl618@', '大连好贝拓房地产经纪咨询有限公司', '大连好贝拓房地产经纪咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:55.000000', 1, '2023-09-22 09:58:12.000000', 1, b'0', 4, '88.472.60084', 2, '高新技术产业园区礼贤街1号26层12号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA7CWW0C09', 1, NULL, 'K', '70', NULL, '隋广凤', '19527748617@139.com', '19527748617', '222304197811200521', NULL, '审核通过', 'admin', '2023-04-25 10:25:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (199, 199, '88.472.60089/199', NULL, '', NULL, '', 'Ymtl618@', '大连大作为计算机软件有限公司', '大连大作为计算机软件有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:42.000000', 1, '2023-09-22 09:55:55.000000', 1, b'0', 4, '88.472.60089', 2, '黄浦路537号泰德大厦7层706-0036房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA7LM08L16', 1, NULL, 'I', '65', NULL, '金善子', '18241745966@139.com', '18241745966', '220281195403141020', NULL, '审核通过', 'admin', '2023-04-25 11:14:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (200, 200, '88.472.60091/200', NULL, '', NULL, '', 'Ymtl618@', '大连道和精密机械有限公司', '大连道和精密机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:25.000000', 1, '2023-09-22 10:20:33.000000', 1, b'0', 6, '88.472.60091', 2, '辽宁省大连市金州区站前街道22-2319号1-2层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102133115032469', 1, NULL, 'C', '34', NULL, '和树文', 'kongfeichao@163.com', '13019438687', '和树文', NULL, '审核通过', 'admin', '2023-04-25 11:18:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (201, 201, '88.472.60092/201', NULL, '', NULL, '', 'Ymtl618@', '艾兰 (大连) 生物科技有限公司', '艾兰 (大连) 生物科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:14.000000', 1, '2023-09-22 10:11:31.000000', 1, b'0', 4, '88.472.60092', 2, '高新技术产业园区七贤岭爱贤街10号大连设计城A座1711室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MABW44JT7E', 1, NULL, 'M', '75', NULL, '李佩', '13998642616@139.com', '13998642616', '李佩', NULL, '审核通过', 'admin', '2023-04-25 11:45:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (202, 202, '88.472.60093/202', NULL, '', NULL, '', 'Ymtl618@', '大连中振计量检测有限公司', '大连中振计量检测有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:19:01.000000', 1, '2023-09-22 09:55:55.000000', 1, b'0', 6, '88.472.60093', 2, '辽宁省大连市庄河市光明山镇财主房村人才楼618室', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MABYPB4G04', 1, NULL, 'M', '74', NULL, '李凤清', '18641186452@139.com', '18641186452', '李凤清', NULL, '审核通过', 'admin', '2023-04-25 14:42:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (203, 203, '88.472.60094/203', NULL, '', NULL, '', 'Ymtl618@', '大连启辉精密仪器有限公司', '大连启辉精密仪器有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:10.000000', 1, '2023-09-22 10:13:18.000000', 1, b'0', 6, '88.472.60094', 2, '辽宁省大连市甘井子区松江路16号1单元7层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA11G04C08', 1, NULL, 'F', '51', NULL, '李凤清', '13478621980@139.com', '13478621980', '李凤清', NULL, '审核通过', 'admin', '2023-04-25 14:52:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (204, 204, '88.472.60088/204', NULL, '', NULL, '', 'Ymtl618@', '大连万垚机械有限公司', '大连万垚机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:19.000000', 1, '2023-09-22 09:52:34.000000', 1, b'0', 2, '88.472.60088', 2, '金州区站前街道民和村丘（地）号44-363-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0UXJEF8D', 1, NULL, 'C', '43', NULL, '哈长龙', 'wanyaojixie@126.com', '15241451001', '哈长龙', NULL, '审核通过', 'admin', '2023-09-19 09:41:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (205, 205, '88.472.60095/205', NULL, '', NULL, '', 'Ymtl618@', '大连博斯特科技有限公司', '大连博斯特科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:04.000000', 1, '2023-09-22 10:11:14.000000', 1, b'0', 6, '88.472.60095', 2, '辽宁省大连市金州区站前街道吴家村丘（地）号42-900-17', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210211582014153U', 1, NULL, 'M', '73', NULL, '张殿波', 'lhs@boctor.com.cn', '13889420277', '张殿波', NULL, '审核通过', 'admin', '2023-04-25 16:02:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (206, 206, '88.472.60096/206', NULL, '', NULL, '', 'Ymtl618@', '大连华昌国际贸易有限公司', '大连华昌国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:29.000000', 1, '2023-09-22 10:10:54.000000', 1, b'0', 6, '88.472.60096', 2, '辽宁省大连保税区泰华大厦A座405室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242665845999R', 1, NULL, 'F', '51', NULL, ' 陈鑫昌', 'huachangmy@163.com', '13904280418', ' 陈鑫昌', NULL, '审核通过', 'admin', '2023-04-25 16:09:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (207, 207, '88.472.30005/207', NULL, '', NULL, '', 'Ymtl618@', '江公酒业（大连）有限公司', '江公酒业（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:14.000000', 1, '2023-09-22 10:24:01.000000', 1, b'0', 6, '88.472.30005', 2, '辽宁省大连市金州区大魏家街道金家村', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213079470178N', 1, NULL, 'C', '15', NULL, '江敦录', 'dljianggongjiuye@163.com', '15641113445', '江敦录', NULL, '审核通过', 'admin', '2023-04-27 13:44:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (208, 208, '88.472.60097/208', NULL, '', NULL, '', 'Ymtl618@', '辛宇', '台大实业（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:18.000000', 1, '2023-09-22 10:08:42.000000', 1, b'0', 4, '88.472.60097', 2, '辽宁省大连市西岗区长江路539号13层10A室', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MACEXJBF6F', 1, NULL, 'F', '52', NULL, '张瑞荣', '1174744086@qq.com', '15804098912', '辛宇', NULL, '审核通过', 'admin', '2023-04-27 13:47:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (209, 209, '88.472.60104/209', NULL, '', NULL, '', 'Ymtl618@', '大连梦威文化传媒有限公司', '大连梦威文化传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:59.000000', 1, '2023-09-22 09:51:03.000000', 1, b'0', 4, '88.472.60104', 2, '黄浦路537号7层706-0057', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACFY91P3G', 1, NULL, 'R', '88', NULL, '孙洋', '18104115057@139.com', '18104115057', '孙洋', NULL, '审核通过', 'admin', '2023-04-27 14:33:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (210, 210, '88.472.60103/210', NULL, '', NULL, '', 'Ymtl618@', '大连米麟信息技术有限公司', '大连米麟信息技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:42.000000', 1, '2023-09-22 10:09:47.000000', 1, b'0', 4, '88.472.60103', 2, '高新技术产业园区高能街35号1单元11层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0U98X486', 1, NULL, 'I', '65', NULL, '丛严', '13322186038@139.com', '13322186038', '丛严', NULL, '审核通过', 'admin', '2023-04-27 15:16:50', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (211, 211, '88.472.60098/211', NULL, '', NULL, '', 'Ymtl618@', '大连逸兴商务咨询有限公司', '大连逸兴商务咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:05.000000', 1, '2023-09-22 10:20:08.000000', 1, b'0', 12, '88.472.60098', 2, '辽宁省大连市沙河口区体坛路22号18层1号08单元', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MACG106N50', 1, NULL, 'L', '72', NULL, '朱明坤', '13478621980@139.com', '13478621980', '朱明坤', NULL, '审核通过', 'admin', '2023-04-27 16:01:11', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (212, 212, '88.472.30006/212', NULL, '', NULL, '', 'Ymtl618@', '大连富洋璨燃餐饮管理有限公司', '大连富洋璨燃餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:16.000000', 1, '2023-09-22 10:01:50.000000', 1, b'0', 6, '88.472.30006', 2, '辽宁省大连市沙河口区不老街209号1层', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MACG6A724W', 1, NULL, 'H', '62', NULL, '林楠', '15184014650@139.com', '15184014650', '林楠', NULL, '审核通过', 'admin', '2023-04-27 16:02:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (213, 213, '88.472.60099/213', NULL, '', NULL, '', 'Ymtl618@', '大连烨璐物资材料贸易有限公司', '大连烨璐物资材料贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:10.000000', 1, '2023-09-22 09:58:29.000000', 1, b'0', 6, '88.472.60099', 2, '中国(辽宁)自由贸易试验区大连海兴街60-1号3190室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA105EY19N', 1, NULL, 'F', '51', NULL, '丛严', '13389063003@139.com', '13389063003', '丛严', NULL, '审核通过', 'admin', '2023-04-27 16:03:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (214, 214, '88.472.60114/214', NULL, '', NULL, '', 'Ymtl618@', '辽宁辰锋物资材料贸易有限公司', '辽宁辰锋物资材料贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:53.000000', 1, '2023-09-22 10:04:32.000000', 1, b'0', 4, '88.472.60114', 2, '高新技术产业园区高能街125号（地上11层-3）02室1250', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA105GCF9F', 1, NULL, 'F', '51', NULL, '丛严', '15330906166@139.com', '15330906166', '丛严', NULL, '审核通过', 'admin', '2023-04-27 16:21:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (215, 215, '88.472.60113/215', NULL, '', NULL, '', 'Ymtl618@', '大连甜梦谷国际贸易有限公司', '大连甜梦谷国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:42.000000', 1, '2023-09-22 10:04:56.000000', 1, b'0', 4, '88.472.60113', 2, '黄浦路537号泰德大厦7层706号0058', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACEUCLJ7F', 1, NULL, 'F', '51', NULL, '姜世波', '18841629597@139.com', '18841629597', '210283198807072513', NULL, '审核通过', 'admin', '2023-04-27 16:40:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (216, 216, '88.472.60124/216', NULL, '', NULL, '', 'Ymtl618@', '大连聚荣和国际物流有限公司', '大连聚荣和国际物流有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:29.000000', 1, '2023-09-22 10:12:30.000000', 1, b'0', 4, '88.472.60124', 2, '甘井子区黄浦路537号泰德大厦7层706-0053房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC8536T7D', 1, NULL, 'G', '58', NULL, '李新', '18041559480@139.com', '18041559480', '210283198807072513', NULL, '审核通过', 'admin', '2023-04-27 17:03:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (217, 217, '88.472.60133/217', NULL, '', NULL, '', 'Ymtl618@', '铁岭市银州区康保药房', '铁岭市银州区康保药房', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:17.000000', 1, '2023-09-22 09:55:50.000000', 1, b'0', 4, '88.472.60133', 2, '银州区汇工街银泰活力城雅居24-3门市', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '91211202MA0YYB871Q', 1, NULL, 'F', '52', NULL, '陈钢泉', '13841068158@139.com', '13841068158', '陈钢泉', NULL, '审核通过', 'admin', '2023-04-29 11:31:34', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (218, 218, '88.472.60125/218', NULL, '', NULL, '', 'Ymtl618@', '铁岭市银州区奕茹干洗衣店', '铁岭市银州区奕茹干洗衣店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:04.000000', 1, '2023-09-22 09:56:06.000000', 1, b'0', 4, '88.472.60125', 2, '铜钟街17委兴旺园小区4幢17房号', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '92211202MA0UKA0R1N', 1, NULL, 'O', '80', NULL, '赵明', '18741012117@139.com', '18741012117', '赵明', NULL, '审核通过', 'admin', '2023-04-30 18:47:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (219, 219, '88.472.66066/219', NULL, '', NULL, '', 'Ymtl618@', '辽宁鲲鹏东北参茸特产有限公司', '辽宁鲲鹏东北参茸特产有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:48:53.000000', 1, '2023-09-22 10:03:47.000000', 1, b'0', 6, '88.472.66066', 2, '远景街西城委土特产品交易中心4幢A2号1层', '西丰县', '铁岭市', '辽宁省', '210000', '211200', '211223', '91211223MABPGDD72R', 1, NULL, 'F', '52', NULL, '杜广朋', '13188691788@139.com', '13188691788', '杜广朋', NULL, '审核通过', 'admin', '2023-05-04 18:52:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (220, 220, '88.472.60102/220', NULL, '', NULL, '', 'Ymtl618@', '辽宁德润白酒制造有限公司', '辽宁德润白酒制造有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:48:40.000000', 1, '2023-09-22 10:06:49.000000', 1, b'0', 4, '88.472.60102', 2, '铁岭市西丰县凉泉镇', '西丰县', '铁岭市', '辽宁省', '210000', '211200', '211223', '91211223661211737H', 1, NULL, 'C', '15', NULL, '鞠德润', '18704280345@139.com', '18704280345', '220422195108113212', NULL, '审核通过', 'admin', '2023-05-08 09:58:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (221, 221, '88.472.60074/221', NULL, '', NULL, '', 'Ymtl618@', '亚太高科（大连）科技有限公司', '亚太高科（大连）科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:48:18.000000', 1, '2023-09-22 10:12:30.000000', 1, b'0', 4, '88.472.60074', 2, '中山区职工街9号昆仑写字楼702-1', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA0QF81001', 1, NULL, 'M', '75', NULL, '辛玲', 'dezheng23@126.com', '15940814778', '辛玲', NULL, '审核通过', 'admin', '2023-05-10 10:47:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (222, 222, '88.472.60108/222', NULL, '', NULL, '', 'Ymtl618@', '大连琛鑫科技有限公司', '大连琛鑫科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:47:32.000000', 1, '2023-09-22 10:01:48.000000', 1, b'0', 4, '88.472.60108', 2, '中国(辽宁)自由贸易试验区大连保税区海富路9-1号9973室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA11A6Y74W', 1, NULL, 'M', '75', NULL, '王盈涛', '15004248206@139.com', '15004248206', '王盈涛', NULL, '审核通过', 'admin', '2023-05-15 11:58:26', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (223, 223, '88.472.60105/223', NULL, '', NULL, '', 'Ymtl618@', '大连贺翔电子商务有限公司', '大连贺翔电子商务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:20.000000', 1, '2023-09-22 10:16:27.000000', 1, b'0', 2, '88.472.60105', 2, '辽宁省大连经济技术开发区湖东2路32栋-1-9-3号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YE9KR7K', 1, NULL, 'F', '51', NULL, '于建军', 'y13674119313@qq.com', '13674119313', '于建军', NULL, '审核通过', 'admin', '2023-05-16 15:59:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (224, 224, '88.472.66666/224', NULL, '', NULL, '', 'Ymtl618@', '中肽生物科技《大连)有限公司', '中肽生物科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:10.000000', 1, '2023-09-22 10:11:41.000000', 1, b'0', 7, '88.472.66666', 2, '自由贸易试验区大连经济技术开发区双D5街18-2号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YL6FL6D', 1, NULL, 'M', '75', NULL, '周传文', '15942854466@139.com', '15942854466', '周传文', NULL, '审核通过', 'admin', '2023-05-22 17:00:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (225, 225, '88.472.40001/225', NULL, '', NULL, '', 'Ymtl618@', '大连壮元海生态苗业股份有限公司', '大连壮元海生态苗业股份有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:41.000000', 1, '2023-09-22 09:54:53.000000', 1, b'0', 8, '88.472.40001', 2, '辽宁省长海县大长山岛镇杨家村一队', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210200683020384U', 1, NULL, 'A', '04', NULL, '孙刚', '6682621@qq.com', '15640985147', '孙刚', NULL, '审核通过', 'admin', '2023-05-19 17:31:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (226, 226, '88.472.60106/226', NULL, '', NULL, '', 'Ymtl618@', '大连市甘井子区名仕工商管理培训学校', '大连市甘井子区名仕工商管理培训学校', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:27.000000', 1, '2023-09-22 10:10:20.000000', 1, b'0', 6, '88.472.60106', 2, '大连市甘井子区辛寨子街道春田园D3号楼202、203室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '52210211MJ3025149X', 1, NULL, 'P', '83', NULL, '李振宇', '1375637512@qq.com', '15641135512', '李振宇', NULL, '审核通过', 'admin', '2023-05-23 14:01:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (227, 227, '88.472.60111/227', NULL, '', NULL, '', 'Ymtl618@', '大连菱美自动化有限公司', '大连菱美自动化有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:47.000000', 1, '2023-09-22 10:14:51.000000', 1, b'0', 7, '88.472.60111', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号9251室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10RT8W84', 1, NULL, 'F', '51', NULL, '倪乃花', 'dllingmei@163.com', '13516057871', '倪乃花', NULL, '审核通过', 'admin', '2023-05-23 14:18:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (228, 228, '88.472.60110/228', NULL, '', NULL, '', 'Ymtl618@', '大连达文贸易有限公司', '大连达文贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:26.000000', 1, '2023-09-22 10:18:16.000000', 1, b'0', 6, '88.472.60110', 2, '辽宁省大连市西岗区民权街95号1单元3层15号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203588086887A', 1, NULL, 'F', '51', NULL, '张胜国', 'dawen2012@126.com', '15712368905', '张胜国', NULL, '审核通过', 'admin', '2023-05-23 14:18:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (229, 229, '88.472.20013/229', NULL, '', NULL, '', 'Ymtl618@', '大连阿来德好利模塑有限公司', '大连阿来德好利模塑有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:25.000000', 1, '2023-09-22 09:54:34.000000', 1, b'0', 6, '88.472.20013', 2, '辽宁省大连经济技术开发区淮河中路99号（金港工业园）', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213751578735H', 1, NULL, 'C', '35', NULL, '吴兵', 'zhaowanli5683@163.com', '18041560892', '吴兵', NULL, '审核通过', 'admin', '2023-05-23 14:18:28', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (230, 230, '88.472.60109/230', NULL, '', NULL, '', 'Ymtl618@', '大连市沙河口区美丽起点美容养生馆', '大连市沙河口区美丽起点美容养生馆', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:07.000000', 1, '2023-09-22 10:09:15.000000', 1, b'0', 6, '88.472.60109', 2, '新生路帝欧园7-4号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '210204601526555', 1, NULL, 'O', '80', NULL, '张侠', '1043618155@qq.com', '15940828827', '张侠', NULL, '审核通过', 'admin', '2023-05-23 14:59:12', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (231, 231, '88.472.66166/231', NULL, '', NULL, '', 'Ymtl618@', '大连金普新区孙氏溯源推拿养生坊', '大连金普新区孙氏溯源推拿养生坊', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:48:13.000000', 1, '2023-09-22 10:22:37.000000', 1, b'0', 6, '88.472.66166', 5, '辽宁省大连经济技术开发区鹏运家园62栋-1-1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MA11F1HU8K', 1, NULL, 'O', '80', NULL, '孙桂秋', '15134229920@139.com', '15134229920', '孙桂秋 ', NULL, '审核通过', 'admin', '2023-05-25 16:05:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (234, 234, '88.472.66588/234', NULL, '', NULL, '', 'Ymtl618@', '大连商通知识产权服务有限公司', '大连商通知识产权服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:53:14.000000', 1, '2023-09-22 10:14:47.000000', 1, b'0', 4, '88.472.66588', 2, '中山路403号13层14室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204397940577Q', 1, NULL, 'L', '72', NULL, '王继成', '708813716@qq.com', '18642806305', '王继成', NULL, '审核通过', 'admin', '2023-05-30 10:58:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (235, 235, '88.472.60007/235', NULL, '', NULL, '', 'Ymtl618@', 'dongnan211@sina.com', '古鲟（大连）生物科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:50:53.000000', 1, '2023-09-22 09:50:59.000000', 1, b'0', 2, '88.472.60007', 2, '辽宁省大连高新技术产业园区广贤路133号赛伯乐大厦3层304-5室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210204MA0QDJCN8L', 1, NULL, 'M', '75', NULL, '孙铭阳', 'dongnan211@sina.com', '18624360102', '孙铭阳', NULL, '审核通过', 'admin', '2023-05-30 11:04:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (236, 236, '88.472.66266/236', NULL, '', NULL, '', 'Ymtl618@', '大连桃源商业批发有限公司', '大连桃源商业批发有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:15.000000', 1, '2023-09-22 09:49:44.000000', 1, b'0', 6, '88.472.66266', 2, '甘井子区西北路872-6.百盈食品院内', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102022416660148', 1, NULL, 'F', '51', NULL, '周泽原', '13941194723@139.com', '13941194723', '210202198110015916', NULL, '审核通过', 'admin', '2023-05-31 13:42:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (237, 237, '88.472.68268/237', NULL, '', NULL, '', 'Ymtl618@', '大连古源坊酒业有限公司', '大连古源坊酒业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:23.000000', 1, '2023-09-22 10:11:55.000000', 1, b'0', 6, '88.472.68268', 2, '徐岭镇杨树房村曲屯', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA0UXP5P96', 1, NULL, 'C', '15', NULL, '周泽原', '15164069623@139.com', '15164069623', '周泽原', NULL, '审核通过', 'admin', '2023-05-31 15:03:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (238, 238, '88.472.60116/238', NULL, '', NULL, '', 'Ymtl618@', '大连茗惠生物科技有限公司', '大连茗惠生物科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:31.000000', 1, '2023-09-22 10:14:29.000000', 1, b'0', 6, '88.472.60116', 2, '辽宁省大连经济技术开发区淮河中路7号-6-532', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA106HL1X9', 1, NULL, 'M', '75', NULL, ' 王鑫', '176828863@qq.com', '15040565269', ' 王鑫', NULL, '审核通过', 'admin', '2023-06-01 17:30:26', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (239, 239, '88.472.62094/239', NULL, '', NULL, '', 'Aa123456%', '甘井子区南关岭街道恒德石材销售经营部', '甘井子区南关岭街道恒德石材销售经营部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:00.000000', 1, '2023-09-22 10:28:03.000000', 1, b'0', 3, '88.472.62094', 2, '南关岭街道姚工街107号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0WW3BM94', 1, NULL, 'F', '51', NULL, '孙廷江', '417233691@qq.com', '13998527327', '孙廷江', NULL, '审核通过', 'admin', '2023-06-02 11:51:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (240, 240, '88.472.60071/240', NULL, '', NULL, '', 'Ymtl618@', '大连瑞达利机电设备有限公司', '大连瑞达利机电设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:43.000000', 1, '2023-09-22 10:04:06.000000', 1, b'0', 4, '88.472.60071', 2, '泡崖四区65号楼1单元2层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0QCGJC9D', 1, NULL, 'F', '51', NULL, '刘海霞', 'dlruidalijidian@163.com', '13644080297', '刘海霞', NULL, '审核通过', 'admin', '2023-06-02 13:29:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (241, 241, '88.472.61095/241', NULL, '', NULL, '', 'Ymtl618@', '威尔深（大连）海工科技有限公司', '威尔深（大连）海工科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:22.000000', 1, '2023-09-22 10:06:40.000000', 1, b'0', 4, '88.472.61095', 2, '张前路588号B3', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0QCTU22Q', 1, NULL, 'M', '75', NULL, '于鹏', '13842841410@139.com', '13842841410', '于鹏', NULL, '审核通过', 'admin', '2023-06-02 15:13:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (242, 242, '88.472.60069/242', NULL, '', NULL, '', 'Ymtl618@', '宸恒冷热节能设备（大连）有限公司', '宸恒冷热节能设备（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:04.000000', 1, '2023-09-22 10:13:07.000000', 1, b'0', 4, '88.472.60069', 2, '保税区自贸大厦816室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA7JANND7K', 1, NULL, 'F', '51', NULL, '李玉梅', 'dlsiruiqianrhy@163.com', '13942699800', '李玉梅', NULL, '审核通过', 'admin', '2023-06-02 15:46:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (243, 243, '88.472.60118/243', NULL, '', NULL, '', 'Ymtl618@', '大连经济技术开发区海清河氏按摩院', '大连经济技术开发区海青河氏按摩院', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:03.000000', 1, '2023-09-22 10:11:08.000000', 1, b'0', 2, '88.472.60118', 2, '经济技术开发区东居里37#楼1-1-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MA0UTT036T', 1, NULL, 'O', '80', NULL, '杨立华', '13942637746@139.com', '13942637746', '杨立华', NULL, '审核通过', 'admin', '2023-09-19 11:31:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (244, 244, '88.472.60119/244', NULL, '', NULL, '', 'Ymtl618@', '大连商通九州知识产权有限公司', '大连商通九州知识产权有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:44.000000', 1, '2023-09-22 10:14:19.000000', 1, b'0', 4, '88.472.60119', 2, '辛康园13-2号3层1号部分区域(房间号:310-A2) ', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA111QXW8Q', 1, NULL, 'M', '75', NULL, '钟辛', '18141663993@139.com', '18141663993', '钟辛', NULL, '审核通过', 'admin', '2023-06-05 11:20:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (245, 245, '88.472.60120/245', NULL, '', NULL, '', 'Ymtl618@', '大连信德餐饮服务有限公司', '大连信德餐饮服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:22.000000', 1, '2023-09-22 10:06:10.000000', 1, b'0', 4, '88.472.60120', 2, '高新技术产业园区七贤岭爱贤街10号设计城A座第19层', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACHN57AX0 ', 1, NULL, 'H', '62', NULL, '张健', '15330906597@139.com', '15330906597', '张健', NULL, '审核通过', 'admin', '2023-06-05 13:26:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (246, 246, '88.472.60121/246', NULL, '', NULL, '', 'Ymtl618@', '大连禾旭皮具有限公司', '大连禾旭皮具有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:02.000000', 1, '2023-09-22 10:08:39.000000', 1, b'0', 4, '88.472.60121', 2, '黄浦路537号泰德大厦7层706-0059房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACJ0NWA4W ', 1, NULL, 'C', '19', NULL, '于欣锜', '18940611771@139.com', '18940611771', '于欣锜', NULL, '审核通过', 'admin', '2023-06-05 13:50:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (247, 247, '88.472.60122/247', NULL, '', NULL, '', 'Ymtl618@', '大连乾艺建筑装饰有限公司', '大连乾艺建筑装饰有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:46.000000', 1, '2023-09-22 10:01:18.000000', 1, b'0', 5, '88.472.60122', 1, '黄河路219号3层303室28号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MACH7XHQ3E', 1, NULL, 'E', '50', NULL, '陈桂芝', '13332247855@139.com', '13332247855', '陈桂芝', NULL, '审核通过', 'admin', '2023-06-05 14:14:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (248, 248, '88.472.60117/248', NULL, '', NULL, '', 'Ymtl618@', '大连智云汇智能科技有限公司', '大连智云汇智能科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:48.000000', 1, '2023-09-22 10:27:15.000000', 1, b'0', 6, '88.472.60117', 2, '辽宁省大连市金州区先进街道五一路578-16号1-2层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA7HAKWE2Y', 1, NULL, 'M', '75', NULL, '高翔', 'g18624391431@126.com', '18624391431', '高翔', NULL, '审核通过', 'admin', '2023-06-05 16:56:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (249, 249, '88.472.20014/249', NULL, '', NULL, '', 'Ymtl618@', '大连龙腾机电设备有限公司', '大连龙腾机电设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:20.000000', 1, '2023-09-22 10:01:51.000000', 1, b'0', 6, '88.472.20014', 2, '辽宁省大连市金州区先进街道砬河路', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213787307304D', 1, NULL, 'C', '34', NULL, '高翔', 'g18624391431@126.com', '18624391431', '高翔', NULL, '审核通过', 'admin', '2023-06-05 16:56:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (250, 250, '88.472.60123/250', NULL, '', NULL, '', 'Ymtl618@', '大连核力电子有限公司', '大连核力电子有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:48:43.000000', 1, '2023-09-22 10:27:36.000000', 1, b'0', 4, '88.472.60123', 2, '大连湾街315号3单元1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102005708924698', 1, NULL, 'I', '65', NULL, '朱明', '13942850200@139.com', '13942850200', '朱明', NULL, '审核通过', 'admin', '2023-06-05 20:00:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (251, 251, '88.472.60127/251', NULL, '', NULL, '', 'Bsjx654321@', '甘井子区大连湾街道兴国电子产品经销部', '甘井子区大连湾街道兴国电子产品经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:33.000000', 1, '2023-09-20 14:54:35.000000', 1, b'0', 2, '88.472.60127', 2, '甘井子区湾街315号3单元1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0U13ER8J', 1, NULL, 'I', '65', NULL, '朱琳琳', '59091324@QQ.COM', '13889698351', '朱琳琳', NULL, '审核通过', 'admin', '2023-06-05 20:01:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (252, 252, '88.472.60126/252', NULL, '', NULL, '', 'Ymtl618@', '甘井子区大连湾街道明兴电子产品经销部', '甘井子区大连湾街道明兴电子产品经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:20.000000', 1, '2023-09-22 10:26:34.000000', 1, b'0', 4, '88.472.60126', 2, '俪泊园45号2单元1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0U3GR224', 1, NULL, 'F', '51', NULL, '朱琳琳', '59091324@QQ.COM', '13889698351', '朱琳琳', NULL, '审核通过', 'admin', '2023-06-05 20:01:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (253, 253, '88.472.60130/253', NULL, '', NULL, '', 'Ymtl618@', '甘井子区大连湾街道兴林电子产品商行', '甘井子区大连湾街道兴林电子产品商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:53:53.000000', 1, '2023-09-22 10:27:38.000000', 1, b'0', 4, '88.472.60130', 2, '大连湾街315号3单元1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0X6U124X', 1, NULL, 'F', '51', NULL, '唐华', '13084111363@139.com', '13084111363', '唐华', NULL, '审核通过', 'admin', '2023-06-06 09:51:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (254, 254, '88.472.60053/254', NULL, '', NULL, '', 'Ymtl618@', '甘井子区辛寨子街道淞景香汤养生馆', '甘井子区辛寨子街道淞景香汤养生馆', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:24.000000', 1, '2023-09-22 10:14:46.000000', 1, b'0', 6, '88.472.60053', 2, '辽宁省大连市甘井子区虹彩西园19-10号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA115JPJ3D', 1, NULL, 'O', '80', NULL, '王囡', '3516799522@qq.com', '15041655948', '王囡', NULL, '审核通过', 'admin', '2023-06-08 16:29:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (255, 255, '88.472.60052/255', NULL, '', NULL, '', 'Ymtl618@', '大连宝欣贸易有限公司', '大连宝欣贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:33.000000', 1, '2023-09-22 10:00:02.000000', 1, b'0', 6, '88.472.60052', 2, '辽宁省大连市中山区七星街119号26层4号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202588088583W', 1, NULL, 'F', '51', NULL, '常宝', '13942960203@139.com', '13942960203', '常宝', NULL, '审核通过', 'admin', '2023-06-08 16:29:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (256, 256, '88.472.60132/256', NULL, '', NULL, '', 'Ymtl618@', '连晟科技（大连）有限公司', '连晟科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:38.000000', 1, '2023-09-22 10:02:58.000000', 1, b'0', 6, '88.472.60132', 2, '辽宁省大连市甘井子区中华西路35号16层8号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA1171XD7E', 1, NULL, 'M', '74', NULL, '郑立国', 'lssw_dl@sina.com', '15541199009', '郑立国', NULL, '审核通过', 'admin', '2023-06-09 16:48:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (257, 257, '88.472.60055/257', NULL, '', NULL, '', 'Ymtl618@', '铁岭嘉兴源土石方工程有限公司', '铁岭嘉兴源土石方工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:30.000000', 1, '2023-09-22 09:57:12.000000', 1, b'0', 4, '88.472.60055', 2, '铁岭市银州区岭东街7委5组综合楼', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '912112007948208008', 1, NULL, 'E', '50', NULL, '王岩', 'tljxytsf@163.com', '13700102336', '王岩', NULL, '审核通过', 'admin', '2023-06-12 15:16:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (258, 258, '88.472.60107/258', NULL, '', NULL, '', 'Ymtl618@', '铁岭嘉兴房地产开发有限公司', '铁岭嘉兴房地产开发有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:15.000000', 1, '2023-09-22 09:57:29.000000', 1, b'0', 4, '88.472.60107', 2, '岭东街7委5组综合楼（106号）', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '91211202747140490D', 1, NULL, 'K', '70', NULL, '张晓峰', 'tljxwy@126.com', '13528029588', '张晓峰', NULL, '审核通过', 'admin', '2023-06-12 15:48:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (259, 259, '88.472.60056/259', NULL, '', NULL, '', 'Ymtl618@', '铁岭嘉兴物业管理有限公司', '铁岭嘉兴物业管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:02.000000', 1, '2023-09-22 09:56:58.000000', 1, b'0', 4, '88.472.60056', 2, '银州区岭东街综合楼141号', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '91211202689684835F', 1, NULL, 'K', '70', NULL, '王岩', 'tljxfdc@126.com', '13700102336', '王岩', NULL, '审核通过', 'admin', '2023-06-12 16:19:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (260, 260, '88.472.60146/260', NULL, '', NULL, '', 'Ymtl618@', '铁岭宇川精密机械制造有限公司', '铁岭宇川精密机械制造有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:50.000000', 1, '2023-09-22 09:56:41.000000', 1, b'0', 4, '88.472.60146', 2, '辽宁省铁岭市开原市建设西街4-10', '开原市', '铁岭市', '辽宁省', '210000', '211200', '211282', '912112823186938632', 1, NULL, 'C', '34', NULL, '于兆福', 'yuzhaofu1971@163.com', '15941157687', '于兆福', NULL, '审核通过', 'admin', '2023-06-13 16:49:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (261, 261, '88.472.60145/261', NULL, '', NULL, '', 'Ymtl618@', '铁岭市兴运管道工程有限公司', '铁岭市兴运管道工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:35.000000', 1, '2023-09-22 09:56:26.000000', 1, b'0', 4, '88.472.60145', 2, '铁岭市新城区凡河新村8区4号楼1单元202室', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211200574266967R', 1, NULL, 'E', '48', NULL, '井玉彪', '13700102336@139.com', '18941055577', '井玉彪', NULL, '审核通过', 'admin', '2023-06-14 10:26:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (262, 262, '88.472.60143/262', NULL, '', NULL, '', 'Ymtl618@', '铁岭洲宇房地产开发有限公司', '铁岭洲宇房地产开发有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:51:16.000000', 1, '2023-09-22 09:55:37.000000', 1, b'0', 4, '88.472.60143', 2, '凡河新区爱晚智慧全生活小区会所幢3号房', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211221MA110TW881', 1, NULL, 'K', '70', NULL, '曹旭东', '13700102336@139.com', '13700102336', '曹旭东', NULL, '审核通过', 'admin', '2023-06-14 11:24:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (263, 263, '88.472.60112/263', NULL, '', NULL, '', 'Ymtl618@', '铁岭英诚药品咨询有限公司', '铁岭英诚药品咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:15:57.000000', 1, '2023-09-22 09:55:20.000000', 1, b'0', 6, '88.472.60112', 2, '辽宁省铁岭市银州区龙山乡英城子村四组192', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '91211200MA0U9W6P3P', 1, NULL, 'L', '72', NULL, '杨长元', '15845778561@139.com', '15845778561', '杨长元', NULL, '审核通过', 'admin', '2023-06-14 16:46:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (264, 264, '88.472.60115/264', NULL, '', NULL, '', 'Ymtl618@', '辽宁康元药业有限公司', '辽宁康元药业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:17.000000', 1, '2023-09-22 10:07:11.000000', 1, b'0', 6, '88.472.60115', 2, '辽宁省铁岭市银州区龙山乡英城子村', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '91211200122852535G', 1, NULL, 'F', '51', NULL, '杨长元', '13050963426@139.com', '13050963426', '杨长元', NULL, '审核通过', 'admin', '2023-06-14 17:00:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (265, 265, '88.472.60144/265', NULL, '', NULL, '', 'Ymtl618@', '铁岭久安运输有限公司', '铁岭久安运输有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:50:17.000000', 1, '2023-09-22 09:59:13.000000', 1, b'0', 4, '88.472.60144', 2, '新城区砖石路东北城B16幢119房号', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211200MA0QC45GXD', 1, NULL, 'G', '54', NULL, '王娜', '17741062468@163.com', '15041005999', '王娜', NULL, '审核通过', 'admin', '2023-06-14 17:27:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (266, 266, '88.472.60147/266', NULL, '', NULL, '', 'Ymtl618@', '铁岭辅坤阀门有限公司', '铁岭辅坤阀门有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:57.000000', 1, '2023-09-22 09:55:03.000000', 1, b'0', 4, '88.472.60147', 2, '银州区铁岭经济开发区御墅林峰A19号', '银州区', '铁岭市', '辽宁省', '210000', '211200', '211202', '91211200MA0XYUHG3F', 1, NULL, 'F', '51', NULL, '张亚男', '13700102336@163.com', '13804106884', '张亚男', NULL, '审核通过', 'admin', '2023-06-14 20:43:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (267, 267, '88.472.60129/267', NULL, '', NULL, '', 'Ymtl618@', '甘井子区大连湾街道永力电子产品经销部', '甘井子区大连湾街道永力电子产品经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:36.000000', 1, '2023-09-22 10:26:11.000000', 1, b'0', 4, '88.472.60129', 2, '大连湾港北小区9#楼3号大仓库', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0WUGY69N', 1, NULL, 'F', '51', NULL, '朱明', 'dlhldz@126.com', '13942850200', '朱明', NULL, '审核通过', 'admin', '2023-06-15 09:39:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (268, 268, '88.472.60128/268', NULL, '', NULL, '', 'Bsjx654321@', '甘井子区大连湾街道天天兴电子产品经销部', '甘井子区大连湾街道天天兴电子产品经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:49:01.000000', 1, '2023-09-20 14:49:02.000000', 1, b'0', 2, '88.472.60128', 2, '甘井子区俪泊园45号2单元1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0U187A8F', 1, NULL, 'F', '51', NULL, '朱明', 'oktt61@163.com', '13942850200', '朱明', NULL, '审核通过', 'admin', '2023-06-15 09:55:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (269, 269, '88.472.60148/269', NULL, '', NULL, '', 'Ymtl618@', '大连思瑞乾润滑油有限责任公司', '大连思瑞乾润滑油有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:48:38.000000', 1, '2023-09-22 10:18:11.000000', 1, b'0', 4, '88.472.60148', 2, '自由贸易试验区大连保税区海富路9-1号8502室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA109DH60X', 1, NULL, 'F', '51', NULL, '刘秀芳', '13644080297@139.com', '13644080297', '刘秀芳', NULL, '审核通过', 'admin', '2023-06-15 13:23:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (270, 270, '88.472.50002/270', NULL, '', NULL, '', 'Ymtl618@', '大连太平防水工程有限公司', '大连太平防水工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:48:15.000000', 1, '2023-09-22 09:56:43.000000', 1, b'0', 4, '88.472.50002', 2, '甘井子区革镇堡镇中革村(甘井子区新水泥路0号)', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '9121020071691991X4', 1, NULL, 'E', '48', NULL, '张玉清', '13644080297@139.com', '13644080297', '张玉清', NULL, '审核通过', 'admin', '2023-06-15 13:47:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (271, 271, '88.472.60070/271', NULL, '', NULL, '', 'Ymtl618@', '大连恒达程经贸有限公司', '大连恒达程经贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:47:48.000000', 1, '2023-09-22 10:19:59.000000', 1, b'0', 4, '88.472.60070', 2, '石城乡东升村鲍屯79号（村委会房屋3-120室）', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210242MA0U9F0A62', 1, NULL, 'F', '51', NULL, '刘宇', 'dlhengdacheng@163.com', '13644080297', '刘宇', NULL, '审核通过', 'admin', '2023-06-15 14:17:23', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (272, 272, '88.472.20012/272', NULL, '', NULL, '', 'Ymtl618@', '大连谟钢铸造科技有限公司', '大连谟钢铸造科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:55:12.000000', 1, '2023-09-22 10:15:49.000000', 1, b'0', 4, '88.472.20012', 2, '大连保税区保税港区三路8号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MACG6DH0XP', 1, NULL, 'M', '75', NULL, '于凯翰', '1174744086@qq.com', '15804098912', '于凯翰', NULL, '审核通过', 'admin', '2023-06-15 14:37:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (273, 273, '88.472.60100/273', NULL, '', NULL, '', 'Ymtl618@', '辽宁浩瀚水上运动发展有限公司', '辽宁浩瀚水上运动发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:55:04.000000', 1, '2023-09-22 10:05:47.000000', 1, b'0', 4, '88.472.60100', 2, '大连保税区自贸大厦815室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MABTXE32X', 1, NULL, 'F', '51', NULL, '高昕', 'Biaoshijiexi001@163.com', '15804098912', '高昕', NULL, '审核通过', 'admin', '2023-06-15 14:51:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (274, 274, '88.472.60141/274', NULL, '', NULL, '', 'Ymtl618@', '甘井子区大连湾街道宏泰五金建材商行', '甘井子区大连湾街道宏泰五金建材商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:56.000000', 1, '2023-09-22 10:27:06.000000', 1, b'0', 4, '88.472.60141', 2, '甘井子区大连湾北山街28-1-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0Y94GL10', 1, NULL, 'F', '52', NULL, '张宏波', '13842675426@139.com', '13842675426', '张宏波', NULL, '审核通过', 'admin', '2023-06-15 15:54:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (275, 275, '88.472.60142/275', NULL, '', NULL, '', 'Ymtl618@', '甘井子区大连湾街道泰孚商店', '甘井子区大连湾街道泰孚商店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:48.000000', 1, '2023-09-22 10:25:49.000000', 1, b'0', 4, '88.472.60142', 2, '甘井子区俪泊园47号1单元1层5号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0X5MNF3C', 1, NULL, 'F', '51', NULL, ' 王君', 'Biaoshijiexi001@163.com', '15326178987', ' 王君', NULL, '审核通过', 'admin', '2023-06-15 20:50:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (276, 276, '88.472.60101/276', NULL, '', NULL, '', 'Ymtl618@', '大连博益企业管理咨询有限公司', '大连博益企业管理咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:39.000000', 1, '2023-09-22 10:11:33.000000', 1, b'0', 4, '88.472.60101', 2, '中山区独立街19号B座8层6号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA0Y9RWW6M', 1, NULL, 'L', '72', NULL, '王伟', '1174744086@qq.com', '15804098912', '王伟', NULL, '审核通过', 'admin', '2023-06-15 21:07:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (277, 277, '88.472.60149/277', NULL, '', NULL, '', 'Ymtl618@', '大连启睿财税代理有限公司', '大连启睿财税代理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:30.000000', 1, '2023-09-22 10:12:59.000000', 1, b'0', 4, '88.472.60149', 2, '甘井子区泉水B2区9号1单元2层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102113115983293', 1, NULL, 'L', '72', NULL, '尤勇', 'Biaoshijiexi001@163.com', '15804098912', '尤勇', NULL, '审核通过', 'admin', '2023-06-15 22:01:54', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (278, 278, '88.472.60150/278', NULL, '', NULL, '', 'Ymtl618@', '麻云伴智能科技（大连）有限公司', '麻云伴智能科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:22.000000', 1, '2023-09-22 09:52:00.000000', 1, b'0', 4, '88.472.60150', 2, '大连高新技术产业园区敬贤街26号腾讯大厦24层11-10号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '9121020458806096XM', 1, NULL, 'F', '51', NULL, '张文廷', 'mybcomp@163.com', '13112691314', '张文廷', NULL, '审核通过', 'admin', '2023-06-16 09:56:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (279, 279, '88.472.60051/279', NULL, '', NULL, '', 'Ymtl618@', '三江泰商贸(大连)有限公司', '三江泰商贸（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:12.000000', 1, '2023-09-22 10:08:52.000000', 1, b'0', 4, '88.472.60051', 2, '甘井子区大连湾街道大连湾村小红脸2-4-2-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0U00P032', 1, NULL, 'I', '65', NULL, '王君', '13942850200@139.com', '13942850200', '王君', NULL, '审核通过', 'admin', '2023-06-16 10:07:22', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (280, 280, '88.472.60151/280', NULL, '', NULL, '', 'Ymtl618@', '大连惠联水产有限公司', '大连惠联水产有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:54:03.000000', 1, '2023-09-22 10:21:39.000000', 1, b'0', 4, '88.472.60151', 2, '大连湾镇宋家村大沙沟屯', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211311450295W', 1, NULL, 'F', '51', NULL, '刘芝敏', '13940926336@139.com', '13940926336', '高昕', NULL, '审核通过', 'admin', '2023-06-16 11:57:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (281, 281, '88.472.60152/281', NULL, '', NULL, '', 'Ymtl618@', '大连辽渔国际水产品市场惠联水产经销部', '大连辽渔国际水产品市场惠联水产经销部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:53:52.000000', 1, '2023-09-22 10:17:50.000000', 1, b'0', 4, '88.472.60152', 2, '大连湾街8-136号(辽渔国际水产品市场一层1-299号摊位)', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0WR1AQ26', 1, NULL, 'F', '51', NULL, '刘芝敏', 'Biaoshijiexi010@163.com', '13940926336', '刘芝敏', NULL, '审核通过', 'admin', '2023-06-16 13:57:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (282, 282, '88.472.60153/282', NULL, '', NULL, '', 'Ymtl618@', '大连市甘井子区惠联冷冻加工厂', '大连市甘井子区惠联冷冻加工厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:53:42.000000', 1, '2023-09-22 10:11:14.000000', 1, b'0', 4, '88.472.60153', 2, '辽宁省大连市甘井子区大连湾镇宋家村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0X054D2N', 1, NULL, 'C', '13', NULL, '刘芝敏', 'Biaoshijiexi010@163.com', '13940926336', '刘芝敏', NULL, '审核通过', 'admin', '2023-06-16 14:26:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (283, 283, '88.472.60154/283', NULL, '', NULL, '', 'Ymtl618@', '甘井子区花落时节又逢君数据信息科技工作室', '甘井子区花落时节又逢君数据信息科技工作室', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:53:09.000000', 1, '2023-09-22 10:15:28.000000', 1, b'0', 4, '88.472.60154', 2, '甘井子区虹港路1号2-7-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MABQKFJP6F', 1, NULL, 'R', '88', NULL, '辛宇', 'Biaoshijiexi012@163.com', '15804098912', '辛宇', NULL, '审核通过', 'admin', '2023-06-17 20:47:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (284, 284, '88.472.60155/284', NULL, '', NULL, '', 'Ymtl618@', '斗善精密部件（大连）有限公司', '斗善精密部件（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:56.000000', 1, '2023-09-22 10:17:45.000000', 1, b'0', 4, '88.472.60155', 2, '经济技术开发区湾达路14号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102137644397851', 1, NULL, 'C', '36', NULL, '付志君', 'songym@doosundl.com', '13354097337', '付志君', NULL, '审核通过', 'admin', '2023-06-21 17:02:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (285, 285, '88.472.60136/285', NULL, '', NULL, '', 'Ymtl618@', '抚顺双宏新材料科技发展有限公司', '抚顺双宏新材料科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:27.000000', 1, '2023-09-22 10:16:29.000000', 1, b'0', 6, '88.472.60136', 2, '辽宁省抚顺市东洲区浑河南路东段18号', '东洲区', '抚顺市', '辽宁省', '210000', '210400', '210403', '91210403MA0XNWE17X', 1, NULL, 'F', '51', NULL, '陈艺轩', '626144950@qq.com', '15040121573', '陈艺轩', NULL, '审核通过', 'admin', '2023-06-26 15:03:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (286, 286, '88.472.60156/286', NULL, '', NULL, '', 'Ymtl618@', '大连神通模具有限公司', '大连神通模具有限公司 ', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:56.000000', 1, '2023-09-22 10:08:02.000000', 1, b'0', 2, '88.472.60156', 5, '北海工业园苏家', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '9121021175606571XH', 1, NULL, 'C', '35', NULL, '徐文科', 'Biaoshijiexi015@163.com', '13050855988', '徐文科', NULL, '审核通过', 'admin', '2023-07-01 22:25:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (287, 287, '88.472.60049/287', NULL, '', NULL, '', 'Ymtl618@', '大连金益丰文化咨询有限公司', '大连金益丰文化咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:47:44.000000', 1, '2023-09-22 10:24:04.000000', 1, b'0', 2, '88.472.60049', 2, '辽宁省大连市大连市沙河口区星月街46号1-1-2', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MAC4BQ6521', 1, NULL, 'L', '72', NULL, '陈丽霞', '2420490012@qq.com', '13898191707', '陈丽霞', NULL, '审核通过', 'admin', '2023-07-03 16:07:50', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (288, 288, '88.472.20015/288', NULL, '', NULL, '', 'Ymtl618@', '大连成鑫胶辊厂', '大连成鑫胶辊厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:53.000000', 1, '2023-09-22 10:23:54.000000', 1, b'0', 4, '88.472.20015', 2, '辽宁省庄河市兴达街道河东村', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '912102837260422182', 1, NULL, 'C', '35', NULL, '张丽', '724114011@qq.com', '15140519020', '张丽', NULL, '审核通过', 'admin', '2023-07-06 15:29:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (289, 289, '88.472.60521/289', NULL, '', NULL, '', 'Ymtl618@', '大连仁義盛粮油贸易有限公司', '大连仁義盛粮油贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:06.000000', 1, '2023-09-22 10:03:09.000000', 1, b'0', 2, '88.472.60521', 2, '辽宁省大连经济技术开发区青松北里17栋-1-1-2号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102133115926057', 1, NULL, 'F', '51', NULL, '刘国良', '1355772693@qq.com', '13134117521', '刘国良', NULL, '审核通过', 'admin', '2023-07-07 10:56:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (290, 290, '88.472.20016/290', NULL, '', NULL, '', 'Ymtl618@', '大连嘉易智造工业有限公司', '大连嘉易智造工业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:23.000000', 1, '2023-09-22 09:49:40.000000', 1, b'0', 4, '88.472.20016', 2, '辽宁省大连市甘井子区南关岭街道姚家村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102116870913664', 1, NULL, 'C', '37', NULL, '卢胜权', 'jiayizhizao_lu@163.com', '13050511889', '卢胜权', NULL, '审核通过', 'admin', '2023-07-11 11:39:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (291, 291, '88.472.60050/291', NULL, '', NULL, '', 'Ymtl618@', '辽宁晨兴物流供应链有限公司', '辽宁晨兴物流供应链有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:43.000000', 1, '2023-09-22 10:06:20.000000', 1, b'0', 4, '88.472.60050', 2, '辽宁省沈阳经济技术开发区五号路16甲3-2号（全部）', '铁西区', '沈阳市', '辽宁省', '210000', '210100', '210106', '91210106MA10BJ2X34', 1, NULL, 'L', '72', NULL, '白士平', '13356373924@139.com', '13356373924', '白士平', NULL, '审核通过', 'admin', '2023-07-12 15:16:22', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (292, 292, '88.472.60054/292', NULL, '', NULL, '', 'Ymtl618@', '大连高新园区航达船舶配件经销处', '大连高新园区航达船舶配件经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:43.000000', 1, '2023-09-22 09:58:35.000000', 1, b'0', 4, '88.472.60054', 2, '辽宁省大连高新技术产业园区海苑花园2号楼10#车库', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210231MA0X8CPK6L', 1, NULL, 'F', '51', NULL, '姚伟', '13019411920@139.com', '13019411920', '姚伟', NULL, '审核通过', 'admin', '2023-07-14 11:18:50', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (293, 293, '88.472.60131/293', NULL, '', NULL, '', 'Ymtl618@', '抚顺蜡港网络科技有限公司', '抚顺蜡港网络科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:48.000000', 1, '2023-09-22 10:17:08.000000', 1, b'0', 4, '88.472.60131', 2, '辽宁省抚顺市顺城区颐城街8号', '顺城区', '抚顺市', '辽宁省', '210000', '210400', '210411', '91210411MA0QFR9B39', 1, NULL, 'I', '65', NULL, '陈艺轩', '626144950@qq.com', '15040121573', '陈艺轩', NULL, '审核通过', 'admin', '2023-07-17 14:27:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (294, 294, '88.472.60057/294', NULL, '', NULL, '', 'Ymtl618@', '辽宁联泓科技有限公司', '辽宁联泓科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:59.000000', 1, '2023-09-22 10:05:09.000000', 1, b'0', 4, '88.472.60057', 2, '辽宁省沈抚新区翔宇路中立诚悦府60号-2601-48', '皇姑区', '沈阳市', '辽宁省', '210000', '210100', '210105', '91211500MA10ND8E58', 1, NULL, 'M', '73', NULL, '李振东', '13304130330@139.com', '13304130330', '李振东', NULL, '审核通过', 'admin', '2023-07-17 14:27:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (295, 295, '88.472.66511/295', NULL, '', NULL, '', 'Ymtl618@', '大连聚和汽车市场有限公司', '大连聚和汽车市场有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:42.000000', 1, '2023-09-22 10:11:47.000000', 1, b'0', 2, '88.472.66511', 2, '辽宁省大连保税区中港路9号国际车城A座7-9号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA10HDJE20', 1, NULL, 'F', '51', NULL, '杨晓彬', '13841131015@139.com', '13841131015', '杨晓彬', NULL, '审核通过', 'admin', '2023-07-17 14:48:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (296, 296, '88.472.65789/296', NULL, '', NULL, '', 'Ymtl618@', '圣域隆汽车用品贸易（大连）有限公司', '圣域隆汽车用品贸易（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:17:07.000000', 1, '2023-09-22 09:51:55.000000', 1, b'0', 6, '88.472.65789', 2, '辽宁省大连经济技术开发区淮河中路7号-6-5-611室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA10FPQL6D', 1, NULL, 'F', '51', NULL, '谢勇姿', '13322210678@139.com', '13322210678', '谢勇姿', NULL, '审核通过', 'admin', '2023-07-17 15:40:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (297, 297, '88.472.50003/297', NULL, '', NULL, '', 'Ymtl618@', '普兰店区双塔钧磊工程队', '普兰店区双塔钧磊工程队', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:15:17.000000', 1, '2023-09-22 10:18:26.000000', 1, b'0', 4, '88.472.50003', 2, '辽宁省大连市普兰店区双塔街道邓店村黄屯27号', '普兰店区', '大连市', '辽宁省', '210000', '210200', '210214', '92210282MA100WXR7W', 1, NULL, 'E', '47', NULL, '岳恒金', '2608435482@qq.com', '15642320230', '岳恒金', NULL, '审核通过', 'admin', '2023-07-19 10:01:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (298, 298, '88.472.60134/298', NULL, '', NULL, '', 'Ymtl618@', '大连格尔迈斯合成材料有限公司', '大连格尔迈斯合成材料有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:00.000000', 1, '2023-09-22 10:28:00.000000', 1, b'0', 4, '88.472.60134', 2, '辽宁省大连市甘井子区营城子镇后牧村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102110511012581', 1, NULL, 'C', '17', NULL, '司承毅', 'office@geo-textile.com', '13842893290', '司承毅', NULL, '审核通过', 'admin', '2023-07-19 11:13:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (299, 299, '88.472.60135/299', NULL, '', NULL, '', 'Ymtl618@', '青岛地比图软件科技有限公司', '青岛地比图软件科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:17:14.000000', 1, '2023-09-22 09:53:26.000000', 1, b'0', 4, '88.472.60135', 2, '山东省青岛市市北区四流南路80号乙纺织谷B2楼402室', '市北区', '青岛市', '山东省', '370000', '370200', '370203', '91370203MA3DC1JA5M', 1, NULL, 'I', '65', NULL, '肖若选', '727887766@qq.com', '17685549819', '肖若选', NULL, '审核通过', 'admin', '2023-07-19 15:15:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (300, 300, '88.472.60137/300', NULL, '', NULL, '', 'Ymtl618@', '大连经济技术开发区海青海鸣信息咨询部', '大连经济技术开发区海青海鸣信息咨询部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:20.000000', 1, '2023-09-22 10:11:25.000000', 1, b'0', 4, '88.472.60137', 2, '辽宁省大连经济技术开发区黄海西路266号204室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '2102413163571', 1, NULL, 'L', '72', NULL, '王颖', '18641133413@139.com', '18641133413', '王颖', NULL, '审核通过', 'admin', '2023-07-19 16:17:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (301, 301, '88.472.60138/301', NULL, '', NULL, '', 'Ymtl618@', '大连奇立贸易有限公司', '大连奇立贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:02:08.000000', 1, '2023-09-22 09:57:15.000000', 1, b'0', 4, '88.472.60138', 2, '辽宁省大连市甘井子区千山路宏苑小区279栋1单位4层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0U8NUB1T', 1, NULL, 'F', '51', NULL, '孙克奇', '13940910127@163.com', '13940910127', '孙克奇', NULL, '审核通过', 'admin', '2023-07-20 14:16:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (302, 302, '88.472.60157/302', NULL, '', NULL, '', 'Ymtl618@', '沙河口区哪吒生鲜水果店', '沙河口区哪吒生鲜水果店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:58.000000', 1, '2023-09-22 10:27:03.000000', 1, b'0', 4, '88.472.60157', 2, '辽宁省大连市沙河口区五一路217-10号（1）', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MAC04XMR18', 1, NULL, 'F', '52', NULL, '林楗国', '79444462@qq.com', '13840888710', '林楗国', NULL, '审核通过', 'admin', '2023-07-24 16:51:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (303, 303, '88.472.61227/303', NULL, '', NULL, '', 'Ymtl618@', '竹林人家（靖江）食品有限公司', '竹林人家（靖江）食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:44:53.000000', 1, '2023-09-22 10:12:07.000000', 1, b'0', 4, '88.472.61227', 2, '靖江市靖广路18号', '靖江市', '泰州市', '江苏省', '320000', '321200', '321282', '91321282MA7M4JRPXL', 1, NULL, 'F', '51', NULL, '侯江', '18762365210@139.com', '18762365210', '侯江', NULL, '审核通过', 'admin', '2023-07-25 09:39:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (304, 304, '88.472.60139/304', NULL, '', NULL, '', 'Ymtl618@', '中山区正玺经济信息咨询服务中心', '中山区正玺经济信息咨询服务中心', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:32.000000', 1, '2023-09-22 10:11:03.000000', 1, b'0', 4, '88.472.60139', 2, '辽宁省大连市中山区碧浪园13号1单元4层2号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '92210202MA10BK0G4X', 1, NULL, 'O', '80', NULL, '刘波', 'biaoshijiexi016@163.com', '15541196886', '刘波', NULL, '审核通过', 'admin', '2023-07-25 10:13:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (305, 305, '88.472.20017/305', NULL, '', NULL, '', 'Ymtl618@', '大连毅捷船舶技术服务有限公司', '大连毅捷船舶技术服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:52.000000', 1, '2023-09-22 09:52:45.000000', 1, b'0', 4, '88.472.20017', 2, '辽宁省大连市甘井子区凌水镇刘家村五队（仅限办公使用）', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211728882595Q', 1, NULL, 'C', '43', NULL, '徐毅', 'engine@marisafe.cn', '13898646196', '徐毅', NULL, '审核通过', 'admin', '2023-07-25 15:07:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (306, 306, '88.472.20018/306', NULL, '', NULL, '', 'Ymtl618@', '大连市西岗区泰霖变频器厂', '大连市西岗区泰霖变频器厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:55.000000', 1, '2023-09-22 10:12:11.000000', 1, b'0', 4, '88.472.20018', 2, '辽宁省大连市西岗区长江路588号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203736420358E', 1, NULL, 'C', '39', NULL, '田春凤', 'tailin1960@126.com', '13904281035', '田春凤', NULL, '审核通过', 'admin', '2023-07-26 11:45:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (307, 307, '88.472.60158/307', NULL, '', NULL, '', 'Ll@15642303984', '金州区金发地市场粒香香干果商行', '金州区金发地市场粒香香干果商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:13.000000', 1, '2023-09-19 16:14:19.000000', 1, b'0', 2, '88.472.60158', 2, '辽宁省大连市金州区站前街道金发地市场', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MA0X7H44XT', 1, NULL, 'F', '52', NULL, '李玲', '15642303984@139.com', '15642303984', '李玲', NULL, '审核通过', 'admin', '2023-07-26 15:49:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (308, 308, '88.472.20019/308', NULL, '', NULL, '', 'Ymtl618@', '爱产盛金（大连）硬质合金技术有限公司', '爱产盛金（大连）硬质合金技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:37:35.000000', 1, '2023-09-22 10:28:13.000000', 1, b'0', 4, '88.472.20019', 2, '辽宁省大连经济技术开发区26号地华盛达房地-2号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0QC2TC43', 1, NULL, 'C', '13', NULL, '王心钢', '13940884945@139.com', '13940884945', '王心钢', NULL, '审核通过', 'admin', '2023-07-27 17:15:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (309, 309, '88.472.60159/309', NULL, '', NULL, '', 'Ymtl618@', '甘井子区营城子农贸市场雪梅灯具店', '甘井子区营城子农贸市场雪梅灯具店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:52.000000', 1, '2023-09-22 10:15:15.000000', 1, b'0', 4, '88.472.60159', 2, '辽宁省大连市甘井子区营城子农贸市场内', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0X2B0X8X', 1, NULL, 'F', '52', NULL, '程雪梅', 'cxm13842843268@163.com', '13842843268', '程雪梅', NULL, '审核通过', 'admin', '2023-07-31 16:46:37', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (310, 310, '88.472.60160/310', NULL, '', NULL, '', 'Ymtl618@', '大连小欢喜文化传播有限公司', '大连小欢喜文化传播有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:31.000000', 1, '2023-09-22 10:03:31.000000', 1, b'0', 4, '88.472.60160', 2, '辽宁省大连市中山区杏林街4号地下1层3号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MACJ52W02J', 1, NULL, 'L', '72', NULL, '沈健', '491986855@qq.com', '13842852851', '沈健', NULL, '审核通过', 'admin', '2023-08-02 09:34:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (311, 311, '88.472.60161/311', NULL, '', NULL, '', 'Ymtl618@', '大连秀月房地产经纪有限公司', '大连秀月房地产经纪有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:11.000000', 1, '2023-09-22 10:09:00.000000', 1, b'0', 4, '88.472.60161', 2, '中国（辽宁）自由贸易试验区大连经济技术开发区大地街48-9号1层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA1023HD2W', 1, NULL, 'K', '70', NULL, '郑秀坤', '814652853@qq.com', '13478793888', '郑秀坤', NULL, '审核通过', 'admin', '2023-08-02 09:51:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (312, 312, '88.472.20021/312', NULL, '', NULL, '', 'Ymtl618@', '瓦房店冶金轴承集团有限公司', '瓦房店冶金轴承集团有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:41:03.000000', 1, '2023-09-22 10:30:09.000000', 1, b'0', 4, '88.472.20021', 2, '辽宁省瓦房店市钻石街2001号', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '91210200702113763J', 1, NULL, 'C', '34', NULL, '李军', 'halou226@163.com', '15640966779', '李军', NULL, '审核通过', 'admin', '2023-08-02 14:18:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (313, 313, '88.472.50004/313', NULL, '', NULL, '', 'Ymtl618@', '大连亿权安装工程有限公司', '大连亿权安装工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:21:49.000000', 1, '2023-09-22 10:02:34.000000', 1, b'0', 4, '88.472.50004', 2, '辽宁省大连市中山区虎滩路174号2单元7层2号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA118X8B4W', 1, NULL, 'E', '49', NULL, '孙亚囡', 'sunyanan-1142@163.com', '13664210307', '孙亚囡', NULL, '审核通过', 'admin', '2023-08-02 15:17:11', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (314, 314, '88.472.60162/314', NULL, '', NULL, '', 'Ymtl618@', '大连昊通物流有限公司', '大连昊通物流有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:35.000000', 1, '2023-09-22 10:26:23.000000', 1, b'0', 4, '88.472.60162', 2, '辽宁省大连市甘井子区榆水街10号4单元6层3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211399747527H', 1, NULL, 'G', '54', NULL, '李雪连', '112664255@qq.com', '13840807115', '李雪连', NULL, '审核通过', 'admin', '2023-08-02 15:59:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (315, 315, '88.472.60164/315', NULL, '', NULL, '', 'Ymtl618@', '锦州滨海新区晓静蔬菜摊床', '锦州滨海新区晓静蔬菜摊床', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:18:59.000000', 1, '2023-09-22 09:54:32.000000', 1, b'0', 4, '88.472.60164', 5, '辽宁省锦州滨海新区综合市场一楼摊床', '太和区', '锦州市', '辽宁省', '210000', '210700', '210711', '92210700MA0WFFGP54', 1, NULL, 'F', '52', NULL, '潘晓利', '13897863204@139.com', '13897863204', '潘晓利', NULL, '审核通过', 'admin', '2023-08-07 11:21:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (316, 316, '88.472.60163/316', NULL, '', NULL, '', 'Ymtl618@', '金普新区湾里街道樱飞百货超市', '金普新区湾里街道樱飞百货超市', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:29.000000', 1, '2023-09-22 10:00:41.000000', 1, b'0', 4, '88.472.60163', 5, '辽宁省大连市经济技术开发区宜宁北路41号1单元1层1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MAC019K30C', 2, NULL, 'G', '60', NULL, '叶飞', '717221255@qq.com', '13604942822', '叶飞', NULL, '审核通过', 'admin', '2023-08-07 15:36:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (317, 317, '88.472.60165/317', NULL, '', NULL, '', 'Ymtl618@', '大连瑞新家具有限公司', '大连瑞新家具有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:18.000000', 1, '2023-09-22 10:02:54.000000', 1, b'0', 4, '88.472.60165', 2, '辽宁省大连市甘井子区泉水K4区16号1单元11层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA112QEM0B', 1, NULL, 'F', '51', NULL, '仲成圆', '1404028684@qq.com', '15904254774', '仲成圆', NULL, '审核通过', 'admin', '2023-08-08 15:41:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (318, 318, '88.472.40002/318', NULL, '', NULL, '', 'Ymtl618@', '大连永晟农业发展有限公司', '大连永晟农业发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:09.000000', 1, '2023-09-22 09:54:40.000000', 1, b'0', 4, '88.472.40002', 2, '辽宁省大连花园口经济区明阳街道永胜村宋泡东屯43号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210245058084569T', 1, NULL, 'A', '01', NULL, '金忠国', '522269596@qq.com', '18111221638', '金忠国', NULL, '审核通过', 'admin', '2023-09-19 09:59:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (319, 319, '88.472.60166/319', NULL, '', NULL, '', 'Ymtl618@', '大连汇平船务有限公司', '大连汇平船务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:01:32.000000', 1, '2023-09-22 09:55:33.000000', 1, b'0', 4, '88.472.60166', 2, '辽宁省大连市中山区中山路124号4层428室', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202335837048Y', 1, NULL, 'M', '74', NULL, '张万强', '6@owism.com', '13604243026', '张万强', NULL, '审核通过', 'admin', '2023-08-14 10:20:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (320, 320, '88.472.60167/320', NULL, '', NULL, '', 'Ymtl618@', '大连华商天翼管理咨询有限公司', '大连华商天翼管理咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:04.000000', 1, '2023-09-22 10:09:38.000000', 1, b'0', 4, '88.472.60167', 2, '辽宁省大连市沙河口区中山路315号206室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204588083168C', 1, NULL, 'L', '72', NULL, '赵一帆', '4877862642@qq.com', '13840415801', '赵一帆', NULL, '审核通过', 'admin', '2023-08-14 15:23:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (321, 321, '88.472.20022/321', NULL, '', NULL, '', 'Ymtl618@', '大连华恒重型机床有限公司', '大连华恒重型机床有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:47.000000', 1, '2023-09-22 10:10:31.000000', 1, b'0', 4, '88.472.20022', 2, '辽宁省大连市甘井子区后革街425号-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10LMWD3Y', 1, NULL, 'C', '34', NULL, '林静', '13940861055@139.com', '13940861055', '林静', NULL, '审核通过', 'admin', '2023-08-14 15:23:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (322, 322, '88.472.60168/322', NULL, '', NULL, '', 'Ymtl618@', '大连圣龙投资顾问有限公司', '大连圣龙投资顾问有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:06.000000', 1, '2023-09-22 09:53:32.000000', 1, b'0', 4, '88.472.60168', 2, '辽宁省大连花园口经济区明阳街道永胜村村民委员会', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210245661116254Y', 1, NULL, 'L', '72', NULL, '廖丽华', '13130446035@139.com', '18104115069', '廖丽华', NULL, '审核通过', 'admin', '2023-08-14 15:56:37', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (323, 323, '88.472.20023/323', NULL, '', NULL, '', 'Ymtl618@', '大连旅顺滨海船舶修造有限公司', '大连旅顺滨海船舶修造有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:05.000000', 1, '2023-09-22 10:25:27.000000', 1, b'0', 4, '88.472.20023', 2, '辽宁省大连市旅顺经济开发区兴港路18号', '旅顺口区', '大连市', '辽宁省', '210000', '210200', '210212', '912102127021465229', 1, NULL, 'C', '37', NULL, '张树海', 'admin@dlbhrb.com', '13234086341', '张树海', NULL, '审核通过', 'admin', '2023-08-14 17:08:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (324, 324, '88.472.60169/324', NULL, '', NULL, '', 'Ymtl618@', '大连焦耐节能服务有限公司', '大连焦耐节能服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:03.000000', 1, '2023-09-22 09:59:30.000000', 1, b'0', 4, '88.472.60169', 2, '辽宁省大连市沙河口区中山路688号2层216室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA7MH7WR6F', 1, NULL, 'M', '75', NULL, '张卉', '1284741712@qq.com', '18742058501', '张卉', NULL, '审核通过', 'admin', '2023-08-15 14:02:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (325, 325, '88.472.60170/325', NULL, '', NULL, '', 'Ymtl618@', '沈阳彩莹矿业有限公司', '沈阳彩莹矿业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:25:19.000000', 1, '2023-09-22 10:25:29.000000', 1, b'0', 2, '88.472.60170', 2, '铁岭县李千户镇腰未台村', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211221683339950Q', 1, NULL, 'B', '12', NULL, '姜海波', '910120566@qq.com', '15350953317', '姜海波', NULL, '审核通过', 'admin', '2023-08-16 21:50:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (326, 326, '88.472.60172/326', NULL, '', NULL, '', 'Ymtl618@', '铁岭县新世捷矿业有限公司', '铁岭县新世捷矿业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:21:45.000000', 1, '2023-09-22 09:58:03.000000', 1, b'0', 4, '88.472.60172', 2, '铁岭县李千户乡', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '91211221MA0QC2458A', 1, NULL, 'B', '06', NULL, '姜海波', '512100126@qq.com', '16224095555', '姜海波', NULL, '审核通过', 'admin', '2023-09-19 09:41:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (327, 327, '88.472.60171/327', NULL, '', NULL, '', 'Ymtl618@', '铁岭县健晖建材有限公司', '铁岭县健晖建材有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:21:24.000000', 1, '2023-09-22 09:58:51.000000', 1, b'0', 6, '88.472.60171', 2, '铁岭县李千户乡', '铁岭县', '铁岭市', '辽宁省', '210000', '211200', '211221', '912112217851226990', 1, NULL, 'B', '06', NULL, '姜海波', '2607765354@qq.com', '16224095555', '姜海波', NULL, '审核通过', 'admin', '2023-08-16 22:01:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (328, 328, '88.472.60174/328', NULL, '', NULL, '', 'Ymtl618@', '锦州华洋船员服务有限公司', '锦州华洋船员服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:12.000000', 1, '2023-09-22 09:54:45.000000', 1, b'0', 4, '88.472.60174', 2, '辽宁省锦州市松山新区锦娘路1-500号', '古塔区', '锦州市', '辽宁省', '210000', '210700', '210702', '91210700683738329J', 1, NULL, 'L', '72', NULL, '王永新', 'huayangcy@163.com', '18604164353', '王永新', NULL, '审核通过', 'admin', '2023-08-17 09:16:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (329, 329, '88.472.60173/329', NULL, '', NULL, '', 'Ymtl618@', '大连云联天翼电子商务有限公司', '大连云联天翼电子商务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:21:17.000000', 1, '2023-09-22 10:01:45.000000', 1, b'0', 4, '88.472.60173', 2, '辽宁省大连花园口经济区明阳街道永胜村民委员会', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210245787308489D', 1, NULL, 'L', '72', NULL, '赵一帆', '1576542105@qq.com', '15242189632', '赵一帆', NULL, '审核通过', 'admin', '2023-08-17 09:16:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (330, 330, '88.472.60175/330', NULL, '', NULL, '', 'Ymtl618@', '盘锦恒发商贸有限公司', '盘锦恒发商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:27.000000', 1, '2023-09-22 10:12:53.000000', 1, b'0', 4, '88.472.60175', 2, '辽宁省盘锦市盘山县石山镇', '盘山县', '盘锦市', '辽宁省', '210000', '211100', '211122', '91211122MA107HKM0E', 1, NULL, 'F', '51', NULL, '张晓平', '13322384777@163.com', '17614273831', '张晓平', NULL, '审核通过', 'admin', '2023-08-17 15:15:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (331, 331, '88.472.60176/331', NULL, '', NULL, '', 'Ymtl618@', '大连市沙河口区新宏达轮胎经销处', '大连市沙河口区新宏达轮胎经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:54.000000', 1, '2023-09-22 10:08:46.000000', 1, b'0', 4, '88.472.60176', 2, '辽宁省大连市沙河口区连华街2-10号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '912102047478652807', 1, NULL, 'F', '51', NULL, '姜文章', '994650173@qq.com', '13304281178', '姜文章', NULL, '审核通过', 'admin', '2023-08-18 16:51:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (332, 332, '88.472.60177/332', NULL, '', NULL, '', 'Bj@18504280911', '大连中科达显新能源科技有限公司', '大连中科达显新能源科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:19:46.000000', 1, '2023-09-19 16:19:51.000000', 1, b'0', 2, '88.472.60177', 2, '辽宁省大连市西岗区繁荣街51号1单元2层2号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '912102033114704564', 1, NULL, 'M', '73', NULL, '白杰', '16821841@qq.com', '18504280911', '白杰', NULL, '审核通过', 'admin', '2023-08-22 15:53:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (333, 333, '88.472.60179/333', NULL, '', NULL, '', 'Ymtl618@', '大连基石云科技有限公司', '大连基石云科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:14.000000', 1, '2023-09-22 09:54:25.000000', 1, b'0', 4, '88.472.60179', 2, '辽宁省大连市甘井子区辛寨子砬子山村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MAC6JJGH04', 1, NULL, 'I', '65', NULL, '张卉', '18525448110@163.com', '18525448110', '张卉', NULL, '审核通过', 'admin', '2023-08-24 16:28:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (334, 334, '88.472.50006/334', NULL, '', NULL, '', 'Ymtl618@', '大连德茂装饰工程有限公司', '大连德茂装饰工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:03.000000', 1, '2023-09-22 10:17:01.000000', 1, b'0', 4, '88.472.50006', 2, '中国（辽宁）自由贸易试验区大连保税区海兴街60-1号2114室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0YRX7C8T', 1, NULL, 'E', '50', NULL, '王桂燕', '13654916405@139.com', '13654916405', '王桂燕', NULL, '审核通过', 'admin', '2023-08-28 08:49:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (335, 335, '88.472.50005/335', NULL, '', NULL, '', 'Ymtl618@', '大连中祥制业环境工程有限公司', '大连中祥制业环境工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:19:16.000000', 1, '2023-09-22 09:56:19.000000', 1, b'0', 4, '88.472.50005', 2, '辽宁省大连市庄河市荷花山镇芙蓉村姜屯（镇政府办公楼205室）', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '912102033358642060', 1, NULL, 'E', '48', NULL, ' 姜玉秋', '13352258058@139.com', '13352258058', ' 姜玉秋', NULL, '审核通过', 'admin', '2023-08-28 08:50:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (336, 336, '88.472.60180/336', NULL, '', NULL, '', 'Ymtl618@', '大连百禾餐饮管理有限公司', '大连百禾餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:31.000000', 1, '2023-09-22 10:06:20.000000', 1, b'0', 4, '88.472.60180', 2, '辽宁省大连保税区通港路5号2#综合办公楼', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0U5LCT2F', 1, NULL, 'L', '72', NULL, '王传建', 'xulimeng@baihecanyin.cn', '13610944643', '王传建', NULL, '审核通过', 'admin', '2023-08-28 08:50:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (337, 337, '88.472.60178/337', NULL, '', NULL, '', 'Ymtl618@', '沙河口区维京海产品店', '沙河口区维京海产品店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:33:46.000000', 1, '2023-09-22 10:28:59.000000', 1, b'0', 4, '88.472.60178', 2, '辽宁省大连市沙河口区富乐街36号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MA0XW39H6R', 1, NULL, 'F', '52', NULL, '朱雪垠', 'jiangjinzhe@tianenlu.net', '15640911079', '朱雪垠', NULL, '审核通过', 'admin', '2023-08-28 08:50:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (338, 338, '88.472.60181/338', NULL, '', NULL, '', 'Ymtl618@', '大连佳盛科技有限公司', '大连佳盛科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:52.000000', 1, '2023-09-22 10:05:47.000000', 1, b'0', 4, '88.472.60181', 2, '辽宁省大连市甘井子区椒园街16号1单元2层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211051102613B', 1, NULL, 'M', '74', NULL, '郝庆洲', '13840859516@139.com', '13840859516', '郝庆洲', NULL, '审核通过', 'admin', '2023-08-28 17:14:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (339, 339, '88.472.20024/339', NULL, '', NULL, '', 'Ymtl618@', '大连三恩井科技有限公司', '大连三恩井科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:17:51.000000', 1, '2023-09-22 09:53:20.000000', 1, b'0', 4, '88.472.20024', 2, '辽宁省大连市沙河口区玉门街45号6层1号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MACQRUEU67', 1, NULL, 'C', '40', NULL, '井然', '930955152@qq.com', '17866599921', '井然', NULL, '审核通过', 'admin', '2023-08-28 17:14:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (340, 340, '88.472.20025/340', NULL, '', NULL, '', 'Ymtl618@', '大连日吉精密模具有限公司', '大连日吉精密模具有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:20.000000', 1, '2023-09-22 10:25:58.000000', 1, b'0', 4, '88.472.20025', 2, '辽宁省大连经济技术开发区东北七街10-15-3号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0QCCFE9E', 1, NULL, 'C', '13', NULL, '郭玉君', '13898651195@163.com', '13898651195', '郭玉君', NULL, '审核通过', 'admin', '2023-08-29 10:09:12', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (341, 341, '88.472.60182/341', NULL, '', NULL, '', 'Ymtl618@', '大连臻谷商贸有限公司', '大连臻谷商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:53.000000', 1, '2023-09-22 10:13:18.000000', 1, b'0', 4, '88.472.60182', 2, '辽宁省大连市西岗区绕山路23号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MACKT57L5J', 1, NULL, 'F', '51', NULL, '谷晓朋', '2257419646@qq.com', '18841577606', '谷晓朋', NULL, '审核通过', 'admin', '2023-08-30 09:19:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (342, 342, '88.472.60184/342', NULL, '', NULL, '', 'Ymtl618@', '大连自贸区民健国际贸易有限公司', '大连自贸区民健国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:37.000000', 1, '2023-09-22 10:12:53.000000', 1, b'0', 4, '88.472.60184', 2, '中国（辽宁）自由贸易试验区大连经济技术开发区金窑路38-7-1号1层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0P5HDU13', 1, NULL, 'F', '51', NULL, '张迦南', '13940839866@163.com', '13940839866', '张迦南', NULL, '审核通过', 'admin', '2023-08-30 10:10:32', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (343, 343, '88.472.60183/343', NULL, '', NULL, '', 'Ymtl618@', '大连魏仙文化发展有限公司', '大连魏仙文化发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:37.000000', 1, '2023-09-22 10:00:15.000000', 1, b'0', 4, '88.472.60183', 2, '中国（辽宁）自由贸易试验区大连经济技术开发区金窑路38-7-1号1层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0XQ8DK7Y', 1, NULL, 'L', '72', NULL, '刘远瓒', '13940839866@163.com', '13940839866', '刘远瓒', NULL, '审核通过', 'admin', '2023-08-30 10:10:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (344, 344, '88.472.60188/344', NULL, '', NULL, '', 'Ymtl618@', '齐派艺术书画（大连）有限公司', '齐派艺术书画（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:17:28.000000', 1, '2023-09-22 09:51:28.000000', 1, b'0', 6, '88.472.60188', 2, '辽宁省大连经济技术开发区金石小区49栋-2-1-1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA11FCEDXP', 1, NULL, 'F', '52', NULL, '李艳丽', '13940839866@163.com', '13940839866', '李艳丽', NULL, '审核通过', 'admin', '2023-08-30 14:48:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (345, 345, '88.472.50007/345', NULL, '', NULL, '', 'Ymtl618@', '三祥·万力工业设备（大连）有限公司', '三祥·万力工业设备（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:03:23.000000', 1, '2023-09-22 10:09:09.000000', 1, b'0', 4, '88.472.50007', 2, '中国（辽宁）自由贸易试验区大连经济技术开发区双D港生命2路10号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213554996014U', 1, NULL, 'E', '49', NULL, '裴蕾', '13840904977@139.com', '13840904977', '裴蕾', NULL, '审核通过', 'admin', '2023-08-30 14:48:09', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (346, 346, '88.472.60185/346', NULL, '', NULL, '', 'Ymtl618@', '大连哈斯数控机床有限公司', '大连哈斯数控机床有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:23.000000', 1, '2023-09-22 10:14:00.000000', 1, b'0', 4, '88.472.60185', 2, '辽宁省大连保税区自贸大厦815室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA116YE63C', 1, NULL, 'F', '51', NULL, '姚贤敏', 'a2094777950@163.com', '18524632047', '姚贤敏', NULL, '审核通过', 'admin', '2023-08-30 15:16:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (347, 347, '88.472.60186/347', NULL, '', NULL, '', 'Ymtl618@', '大连思泰博模具技术有限公司', '大连思泰博模具技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:16.000000', 1, '2023-09-22 10:17:38.000000', 1, b'0', 4, '88.472.60186', 2, '辽宁省大连经济技术开发区先进装备制造业园区联东路17-8-1号1-3层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210211554980485W', 1, NULL, 'M', '74', NULL, '邹春雷', 'ju@stablemould.cn', '13898459970', '邹春雷', NULL, '审核通过', 'admin', '2023-08-30 16:02:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (348, 348, '88.472.20026/348', NULL, '', NULL, '', 'Ymtl618@', '大连埃斯安泵业有限公司', '大连埃斯安泵业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:37.000000', 1, '2023-09-22 09:53:58.000000', 1, b'0', 4, '88.472.20026', 2, '辽宁省大连市甘井子区营城子街道后牧村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102000980151899', 1, NULL, 'C', '34', NULL, '王泽忠', '13904117125@163.com', '13904117125', '王泽忠', NULL, '审核通过', 'admin', '2023-08-30 16:52:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (349, 349, '88.472.60187/349', NULL, '', NULL, '', 'Ymtl618@', '锦州滨海新区松良蛋禽摊床', '锦州滨海新区松良蛋禽摊床', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:46.000000', 1, '2023-09-22 09:54:13.000000', 1, b'0', 4, '88.472.60187', 2, '辽宁省锦州滨海新区综合市场一楼摊床', '太和区', '锦州市', '辽宁省', '210000', '210700', '210711', '92210700MA0X7PW58D', 1, NULL, 'F', '51', NULL, '薛松良', '15841067711@139.com', '15841067711', '薛松良', NULL, '审核通过', 'admin', '2023-08-31 09:14:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (350, 350, '88.472.20027/350', NULL, '', NULL, '', 'Ymtl618@', '大连金奇机械制造有限公司', '大连金奇机械制造有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:50:06.000000', 1, '2023-09-22 10:21:28.000000', 1, b'0', 4, '88.472.20027', 2, '辽宁省大连市金州区七顶山街道陆海村王家崴子89-1号1-2层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102130511457876', 1, NULL, 'C', '34', NULL, '王岩', '13322229202@139.com', '13322229202', '王岩', NULL, '审核通过', 'admin', '2023-09-01 15:47:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (351, 351, '88.472.60189/351', NULL, '', NULL, '', 'Ymtl618@', '大连连源供应链管理有限公司', '大连连源物流国际货运代理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:49.000000', 1, '2023-09-22 10:19:27.000000', 1, b'0', 4, '88.472.60189', 2, '辽宁省大连市甘井子区玉镜路114号大连嘉福消费品综合市场有限公司内', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA11ETJ738', 1, NULL, 'L', '72', NULL, '张洪礼', '13188024646@139.com', '13188024646', '张洪礼', NULL, '审核通过', 'admin', '2023-09-04 15:49:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (352, 352, '88.472.60190/352', NULL, '', NULL, '', 'Ymtl618@', '西岗区仁济宠物医院店', '西岗区仁济宠物医院店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:01.000000', 1, '2023-09-22 10:09:33.000000', 1, b'0', 4, '88.472.60190', 2, '辽宁省大连市西岗区永丰街96号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '92210203MA1195F166', 1, NULL, 'O', '82', NULL, '徐洪强', '17094086688@139.com', '17094086688', '徐洪强', NULL, '审核通过', 'admin', '2023-09-05 08:53:32', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (353, 353, '88.472.60192/353', NULL, '', NULL, '', 'Ymtl618@', '沙河口区大鱼音乐工作室', '沙河口区大鱼音乐工作室', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:17:15.000000', 1, '2023-09-22 10:27:40.000000', 1, b'0', 4, '88.472.60192', 2, '辽宁省大连市沙河口区刘家桥295号和舍艺术园区内295-11二层3-F2-20', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MA0YUCYT8C', 1, NULL, 'R', '87', NULL, '孙晓婷', '13841141241@139.com', '13841141241', '孙晓婷', NULL, '审核通过', 'admin', '2023-09-05 16:46:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (354, 354, '88.472.60193/354', NULL, '', NULL, '', 'Ymtl618@', '金普新区鑫融企业管理中心', '金普新区鑫融企业管理中心', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:23:09.000000', 1, '2023-09-22 09:59:43.000000', 1, b'0', 4, '88.472.60193', 2, '辽宁省大连金普新区炮台街道陈屯村双山屯', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MACJPC8C42', 1, NULL, 'L', '72', NULL, '华运国', '3197620@qq.com', '18624368816', '华运国', NULL, '审核通过', 'admin', '2023-09-06 11:50:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (355, 355, '88.472.60194/355', NULL, '', NULL, '', 'Ymtl618@', '大连焦耐技术设备有限公司', '大连焦耐技术设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:37.000000', 1, '2023-09-22 09:58:58.000000', 1, b'0', 4, '88.472.60194', 2, '辽宁省大连市沙河口区中山路692号29层18号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MABP8BY77G', 1, NULL, 'F', '52', NULL, '迟玉东', '544796508@qq.com', '15846354289', '迟玉东', NULL, '审核通过', 'admin', '2023-09-06 11:51:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (356, 356, '88.472.60196/356', NULL, '', NULL, '', 'Ymtl618@', '刘凡', '大连云蝶科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:05.000000', 1, '2023-09-22 10:15:07.000000', 1, b'0', 2, '88.472.60196', 2, '新星星海中心C座2511', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210244MA0YDKL31D', 1, NULL, 'I', '65', NULL, '刘凡凡', '790469164@qq.com', '15566666343', '刘凡凡', NULL, '审核通过', 'admin', '2023-09-06 15:47:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (357, 357, '88.472.20028/357', NULL, '', NULL, '', 'Ymtl618@', '港丰科技（大连）有限公司', '港丰科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:36:47.000000', 1, '2023-09-22 10:28:40.000000', 1, b'0', 4, '88.472.20028', 2, '辽宁省大连高新技术产业园区高新街3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102317824665095', 1, NULL, 'C', '18', NULL, '刘欣欣', '506538315@qq.com', '13720741867', '刘欣欣', NULL, '审核通过', 'admin', '2023-09-07 08:20:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (358, 358, '88.472.80006/358', NULL, '', NULL, '', 'Ymtl618@', '大连久久顺船务有限公司', '大连久久顺船务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:20:04.000000', 1, '2023-09-22 10:00:48.000000', 1, b'0', 6, '88.472.80006', 2, '辽宁省大连市甘井子区辛寨子砬子山村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MACB97HG63', 1, NULL, 'G', '55', NULL, '张卉', '13109837555@139.com', '13109837555', '张卉', NULL, '审核通过', 'admin', '2023-09-07 10:45:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (359, 359, '88.472.80005/359', NULL, '', NULL, '', 'Ymtl618@', '大连八八八船务有限公司', '大连八八八船务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:15.000000', 1, '2023-09-22 10:06:59.000000', 1, b'0', 4, '88.472.80005', 2, '辽宁省大连市甘井子区辛寨子砬子山村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MACD4PQF95', 1, NULL, 'G', '55', NULL, '张卉', '13109837555@139.com', '13109837555', '张卉', NULL, '审核通过', 'admin', '2023-09-07 10:45:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (360, 360, '88.472.60199/360', NULL, '', NULL, '', 'Ymtl618@', '大连精一供应链有限公司', '大连精一供应链有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:10:02.000000', 1, '2023-09-22 10:10:39.000000', 1, b'0', 4, '88.472.60199', 2, '辽宁省大连市瓦房店市岗店办事处钻石街369-9号（中国轴都大厦9楼0590）', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '91210281MACTE8YMXA', 1, NULL, 'M', '73', NULL, '张卉', '13109837555@139.com', '13109837555', '张卉', NULL, '审核通过', 'admin', '2023-09-07 10:45:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (361, 361, '88.472.60191/361', NULL, '', NULL, '', 'Ymtl618@', '辽宁天利物资供应有限公司', '辽宁天利物资供应有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:01.000000', 1, '2023-09-22 10:07:25.000000', 1, b'0', 4, '88.472.60191', 2, '辽宁省大连市庄河市栗子房镇张炉村张炉屯134号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA10NR1T1J', 1, NULL, 'F', '51', NULL, '王鑫', '1628165232@qq.com', '13512206587', '王鑫', NULL, '审核通过', 'admin', '2023-09-07 10:54:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (362, 362, '88.472.60198/362', NULL, '', NULL, '', 'Ymtl618@', '大连优政博惠商务咨询有限公司', '大连优政博惠商务咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:45.000000', 1, '2023-09-22 10:04:29.000000', 1, b'0', 4, '88.472.60198', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号6244室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0YGRW61K', 1, NULL, 'F', '51', NULL, '付政', '409264182@qq.com', '18640990266', '付政', NULL, '审核通过', 'admin', '2023-09-07 10:54:13', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (363, 363, '88.472.60200/363', NULL, '', NULL, '', 'Ymtl618@', '中好数智管理（大连）有限公司', '中好数智管理（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:20.000000', 1, '2023-09-22 10:10:31.000000', 1, b'0', 6, '88.472.60200', 2, '辽宁省大连市沙河口区西南路888号A9栋E102室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA10XHE477', 1, NULL, 'L', '72', NULL, '宋双双', '1175442730@qq.com', '13314110325', '宋双双', NULL, '审核通过', 'admin', '2023-09-07 11:22:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (364, 364, '88.472.60201/364', NULL, '', NULL, '', 'Ymtl618@', '锦州经济技术开发区王家街道艳明猪肉摊床', '锦州经济技术开发区王家街道艳明猪肉摊床', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:59.000000', 1, '2023-09-22 09:53:50.000000', 1, b'0', 4, '88.472.60201', 2, '辽宁省锦州滨海新区锦区综合市场1楼', '太和区', '锦州市', '辽宁省', '210000', '210700', '210711', '92210700MA0W94ABX2', 1, NULL, 'F', '52', NULL, '赵艳明', '13188409978@139.com', '18340351004', '赵艳明', NULL, '审核通过', 'admin', '2023-09-07 11:22:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (365, 365, '88.472.50008/365', NULL, '', NULL, '', 'Ymtl618@', '大连宏源消防机电工程有限公司', '大连宏源消防机电工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:18.000000', 1, '2023-09-22 09:59:39.000000', 1, b'0', 4, '88.472.50008', 2, '辽宁省大连市沙河口区永平街94号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210200744350732F', 1, NULL, 'E', '49', NULL, '张文军', '13942613552@139.com', '13942613552', '张文军', NULL, '审核通过', 'admin', '2023-09-07 14:21:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (366, 366, '88.472.60204/366', NULL, '', NULL, '', 'Ymtl618@', '13164551239', '大连正金装饰装修工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:58.000000', 1, '2023-09-22 09:59:01.000000', 1, b'0', 2, '88.472.60204', 2, '先进街道金海嘉园12号 1单元12层3号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213565507431T', 1, NULL, 'E', '50', NULL, '刁正金', '1326825358@qq.com', '13164551239', '刁风', 200, '审核通过', 'admin', '2023-09-07 15:30:22', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (367, 367, '88.472.60210/367', NULL, '', NULL, '', 'Ymtl618@', 'zhuoqinkuaiji', '大连卓勤会计事务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:58.000000', 1, '2023-09-22 10:08:01.000000', 1, b'0', 2, '88.472.60210', 2, '鞍山路丽都园55号1单元5层2号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '912102043992024127', 1, NULL, 'L', '72', NULL, '王艳梅', '1447974711@qq.com', '17824836606', '付小航', NULL, '审核通过', 'admin', '2023-09-08 09:28:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (368, 368, '88.472.20030/368', NULL, '', NULL, '', 'Ymtl618@', 'yanrul@dlksas.com', '科赛斯（大连）新材料制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:01:47.000000', 1, '2023-09-22 10:01:51.000000', 1, b'0', 2, '88.472.20030', 2, '普湾新区石河街道泰海路182-3-1号（3层3012室）', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA10JAYR71', 1, NULL, 'C', '42', NULL, '梁利', 'yanrul@dlksas.com', '13840836319', '梁利', NULL, '审核通过', 'admin', '2023-09-08 10:16:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (369, 369, '88.472.60212/369', NULL, '', NULL, '', 'Ymtl618@', 'huitonganxin', '大连慧通安信企业管理咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:51.000000', 1, '2023-09-22 09:55:55.000000', 1, b'0', 2, '88.472.60212', 2, '保税区海富路9-1号3041室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0TY9C18P', 1, NULL, 'L', '72', NULL, '王艳梅', '1447974711@qq.com', '17824836606', '付小航', NULL, '审核通过', 'admin', '2023-09-08 10:16:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (370, 370, '88.472.60215/370', NULL, '', NULL, '', 'Ymtl618@', '大连图月贸易有限公司', '大连图月贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:25.000000', 1, '2023-09-22 09:53:02.000000', 1, b'0', 4, '88.472.60215', 2, '辽宁省大连保税区自贸大厦815室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA7L8TG46P', 1, NULL, 'F', '52', NULL, '王馨遥', '306206791@qq.com', '13164509100', '王馨遥', NULL, '审核通过', 'admin', '2023-09-08 10:32:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (371, 371, '88.472.20029/371', NULL, '', NULL, '', 'Ymtl618@', '大连龙腾液压系统有限责任公司', '大连龙腾液压系统有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:15.000000', 1, '2023-09-22 10:03:28.000000', 1, b'0', 2, '88.472.20029', 2, '辽宁省大连市庄河市长岭镇双盛村河沿屯136号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210211MA0YPCHH45', 1, NULL, 'C', '34', NULL, '赵昌平', 'longtengyeya888@163.com', '13840925216', '刘艳', NULL, '审核通过', 'admin', '2023-09-08 10:35:53', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (372, 372, '88.472.50009/372', NULL, '', NULL, '', 'Ymtl618@', '大连嘉忆装饰装修工程有限公司', '大连嘉忆装饰装修工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:45.000000', 1, '2023-09-22 10:25:01.000000', 1, b'0', 4, '88.472.50009', 2, '辽宁省大连市中山区捷山街55A号1单元8层1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202071597115C', 1, NULL, 'E', '50', NULL, '关颖', '13009472007@139.com', '13009472007', '关颖', NULL, '审核通过', 'admin', '2023-09-08 10:46:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (373, 373, '88.472.60203/373', NULL, '', NULL, '', 'Ymtl618@', '大连瀛合餐饮管理有限公司', '大连瀛合餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:02:51.000000', 1, '2023-09-22 09:57:45.000000', 1, b'0', 6, '88.472.60203', 2, '辽宁省大连市沙河口区中山路688号269房屋', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MACWQLYG4G', 1, NULL, 'L', '72', NULL, '刘永梅', '15104063505@139.com', '15104063505', '刘永梅', NULL, '审核通过', 'admin', '2023-09-08 10:58:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (374, 374, '88.472.60202/374', NULL, '', NULL, '', 'Ymtl618@', 'huiwuyou', '大连慧无忧财务管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:23.000000', 1, '2023-09-22 09:56:27.000000', 1, b'0', 2, '88.472.60202', 2, '高新技术产业园区高新街2号4层418室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0Y9RW470', 1, NULL, 'L', '72', NULL, '姜丽丽', 'zqgongzuo666@163.com', '18640907185', '姜丽丽', NULL, '审核通过', 'admin', '2023-09-08 11:08:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (375, 375, '88.472.20031/375', NULL, '', NULL, '', 'Ymtl618@', '13478416111@139.com', '大连如一食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:35.000000', 1, '2023-09-22 10:10:23.000000', 1, b'0', 2, '88.472.20031', 2, '辽宁省大连经济技术开发区鞍山街10C7层12号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210211MA0UE3586F', 1, NULL, 'C', '14', NULL, '宋静', '13478416111@139.com', '13478416111', '姚庆忠', NULL, '审核通过', 'admin', '2023-09-08 11:08:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (376, 376, '88.472.60216/376', NULL, '', NULL, '', 'Ymtl618@', 'zhuoqinchengdong', '辽宁卓勤成东财税管理集团有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:06:57.000000', 1, '2023-09-22 10:07:02.000000', 1, b'0', 2, '88.472.60216', 2, '大刘家街道洼子店社区府前路103号118室', '普兰店区', '大连市', '辽宁省', '210000', '210200', '210214', '91210231MA10CKEU3G', 1, NULL, 'L', '72', NULL, '王艳梅', '3301556773@qq.com', '13130472272', '刘欢', NULL, '审核通过', 'admin', '2023-09-08 11:33:26', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (377, 377, '88.472.60220/377', NULL, '', NULL, '', 'Ymtl618@', '安达斯科技', '安达斯科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:44.000000', 1, '2023-09-22 10:08:07.000000', 1, b'0', 2, '88.472.60220', 2, '辽宁省大连庄河市长岭镇双盛村河沿屯136号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', ' 9121021158201011XB', 1, NULL, 'C', '34', NULL, '刘向阳', '813695938@qq.com', '15542368928', '薛静', NULL, '审核通过', 'admin', '2023-09-08 11:57:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (378, 378, '88.472.60219/378', NULL, '', NULL, '', 'Ymtl618@', 'yyy@eltcn.net', '大连伊立特科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:20.000000', 1, '2023-09-22 10:03:23.000000', 1, b'0', 2, '88.472.60219', 2, '辽宁省大连高新技术产业园区希贤街29号弘泰大厦B座十一层1112-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0QDJ1424', 1, NULL, 'C', '35', NULL, '袁野', 'yyy@eltcn.net', '13998494716', '于媛媛', NULL, '审核通过', 'admin', '2023-09-08 13:44:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (379, 379, '88.472.20032/379', NULL, '', NULL, '', 'Ymtl618@', '科技橡胶', '大连科技橡胶密封件有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:32.000000', 1, '2023-09-22 10:12:34.000000', 1, b'0', 2, '88.472.20032', 2, '辽宁省大连市甘井子区辛寨子砬子山村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211674086197N', 1, NULL, 'C', '29', NULL, '刘方礼', '506664115@qq.com', '13795153338', '原晨', NULL, '审核通过', 'admin', '2023-09-08 13:57:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (380, 380, '88.472.60218/380', NULL, '', NULL, '', 'Ymtl618@', '410746610@qq.com', '大连瑞航科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:09.000000', 1, '2023-09-22 10:19:12.000000', 1, b'0', 2, '88.472.60218', 2, '崇山街1号19层12号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210200MA0QD50H47', 1, NULL, 'I', '65', NULL, '王秀会', '410746610@qq.com', '13998581600', '王秀会', NULL, '审核通过', 'admin', '2023-09-08 14:06:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (381, 381, '88.472.60222/381', NULL, '', NULL, '', 'Ymtl618@', 'sajitiyu', '辽宁飒集体育管理集团有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:19.000000', 1, '2023-09-22 10:00:22.000000', 1, b'0', 2, '88.472.60222', 2, '黄河路219号6层604室19号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MACUGALUX9', 1, NULL, 'L', '72', NULL, '姜殿滨', '173730@qq.com', '13395144499', '姜一', NULL, '审核通过', 'admin', '2023-09-08 14:42:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (382, 382, '88.472.60221/382', NULL, '', NULL, '', 'Ymtl618@', '洪峰', '沈阳企商链科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:29:08.000000', 1, '2023-09-22 10:29:11.000000', 1, b'0', 2, '88.472.60221', 2, '北站路S3号6-1-01室', '沈河区', '沈阳市', '辽宁省', '210000', '210100', '210103', '91210103MA10RT697D', 1, NULL, 'M', '75', NULL, '洪峰', '820568441@qq.com', '15566208689', '洪峰', NULL, '审核通过', 'admin', '2023-09-08 14:43:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (383, 383, '88.472.60195/383', NULL, '', NULL, '', 'Ymtl618@', '15566666343', '大连意特科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:19.000000', 1, '2023-09-22 09:58:22.000000', 1, b'0', 2, '88.472.60195', 2, '辽宁省大连长兴岛经济区长兴路62号311室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210242MA0QEMTT9R', 1, NULL, 'I', '65', NULL, '刘凡凡', '790469164@qq.com', '15566666343', '刘凡凡', NULL, '审核通过', 'admin', '2023-09-08 15:56:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (384, 384, '88.472.60224/384', NULL, '', NULL, '', 'Ymtl618@', '15524664622@163.com', '大连贤锋科技有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:46.000000', 1, '2023-09-22 09:54:49.000000', 1, b'0', 2, '88.472.60224', 2, '辽宁省大连高新技术产业园区广贤路143号万科创智中心10层1014-2房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA10NJ0492', 1, NULL, 'L', '72', NULL, '李斐', '15524664622@163.com', '15524664622', '李斐', 100, '审核通过', 'admin', '2023-09-08 15:57:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (385, 385, '88.472.60197/385', NULL, '', NULL, '', 'Ymtl618@', '大连云蝶科技有限公司', '大连沙河口固齿口腔诊所有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:21:33.000000', 1, '2023-09-22 10:02:09.000000', 1, b'0', 4, '88.472.60197', 2, '辽宁省大连市沙河口区丽都园15号3-1-1号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204L15356512T', 1, NULL, 'Q', '84', NULL, '刘佳佳', '15724506573@qq.com', '15724506573', '刘佳佳', NULL, '审核通过', 'admin', '2023-09-08 15:57:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (386, 386, '88.472.60211/386', NULL, '', NULL, '', 'Ymtl618@', '大连特大果智能设备科技有限公司', '大连特大果智能设备科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:47.000000', 1, '2023-09-22 10:00:16.000000', 1, b'0', 4, '88.472.60211', 2, '辽宁省大连长兴岛经济区静海街76号1001-41', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210244MAC60TDA8W', 1, NULL, 'M', '75', NULL, '戚双双', '18525466520@qq.com', '18525466520', '戚双双', NULL, '审核通过', 'admin', '2023-09-08 15:57:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (387, 387, '88.472.60225/387', NULL, '', NULL, '', 'Ymtl618@', '蓝海融创', '大连蓝海融创科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:10:22.000000', 1, '2023-09-22 10:10:29.000000', 1, b'0', 2, '88.472.60225', 2, '辽宁省大连高新技术产业园区七贤南路115号楼17层07室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0XTMAB9B', 1, NULL, 'I', '65', NULL, '宫国美', '1564233177@qq.com', '15754036283', '梁美娟', NULL, '审核通过', 'admin', '2023-09-08 16:28:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (388, 388, '88.472.60227/388', NULL, '', NULL, '', 'Ymtl618@', '大连强盛贸易有限公司', '大连强盛贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:50.000000', 1, '2023-09-22 10:14:59.000000', 1, b'0', 4, '88.472.60227', 2, '辽宁省大连市西岗区白云新村山庄北二街2号708室', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MACAYF9D80', 1, NULL, 'F', '51', NULL, '唐宇博', 'jason.li@eltorque.cn', '18605085431', '唐宇博', NULL, '审核通过', 'admin', '2023-09-08 16:29:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (389, 389, '88.472.60229/389', NULL, '', NULL, '', 'Ymtl618@', '沙河口区芃新办公家具店', '沙河口区芃新办公家具店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:35:58.000000', 1, '2023-09-22 10:29:33.000000', 1, b'0', 4, '88.472.60229', 2, '辽宁省大连市沙河口区五一路90号地下一层21号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MA10CE2212', 1, NULL, 'F', '52', NULL, '仲昌春', '15942856053@139.com', '15942856053', '仲昌春', NULL, '审核通过', 'admin', '2023-09-08 16:57:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (390, 390, '88.472.60228/390', NULL, '', NULL, '', 'Ymtl618@', 'dlq19910390521@163.com', '大连取悦科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:48:46.000000', 1, '2023-09-22 09:49:31.000000', 1, b'0', 4, '88.472.60228', 2, '高新技术产业园区高新街1号7层西侧702房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA100J449E', 1, NULL, 'F', '51', NULL, '郜丽芝', 'dlq19910390521@163.com', '19910390521', '郜丽芝', NULL, '审核通过', 'admin', '2023-09-11 08:43:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (391, 391, '88.472.60223/391', NULL, '', NULL, '', 'Ymtl618@', '大连山一环保设备有限公司', '大连山一环保设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:02.000000', 1, '2023-09-22 10:05:06.000000', 1, b'0', 2, '88.472.60223', 2, '辽宁省大连市甘井子区大连湾街道毛茔子镇北海工业园区', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210213MA0TRJW57X', 1, NULL, 'M', '74', NULL, '罗永刚', 'qy18840811527@126.com', '18840811527', '罗永刚', NULL, '审核通过', 'admin', '2023-09-11 09:38:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (392, 392, '88.472.60226/392', NULL, '', NULL, '', 'Ymtl618@', 'zhangying', '辽宁省德美数码科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:04:32.000000', 1, '2023-09-22 10:04:34.000000', 1, b'0', 2, '88.472.60226', 2, '辽宁省大连市中山区祝贺街35号4层1379室', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MABNEETM7W', 1, NULL, 'I', '64', NULL, '张莹', '945907833@qq.com', '15948761385', '张莹', NULL, '审核通过', 'admin', '2023-09-11 11:16:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (393, 393, '88.472.60231/393', NULL, '', NULL, '', 'Ymtl618@', '冯玉涛1', '大连盛阳服装厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:09.000000', 1, '2023-09-22 10:14:13.000000', 1, b'0', 2, '88.472.60231', 2, '迎客路8号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211550621610R', 1, NULL, 'C', '18', NULL, '冯玉涛', 'dllook@126.com', '15840657777', '冯玉涛', NULL, '审核通过', 'admin', '2023-09-11 11:16:54', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (394, 394, '88.472.60232/394', NULL, '', NULL, '', 'Ymtl618@', '冯玉涛2', '大连鲁冠贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:25.000000', 1, '2023-09-22 10:14:29.000000', 1, b'0', 2, '88.472.60232', 2, '艺学北园16号6层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10JT730Q', 1, NULL, 'F', '52', NULL, '冯玉涛', '2268882531@qq.com', '13332273377', '冯玉涛', NULL, '审核通过', 'admin', '2023-09-11 11:17:11', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (395, 395, '88.472.60230/395', NULL, '', NULL, '', 'Ymtl618@', 'clsxg@163.com', '云上智能网络科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:23:22.000000', 1, '2023-09-22 10:23:28.000000', 1, b'0', 2, '88.472.60230', 2, '高新技术产业园区高新街1号7层西侧702房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0YJHK48U', 1, NULL, 'I', '65', NULL, '陈龙', 'clsxg@163.com', '13804957946', '陈龙', NULL, '审核通过', 'admin', '2023-09-11 11:17:28', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (396, 396, '88.472.50010/396', NULL, '', NULL, '', 'Ymtl618@', '15524387177', '辽宁世鑫工程有限公司   ', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:53:50.000000', 1, '2023-09-22 09:53:53.000000', 1, b'0', 2, '88.472.50010', 2, '辽宁省沈阳市于洪区滨江街47号（27门）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '9121010279847516X5', 1, NULL, 'E', '49', NULL, '蒋海丰', '1207998519@qq.com', '15524387177', '蒋海丰', NULL, '审核通过', 'admin', '2023-09-11 11:18:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (397, 397, '88.472.60238/397', NULL, '', NULL, '', 'Ymtl618@', '盖州市梁屯镇喜羊羊2元超市', '盖州市梁屯镇喜羊羊2元超市', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 15:26:12.000000', 1, '2023-09-22 10:13:27.000000', 1, b'0', 4, '88.472.60238', 2, '盖州市梁屯镇梁屯村', '盖州市', '营口市', '辽宁省', '210000', '210800', '210881', '210881605202846', 1, NULL, 'F', '52', NULL, '班跃明', '4401571@qq.com', '15640787885', '班跃明', NULL, '审核通过', 'admin', '2023-09-11 11:18:28', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (398, 398, '88.472.60240/398', NULL, '', NULL, '', 'Ymtl618@', '吉恒', '大连吉恒科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:49:45.000000', 1, '2023-09-22 09:51:00.000000', 1, b'0', 4, '88.472.60240', 2, '辽宁省大连庄河市长岭镇双盛村河沿屯136号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210203079456309A', 1, NULL, 'F', '51', NULL, '陈春艳', 'dalianbp@Hotmail.com', '13332281707', '陈春艳', NULL, '审核通过', 'admin', '2023-09-11 14:38:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (399, 399, '88.472.60233/399', NULL, '', NULL, '', 'Ymtl618@', '冯玉涛3', '大连蒲公英网络科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:41.000000', 1, '2023-09-22 10:14:44.000000', 1, b'0', 2, '88.472.60233', 2, '东北六街6号-1', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MAOYYGKC25', 1, NULL, 'I', '65', NULL, '冯玉涛', '2562361547@qq.com', '17709817919', '冯玉涛', NULL, '审核通过', 'admin', '2023-09-11 14:38:22', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (400, 400, '88.472.60234/400', NULL, '', NULL, '', 'Ymtl618@', '冯志豪', '大连智捷优创网络科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:13:47.000000', 1, '2023-09-22 10:13:52.000000', 1, b'0', 2, '88.472.60234', 2, '杏花小区34号楼2单元3层1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA10TCCF95', 1, NULL, 'M', '75', NULL, '冯志豪', '774234772@qq.com', '18840810322', '冯志豪', NULL, '审核通过', 'admin', '2023-09-11 14:38:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (401, 401, '88.472.60236/401', NULL, '', NULL, '', 'Ymtl618@', '1750162138@qq.com', '辽宁睿淼企业管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:59.000000', 1, '2023-09-22 10:13:02.000000', 1, b'0', 2, '88.472.60236', 2, '爱贤街10号设计城A座第19层1914-2', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231687083550H', 1, NULL, 'L', '72', NULL, '王艳梅', '15524664622@163.com', '15524664622', '李斐', NULL, '审核通过', 'admin', '2023-09-11 14:38:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (402, 402, '88.472.60239/402', NULL, '', NULL, '', 'Ymtl618@', '英嘉', '大连英嘉贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:08.000000', 1, '2023-09-22 10:11:10.000000', 1, b'0', 2, '88.472.60239', 2, '辽宁省大连市普兰店区大刘家街道洼子店社区府前路103号221室', '普兰店区', '大连市', '辽宁省', '210000', '210200', '210214', '91210203732759397N', 1, NULL, 'F', '51', NULL, '何玉文', '174042540@qq.com', '15754036283', '王晓丽', NULL, '审核通过', 'admin', '2023-09-11 14:39:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (403, 403, '88.472.60235/403', NULL, '', NULL, '', 'Ymtl618@', '774319817@qq.com', '大连惠无忧汽车科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:26:50.000000', 1, '2023-09-22 10:26:55.000000', 1, b'0', 2, '88.472.60235', 2, '长岭镇双盛村河沿屯136号（政府办公楼后院招商办公室105-102）', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA7MXJH77B', 1, NULL, 'O', '80', NULL, '王艳梅', '15524664622@163.com', '15524664622', '李斐', NULL, '审核通过', 'admin', '2023-09-11 14:39:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (404, 404, '88.472.60241/404', NULL, '', NULL, '', 'Ymtl618@', '大连英嘉贸易有限公司', '大连锦莱卓科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:12.000000', 1, '2023-09-22 10:13:53.000000', 1, b'0', 4, '88.472.60241', 2, '辽宁省大连市中山区春生街15号寺儿沟一区三坊11号三、四单元二层0419', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MABMU2NX2A', 1, NULL, 'M', '75', NULL, '马秀华', '770938361@qq.com', '15904161995', '马秀华', NULL, '审核通过', 'admin', '2023-09-11 15:04:37', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (405, 405, '88.472.20034/405', NULL, '', NULL, '', 'Ymtl618@', 'sale03@shanrong-rubber.com', '旅顺金利橡胶厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:34.000000', 1, '2023-09-22 10:00:37.000000', 1, b'0', 2, '88.472.20034', 2, '三涧堡镇土城子村', '旅顺口区', '大连市', '辽宁省', '210000', '210200', '210212', '91210212723478235A', 1, NULL, 'C', '29', NULL, '董军', 'sale03@shanrong-rubber.com', '15998496309', '董军', NULL, '审核通过', 'admin', '2023-09-11 15:05:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (406, 406, '88.472.60237/406', NULL, '', NULL, '', 'Ymtl618@', '大连市人工智能产业协会', '大连市人工智能产业协会', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:45.000000', 1, '2023-09-22 10:07:51.000000', 1, b'0', 2, '88.472.60237', 5, '广贤路143号万科创智中心', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '51210200MJ2961170D', 1, NULL, 'S', '95', NULL, '张耿霖', '1119641136@qq.com', '18098842376', '曲鹤', NULL, '审核通过', 'admin', '2023-09-11 15:09:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (407, 407, '88.472.20035/407', NULL, '', NULL, '', 'Ymtl618@', '15004032411', '沈阳召远橡胶制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:21:47.000000', 1, '2023-09-22 10:21:51.000000', 1, b'0', 2, '88.472.20035', 2, '沈阳市于洪区千山西路56-1号（4-2-2）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0P42C70T', 1, NULL, 'C', '29', NULL, '隋亚雷', 'suiyalei@zhaoyuanyt.com', '15004032411', '隋亚雷', NULL, '审核通过', 'admin', '2023-09-12 08:36:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (408, 408, '88.472.60243/408', NULL, '', NULL, '', 'Ymtl618@', '18302435351', '辽宁金丰达节能科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:15.000000', 1, '2023-09-22 09:54:24.000000', 1, b'0', 2, '88.472.60243', 2, '辽宁省沈阳市于洪区沈北西路237号', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA10UD7B25', 1, NULL, 'M', '75', NULL, '杨晓宇', '2795801979@qq.com', '18302435351', '杨晓宇', NULL, '审核通过', 'admin', '2023-09-12 08:36:50', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (409, 409, '88.472.60242/409', NULL, '', NULL, '', 'Ymtl618@', '18640116307', '沈阳联安建材销售有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:45.000000', 1, '2023-09-22 09:56:52.000000', 1, b'0', 2, '88.472.60242', 2, '辽宁省沈阳市沈北新区辉山大街123-27号323室', '沈北新区', '沈阳市', '辽宁省', '210000', '210100', '210113', '91210113MABQYG296D', 1, NULL, 'F', '51', NULL, '赵志毅', '421102848@qq.com', '18640116307', '赵志毅', NULL, '审核通过', 'admin', '2023-09-12 08:37:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (410, 410, '88.472.60245/410', NULL, '', NULL, '', 'Ymtl618@', '15940894077', '那农沐（大连）生物科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:10.000000', 1, '2023-09-22 10:09:15.000000', 1, b'0', 2, '88.472.60245', 2, '辽宁省大连经济技术开发区大李家街道青云村', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YEXHN00', 1, NULL, 'M', '75', NULL, '田长城', 'nanum_cn@163.com', '15940894077', '田长城', NULL, '审核通过', 'admin', '2023-09-12 11:46:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (411, 411, '88.472.60246/411', NULL, '', NULL, '', 'Ymtl618@', '大连恒盛远科技发展有限公司', '大连恒盛远科技发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:28.000000', 1, '2023-09-22 10:19:12.000000', 1, b'0', 4, '88.472.60246', 2, '辽宁省大连经济技术开发区生命3路27-5栋-5-1-1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0XUXA558', 1, NULL, 'I', '65', NULL, '李维红', '992463427@qq.com', '13942021142', '李维红', NULL, '审核通过', 'admin', '2023-09-12 11:46:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (412, 412, '88.472.20036/412', NULL, '', NULL, '', 'Ymtl618@', 'dalianmeide_hr@163.com', '大连美德液压气动工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:46.000000', 1, '2023-09-22 10:22:49.000000', 1, b'0', 2, '88.472.20036', 2, '鞍山路80-2号502室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204726012924R', 1, NULL, 'C', '43', NULL, '梁润成', 'dalianmeide_hr@163.com', '15941165336', '梁润成', NULL, '审核通过', 'admin', '2023-09-12 11:46:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (413, 413, '88.472.60248/413', NULL, '', NULL, '', 'Ymtl618@', '朝阳依诺财税咨询服务有限责任公司', '朝阳依诺财税咨询服务有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:15:32.000000', 1, '2023-09-22 10:19:02.000000', 1, b'0', 4, '88.472.60248', 2, '辽宁省朝阳市龙城区文化路五段69号（金融大厦7层723、722室）', '龙城区', '朝阳市', '辽宁省', '210000', '211300', '211303', '91211303MA7G1YTU2A', 1, NULL, 'L', '72', NULL, '孙宏兵', '15382299088@139.com', '15382299088', '孙宏兵', NULL, '审核通过', 'admin', '2023-09-12 11:46:53', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (414, 414, '88.472.6024/414', NULL, '', NULL, '', 'Ymtl618@', '13234081155', '爱产盛金（大连）国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:20.000000', 1, '2023-09-22 09:59:27.000000', 1, b'0', 2, '88.472.6024', 2, '中国（辽宁）自由贸易试验区大连保税区海兴街60-1号1244', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102137730361609', 1, NULL, 'F', '51', NULL, '辛娜', 'xinna-jp@163.com', '13234081155', '辛娜', NULL, '审核通过', 'admin', '2023-09-12 11:47:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (415, 415, '88.472.20037/415', NULL, '', NULL, '', 'Ymtl618@', 'lj7_203@163.com', '大连北方液压件厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:12.000000', 1, '2023-09-22 09:58:18.000000', 1, b'0', 2, '88.472.20037', 2, '长城镇李家村', '旅顺口区', '大连市', '辽宁省', '210000', '210200', '210212', '91210212243062302H', 1, NULL, 'C', '43', NULL, '梁健', 'lj7_203@163.com', '13840846218', '梁健', NULL, '审核通过', 'admin', '2023-09-12 11:49:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (416, 416, '88.472.60247/416', NULL, '', NULL, '', 'Ymtl618@', '大连高盛服饰有限公司', '大连高盛服饰有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:11.000000', 1, '2023-09-22 09:59:30.000000', 1, b'0', 4, '88.472.60247', 2, '辽宁省大连保税区中港路9号国际车城1110室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210245588051756X', 1, NULL, 'F', '51', NULL, '丛丽丽', '17742969811@139.com', '17742969811', '丛丽丽', NULL, '审核通过', 'admin', '2023-09-12 14:43:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (417, 417, '88.472.60249/417', NULL, '', NULL, '', 'Ymtl618@', 'ykb55@163.com', '大连热辊科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:02:39.000000', 1, '2023-09-22 10:02:47.000000', 1, b'0', 2, '88.472.60249', 2, '高新技术产业园区高新街1号7层西侧702房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0TRQR11K', 1, NULL, 'C', '35', NULL, '杨开彬', 'ykb55@163.com', '13609843720', '杨开彬', NULL, '审核通过', 'admin', '2023-09-12 15:53:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (418, 418, '88.472.60252/418', NULL, '', NULL, '', 'Ymtl618@', 'dlgyssf@163.com', '大连贵友科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:21:42.000000', 1, '2023-09-22 10:21:45.000000', 1, b'0', 2, '88.472.60252', 2, '中山路594号1-10-1', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '912102047409029903', 1, NULL, 'C', '35', NULL, '杨开彬', 'dlgyssf@163.com', '13889536116', '杨开彬', NULL, '审核通过', 'admin', '2023-09-12 15:53:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (419, 419, '88.472.60253/419', NULL, '', NULL, '', 'Ymtl618@', '17741175888', '辽宁诚事律师事务所', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:13:47.000000', 1, '2023-09-22 10:13:50.000000', 1, b'0', 2, '88.472.60253', 2, '大连市中山区长江东路56号楼1单元6层7号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '31210000691426819P', 1, NULL, 'M', '74', NULL, '任厚诚', 'renhoucheng@163.com', '17741175888', '任厚诚', NULL, '审核通过', 'admin', '2023-09-12 16:10:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (420, 420, '88.472.60254/420', NULL, '', NULL, '', 'Ymtl618@', '15524844999', '大连东泽食品商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:33.000000', 1, '2023-09-22 09:55:37.000000', 1, b'0', 2, '88.472.60254', 2, '辽宁省大连市沙河口区锦虹北园59-2号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA10RQWP5P', 1, NULL, 'F', '51', NULL, '李俊', 'dldongzefood@163.com', '15524844999', '李俊', NULL, '审核通过', 'admin', '2023-09-12 16:17:53', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (421, 421, '88.472.60256/421', NULL, '', NULL, '', 'Ymtl618@', '15942677072', '大连圆圈商业管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:10:12.000000', 1, '2023-09-22 10:10:21.000000', 1, b'0', 2, '88.472.60256', 2, '辽宁省大连市甘井子区玉谭街12号2单元5层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MAC8UP5J55', 1, NULL, 'L', '72', NULL, '李雪', '15942677072@139.com', '15942677072', '李雪', NULL, '审核通过', 'admin', '2023-09-12 16:27:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (422, 422, '88.472.60255/422', NULL, '', NULL, '', 'Ymtl618@', '18841188963', '大连九六三传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:10.000000', 1, '2023-09-22 10:05:13.000000', 1, b'0', 2, '88.472.60255', 2, '辽宁省大连市沙河口区中长东四街34号1单元19层4号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210203341186261U', 1, NULL, 'L', '72', NULL, '刘志强', 'jiuliusan@vip.qq.com', '18841188963', '刘志强', NULL, '审核通过', 'admin', '2023-09-12 16:35:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (423, 423, '88.472.60251/423', NULL, '', NULL, '', 'Ymtl618@', '郑光伟', '大连万亩田园实业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:01:35.000000', 1, '2023-09-22 10:02:34.000000', 1, b'0', 2, '88.472.60251', 2, '迎春街45号6楼615室', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA10T5QG7E', 1, NULL, 'F', '51', NULL, '郑光伟', '273992240@qq.com', '17640403079', '郑光伟', NULL, '审核通过', 'admin', '2023-09-12 16:37:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (424, 424, '88.472.60258/424', NULL, '', NULL, '', 'Ymtl618@', '18742575120@163.com', '大连易通达科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:04:28.000000', 1, '2023-09-22 10:04:46.000000', 1, b'0', 2, '88.472.60258', 2, '商城花园街8号2单元1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102111665816805H', 1, NULL, 'I', '65', NULL, '董宇晴', '18742575120@163.com', '18742575120', '董宇晴', NULL, '审核通过', 'admin', '2023-09-13 10:30:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (425, 425, '88.472.80007/425', NULL, '', NULL, '', 'Ymtl618@', '大连顺风顺水货运代理服务有限公司', '大连顺风顺水货运代理服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:11:16.000000', 1, '2023-09-22 09:57:30.000000', 1, b'0', 4, '88.472.80007', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号A1505室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MABNRRF47F', 1, NULL, 'G', '58', NULL, '鞠虹', '476176894@qq.com', '13842674250', '鞠虹', NULL, '审核通过', 'admin', '2023-09-13 10:31:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (426, 426, '88.472.60257/426', NULL, '', NULL, '', 'Ymtl618@', '伍佰艺（大连）商贸有限公司', '伍佰艺（大连）商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:12.000000', 1, '2023-09-22 10:13:02.000000', 1, b'0', 4, '88.472.60257', 2, '辽宁省大连保税区自贸大厦816室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA7H7AKJ3T', 1, NULL, 'F', '51', NULL, '李嘉欣', '672848009@qq.com', '15040565269', '李嘉欣', NULL, '审核通过', 'admin', '2023-09-13 10:39:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (427, 427, '88.472.20038/427', NULL, '', NULL, '', 'Ymtl618@', '13394114770', '大连骏安机械制造有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:08:40.000000', 1, '2023-09-22 10:08:46.000000', 1, b'0', 2, '88.472.20038', 2, '辽宁省大连庄河市栗子房镇栗子房村西房身屯31号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA102D435N', 1, NULL, 'C', '34', NULL, '李景武', '13904280141@163.com', '13394114770', '李景武', NULL, '审核通过', 'admin', '2023-09-13 10:40:23', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (428, 428, '88.472.60259/428', NULL, '', NULL, '', 'Ymtl618@', '大连众鑫热力发展有限公司', '大连众鑫热力发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:22:15.000000', 1, '2023-09-22 10:03:44.000000', 1, b'0', 8, '88.472.60259', 2, '辽宁省大连市甘井子区后革街413-21号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10MNK25M', 1, NULL, 'M', '74', NULL, '李孝昌', '1261546254@qq.com', '13644280114', '李孝昌', NULL, '审核通过', 'admin', '2023-09-13 10:40:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (429, 429, '88.472.60260/429', NULL, '', NULL, '', 'Ymtl618@', 'zhao18341501617@163.com', '小兵憨仔餐饮文化管理（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:04:55.000000', 1, '2023-09-22 10:05:03.000000', 1, b'0', 2, '88.472.60260', 2, '保税区海富路9-1号A0547室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MACQF2R799', 1, NULL, 'H', '62', NULL, '张航', 'zhao18341501617@163.com', '13591789555', '张航', NULL, '审核通过', 'admin', '2023-09-13 10:50:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (430, 430, '88.472.60261/430', NULL, '', NULL, '', 'Ymtl618@', '15941176512@163.com', '辽宁茂隆山河科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:36.000000', 1, '2023-09-22 10:09:40.000000', 1, b'0', 2, '88.472.60261', 2, '普湾新区石河街道泰海路182-3-2号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MABT99H211', 1, NULL, 'I', '65', NULL, '邢军', 'dlxingjun@163.com', '15941176512', '邢军', NULL, '审核通过', 'admin', '2023-09-13 13:26:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (431, 431, '88.472.50011/431', NULL, '', NULL, '', 'Ymtl618@', '1532483595@qq.com', '辽宁东方国立电子系统有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:41.000000', 1, '2023-09-22 09:52:45.000000', 1, b'0', 2, '88.472.50011', 2, '普湾新区石河街道泰海路182-3-2号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102316740502235', 1, NULL, 'I', '65', NULL, '贾国宾', '1532483595@qq.com', '18018954555', '贾国宾', NULL, '审核通过', 'admin', '2023-09-13 13:27:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (432, 432, '88.472.20041/432', NULL, '', NULL, '', 'Ymtl618@', '13591465419', '沈阳玉隆通风设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:19.000000', 1, '2023-09-22 10:14:22.000000', 1, b'0', 2, '88.472.20041', 2, '辽宁省沈阳市于洪区沈新西路260号一楼', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA7JETBJ8J', 1, NULL, 'C', '34', NULL, '姜德玉', '420705973@qq.com', '13591465419', '姜德玉', NULL, '审核通过', 'admin', '2023-09-13 13:35:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (433, 433, '88.472.20040/433', NULL, '', NULL, '', 'Ymtl618@', '15241830555', '沈阳煜鑫包装制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:18.000000', 1, '2023-09-22 09:52:21.000000', 1, b'0', 2, '88.472.20040', 2, '辽宁省沈阳市于洪区造化街道刘家村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0XLER1XA', 1, NULL, 'C', '22', NULL, '崔鹤', '986426262@qq.com', '15241830555', '崔鹤', NULL, '审核通过', 'admin', '2023-09-13 13:36:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (434, 434, '88.472.60264/434', NULL, '', NULL, '', 'Ymtl618@', 'xuhangzixun', '大连旭航信息咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:01:23.000000', 1, '2023-09-22 10:01:33.000000', 1, b'0', 2, '88.472.60264', 2, '大连金马路156号世元国际大厦1519', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102135760933695', 1, NULL, 'I', '65', NULL, '张胜军', '44969283@qq.copm', '13624285560', '张胜军', NULL, '审核通过', 'admin', '2023-09-13 13:48:34', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (435, 435, '88.472.60263/435', NULL, '', NULL, '', 'Ymtl618@', '15141019559', '沈阳金顺再生资源有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:50:50.000000', 1, '2023-09-22 09:50:54.000000', 1, b'0', 2, '88.472.60263', 2, '辽宁省沈阳经济技术开发区高花乡张福安村5组603-1', '铁西区', '沈阳市', '辽宁省', '210000', '210100', '210106', '91210106MA7JG9113T', 1, NULL, 'F', '51', NULL, '许继敏', 'z420705973@163.com', '15141019559', '许继敏', NULL, '审核通过', 'admin', '2023-09-13 15:05:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (436, 436, '88.472.20039/436', NULL, '', NULL, '', 'Ymtl618@', '15524419066', '沈阳晟源包装制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:13.000000', 1, '2023-09-22 09:54:19.000000', 1, b'0', 2, '88.472.20039', 2, '辽宁省沈阳市于洪区造化街道闸上村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114335689719X', 1, NULL, 'C', '22', NULL, '李雪', '3336721811@qq.com', '15524419066', '李雪', NULL, '审核通过', 'admin', '2023-09-13 15:05:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (437, 437, '88.472.60270/437', NULL, '', NULL, '', 'Ymtl618@', '53775313@qq.com', '大连讷敏贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:00.000000', 1, '2023-09-22 10:22:02.000000', 1, b'0', 2, '88.472.60270', 2, '保税区海兴街60-1号616室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102313410939387', 1, NULL, 'F', '51', NULL, '张立明', '53775313@qq.com', '18609861325', '张立明', NULL, '审核通过', 'admin', '2023-09-13 15:06:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (438, 438, '88.472.60267/438', NULL, '', NULL, '', 'Ymtl618@', '大连万道财税咨询有限公司', '大连万道财税咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:17:35.000000', 1, '2023-09-22 09:53:01.000000', 1, b'0', 4, '88.472.60267', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号A1016室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA11D07052', 1, NULL, 'L', '72', NULL, '付政', '15640923446@163.com', '15640923446', '付政', NULL, '审核通过', 'admin', '2023-09-13 15:06:12', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (439, 439, '88.472.60268/439', NULL, '', NULL, '', 'Ymtl618@', '辽宁锦铄财务咨询有限公司', '辽宁锦铄财务咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:17.000000', 1, '2023-09-22 10:04:21.000000', 1, b'0', 4, '88.472.60268', 2, '辽宁省大连市沙河口区星月街46号1-1-2', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91211500MA0YLYKH10', 1, NULL, 'L', '72', NULL, '付政', '18525479889@163.com', '18525479889', '付政', NULL, '审核通过', 'admin', '2023-09-13 15:06:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (440, 440, '88.472.60269/440', NULL, '', NULL, '', 'Ymtl618@', '大连优政博惠营销企划有限公司', '大连优政博惠营销企划有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:08.000000', 1, '2023-09-22 10:05:24.000000', 1, b'0', 4, '88.472.60269', 2, '辽宁省大连市庄河市吴炉镇徐营村徐东屯68号', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA11DL69XW', 1, NULL, 'L', '72', NULL, '付政', '15524663279@163.com', '15524663279', '付政', NULL, '审核通过', 'admin', '2023-09-13 15:06:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (441, 441, '88.472.60271/441', NULL, '', NULL, '', 'Ymtl618@', '甘井子区凯尚手工皮具坊', '甘井子区凯尚手工皮具坊', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:06.000000', 1, '2023-09-22 10:30:43.000000', 1, b'0', 4, '88.472.60271', 2, '辽宁省大连市甘井子区泉水D5区3-2公建', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MACELCNJ0W', 1, NULL, 'F', '52', NULL, '刘笑东', '1325198841@qq.com', '13610967031', '刘笑东', NULL, '审核通过', 'admin', '2023-09-13 15:35:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (442, 442, '88.472.60272/442', NULL, '', NULL, '', 'Ymtl618@', '13898657820@163.com', '大连卓信长盈贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:18.000000', 1, '2023-09-22 10:24:22.000000', 1, b'0', 2, '88.472.60272', 2, '保税区自贸大厦813室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0YHKPW6R', 1, NULL, 'F', '51', NULL, '孟庆梅', '13898657820@163.com', '13898657820', '孟庆梅', NULL, '审核通过', 'admin', '2023-09-13 16:31:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (443, 443, '88.472.20042/443', NULL, '', NULL, '', 'Ymtl618@', 'dljh858@163.com', '大连开泰隆设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:33.000000', 1, '2023-09-22 10:20:35.000000', 1, b'0', 2, '88.472.20042', 2, '辽宁省大连经济技术开发区松岚街39-8号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213782465725W', 1, NULL, 'C', '35', NULL, '姜红', 'dljh858@163.com', '13840871858', '姜红', NULL, '审核通过', 'admin', '2023-09-14 09:49:53', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (444, 444, '88.472.60262/444', NULL, '', NULL, '', 'Ymtl618@', '15640193411', '辽宁臻盛新材料科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:08.000000', 1, '2023-09-22 09:59:12.000000', 1, b'0', 2, '88.472.60262', 2, '辽宁省沈阳市于洪区沈胡路59-2号（15门）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA108GYB2A', 1, NULL, 'M', '75', NULL, '尹春玲', '839497186@qq.com', '15640193411', '尹春玲', NULL, '审核通过', 'admin', '2023-09-14 10:49:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (445, 445, '88.472.60275/445', NULL, '', NULL, '', 'Ymtl618@', '541521663@qq.com', '赫尔曼科技服务（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:23:00.000000', 1, '2023-09-22 10:23:05.000000', 1, b'0', 2, '88.472.60275', 2, '辽宁省大连经济技术开发区金马路162号12层5号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA11C2F812', 1, NULL, 'G', '59', NULL, '任爽', '541521663@qq.com', '18098855556', '任爽', NULL, '审核通过', 'admin', '2023-09-14 11:09:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (446, 446, '88.472.30008/446', NULL, '', NULL, '', 'Ymtl618@', 'qingran313@163.com', '天下大酱（大连）食品有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:16.000000', 1, '2023-09-22 09:59:20.000000', 1, b'0', 2, '88.472.30008', 2, '辽宁省大连经济技术开发区大李家街道太山村庙西沟屯', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YFTPU3J', 1, NULL, 'C', '14', NULL, '王丹', 'qingran313@163.com', '18698711313', '王丹', NULL, '审核通过', 'admin', '2023-09-14 11:10:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (448, 448, '88.472.60276/448', NULL, '', NULL, '', 'Ymtl618@', '13840926886', '大连大鑫无纺科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:49.000000', 1, '2023-09-22 10:19:52.000000', 1, b'0', 2, '88.472.60276', 2, '辽宁省大连市金州区站前街道金湾路369号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0QF2YY2D', 1, NULL, 'C', '28', NULL, '郭彤', 'fuyuqi007@163.com', '13840926886', '付玉齐', NULL, '审核通过', 'admin', '2023-09-14 11:21:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (449, 449, '88.472.60277/449', NULL, '', NULL, '', 'Ymtl618@', '1345300343@qq.com', '大连盛世营销策划有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:08.000000', 1, '2023-09-22 10:09:09.000000', 1, b'0', 2, '88.472.60277', 2, '辽宁省大连市大连市沙河口区锦江西园12号2层1号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA7M2JLH52', 1, NULL, 'L', '72', NULL, '刘敏', '1345300343@qq.com', '13591114379', '刘敏', NULL, '审核通过', 'admin', '2023-09-14 13:45:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (450, 450, '88.472.20043/450', NULL, '', NULL, '', 'Ymtl618@', '15840607151', '大连三弘金属制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:01:42.000000', 1, '2023-09-22 10:01:44.000000', 1, b'0', 2, '88.472.20043', 2, '辽宁省大连经济技术开发区振鹏中路31-3号-1-3层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213058070765R', 1, NULL, 'C', '34', NULL, '王晓宇', 'xiaomeng.s@dl-sanko.com', '15840607151', '隋小梦', NULL, '审核通过', 'admin', '2023-09-14 14:02:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (451, 451, '88.472.60279/451', NULL, '', NULL, '', 'Ymtl618@', '343804164@qq.com', '大连九八五科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:17:36.000000', 1, '2023-09-22 10:17:39.000000', 1, b'0', 2, '88.472.60279', 2, '辽宁省大连经济技术开发区金石滩观石路88-128号2单元2层1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA7L4B1B7H', 1, NULL, 'R', '88', NULL, '毕怿', '343804164@qq.com', '13889630965', '毕怿', NULL, '审核通过', 'admin', '2023-09-14 14:25:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (452, 452, '88.472.60280/452', NULL, '', NULL, '', 'Ymtl618@', 'hr@dazzlee.can', '大连炫一科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:04.000000', 1, '2023-09-22 09:55:06.000000', 1, b'0', 2, '88.472.60280', 2, '高新技术产业园区黄浦路523号A座十二层12A单元', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231311564081A', 1, NULL, 'I', '64', NULL, '刘晓', 'hr@dazzlee.cn', '13591754932', '刘晓', NULL, '审核通过', 'admin', '2023-09-14 14:25:37', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (453, 453, '88.472.60281/453', NULL, '', NULL, '', 'Ymtl618@', '朝阳市宏邦家政服务有限公司', '朝阳市宏邦家政服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:15:45.000000', 1, '2023-09-22 10:19:37.000000', 1, b'0', 4, '88.472.60281', 2, '辽宁省朝阳市双塔区竹林路三段1号7层707', '双塔区', '朝阳市', '辽宁省', '210000', '211300', '211302', '91211302MACNQ06D60', 1, NULL, 'O', '80', NULL, '王志博', '1827809200@qq.com', '18842485301', '王志博', NULL, '审核通过', 'admin', '2023-09-14 14:25:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (454, 454, '88.472.60278/454', NULL, '', NULL, '', 'Ymtl618@', 'deantron', '大连鼎创科技开发有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:02.000000', 1, '2023-09-22 10:22:07.000000', 1, b'0', 2, '88.472.60278', 2, '大连市高新园区火炬路56A号集电大厦17层', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102315655272210', 1, '大连鼎创科技开发有限公司成立于2011年1月，注册资本2000万元，是一家专注于从事智能家居和行业物联网产品设计开发的民营高新技术企业。公司产品主要包括智能家居控制终端、智慧健康养老智能终端、智慧楼宇控制系统、行业物联网智能管理系统等。鼎创科技先后建立辽宁省工程技术研究中心、大连市工程技术研究中心、辽宁省工业设计中心、大连市工业设计中心。', 'C', '39', 'www.deantron.com', '张泽旗', '7131519@qq.com', '18642658282', '张丽', 2000, '审核通过', 'admin', '2023-09-14 14:26:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (455, 455, '88.472.50014/455', NULL, '', NULL, '', 'Ymtl618@', '双塔区诚锐建筑施工队', '双塔区诚锐建筑施工队', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:48.000000', 1, '2023-09-22 09:49:13.000000', 1, b'0', 4, '88.472.50014', 2, '辽宁省朝阳市双塔区海河路四段10-24', '双塔区', '朝阳市', '辽宁省', '210000', '211300', '211302', '92211302MABN6DGU37', 1, NULL, 'E', '48', NULL, '李四爱', '15566810111@139.com', '15566810111', '李四爱', NULL, '审核通过', 'admin', '2023-09-14 14:26:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (456, 456, '88.472.60282/456', NULL, '', NULL, '', 'Ymtl618@', '15140584321', '大连爱渥特机器人科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:50:20.000000', 1, '2023-09-22 09:50:27.000000', 1, b'0', 2, '88.472.60282', 2, '辽宁省大连保税区黄海中路4-1号1层12号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102043411273176', 1, NULL, 'C', '34', NULL, '过祖攀', 'awtxzrs@dlawt.com', '15140584321', '陈艳', NULL, '审核通过', 'admin', '2023-09-14 14:43:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (457, 457, '88.472.60283/457', NULL, '', NULL, '', 'Ymtl618@', '顽乐生活', '辽宁顽乐生活品牌管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:56.000000', 1, '2023-09-22 09:53:00.000000', 1, b'0', 2, '88.472.60283', 2, '辽宁省大连市中山区明泽街16号丽苑大厦4层S5号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MACQF9Y4F', 1, NULL, 'L', '72', NULL, '邹齐立', 'wanleshenghuo001@163.com', '18842828777', '邹齐立', NULL, '审核通过', 'admin', '2023-09-14 15:20:26', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (458, 458, '88.472.30009/458', NULL, '', NULL, '', 'Ymtl618@', '314432640@qq.com', '大连古牧源集团有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:29.000000', 1, '2023-09-22 10:16:34.000000', 1, b'0', 2, '88.472.30009', 2, '辽宁省大连市金州区杏树街道姚家村吴家庄87号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102113412084910', 1, NULL, 'A', '03', NULL, '刘选武', '314432640@qq.com', '13555988663', '刘选武', NULL, '审核通过', 'admin', '2023-09-14 15:20:54', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (459, 459, '88.472.60285/459', NULL, '', NULL, '', 'Ymtl618@', '174746459@qq.com', '大连天蓝文化传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:34.000000', 1, '2023-09-22 10:12:37.000000', 1, b'0', 2, '88.472.60285', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号9513室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA110QJ600', 1, NULL, 'R', '88', NULL, '王琳', '174746459@qq.com', '15754010505', '王琳', NULL, '审核通过', 'admin', '2023-09-14 15:39:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (460, 460, '88.472.60286/460', NULL, '', NULL, '', 'Ymtl618@', '1048411266@qq.com', '大连算网科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:49:59.000000', 1, '2023-09-22 09:50:08.000000', 1, b'0', 2, '88.472.60286', 2, '金普新区炮台街道迎宾大道2号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MABWNGW333', 1, NULL, 'I', '64', NULL, '郑学慧', '1048411266@qq.com', '18341623028', '郑学慧', NULL, '审核通过', 'admin', '2023-09-14 15:39:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (461, 461, '88.472.60287/461', NULL, '', NULL, '', 'Ymtl618@', '1217638696@qq.com', '大连锦立德新材料科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:49:11.000000', 1, '2023-09-22 09:51:42.000000', 1, b'0', 2, '88.472.60287', 2, '辽宁省大连市甘井子区玉浓西街55-3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MABQR2MG4N', 1, NULL, 'C', '26', NULL, '孙婷', '1217638696@qq.com', '13840865066', '孙世', NULL, '审核通过', 'admin', '2023-09-14 16:10:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (462, 462, '88.472.60288/462', NULL, '', NULL, '', 'Ymtl618@', '15940191907', '大连大鑫卫生护理用品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:43.000000', 1, '2023-09-22 10:07:44.000000', 1, b'0', 2, '88.472.60288', 2, '辽宁省大连经济技术开发区董家沟西英村', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102137478887657', 1, NULL, 'C', '28', NULL, '郭鑫', '2631276003@qq.com', '15940191907', '侯云腾', NULL, '审核通过', 'admin', '2023-09-14 16:10:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (463, 463, '88.472.60284/463', NULL, '', NULL, '', 'Ymtl618@', '1351970861@qq.com', '大连指月茶文化有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:51.000000', 1, '2023-09-22 10:12:52.000000', 1, b'0', 2, '88.472.60284', 2, '辽宁省大连市中山区港东街7号20层13号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MACPUUH059', 1, NULL, 'F', '52', NULL, '邵丽娜', '1351970861@qq.com', '18504203182', '邵丽娜', NULL, '审核通过', 'admin', '2023-09-14 16:20:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (464, 464, '88.472.60289/464', NULL, '', NULL, '', 'Ymtl618@', '1373716863@qq.com', '大连鸣远商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:18:10.000000', 1, '2023-09-22 10:18:12.000000', 1, b'0', 2, '88.472.60289', 2, '高新技术产业园区善水街21-33号28层10号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231311566677C', 1, NULL, 'F', '51', NULL, '杨惠雯 ', '1373716863@qq.com', '13909855636', '杨惠雯 ', NULL, '审核通过', 'admin', '2023-09-14 16:28:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (465, 465, '88.472.60295/465', NULL, '', NULL, '', 'Ymtl618@', '天恩璐（大连）石油化工有限公司', '天恩璐（大连）石油化工有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:26.000000', 1, '2023-09-22 10:04:16.000000', 1, b'0', 4, '88.472.60295', 2, '辽宁省大连高新技术产业园区广贤路135号408室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210244570865065B', 1, NULL, 'F', '51', NULL, '单宝冬', 'biaoshijiexi022@163.com', '13941197336', '单宝冬', NULL, '审核通过', 'admin', '2023-09-14 21:13:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (466, 466, '88.472.60293/466', NULL, '', NULL, '', 'Ymtl618@', '沙河口区贵珍大众浴池', '沙河口区贵珍大众浴池', '', '', '', '', '', 0, 2, NULL, '', '2023-09-20 14:52:11.000000', 1, '2023-09-22 10:30:07.000000', 1, b'0', 4, '88.472.60293', 2, '辽宁省大连市沙河口区鞍山路82号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MA0U2M304K', 1, NULL, 'O', '80', NULL, '臧波', 'biaoshijiexi021@163.com', '18104115088', '臧波', NULL, '审核通过', 'admin', '2023-09-14 21:13:53', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (467, 467, '88.472.20044/467', NULL, '', NULL, '', 'Ymtl618@', '1251933545@qq.com', '昌图县铭涵榨油厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:08.000000', 1, '2023-09-22 09:52:56.000000', 1, b'0', 4, '88.472.20044', 2, '辽宁省铁岭市昌图县大四镇方家村小学院内', '昌图县', '铁岭市', '辽宁省', '210000', '211200', '211224', '91211224MABX2D4E3J', 1, NULL, 'F', '51', NULL, '谢红艳', '1251933545@qq.com', '18641190300', '谢红艳', NULL, '审核通过', 'admin', '2023-09-15 10:22:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (468, 468, '88.472.60290/468', NULL, '', NULL, '', 'Ymtl618@', '50064739@qq.com', '大连德疆网络科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:21:32.000000', 1, '2023-09-22 10:21:37.000000', 1, b'0', 2, '88.472.60290', 2, '辽宁省大连市甘井子区柳树街126号2单元4层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA113H256D', 1, NULL, 'I', '65', NULL, '温德江', '50064739@qq.com', '13942601587', '温德江', NULL, '审核通过', 'admin', '2023-09-15 10:46:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (469, 469, '88.472.60291/469', NULL, '', NULL, '', 'Ymtl618@', '上品科技', '上品科技（大连）有限公司   ', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:26.000000', 1, '2023-09-22 10:09:28.000000', 1, b'0', 2, '88.472.60291', 2, '辽宁省大连市中山区明泽街16号丽苑大厦4层S1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210200MA0U1L9R5W', 1, NULL, 'O', '82', NULL, '丛琳桐', '15542555580@163.com', '13889505090', '丛琳桐', NULL, '审核通过', 'admin', '2023-09-15 11:09:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (470, 470, '88.472.60292/470', NULL, '', NULL, '', 'Ymtl618@', '大连众益工业技术有限公司', '大连众益工业技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:22:02.000000', 1, '2023-09-22 10:03:31.000000', 1, b'0', 6, '88.472.60292', 2, '辽宁省大连经济技术开发区哈尔滨路34栋-1-506号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102135944102413', 1, NULL, 'M', '73', NULL, '肖倩', '214534089@qq.com', '13609851168', '肖倩', NULL, '审核通过', 'admin', '2023-09-15 11:10:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (471, 471, '88.472.40004/471', NULL, '', NULL, '', 'Ymtl618@', '569116105@qq.com', '大连雀龙海参产业发展有限公司  ', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:23.000000', 1, '2023-09-22 10:24:28.000000', 1, b'0', 2, '88.472.40004', 2, '金州区登沙河街道程家村下程屯', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MABNHLX67Y', 1, NULL, 'F', '51', NULL, '张松', '569116105@qq.com', '18040112221', '张松', NULL, '审核通过', 'admin', '2023-09-15 11:48:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (472, 472, '88.472.60296/472', NULL, '', NULL, '', 'Ymtl618@', '大连市沙河口区心航教育培训学校有限公司', '大连市沙河口区心航教育培训学校有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:04:44.000000', 1, '2023-09-22 10:08:17.000000', 1, b'0', 6, '88.472.60296', 2, '辽宁省大连市沙河口区中山路682号7层34、35号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA100KCG0G', 1, NULL, 'P', '83', NULL, '刘兵', '13514119067@139.com', '13514119067', '刘兵', NULL, '审核通过', 'admin', '2023-09-15 11:48:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (473, 473, '88.472.60294/473', NULL, '', NULL, '', 'Ymtl618@', '心航教育咨询（北京）有限公司大连分公司', '心航教育咨询（北京）有限公司大连分公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:35.000000', 1, '2023-09-22 10:13:57.000000', 1, b'0', 6, '88.472.60294', 2, '辽宁省大连市沙河口区数码路100号1单元8层31号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210231MA0TPLL86H', 1, NULL, 'L', '72', NULL, '赵久宇', '13840891497@139.com', '13840891497', '赵久宇', NULL, '审核通过', 'admin', '2023-09-15 11:48:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (474, 474, '88.472.60297/474', NULL, '', NULL, '', 'Ymtl618@', '15940845032@163.com', '大连久隆科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:08:05.000000', 1, '2023-09-22 10:08:07.000000', 1, b'0', 2, '88.472.60297', 2, '辽宁省大连保税区IA-25黄海西三路100号104', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242089099624R', 1, NULL, 'C', '34', NULL, '张郝平', '15940845032@163.com', '15940845032', '张郝平', NULL, '审核通过', 'admin', '2023-09-15 13:44:48', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (475, 475, '88.472.60298/475', NULL, '', NULL, '', 'Ymtl618@', '13609854979@163.com', '大连环鼎诚橡胶制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:13.000000', 1, '2023-09-22 10:15:15.000000', 1, b'0', 2, '88.472.60298', 2, '辽宁省大连市甘井子区辛寨子天虹工业园区辛磊街15号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MABTTLE75P', 1, NULL, 'F', '51', NULL, '冯明森', '13609854979@163.com', '13609854979', '冯明森', NULL, '审核通过', 'admin', '2023-09-15 14:25:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (476, 476, '88.472.60299/476', NULL, '', NULL, '', 'Ymtl618@', '18141122064', '恒信自动化（大连）股份有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:51:46.000000', 1, '2023-09-22 09:51:58.000000', 1, b'0', 2, '88.472.60299', 2, '辽宁省大连经济技术开发区金源北路1号-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213089076385W', 1, NULL, 'C', '33', NULL, '李绅', 'cg@hengsun.net', '18141122064', '高芳菲', NULL, '审核通过', 'admin', '2023-09-15 14:38:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (477, 477, '88.472.60312/477', NULL, '', NULL, '', 'Ymtl618@', '大连利晟隆供应链管理有限公司', '大连利晟隆供应链管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:35.000000', 1, '2023-09-22 10:07:41.000000', 1, b'0', 2, '88.472.60312', 2, '高新技术产业园区火炬路6号21层01-E单元', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC4KFGG5E ', 1, NULL, 'F', '51', NULL, '马洪飞', 'Biaoshijiexi302@163.com', '13591797397', '马洪飞', NULL, '审核通过', 'admin', '2023-09-16 15:26:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (478, 478, '88.472.60313/478', NULL, '', NULL, '', 'Ymtl618@', '大连迅源文化传媒有限公司', '大连迅源文化传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:18:46.000000', 1, '2023-09-22 10:18:49.000000', 1, b'0', 2, '88.472.60313', 2, '甘井子区黄浦路537号7层706-0049房间 ', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC3TTW88N', 1, NULL, 'L', '72', NULL, '周一鸣', 'Biaoshijiexi313@163.com', '13426257919', '周一鸣', NULL, '审核通过', 'admin', '2023-09-16 15:27:15', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (479, 479, '88.472.60311/479', NULL, '', NULL, '', 'Ymtl618@', '大连阡陌本草中医药有限公司', '大连阡陌本草中医药有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:53:10.000000', 1, '2023-09-22 09:53:23.000000', 1, b'0', 2, '88.472.60311', 2, '辽宁省大连高新技术产业园区思情街38号2单元5层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0UECXA5N', 1, NULL, 'M', '75', NULL, '李玉才', 'Biaoshijiexi301@163.com', '13842820862', '李玉才', NULL, '审核通过', 'admin', '2023-09-16 15:27:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (480, 480, '88.472.603134/480', NULL, '', NULL, '', 'Ymtl618@', '大连太乙企业管理有限公司', '大连太乙企业管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:15.000000', 1, '2023-09-22 09:56:19.000000', 1, b'0', 2, '88.472.603134', 2, '甘井子区黄浦路537号7层（7）', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC3852YXP', 1, NULL, 'L', '72', NULL, '周一鸣', 'Biaoshijiexi304@163.com', '15941108525', '周一鸣', NULL, '审核通过', 'admin', '2023-09-16 18:00:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (481, 481, '88.472.60316/481', NULL, '', NULL, '', 'Ymtl618@', '大连正广经贸有限公司', '大连正广经贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:10.000000', 1, '2023-09-22 09:52:13.000000', 1, b'0', 2, '88.472.60316', 2, '辽宁省大连保税区中轻大厦2#楼409B', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210242097185290H', 1, NULL, 'F', '51', NULL, '姜宇', 'Biaoshijiexi306@163.com', '13942633341', '姜宇', NULL, '审核通过', 'admin', '2023-09-16 18:35:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (482, 482, '88.472.60315/482', NULL, '', NULL, '', 'Ymtl618@', '大连悦光川服饰有限公司', '大连悦光川服饰有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:27.000000', 1, '2023-09-22 10:20:31.000000', 1, b'0', 2, '88.472.60315', 2, '甘井子区黄浦路537号泰德大厦7层706-0048房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC4KG822G', 1, NULL, 'M', '75', NULL, '周一鸣', 'Biaoshijiexi305@163.com', '13942633342', '周一鸣', NULL, '审核通过', 'admin', '2023-09-16 18:35:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (483, 483, '88.472.60341/483', NULL, '', NULL, '', 'Ymtl618@', '大连通联船舶技术有限公司', '大连通联船舶技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:48.000000', 1, '2023-09-22 10:19:51.000000', 1, b'0', 2, '88.472.60341', 2, '杨家满族乡杨家村府前路38A-30', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '91210281MACQC7EY4F', 1, NULL, 'M', '75', NULL, '顾红兵', '18698248331@163.com', '13591296312', '顾红兵', NULL, '审核通过', 'admin', '2023-09-16 21:57:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (484, 484, '88.472.60345/484', NULL, '', NULL, '', 'Ymtl618@', '大连北弥软枣农业技术服务有限公司', '大连北弥软枣农业技术服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:11.000000', 1, '2023-09-22 10:09:15.000000', 1, b'0', 2, '88.472.60345', 2, '大连经济技术开发区董家沟街道鹿圈村鹿下屯', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA108JLP23', 1, NULL, 'M', '75', NULL, '王远胜', '13019919131@sohu.com', '18957926826', '王远胜', NULL, '审核通过', 'admin', '2023-09-17 08:22:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (485, 485, '88.472.60344/485', NULL, '', NULL, '', 'Ymtl618@', '大连软枣猕猴桃贸易有限公司', '大连软枣猕猴桃贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:48.000000', 1, '2023-09-22 10:16:54.000000', 1, b'0', 2, '88.472.60344', 2, '辽宁省大连市金州区向应街道关家村', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YAF3X2R', 1, NULL, 'F', '51', NULL, '王远胜', '18698248331@139.com', '18957926826', '王远胜', NULL, '审核通过', 'admin', '2023-09-17 08:23:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (486, 486, '88.472.60343/486', NULL, '', NULL, '', 'Ymtl618@', '大连永福商贸有限公司', '大连永福商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:03.000000', 1, '2023-09-22 09:55:06.000000', 1, b'0', 2, '88.472.60343', 2, '瓦房店市杨家满族乡杨家村府前路38A-7', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '912102310988763927', 1, NULL, 'F', '51', NULL, '张梓安', 'Biaoshijiexi501@163.com', '17771004060', '张梓安', NULL, '审核通过', 'admin', '2023-09-17 08:23:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (487, 487, '88.472.60342/487', NULL, '', NULL, '', 'Ymtl618@', '大连市速美达商贸有限公司', '大连市速美达商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:53.000000', 1, '2023-09-22 10:12:58.000000', 1, b'0', 2, '88.472.60342', 2, '西岗区双兴街17A-6号公建', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MA10CH457D', 1, NULL, 'F', '51', NULL, '杨婷', '1532708408@qq.com', '13918690040', '杨婷', NULL, '审核通过', 'admin', '2023-09-17 08:24:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (488, 488, '88.472.60330/488', NULL, '', NULL, '', 'Ymtl618@', '大连壹迦科技有限公司', '大连壹迦科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:01:47.000000', 1, '2023-09-22 09:55:20.000000', 1, b'0', 4, '88.472.60330', 2, '辽宁省大连保税区自贸大厦816室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA1016BU6K', 1, NULL, 'I', '65', NULL, '石静', '3648562084@qq.com', '17137862777', '石静', NULL, '审核通过', 'admin', '2023-09-17 13:13:54', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (490, 490, '88.472.60329/490', NULL, '', NULL, '', 'Ymtl618@', '大连牛乐鲜食品有限公司', '大连牛乐鲜食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:05:27.000000', 1, '2023-09-22 09:59:56.000000', 1, b'0', 4, '88.472.60329', 2, '辽宁省大连市甘井子区黄浦路537号泰德大厦7层706-0062房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACUY66T39', 1, NULL, 'F', '52', NULL, '那新族', '13081793435@139.com', '13081793435', '那新族', NULL, '审核通过', 'admin', '2023-09-17 13:17:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (491, 491, '88.472.60327/491', NULL, '', NULL, '', 'Ymtl618@', '13081793435', '大连金润福海养老服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:19.000000', 1, '2023-09-22 09:57:23.000000', 1, b'0', 2, '88.472.60327', 2, '辽宁省大连市甘井子区西南路952号1-4-1', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210200MA0QEBY97M', 1, NULL, 'Q', '85', NULL, '曲文冰', '18698248331@139.com', '18698248331', '曲文冰', NULL, '审核通过', 'admin', '2023-09-17 13:37:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (492, 492, '88.472.60328/492', NULL, '', NULL, '', 'Ymtl618@', '大连名域海洋科技有限公司', '大连名域海洋科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:28.000000', 1, '2023-09-22 10:12:38.000000', 1, b'0', 4, '88.472.60328', 2, '辽宁省大连庄河市栗子房镇林坨村（政府第二办公楼453室）', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MA0YBAXW7U', 1, NULL, 'M', '75', NULL, '胡冰', 'Biaoshijiexi801@163.com', '18698248331', '胡冰', NULL, '审核通过', 'admin', '2023-09-17 13:38:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (493, 493, '88.472.50023/493', NULL, '', NULL, '', 'Ymtl618@', '大连建洪建筑劳务有限公司', '大连建洪建筑劳务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:19.000000', 1, '2023-09-22 10:13:58.000000', 1, b'0', 4, '88.472.50023', 2, '辽宁省大连市瓦房店市杨家满族乡杨家村府前路38A-4', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '91210283MA10E4XD2H', 1, NULL, 'E', '49', NULL, '张梓安', 'Biaoshijiexi805@163.com', '15882111763', '张梓安', NULL, '审核通过', 'admin', '2023-09-17 13:39:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (494, 494, '88.472.60326/494', NULL, '', NULL, '', 'Ymtl618@', '大连广远船舶技术有限公司', '大连广远船舶技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:06:05.000000', 1, '2023-09-22 10:13:27.000000', 1, b'0', 4, '88.472.60326', 2, '辽宁省大连市甘井子区凌水镇栾金村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231098010521R', 1, NULL, 'M', '75', NULL, '蔡小琳', 'Biaoshijiexi803@163.com', '13910437333', '蔡小琳', NULL, '审核通过', 'admin', '2023-09-17 13:40:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (495, 495, '88.472.60325/495', NULL, '', NULL, '', 'Ymtl618@', '丰良意现代供应链（大连）有限公司', '丰良意现代供应链（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:15:36.000000', 1, '2023-09-22 10:12:04.000000', 1, b'0', 4, '88.472.60325', 2, '辽宁省大连市甘井子区燕南园31号1层4号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACU11QG07', 1, NULL, 'L', '72', NULL, '朱如意', 'Biaoshijiexi802@163.com', '13698030806', '朱如意', NULL, '审核通过', 'admin', '2023-09-17 13:41:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (496, 496, '88.472.60324/496', NULL, '', NULL, '', 'Ymtl618@', '亿朵现代供应链（大连）有限公司', '亿朵现代供应链（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:15:57.000000', 1, '2023-09-22 10:12:47.000000', 1, b'0', 4, '88.472.60324', 2, '辽宁省大连高新技术产业园区屹馨街210-16号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MABUF52L4X', 1, NULL, 'L', '72', NULL, '吴旭阳', 'Biaoshijiexi801@163.com', '15766886368', '吴旭阳', NULL, '审核通过', 'admin', '2023-09-17 13:41:47', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (497, 497, '88.472.60323/497', NULL, '', NULL, '', 'Ymtl618@', '大连中科环境有限公司', '大连中科环境有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:19:33.000000', 1, '2023-09-22 09:57:18.000000', 1, b'0', 4, '88.472.60323', 2, '辽宁省大连市瓦房店市杨家满族乡杨家村府前路38A-2', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '91210283MA10R7L09H', 1, NULL, 'M', '75', NULL, '杜福武', '3648562084@qq.com', '17137862777', '杜福武', NULL, '审核通过', 'admin', '2023-09-17 13:42:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (498, 498, '88.472.60331/498', NULL, '', NULL, '', 'Ymtl618@', '大连优尼沃斯体育文化发展有限公司', '大连优尼沃斯体育文化发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 14:16:56.000000', 1, '2023-09-22 10:04:10.000000', 1, b'0', 4, '88.472.60331', 2, '辽宁省大连市中山区武昌南巷28号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MABTW9PW39', 1, NULL, 'R', '89', NULL, '杨楠', '3648562084@qq.com', '17137862777', '杨楠', NULL, '审核通过', 'admin', '2023-09-17 14:00:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (499, 499, '88.472.50024/499', NULL, '', NULL, '', 'Ymtl618@', '大连元安建筑工程有限公司', '大连元安建筑工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:32.000000', 1, '2023-09-22 10:06:26.000000', 1, b'0', 4, '88.472.50024', 2, '辽宁省大连市瓦房店市杨家满族乡杨家村府前路38A-11', '瓦房店市', '大连市', '辽宁省', '210000', '210200', '210281', '91210231MA7F9JNE54', 1, NULL, 'E', '48', NULL, '梁红艳', '3648562084@qq.com', '17137862777', '梁红艳', NULL, '审核通过', 'admin', '2023-09-17 16:07:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (500, 500, '88.472.60333/500', NULL, '', NULL, '', 'Ymtl618@', '大连顺为远道投资中心（有限合伙）', '大连顺为远道投资中心（有限合伙）', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:03.000000', 1, '2023-09-22 09:56:14.000000', 1, b'0', 2, '88.472.60333', 2, '黄浦路537号泰德大厦7层706-0048房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC49BBU79', 1, NULL, 'L', '72', NULL, '时树雷', 'Biaoshijiexi903@163.com', '13998620181', '时树雷', NULL, '审核通过', 'admin', '2023-09-17 16:08:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (501, 501, '88.472.60332/501', NULL, '', NULL, '', 'Ymtl618@', '大连华夏远道投资中心（有限合伙）', '大连华夏远道投资中心（有限合伙）', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:10:07.000000', 1, '2023-09-22 10:10:12.000000', 1, b'0', 2, '88.472.60332', 2, '黄浦路537号泰德大厦7层706-0043房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MAC2WR9T3K', 1, NULL, 'L', '72', NULL, '时树雷', 'Biaoshijiexi903@163.com', '13940896897', '时树雷', NULL, '审核通过', 'admin', '2023-09-17 16:08:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (502, 502, '88.472.60334/502', NULL, '', NULL, '', 'Ymtl618@', '大连辛源投资顾问有限公司', '大连辛源投资顾问有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:12:09.000000', 1, '2023-09-22 10:17:23.000000', 1, b'0', 4, '88.472.60334', 2, '辽宁省大连市中山区白云街14号2层2E-84号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '912102020511179704', 1, NULL, 'L', '72', NULL, '丛严', '3648562084@qq.com', '17137862777', '丛严', NULL, '审核通过', 'admin', '2023-09-17 16:48:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (503, 503, '88.472.60322/503', NULL, '', NULL, '', 'Ymtl618@', '941827230@qq.com', '大连科茂商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:25:47.000000', 1, '2023-09-22 10:25:50.000000', 1, b'0', 2, '88.472.60322', 2, '辽宁省大连市甘井子区华北路（甘）289G号2单元6层3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10E30700', 1, NULL, 'F', '51', NULL, '张静', '941827230@qq.com', '15142418476', '张静', NULL, '审核通过', 'admin', '2023-09-17 17:53:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (504, 504, '88.472.60335/504', NULL, '', NULL, '', 'Ymtl618@', '1103253450@qq.com', '大连宇祝国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:50:59.000000', 1, '2023-09-22 09:51:08.000000', 1, b'0', 2, '88.472.60335', 2, '辽宁省大连普湾新区炮台镇于咀村', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '9121024659441287X7', 1, NULL, 'F', '51', NULL, '肖宇大', '1103253450@qq.com', '18941511988', '肖宇大', NULL, '审核通过', 'admin', '2023-09-18 10:47:57', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (505, 505, '88.472.60317/505', NULL, '', NULL, '', 'Ymtl618@', '913819536@qq.com', '甘井子区泉水街道璐尧五金建材经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:26:36.000000', 1, '2023-09-22 10:26:41.000000', 1, b'0', 2, '88.472.60317', 2, '泉水E1区26号1单元5层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UR7BJ6T', 1, NULL, 'F', '52', NULL, '李季', '913819536@qq.com', '13940948537', '赵丽君', NULL, '审核通过', 'admin', '2023-09-18 10:49:43', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (506, 506, '88.472.60213/506', NULL, '', NULL, '', 'Ymtl618@', '大连上通万联汽车销售服务有限公司', '大连上通万联汽车销售服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:18:09.000000', 1, '2023-09-22 09:54:07.000000', 1, b'0', 4, '88.472.60213', 2, '辽宁省大连市甘井子区圣林东园129号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA7MHTJG3H', 1, NULL, 'F', '52', NULL, '吴可', 'dingheyong@dlshangtong.co', '15841115857', '吴可', NULL, '审核通过', 'admin', '2023-09-18 11:20:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (507, 507, '88.472.80010/507', NULL, '', NULL, '', 'Ymtl618@', '186275418@qq.com', '大连嘉信物流货运代理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:18.000000', 1, '2023-09-22 09:56:21.000000', 1, b'0', 2, '88.472.80010', 2, '辽宁省大连市甘井子区宜居园2A号10层3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA114TX436', 1, NULL, 'G', '59', NULL, '肖钧友', '186275418@qq.com', '18641102722', '肖钧友', NULL, '审核通过', 'admin', '2023-09-18 11:20:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (508, 508, '88.472.60336/508', NULL, '', NULL, '', 'Ymtl618@', '13352227791@163.com', '大连先农科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:55.000000', 1, '2023-09-22 10:08:19.000000', 1, b'0', 4, '88.472.60336', 2, '辽宁省大连市甘井子区华北路（甘）21K-3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MABXUR4Y8K', 1, NULL, 'I', '65', NULL, '隋成方', '210283199408256635@163.com', '13352227791', '隋成方', NULL, '审核通过', 'admin', '2023-09-18 11:22:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (509, 509, '88.472.60339/509', NULL, '', NULL, '', 'Ymtl618@', '大连益利亚工程机械有限公司', '大连益利亚工程机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:52.000000', 1, '2023-09-22 10:07:25.000000', 1, b'0', 4, '88.472.60339', 2, '辽宁省大连高新技术产业园区软件园路1A-4号1单元12层4号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '9121023177302731XT', 1, NULL, 'M', '74', NULL, '高顺德', '13840889824@163.com', '13840889824', '高顺德', NULL, '审核通过', 'admin', '2023-09-18 11:37:20', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (510, 510, '88.472.60340/510', NULL, '', NULL, '', 'Ymtl618@', '261603045@qq.com', '大连轩昂科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:44.000000', 1, '2023-09-22 10:15:47.000000', 1, b'0', 2, '88.472.60340', 2, '辽宁省大连市甘井子区中华西路18号中南大厦A座1123室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MABQ6JBU0D', 1, NULL, 'G', '59', NULL, '肖钧友', '261603045@qq.com', '18040123889', '肖钧友', NULL, '审核通过', 'admin', '2023-09-18 11:38:34', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (511, 511, '88.472.60347/511', NULL, '', NULL, '', 'Ymtl618@', '大连精一企业管理咨询有限公司', '大连精一企业管理咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:09:44.000000', 1, '2023-09-22 10:10:07.000000', 1, b'0', 4, '88.472.60347', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号A1555室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MABQTQT046', 1, NULL, 'L', '72', NULL, '周茂军', '13019919131@139.com', '13019919131', '周茂军', NULL, '审核通过', 'admin', '2023-09-18 11:47:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (512, 512, '88.472.60337/512', NULL, '', NULL, '', 'Ymtl618@', '17710575124', '大连欣田房屋修缮工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:13:26.000000', 1, '2023-09-22 10:13:29.000000', 1, b'0', 2, '88.472.60337', 2, '辽宁省大连市甘井子区泉水B1区19-2号公建', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211760759140W', 1, NULL, 'E', '49', NULL, '蔺进财', '2439083150@qq.com', '17710575124', '蔺进财', NULL, '审核通过', 'admin', '2023-09-18 14:25:34', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (513, 513, '88.472.60352/513', NULL, '', NULL, '', 'Ymtl618@', '13050513888', '大连圣世达传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:11.000000', 1, '2023-09-22 09:54:21.000000', 1, b'0', 2, '88.472.60352', 2, '辽宁省大连市金州区中长街道集品·东林世家2号1单元9层10号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213594437524D', 1, NULL, 'R', '90', NULL, '于鹏', '629880111@qq.com', '13050513888', '于鹏', NULL, '审核通过', 'admin', '2023-09-18 14:26:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (514, 514, '88.472.20033/514', NULL, '', NULL, '', 'Ymtl618@', '13591182609', '大连益大精密橡胶制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:13:59.000000', 1, '2023-09-22 10:14:03.000000', 1, b'0', 2, '88.472.20033', 2, '辽宁省大连经济技术开发区通港路91-1号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210213792040421K', 1, NULL, 'C', '35', NULL, '刘志强', 'Wang.ning@ydrb.cn', '18698668777', '刘志强', NULL, '审核通过', 'admin', '2023-09-18 14:26:28', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (515, 515, '88.472.80011/515', NULL, '', NULL, '', 'Ymtl618@', '601015146@qq.com', '大连诚屹物流货运代理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:25:46.000000', 1, '2023-09-22 10:25:47.000000', 1, b'0', 2, '88.472.80011', 2, '辽宁省大连市甘井子区泉水B3区13号-1号公建', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10KPDM9B', 1, NULL, 'G', '60', NULL, '付俊鑫', '601015146@qq.com', '18642666999', '付俊鑫', NULL, '审核通过', 'admin', '2023-09-18 14:26:50', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (516, 516, '88.472.60348/516', NULL, '', NULL, '', 'Ymtl618@', '13238259538@163.com', '大连睿瑛托育有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:48.000000', 1, '2023-09-22 09:59:51.000000', 1, b'0', 2, '88.472.60348', 2, '辽宁省大连市甘井子区香周路331-7号（经营场所:辽宁省大连市甘井子区里程东园20-1号）', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0U12UB6K', 1, NULL, 'P', '83', NULL, '孙睿', 'z13238259538@163.com', '13238259538', '孙睿', NULL, '审核通过', 'admin', '2023-09-18 14:27:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (517, 517, '88.472.60351/517', NULL, '', NULL, '', 'Ymtl618@', '15034830160', '喜多多（大连）礼品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:56.000000', 1, '2023-09-22 10:20:58.000000', 1, b'0', 2, '88.472.60351', 2, '辽宁省大连市金州区中长街道东林世家2号1单元9层10号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MACBKBCF70', 1, NULL, 'F', '51', NULL, '于鹏', '1044802460@qq.com', '15734115456', '于鹏', NULL, '审核通过', 'admin', '2023-09-18 15:08:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (518, 518, '88.472.60354/518', NULL, '', NULL, '', 'Ymtl618@', '549633451@qq.com', '大连鬼谷王企业咨询服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:23:41.000000', 1, '2023-09-22 10:23:43.000000', 1, b'0', 2, '88.472.60354', 2, '辽宁省大连市旅顺口区龙王塘街道海珠花园D区号20-1号', '旅顺口区', '大连市', '辽宁省', '210000', '210200', '210212', '91210231MA118BBP8L', 1, NULL, 'L', '72', NULL, '王远志', 's13314110325@163.com', '15840647073', '王远志', NULL, '审核通过', 'admin', '2023-09-18 15:09:06', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (519, 519, '88.472.60266/519', NULL, '', NULL, '', 'Ymtl618@', '大连鸿嘉禾网络科技有限责任公司', '大连鸿嘉禾网络科技有限责任公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:06.000000', 1, '2023-09-22 10:01:11.000000', 1, b'0', 4, '88.472.60266', 2, '辽宁省大连市沙河口区黑石礁街5号1层2号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MABQWJA27R', 1, NULL, 'M', '75', NULL, '李禹燃', 'wx13130454602@sina.com', '13478923457', '李禹燃', NULL, '审核通过', 'admin', '2023-09-18 15:09:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (520, 520, '88.472.40003/520', NULL, '', NULL, '', 'Ymtl618@', '金州区登沙河福凤生态观光园', '金州区登沙河福凤生态观光园', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:58.000000', 1, '2023-09-22 10:01:06.000000', 1, b'0', 4, '88.472.40003', 2, '辽宁省大连市金州区登沙河街道白家村', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MA0X6FCG8D', 1, NULL, 'A', '01', NULL, '孙见福', '13130454602@sohu.com', '13130476542', '孙见福', NULL, '审核通过', 'admin', '2023-09-18 15:09:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (521, 521, '88.472.30007/521', NULL, '', NULL, '', 'Ymtl618@', '金普新区站前街道蚝喜欢泥烧烤店', '金普新区站前街道蚝喜欢泥烧烤店', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:14:53.000000', 1, '2023-09-22 10:00:11.000000', 1, b'0', 4, '88.472.30007', 2, '辽宁省大连市金州区站前街道民和村丘（地）号44-39-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MACC1T477T', 1, NULL, 'H', '62', NULL, '郭凯', '13130454602@163.com', '13130353762', '郭凯', NULL, '审核通过', 'admin', '2023-09-18 15:09:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (522, 522, '88.472.60320/522', NULL, '', NULL, '', 'Ymtl618@', '15998605981', ' 大连云晟科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:32.000000', 1, '2023-09-22 10:11:34.000000', 1, b'0', 2, '88.472.60320', 2, '辽宁省大连市甘井子区黄浦路537号泰德大厦08层06单元', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210204311572663N', 1, NULL, 'I', '65', NULL, '王美妮', '397227079@qq.com', '15998605981', '王美妮', NULL, '审核通过', 'admin', '2023-09-18 15:10:13', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (523, 523, '88.472.60314/523', NULL, '', NULL, '', 'Ymtl618@', '13904112076', '大连星湾科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:30.000000', 1, '2023-09-22 10:24:50.000000', 1, b'0', 4, '88.472.60314', 2, '辽宁省大连高新技术产业园区火炬路10号8层02单元01室', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0YUKFQ4H', 1, NULL, 'M', '74', NULL, '孙美林', '1701912804@qq.com', '13904112076', '孙美林', NULL, '审核通过', 'admin', '2023-09-18 15:10:32', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (524, 524, '88.472.50013/524', NULL, '', NULL, '', 'Ymtl618@', '大连鑫莉装饰装修工程有限公司', '大连鑫莉装饰装修工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:34.000000', 1, '2023-09-22 09:51:38.000000', 1, b'0', 6, '88.472.50013', 2, '辽宁省大连经济技术开发区金马路100-2栋-2-11-4号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YMU5Q42', 1, NULL, 'E', '50', NULL, '魏源辰', '13084119072@163.com', '13084119072', '魏源辰', NULL, '审核通过', 'admin', '2023-09-18 15:10:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (525, 525, '88.472.60353/525', NULL, '', NULL, '', 'Ymtl618@', 'zhaoyu618@163.com', '万合天宜（大连）传媒科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:49.000000', 1, '2023-09-22 10:05:58.000000', 1, b'0', 2, '88.472.60353', 2, '辽宁省大连保税区自贸大厦813室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA11DN433W', 1, NULL, 'R', '88', NULL, '赵宇', 'zhaoyu618@163.com', '13604241616', '赵宇', NULL, '审核通过', 'admin', '2023-09-18 15:11:00', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (526, 526, '88.472.50022/526', NULL, '', NULL, '', 'Ymtl618@', '18698605902', '大连正元装饰装修工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:03.000000', 1, '2023-09-22 10:03:06.000000', 1, b'0', 2, '88.472.50022', 2, '辽宁省大连高新技术产业园区七贤南路125-6号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA1090QL5P', 1, NULL, 'E', '50', NULL, '吕正元', '334844340@qq.com', '18698605902', '吕正元', NULL, '审核通过', 'admin', '2023-09-18 15:11:25', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (527, 527, '88.472.60321/527', NULL, '', NULL, '', 'Ymtl618@', '13478590567', '大连食来运转科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:10:48.000000', 1, '2023-09-22 10:10:51.000000', 1, b'0', 2, '88.472.60321', 2, '辽宁省大连高新技术产业园区火炬路1号海外学子创业园A座105-6房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0XTU2C87', 1, NULL, 'I', '65', NULL, '于洋', 'yuyang9050@163.com', '13478590567', '于洋', NULL, '审核通过', 'admin', '2023-09-18 15:11:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (528, 528, '88.472.60356/528', NULL, '', NULL, '', 'Ymtl618@', '沈阳优政博惠企业管理咨询有限公司', '沈阳优政博惠企业管理咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:16:27.000000', 1, '2023-09-22 10:24:51.000000', 1, b'0', 4, '88.472.60356', 2, '辽宁省沈阳市和平区三好街96号4X-33房间', '和平区', '沈阳市', '辽宁省', '210000', '210100', '210102', '91210102MA0UCQ8R2P', 1, NULL, 'L', '72', NULL, '付政', '13042454801@163.com', '13042454801', '付政', NULL, '审核通过', 'admin', '2023-09-18 16:51:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (529, 529, '88.472.60357/529', NULL, '', NULL, '', 'Ymtl618@', '大连优政博惠科技有限公司', '大连优政博惠科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:13:24.000000', 1, '2023-09-22 10:04:58.000000', 1, b'0', 4, '88.472.60357', 2, '中国（辽宁）自由贸易试验区大连保税区海富路9-1号8057室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA102NR63F', 1, NULL, 'L', '72', NULL, '蔡传博', '18642642784@163.com', '18642642784', '蔡传博', NULL, '审核通过', 'admin', '2023-09-18 16:52:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (530, 530, '88.472.60300/530', NULL, '', NULL, '', 'Ymtl618@', '辽宁碧清源环保科技有限公司', '辽宁碧清源环保科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:24.000000', 1, '2023-09-22 10:05:29.000000', 1, b'0', 2, '88.472.60300', 2, '辽宁省沈阳市于洪区黄河北大街122号414-024', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0U9U1W31', 1, NULL, 'M', '73', NULL, '吴绍奎', '200514568@163.com', '13998857789', '吴绍奎', NULL, '审核通过', 'admin', '2023-09-19 08:53:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (531, 531, '88.472.66001/531', NULL, '', NULL, '', 'Ymtl618@', '15102425183@163.com', '大连市冠潼教育咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:49.000000', 1, '2023-09-22 10:19:51.000000', 1, b'0', 2, '88.472.66001', 2, '辽宁省大连市甘井子区欣家园21号1层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA106L113M', 1, NULL, 'P', '83', NULL, '贾思阳', '15102425183@163.com', '15102425183', '贾思阳', NULL, '审核通过', 'admin', '2023-09-19 08:54:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (532, 532, '88.472.66002/532', NULL, '', NULL, '', 'Ymtl618@', '15524790325@163.com', '大连甄美芭莎企业管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:03.000000', 1, '2023-09-22 09:55:06.000000', 1, b'0', 2, '88.472.66002', 2, '辽宁省大连市甘井子区汇信街15号5层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10CAYF0M', 1, NULL, 'L', '72', NULL, '王国强', '15524790325@163.com', '15524790325', '王国强', NULL, '审核通过', 'admin', '2023-09-19 09:06:18', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (533, 533, '88.472.66000/533', NULL, '', NULL, '', 'Ymtl618@', '大连嘉实远道投资中心(有限合伙)', '大连嘉实远道投资中心(有限合伙)', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:37.000000', 1, '2023-09-22 10:15:43.000000', 1, b'0', 2, '88.472.66000', 2, '甘井子区黄浦路537号泰德大厦7层706-0046房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACRB3NWXQ', 1, NULL, 'J', '66', NULL, '时树雷', 'biaoshijiexi808@163.com', '13904106615', '时树雷', NULL, '审核通过', 'admin', '2023-09-19 09:09:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (534, 534, '88.472.60350/534', NULL, '', NULL, '', 'Ymtl618@', 'dlhexinmaoyi', '大连合鑫国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:21:12.000000', 1, '2023-09-22 10:21:22.000000', 1, b'0', 2, '88.472.60350', 2, '长江东路71号15层', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '912102003115944404', 1, NULL, 'F', '51', NULL, '阚秀梅', '1021009218@qq.com', '13614142601', '阚秀梅', 500, '审核通过', 'admin', '2023-09-19 09:41:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (535, 535, '88.472.66003/535', NULL, '', NULL, '', 'Ymtl618@', '15042403133', '大连科力尔玻璃制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:12.000000', 1, '2023-09-22 10:20:14.000000', 1, b'0', 2, '88.472.66003', 2, '辽宁省大连市甘井子区辛寨子镇辛艺街36号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '912102117113445207', 1, NULL, 'C', '26', NULL, '石玉金', 'cleanglass@vip.163.com', '15042403133', '魏尚宏', NULL, '审核通过', 'admin', '2023-09-19 09:43:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (536, 536, '88.472.66004/536', NULL, '', NULL, '', 'Ymtl618@', '13125450160@163.com', '大连喆鑫健康理疗有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:25.000000', 1, '2023-09-22 09:58:28.000000', 1, b'0', 2, '88.472.66004', 2, '辽宁省大连经济技术开发区福安街12-4号1层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MABYLBAF9D', 1, NULL, 'R', '90', NULL, '唐金艳', '13125450160@163.com', '13125450160', '唐金艳', NULL, '审核通过', 'admin', '2023-09-19 09:54:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (537, 537, '88.472.69002/537', NULL, '', NULL, '', 'Ymtl618@', 'caowy@xyjd-dl.com', '大连信源机电设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:23:40.000000', 1, '2023-09-22 10:23:45.000000', 1, b'0', 2, '88.472.69002', 5, '辽宁省大连经济技术开发区东北七街10-14-1', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213679974927R', 1, NULL, 'F', '51', NULL, '曹文艳', 'caowy@xyjd-dl.com', '13942066700', '曹文艳', NULL, '审核通过', 'admin', '2023-09-19 10:06:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (538, 538, '88.472.62300/538', NULL, '', NULL, '', 'Ymtl618@', '35932650@qq.com', '大连福元科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:18:14.000000', 1, '2023-09-22 10:18:16.000000', 1, b'0', 2, '88.472.62300', 2, '敦煌路5-301', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '9121020457085194X4', 1, NULL, 'F', '51', NULL, '石浩', '35932650@qq.com', '18804289129', '石浩', NULL, '审核通过', 'admin', '2023-09-19 10:17:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (539, 539, '88.472.60355/539', NULL, '', NULL, '', 'Ymtl618@', 'qingshibituo', '磬石必拓（辽宁）科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:39.000000', 1, '2023-09-22 09:59:42.000000', 1, b'0', 2, '88.472.60355', 2, '同兴街25号23层7号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA110G10XB', 1, NULL, 'M', '75', NULL, '肖立强', 'qingshibituo@163.com', '13796105050', '肖立强', 300, '审核通过', 'admin', '2023-09-19 10:18:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (540, 540, '88.472.60901/540', NULL, '', NULL, '', 'Ymtl618@', '何智文', '大连金普新区襄武流体技术中心', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:13:31.000000', 1, '2023-09-22 10:13:34.000000', 1, b'0', 2, '88.472.60901', 5, '辽宁省大连经济技术开发区辽河西三路12号1-5层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '92210213MACTBMKC0W', 1, NULL, 'I', '65', NULL, '何智文', '1459731284@qq.com', '13840901162', '何智文', NULL, '审核通过', 'admin', '2023-09-19 10:19:28', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (541, 541, '88.472.66006/541', NULL, '', NULL, '', 'Ymtl618@', '15041516636@163.com', '小米粒（辽宁）食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:35.000000', 1, '2023-09-22 10:20:37.000000', 1, b'0', 2, '88.472.66006', 2, '辽宁省大连市西岗区九三街56号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MA0Y9F4E8B', 1, NULL, 'F', '51', NULL, '姚立颖', '15041516636@163.com', '15041516636', '姚立颖', NULL, '审核通过', 'admin', '2023-09-19 10:29:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (542, 542, '88.472.61001/542', NULL, '', NULL, '', 'Ymtl618@', '西岗区喜美顺建材商行', '西岗区嘉美顺建材商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:08.000000', 1, '2023-09-22 10:09:20.000000', 1, b'0', 2, '88.472.61001', 2, '长春路171号香洲花园酒店商务楼8楼818号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '92210203MNOYSYHD41', 1, NULL, 'F', '51', NULL, '王海杰', 'Biaoshijiexi702@163.com', '13464929611', '王海杰', NULL, '审核通过', 'admin', '2023-09-19 10:31:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (543, 543, '88.472.60358/543', NULL, '', NULL, '', 'Ymtl618@', 'PJzhenjian', '盘锦振江企业信息咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:31.000000', 1, '2023-09-22 09:58:33.000000', 1, b'0', 2, '88.472.60358', 2, '石油大街107号盘锦财富大厦金融广场A座19层22-25室', '兴隆台区', '盘锦市', '辽宁省', '210000', '211100', '211103', '91211103MA109QGM0Y', 1, NULL, 'L', '71', NULL, '丁骏年', 'PJzhenjian@163.com', '18841487293', '丁骏年', 300, '审核通过', 'admin', '2023-09-19 10:32:10', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (544, 544, '88.472.69003/544', NULL, '', NULL, '', 'Ymtl618@', 'Lindseyzhang@shengyaowang.com', '大连达意贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:56.000000', 1, '2023-09-22 09:57:59.000000', 1, b'0', 2, '88.472.69003', 5, '大连开发区高志里35栋3-3-1号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213058079938C', 1, NULL, 'F', '51', NULL, '张玲', 'Lindseyzhang@shengyaowang.com', '13998673784', '张玲', NULL, '审核通过', 'admin', '2023-09-19 10:45:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (545, 545, '88.472.61002/545', NULL, '', NULL, '', 'Ymtl618@', '大连和木生木业有限公司', '大连和木生木业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:07:51.000000', 1, '2023-09-22 10:13:39.000000', 1, b'0', 4, '88.472.61002', 2, '辽宁省大连市甘井子区辛寨子天虹开发区', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '210203194908154796', 1, NULL, 'F', '51', NULL, '王作谊', 'Biaoshijiexi556@163.com', '13387892852', '王作谊', NULL, '审核通过', 'admin', '2023-09-19 10:46:25', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (546, 546, '88.472.65400/546', NULL, '', NULL, '', 'Ymtl618@', '大连灿星文化传媒有限公司', '大连灿星文化传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:03:22.000000', 1, '2023-09-22 09:58:07.000000', 1, b'0', 4, '88.472.65400', 2, '辽宁省大连市西岗区新开路87号18层1号', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MABXKNFK8G', 1, NULL, 'R', '87', NULL, '肖玲玲', '1403131023@qq.com', '15842874250', '肖玲玲', NULL, '审核通过', 'admin', '2023-09-19 10:46:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (547, 547, '88.472.66007/547', NULL, '', NULL, '', 'Ymtl618@', '13050343532@163.com', '大连星耀餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:53:27.000000', 1, '2023-09-22 09:53:42.000000', 1, b'0', 2, '88.472.66007', 2, '辽宁省大连市中山区世纪街26号1单元29层10号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MABY9QXQ0H', 1, NULL, 'H', '62', NULL, '徐德龙', '13050343532@163.com', '13050343532', '徐德龙', NULL, '审核通过', 'admin', '2023-09-19 10:48:09', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (548, 548, '88.472.62301/548', NULL, '', NULL, '', 'Ymtl618@', '15942686777@126.com', '大连兴诺国际贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:10:40.000000', 1, '2023-09-22 10:10:52.000000', 1, b'0', 2, '88.472.62301', 2, '文轩街57号2单元6层1号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210231MA0QCEMX41', 1, NULL, 'F', '51', NULL, '吴勇', '15942686777@126.com', '15942686777', '吴勇', NULL, '审核通过', 'admin', '2023-09-19 10:56:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (549, 549, '88.472.65002/549', NULL, '', NULL, '', 'Ymtl618@', 'zhuoqintouzi', '大连卓勤投资管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:08:19.000000', 1, '2023-09-22 10:08:21.000000', 1, b'0', 2, '88.472.65002', 2, '常青街6号1单元6层3号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA112REL50', 1, NULL, 'L', '72', NULL, '王艳梅', 'zhuoqintouzi@163.com', '18641183868', '王艳梅', NULL, '审核通过', 'admin', '2023-09-19 10:56:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (550, 550, '88.472.60903/550', NULL, '', NULL, '', 'Ymtl618@', '华东人家', '甘井子区华东人家鑫嘉冠生鲜超市', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:38.000000', 1, '2023-09-22 10:15:42.000000', 1, b'0', 2, '88.472.60903', 5, '辽宁省大连市甘井子区华东路103-3、4、5、6、7、8、9号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UP6381W', 1, NULL, 'F', '52', NULL, '马超', 'b15040574029@163.COM', '13214221525', '马超', NULL, '审核通过', 'admin', '2023-09-19 10:57:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (551, 551, '88.472.60349/551', NULL, '', NULL, '', 'Ymtl618@', '59397747@qq.com', '青柠（大连）供应链管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:53.000000', 1, '2023-09-22 10:24:57.000000', 1, b'0', 2, '88.472.60349', 2, '辽宁省大连市甘井子区兴华路85号1单元3层1号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MABMWJ6523', 1, NULL, 'G', '60', NULL, '钟宝田', '59397747@qq.com', '13942617517', '钟济任', NULL, '审核通过', 'admin', '2023-09-19 10:57:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (552, 552, '88.472.69004/552', NULL, '', NULL, '', 'Ymtl618@', '429892922@qq.com', '大连威科特锐研磨有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:37.000000', 1, '2023-09-22 10:19:39.000000', 1, b'0', 2, '88.472.69004', 5, '辽宁省大连市甘井子区革镇堡镇鞍子山村', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211554950446L', 1, NULL, 'F', '51', NULL, '任岸柳', '429892922@qq.com', '13840828218', '任岸柳', NULL, '审核通过', 'admin', '2023-09-19 11:00:59', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (553, 553, '88.472.60902/553', NULL, '', NULL, '', 'Ymtl618@', '马超', '西岗区鑫嘉冠生鲜超市', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:26.000000', 1, '2023-09-22 09:52:45.000000', 1, b'0', 4, '88.472.60902', 5, '辽宁省大连市西岗区迎春路1号一层公建', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '92210203MA0TYPJK19', 1, NULL, 'F', '52', NULL, '马超', 'a13214221525@163.com', '13214221525', '马超', NULL, '审核通过', 'admin', '2023-09-19 11:04:12', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (554, 554, '88.472.67500/554', NULL, '', NULL, '', 'Ymtl618@', 'daliansaji', '大连飒极体育项目管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:21.000000', 1, '2023-09-22 10:22:23.000000', 1, b'0', 2, '88.472.67500', 2, '长岭镇双盛村河沿屯136号（政府办公楼后院招商办公室206-103）', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MACT65GP85', 1, NULL, 'L', '72', NULL, '姜殿滨', '1447974711@qq.com', '13644203372', '付小航', NULL, '审核通过', 'admin', '2023-09-19 11:07:08', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (555, 555, '88.472.62302/555', NULL, '', NULL, '', 'Ymtl618@', '229887272@qq.com', '中胤（大连）空间装饰工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:30.000000', 1, '2023-09-22 10:12:32.000000', 1, b'0', 2, '88.472.62302', 2, '保税区自贸大厦815室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA116LTY2X', 1, NULL, 'E', '50', NULL, '刘泽生', '229887272@qq.com', '13079800219', '刘泽生', NULL, '审核通过', 'admin', '2023-09-19 11:09:11', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (556, 556, '88.472.66008/556', NULL, '', NULL, '', 'Ymtl618@', '15940872733', '大连虎鲸智能科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:08:39.000000', 1, '2023-09-22 10:08:46.000000', 1, b'0', 2, '88.472.66008', 2, '辽宁省大连市甘井子区欣乐西街14号1单元2层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0UGGQT8H', 1, NULL, 'C', '39', NULL, '林杰', '1104356007@qq.com', '15940872733', '林杰', NULL, '审核通过', 'admin', '2023-09-19 11:09:41', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (557, 557, '88.472.60907/557', NULL, '', NULL, '', 'Ymtl618@', '大连鑫嘉冠市场管理有限公司', '大连鑫嘉冠市场管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:49:54.000000', 1, '2023-09-22 09:50:28.000000', 1, b'0', 2, '88.472.60907', 5, '辽宁省大连市甘井子区华东路103-4号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0XQ5LD2E', 1, NULL, 'F', '52', NULL, '马超', 'c15040574029@163.COM', '13214221525', '马超', NULL, '审核通过', 'admin', '2023-09-19 11:16:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (558, 558, '88.472.68005/558', NULL, '', NULL, '', 'Ymtl618@', '潘慧妍', '大连好省财税管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:27:37.000000', 1, '2023-09-22 10:27:40.000000', 1, b'0', 2, '88.472.68005', 2, '辽宁省大连保税区太湖路1号3层3-177', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0YQH9B37', 1, NULL, 'L', '72', NULL, '邵华', '13942655178@163.com', '18088765093', '潘慧妍', NULL, '审核通过', 'admin', '2023-09-19 11:20:37', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (559, 559, '88.472.69005/559', NULL, '', NULL, '', 'Ymtl618@', 'amtkjdl@163.com', '阿美泰科技（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:24.000000', 1, '2023-09-22 10:24:30.000000', 1, b'0', 2, '88.472.69005', 5, '大连市甘井子区革镇堡街道鞍子山村金家沟', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA110XBD69', 1, NULL, 'F', '51', NULL, '刘向涛', 'amtkjdl@163.com', '13591185876', '刘向涛', NULL, '审核通过', 'admin', '2023-09-19 11:23:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (560, 560, '88.472.60338/560', NULL, '', NULL, '', 'Ymtl618@', 'z18341501617@163.com', '中好咨询（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:40.000000', 1, '2023-09-22 10:03:41.000000', 1, b'0', 2, '88.472.60338', 2, '辽宁省大连保税区海富路9-1号3305室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0U46YJ4N', 1, NULL, 'L', '72', NULL, '宋双双', 'z18341501617@163.com', '18341501617', '宋双双', NULL, '审核通过', 'admin', '2023-09-19 11:24:07', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (561, 561, '88.472.67200/561', NULL, '', NULL, '', 'Ymtl618@', '大连好省园区管理咨询有限公司', '大连好省园区管理咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:40.000000', 1, '2023-09-22 09:57:51.000000', 1, b'0', 2, '88.472.67200', 2, '长岭镇双盛村河沿屯136号（政府办公楼后院招商办公室178-104）', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MACHKLDY1F', 1, NULL, 'L', '72', NULL, '王艳红', '3407326214@qq.com', '13942070017', '王奕骄', NULL, '审核通过', 'admin', '2023-09-19 11:24:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (562, 562, '88.472.66009/562', NULL, '', NULL, '', 'Ymtl618@', '13084128886@163.com', '平行房地产管理咨询（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:52.000000', 1, '2023-09-22 09:57:57.000000', 1, b'0', 2, '88.472.66009', 2, '辽宁省大连保税区自贸大厦815室', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA11323F3M', 1, NULL, 'K', '70', NULL, '杨家鑫', '13084128886@163.com', '13084128886', '杨家鑫', NULL, '审核通过', 'admin', '2023-09-19 11:27:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (563, 563, '88.472.20045/563', NULL, '', NULL, '', 'Ymtl618@', '17742785711', '沈阳嘉易德机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:10.000000', 1, '2023-09-22 10:14:13.000000', 1, b'0', 2, '88.472.20045', 2, '于洪乡西和平村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0U04C52Q', 1, NULL, 'C', '34', NULL, '陈欣颜', 'syjiayide@163.com', '17742785711', '陈欣颜', NULL, '审核通过', 'admin', '2023-09-19 11:39:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (564, 564, '88.472.60950/564', NULL, '', NULL, '', 'Ymtl618@', '森缘包装', '森缘包装制品（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:46.000000', 1, '2023-09-22 10:23:26.000000', 1, b'0', 2, '88.472.60950', 2, '辽宁省大连市甘井子区大连湾街道毛营子村村委会西1000米', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA10H6DY9A', 1, NULL, 'C', '20', NULL, '孙喜军', '2399353574@qq.com', '13942848272', '孙喜军', NULL, '审核通过', 'admin', '2023-09-19 11:40:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (565, 565, '88.472.66010/565', NULL, '', NULL, '', 'Ymtl618@', '13940934336', '大连慧心源养老服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:23:28.000000', 1, '2023-09-22 10:23:29.000000', 1, b'0', 2, '88.472.66010', 2, '辽宁省大连市西岗区松花街15号一层东区', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MA0XW7UH0Y', 1, NULL, 'O', '80', NULL, '广兴诚', '24572037@qq.com', '13940934336', '尹红', NULL, '审核通过', 'admin', '2023-09-19 11:44:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (566, 566, '88.472.60800/566', NULL, '', NULL, '', 'Ymtl618@', 'zhaoningecho777@163.com', '沙河口区源美展览展示设计服务部', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:15.000000', 1, '2023-09-22 10:05:18.000000', 1, b'0', 2, '88.472.60800', 2, '沙河口区柳华街48号1层2号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '92210204MA0UN00L11', 1, NULL, 'L', '72', NULL, '李博', 'gnin1777@163.com', '13624243819', '赵丽君', NULL, '审核通过', 'admin', '2023-09-19 11:44:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (567, 567, '88.472.20046/567', NULL, '', NULL, '', 'Ymtl618@', '18640150380', '沈阳奕宸包装制品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:07.000000', 1, '2023-09-22 09:58:09.000000', 1, b'0', 2, '88.472.20046', 2, '辽宁省沈阳市于洪区造化街道高力村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA111K9G8W', 1, NULL, 'C', '22', NULL, '刘东旭', '18640150380@163.com', '18640150380', '刘东旭', NULL, '审核通过', 'admin', '2023-09-19 11:49:30', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (568, 568, '88.472.66011/568', NULL, '', NULL, '', 'Ymtl618@', '18741508157@163.com', '大连汇百味餐饮管理服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:58.000000', 1, '2023-09-22 10:04:01.000000', 1, b'0', 2, '88.472.66011', 2, '辽宁省大连市甘井子区凌水路156号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MACK6QT99F', 1, NULL, 'H', '62', NULL, '侯延', '18741508157@163.com', '18741508157', '侯延', NULL, '审核通过', 'admin', '2023-09-19 11:50:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (569, 569, '88.472.69006/569', NULL, '', NULL, '', 'Ymtl618@', '928004305@qq.com', '大连豪诺依祥商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:26:13.000000', 1, '2023-09-22 10:26:23.000000', 1, b'0', 2, '88.472.69006', 5, '大连甘井子区华北路291五金机电批发市场3楼B-17号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0TX8G902', 1, NULL, 'F', '51', NULL, '江平', '928004305@qq.com', '13332286686', '江平', NULL, '审核通过', 'admin', '2023-09-19 13:09:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (570, 570, '88.472.60801/570', NULL, '', NULL, '', 'Ymtl618@', 'gnin1777@gmail.com', '甘井子区泉水街道博森物资商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:52:45.000000', 1, '2023-09-22 09:52:49.000000', 1, b'0', 2, '88.472.60801', 2, '甘井子区泉水D2区81号1单元2层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UNRE29F  ', 1, NULL, 'F', '52', NULL, '李博', '3106572961@qq.com', '13624243819', '赵丽君', NULL, '审核通过', 'admin', '2023-09-19 13:10:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (571, 571, '88.472.60303/571', NULL, '', NULL, '', 'Ymtl618@', '13066632682', '沈阳鸿辉起重设备租赁有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:18.000000', 1, '2023-09-22 09:56:24.000000', 1, b'0', 2, '88.472.60303', 2, '辽宁省沈阳市沈阳经济技术开发区沈辽西路387号-2-8（4-5-2）', '辽中区', '沈阳市', '辽宁省', '210000', '210100', '210115', '91210106MAC1APX61J', 1, NULL, 'L', '71', NULL, '李双', '2473031355@qq.com', '13066632682', '李双', NULL, '审核通过', 'admin', '2023-09-19 13:12:34', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (572, 572, '88.472.20047/572', '/profile/identity/company/572-s.png', '/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172051A034.png', '/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172035A033.png', '', 'Ymtl618@', '18842371408', '沈阳虹利达建筑材料有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:05:43.000000', 1, '2023-09-22 17:21:11.000000', 730648386080768, b'0', 5, '88.472.20047', 2, '沈阳市于洪区造化街道闸上村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114057182466P', 1, NULL, 'C', '30', NULL, '刘冰', '1012535130@qq.com', '18842371408', '刘冰', NULL, '审核通过', 'admin', '2023-09-19 13:13:09', '0000-00-00 00:00:00.000000', '<p><span style=\"color: rgb(83, 83, 83); background-color: white;\">复合A级硅质保温板是采用用特种无机不燃矿物纤维制成，防火等级可达A1级，是一种新型A级防火保温材料，可广泛运用于建筑保温，且兼具了“节能”与“防火”，解决了当前市场上无机材料不保温，有机材料不防火的难题。具备防火，防潮，隔音，耐久性强等优势</span></p><p><span style=\"color: rgb(83, 83, 83); background-color: white;\"> 产品用途</span></p>');
INSERT INTO `biz_tenant` VALUES (573, 573, '88.472.60302/573', NULL, '', NULL, '', 'Ymtl618@', '13842039391', '沈阳恒业电气科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:22.000000', 1, '2023-09-22 10:20:27.000000', 1, b'0', 2, '88.472.60302', 2, '辽宁省沈阳市于洪区汀江街12-3号（2门）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA1129J81H', 1, NULL, 'M', '75', NULL, '方杰', '780999095@qq.com', '13842039391', '方杰', NULL, '审核通过', 'admin', '2023-09-19 13:14:54', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (574, 574, '88.472.80009/574', NULL, '', NULL, '', 'Ymtl618@', '15840408309', '沈阳健豪机械设备安装有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:01:19.000000', 1, '2023-09-22 10:01:21.000000', 1, b'0', 2, '88.472.80009', 2, '辽宁省沈阳市辽中区蒲西街道南环路9-9号3-3-3', '辽中区', '沈阳市', '辽宁省', '210000', '210100', '210115', '91210122MA114JPJ81', 1, NULL, 'E', '49', NULL, '李鸿波', '348084897@qq.com', '15840408309', '李鸿波', NULL, '审核通过', 'admin', '2023-09-19 13:15:22', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (575, 575, '88.472.68007/575', NULL, '', NULL, '', 'Ymtl618@', 'zczx', '大连智承科技咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:04:04.000000', 1, '2023-09-22 10:04:06.000000', 1, b'0', 2, '88.472.68007', 2, '辽宁省大连高新技术产业园区数码路北段77号1单元11层20号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210231MA0YH0BW22', 1, NULL, 'L', '72', NULL, '毕成智', '15041102046@163.com', '15041102046', '毕成智', 50, '审核通过', 'admin', '2023-09-19 13:16:01', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (576, 576, '88.472.60304/576', NULL, '', NULL, '', 'Ymtl618@', '15710570038', '沈阳大昊保温材料有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:22.000000', 1, '2023-09-22 10:00:25.000000', 1, b'0', 2, '88.472.60304', 2, '辽宁省沈阳市于洪区沈北西路237号南区1区8栋', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0TY582XF', 1, NULL, 'F', '51', NULL, '王兰超', '328499948@qq.com', '15710570038', '王兰超', NULL, '审核通过', 'admin', '2023-09-19 13:16:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (577, 577, '88.472.60301/577', NULL, '', NULL, '', 'Ymtl618@', '13998809846', '沈阳永鑫达机械设备租赁有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:16.000000', 1, '2023-09-22 10:22:21.000000', 1, b'0', 2, '88.472.60301', 2, '沈阳市于洪区造化街道闸上村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA10AFL40C', 1, NULL, 'L', '71', NULL, '马玉林', '947850060@qq.com', '13998809846', '马玉林', NULL, '审核通过', 'admin', '2023-09-19 13:17:46', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (578, 578, '88.472.80008/578', NULL, '', NULL, '', 'Ymtl618@', '13889293499', '沈阳坤淼运输服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:42.000000', 1, '2023-09-22 10:22:45.000000', 1, b'0', 2, '88.472.80008', 2, '辽宁省沈阳经济技术开发区六号街17甲1号-8（1-20-4）', '沈北新区', '沈阳市', '辽宁省', '210000', '210100', '210113', '91210106MABNFCEM14', 1, NULL, 'G', '54', NULL, '刘美芳', '874044323@qq.com', '13889293499', '刘美芳', NULL, '审核通过', 'admin', '2023-09-19 13:18:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (579, 579, '88.472.50015/579', NULL, '', NULL, '', 'Ymtl618@', '13504032628', '沈阳林峰机械设备安装有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:01.000000', 1, '2023-09-22 10:12:04.000000', 1, b'0', 2, '88.472.50015', 2, '辽宁省沈阳市于洪区太湖街24-2号（3-9-2）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0YJ8A90B', 1, NULL, 'E', '49', NULL, '张晓华', '1292059201@qq.com', '13504032628', '张晓华', NULL, '审核通过', 'admin', '2023-09-19 13:18:48', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (580, 580, '88.472.68001/580', NULL, '', NULL, '', 'Ymtl618@', 'hscw', '大连恒盛财务咨询有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:26.000000', 1, '2023-09-22 09:55:29.000000', 1, b'0', 2, '88.472.68001', 2, '辽宁省大连市中山区迎宾路199号1单元3层22号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '9121020234109202XW', 1, NULL, 'L', '72', NULL, '单雅芬', 'hs13252962120@163.com', '13372861134', '王楠', NULL, '审核通过', 'admin', '2023-09-19 13:19:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (581, 581, '88.472.68006/581', NULL, '', NULL, '', 'Ymtl618@', 'aibikang', '大连艾比康贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:25:19.000000', 1, '2023-09-22 10:25:24.000000', 1, b'0', 2, '88.472.68006', 2, '鞍山路丽都园55号1单元5层2号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MA10NYE81G', 1, NULL, 'F', '51', NULL, '姜丽丽', 'aibikang2023@163.com', '18640907185', '姜丽丽', NULL, '审核通过', 'admin', '2023-09-19 13:20:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (582, 582, '88.472.20020/582', NULL, '', NULL, '', 'Ymtl618@', '大连百瀚精密机械有限公司', '大连百瀚精密机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-19 16:08:00.000000', 1, '2023-09-22 10:05:56.000000', 1, b'0', 6, '88.472.20020', 2, '辽宁省大连经济技术开发区东北七街10-15-3号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213311401426H', 1, NULL, 'C', '34', NULL, '孙洋', '18614087790@139.com', '18614087790', '孙洋', NULL, '审核通过', 'admin', '2023-09-19 13:29:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (583, 583, '88.472.50016/583', NULL, '', NULL, '', 'Ymtl618@', '13700045610', '沈阳昊天电气安装工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:54.000000', 1, '2023-09-22 10:16:59.000000', 1, b'0', 2, '88.472.50016', 2, '辽宁省沈阳市沈北新区辉山大街123-27号', '沈北新区', '沈阳市', '辽宁省', '210000', '210100', '210113', '91210113MA116K6F83', 1, NULL, 'E', '49', NULL, '方杰', '13654045556@163.com', '13842039391', '方杰', NULL, '审核通过', 'admin', '2023-09-19 13:29:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (584, 584, '88.472.60305/584', NULL, '', NULL, '', 'Ymtl618@', '13889806168', '辽宁众泰安防科技有限公司 ', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:23:09.000000', 1, '2023-09-22 10:23:53.000000', 1, b'0', 4, '88.472.60305', 2, '辽宁省沈阳市铁西区应昌街6号（1-20-2）', '铁西区', '沈阳市', '辽宁省', '210000', '210100', '210106', '91210106MABP6UMB44', 1, NULL, 'M', '73', NULL, '吴德芳', '200514568@163.com', '13889806168', '吴德芳', NULL, '审核通过', 'admin', '2023-09-19 13:31:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (585, 585, '88.472.20049/585', NULL, '', NULL, '', 'Ymtl618@', '13504039983', '沈阳东润包装制品有限公司 ', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:32.000000', 1, '2023-09-22 10:12:34.000000', 1, b'0', 2, '88.472.20049', 2, '辽宁省沈阳市沈北新区正良一路17-4号', '沈北新区', '沈阳市', '辽宁省', '210000', '210100', '210113', '91210113MA7N72Q69B', 1, NULL, 'C', '22', NULL, '陈铁军', '2307219390@qq.com', '13504039983', '陈铁军', NULL, '审核通过', 'admin', '2023-09-19 13:36:36', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (586, 586, '88.472.69007/586', '/profile/identity/company/586-s.png', '/profile/upload/2023/09/22/未标题-1_20230922170546A010.png', '/profile/upload/2023/09/22/未标题-1_20230922170549A011.png,/profile/upload/2023/09/22/未标题-2_20230922170551A012.png,/profile/upload/2023/09/22/未标题-4_20230922170553A013.png', '', 'Ymtl618@', '15840675199@163.com', '大连亿鑫泰机电设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:02.000000', 1, '2023-09-22 17:06:26.000000', 730984479854592, b'0', 5, '88.472.69007', 5, '大连经济技术开发区淮河西路63号百丰五金机电城一层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '912102135655426249', 1, NULL, 'F', '51', NULL, '陈雪华', '15840675199@163.com', '15840675199', '陈雪华', NULL, '审核通过', 'admin', '2023-09-19 13:37:08', '0000-00-00 00:00:00.000000', '<p style=\"text-align: left;\"><strong>ZLS-Di30 ~ 200HP</strong><span style=\"color: rgb(68, 68, 68); background-color: white;\"> </span><span style=\"color: rgb(68, 68, 68);\"><br> </span><strong>捷豹永磁低压大排量独到设计之处：</strong><span style=\"color: rgb(68, 68, 68); background-color: white;\"> </span></p><p style=\"text-indent: 21pt;\"><span style=\"color: rgb(68, 68, 68);\">采用捷豹独创的永磁油冷一体式驱动技术，比常规电机驱动模式，效率提升8%，防护等级高达IP65；</span></p><p style=\"text-indent: 21pt;\"><span style=\"color: rgb(68, 68, 68);\">使用大转子、大轴承、低转速的设计方案，性能更稳定；</span></p><p style=\"text-indent: 21pt;\"><span style=\"color: rgb(68, 68, 68);\">冷却风机采用变频控制，在减少噪音的同时，更能节省3%的能耗；</span></p><p style=\"text-indent: 21pt;\"><span style=\"color: rgb(68, 68, 68);\">永磁IPM电机，采用8极高转速电机，节能效率同比异步电机提高10%。</span></p><p style=\"text-indent: 21pt;\"><span style=\"color: rgb(68, 68, 68);\">进气阀、油气分离芯及较小压力阀等采用低压专用配件，显著提升整机性能；</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(68, 68, 68); background-color: white;\"> </span><strong>低转速永磁变频螺杆机头</strong><span style=\"color: rgb(68, 68, 68); background-color: white;\"> </span><span style=\"color: rgb(68, 68, 68);\"><br> </span><span style=\"color: rgb(68, 68, 68); background-color: white;\">低转速低磨损大大提升可靠性；专业的高效率螺杆机头造就超大排气量和超低使用成本。超低转速，低至1500转RPM。</span><span style=\"color: rgb(68, 68, 68);\"><br> </span><strong>油气分离桶: </strong><span style=\"color: rgb(68, 68, 68); background-color: white;\">采用针对低压行业设计超大油桶，容积高达两倍，分离效果佳，保证空气超低含油量，在纺织等对含油量要求极高的行业中，能够有效稳定的生产，让用户无后顾之忧。</span><span style=\"color: rgb(68, 68, 68);\"><br> </span><strong>高稳定性的冷却风扇: </strong><span style=\"color: rgb(68, 68, 68); background-color: white;\">采用高效风扇和风机电机，冷却效果更佳，在高温高湿等恶劣使用环境下，也能保证空压机的正常运行。</span><span style=\"color: rgb(68, 68, 68);\"><br> </span><strong>捷豹液冷却永磁电机: </strong><span style=\"color: rgb(68, 68, 68); background-color: white;\">捷豹技术开发,采用液体（水式油）冷却永磁电机壳体，保证永磁电机温度稳定，不失磁。</span><span style=\"color: rgb(68, 68, 68);\"><br> </span><strong>重载空气过滤器: </strong><span style=\"color: rgb(68, 68, 68); background-color: white;\">独特进气箱系统，防止灰尘进入系统；进滤空气中的细微粒子，确保进入机头的空气质量，延长主机寿命。</span></p>');
INSERT INTO `biz_tenant` VALUES (587, 587, '88.472.60306/587', NULL, '', NULL, '', 'Ymtl618@', '13066665801', '沈阳易怦然贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:47.000000', 1, '2023-09-22 09:56:59.000000', 1, b'0', 2, '88.472.60306', 2, '辽宁省沈阳市浑南区三义街28-4号102门', '浑南区', '沈阳市', '辽宁省', '210000', '210100', '210112', '91210112MA7L48N68D', 1, NULL, 'F', '52', NULL, '赵浩辰', '114841640@qq.com', '13066665801', '赵浩辰', NULL, '审核通过', 'admin', '2023-09-19 13:43:38', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (588, 588, '88.472.66012/588', NULL, '', NULL, '', 'Ymtl618@', '15164018003@163.com', '大连环岛人家餐饮服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:51:45.000000', 1, '2023-09-22 09:51:48.000000', 1, b'0', 2, '88.472.66012', 2, '辽宁省大连市沙河口区同泰街12号地上1-2层、地下1层', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204MACTFKL726', 1, NULL, 'H', '62', NULL, '刘冰', '15164018003@163.com', '15164018003', '刘冰', NULL, '审核通过', 'admin', '2023-09-19 13:48:35', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (589, 589, '88.472.60307/589', NULL, '', NULL, '', 'Ymtl618@', '15840357778', '沈阳玉泽天易贸易有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:58.000000', 1, '2023-09-22 10:01:03.000000', 1, b'0', 2, '88.472.60307', 2, '辽宁省沈阳市浑南区三义街28-4号（202）', '浑南区', '沈阳市', '辽宁省', '210000', '210100', '210112', '91210102MA0YFFUU73', 1, NULL, 'F', '52', NULL, '王天易', '114841640@qq.com', '15840357778', '王天易', NULL, '审核通过', 'admin', '2023-09-19 13:50:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (590, 590, '88.472.66013/590', NULL, '', NULL, '', 'Ymtl618@', '15104061003@163.com', '大连尚品鲜海产品销售有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:48:47.000000', 1, '2023-09-22 09:48:50.000000', 1, b'0', 2, '88.472.66013', 2, '辽宁省大连保税区洞庭路1号自贸大厦719B-12', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA7KATUW4M', 1, NULL, 'H', '62', NULL, '韩爽', '15104061003@163.com', '15104061003', '韩爽', NULL, '审核通过', 'admin', '2023-09-19 13:52:25', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (591, 591, '88.472.60318/591', NULL, '', NULL, '', 'Ymtl618@', '13889190799', '沈阳园峰机械设备有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:21:56.000000', 1, '2023-09-22 10:21:58.000000', 1, b'0', 2, '88.472.60318', 2, '渤海路23-2号（2-1-2）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA0UCQM19T', 1, NULL, 'L', '71', NULL, '袁园', '846901336@qq.com', '13889190799', '袁园', NULL, '审核通过', 'admin', '2023-09-19 13:53:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (592, 592, '88.472.68010/592', NULL, '', NULL, '', 'Ymtl618@', 'jiayingqiye', '大连嘉盈企业服务中心', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:00.000000', 1, '2023-09-22 09:57:03.000000', 1, b'0', 2, '88.472.68010', 2, '大刘家街道洼子店社区府前路103号213室', '普兰店区', '大连市', '辽宁省', '210000', '210200', '210214', '91210282MA10MU6J48', 1, NULL, 'L', '72', NULL, '夏正麟', 'jiayingqiye2023@163.com', '15940812315', '夏正麟', NULL, '审核通过', 'admin', '2023-09-19 13:53:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (593, 593, '88.472.68004/593', NULL, '', NULL, '', 'Ymtl618@', '18941110265', '大连臻欣企业服务外包有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:07:21.000000', 1, '2023-09-22 10:07:25.000000', 1, b'0', 2, '88.472.68004', 2, '辽宁省大连市金州区光明街道丘（地）号28-95-1-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0P5H5724', 1, NULL, 'L', '72', NULL, '李振', '398490121@qq.com', '18941110265', '李振', NULL, '审核通过', 'admin', '2023-09-19 13:54:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (594, 594, '88.472.50020/594', NULL, '', NULL, '', 'Ymtl618@', '13700047032', '辽宁鼎坤建设工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:17:15.000000', 1, '2023-09-22 10:17:19.000000', 1, b'0', 2, '88.472.50020', 2, '辽宁省沈阳市大东区东北大马路390号', '大东区', '沈阳市', '辽宁省', '210000', '210100', '210104', '91210104MA105H766F', 1, NULL, 'E', '47', NULL, '尚先龙', '948650743@qq.com', '13700047032', '尚先龙', NULL, '审核通过', 'admin', '2023-09-19 13:57:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (595, 595, '88.472.66014/595', '/profile/identity/company/595-s.png', '/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165832A005.png', '/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165834A006.png,/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165837A007.png', '', 'Ymtl618@', '13842492400', '大连启臣机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:20:46.000000', 1, '2023-09-22 16:58:59.000000', 734434211008512, b'0', 12, '88.472.66014', 2, '辽宁省大连市甘井子区辛寨子镇大辛村南街', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211311419079X', 1, NULL, 'C', '34', NULL, '郑恩斌', '87626527@qq.com', '13842492400', '郑超', NULL, '审核通过', 'admin', '2023-09-19 13:58:23', '0000-00-00 00:00:00.000000', '<p>企业全称：</p><p>大连启臣机械有限公司</p><p>统一社会信用编码：</p><p>91210211311419079X</p><p>注册资本：</p><p>-（万元）</p>');
INSERT INTO `biz_tenant` VALUES (596, 596, '88.472.68008/596', NULL, '', NULL, '', 'Ymtl618@', '13832262777', '沈阳铭豪石材景观工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:02.000000', 1, '2023-09-22 10:19:08.000000', 1, b'0', 2, '88.472.68008', 2, '红旗台石材市场', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MA11CTTF1E', 1, NULL, 'F', '51', NULL, '高嘉豪', '971278978@qq.com', '13832262777', '高嘉豪', NULL, '审核通过', 'admin', '2023-09-19 13:58:44', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (597, 597, '88.472.60308/597', NULL, '', NULL, '', 'Ymtl618@', '15541914853', '沈阳博赫源机械设备租赁有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:55.000000', 1, '2023-09-22 09:56:01.000000', 1, b'0', 2, '88.472.60308', 2, '辽宁省沈阳市沈阳经济技术开发区花海路7-3号（2-9-2）', '铁西区', '沈阳市', '辽宁省', '210000', '210100', '210106', '91210106MAC4XJL83E', 1, NULL, 'L', '71', NULL, '赵全勇', '13840180980@163.com', '15541914853', '赵全勇', NULL, '审核通过', 'admin', '2023-09-19 13:59:16', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (598, 598, '88.472.50018/598', NULL, '', NULL, '', 'Ymtl618@', '18740063626', '沈阳亿涛土石方工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:03:31.000000', 1, '2023-09-22 10:03:34.000000', 1, b'0', 2, '88.472.50018', 2, '辽宁省沈阳市大东区东建街35-3号', '大东区', '沈阳市', '辽宁省', '210000', '210100', '210104', '91210104MA0YAATG5X', 1, NULL, 'F', '52', NULL, '徐士华', '121097599@qq.com', '18740063626', '徐士华', NULL, '审核通过', 'admin', '2023-09-19 13:59:51', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (599, 599, '88.472.50021/599', NULL, '', NULL, '', 'Ymtl618@', '13889279013', '沈阳华新环境艺术工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:12.000000', 1, '2023-09-22 10:22:16.000000', 1, b'0', 2, '88.472.50021', 2, '沈阳市沈河区青年大街219号7楼', '沈河区', '沈阳市', '辽宁省', '210000', '210100', '210103', '91210103734681546U', 1, NULL, 'E', '50', NULL, '曲冰洋', '964119518@qq.com', '13889279013', '曲冰洋', NULL, '审核通过', 'admin', '2023-09-19 14:00:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (600, 600, '88.472.66015/600', NULL, '', NULL, '', 'Ymtl618@', '13940961625@163.com', '大连老砖坊古建文化发展有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:22:35.000000', 1, '2023-09-22 10:22:39.000000', 1, b'0', 2, '88.472.66015', 2, '辽宁省大连市沙河口区中山路682号7层10号', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91210204582032749C', 1, NULL, 'O', '82', NULL, '梁永根', '13940961625@163.com', '13940961625', '梁永根', NULL, '审核通过', 'admin', '2023-09-19 14:08:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (601, 601, '88.472.68009/601', NULL, '', NULL, '', 'Ymtl618@', '13840315188', '沈阳市于洪区华盛石材经销处', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:19:27.000000', 1, '2023-09-22 10:19:33.000000', 1, b'0', 2, '88.472.68009', 2, '红旗台石材市场', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '92210114MA0UJM868Q', 1, NULL, 'F', '51', NULL, '高立旺', '1102595278@qq.com', '13840315188', '高立旺', NULL, '审核通过', 'admin', '2023-09-19 14:09:21', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (602, 602, '88.472.20050/602', NULL, '', NULL, '', 'Ymtl618@', '13909881779', '沈阳明越包装有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:01.000000', 1, '2023-09-22 10:24:04.000000', 1, b'0', 2, '88.472.20050', 2, '造化街道高力村', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114335691595C', 1, NULL, 'C', '22', NULL, '王延双', '99295941@qq.com', '13909881779', '王延双', NULL, '审核通过', 'admin', '2023-09-19 14:11:11', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (603, 603, '88.472.60803/603', NULL, '', NULL, '', 'Ymtl618@', '2179166544@qq.com', '甘井子区泉水街道亿尚物资商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:09:16.000000', 1, '2023-09-22 10:09:20.000000', 1, b'0', 2, '88.472.60803', 2, '甘井子区泉水N2区12号7层3号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0XQRG8XK', 1, NULL, 'F', '52', NULL, '崔国眼', '1654303769@qq.com', '13624243819', '赵丽君', NULL, '审核通过', 'admin', '2023-09-19 14:14:27', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (604, 604, '88.472.68011/604', NULL, '', NULL, '', 'Ymtl618@', '13604116115', '大连艺程企业管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:14:46.000000', 1, '2023-09-22 10:14:49.000000', 1, b'0', 2, '88.472.68011', 2, '辽宁省大连市庄河市栗子房镇永记村永记屯101号118室', '庄河市', '大连市', '辽宁省', '210000', '210200', '210283', '91210283MACL2B9KX7', 1, NULL, 'L', '72', NULL, '刘子赫', '474356665@qq.com', '13604116115', '刘子赫', NULL, '审核通过', 'admin', '2023-09-19 14:15:05', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (605, 605, '88.472.20048/605', NULL, '', NULL, '', 'Ymtl618@', '13889128608', '沈阳市大东区隆昌塑料厂', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:21:28.000000', 1, '2023-09-22 10:21:32.000000', 1, b'0', 2, '88.472.20048', 2, '沈阳市大东区前进乡榆林街', '大东区', '沈阳市', '辽宁省', '210000', '210100', '210104', '92210104MA0UKHDG3B', 1, NULL, 'C', '29', NULL, '马春江', '3026766192@qq.com', '13889128608', '马春江', NULL, '审核通过', 'admin', '2023-09-19 14:15:31', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (606, 606, '88.472.50019/606', NULL, '', NULL, '', 'Ymtl618@', '16602441448', '辽宁浩锐土石方工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:11.000000', 1, '2023-09-22 10:12:13.000000', 1, b'0', 2, '88.472.50019', 2, '辽宁省沈阳市大东区东建街35-3号（3-14-2）', '大东区', '沈阳市', '辽宁省', '210000', '210100', '210104', '91210104MA7D4TR63C', 1, NULL, 'L', '71', NULL, '尚治波', '2663772627@qq.com', '16602441448', '尚治波', NULL, '审核通过', 'admin', '2023-09-19 14:24:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (607, 607, '88.472.68002/607', NULL, '', NULL, '', 'Ymtl618@', '13478727900', '大连路路通达汽车服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:10.000000', 1, '2023-09-22 10:11:14.000000', 1, b'0', 2, '88.472.68002', 2, '辽宁省大连市金州区光明街道丘（地）号28-95-1-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213341093866C', 1, NULL, 'L', '71', NULL, '李振', '251400222@qq.com', '13478727900', '李振', NULL, '审核通过', 'admin', '2023-09-19 14:25:49', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (608, 608, '88.472.68014/608', NULL, '', NULL, '', 'Ymtl618@', 'RZZX', '大连威尔认证咨询服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:58.000000', 1, '2023-09-22 10:00:01.000000', 1, b'0', 2, '88.472.68014', 2, '辽宁省大连高新技术产业园区七贤岭火炬路10号9层07室03房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA10R6Q16E', 1, NULL, 'M', '74', NULL, '林立娟', '20467508@qq.com', '15140301306', '林立娟', NULL, '审核通过', 'admin', '2023-09-19 14:46:14', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (609, 609, '88.472.66017/609', NULL, '', NULL, '', 'Ymtl618@', '18104095668', '大连保税区迪爱特物流有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:38.000000', 1, '2023-09-22 10:15:42.000000', 1, b'0', 2, '88.472.66017', 2, '辽宁省大连大窑湾保税港区国际物流园W5B1单元', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242782460000F', 1, NULL, 'G', '59', NULL, '徐莉', 'lulu@dit.com.cn', '18104095668', '刘璐', NULL, '审核通过', 'admin', '2023-09-19 14:54:29', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (610, 610, '88.472.60310/610', NULL, '', NULL, '', 'Ymtl618@', '13066550142', '喜久（辽宁）矿泉水开发有限公司沈阳分公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:55:44.000000', 1, '2023-09-22 09:55:45.000000', 1, b'0', 2, '88.472.60310', 2, '和盛巷6甲（2601）102-5房间', '和平区', '沈阳市', '辽宁省', '210000', '210100', '210102', '91210102MACHJD2495', 1, NULL, 'F', '51', NULL, '张天宇', '18240448269@139.com', '18240448269', '张天宇', NULL, '审核通过', 'admin', '2023-09-19 14:54:52', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (611, 611, '88.472.68012/611', NULL, '', NULL, '', 'Ymtl618@', '大连威尔知识产权服务有限公司', '大连威尔知识产权服务有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:59:08.000000', 1, '2023-09-22 09:59:12.000000', 1, b'0', 2, '88.472.68012', 2, '辽宁省大连高新技术产业园区七贤岭火炬路10号9层07单元', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA106JGQ8J', 1, NULL, 'M', '74', '', '王会堂', '20467508@qq.com', '15140301306', '王会堂', NULL, '审核通过', 'admin', '2023-09-19 14:55:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (612, 612, '88.472.60319/612', NULL, '', NULL, '', 'Ymtl618@', '18842395012', '沈阳禾瑞源商贸有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:06:18.000000', 1, '2023-09-22 10:06:21.000000', 1, b'0', 2, '88.472.60319', 2, '保工北街20号院内的北一区15号', '铁西区', '沈阳市', '辽宁省', '210000', '210100', '210106', '91210106MA0YLNF946', 1, NULL, 'F', '51', NULL, '郑国东', '764713253@qq.com', '18842395012', '郑国东', NULL, '审核通过', 'admin', '2023-09-19 14:56:50', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (613, 613, '88.472.66018/613', NULL, '', NULL, '', 'Ymtl618@', '15724529477@163.com', '大连旺香阁餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:38.000000', 1, '2023-09-22 10:00:41.000000', 1, b'0', 2, '88.472.66018', 2, '辽宁省大连市中山区中南路272-4号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202071586547D', 1, NULL, 'H', '62', NULL, '温立志', '15724529477@163.com', '15724529477', '温立志', NULL, '审核通过', 'admin', '2023-09-19 14:57:17', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (614, 614, '88.472.60804/614', NULL, '', NULL, '', 'Ymtl618@', '1654303769@qq.com', '甘井子区周水子街道英杰物资商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:11:49.000000', 1, '2023-09-22 10:11:52.000000', 1, b'0', 2, '88.472.60804', 2, '甘井子区芳馨园17号3单元2层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0U0R606C', 1, NULL, 'F', '52', NULL, '董英', '2305314996@qq.com', '13624243819', '赵丽君', NULL, '审核通过', 'admin', '2023-09-19 14:58:39', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (615, 615, '88.472.50017/615', NULL, '', NULL, '', 'Ymtl618@', '18842482341', '沈阳翌申装饰工程有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:06:47.000000', 1, '2023-09-22 10:06:52.000000', 1, b'0', 2, '88.472.50017', 2, '细河路167号（1-25-3）', '于洪区', '沈阳市', '辽宁省', '210000', '210100', '210114', '91210114MACMDD2X8U', 1, NULL, 'E', '50', NULL, '苗雨', '824627150@qq.com', '18842482341', '苗雨', NULL, '审核通过', 'admin', '2023-09-19 14:59:09', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (616, 616, '88.472.68003/616', NULL, '', NULL, '', 'Ymtl618@', '18640932533', '大连神州思创科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:00:22.000000', 1, '2023-09-22 10:00:24.000000', 1, b'0', 2, '88.472.68003', 2, '辽宁省大连保税区钻石9座114-4号', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YNH683K', 1, NULL, 'M', '73', NULL, '臧家立', '1247595126@qq.com', '18640932533', '臧家立', NULL, '审核通过', 'admin', '2023-09-19 14:59:53', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (617, 617, '88.472.66016/617', NULL, '', NULL, '', 'Ymtl618@', '15566849002@163.com', '大连市曦予餐饮管理有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:50.000000', 1, '2023-09-22 09:58:52.000000', 1, b'0', 2, '88.472.66016', 2, '辽宁省大连市中山区世纪街26号1单元29层6号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MABWMXDF1C', 1, NULL, 'H', '62', NULL, '张予曦', '15566849002@163.com', '15566849002', '张予曦', NULL, '审核通过', 'admin', '2023-09-19 15:00:42', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (618, 618, '88.472.66019/618', NULL, '', NULL, '', 'Ymtl618@', '15542344282@163.com', '大连一童体育文化传媒有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:23.000000', 1, '2023-09-22 09:56:26.000000', 1, b'0', 2, '88.472.66019', 2, '辽宁省大连市中山区珠莲街23号4层1号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210202MA10WBEQ5M', 1, NULL, 'L', '72', NULL, '毕冬一', '15542344282@163.com', '15542344282', '毕冬一', NULL, '审核通过', 'admin', '2023-09-19 15:10:28', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (619, 619, '88.472.66005/619', NULL, '', NULL, '', 'Ymtl618@', 'zhudongmei@macroluck-dl.com', '大连鸿祥兴电子有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:06:27.000000', 1, '2023-09-22 10:06:32.000000', 1, b'0', 2, '88.472.66005', 2, '辽宁省大连保税区西环路23-3号1-3层振美三号厂房一层西侧', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210242MA0UBRTK6N', 1, NULL, 'C', '34', NULL, '姜俊迪', 'zhudongmei@macroluck-dl.com', '13840937556', '朱冬梅', NULL, '审核通过', 'admin', '2023-09-19 15:26:58', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (620, 620, '88.472.66020/620', NULL, '', NULL, '', 'Ymtl618@', '15542657279@163.com', '大连枳新信息科技有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:01.000000', 1, '2023-09-22 09:58:03.000000', 1, b'0', 2, '88.472.66020', 2, '辽宁省大连高新技术产业园区高能街125号（地上11层-3）02室1121', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210211MA0YC2JE4A', 1, NULL, 'I', '65', NULL, '尹志真', '15542657279@163.com', '15542657279', '尹志真', NULL, '审核通过', 'admin', '2023-09-19 15:43:32', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (621, 621, '88.472.68013/621', NULL, '', NULL, '', 'Ymtl618@', '大连威尔体系认证有限公司', '大连威尔体系认证有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:58:32.000000', 1, '2023-09-22 09:58:39.000000', 1, b'0', 2, '88.472.68013', 2, '辽宁省大连高新技术产业园区七贤岭火炬路10号9层07单元', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA10LDYX56', 1, NULL, 'M', '74', NULL, '王会堂', '20467508@qq.com', '15140301306', '王会堂', NULL, '审核通过', 'admin', '2023-09-19 15:44:04', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (622, 622, '88.472.66021/622', NULL, '', NULL, '', 'Ymtl618@', '18642694922@163.com', '沈阳百泰鸿福新能源有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:01:20.000000', 1, '2023-09-22 10:01:39.000000', 1, b'0', 2, '88.472.66021', 2, '辽宁省沈阳市和平区青年大街390号C座2620号', '和平区', '沈阳市', '辽宁省', '210000', '210100', '210102', '91210102MABU3DR24M', 1, NULL, 'L', '72', NULL, '祝军', '18642694922@163.com', '18642694922', '祝军', NULL, '审核通过', 'admin', '2023-09-19 15:44:48', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (623, 623, '88.472.60805/623', NULL, '', NULL, '', 'Ymtl618@', '2305314996@qq.com', '中山区傅恒物资商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:58.000000', 1, '2023-09-22 10:15:21.000000', 1, b'0', 4, '88.472.60805', 2, '中山区华乐街海景园4号2单元2层2号', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '92210202MA0XYQ329U', 1, NULL, 'F', '52', NULL, '张鹏', '3422758218@qq.com', '13624243819', '赵丽君', NULL, '审核通过', 'admin', '2023-09-19 15:45:19', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (624, 624, '88.472.60802/624', NULL, '', NULL, '', 'Ymtl618@', '3106572961@qq.com', '甘井子区周水子街道云港物资商行', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:16:10.000000', 1, '2023-09-22 10:16:13.000000', 1, b'0', 2, '88.472.60802', 2, '甘井子区芳馨园16号2单元3层2号', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '92210211MA0UX 75N3J', 1, NULL, 'F', '52', NULL, '朱汉明', '2179166544@qq.com', '13624243819', '赵丽君', NULL, '审核通过', 'admin', '2023-09-19 16:11:56', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (625, 625, '88.472.68017/625', NULL, '', NULL, '', 'Ymtl618@', 'jinbaiweimy', '大连金百味面业有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:23.000000', 1, '2023-09-22 09:57:26.000000', 1, b'0', 2, '88.472.68017', 2, '辽宁省大连市甘井子区辛寨子工业园区', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210200959945400P', 1, NULL, 'C', '14', NULL, '郑雅咪', 'jinbaiweibgs@163.com', '19909851915', '张丹丹', NULL, '审核通过', 'admin', '2023-09-19 16:13:24', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (626, 626, '88.472.68015/626', NULL, '', NULL, '', 'Ymtl618@', 'HXY', '大连海星云信息技术有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:56:43.000000', 1, '2023-09-22 09:56:47.000000', 1, b'0', 2, '88.472.68015', 2, '辽宁省大连高新技术产业园区广贤路135号智业广场B2座22层2224号014房间', '甘井子区', '大连市', '辽宁省', '210000', '210200', '210211', '91210231MA0YMEK62W', 1, NULL, 'I', '65', NULL, '刘淑芹', '767071810@qq.com', '13164588106', '刘淑芹', NULL, '审核通过', 'admin', '2023-09-19 16:16:33', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (627, 627, '88.472.66022/627', NULL, '', NULL, '', 'Ymtl618@', '15542495716', '大连恩点食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:57:20.000000', 1, '2023-09-22 09:57:25.000000', 1, b'0', 2, '88.472.66022', 2, '辽宁省大连经济技术开发区振鹏工业城（73号地）长英机械', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA0YQQG37M', 1, NULL, 'C', '14', NULL, '马爱华', '12557773@qq.com', '15542495716', '张锐', NULL, '审核通过', 'admin', '2023-09-19 16:30:40', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (628, 628, '88.472.69008/628', NULL, '', NULL, '', 'Ymtl618@', 'baoshijingmi@163.com', '大连鲍氏精密机械有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:24:01.000000', 1, '2023-09-22 10:24:04.000000', 1, b'0', 2, '88.472.69008', 5, '大连开发区杏花里22栋-3-2-2', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213796923512H', 1, NULL, 'F', '51', NULL, '鲍箭', 'baoshijingmi@163.com', '13940876183', '鲍箭', NULL, '审核通过', 'admin', '2023-09-19 16:31:02', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (629, 629, '88.472.66023/629', NULL, '', NULL, '', 'Ymtl618@', '13654257133', '大连水一方食品有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:15:42.000000', 1, '2023-09-22 10:15:47.000000', 1, b'0', 2, '88.472.66023', 2, '辽宁省大连市中山区新生街25号胜利桥桥南3号楼地上/地下部分公建', '中山区', '大连市', '辽宁省', '210000', '210200', '210202', '91210200744382590R', 1, NULL, 'C', '14', NULL, '周婧', '3056191648@qq.com', '13654257133', '靳雨璇', NULL, '审核通过', 'admin', '2023-09-19 16:38:03', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (630, 630, '88.472.67801/630', NULL, '', NULL, '', 'Ymtl618@', '大连晟鋆企业管理中心（有限合伙）', '大连晟鋆企业管理中心（有限合伙）', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:26:45.000000', 1, '2023-09-22 10:26:50.000000', 1, b'0', 2, '88.472.67801', 2, '星月街46号1-1-2', '沙河口区', '大连市', '辽宁省', '210000', '210200', '210204', '91310120MAlHWK2G7Q', 1, NULL, 'L', '72', NULL, '付政', '2942126350@qq.com', '13478670299', '付政', NULL, '审核通过', 'admin', '2023-09-19 16:48:55', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (631, 631, '88.472.68016/631', NULL, '', NULL, '', 'Ymtl618@', 'hemashipin', '赫玛食品（大连）有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 09:54:10.000000', 1, '2023-09-22 09:54:13.000000', 1, b'0', 2, '88.472.68016', 2, '辽宁省大连经济技术开发区得胜街道东胜路1-3-2号1-2层', '金州区', '大连市', '辽宁省', '210000', '210200', '210213', '91210213MA10B1T22U', 1, '赫玛食品（大连）有限公司是以藻类、贝类养殖加工为一体的食品生产企业。公司坐落于大连金石滩黄金海岸，占据天然地理优势，自有5000多亩养殖海域，传承家族三十年养殖经验，入驻标准产业园区，采用先进工艺，先进设备，优质原料，专业的研发团队，严格的过程管理，生产出以裙带菜、海带为主线的藻类系列产品。工艺从盐渍初加工到烘干调味深加工，渠道从国内餐饮到电商平台，产品出口畅销日韩、欧美、以及东南亚等国家。', 'C', '14', NULL, '李娟', '739375620@qq.com', '13942088708', '李娟', 200, '审核通过', 'admin', '2023-09-19 16:49:45', '0000-00-00 00:00:00.000000', NULL);
INSERT INTO `biz_tenant` VALUES (632, 632, '88.472.61008/632', NULL, '', NULL, '', 'Ymtl618@', '亚太中农科技（大连）有限公司', '亚太中农科技(大连)有限公司', '', '', '', '', '', 0, 2, NULL, '', '2023-09-22 10:12:17.000000', 1, '2023-09-22 10:12:19.000000', 1, b'0', 2, '88.472.61008', 5, '香秀街6号203室', '西岗区', '大连市', '辽宁省', '210000', '210200', '210203', '91210203MA0YX8UX0W', 1, NULL, 'A', '01', NULL, '辛玲', '13840951781@139.com', '13840951781', '辛玲', NULL, '审核通过', 'admin', '2023-09-21 13:50:51', '0000-00-00 00:00:00.000000', NULL);

-- ----------------------------
-- Table structure for biz_tenant_apply
-- ----------------------------
DROP TABLE IF EXISTS `biz_tenant_apply`;
CREATE TABLE `biz_tenant_apply`  (
  `id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '主键',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '想要加入的 企业租户id',
  `audit_id` bigint NOT NULL DEFAULT 0 COMMENT '审核者 id',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '用户 id',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '状态 0 待审核 1 审核通过 2审核未通过',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  `create_time` datetime(6) NOT NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '创建时间',
  `creator_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建者',
  `update_time` datetime(6) NOT NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '更新时间',
  `updater_id` bigint NOT NULL DEFAULT 0 COMMENT '更新者',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '软删除标记',
  `version` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '乐观锁标记',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `pk_id`(`id` ASC) USING BTREE,
  INDEX `idx_tenant_id`(`tenant_id` ASC) USING BTREE,
  INDEX `idx_audit_id`(`audit_id` ASC) USING BTREE,
  INDEX `idx_user_id`(`user_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '企业加入申请记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of biz_tenant_apply
-- ----------------------------

-- ----------------------------
-- Table structure for biz_user_tenant
-- ----------------------------
DROP TABLE IF EXISTS `biz_user_tenant`;
CREATE TABLE `biz_user_tenant`  (
  `id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '主键',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '用户id',
  `dept_id` bigint NOT NULL COMMENT '部门id 因为一个用户可以在多个企业内任职',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户id',
  `is_admin` tinyint NOT NULL DEFAULT 0 COMMENT '用户是否为账套的主人 对应snms系统 用户和企业的一对一关系 0 不是 1是',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '状态',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  `create_time` datetime(6) NOT NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '创建时间',
  `creator_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建者',
  `update_time` datetime(6) NOT NULL DEFAULT '0000-00-00 00:00:00.000000' COMMENT '更新时间',
  `updater_id` bigint NOT NULL DEFAULT 0 COMMENT '更新者',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '软删除标记',
  `version` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '乐观锁标记',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `pk_id`(`id` ASC) USING BTREE,
  INDEX `idx_user_id`(`user_id` ASC) USING BTREE,
  INDEX `idx_dept_id`(`dept_id` ASC) USING BTREE,
  INDEX `idx_tenant_id`(`tenant_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '文件库' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of biz_user_tenant
-- ----------------------------
INSERT INTO `biz_user_tenant` VALUES (1693527710508871682, 1143207234667417600, 1143207234667417601, 151, 1, 0, '', '2023-08-21 15:37:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1693535915842564097, 1143215441569779712, 1143215441569779713, 106, 1, 0, '', '2023-08-21 16:10:01.000000', 1, '2023-09-18 11:20:14.000000', 1143215441569779712, b'0', 10);
INSERT INTO `biz_user_tenant` VALUES (1704013296210391041, 1153692819446173696, 1153692819446173697, 345, 1, 0, '', '2023-09-19 14:03:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704016392755982337, 1153695917279416320, 1153695917279416321, 148, 1, 0, '', '2023-09-19 14:15:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704016511182155778, 1153696035852390400, 1153696035852390401, 153, 1, 0, '', '2023-09-19 14:16:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704016705130967041, 1153696229432102912, 1153696229432102913, 498, 1, 0, '', '2023-09-19 14:16:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704024455743385601, 1153703980254236672, 1153703980254236673, 287, 1, 0, '', '2023-09-19 14:47:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704024579261444098, 1153704103952650240, 1153704103952650241, 231, 1, 0, '', '2023-09-19 14:48:13.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704025052697702402, 1153704577250496512, 1153704577250496513, 350, 1, 0, '', '2023-09-19 14:50:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704032323205902338, 1153711847397003264, 1153711847401197568, 315, 1, 0, '', '2023-09-19 15:18:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704032929227337730, 1153712453054500864, 1153712453054500865, 327, 1, 0, '', '2023-09-19 15:21:24.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704033017479688194, 1153712542099574784, 1153712542099574785, 326, 1, 0, '', '2023-09-19 15:21:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704033401514356737, 1153712863546839040, 1153712864897404928, 354, 1, 0, '', '2023-09-19 15:23:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704034347833225218, 1153713621071695872, 1153713622216740864, 397, 1, 0, '', '2023-09-19 15:27:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704036044454313985, 1153715568315076608, 1153715568315076609, 337, 1, 0, '', '2023-09-19 15:33:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704036594320191490, 1153716118414823424, 1153716118414823425, 389, 1, 0, '', '2023-09-19 15:35:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704036802574729217, 1153716326456496128, 1153716326456496129, 357, 1, 0, '', '2023-09-19 15:36:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704037002164879361, 1153716526810009600, 1153716526810009601, 308, 1, 0, '', '2023-09-19 15:37:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704037827671076866, 1153717351582142464, 1153717351582142465, 183, 1, 0, '', '2023-09-19 15:40:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704037876908011521, 1153717401578246144, 1153717401578246145, 312, 1, 0, '', '2023-09-19 15:41:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704038839177818114, 1153718363793526784, 1153718363793526785, 303, 1, 0, '', '2023-09-19 15:44:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704039070594347009, 1153718594580910080, 1153718594580910081, 174, 1, 0, '', '2023-09-19 15:45:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043030987190273, 1153722556608548864, 1153722556608548865, 319, 1, 0, '', '2023-09-19 16:01:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043093276798977, 1153722618952683520, 1153722618952683521, 488, 1, 0, '', '2023-09-19 16:01:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043181789196289, 1153722707507023872, 1153722707507023873, 301, 1, 0, '', '2023-09-19 16:02:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043361376710657, 1153722887165841408, 1153722887165841409, 373, 1, 0, '', '2023-09-19 16:02:51.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043474773913602, 1153723000579821568, 1153723000579821569, 365, 1, 0, '', '2023-09-19 16:03:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043483166715906, 1153723008964235264, 1153723008964235265, 363, 1, 0, '', '2023-09-19 16:03:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043492645842945, 1153723018464333824, 1153723018464333825, 546, 1, 0, '', '2023-09-19 16:03:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043505350389762, 1153723031147909120, 1153723031147909121, 200, 1, 0, '', '2023-09-19 16:03:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043536610537473, 1153723062416445440, 1153723062416445441, 255, 1, 0, '', '2023-09-19 16:03:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043570701840385, 1153723096331587584, 1153723096331587585, 225, 1, 0, '', '2023-09-19 16:03:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043591224569857, 1153723117034672128, 1153723117034672129, 142, 1, 0, '', '2023-09-19 16:03:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043691833339905, 1153723217635053568, 1153723217635053569, 213, 1, 0, '', '2023-09-19 16:04:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043709390696449, 1153723235209187328, 1153723235209187329, 333, 1, 0, '', '2023-09-19 16:04:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043716823003138, 1153723242545025024, 1153723242545025025, 212, 1, 0, '', '2023-09-19 16:04:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043780798722049, 1153723306608824320, 1153723306608824321, 310, 1, 0, '', '2023-09-19 16:04:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043805033410562, 1153723330860290048, 1153723330860290049, 355, 1, 0, '', '2023-09-19 16:04:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043806186844162, 1153723332009529344, 1153723332009529345, 348, 1, 0, '', '2023-09-19 16:04:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043837077893122, 1153723362871218176, 1153723362871218177, 472, 1, 0, '', '2023-09-19 16:04:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043876500156417, 1153723402318647296, 1153723402318647297, 331, 1, 0, '', '2023-09-19 16:04:54.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043915414908929, 1153723441237594112, 1153723441237594113, 324, 1, 0, '', '2023-09-19 16:05:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043928257867778, 1153723454076358656, 1153723454076358657, 322, 1, 0, '', '2023-09-19 16:05:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704043932821270529, 1153723458643955712, 1153723458643955713, 230, 1, 0, '', '2023-09-19 16:05:07.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044006729101314, 1153723532526620672, 1153723532526620673, 370, 1, 0, '', '2023-09-19 16:05:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044015725883394, 1153723541460488192, 1153723541460488193, 490, 1, 0, '', '2023-09-19 16:05:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044015851712514, 1153723541594705920, 1153723541594705921, 226, 1, 0, '', '2023-09-19 16:05:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044071182970882, 1153723597026627584, 1153723597026627585, 137, 1, 0, '', '2023-09-19 16:05:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044092490035201, 1153723618312720384, 1153723618312720385, 176, 1, 0, '', '2023-09-19 16:05:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044099540660225, 1153723625279459328, 1153723625279459329, 386, 1, 0, '', '2023-09-19 16:05:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044133535494146, 1153723659337207808, 1153723659337207809, 306, 1, 0, '', '2023-09-19 16:05:55.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044167761014786, 1153723693529174016, 1153723693529174017, 166, 1, 0, '', '2023-09-19 16:06:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044173389770753, 1153723699208261632, 1153723699208261633, 494, 1, 0, '', '2023-09-19 16:06:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044178217414658, 1153723703977185280, 1153723703977185281, 194, 1, 0, '', '2023-09-19 16:06:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044235083788289, 1153723760902279168, 1153723760902279169, 493, 1, 0, '', '2023-09-19 16:06:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044248388120578, 1153723774219194368, 1153723774219194369, 290, 1, 0, '', '2023-09-19 16:06:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044262950744065, 1153723788769234944, 1153723788769234945, 178, 1, 0, '', '2023-09-19 16:06:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044285159583746, 1153723810982268928, 1153723810982268929, 196, 1, 0, '', '2023-09-19 16:06:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044342562828290, 1153723868410679296, 1153723868410679297, 372, 1, 0, '', '2023-09-19 16:06:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044361856626690, 1153723887641563136, 1153723887641563137, 388, 1, 0, '', '2023-09-19 16:06:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044401975144450, 1153723927743303680, 1153723927743303681, 177, 1, 0, '', '2023-09-19 16:06:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044419750604802, 1153723945594261504, 1153723945594261505, 334, 1, 0, '', '2023-09-19 16:07:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044430043426818, 1153723955815780352, 1153723955815780353, 172, 1, 0, '', '2023-09-19 16:07:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044473303478274, 1153723999147134976, 1153723999147134977, 347, 1, 0, '', '2023-09-19 16:07:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044480907751426, 1153724006642356224, 1153724006642356225, 317, 1, 0, '', '2023-09-19 16:07:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044500805529601, 1153724026619826176, 1153724026619826177, 346, 1, 0, '', '2023-09-19 16:07:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044523580600321, 1153724049394896896, 1153724049394896897, 411, 1, 0, '', '2023-09-19 16:07:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044571961896962, 1153724097771999232, 1153724097771999233, 167, 1, 0, '', '2023-09-19 16:07:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044579624890369, 1153724105414021120, 1153724105414021121, 165, 1, 0, '', '2023-09-19 16:07:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044618824855554, 1153724144622374912, 1153724144622374913, 545, 1, 0, '', '2023-09-19 16:07:51.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044626466877441, 1153724152243425280, 1153724152243425281, 288, 1, 0, '', '2023-09-19 16:07:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044657768968193, 1153724183570681856, 1153724183570681857, 582, 1, 0, '', '2023-09-19 16:08:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044678488829954, 1153724204298932224, 1153724204298932225, 323, 1, 0, '', '2023-09-19 16:08:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044681601003522, 1153724207419494400, 1153724207419494401, 441, 1, 0, '', '2023-09-19 16:08:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044698021703681, 1153724223685005312, 1153724223685005313, 203, 1, 0, '', '2023-09-19 16:08:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044742330331138, 1153724268153016320, 1153724268153016321, 340, 1, 0, '', '2023-09-19 16:08:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044776207724546, 1153724302038798336, 1153724302038798337, 492, 1, 0, '', '2023-09-19 16:08:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044782599843842, 1153724308422529024, 1153724308422529025, 175, 1, 0, '', '2023-09-19 16:08:30.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044785179340802, 1153724311002025984, 1153724311002025985, 336, 1, 0, '', '2023-09-19 16:08:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044799280590849, 1153724325111664640, 1153724325111664641, 524, 1, 0, '', '2023-09-19 16:08:34.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044803948851201, 1153724329784119296, 1153724329784119297, 314, 1, 0, '', '2023-09-19 16:08:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044857862434818, 1153724383706091520, 1153724383706091521, 248, 1, 0, '', '2023-09-19 16:08:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044876673888258, 1153724402479796224, 1153724402479796225, 309, 1, 0, '', '2023-09-19 16:08:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044877177204737, 1153724403012472832, 1153724403012472833, 509, 1, 0, '', '2023-09-19 16:08:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044877663744002, 1153724403494817792, 1153724403494817793, 185, 1, 0, '', '2023-09-19 16:08:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044906738659330, 1153724432561344512, 1153724432561344513, 298, 1, 0, '', '2023-09-19 16:09:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044953693892609, 1153724479537549312, 1153724479537549313, 311, 1, 0, '', '2023-09-19 16:09:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704044970806652930, 1153724496650309632, 1153724496650309633, 236, 1, 0, '', '2023-09-19 16:09:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045004235255810, 1153724530074718208, 1153724530074718209, 237, 1, 0, '', '2023-09-19 16:09:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045010757398530, 1153724536575889408, 1153724536575889409, 254, 1, 0, '', '2023-09-19 16:09:24.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045025886253057, 1153724551746686976, 1153724551746686977, 144, 1, 0, '', '2023-09-19 16:09:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045058803150850, 1153724584671973376, 1153724584671973377, 159, 1, 0, '', '2023-09-19 16:09:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045092781207553, 1153724618507423744, 1153724618507423745, 511, 1, 0, '', '2023-09-19 16:09:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045128655089666, 1153724654515523584, 1153724654515523585, 305, 1, 0, '', '2023-09-19 16:09:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045150033457153, 1153724675860336640, 1153724675860336641, 190, 1, 0, '', '2023-09-19 16:09:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045170136756225, 1153724695992995840, 1153724695992995841, 360, 1, 0, '', '2023-09-19 16:10:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045176587595777, 1153724702443835392, 1153724702443835393, 205, 1, 0, '', '2023-09-19 16:10:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045196103692289, 1153724721934766080, 1153724721934766081, 318, 1, 0, '', '2023-09-19 16:10:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045244619206657, 1153724770408337408, 1153724770408337409, 300, 1, 0, '', '2023-09-19 16:10:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045264177246210, 1153724790004125696, 1153724790004125697, 229, 1, 0, '', '2023-09-19 16:10:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045275510255618, 1153724801328746496, 1153724801328746497, 330, 1, 0, '', '2023-09-19 16:10:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045282397302786, 1153724808236765184, 1153724808236765185, 206, 1, 0, '', '2023-09-19 16:10:29.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045315096096769, 1153724840931364864, 1153724840931364865, 342, 1, 0, '', '2023-09-19 16:10:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045357844443137, 1153724883692294144, 1153724883692294145, 321, 1, 0, '', '2023-09-19 16:10:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045377024995330, 1153724902868652032, 1153724902868652033, 195, 1, 0, '', '2023-09-19 16:10:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045384411164673, 1153724910267404288, 1153724910267404289, 341, 1, 0, '', '2023-09-19 16:10:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045418221449218, 1153724943914110976, 1153724943914110977, 352, 1, 0, '', '2023-09-19 16:11:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045429864837122, 1153724955708493824, 1153724955708493825, 320, 1, 0, '', '2023-09-19 16:11:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045463314411521, 1153724989158068224, 1153724989158068225, 404, 1, 0, '', '2023-09-19 16:11:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045478543929345, 1153725004383391744, 1153725004383391745, 425, 1, 0, '', '2023-09-19 16:11:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045485808463874, 1153725011643731968, 1153725011643731969, 208, 1, 0, '', '2023-09-19 16:11:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045542330904577, 1153725068174561280, 1153725068174561281, 238, 1, 0, '', '2023-09-19 16:11:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045576921329666, 1153725102744014848, 1153725102744014849, 158, 1, 0, '', '2023-09-19 16:11:39.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045579471466498, 1153725105331900416, 1153725105331900417, 188, 1, 0, '', '2023-09-19 16:11:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045590624120834, 1153725116463583232, 1153725116463583233, 292, 1, 0, '', '2023-09-19 16:11:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045608915480578, 1153725134788497408, 1153725134788497409, 227, 1, 0, '', '2023-09-19 16:11:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045653668704257, 1153725179512360960, 1153725179512360961, 184, 1, 0, '', '2023-09-19 16:11:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045666230644737, 1153725192040747008, 1153725192040747009, 361, 1, 0, '', '2023-09-19 16:12:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045702268104705, 1153725228094984192, 1153725228094984193, 502, 1, 0, '', '2023-09-19 16:12:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045711302635522, 1153725237158875136, 1153725237158875137, 416, 1, 0, '', '2023-09-19 16:12:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045724749574145, 1153725250614202368, 1153725250614202369, 359, 1, 0, '', '2023-09-19 16:12:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045735604432898, 1153725261330649088, 1153725261330649089, 264, 1, 0, '', '2023-09-19 16:12:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045773839708162, 1153725299695947776, 1153725299695947777, 228, 1, 0, '', '2023-09-19 16:12:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045797227147266, 1153725322999500800, 1153725322999500801, 499, 1, 0, '', '2023-09-19 16:12:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045818194472961, 1153725344054906880, 1153725344054906881, 343, 1, 0, '', '2023-09-19 16:12:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045844467593218, 1153725370319638528, 1153725370319638529, 291, 1, 0, '', '2023-09-19 16:12:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045870182871041, 1153725395984584704, 1153725395984584705, 351, 1, 0, '', '2023-09-19 16:12:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045883009052674, 1153725408814960640, 1153725408814960641, 338, 1, 0, '', '2023-09-19 16:12:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045911203164161, 1153725437030043648, 1153725437030043649, 294, 1, 0, '', '2023-09-19 16:12:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045937719554049, 1153725463546433536, 1153725463546433537, 211, 1, 0, '', '2023-09-19 16:13:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045939959312386, 1153725465798774784, 1153725465798774785, 519, 1, 0, '', '2023-09-19 16:13:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045949803343874, 1153725475579891712, 1153725475579891713, 440, 1, 0, '', '2023-09-19 16:13:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045987359141890, 1153725513198604288, 1153725513198604289, 439, 1, 0, '', '2023-09-19 16:13:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704045997580660737, 1153725523415928832, 1153725523415928833, 249, 1, 0, '', '2023-09-19 16:13:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046017872703489, 1153725543548588032, 1153725543548588033, 529, 1, 0, '', '2023-09-19 16:13:24.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046050110124033, 1153725575966363648, 1153725575966363649, 304, 1, 0, '', '2023-09-19 16:13:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046062718201857, 1153725588557664256, 1153725588557664257, 473, 1, 0, '', '2023-09-19 16:13:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046074957180929, 1153725600800837632, 1153725600800837633, 256, 1, 0, '', '2023-09-19 16:13:38.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046104430555137, 1153725630282600448, 1153725630282600449, 362, 1, 0, '', '2023-09-19 16:13:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046112290680833, 1153725638138531840, 1153725638138531841, 157, 1, 0, '', '2023-09-19 16:13:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046139054534658, 1153725664692670464, 1153725664692670465, 164, 1, 0, '', '2023-09-19 16:13:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046156930658305, 1153725682744954880, 1153725682744954881, 520, 1, 0, '', '2023-09-19 16:13:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046208377991169, 1153725734230036480, 1153725734230036481, 224, 1, 0, '', '2023-09-19 16:14:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046222802202626, 1153725748637470720, 1153725748637470721, 307, 1, 0, '', '2023-09-19 16:14:13.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046224786108417, 1153725750633959424, 1153725750633959425, 162, 1, 0, '', '2023-09-19 16:14:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046279974760449, 1153725805831000064, 1153725805831000065, 285, 1, 0, '', '2023-09-19 16:14:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046289877512193, 1153725815716974592, 1153725815716974593, 316, 1, 0, '', '2023-09-19 16:14:29.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046366922682369, 1153725892770533376, 1153725892770533377, 293, 1, 0, '', '2023-09-19 16:14:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046390985404417, 1153725916791312384, 1153725916791312385, 521, 1, 0, '', '2023-09-19 16:14:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046487974490113, 1153726013805563904, 1153726013805563905, 297, 1, 0, '', '2023-09-19 16:15:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046553317552129, 1153726079157014528, 1153726079157014529, 413, 1, 0, '', '2023-09-19 16:15:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046569050386434, 1153726094881460224, 1153726094881460225, 495, 1, 0, '', '2023-09-19 16:15:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046606262251522, 1153726132097519616, 1153726132097519617, 453, 1, 0, '', '2023-09-19 16:15:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046659223728130, 1153726185063190528, 1153726185063190529, 263, 1, 0, '', '2023-09-19 16:15:57.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046659617992705, 1153726185482620928, 1153726185482620929, 496, 1, 0, '', '2023-09-19 16:15:57.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046719151943681, 1153726245012377600, 1153726245012377601, 426, 1, 0, '', '2023-09-19 16:16:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046722100539393, 1153726247956779008, 1153726247956779009, 328, 1, 0, '', '2023-09-19 16:16:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046729633509378, 1153726255493943296, 1153726255493943297, 207, 1, 0, '', '2023-09-19 16:16:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046783874248706, 1153726309722099712, 1153726309722099713, 528, 1, 0, '', '2023-09-19 16:16:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046795010125826, 1153726320816033792, 1153726320816033793, 168, 1, 0, '', '2023-09-19 16:16:30.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046854615379969, 1153726380467425280, 1153726380467425281, 169, 1, 0, '', '2023-09-19 16:16:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046862177710082, 1153726388025561088, 1153726388025561089, 349, 1, 0, '', '2023-09-19 16:16:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046873225506818, 1153726399069163520, 1153726399069163521, 455, 1, 0, '', '2023-09-19 16:16:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046911787937794, 1153726437639983104, 1153726437639983105, 302, 1, 0, '', '2023-09-19 16:16:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046916724633602, 1153726442576678912, 1153726442576678913, 364, 1, 0, '', '2023-09-19 16:16:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046950249705473, 1153726476105945088, 1153726476105945089, 296, 1, 0, '', '2023-09-19 16:17:07.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046978674503681, 1153726504518160384, 1153726504518160385, 299, 1, 0, '', '2023-09-19 16:17:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704046984043212801, 1153726509895258112, 1153726509895258113, 353, 1, 0, '', '2023-09-19 16:17:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047038309117953, 1153726564131803136, 1153726564131803137, 344, 1, 0, '', '2023-09-19 16:17:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047069506351106, 1153726595366785024, 1153726595366785025, 438, 1, 0, '', '2023-09-19 16:17:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047137282109441, 1153726663138349056, 1153726663138349057, 339, 1, 0, '', '2023-09-19 16:17:51.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047212477591554, 1153726738317053952, 1153726738317053953, 506, 1, 0, '', '2023-09-19 16:18:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047280714723330, 1153726806549991424, 1153726806549991425, 152, 1, 0, '', '2023-09-19 16:18:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047371567542274, 1153726897402810368, 1153726897402810369, 139, 1, 0, '', '2023-09-19 16:18:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047428417138690, 1153726954256601088, 1153726954256601089, 202, 1, 0, '', '2023-09-19 16:19:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047491621105665, 1153727017456373760, 1153727017456373761, 335, 1, 0, '', '2023-09-19 16:19:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047563209486337, 1153727089065725952, 1153727089065725953, 497, 1, 0, '', '2023-09-19 16:19:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047620000362498, 1153727145856602112, 1153727145856602113, 332, 1, 0, '', '2023-09-19 16:19:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047694394732545, 1153727220250972160, 1153727220250972161, 358, 1, 0, '', '2023-09-19 16:20:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704047947642613761, 1153727473406578688, 1153727473406578689, 173, 1, 0, '', '2023-09-19 16:21:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704048001006743553, 1153727526842011648, 1153727526842011649, 329, 1, 0, '', '2023-09-19 16:21:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704048067775868929, 1153727593627914240, 1153727593627914241, 385, 1, 0, '', '2023-09-19 16:21:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704048135828451330, 1153727661680496640, 1153727661680496641, 313, 1, 0, '', '2023-09-19 16:21:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704048190484426754, 1153727716336472064, 1153727716336472065, 470, 1, 0, '', '2023-09-19 16:22:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704048242825146369, 1153727768681385984, 1153727768681385985, 428, 1, 0, '', '2023-09-19 16:22:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704386795765542914, 1154066321298821120, 1154066321298821121, 222, 1, 0, '', '2023-09-20 14:47:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704386864279830530, 1154066387749179392, 1154066387749179393, 271, 1, 0, '', '2023-09-20 14:47:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704386976175472641, 1154066500705980416, 1154066500705980417, 270, 1, 0, '', '2023-09-20 14:48:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704386989794045953, 1154066513880289280, 1154066513880289281, 221, 1, 0, '', '2023-09-20 14:48:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387073823064065, 1154066598479400960, 1154066598479400961, 269, 1, 0, '', '2023-09-20 14:48:39.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387080927883265, 1154066606612156416, 1154066606612156417, 220, 1, 0, '', '2023-09-20 14:48:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387093250748417, 1154066618955993088, 1154066618955993089, 250, 1, 0, '', '2023-09-20 14:48:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387133549621249, 1154066659301003264, 1154066659301003265, 219, 1, 0, '', '2023-09-20 14:48:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387166626234369, 1154066691257405440, 1154066691261599744, 268, 1, 0, '', '2023-09-20 14:49:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387182211936258, 1154066707879432192, 1154066707879432193, 218, 1, 0, '', '2023-09-20 14:49:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387234842062849, 1154066760597639168, 1154066760597639169, 217, 1, 0, '', '2023-09-20 14:49:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387284653617154, 1154066810312724480, 1154066810312724481, 216, 1, 0, '', '2023-09-20 14:49:29.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387314987155458, 1154066839458942976, 1154066839458942977, 267, 1, 0, '', '2023-09-20 14:49:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387341817786369, 1154066867585945600, 1154066867585945601, 215, 1, 0, '', '2023-09-20 14:49:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387354866266114, 1154066880584093696, 1154066880584093697, 247, 1, 0, '', '2023-09-20 14:49:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387388034822146, 1154066913723289600, 1154066913723289601, 214, 1, 0, '', '2023-09-20 14:49:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387404569100290, 1154066929183494144, 1154066929183494145, 266, 1, 0, '', '2023-09-20 14:49:57.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387425670311937, 1154066951438471168, 1154066951438471169, 246, 1, 0, '', '2023-09-20 14:50:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387485737271297, 1154067010292944896, 1154067010292944897, 265, 1, 0, '', '2023-09-20 14:50:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387506620379137, 1154067032401121280, 1154067032401121281, 245, 1, 0, '', '2023-09-20 14:50:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387591982854146, 1154067117738430464, 1154067117738430465, 210, 1, 0, '', '2023-09-20 14:50:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387600665063425, 1154067126483554304, 1154067126483554305, 244, 1, 0, '', '2023-09-20 14:50:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387645065965570, 1154067170834124800, 1154067170834124801, 149, 1, 0, '', '2023-09-20 14:50:55.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387662728179713, 1154067188513116160, 1154067188513116161, 209, 1, 0, '', '2023-09-20 14:50:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387683812945921, 1154067209581105152, 1154067209581105153, 242, 1, 0, '', '2023-09-20 14:51:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387729266618370, 1154067255030583296, 1154067255030583297, 171, 1, 0, '', '2023-09-20 14:51:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387735906533377, 1154067260642562048, 1154067260642562049, 262, 1, 0, '', '2023-09-20 14:51:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387761134940162, 1154067286940848128, 1154067286940848129, 241, 1, 0, '', '2023-09-20 14:51:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387814491013121, 1154067339105406976, 1154067339105406977, 261, 1, 0, '', '2023-09-20 14:51:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387845713080321, 1154067371502211072, 1154067371502211073, 240, 1, 0, '', '2023-09-20 14:51:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387878517063681, 1154067403190177792, 1154067403190177793, 260, 1, 0, '', '2023-09-20 14:51:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387895428165634, 1154067421221490688, 1154067421221490689, 170, 1, 0, '', '2023-09-20 14:51:54.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387920426217474, 1154067446227931136, 1154067446227931137, 239, 1, 0, '', '2023-09-20 14:52:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387925837201409, 1154067450455789568, 1154067450455789569, 259, 1, 0, '', '2023-09-20 14:52:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387964034396161, 1154067489827721216, 1154067489827721217, 466, 1, 0, '', '2023-09-20 14:52:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387977955291137, 1154067503761199104, 1154067503761199105, 201, 1, 0, '', '2023-09-20 14:52:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704387984238690306, 1154067508890832896, 1154067508890832897, 258, 1, 0, '', '2023-09-20 14:52:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388025912963073, 1154067551697899520, 1154067551697899521, 465, 1, 0, '', '2023-09-20 14:52:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388043818778626, 1154067568470921216, 1154067568470921217, 257, 1, 0, '', '2023-09-20 14:52:30.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388095962034178, 1154067621780525056, 1154067621780525057, 199, 1, 0, '', '2023-09-20 14:52:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388148441165825, 1154067674217713664, 1154067674217713665, 198, 1, 0, '', '2023-09-20 14:52:55.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388152979402754, 1154067678751756288, 1154067678751756289, 284, 1, 0, '', '2023-09-20 14:52:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388199435513857, 1154067725086232576, 1154067725086232577, 197, 1, 0, '', '2023-09-20 14:53:07.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388206377086978, 1154067732166217728, 1154067732166217729, 283, 1, 0, '', '2023-09-20 14:53:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388231148646402, 1154067756958748672, 1154067756958748673, 234, 1, 0, '', '2023-09-20 14:53:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388344961085442, 1154067870796353536, 1154067870796353537, 282, 1, 0, '', '2023-09-20 14:53:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388390171488257, 1154067915981590528, 1154067915981590529, 281, 1, 0, '', '2023-09-20 14:53:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388393548234754, 1154067918162628608, 1154067918162628609, 253, 1, 0, '', '2023-09-20 14:53:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388436715679745, 1154067962538364928, 1154067962538364929, 280, 1, 0, '', '2023-09-20 14:54:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388472753139714, 1154067998580019200, 1154067998580019201, 279, 1, 0, '', '2023-09-20 14:54:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388505749729282, 1154068031555637248, 1154068031555637249, 136, 1, 0, '', '2023-09-20 14:54:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388506966409218, 1154068031564025856, 1154068031564025857, 252, 1, 0, '', '2023-09-20 14:54:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388516046745602, 1154068040967655424, 1154068040967655425, 278, 1, 0, '', '2023-09-20 14:54:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388549970276354, 1154068075792961536, 1154068075792961537, 277, 1, 0, '', '2023-09-20 14:54:30.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388561446223874, 1154068086043840512, 1154068086043840513, 251, 1, 0, '', '2023-09-20 14:54:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388584384540674, 1154068110198837248, 1154068110198837249, 276, 1, 0, '', '2023-09-20 14:54:39.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388621751595010, 1154068147570085888, 1154068147570085889, 275, 1, 0, '', '2023-09-20 14:54:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388659009597441, 1154068184832282624, 1154068184832282625, 274, 1, 0, '', '2023-09-20 14:54:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388691553202178, 1154068217401053184, 1154068217401053185, 273, 1, 0, '', '2023-09-20 14:55:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388722259701761, 1154068248090775552, 1154068248090775553, 272, 1, 0, '', '2023-09-20 14:55:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704388872629694466, 1154068398423019520, 1154068398423019521, 141, 1, 0, '', '2023-09-20 14:55:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704389111595970561, 1154068637418655744, 1154068637418655745, 143, 1, 0, '', '2023-09-20 14:56:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704389271050825729, 1154068796881899520, 1154068796881899521, 146, 1, 0, '', '2023-09-20 14:57:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390098570227713, 1154069624401301504, 1154069624401301505, 193, 1, 0, '', '2023-09-20 15:00:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390233043808257, 1154069758874882048, 1154069758874882049, 192, 1, 0, '', '2023-09-20 15:01:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390356729638913, 1154069882564907008, 1154069882564907009, 182, 1, 0, '', '2023-09-20 15:01:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390373599129602, 1154069899409231872, 1154069899409231873, 191, 1, 0, '', '2023-09-20 15:01:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390454196875266, 1154069980036337664, 1154069980036337665, 181, 1, 0, '', '2023-09-20 15:02:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390458957742082, 1154069983597301760, 1154069983597301761, 179, 1, 0, '', '2023-09-20 15:02:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390645075456002, 1154070170910724096, 1154070170910724097, 189, 1, 0, '', '2023-09-20 15:02:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390920201158658, 1154070444719083520, 1154070444719083521, 186, 1, 0, '', '2023-09-20 15:03:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1704390971350695937, 1154070496007032832, 1154070496007032833, 187, 1, 0, '', '2023-09-20 15:04:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036384659091457, 726377628307456, 726377628307457, 390, 1, 0, '', '2023-09-22 09:48:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036387267948545, 726377619918848, 726377619918849, 590, 1, 0, '', '2023-09-22 09:48:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036488409395201, 726489372954624, 726489372954625, 461, 1, 0, '', '2023-09-22 09:49:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036539030450177, 726535615156224, 726535615156225, 111, 1, 0, '', '2023-09-22 09:49:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036630969593858, 726634512650240, 726634512650241, 398, 1, 0, '', '2023-09-22 09:49:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036673009102849, 726669669306368, 726669669306369, 557, 1, 0, '', '2023-09-22 09:49:55.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036689350111234, 726693031579648, 726693031579649, 460, 1, 0, '', '2023-09-22 09:49:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036693192093697, 726696722567168, 726696722567169, 130, 1, 0, '', '2023-09-22 09:50:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036781041790978, 726778947702784, 726778947702785, 456, 1, 0, '', '2023-09-22 09:50:21.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036901921632257, 726908186791936, 726908186791937, 435, 1, 0, '', '2023-09-22 09:50:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036918732402690, 726918081155072, 726918081155073, 235, 1, 0, '', '2023-09-22 09:50:54.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036939808780290, 726938821988352, 726938821988353, 504, 1, 0, '', '2023-09-22 09:50:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705036967474409473, 726969889198080, 726969889198081, 147, 1, 0, '', '2023-09-22 09:51:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037012902916098, 727011094040576, 727011094040577, 117, 1, 0, '', '2023-09-22 09:51:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037133145223170, 727130086445056, 727130086445057, 588, 1, 0, '', '2023-09-22 09:51:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037139734474753, 727139355856896, 727139355856897, 476, 1, 0, '', '2023-09-22 09:51:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037187423711233, 727192850010112, 727192850010113, 129, 1, 0, '', '2023-09-22 09:51:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037232579588098, 727229139128320, 727229139128321, 467, 1, 0, '', '2023-09-22 09:52:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037239135285249, 727245517885440, 727245517885441, 481, 1, 0, '', '2023-09-22 09:52:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037275118219266, 727277411373056, 727277411373057, 433, 1, 0, '', '2023-09-22 09:52:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037276519116802, 727277537202176, 727277537202177, 204, 1, 0, '', '2023-09-22 09:52:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037308681039873, 727308910596096, 727308910596097, 553, 1, 0, '', '2023-09-22 09:52:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037367535513602, 727374001999872, 727374001999873, 431, 1, 0, '', '2023-09-22 09:52:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037390184755201, 727386903678976, 727386903678977, 570, 1, 0, '', '2023-09-22 09:52:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037434543714306, 727438766247936, 727438766247937, 457, 1, 0, '', '2023-09-22 09:52:57.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037489874972673, 727496458899456, 727496458899457, 479, 1, 0, '', '2023-09-22 09:53:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037526117953537, 727531854630912, 727531854630913, 122, 1, 0, '', '2023-09-22 09:53:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037560070844418, 727563639066624, 727563639066625, 547, 1, 0, '', '2023-09-22 09:53:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037659027058689, 727652235350016, 727652235350017, 396, 1, 0, '', '2023-09-22 09:53:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037741298331650, 727738285690880, 727738285690881, 631, 1, 0, '', '2023-09-22 09:54:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037746222444546, 727745915129856, 727745915129857, 513, 1, 0, '', '2023-09-22 09:54:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037753684111362, 727755784327168, 727755784327169, 436, 1, 0, '', '2023-09-22 09:54:13.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037763565891585, 727766609825792, 727766609825793, 408, 1, 0, '', '2023-09-22 09:54:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037891810930690, 727898029953024, 727898029953025, 124, 1, 0, '', '2023-09-22 09:54:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037891873845249, 727897933484032, 727897933484033, 119, 1, 0, '', '2023-09-22 09:54:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037893551566850, 727899678314496, 727899678314497, 384, 1, 0, '', '2023-09-22 09:54:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037965878145025, 727967613456384, 727967613456385, 532, 1, 0, '', '2023-09-22 09:55:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037966549233666, 727960374087680, 727960374087681, 486, 1, 0, '', '2023-09-22 09:55:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705037967245488130, 727971522547712, 727971522547713, 452, 1, 0, '', '2023-09-22 09:55:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038010455207938, 728004565274624, 728004565274625, 125, 1, 0, '', '2023-09-22 09:55:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038062045147138, 728057900044288, 728057900044289, 580, 1, 0, '', '2023-09-22 09:55:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038091292028930, 728091601276928, 728091601276929, 420, 1, 0, '', '2023-09-22 09:55:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038135076368386, 728138132885504, 728138132885505, 610, 1, 0, '', '2023-09-22 09:55:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038165103390721, 728147687510016, 728147687510017, 369, 1, 0, '', '2023-09-22 09:55:51.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038183075983361, 728187751501824, 728187751501825, 597, 1, 0, '', '2023-09-22 09:55:55.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038218421383170, 728223356948480, 728223356948481, 500, 1, 0, '', '2023-09-22 09:56:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038268069359617, 728271801159680, 728271801159681, 480, 1, 0, '', '2023-09-22 09:56:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038278559313922, 728277358612480, 728277358612481, 571, 1, 0, '', '2023-09-22 09:56:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038278966161410, 728281603248128, 728281603248129, 507, 1, 0, '', '2023-09-22 09:56:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038298452897794, 728300263706624, 728300263706625, 374, 1, 0, '', '2023-09-22 09:56:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038300227088386, 728303019364352, 728303019364353, 618, 1, 0, '', '2023-09-22 09:56:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038385199493121, 728386385350656, 728386385350657, 626, 1, 0, '', '2023-09-22 09:56:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038392086540289, 728387362623488, 728387362623489, 409, 1, 0, '', '2023-09-22 09:56:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038399619510274, 728403997233152, 728403997233153, 587, 1, 0, '', '2023-09-22 09:56:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038426119122946, 728422829658112, 728422829658113, 114, 1, 0, '', '2023-09-22 09:56:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038455269535746, 728461752799232, 728461752799233, 592, 1, 0, '', '2023-09-22 09:57:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038535967944706, 728539150290944, 728539150290945, 491, 1, 0, '', '2023-09-22 09:57:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038538027347969, 728544506417152, 728544506417153, 627, 1, 0, '', '2023-09-22 09:57:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038552829046786, 728549287923712, 728549287923713, 625, 1, 0, '', '2023-09-22 09:57:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038627642847233, 728618091286528, 728618091286529, 561, 1, 0, '', '2023-09-22 09:57:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038628645285889, 728635254378496, 728635254378497, 121, 1, 0, '', '2023-09-22 09:57:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038672593203201, 728677436493824, 728677436493825, 562, 1, 0, '', '2023-09-22 09:57:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038689995370498, 728691785207808, 728691785207809, 544, 1, 0, '', '2023-09-22 09:57:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038712002883585, 728713499119616, 728713499119617, 620, 1, 0, '', '2023-09-22 09:58:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038736480841730, 728740426551296, 728740426551297, 567, 1, 0, '', '2023-09-22 09:58:07.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038758647738369, 728760378855424, 728760378855425, 415, 1, 0, '', '2023-09-22 09:58:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038791933734913, 728788002541568, 728788002541569, 383, 1, 0, '', '2023-09-22 09:58:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038812095754241, 728810714697728, 728810714697729, 536, 1, 0, '', '2023-09-22 09:58:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038836355608577, 728838720065536, 728838720065537, 543, 1, 0, '', '2023-09-22 09:58:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038842118582274, 728845770690560, 728845770690561, 621, 1, 0, '', '2023-09-22 09:58:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038916739444738, 728913374482432, 728913374482433, 617, 1, 0, '', '2023-09-22 09:58:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038950717501441, 728946647896064, 728946647896065, 366, 1, 0, '', '2023-09-22 09:58:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038992668930049, 728997218619392, 728997218619393, 444, 1, 0, '', '2023-09-22 09:59:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705038994816413697, 728999659704320, 728999659704321, 611, 1, 0, '', '2023-09-22 09:59:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039027020279809, 729033386102784, 729033386102785, 446, 1, 0, '', '2023-09-22 09:59:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039042241409025, 729048468819968, 729048468819969, 414, 1, 0, '', '2023-09-22 09:59:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039073648357378, 729073940828160, 729073940828161, 155, 1, 0, '', '2023-09-22 09:59:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039123942256642, 729115112116224, 729115112116225, 539, 1, 0, '', '2023-09-22 09:59:39.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039135464009730, 729140215025664, 729140215025665, 108, 1, 0, '', '2023-09-22 09:59:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039161221230593, 729166743998464, 729166743998465, 160, 1, 0, '', '2023-09-22 09:59:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039161355448321, 729166513311744, 729166513311745, 516, 1, 0, '', '2023-09-22 09:59:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039203373985793, 729206627635200, 729206627635201, 608, 1, 0, '', '2023-09-22 09:59:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039288119898113, 729291423879168, 729291423879169, 381, 1, 0, '', '2023-09-22 10:00:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039303164866562, 729299476942848, 729299476942849, 616, 1, 0, '', '2023-09-22 10:00:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039303374581762, 729303281176576, 729303281176577, 576, 1, 0, '', '2023-09-22 10:00:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039353039335425, 729356754358272, 729356754358273, 405, 1, 0, '', '2023-09-22 10:00:34.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039353198718978, 729340677591040, 729340677591041, 126, 1, 0, '', '2023-09-22 10:00:34.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039369334206465, 729374328492032, 729374328492033, 613, 1, 0, '', '2023-09-22 10:00:38.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039409222037506, 729415336202240, 729415336202241, 127, 1, 0, '', '2023-09-22 10:00:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039444676489218, 729442532069376, 729442532069377, 508, 1, 0, '', '2023-09-22 10:00:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039452670832641, 729459225399296, 729459225399297, 589, 1, 0, '', '2023-09-22 10:00:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039540646359042, 729541534420992, 729541534420993, 574, 1, 0, '', '2023-09-22 10:01:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039545570471938, 729548786372608, 729548786372609, 622, 1, 0, '', '2023-09-22 10:01:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039557100613633, 729557669908480, 729557669908481, 434, 1, 0, '', '2023-09-22 10:01:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039610921922562, 729605120069632, 729605120069633, 423, 1, 0, '', '2023-09-22 10:01:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039637639639042, 729639869878272, 729639869878273, 450, 1, 0, '', '2023-09-22 10:01:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039658187534338, 729664603688960, 729664603688961, 368, 1, 0, '', '2023-09-22 10:01:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039737396965378, 729739870474240, 729739870474241, 154, 1, 0, '', '2023-09-22 10:02:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039799300698114, 729803145744384, 729803145744385, 150, 1, 0, '', '2023-09-22 10:02:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039877826457601, 729881881219072, 729881881219073, 417, 1, 0, '', '2023-09-22 10:02:39.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039886915514370, 729891230322688, 729891230322689, 145, 1, 0, '', '2023-09-22 10:02:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039964304617473, 729965880545280, 729965880545281, 113, 1, 0, '', '2023-09-22 10:03:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039976258383874, 729981814706176, 729981814706177, 140, 1, 0, '', '2023-09-22 10:03:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039979915816962, 729985979650048, 729985979650049, 526, 1, 0, '', '2023-09-22 10:03:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705039990980390914, 729990182342656, 729990182342657, 289, 1, 0, '', '2023-09-22 10:03:06.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040029127585793, 730029780766720, 730029780766721, 371, 1, 0, '', '2023-09-22 10:03:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040049822281730, 730053004627968, 730053004627969, 378, 1, 0, '', '2023-09-22 10:03:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040062052872194, 730054619435008, 730054619435009, 138, 1, 0, '', '2023-09-22 10:03:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040095141736449, 730089054670848, 730089054670849, 598, 1, 0, '', '2023-09-22 10:03:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040131456020481, 730120977518592, 730120977518593, 560, 1, 0, '', '2023-09-22 10:03:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040158094045186, 730160252981248, 730160252981249, 135, 1, 0, '', '2023-09-22 10:03:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040208761237505, 730214657298432, 730214657298433, 568, 1, 0, '', '2023-09-22 10:03:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040235537674242, 730233858822144, 730233858822145, 575, 1, 0, '', '2023-09-22 10:04:04.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040335169171458, 730334715056128, 730334715056129, 424, 1, 0, '', '2023-09-22 10:04:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040350004424706, 730351936868352, 730351936868353, 392, 1, 0, '', '2023-09-22 10:04:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040350033784834, 730350993149952, 730350993149953, 134, 1, 0, '', '2023-09-22 10:04:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040436465807362, 730439874646016, 730439874646017, 128, 1, 0, '', '2023-09-22 10:04:52.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040451288477698, 730447785103360, 730447785103361, 429, 1, 0, '', '2023-09-22 10:04:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040477465128961, 730480752332800, 730480752332801, 391, 1, 0, '', '2023-09-22 10:05:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040508767219714, 730514252238848, 730514252238849, 422, 1, 0, '', '2023-09-22 10:05:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040530233667585, 730536654016512, 730536654016513, 566, 1, 0, '', '2023-09-22 10:05:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040572612915202, 730573123489792, 730573123489793, 530, 1, 0, '', '2023-09-22 10:05:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040650031378434, 730648386080768, 730648386080769, 572, 1, 0, '', '2023-09-22 10:05:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040675876679681, 730681651105792, 730681651105793, 525, 1, 0, '', '2023-09-22 10:05:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040675893456897, 730681806295040, 730681806295041, 105, 1, 0, '', '2023-09-22 10:05:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040729286946818, 730732536401920, 730732536401921, 120, 1, 0, '', '2023-09-22 10:06:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040794797780993, 730791873220608, 730791873220609, 612, 1, 0, '', '2023-09-22 10:06:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040831657324546, 730835078746112, 730835078746113, 619, 1, 0, '', '2023-09-22 10:06:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040848661032962, 730851449114624, 730851449114625, 118, 1, 0, '', '2023-09-22 10:06:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040918492000257, 730913268961280, 730913268961281, 615, 1, 0, '', '2023-09-22 10:06:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040961139683330, 730955400744960, 730955400744961, 376, 1, 0, '', '2023-09-22 10:06:57.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705040982044094466, 730984479854592, 730984479854593, 586, 1, 0, '', '2023-09-22 10:07:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041061568098305, 731063462793216, 731063462793217, 593, 1, 0, '', '2023-09-22 10:07:21.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041118157647873, 731124066291712, 731124066291713, 477, 1, 0, '', '2023-09-22 10:07:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041151355564034, 731154642767872, 731154642767873, 462, 1, 0, '', '2023-09-22 10:07:43.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041157684768769, 731162930712576, 731162930712577, 377, 1, 0, '', '2023-09-22 10:07:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041160943742978, 731165619261440, 731165619261441, 406, 1, 0, '', '2023-09-22 10:07:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041208125468673, 731192496361472, 731192496361473, 286, 1, 0, '', '2023-09-22 10:07:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041216656683010, 731209021919232, 731209021919233, 367, 1, 0, '', '2023-09-22 10:07:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041245182144513, 731247571767296, 731247571767297, 474, 1, 0, '', '2023-09-22 10:08:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041303973703681, 731303934824448, 731303934824449, 549, 1, 0, '', '2023-09-22 10:08:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041386274336770, 731380791250944, 731380791250945, 556, 1, 0, '', '2023-09-22 10:08:39.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041392452546562, 731390186491904, 731390186491905, 427, 1, 0, '', '2023-09-22 10:08:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041506864771074, 731503734689792, 731503734689793, 542, 1, 0, '', '2023-09-22 10:09:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041507393253377, 731513436114944, 731513436114945, 449, 1, 0, '', '2023-09-22 10:09:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041519028252673, 731525620568064, 731525620568065, 410, 1, 0, '', '2023-09-22 10:09:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041520433344514, 731527101157376, 731527101157377, 484, 1, 0, '', '2023-09-22 10:09:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041544491872258, 731546856329216, 731546856329217, 603, 1, 0, '', '2023-09-22 10:09:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041584291622914, 731590552588288, 731590552588289, 469, 1, 0, '', '2023-09-22 10:09:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041624024264706, 731630578831360, 731630578831361, 375, 1, 0, '', '2023-09-22 10:09:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041626389852162, 731632076197888, 731632076197889, 430, 1, 0, '', '2023-09-22 10:09:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041757306662913, 731759692091392, 731759692091393, 501, 1, 0, '', '2023-09-22 10:10:07.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041777850363905, 731771306119168, 731771306119169, 421, 1, 0, '', '2023-09-22 10:10:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041820686790658, 731821033787392, 731821033787393, 387, 1, 0, '', '2023-09-22 10:10:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041894716256257, 731895977611264, 731895977611265, 548, 1, 0, '', '2023-09-22 10:10:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041914727280642, 731921269264384, 731921269264385, 133, 1, 0, '', '2023-09-22 10:10:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041927058534401, 731933520826368, 731933520826369, 527, 1, 0, '', '2023-09-22 10:10:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705041990438662145, 731992283025408, 731992283025409, 243, 1, 0, '', '2023-09-22 10:11:03.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042013985484801, 732020552634368, 732020552634369, 402, 1, 0, '', '2023-09-22 10:11:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042021514260481, 732028140130304, 732028140130305, 607, 1, 0, '', '2023-09-22 10:11:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042113495347201, 732120075079680, 732120075079681, 522, 1, 0, '', '2023-09-22 10:11:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042135330893825, 732132427304960, 732132427304961, 116, 1, 0, '', '2023-09-22 10:11:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042155564216322, 732159761584128, 732159761584129, 295, 1, 0, '', '2023-09-22 10:11:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042182856552450, 732189058797568, 732189058797569, 614, 1, 0, '', '2023-09-22 10:11:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042236321345538, 732236714479616, 732236714479617, 579, 1, 0, '', '2023-09-22 10:12:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042275210932226, 732280494624768, 732280494624769, 606, 1, 0, '', '2023-09-22 10:12:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042302910115841, 732309372407808, 732309372407809, 632, 1, 0, '', '2023-09-22 10:12:17.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042354634272769, 732358957469696, 732358957469697, 555, 1, 0, '', '2023-09-22 10:12:30.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042364084039682, 732363172745216, 732363172745217, 379, 1, 0, '', '2023-09-22 10:12:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042364432166913, 732368528871424, 732368528871425, 585, 1, 0, '', '2023-09-22 10:12:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042373613498369, 732378234490880, 732378234490881, 459, 1, 0, '', '2023-09-22 10:12:34.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042442173591554, 732446299656192, 732446299656193, 463, 1, 0, '', '2023-09-22 10:12:51.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042452332195841, 732458035318784, 732458035318785, 487, 1, 0, '', '2023-09-22 10:12:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042474952077314, 732471389982720, 732471389982721, 623, 1, 0, '', '2023-09-22 10:12:58.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042476617216001, 732472174317568, 732472174317569, 401, 1, 0, '', '2023-09-22 10:12:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042558938820610, 732562716758016, 732562716758017, 115, 1, 0, '', '2023-09-22 10:13:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042590710673409, 732591510654976, 732591510654977, 512, 1, 0, '', '2023-09-22 10:13:26.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042610415513602, 732615204278272, 732615204278273, 540, 1, 0, '', '2023-09-22 10:13:31.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042680238092289, 732685857329152, 732685857329153, 419, 1, 0, '', '2023-09-22 10:13:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042681089536002, 732687031734272, 732687031734273, 400, 1, 0, '', '2023-09-22 10:13:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042727633727489, 732726990868480, 732726990868481, 514, 1, 0, '', '2023-09-22 10:13:59.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042772097544194, 732778597584896, 732778597584897, 393, 1, 0, '', '2023-09-22 10:14:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042774979031042, 732781567152128, 732781567152129, 563, 1, 0, '', '2023-09-22 10:14:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042814212550658, 732815071252480, 732815071252481, 432, 1, 0, '', '2023-09-22 10:14:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042840246595586, 732842569109504, 732842569109505, 394, 1, 0, '', '2023-09-22 10:14:25.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042905488994306, 732909938020352, 732909938020353, 399, 1, 0, '', '2023-09-22 10:14:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042925160280065, 732924957822976, 732924957822977, 163, 1, 0, '', '2023-09-22 10:14:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705042925957197825, 732925360476160, 732925360476161, 604, 1, 0, '', '2023-09-22 10:14:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043007888732161, 733009267527680, 733009267527681, 356, 1, 0, '', '2023-09-22 10:15:05.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043038062555138, 733037746851840, 733037746851841, 475, 1, 0, '', '2023-09-22 10:15:13.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043142542667777, 733142537342976, 733142537342977, 533, 1, 0, '', '2023-09-22 10:15:38.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043142643331074, 733146060558336, 733146060558337, 550, 1, 0, '', '2023-09-22 10:15:38.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043143628992514, 733149223063552, 733149223063553, 609, 1, 0, '', '2023-09-22 10:15:38.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043162889236481, 733158777688064, 733158777688065, 629, 1, 0, '', '2023-09-22 10:15:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043169897918465, 733168923709440, 733168923709441, 510, 1, 0, '', '2023-09-22 10:15:44.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043278354231297, 733277199667200, 733277199667201, 624, 1, 0, '', '2023-09-22 10:16:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043283764883458, 733280446058496, 733280446058497, 132, 1, 0, '', '2023-09-22 10:16:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043320293076993, 733316307357696, 733316307357697, 223, 1, 0, '', '2023-09-22 10:16:20.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043360302542850, 733366483816448, 733366483816449, 458, 1, 0, '', '2023-09-22 10:16:29.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043437746171906, 733443256356864, 733443256356865, 485, 1, 0, '', '2023-09-22 10:16:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043465046896642, 733459056300032, 733459056300033, 161, 1, 0, '', '2023-09-22 10:16:54.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043465470521345, 733466480218112, 733466480218113, 583, 1, 0, '', '2023-09-22 10:16:55.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043552632352769, 733558104788992, 733558104788993, 594, 1, 0, '', '2023-09-22 10:17:15.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043638309400578, 733639717556224, 733639717556225, 451, 1, 0, '', '2023-09-22 10:17:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043783532982273, 733782583939072, 733782583939073, 464, 1, 0, '', '2023-09-22 10:18:10.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043797642620929, 733799524732928, 733799524732929, 538, 1, 0, '', '2023-09-22 10:18:14.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043911715106818, 733915685982208, 733915685982209, 180, 1, 0, '', '2023-09-22 10:18:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043931218620417, 733932979097600, 733932979097601, 478, 1, 0, '', '2023-09-22 10:18:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705043998889521154, 734002025730048, 734002025730049, 596, 1, 0, '', '2023-09-22 10:19:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044029478580225, 734027673899008, 734027673899009, 380, 1, 0, '', '2023-09-22 10:19:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044106653773826, 734111480287232, 734111480287233, 601, 1, 0, '', '2023-09-22 10:19:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044146998784002, 734143545741312, 734143545741313, 552, 1, 0, '', '2023-09-22 10:19:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044195044536321, 734196238782464, 734196238782465, 483, 1, 0, '', '2023-09-22 10:19:48.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044195875008513, 734197228638208, 734197228638209, 531, 1, 0, '', '2023-09-22 10:19:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044199230451714, 734201418747904, 734201418747905, 448, 1, 0, '', '2023-09-22 10:19:49.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044243216117762, 734249611300864, 734249611300865, 123, 1, 0, '', '2023-09-22 10:20:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044291853266945, 734294691680256, 734294691680257, 535, 1, 0, '', '2023-09-22 10:20:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044335499194369, 734341676273664, 734341676273665, 573, 1, 0, '', '2023-09-22 10:20:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044357682868226, 734358197637120, 734358197637121, 482, 1, 0, '', '2023-09-22 10:20:27.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044381984665602, 734380268064768, 734380268064769, 443, 1, 0, '', '2023-09-22 10:20:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044383700135937, 734385963929600, 734385963929601, 131, 1, 0, '', '2023-09-22 10:20:33.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044390499102722, 734390669938688, 734390669938689, 541, 1, 0, '', '2023-09-22 10:20:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044435747254273, 734434211008512, 734434211008513, 595, 1, 0, '', '2023-09-22 10:20:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044458706874369, 734460375076864, 734460375076865, 107, 1, 0, '', '2023-09-22 10:20:51.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044478172639234, 734478892929024, 734478892929025, 109, 1, 0, '', '2023-09-22 10:20:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044478759841794, 734479874396160, 734479874396161, 517, 1, 0, '', '2023-09-22 10:20:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044544069349378, 734537764179968, 734537764179969, 534, 1, 0, '', '2023-09-22 10:21:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044610800726018, 734614876459008, 734614876459009, 605, 1, 0, '', '2023-09-22 10:21:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044628655878146, 734630403772416, 734630403772417, 468, 1, 0, '', '2023-09-22 10:21:32.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044671559413761, 734672766242816, 734672766242817, 418, 1, 0, '', '2023-09-22 10:21:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044691406860289, 734689476349952, 734689476349953, 407, 1, 0, '', '2023-09-22 10:21:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044728199294978, 734728860864512, 734728860864513, 591, 1, 0, '', '2023-09-22 10:21:56.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044746859753473, 734750981623808, 734750981623809, 437, 1, 0, '', '2023-09-22 10:22:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044755747483649, 734760888569856, 734760888569857, 454, 1, 0, '', '2023-09-22 10:22:02.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044799095615490, 734802697392128, 734802697392129, 599, 1, 0, '', '2023-09-22 10:22:12.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044815860248577, 734819579465728, 734819579465729, 577, 1, 0, '', '2023-09-22 10:22:16.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044835078549506, 734836767723520, 734836767723521, 554, 1, 0, '', '2023-09-22 10:22:21.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044894578946049, 734896653996032, 734896653996033, 600, 1, 0, '', '2023-09-22 10:22:35.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044923674832897, 734924843913216, 734924843913217, 578, 1, 0, '', '2023-09-22 10:22:42.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044940389134338, 734945303728128, 734945303728129, 564, 1, 0, '', '2023-09-22 10:22:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044940556906497, 734945500860416, 734945500860417, 412, 1, 0, '', '2023-09-22 10:22:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705044999692398593, 735000362356736, 735000362356737, 445, 1, 0, '', '2023-09-22 10:23:00.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045035700498434, 735033145036800, 735033145036801, 584, 1, 0, '', '2023-09-22 10:23:09.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045090662658050, 735094675476480, 735094675476481, 395, 1, 0, '', '2023-09-22 10:23:22.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045114901540865, 735114644557824, 735114644557825, 565, 1, 0, '', '2023-09-22 10:23:28.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045168177590273, 735161490739200, 735161490739201, 537, 1, 0, '', '2023-09-22 10:23:40.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045169142280193, 735167903830016, 735167903830017, 518, 1, 0, '', '2023-09-22 10:23:41.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045255695937537, 735257997479936, 735257997479937, 602, 1, 0, '', '2023-09-22 10:24:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045256408969218, 735258169446400, 735258169446401, 628, 1, 0, '', '2023-09-22 10:24:01.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045327217209345, 735320383557632, 735320383557633, 442, 1, 0, '', '2023-09-22 10:24:18.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045347320508417, 735348233736192, 735348233736193, 471, 1, 0, '', '2023-09-22 10:24:23.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045349845479425, 735352281239552, 735352281239553, 559, 1, 0, '', '2023-09-22 10:24:24.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045376412200961, 735376390098944, 735376390098945, 523, 1, 0, '', '2023-09-22 10:24:30.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045473841688578, 735476776570880, 735476776570881, 551, 1, 0, '', '2023-09-22 10:24:53.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045580695777282, 735583689379840, 735583689379841, 325, 1, 0, '', '2023-09-22 10:25:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045580712554498, 735580614955008, 735580614955009, 581, 1, 0, '', '2023-09-22 10:25:19.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045693962956802, 735699355701248, 735699359895552, 515, 1, 0, '', '2023-09-22 10:25:46.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045699281334273, 735702769864704, 735702769864705, 503, 1, 0, '', '2023-09-22 10:25:47.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045798778613762, 735803470909440, 735803470909441, 110, 1, 0, '', '2023-09-22 10:26:11.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045808350015490, 735807694573568, 735807694573569, 569, 1, 0, '', '2023-09-22 10:26:13.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045906266042369, 735905283444736, 735905283444737, 505, 1, 0, '', '2023-09-22 10:26:36.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045943058477058, 735946895134720, 735946895134721, 630, 1, 0, '', '2023-09-22 10:26:45.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705045964965326850, 735962451808256, 735962451808257, 403, 1, 0, '', '2023-09-22 10:26:50.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705046162303135745, 736163115700224, 736163115700225, 558, 1, 0, '', '2023-09-22 10:27:37.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);
INSERT INTO `biz_user_tenant` VALUES (1705046541048786945, 736542222061568, 736542222061569, 382, 1, 0, '', '2023-09-22 10:29:08.000000', 1, '0000-00-00 00:00:00.000000', 0, b'0', 0);

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 93 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (87, 'biz_flee_record', '商品窜货记录表', NULL, NULL, 'BizFleeRecord', 'crud', 'com.ezhizao.project.business', 'business', 'fleeRecord', '商品窜货记录', '曲悦', '0', '/', '{\"parentMenuId\":\"2342\"}', 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44', NULL);
INSERT INTO `gen_table` VALUES (88, 'biz_region_batch', '区域-批次 中间表', NULL, NULL, 'BizRegionBatch', 'crud', 'com.ezhizao.project.business', 'business', 'batch', '区域-批次 中间', 'zhushan', '0', '/', '{}', 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01', NULL);
INSERT INTO `gen_table` VALUES (89, 'biz_region', '区域配置表', NULL, NULL, 'BizRegion', 'crud', 'com.ezhizao.project.business', 'business', 'region', '区域配置', 'zhushan', '0', '/', '{\"parentMenuId\":\"2342\"}', 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02', NULL);
INSERT INTO `gen_table` VALUES (90, 'biz_region_details', '区域配置明细表', NULL, NULL, 'BizRegionDetails', 'crud', 'com.ezhizao.project.business', 'business', 'details', '区域配置明细', 'zhushan', '0', '/', '{}', 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38', NULL);
INSERT INTO `gen_table` VALUES (91, 'biz_wx_user', '流量用户表', NULL, NULL, 'BizWxUser', 'crud', 'com.ezhizao.project.business', 'business', 'wxUser', '流量用户', 'wangjian', '0', '/', '{\"parentMenuId\":\"2030\"}', 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31', NULL);
INSERT INTO `gen_table` VALUES (92, 'biz_product_batch_item_bak', '产品批次下 一物一码 实体映射表 镜像表', NULL, NULL, 'BizProductBatchItemBak', 'crud', 'com.ezhizao.project.business', 'business', 'bizProductBatchItemBak', '产品批次下 一物一码 实体映射 镜像', 'wj', '0', '/', '{\"parentMenuId\":\"2275\"}', 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1481 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1378, '87', 'id', 'id', 'bigint(20)', 'Long', 'id', '1', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1379, '87', 'identity', '标识码', 'varchar(255)', 'String', 'identity', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1380, '87', 'product_id', '产品id 产品数据模板中 存上 product_id 和 批次 batch_id', 'bigint(20)', 'Long', 'productId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1381, '87', 'batch_id', '批次id', 'bigint(20)', 'Long', 'batchId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1382, '87', 'tenant_id', '租户id', 'bigint(20)', 'Long', 'tenantId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1383, '87', 'wx_nick_name', '微信昵称', 'varchar(255)', 'String', 'wxNickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 6, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1384, '87', 'province_code', '省编号', 'varchar(255)', 'String', 'provinceCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1385, '87', 'city_code', '市编号', 'varchar(255)', 'String', 'cityCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1386, '87', 'area_code', '区编号', 'varchar(20)', 'String', 'areaCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1387, '87', 'province', '省', 'varchar(255)', 'String', 'province', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1388, '87', 'city', '市', 'varchar(255)', 'String', 'city', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1389, '87', 'area', '区', 'varchar(255)', 'String', 'area', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1390, '87', 'address', '详细地址', 'varchar(255)', 'String', 'address', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1391, '87', 'longitude', '经度', 'decimal(18,15)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1392, '87', 'latitude', '纬度', 'decimal(18,15)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1393, '87', 'status', '状态', 'tinyint(4)', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 16, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:44');
INSERT INTO `gen_table_column` VALUES (1394, '87', 'identity_time', '扫码时间', 'datetime(6)', 'Date', 'identityTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 17, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1395, '87', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 18, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1396, '87', 'create_time', '创建时间', 'datetime(6)', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 19, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1397, '87', 'creator_id', '创建者', 'bigint(20) unsigned', 'Long', 'creatorId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1398, '87', 'update_time', '更新时间', 'datetime(6)', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 21, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1399, '87', 'updater_id', '更新者', 'bigint(20)', 'Long', 'updaterId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 22, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1400, '87', 'deleted', '软删除标记', 'bit(1)', 'Integer', 'deleted', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 23, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1401, '87', 'version', '乐观锁标记', 'int(11) unsigned', 'Long', 'version', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 24, 'admin', '2023-09-13 08:52:51', '', '2023-09-13 08:53:45');
INSERT INTO `gen_table_column` VALUES (1402, '88', 'id', '主键', 'bigint(20) unsigned', 'Long', 'id', '1', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1403, '88', 'region_id', '区域配置主键', 'bigint(20) unsigned', 'Long', 'regionId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1404, '88', 'batch_id', '批次主键', 'bigint(20) unsigned', 'Long', 'batchId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1405, '88', 'status', '状态', 'tinyint(4) unsigned', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1406, '88', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1407, '88', 'create_time', '创建时间', 'datetime(6)', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1408, '88', 'creator_id', '创建者', 'bigint(20) unsigned', 'Long', 'creatorId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1409, '88', 'update_time', '更新时间', 'datetime(6)', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1410, '88', 'updater_id', '更新者', 'bigint(20)', 'Long', 'updaterId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1411, '88', 'deleted', '软删除标记', 'bit(1)', 'Integer', 'deleted', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1412, '88', 'version', '乐观锁标记', 'int(11) unsigned', 'Long', 'version', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:21:01');
INSERT INTO `gen_table_column` VALUES (1413, '89', 'id', '主键', 'bigint(20) unsigned', 'Long', 'id', '1', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1414, '89', 'name', '区域名称', 'varchar(255)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1415, '89', 'status', '状态', 'tinyint(4) unsigned', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 3, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1416, '89', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 4, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1417, '89', 'create_time', '创建时间', 'datetime(6)', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1418, '89', 'creator_id', '创建者', 'bigint(20) unsigned', 'Long', 'creatorId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1419, '89', 'update_time', '更新时间', 'datetime(6)', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1420, '89', 'updater_id', '更新者', 'bigint(20)', 'Long', 'updaterId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1421, '89', 'deleted', '软删除标记', 'bit(1)', 'Integer', 'deleted', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1422, '89', 'version', '乐观锁标记', 'int(11) unsigned', 'Long', 'version', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:02');
INSERT INTO `gen_table_column` VALUES (1423, '90', 'id', '主键', 'bigint(20) unsigned', 'Long', 'id', '1', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1424, '90', 'region_id', '区域配置 id', 'varchar(255)', 'String', 'regionId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1425, '90', 'area_code', '地区编码', 'varchar(255)', 'String', 'areaCode', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1426, '90', 'status', '状态', 'tinyint(4) unsigned', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1427, '90', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1428, '90', 'create_time', '创建时间', 'datetime(6)', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1429, '90', 'creator_id', '创建者', 'bigint(20) unsigned', 'Long', 'creatorId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1430, '90', 'update_time', '更新时间', 'datetime(6)', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1431, '90', 'updater_id', '更新者', 'bigint(20)', 'Long', 'updaterId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1432, '90', 'deleted', '软删除标记', 'bit(1)', 'Integer', 'deleted', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1433, '90', 'version', '乐观锁标记', 'int(11) unsigned', 'Long', 'version', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2023-09-13 09:19:34', '', '2023-09-13 09:20:38');
INSERT INTO `gen_table_column` VALUES (1434, '91', 'id', '主键', 'bigint(20) unsigned', 'Long', 'id', '1', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1435, '91', 'union_id', 'unioinid', 'varchar(255)', 'String', 'unionId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1436, '91', 'wx_usser_name', '微信用户名', 'varchar(255)', 'String', 'wxUsserName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1437, '91', 'phone_number', '用户电话', 'varchar(11)', 'String', 'phoneNumber', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1438, '91', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1439, '91', 'status', '状态', 'tinyint(3) unsigned', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1440, '91', 'province_code', '省编号', 'varchar(255)', 'String', 'provinceCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1441, '91', 'province', '省', 'varchar(255)', 'String', 'province', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1442, '91', 'city_code', '市编号', 'varchar(255)', 'String', 'cityCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1443, '91', 'city', '市', 'varchar(255)', 'String', 'city', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1444, '91', 'area_code', '区编号', 'varchar(255)', 'String', 'areaCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1445, '91', 'area', '区', 'varchar(255)', 'String', 'area', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1446, '91', 'address', '详细地址', 'varchar(255)', 'String', 'address', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1447, '91', 'longitude', '经度', 'decimal(18,15)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1448, '91', 'latitude', '纬度', 'decimal(18,15)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1449, '91', 'deleted', '软删除标记', 'bit(1)', 'Integer', 'deleted', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1450, '91', 'create_time', '创建时间', 'datetime(6)', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1451, '91', 'update_time', '更新时间', 'datetime(6)', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1452, '91', 'updater_id', '更新者', 'bigint(20)', 'Long', 'updaterId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 19, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1453, '91', 'creator_id', '创建者', 'bigint(20) unsigned', 'Long', 'creatorId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1454, '91', 'version', '乐观锁标记', 'int(10) unsigned', 'Integer', 'version', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 21, 'admin', '2023-09-15 10:38:57', '', '2023-09-19 11:35:31');
INSERT INTO `gen_table_column` VALUES (1455, '92', 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1456, '92', 'tenant_id', '租户 id', 'bigint(20)', 'Long', 'tenantId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1457, '92', 'flow_id', '流程 id', 'bigint(20)', 'Long', 'flowId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1458, '92', 'batch_id', '批次 id', 'bigint(20)', 'Long', 'batchId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1459, '92', 'product_id', '产品 id', 'bigint(20)', 'Long', 'productId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1460, '92', 'identity', '标识码', 'varchar(255)', 'String', 'identity', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1461, '92', 'identity_qc_code', '标识二维码', 'varchar(255)', 'String', 'identityQcCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1462, '92', 'scan_num', '浏览次数', 'int(11)', 'Long', 'scanNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1463, '92', 'identification_num', '鉴伪次数', 'int(11)', 'Long', 'identificationNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1464, '92', 'trace_num', '溯源次数', 'int(11)', 'Long', 'traceNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1465, '92', 'flee_num', '窜货次数', 'int(11)', 'Long', 'fleeNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1466, '92', 'first_latitude', '首次扫码 纬度', 'decimal(18,15)', 'BigDecimal', 'firstLatitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1467, '92', 'first_longitude', '首次扫码 经度', 'decimal(18,15)', 'BigDecimal', 'firstLongitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1468, '92', 'first_scan_time', '首次扫码时间', 'datetime(6)', 'Date', 'firstScanTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 14, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1469, '92', 'last_scan_time', '最后一次扫码时间', 'datetime(6)', 'Date', 'lastScanTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 15, 'admin', '2023-09-22 16:39:13', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1470, '92', 'last_longitude', '最后一次扫码 经度', 'decimal(18,15)', 'BigDecimal', 'lastLongitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1471, '92', 'last_latitude', '最后一次扫码 纬度', 'decimal(18,15)', 'BigDecimal', 'lastLatitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1472, '92', 'status', '状态（0未绑码 1已绑码，可下载二维码压缩包）', 'tinyint(3) unsigned', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 18, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1473, '92', 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 19, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1474, '92', 'create_time', '创建时间', 'datetime(6)', 'Date', 'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 20, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1475, '92', 'creator_id', '创建者', 'bigint(20) unsigned', 'Long', 'creatorId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 21, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1476, '92', 'update_time', '更新时间', 'datetime(6)', 'Date', 'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 22, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1477, '92', 'updater_id', '更新者', 'bigint(20)', 'Long', 'updaterId', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 23, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1478, '92', 'deleted', '软删除标记', 'bit(1)', 'Integer', 'deleted', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 24, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1479, '92', 'version', '乐观锁标记', 'int(10) unsigned', 'Integer', 'version', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 25, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');
INSERT INTO `gen_table_column` VALUES (1480, '92', 'place_num', '鉴伪地点数', 'int(11)', 'Long', 'placeNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 26, 'admin', '2023-09-22 16:39:14', '', '2023-09-22 16:40:07');

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name` ASC, `job_name` ASC, `job_group` ASC) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2023-04-25 16:48:09', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2023-04-25 16:48:09', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-18 11:07:01', '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-18 11:06:48', '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2023-04-25 16:48:09', '', NULL, '是否开启注册用户功能（true开启，false关闭）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `tenant_id` bigint NULL DEFAULT 0 COMMENT '租户id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `type` tinyint NOT NULL DEFAULT 0 COMMENT '是否为企业 0 部门 1 企业',
  `dept_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '企业税号',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1154070496007032834 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, 0, '0', '标识解析二级节点开放平台', 0, NULL, NULL, NULL, '0', '0', '', NULL, '', NULL, 0, '');
INSERT INTO `sys_dept` VALUES (726377619918849, 590, 100, '0,100', '大连尚品鲜海产品销售有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:48:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726377628307457, 390, 100, '0,100', '大连取悦科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:48:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726489372954625, 461, 100, '0,100', '大连锦立德新材料科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:49:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726535615156225, 111, 100, '0,100', '大连融恒包装制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:49:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726634512650241, 398, 100, '0,100', '大连吉恒科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:49:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726669669306369, 557, 100, '0,100', '大连鑫嘉冠市场管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:49:55', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726693031579649, 460, 100, '0,100', '大连算网科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:49:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726696722567169, 130, 100, '0,100', '大连禹霖水产有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:50:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726778947702785, 456, 100, '0,100', '大连爱渥特机器人科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:50:21', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726908186791937, 435, 100, '0,100', '沈阳金顺再生资源有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:50:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726918081155073, 235, 100, '0,100', '古鲟（大连）生物科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:50:54', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726938821988353, 504, 100, '0,100', '大连宇祝国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:50:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (726969889198081, 147, 100, '0,100', '大连嘉福消费品综合市场有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:51:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727011094040577, 117, 100, '0,100', '大连易智造科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:51:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727130086445057, 588, 100, '0,100', '大连环岛人家餐饮服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:51:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727139355856897, 476, 100, '0,100', '恒信自动化（大连）股份有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:51:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727192850010113, 129, 100, '0,100', '中山区珏美办公用品商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:51:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727229139128321, 467, 100, '0,100', '昌图县铭涵榨油厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727245517885441, 481, 100, '0,100', '大连正广经贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727277411373057, 433, 100, '0,100', '沈阳煜鑫包装制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727277537202177, 204, 100, '0,100', '大连万垚机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727308910596097, 553, 100, '0,100', '西岗区鑫嘉冠生鲜超市', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727374001999873, 431, 100, '0,100', '辽宁东方国立电子系统有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727386903678977, 570, 100, '0,100', '甘井子区泉水街道博森物资商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727438766247937, 457, 100, '0,100', '辽宁顽乐生活品牌管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:52:57', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727496458899457, 479, 100, '0,100', '大连阡陌本草中医药有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:53:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727531854630913, 122, 100, '0,100', '大连龙御生态科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:53:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727563639066625, 547, 100, '0,100', '大连星耀餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:53:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727652235350017, 396, 100, '0,100', '辽宁世鑫工程有限公司   ', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:53:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727738285690881, 631, 100, '0,100', '赫玛食品（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727745915129857, 513, 100, '0,100', '大连圣世达传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727755784327169, 436, 100, '0,100', '沈阳晟源包装制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:13', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727766609825793, 408, 100, '0,100', '辽宁金丰达节能科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727897933484033, 119, 100, '0,100', '大连易模软件有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727898029953025, 124, 100, '0,100', '大连正金建筑劳务分包有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727899678314497, 384, 100, '0,100', '大连贤锋科技有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:54:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727960374087681, 486, 100, '0,100', '大连永福商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727967613456385, 532, 100, '0,100', '大连甄美芭莎企业管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (727971522547713, 452, 100, '0,100', '大连炫一科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728004565274625, 125, 100, '0,100', '大连百川国际物流有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728057900044289, 580, 100, '0,100', '大连恒盛财务咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728091601276929, 420, 100, '0,100', '大连东泽食品商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728138132885505, 610, 100, '0,100', '喜久（辽宁）矿泉水开发有限公司沈阳分公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728147687510017, 369, 100, '0,100', '大连慧通安信企业管理咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:51', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728187751501825, 597, 100, '0,100', '沈阳博赫源机械设备租赁有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:55:55', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728223356948481, 500, 100, '0,100', '大连顺为远道投资中心（有限合伙）', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728271801159681, 480, 100, '0,100', '大连太乙企业管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728277358612481, 571, 100, '0,100', '沈阳鸿辉起重设备租赁有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728281603248129, 507, 100, '0,100', '大连嘉信物流货运代理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728300263706625, 374, 100, '0,100', '大连慧无忧财务管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728303019364353, 618, 100, '0,100', '大连一童体育文化传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728386385350657, 626, 100, '0,100', '大连海星云信息技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728387362623489, 409, 100, '0,100', '沈阳联安建材销售有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728403997233153, 587, 100, '0,100', '沈阳易怦然贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728422829658113, 114, 100, '0,100', '大连冠力电机科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:56:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728461752799233, 592, 100, '0,100', '大连嘉盈企业服务中心', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728539150290945, 491, 100, '0,100', '大连金润福海养老服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728544506417153, 627, 100, '0,100', '大连恩点食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728549287923713, 625, 100, '0,100', '大连金百味面业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728618091286529, 561, 100, '0,100', '大连好省园区管理咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728635254378497, 121, 100, '0,100', '大连立珩科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728677436493825, 562, 100, '0,100', '平行房地产管理咨询（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728691785207809, 544, 100, '0,100', '大连达意贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:57:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728713499119617, 620, 100, '0,100', '大连枳新信息科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728740426551297, 567, 100, '0,100', '沈阳奕宸包装制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:07', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728760378855425, 415, 100, '0,100', '大连北方液压件厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728788002541569, 383, 100, '0,100', '大连意特科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728810714697729, 536, 100, '0,100', '大连喆鑫健康理疗有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728838720065537, 543, 100, '0,100', '盘锦振江企业信息咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728845770690561, 621, 100, '0,100', '大连威尔体系认证有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728913374482433, 617, 100, '0,100', '大连市曦予餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728946647896065, 366, 100, '0,100', '大连正金装饰装修工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:58:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728997218619393, 444, 100, '0,100', '辽宁臻盛新材料科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (728999659704321, 611, 100, '0,100', '大连威尔知识产权服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729033386102785, 446, 100, '0,100', '天下大酱（大连）食品有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729048468819969, 414, 100, '0,100', '爱产盛金（大连）国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729073940828161, 155, 100, '0,100', '大连古鲟时代生物科技有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729115112116225, 539, 100, '0,100', '磬石必拓（辽宁）科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:39', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729140215025665, 108, 100, '0,100', '甘井子区周水子街道嘉创建材商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729166513311745, 516, 100, '0,100', '大连睿瑛托育有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729166743998465, 160, 100, '0,100', '辽宁新纪元水产开发有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729206627635201, 608, 100, '0,100', '大连威尔认证咨询服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 09:59:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729291423879169, 381, 100, '0,100', '辽宁飒集体育管理集团有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729299476942849, 616, 100, '0,100', '大连神州思创科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729303281176577, 576, 100, '0,100', '沈阳大昊保温材料有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729340677591041, 126, 100, '0,100', '大连泰琦食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:34', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729356754358273, 405, 100, '0,100', '旅顺金利橡胶厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:34', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729374328492033, 613, 100, '0,100', '大连旺香阁餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:38', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729415336202241, 127, 100, '0,100', '轩唐特种电机（辽宁）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729442532069377, 508, 100, '0,100', '大连先农科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729459225399297, 589, 100, '0,100', '沈阳玉泽天易贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:00:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729541534420993, 574, 100, '0,100', '沈阳健豪机械设备安装有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:01:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729548786372609, 622, 100, '0,100', '沈阳百泰鸿福新能源有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:01:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729557669908481, 434, 100, '0,100', '大连旭航信息咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:01:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729605120069633, 423, 100, '0,100', '大连万亩田园实业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:01:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729639869878273, 450, 100, '0,100', '大连三弘金属制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:01:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729664603688961, 368, 100, '0,100', '科赛斯（大连）新材料制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:01:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729739870474241, 154, 100, '0,100', '大连市甘井子区华北路嵘杰轴承经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:02:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729803145744385, 150, 100, '0,100', '大连海洋鸿邦印刷有限公司保税区分公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:02:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729881881219073, 417, 100, '0,100', '大连热辊科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:02:39', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729891230322689, 145, 100, '0,100', '大连金州区新品伟机电商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:02:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729965880545281, 113, 100, '0,100', '天恩璐（大连）航运有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729981814706177, 140, 100, '0,100', '大连经济技术开发区品伟机电商店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729985979650049, 526, 100, '0,100', '大连正元装饰装修工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (729990182342657, 289, 100, '0,100', '大连仁義盛粮油贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730029780766721, 371, 100, '0,100', '大连龙腾液压系统有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730053004627969, 378, 100, '0,100', '大连伊立特科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730054619435009, 138, 100, '0,100', '大连经济技术开发区成伟五金商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730089054670849, 598, 100, '0,100', '沈阳亿涛土石方工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730120977518593, 560, 100, '0,100', '中好咨询（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730160252981249, 135, 100, '0,100', '甘井子区大连湾街道智恩机电设备经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730214657298433, 568, 100, '0,100', '大连汇百味餐饮管理服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:03:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730233858822145, 575, 100, '0,100', '大连智承科技咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:04:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730334715056129, 424, 100, '0,100', '大连易通达科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:04:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730350993149953, 134, 100, '0,100', '甘井子区大连湾街道红光电器配件商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:04:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730351936868353, 392, 100, '0,100', '辽宁省德美数码科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:04:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730439874646017, 128, 100, '0,100', '大连美荣杰物资经贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:04:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730447785103361, 429, 100, '0,100', '小兵憨仔餐饮文化管理（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:04:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730480752332801, 391, 100, '0,100', '大连山一环保设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730514252238849, 422, 100, '0,100', '大连九六三传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730536654016513, 566, 100, '0,100', '沙河口区源美展览展示设计服务部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730573123489793, 530, 100, '0,100', '辽宁碧清源环保科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730648386080769, 572, 100, '0,100', '沈阳虹利达建筑材料有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730681651105793, 525, 100, '0,100', '万合天宜（大连）传媒科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730681806295041, 105, 100, '0,100', '天恩璐（辽宁）技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:05:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730732536401921, 120, 100, '0,100', '大连海洋鸿邦印刷有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:06:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730791873220609, 612, 100, '0,100', '沈阳禾瑞源商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:06:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730835078746113, 619, 100, '0,100', '大连鸿祥兴电子有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:06:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730851449114625, 118, 100, '0,100', '甘井子区大连湾街道瑞杰电器服务部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:06:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730913268961281, 615, 100, '0,100', '沈阳翌申装饰工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:06:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730955400744961, 376, 100, '0,100', '辽宁卓勤成东财税管理集团有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:06:57', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (730984479854593, 586, 100, '0,100', '大连亿鑫泰机电设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731063462793217, 593, 100, '0,100', '大连臻欣企业服务外包有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:21', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731124066291713, 477, 100, '0,100', '大连利晟隆供应链管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731154642767873, 462, 100, '0,100', '大连大鑫卫生护理用品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731162930712577, 377, 100, '0,100', '安达斯科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731165619261441, 406, 100, '0,100', '大连市人工智能产业协会', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731192496361473, 286, 100, '0,100', '大连神通模具有限公司 ', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731209021919233, 367, 100, '0,100', '大连卓勤会计事务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:07:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731247571767297, 474, 100, '0,100', '大连久隆科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:08:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731303934824449, 549, 100, '0,100', '大连卓勤投资管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:08:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731380791250945, 556, 100, '0,100', '大连虎鲸智能科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:08:39', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731390186491905, 427, 100, '0,100', '大连骏安机械制造有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:08:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731503734689793, 542, 100, '0,100', '西岗区嘉美顺建材商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731513436114945, 449, 100, '0,100', '大连盛世营销策划有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731525620568065, 410, 100, '0,100', '那农沐（大连）生物科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731527101157377, 484, 100, '0,100', '大连北弥软枣农业技术服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731546856329217, 603, 100, '0,100', '甘井子区泉水街道亿尚物资商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731590552588289, 469, 100, '0,100', '上品科技（大连）有限公司   ', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731630578831361, 375, 100, '0,100', '大连如一食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731632076197889, 430, 100, '0,100', '辽宁茂隆山河科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:09:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731759692091393, 501, 100, '0,100', '大连华夏远道投资中心（有限合伙）', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:10:07', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731771306119169, 421, 100, '0,100', '大连圆圈商业管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:10:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731821033787393, 387, 100, '0,100', '大连蓝海融创科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:10:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731895977611265, 548, 100, '0,100', '大连兴诺国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:10:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731921269264385, 133, 100, '0,100', '中山区昕辉机电产品经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:10:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731933520826369, 527, 100, '0,100', '大连食来运转科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:10:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (731992283025409, 243, 100, '0,100', '大连经济技术开发区海青河氏按摩院', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732020552634369, 402, 100, '0,100', '大连英嘉贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732028140130305, 607, 100, '0,100', '大连路路通达汽车服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732120075079681, 522, 100, '0,100', ' 大连云晟科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732132427304961, 116, 100, '0,100', '大连拓北成电机有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732159761584129, 295, 100, '0,100', '大连聚和汽车市场有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732189058797569, 614, 100, '0,100', '甘井子区周水子街道英杰物资商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:11:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732236714479617, 579, 100, '0,100', '沈阳林峰机械设备安装有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732280494624769, 606, 100, '0,100', '辽宁浩锐土石方工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732309372407809, 632, 100, '0,100', '亚太中农科技(大连)有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732358957469697, 555, 100, '0,100', '中胤（大连）空间装饰工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:30', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732363172745217, 379, 100, '0,100', '大连科技橡胶密封件有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732368528871425, 585, 100, '0,100', '沈阳东润包装制品有限公司 ', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732378234490881, 459, 100, '0,100', '大连天蓝文化传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:34', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732446299656193, 463, 100, '0,100', '大连指月茶文化有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:51', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732458035318785, 487, 100, '0,100', '大连市速美达商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732471389982721, 623, 100, '0,100', '中山区傅恒物资商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732472174317569, 401, 100, '0,100', '辽宁睿淼企业管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:12:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732562716758017, 115, 100, '0,100', '大连隆兴达机电设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:13:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732591510654977, 512, 100, '0,100', '大连欣田房屋修缮工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:13:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732615204278273, 540, 100, '0,100', '大连金普新区襄武流体技术中心', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:13:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732685857329153, 419, 100, '0,100', '辽宁诚事律师事务所', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:13:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732687031734273, 400, 100, '0,100', '大连智捷优创网络科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:13:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732726990868481, 514, 100, '0,100', '大连益大精密橡胶制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:13:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732778597584897, 393, 100, '0,100', '大连盛阳服装厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732781567152129, 563, 100, '0,100', '沈阳嘉易德机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732815071252481, 432, 100, '0,100', '沈阳玉隆通风设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732842569109505, 394, 100, '0,100', '大连鲁冠贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732909938020353, 399, 100, '0,100', '大连蒲公英网络科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732924957822977, 163, 100, '0,100', '大连康立机电设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (732925360476161, 604, 100, '0,100', '大连艺程企业管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:14:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733009267527681, 356, 100, '0,100', '大连云蝶科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733037746851841, 475, 100, '0,100', '大连环鼎诚橡胶制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:13', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733142537342977, 533, 100, '0,100', '大连嘉实远道投资中心(有限合伙)', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:38', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733146060558337, 550, 100, '0,100', '甘井子区华东人家鑫嘉冠生鲜超市', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:38', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733149223063553, 609, 100, '0,100', '大连保税区迪爱特物流有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:38', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733158777688065, 629, 100, '0,100', '大连水一方食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733168923709441, 510, 100, '0,100', '大连轩昂科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:15:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733277199667201, 624, 100, '0,100', '甘井子区周水子街道云港物资商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733280446058497, 132, 100, '0,100', '甘井子区宏君自动化机电经营部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733316307357697, 223, 100, '0,100', '大连贺翔电子商务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733366483816449, 458, 100, '0,100', '大连古牧源集团有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:29', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733443256356865, 485, 100, '0,100', '大连软枣猕猴桃贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733459056300033, 161, 100, '0,100', '大连巴索珏网络科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:54', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733466480218113, 583, 100, '0,100', '沈阳昊天电气安装工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:16:54', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733558104788993, 594, 100, '0,100', '辽宁鼎坤建设工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:17:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733639717556225, 451, 100, '0,100', '大连九八五科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:17:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733782583939073, 464, 100, '0,100', '大连鸣远商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:18:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733799524732929, 538, 100, '0,100', '大连福元科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:18:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733915685982209, 180, 100, '0,100', '辽宁兰锦汽车配件制造有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:18:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (733932979097601, 478, 100, '0,100', '大连迅源文化传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:18:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734002025730049, 596, 100, '0,100', '沈阳铭豪石材景观工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734027673899009, 380, 100, '0,100', '大连瑞航科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734111480287233, 601, 100, '0,100', '沈阳市于洪区华盛石材经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734143545741313, 552, 100, '0,100', '大连威科特锐研磨有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734196238782465, 483, 100, '0,100', '大连通联船舶技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734197228638209, 531, 100, '0,100', '大连市冠潼教育咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734201418747905, 448, 100, '0,100', '大连大鑫无纺科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:19:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734249611300865, 123, 100, '0,100', '大连浩庭科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734294691680257, 535, 100, '0,100', '大连科力尔玻璃制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734341676273665, 573, 100, '0,100', '沈阳恒业电气科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734358197637121, 482, 100, '0,100', '大连悦光川服饰有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734380268064769, 443, 100, '0,100', '大连开泰隆设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734385963929601, 131, 100, '0,100', '大连佳兆业赛博数码广场巴索珏电子产品经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734390669938689, 541, 100, '0,100', '小米粒（辽宁）食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734434211008513, 595, 100, '0,100', '大连启臣机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734460375076865, 107, 100, '0,100', '大连宏朗机械工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:51', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734478892929025, 109, 100, '0,100', '益恩喜（大连）生物科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734479874396161, 517, 100, '0,100', '喜多多（大连）礼品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:20:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734537764179969, 534, 100, '0,100', '大连合鑫国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:21:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734614876459009, 605, 100, '0,100', '沈阳市大东区隆昌塑料厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:21:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734630403772417, 468, 100, '0,100', '大连德疆网络科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:21:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734672766242817, 418, 100, '0,100', '大连贵友科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:21:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734689476349953, 407, 100, '0,100', '沈阳召远橡胶制品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:21:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734728860864513, 591, 100, '0,100', '沈阳园峰机械设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:21:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734750981623809, 437, 100, '0,100', '大连讷敏贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734760888569857, 454, 100, '0,100', '大连鼎创科技开发有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734802697392129, 599, 100, '0,100', '沈阳华新环境艺术工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734819579465729, 577, 100, '0,100', '沈阳永鑫达机械设备租赁有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734836767723521, 554, 100, '0,100', '大连飒极体育项目管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:21', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734896653996033, 600, 100, '0,100', '大连老砖坊古建文化发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734924843913217, 578, 100, '0,100', '沈阳坤淼运输服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734945303728129, 564, 100, '0,100', '森缘包装制品（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (734945500860417, 412, 100, '0,100', '大连美德液压气动工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:22:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735000362356737, 445, 100, '0,100', '赫尔曼科技服务（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:23:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735033145036801, 584, 100, '0,100', '辽宁众泰安防科技有限公司 ', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:23:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735094675476481, 395, 100, '0,100', '云上智能网络科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:23:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735114644557825, 565, 100, '0,100', '大连慧心源养老服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:23:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735161490739201, 537, 100, '0,100', '大连信源机电设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:23:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735167903830017, 518, 100, '0,100', '大连鬼谷王企业咨询服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:23:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735257997479937, 602, 100, '0,100', '沈阳明越包装有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735258169446401, 628, 100, '0,100', '大连鲍氏精密机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735320383557633, 442, 100, '0,100', '大连卓信长盈贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735348233736193, 471, 100, '0,100', '大连雀龙海参产业发展有限公司  ', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735352281239553, 559, 100, '0,100', '阿美泰科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:24', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735376390098945, 523, 100, '0,100', '大连星湾科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:30', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735476776570881, 551, 100, '0,100', '青柠（大连）供应链管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:24:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735580614955009, 581, 100, '0,100', '大连艾比康贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:25:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735583689379841, 325, 100, '0,100', '沈阳彩莹矿业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:25:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735699359895552, 515, 100, '0,100', '大连诚屹物流货运代理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:25:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735702769864705, 503, 100, '0,100', '大连科茂商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:25:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735803470909441, 110, 100, '0,100', '大连万德润贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:26:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735807694573569, 569, 100, '0,100', '大连豪诺依祥商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:26:13', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735905283444737, 505, 100, '0,100', '甘井子区泉水街道璐尧五金建材经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:26:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735946895134721, 630, 100, '0,100', '大连晟鋆企业管理中心（有限合伙）', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:26:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (735962451808257, 403, 100, '0,100', '大连惠无忧汽车科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:26:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (736163115700225, 558, 100, '0,100', '大连好省财税管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:27:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (736542222061569, 382, 100, '0,100', '沈阳企商链科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-22 10:29:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1143207234667417601, 151, 100, '0,100', '桑原电机(大连)有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-08-21 15:37:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1143215441569779713, 106, 100, '0,100', '大连真材实料科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-08-21 16:10:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153692819446173697, 345, 100, '0,100', '三祥·万力工业设备（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:03:24', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153695917279416321, 148, 100, '0,100', '上海君戎机电商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:15:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153696035852390401, 153, 100, '0,100', '东方成套设备（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:16:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153696229432102913, 498, 100, '0,100', '大连优尼沃斯体育文化发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:16:57', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153703980254236673, 287, 100, '0,100', '大连金益丰文化咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:47:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153704103952650241, 231, 100, '0,100', '大连金普新区孙氏溯源推拿养生坊', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:48:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153704577250496513, 350, 100, '0,100', '大连金奇机械制造有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 14:50:07', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153711847401197568, 315, 100, '0,100', '锦州滨海新区晓静蔬菜摊床', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:18:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153712453054500865, 327, 100, '0,100', '铁岭县健晖建材有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:21:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153712542099574785, 326, 100, '0,100', '铁岭县新世捷矿业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:21:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153712864897404928, 354, 100, '0,100', '金普新区鑫融企业管理中心', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:23:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153713622216740864, 397, 100, '0,100', '盖州市梁屯镇喜羊羊2元超市', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:26:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153715568315076609, 337, 100, '0,100', '沙河口区维京海产品店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:33:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153716118414823425, 389, 100, '0,100', '沙河口区芃新办公家具店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:35:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153716326456496129, 357, 100, '0,100', '港丰科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:36:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153716526810009601, 308, 100, '0,100', '爱产盛金（大连）硬质合金技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:37:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153717351582142465, 183, 100, '0,100', '环嘉德润（大连）再生资源有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:40:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153717401578246145, 312, 100, '0,100', '瓦房店冶金轴承集团有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:41:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153718363793526785, 303, 100, '0,100', '竹林人家（靖江）食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:44:54', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153718594580910081, 174, 100, '0,100', '甘井子区金三角市场非凡空间经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 15:45:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153722556608548865, 319, 100, '0,100', '大连汇平船务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:01:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153722618952683521, 488, 100, '0,100', '大连壹迦科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:01:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153722707507023873, 301, 100, '0,100', '大连奇立贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:02:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153722887165841409, 373, 100, '0,100', '大连瀛合餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:02:51', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723000579821569, 365, 100, '0,100', '大连宏源消防机电工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723008964235265, 363, 100, '0,100', '中好数智管理（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723018464333825, 546, 100, '0,100', '大连灿星文化传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723031147909121, 200, 100, '0,100', '大连道和精密机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723062416445441, 255, 100, '0,100', '大连宝欣贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723096331587585, 225, 100, '0,100', '大连壮元海生态苗业股份有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723117034672129, 142, 100, '0,100', '大连家园共育文化发展服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:03:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723217635053569, 213, 100, '0,100', '大连烨璐物资材料贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723235209187329, 333, 100, '0,100', '大连基石云科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723242545025025, 212, 100, '0,100', '大连富洋璨燃餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723306608824321, 310, 100, '0,100', '大连小欢喜文化传播有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723330860290049, 355, 100, '0,100', '大连焦耐技术设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723332009529345, 348, 100, '0,100', '大连埃斯安泵业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723362871218177, 472, 100, '0,100', '大连市沙河口区心航教育培训学校有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723402318647297, 331, 100, '0,100', '大连市沙河口区新宏达轮胎经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:04:54', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723441237594113, 324, 100, '0,100', '大连焦耐节能服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723454076358657, 322, 100, '0,100', '大连圣龙投资顾问有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723458643955713, 230, 100, '0,100', '大连市沙河口区美丽起点美容养生馆', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:07', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723532526620673, 370, 100, '0,100', '大连图月贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723541460488193, 490, 100, '0,100', '大连牛乐鲜食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723541594705921, 226, 100, '0,100', '大连市甘井子区名仕工商管理培训学校', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723597026627585, 137, 100, '0,100', '大连市甘井子区大连湾街道弘日电子技术服务部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723618312720385, 176, 100, '0,100', '大连嘉辕国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723625279459329, 386, 100, '0,100', '大连特大果智能设备科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723659337207809, 306, 100, '0,100', '大连市西岗区泰霖变频器厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:05:55', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723693529174017, 166, 100, '0,100', '大连嘉蕙商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723699208261633, 494, 100, '0,100', '大连广远船舶技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723703977185281, 194, 100, '0,100', '大连玖美嘉穗科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723760902279169, 493, 100, '0,100', '大连建洪建筑劳务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:19', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723774219194369, 290, 100, '0,100', '大连嘉易智造工业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723788769234945, 178, 100, '0,100', '大连珂尼赛格电气有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723810982268929, 196, 100, '0,100', '大连弗贝电子商务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723868410679297, 372, 100, '0,100', '大连嘉忆装饰装修工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723887641563137, 388, 100, '0,100', '大连强盛贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723927743303681, 177, 100, '0,100', '大连瑞德国际货运代理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:06:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723945594261505, 334, 100, '0,100', '大连德茂装饰工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723955815780353, 172, 100, '0,100', '大连喜上枝头信息科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153723999147134977, 347, 100, '0,100', '大连思泰博模具技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724006642356225, 317, 100, '0,100', '大连瑞新家具有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724026619826177, 346, 100, '0,100', '大连哈斯数控机床有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724049394896897, 411, 100, '0,100', '大连恒盛远科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724097771999233, 167, 100, '0,100', '大连成宇科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724105414021121, 165, 100, '0,100', '大连电子城明辉电脑商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724144622374913, 545, 100, '0,100', '大连和木生木业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:51', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724152243425281, 288, 100, '0,100', '大连成鑫胶辊厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:07:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724183570681857, 582, 100, '0,100', '大连百瀚精密机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724204298932225, 323, 100, '0,100', '大连旅顺滨海船舶修造有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724207419494401, 441, 100, '0,100', '甘井子区凯尚手工皮具坊', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724223685005313, 203, 100, '0,100', '大连启辉精密仪器有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724268153016321, 340, 100, '0,100', '大连日吉精密模具有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724302038798337, 492, 100, '0,100', '大连名域海洋科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724308422529025, 175, 100, '0,100', '甘井子区千山路亨得利眼镜专卖店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:30', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724311002025985, 336, 100, '0,100', '大连百禾餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724325111664641, 524, 100, '0,100', '大连鑫莉装饰装修工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:34', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724329784119297, 314, 100, '0,100', '大连昊通物流有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724383706091521, 248, 100, '0,100', '大连智云汇智能科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724402479796225, 309, 100, '0,100', '甘井子区营城子农贸市场雪梅灯具店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724403012472833, 509, 100, '0,100', '大连益利亚工程机械有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724403494817793, 185, 100, '0,100', '大连合越供应链管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:08:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724432561344513, 298, 100, '0,100', '大连格尔迈斯合成材料有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724479537549313, 311, 100, '0,100', '大连秀月房地产经纪有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724496650309633, 236, 100, '0,100', '大连桃源商业批发有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724530074718209, 237, 100, '0,100', '大连古源坊酒业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:23', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724536575889409, 254, 100, '0,100', '甘井子区辛寨子街道淞景香汤养生馆', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:24', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724551746686977, 144, 100, '0,100', '大连科天新材料有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724584671973377, 159, 100, '0,100', '甘井子区金三角市场宝安居照明器材经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724618507423745, 511, 100, '0,100', '大连精一企业管理咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724654515523585, 305, 100, '0,100', '大连毅捷船舶技术服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724675860336641, 190, 100, '0,100', '大连鑫辉数字科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:09:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724695992995841, 360, 100, '0,100', '大连精一供应链有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724702443835393, 205, 100, '0,100', '大连博斯特科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724721934766081, 318, 100, '0,100', '大连永晟农业发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724770408337409, 300, 100, '0,100', '大连经济技术开发区海青海鸣信息咨询部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724790004125697, 229, 100, '0,100', '大连阿来德好利模塑有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:25', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724801328746497, 330, 100, '0,100', '盘锦恒发商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724808236765185, 206, 100, '0,100', '大连华昌国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:29', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724840931364865, 342, 100, '0,100', '大连自贸区民健国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724883692294145, 321, 100, '0,100', '大连华恒重型机床有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724902868652033, 195, 100, '0,100', '大连青麦田科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724910267404289, 341, 100, '0,100', '大连臻谷商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:10:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724943914110977, 352, 100, '0,100', '西岗区仁济宠物医院店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724955708493825, 320, 100, '0,100', '大连华商天翼管理咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153724989158068225, 404, 100, '0,100', '大连锦莱卓科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725004383391745, 425, 100, '0,100', '大连顺风顺水货运代理服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725011643731969, 208, 100, '0,100', '台大实业（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725068174561281, 238, 100, '0,100', '大连茗惠生物科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:31', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725102744014849, 158, 100, '0,100', '大连北岗汽配城光辉汽车维修服务中心', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:39', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725105331900417, 188, 100, '0,100', '辽宁东泰电气设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725116463583233, 292, 100, '0,100', '大连高新园区航达船舶配件经销处', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725134788497409, 227, 100, '0,100', '大连菱美自动化有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725179512360961, 184, 100, '0,100', '大连六六六船务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:11:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725192040747009, 361, 100, '0,100', '辽宁天利物资供应有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725228094984193, 502, 100, '0,100', '大连辛源投资顾问有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725237158875137, 416, 100, '0,100', '大连高盛服饰有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725250614202369, 359, 100, '0,100', '大连八八八船务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725261330649089, 264, 100, '0,100', '辽宁康元药业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725299695947777, 228, 100, '0,100', '大连达文贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725322999500801, 499, 100, '0,100', '大连元安建筑工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725344054906881, 343, 100, '0,100', '大连魏仙文化发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:37', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725370319638529, 291, 100, '0,100', '辽宁晨兴物流供应链有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725395984584705, 351, 100, '0,100', '大连连源物流国际货运代理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725408814960641, 338, 100, '0,100', '大连佳盛科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725437030043649, 294, 100, '0,100', '辽宁联泓科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:12:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725463546433537, 211, 100, '0,100', '大连逸兴商务咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725465798774785, 519, 100, '0,100', '大连鸿嘉禾网络科技有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725475579891713, 440, 100, '0,100', '大连优政博惠营销企划有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:08', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725513198604289, 439, 100, '0,100', '辽宁锦铄财务咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725523415928833, 249, 100, '0,100', '大连龙腾机电设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725543548588033, 529, 100, '0,100', '大连优政博惠科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:24', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725575966363649, 304, 100, '0,100', '中山区正玺经济信息咨询服务中心', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725588557664257, 473, 100, '0,100', '心航教育咨询（北京）有限公司大连分公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725600800837633, 256, 100, '0,100', '连晟科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:38', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725630282600449, 362, 100, '0,100', '大连优政博惠商务咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725638138531841, 157, 100, '0,100', '中山区珏美日用百货超市', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725664692670465, 164, 100, '0,100', '成都众志信法律咨询有限公司大连分公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725682744954881, 520, 100, '0,100', '金州区登沙河福凤生态观光园', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:13:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725734230036481, 224, 100, '0,100', '中肽生物科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:10', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725748637470721, 307, 100, '0,100', '金州区金发地市场粒香香干果商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:13', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725750633959425, 162, 100, '0,100', '技合互联网信息服务（上海）有限公司大连分公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725805831000065, 285, 100, '0,100', '抚顺双宏新材料科技发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725815716974593, 316, 100, '0,100', '金普新区湾里街道樱飞百货超市', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:29', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725892770533377, 293, 100, '0,100', '抚顺蜡港网络科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153725916791312385, 521, 100, '0,100', '金普新区站前街道蚝喜欢泥烧烤店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:14:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726013805563905, 297, 100, '0,100', '普兰店区双塔钧磊工程队', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:15:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726079157014529, 413, 100, '0,100', '朝阳依诺财税咨询服务有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:15:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726094881460225, 495, 100, '0,100', '丰良意现代供应链（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:15:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726132097519617, 453, 100, '0,100', '朝阳市宏邦家政服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:15:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726185063190529, 263, 100, '0,100', '铁岭英诚药品咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:15:57', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726185482620929, 496, 100, '0,100', '亿朵现代供应链（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:15:57', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726245012377601, 426, 100, '0,100', '伍佰艺（大连）商贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726247956779009, 328, 100, '0,100', '锦州华洋船员服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726255493943297, 207, 100, '0,100', '江公酒业（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726309722099713, 528, 100, '0,100', '沈阳优政博惠企业管理咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:27', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726320816033793, 168, 100, '0,100', '北京日臻祥环保科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:30', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726380467425281, 169, 100, '0,100', '沈阳永业实业有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726388025561089, 349, 100, '0,100', '锦州滨海新区松良蛋禽摊床', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726399069163521, 455, 100, '0,100', '双塔区诚锐建筑施工队', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726437639983105, 302, 100, '0,100', '沙河口区哪吒生鲜水果店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:58', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726442576678913, 364, 100, '0,100', '锦州经济技术开发区王家街道艳明猪肉摊床', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:16:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726476105945089, 296, 100, '0,100', '圣域隆汽车用品贸易（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:17:07', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726504518160385, 299, 100, '0,100', '青岛地比图软件科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:17:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726509895258113, 353, 100, '0,100', '沙河口区大鱼音乐工作室', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:17:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726564131803137, 344, 100, '0,100', '齐派艺术书画（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:17:28', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726595366785025, 438, 100, '0,100', '大连万道财税咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:17:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726663138349057, 339, 100, '0,100', '大连三恩井科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:17:51', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726738317053953, 506, 100, '0,100', '大连上通万联汽车销售服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:18:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726806549991425, 152, 100, '0,100', '大连东原驱动技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:18:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726897402810369, 139, 100, '0,100', '大连东应船舶服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:18:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153726954256601089, 202, 100, '0,100', '大连中振计量检测有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:19:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727017456373761, 335, 100, '0,100', '大连中祥制业环境工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:19:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727089065725953, 497, 100, '0,100', '大连中科环境有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:19:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727145856602113, 332, 100, '0,100', '大连中科达显新能源科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:19:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727220250972161, 358, 100, '0,100', '大连久久顺船务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:20:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727473406578689, 173, 100, '0,100', '大连九合科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:21:05', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727526842011649, 329, 100, '0,100', '大连云联天翼电子商务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:21:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727593627914241, 385, 100, '0,100', '大连沙河口固齿口腔诊所有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:21:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727661680496641, 313, 100, '0,100', '大连亿权安装工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:21:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727716336472065, 470, 100, '0,100', '大连众益工业技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:22:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1153727768681385985, 428, 100, '0,100', '大连众鑫热力发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-19 16:22:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066321298821121, 222, 100, '0,100', '大连琛鑫科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:47:32', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066387749179393, 271, 100, '0,100', '大连恒达程经贸有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:47:49', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066500705980417, 270, 100, '0,100', '大连太平防水工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:48:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066513880289281, 221, 100, '0,100', '亚太高科（大连）科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:48:18', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066598479400961, 269, 100, '0,100', '大连思瑞乾润滑油有限责任公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:48:39', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066606612156417, 220, 100, '0,100', '辽宁德润白酒制造有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:48:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066618955993089, 250, 100, '0,100', '大连核力电子有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:48:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066659301003265, 219, 100, '0,100', '辽宁鲲鹏东北参茸特产有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:48:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066691261599744, 268, 100, '0,100', '甘井子区大连湾街道天天兴电子产品经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:01', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066707879432193, 218, 100, '0,100', '铁岭市银州区奕茹干洗衣店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066760597639169, 217, 100, '0,100', '铁岭市银州区康保药房', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066810312724481, 216, 100, '0,100', '大连聚荣和国际物流有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:29', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066839458942977, 267, 100, '0,100', '甘井子区大连湾街道永力电子产品经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:36', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066867585945601, 215, 100, '0,100', '大连甜梦谷国际贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066880584093697, 247, 100, '0,100', '大连乾艺建筑装饰有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:46', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066913723289601, 214, 100, '0,100', '辽宁辰锋物资材料贸易有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066929183494145, 266, 100, '0,100', '铁岭辅坤阀门有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:49:57', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154066951438471169, 246, 100, '0,100', '大连禾旭皮具有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067010292944897, 265, 100, '0,100', '铁岭久安运输有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067032401121281, 245, 100, '0,100', '大连信德餐饮服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067117738430465, 210, 100, '0,100', '大连米麟信息技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067126483554305, 244, 100, '0,100', '大连商通九州知识产权有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067170834124801, 149, 100, '0,100', '大连慢丽江餐饮管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:55', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067188513116161, 209, 100, '0,100', '大连梦威文化传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:50:59', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067209581105153, 242, 100, '0,100', '宸恒冷热节能设备（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067255030583297, 171, 100, '0,100', '西丰县西丰镇麦奇乐快餐店（二部）', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:15', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067260642562049, 262, 100, '0,100', '铁岭洲宇房地产开发有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:17', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067286940848129, 241, 100, '0,100', '威尔深（大连）海工科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067339105406977, 261, 100, '0,100', '铁岭市兴运管道工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:35', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067371502211073, 240, 100, '0,100', '大连瑞达利机电设备有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:43', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067403190177793, 260, 100, '0,100', '铁岭宇川精密机械制造有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067421221490689, 170, 100, '0,100', '西丰县西丰镇鑫顺源电子商务店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:51:54', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067446227931137, 239, 100, '0,100', '甘井子区南关岭街道恒德石材销售经营部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:00', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067450455789569, 259, 100, '0,100', '铁岭嘉兴物业管理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:02', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067489827721217, 466, 100, '0,100', '沙河口区贵珍大众浴池', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:11', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067503761199105, 201, 100, '0,100', '艾兰 (大连) 生物科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067508890832897, 258, 100, '0,100', '铁岭嘉兴房地产开发有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:16', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067551697899521, 465, 100, '0,100', '天恩璐（大连）石油化工有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:26', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067568470921217, 257, 100, '0,100', '铁岭嘉兴源土石方工程有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:30', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067621780525057, 199, 100, '0,100', '大连大作为计算机软件有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067674217713665, 198, 100, '0,100', '大连好贝拓房地产经纪咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:55', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067678751756289, 284, 100, '0,100', '斗善精密部件（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:52:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067725086232577, 197, 100, '0,100', '大连中世富瑞电子商务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:53:07', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067732166217729, 283, 100, '0,100', '甘井子区花落时节又逢君数据信息科技工作室', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:53:09', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067756958748673, 234, 100, '0,100', '大连商通知识产权服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:53:14', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067870796353537, 282, 100, '0,100', '大连市甘井子区惠联冷冻加工厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:53:42', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067915981590529, 281, 100, '0,100', '大连辽渔国际水产品市场惠联水产经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:53:52', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067918162628609, 253, 100, '0,100', '甘井子区大连湾街道兴林电子产品商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:53:53', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067962538364929, 280, 100, '0,100', '大连惠联水产有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:03', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154067998580019201, 279, 100, '0,100', '三江泰商贸（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068031555637249, 136, 100, '0,100', '大连恒爱信工程技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068031564025857, 252, 100, '0,100', '甘井子区大连湾街道明兴电子产品经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:20', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068040967655425, 278, 100, '0,100', '麻云伴智能科技（大连）有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068075792961537, 277, 100, '0,100', '大连启睿财税代理有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:30', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068086043840513, 251, 100, '0,100', '甘井子区大连湾街道兴国电子产品经销部', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:33', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068110198837249, 276, 100, '0,100', '大连博益企业管理咨询有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:39', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068147570085889, 275, 100, '0,100', '甘井子区大连湾街道泰孚商店', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:48', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068184832282625, 274, 100, '0,100', '甘井子区大连湾街道宏泰五金建材商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:54:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068217401053185, 273, 100, '0,100', '辽宁浩瀚水上运动发展有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:55:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068248090775553, 272, 100, '0,100', '大连谟钢铸造科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:55:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068398423019521, 141, 100, '0,100', '大连薛阿姨食品有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:55:47', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068637418655745, 143, 100, '0,100', '甘井子区翔顺电力电子元器件商行', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:56:44', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154068796881899521, 146, 100, '0,100', '大连市甘井子区伊休楼梯制造厂', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 14:57:22', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154069624401301505, 193, 100, '0,100', '大连惠特尔流体工程技术有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:00:40', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154069758874882049, 192, 100, '0,100', '大连中科生态科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:01:12', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154069882564907009, 182, 100, '0,100', '辽宁赛福特化工有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:01:41', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154069899409231873, 191, 100, '0,100', '大连方元文化传媒有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:01:45', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154069980036337665, 181, 100, '0,100', '大连盈科精密模具有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:02:04', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154069983597301761, 179, 100, '0,100', '辽宁信航科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:02:06', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154070170910724097, 189, 100, '0,100', '大连力群科技有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:02:50', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154070444719083521, 186, 100, '0,100', '天恩璐（大连）节能服务有限公司', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:03:56', '', NULL, 1, '');
INSERT INTO `sys_dept` VALUES (1154070496007032833, 187, 100, '0,100', '沙河口区梅尔大叔原生态农副产品中心', 0, NULL, NULL, NULL, '0', '0', '', '2023-09-20 15:04:08', '', NULL, 1, '');

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 148 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 0, '敏捷', '0', 'develop_type', NULL, 'danger', 'N', '0', 'admin', '2023-07-09 20:10:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (101, 0, '瀑布', '1', 'develop_type', NULL, 'primary', 'N', '0', 'admin', '2023-07-09 20:10:52', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (102, 0, '迭代', '2', 'develop_type', NULL, 'success', 'N', '0', 'admin', '2023-07-09 20:11:02', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (103, 0, '主平台', 'ezhizao-identity', 'app_key', NULL, 'primary', 'N', '0', 'admin', '2023-08-22 22:09:54', 'admin', '2023-08-22 22:10:22', NULL);
INSERT INTO `sys_dict_data` VALUES (104, 0, '访客系统', 'ezhizao-plugin-visitor', 'app_key', '', 'warning', 'N', '0', 'admin', '2023-08-22 22:12:08', 'admin', '2023-08-23 15:18:00', NULL);
INSERT INTO `sys_dict_data` VALUES (105, 0, '企业端', 'ezhizao-identity-tenant', 'app_key', NULL, 'success', 'N', '0', 'admin', '2023-08-22 22:13:37', 'admin', '2023-08-22 22:14:02', NULL);
INSERT INTO `sys_dict_data` VALUES (106, 0, '国有控股', '1', 'org_nature', NULL, 'primary', 'N', '0', 'admin', '2023-08-28 15:30:45', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (107, 0, '民营控股', '2', 'org_nature', NULL, 'warning', 'N', '0', 'admin', '2023-08-28 15:31:00', 'admin', '2023-08-28 15:31:49', NULL);
INSERT INTO `sys_dict_data` VALUES (108, 0, '外商控股', '3', 'org_nature', NULL, 'danger', 'N', '0', 'admin', '2023-08-28 15:31:13', 'admin', '2023-08-28 15:31:54', NULL);
INSERT INTO `sys_dict_data` VALUES (109, 0, '事业单位', '4', 'org_nature', NULL, 'success', 'N', '0', 'admin', '2023-08-28 15:31:30', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (110, 0, '民营非盈利', '5', 'org_nature', NULL, 'info', 'N', '0', 'admin', '2023-08-28 15:31:44', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (111, 0, '品牌直营', '1', 'store_type', NULL, 'primary', 'N', '0', 'admin', '2023-08-30 16:57:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (112, 0, '品牌授权', '2', 'store_type', NULL, 'success', 'N', '0', 'admin', '2023-08-30 16:58:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (113, 0, '文本输入框', 'el-input', 'el_component', NULL, 'primary', 'N', '0', 'admin', '2023-08-31 09:55:25', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (114, 0, '数字输入框', 'el-input-number', 'el_component', NULL, 'success', 'N', '0', 'admin', '2023-08-31 09:55:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (115, 0, '文件上传', 'el-upload', 'el_component', NULL, 'info', 'N', '0', 'admin', '2023-08-31 09:56:19', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (116, 0, '上架', '1', 'on_show', NULL, 'success', 'N', '0', 'admin', '2023-08-31 11:31:09', 'admin', '2023-09-04 13:42:01', NULL);
INSERT INTO `sys_dict_data` VALUES (117, 0, '下架', '0', 'on_show', NULL, 'danger', 'N', '0', 'admin', '2023-08-31 11:31:17', 'admin', '2023-09-04 13:42:06', NULL);
INSERT INTO `sys_dict_data` VALUES (118, 0, '推荐', '1', 'is_suggest', NULL, 'primary', 'N', '0', 'admin', '2023-08-31 11:32:43', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (119, 0, '不推荐', '0', 'is_suggest', NULL, 'danger', 'N', '0', 'admin', '2023-08-31 11:33:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (120, 1, '创建者', '1', 'user_tenant', NULL, 'success', 'N', '0', 'admin', '2023-08-31 15:35:27', 'admin', '2023-09-19 11:53:39', NULL);
INSERT INTO `sys_dict_data` VALUES (121, 1, '成员', '0', 'user_tenant', NULL, 'primary', 'N', '0', 'admin', '2023-08-31 15:37:17', 'admin', '2023-09-19 11:53:44', NULL);
INSERT INTO `sys_dict_data` VALUES (122, 0, '审核通过', '1', 'apply_status', NULL, 'success', 'N', '0', 'admin', '2023-08-31 16:26:34', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (123, 0, '审核未通过', '2', 'apply_status', NULL, 'danger', 'N', '0', 'admin', '2023-08-31 16:26:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (124, 0, '未审核', '0', 'apply_status', NULL, 'warning', 'N', '0', 'admin', '2023-08-31 16:27:04', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (125, 0, '淘宝', '淘宝', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:40:20', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (126, 0, '京东', '京东', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:40:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (127, 0, '美团', '美团', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:40:42', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (128, 0, '拼多多', '拼多多', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:48:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (129, 0, '小红书', '小红书', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:48:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (130, 0, '抖音', '抖音', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:49:07', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (131, 0, '快手', '快手', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:49:20', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (132, 0, '唯品会', '唯品会', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:49:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (133, 0, '苏宁易购', '苏宁易购', 'purchase_link', NULL, 'primary', 'N', '0', 'admin', '2023-09-01 13:50:00', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (134, 0, '时间选择框', 'el-date-picker', 'el_component', NULL, 'warning', 'N', '0', 'admin', '2023-09-01 15:17:08', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (139, 0, '已退出', '3', 'apply_status', NULL, 'info', 'N', '0', 'admin', '2023-09-07 10:38:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (140, 0, '企业码', '0', 'code_type', NULL, 'primary', 'N', '0', 'admin', '2023-09-11 10:34:40', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (141, 0, '产品码', '1', 'code_type', NULL, 'success', 'N', '0', 'admin', '2023-09-11 10:34:50', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (142, 0, '正品', '0', 'identity_status', NULL, 'success', 'N', '0', 'admin', '2023-09-11 10:51:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (143, 0, '伪品', '1', 'identity_status', NULL, 'danger', 'N', '0', 'admin', '2023-09-11 10:52:02', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (144, 0, '未绑码', '0', 'batch_status', NULL, 'info', 'N', '0', 'admin', '2023-09-12 12:59:45', 'admin', '2023-09-12 13:00:17', NULL);
INSERT INTO `sys_dict_data` VALUES (145, 1, '同步中', '1', 'batch_status', NULL, 'warning', 'N', '0', 'admin', '2023-09-12 13:00:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (146, 2, '已绑码', '2', 'batch_status', NULL, 'success', 'N', '0', 'admin', '2023-09-12 13:00:43', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (147, 3, '同步失败', '3', 'batch_status', NULL, 'danger', 'N', '0', 'admin', '2023-09-12 13:01:05', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '开发模式', 'develop_type', '0', 'admin', '2023-07-09 20:10:14', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (101, '平台应用', 'app_key', '0', 'admin', '2023-08-22 22:08:59', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (102, '企业性质', 'org_nature', '0', 'admin', '2023-08-28 15:30:14', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (103, '企业审核状态', 'tenant_status', '0', 'admin', '2023-08-28 15:32:31', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (106, '店铺类型', 'store_type', '0', 'admin', '2023-08-30 16:53:49', 'admin', '2023-08-30 16:55:13', '店铺装修列表');
INSERT INTO `sys_dict_type` VALUES (107, '控件选择', 'el_component', '0', 'admin', '2023-08-31 09:54:50', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (108, '是否上架', 'on_show', '0', 'admin', '2023-08-31 11:30:24', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (109, '是否推荐', 'is_suggest', '0', 'admin', '2023-08-31 11:32:21', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (110, '用户与租户关系', 'user_tenant', '0', 'admin', '2023-08-31 15:34:59', 'admin', '2023-08-31 15:36:46', NULL);
INSERT INTO `sys_dict_type` VALUES (111, '企业加入申请审核状态', 'apply_status', '0', 'admin', '2023-08-31 16:26:11', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (112, '购买链接', 'purchase_link', '0', 'admin', '2023-09-01 13:39:59', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (115, '标识码类型', 'code_type', '0', 'admin', '2023-09-11 10:34:08', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (116, '产品鉴伪状态', 'identity_status', '0', 'admin', '2023-09-11 10:51:30', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (117, '批次状态', 'batch_status', '0', 'admin', '2023-09-12 12:59:19', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 127 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '正常全局刷', 'DEFAULT', 'ryTask.register(1L,600L)', '0/10 * * * * ?', '3', '0', '1', 'admin', '2023-04-25 16:48:09', 'admin', '2023-09-23 07:52:01', '');
INSERT INTO `sys_job` VALUES (112, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '* * * * * ? *', '1', '1', '1', 'admin', '2023-09-22 13:38:41', 'admin', '2023-09-22 16:27:06', '');
INSERT INTO `sys_job` VALUES (113, '天恩璐（辽宁）技术有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,105L,\'TL880系列高性能矢量变频器\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:52:13', '');
INSERT INTO `sys_job` VALUES (114, '大连冠力电机科技有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,114L,\'TYPG系列通用永磁电机\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (115, '大连薛阿姨食品有限公', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,141L,\'TYPG系列通用永磁电机\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (116, '大连道和精密机械有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,200L,\'三坐标测量机\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (117, '大连万垚机械有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,204L,\'机床6160\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (118, '大连博斯特科技有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,205L,\'清洗液净化再生设备\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (119, '辽宁鲲鹏东北参茸特产有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,219L,\'蚕蛾鹿鞭酒\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (120, '中肽生物科技(大连)有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,224L,\'睡眠肽\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (121, '大连古源坊酒业有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,237L,\'辽南源黄米酒\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (122, '铁岭辅坤阀门有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,266L,\'三偏心金属硬密封蝶阀\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (123, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,348L,\'液压双隔膜式计量泵(带报警装置)\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (124, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,572L,\'复合A级硅质保温板\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (125, '大连亿鑫泰机电设备有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,586L,\'永磁变频低压大排量空压机\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');
INSERT INTO `sys_job` VALUES (126, '大连启臣机械有限公司', 'DEFAULT', 'ryTask.registerSingle(5900000L,6000000L,595L,\'P53B机封冲洗系统\')', '* * * * * ? *', '1', '0', '1', 'admin', '2023-09-22 22:33:25', 'admin', '2023-09-22 23:16:59', '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 475 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------
INSERT INTO `sys_job_log` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '系统默认（无参） 总共耗时：57030毫秒', '0', '', '2023-09-20 11:07:41');
INSERT INTO `sys_job_log` VALUES (2, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：9747毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.IndexOutOfBoundsException: Index: 257, Size: 257\r\n	at java.util.ArrayList.rangeCheck(ArrayList.java:659)\r\n	at java.util.ArrayList.get(ArrayList.java:435)\r\n	at com.ezhizao.framework.task.RyTask.distributeNumbers(RyTask.java:178)\r\n	at com.ezhizao.framework.task.RyTask.buildProduct(RyTask.java:134)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$f619ac90.buildProduct(<generated>)\r\n	... 10 more\r\n', '2023-09-20 16:14:02');
INSERT INTO `sys_job_log` VALUES (3, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：530毫秒', '0', '', '2023-09-20 16:16:23');
INSERT INTO `sys_job_log` VALUES (4, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：446毫秒', '0', '', '2023-09-20 16:18:56');
INSERT INTO `sys_job_log` VALUES (5, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：372毫秒', '0', '', '2023-09-20 16:20:43');
INSERT INTO `sys_job_log` VALUES (6, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：287毫秒', '0', '', '2023-09-20 16:21:04');
INSERT INTO `sys_job_log` VALUES (7, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：296毫秒', '0', '', '2023-09-20 16:21:10');
INSERT INTO `sys_job_log` VALUES (8, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：432毫秒', '0', '', '2023-09-20 16:22:18');
INSERT INTO `sys_job_log` VALUES (9, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：420毫秒', '0', '', '2023-09-20 16:23:25');
INSERT INTO `sys_job_log` VALUES (10, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：346毫秒', '0', '', '2023-09-20 16:23:31');
INSERT INTO `sys_job_log` VALUES (11, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：277毫秒', '0', '', '2023-09-20 16:23:36');
INSERT INTO `sys_job_log` VALUES (12, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：686毫秒', '0', '', '2023-09-20 16:24:55');
INSERT INTO `sys_job_log` VALUES (13, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：442毫秒', '0', '', '2023-09-20 16:25:43');
INSERT INTO `sys_job_log` VALUES (14, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：1061毫秒', '0', '', '2023-09-20 16:26:26');
INSERT INTO `sys_job_log` VALUES (15, '构建产品批次信息', 'DEFAULT', 'ryTask.buildProduct', '构建产品批次信息 总共耗时：311毫秒', '0', '', '2023-09-20 16:31:08');
INSERT INTO `sys_job_log` VALUES (16, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '系统默认（无参） 总共耗时：16409967毫秒', '0', '', '2023-09-20 21:08:12');
INSERT INTO `sys_job_log` VALUES (17, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '系统默认（无参） 总共耗时：9毫秒', '0', '', '2023-09-21 10:43:05');
INSERT INTO `sys_job_log` VALUES (18, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$203c3d5a.ryNoParams(java.lang.Integer)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 10:44:24');
INSERT INTO `sys_job_log` VALUES (19, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(\'472\')', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$203c3d5a.ryNoParams(java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 10:44:42');
INSERT INTO `sys_job_log` VALUES (20, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '系统默认（有参） 总共耗时：0毫秒', '0', '', '2023-09-21 10:45:28');
INSERT INTO `sys_job_log` VALUES (21, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472l)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"472l\"\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\n	at java.lang.Integer.parseInt(Integer.java:580)\n	at java.lang.Integer.valueOf(Integer.java:766)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 10:46:19');
INSERT INTO `sys_job_log` VALUES (22, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472l)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"472l\"\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\n	at java.lang.Integer.parseInt(Integer.java:580)\n	at java.lang.Integer.valueOf(Integer.java:766)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 10:47:10');
INSERT INTO `sys_job_log` VALUES (23, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$203c3d5a.ryNoParams(java.lang.Integer)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 10:47:18');
INSERT INTO `sys_job_log` VALUES (24, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams()', '系统默认（无参） 总共耗时：0毫秒', '0', '', '2023-09-21 10:48:24');
INSERT INTO `sys_job_log` VALUES (25, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams()', '系统默认（无参） 总共耗时：0毫秒', '0', '', '2023-09-21 10:49:14');
INSERT INTO `sys_job_log` VALUES (26, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$203c3d5a.ryNoParams(java.lang.Integer)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 10:51:10');
INSERT INTO `sys_job_log` VALUES (27, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：8毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$fe392779.ryNoParams(java.lang.Integer)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 10:53:29');
INSERT INTO `sys_job_log` VALUES (28, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：22131毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'>\n            t1.deleted = 0\n             AND t1.tenant_id = 472\' at line 4\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE -->             t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'>\n            t1.deleted = 0\n             AND t1.tenant_id = 472\' at line 4\n; bad SQL gra', '2023-09-21 11:02:09');
INSERT INTO `sys_job_log` VALUES (29, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：10629毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: com.ezhizao.common.exception.ServiceException: 获取用户信息异常\r\n	at com.ezhizao.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:88)\r\n	at com.ezhizao.framework.web.controller.BaseController.register(BaseController.java:363)\r\n	at com.ezhizao.framework.task.RyTask.ryNoParams(RyTask.java:64)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$f200b04d.ryNoParams(<generated>)\r\n	... 10 more\r\n', '2023-09-21 11:02:59');
INSERT INTO `sys_job_log` VALUES (30, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：10352毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: com.ezhizao.common.exception.ServiceException: 获取用户信息异常\r\n	at com.ezhizao.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:88)\r\n	at com.ezhizao.framework.web.controller.BaseController.register(BaseController.java:363)\r\n	at com.ezhizao.framework.task.RyTask.ryNoParams(RyTask.java:64)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$69d6068f.ryNoParams(<generated>)\r\n	... 10 more\r\n', '2023-09-21 11:07:01');
INSERT INTO `sys_job_log` VALUES (31, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：12788毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: com.ezhizao.common.exception.ServiceException: 获取用户信息异常\r\n	at com.ezhizao.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:88)\r\n	at com.ezhizao.framework.web.controller.BaseController.register(BaseController.java:363)\r\n	at com.ezhizao.framework.task.RyTask.ryNoParams(RyTask.java:64)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$167017b1.ryNoParams(<generated>)\r\n	... 10 more\r\n', '2023-09-21 11:08:15');
INSERT INTO `sys_job_log` VALUES (32, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：46917毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: com.ezhizao.common.exception.ServiceException: 获取用户信息异常\r\n	at com.ezhizao.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:88)\r\n	at com.ezhizao.framework.web.controller.BaseController.register(BaseController.java:363)\r\n	at com.ezhizao.framework.task.RyTask.ryNoParams(RyTask.java:64)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$167017b1.ryNoParams(<generated>)\r\n	... 10 more\r\n', '2023-09-21 11:09:33');
INSERT INTO `sys_job_log` VALUES (33, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：69463毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: com.ezhizao.common.exception.ServiceException: 获取用户信息异常\r\n	at com.ezhizao.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:88)\r\n	at com.ezhizao.framework.web.controller.BaseController.register(BaseController.java:363)\r\n	at com.ezhizao.framework.task.RyTask.ryNoParams(RyTask.java:64)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$167017b1.ryNoParams(<generated>)\r\n	... 10 more\r\n', '2023-09-21 11:11:01');
INSERT INTO `sys_job_log` VALUES (34, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：10233毫秒', '0', '', '2023-09-21 11:23:19');
INSERT INTO `sys_job_log` VALUES (35, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：35557毫秒', '0', '', '2023-09-21 11:24:02');
INSERT INTO `sys_job_log` VALUES (36, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472L)', '系统默认（无参） 总共耗时：9092毫秒', '0', '', '2023-09-21 11:24:48');
INSERT INTO `sys_job_log` VALUES (37, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(493L)', '系统默认（无参） 总共耗时：12397毫秒', '0', '', '2023-09-21 11:35:12');
INSERT INTO `sys_job_log` VALUES (38, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(495L)', '系统默认（无参） 总共耗时：5662毫秒', '0', '', '2023-09-21 11:37:10');
INSERT INTO `sys_job_log` VALUES (39, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams()', '系统默认（无参） 总共耗时：157毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'tenant_id\' in \'where clause\'\r\n### The error may exist in com/ezhizao/project/tenant/mapper/TenantMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,logo,ent_id,identity,identity_qc_code,rotation_chart,snms_password,snms_user_name,org_name,db_url,db_user_name,db_password,database_name,db_host,vip,expire,ent_prefix,org_nature,org_addr,org_addr_province,province,org_addr_city,city,org_addr_county,county,org_crt_code,org_crt_type,reg_capital,establish_date,org_desc,industry_category,industry_specific,website,legal_name,contact_email,contact_phone,contact_name,status,audit_msg,audit_user,audit_date,business_license,introduction,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_tenant   WHERE  deleted=0  AND (tenant_id <> ? AND status = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'tenant_id\' in \'where clause\'\n; bad SQL grammar []; nested exception i', '2023-09-21 11:42:49');
INSERT INTO `sys_job_log` VALUES (40, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams()', '系统默认（无参） 总共耗时：159275毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'tenant_id\' in \'where clause\'\r\n### The error may exist in com/ezhizao/project/tenant/mapper/TenantMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,logo,ent_id,identity,identity_qc_code,rotation_chart,snms_password,snms_user_name,org_name,db_url,db_user_name,db_password,database_name,db_host,vip,expire,ent_prefix,org_nature,org_addr,org_addr_province,province,org_addr_city,city,org_addr_county,county,org_crt_code,org_crt_type,reg_capital,establish_date,org_desc,industry_category,industry_specific,website,legal_name,contact_email,contact_phone,contact_name,status,audit_msg,audit_user,audit_date,business_license,introduction,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_tenant   WHERE  deleted=0  AND (tenant_id <> ? AND status = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'tenant_id\' in \'where clause\'\n; bad SQL grammar []; nested exception i', '2023-09-21 11:45:45');
INSERT INTO `sys_job_log` VALUES (41, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams()', '系统默认（无参） 总共耗时：2742408毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Connection reset; nested exception is java.net.SocketException: Connection reset\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$ryNoParams$0(RyTask.java:83)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.ryNoParams(RyTask.java:72)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 12:42:22');
INSERT INTO `sys_job_log` VALUES (42, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472l,293l,495l])', '系统默认（无参） 总共耗时：8毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472l\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Integer.parseInt(Integer.java:580)\r\n	at java.lang.Integer.valueOf(Integer.java:766)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:26:43');
INSERT INTO `sys_job_log` VALUES (43, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472l,293l,495l])', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472l\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Integer.parseInt(Integer.java:580)\r\n	at java.lang.Integer.valueOf(Integer.java:766)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:27:02');
INSERT INTO `sys_job_log` VALUES (44, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472,493,495])', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Integer.parseInt(Integer.java:580)\r\n	at java.lang.Integer.valueOf(Integer.java:766)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:27:34');
INSERT INTO `sys_job_log` VALUES (45, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472L,493L,495L])', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Long.parseLong(Long.java:589)\r\n	at java.lang.Long.valueOf(Long.java:803)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:132)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:27:52');
INSERT INTO `sys_job_log` VALUES (46, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472L,493L,495L])', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Long.parseLong(Long.java:589)\r\n	at java.lang.Long.valueOf(Long.java:803)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:132)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:28:01');
INSERT INTO `sys_job_log` VALUES (47, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472L,493L,495L])', '系统默认（无参） 总共耗时：11毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472\"\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\n	at java.lang.Long.parseLong(Long.java:589)\n	at java.lang.Long.valueOf(Long.java:803)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:132)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-21 13:28:22');
INSERT INTO `sys_job_log` VALUES (48, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams([472L,493L,495L])', '系统默认（无参） 总共耗时：6毫秒', '1', 'java.lang.NumberFormatException: For input string: \"[472\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Long.parseLong(Long.java:589)\r\n	at java.lang.Long.valueOf(Long.java:803)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:132)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:28:54');
INSERT INTO `sys_job_log` VALUES (49, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(’[472L,493L,495L]‘)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"’[472\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Long.parseLong(Long.java:589)\r\n	at java.lang.Long.valueOf(Long.java:803)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:132)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:31:10');
INSERT INTO `sys_job_log` VALUES (50, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(\'[472L,493L,495L]\')', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$43e6471b.ryNoParams(java.lang.String)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:31:18');
INSERT INTO `sys_job_log` VALUES (51, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(\'[472L,493L,495L]\')', '系统默认（无参） 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$adbc6a1d.ryNoParams(java.lang.String)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:31:29');
INSERT INTO `sys_job_log` VALUES (52, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(\"472L,493L,495L\")', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$43e6471b.ryNoParams(java.lang.String)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:31:50');
INSERT INTO `sys_job_log` VALUES (53, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(’472,475‘)', '系统默认（无参） 总共耗时：8毫秒', '1', 'java.lang.NumberFormatException: For input string: \"’472\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Integer.parseInt(Integer.java:580)\r\n	at java.lang.Integer.valueOf(Integer.java:766)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:34:01');
INSERT INTO `sys_job_log` VALUES (54, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$fe392779.ryNoParams(java.lang.Integer)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:34:59');
INSERT INTO `sys_job_log` VALUES (55, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$fe392779.ryNoParams(java.lang.Integer)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:35:39');
INSERT INTO `sys_job_log` VALUES (56, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(472)', '系统默认（无参） 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$fe392779.ryNoParams(java.lang.Integer)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:36:01');
INSERT INTO `sys_job_log` VALUES (57, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams(\'472,478\')', '系统默认（无参） 总共耗时：77211毫秒', '0', '', '2023-09-21 13:41:46');
INSERT INTO `sys_job_log` VALUES (58, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'106,136\')', '朱汕 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$a793f035.zhushan(java.lang.String)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:57:44');
INSERT INTO `sys_job_log` VALUES (59, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'106,136\')', '朱汕 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$a793f035.zhushan(java.lang.String)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 13:59:18');
INSERT INTO `sys_job_log` VALUES (60, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：22766毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:08:05');
INSERT INTO `sys_job_log` VALUES (61, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220,221\')', '朱泽禹 总共耗时：116863毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Java heap space\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Java heap space\n; Java heap space; nested exception is java.sql.SQLException: Java heap space\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTrans', '2023-09-21 14:08:35');
INSERT INTO `sys_job_log` VALUES (62, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：46727毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.RecoverableDataAccessException: \n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 16,394 milliseconds ago. The last packet sent successfully to the server was 46,703 milliseconds ago.\n### The error may exist in com/ezhizao/project/tenant/mapper/TenantMapper.java (best guess)\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT  id,logo,ent_id,identity,identity_qc_code,rotation_chart,snms_password,snms_user_name,org_name,db_url,db_user_name,db_password,database_name,db_host,vip,expire,ent_prefix,org_nature,org_addr,org_addr_province,province,org_addr_city,city,org_addr_county,county,org_crt_code,org_crt_type,reg_capital,establish_date,org_desc,industry_category,industry_specific,website,legal_name,contact_email,contact_phone,contact_name,status,audit_msg,audit_user,audit_date,business_license,introduction,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_tenant   WHERE  deleted=0  AND (id IN (', '2023-09-21 14:08:52');
INSERT INTO `sys_job_log` VALUES (63, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：98422毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:09:43');
INSERT INTO `sys_job_log` VALUES (64, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：31618毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(Abstra', '2023-09-21 14:09:48');
INSERT INTO `sys_job_log` VALUES (65, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：65716毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.tra', '2023-09-21 14:10:29');
INSERT INTO `sys_job_log` VALUES (66, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：54140毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:10:37');
INSERT INTO `sys_job_log` VALUES (67, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：23676毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(Abstra', '2023-09-21 14:10:50');
INSERT INTO `sys_job_log` VALUES (68, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：126073毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:10:58');
INSERT INTO `sys_job_log` VALUES (69, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：10184毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:11:15');
INSERT INTO `sys_job_log` VALUES (70, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：52553毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(Abstra', '2023-09-21 14:11:19');
INSERT INTO `sys_job_log` VALUES (71, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：30545毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(Abstra', '2023-09-21 14:11:21');
INSERT INTO `sys_job_log` VALUES (72, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：18136毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:11:33');
INSERT INTO `sys_job_log` VALUES (73, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：16379毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:11:50');
INSERT INTO `sys_job_log` VALUES (74, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：160822毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.tra', '2023-09-21 14:12:04');
INSERT INTO `sys_job_log` VALUES (75, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：17469毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:12:07');
INSERT INTO `sys_job_log` VALUES (76, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：100755毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:12:18');
INSERT INTO `sys_job_log` VALUES (77, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：14147毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:12:32');
INSERT INTO `sys_job_log` VALUES (78, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：33351毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:12:41');
INSERT INTO `sys_job_log` VALUES (79, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：18472毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:12:51');
INSERT INTO `sys_job_log` VALUES (80, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：67358毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:13:58');
INSERT INTO `sys_job_log` VALUES (81, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：339645毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,073 milliseconds ago. The last packet sent successfully to the server was 13,813 milliseconds ago.\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,073 milliseconds ago. The last packet sent successfully to the serv', '2023-09-21 14:14:01');
INSERT INTO `sys_job_log` VALUES (82, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：364838毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.A', '2023-09-21 14:14:26');
INSERT INTO `sys_job_log` VALUES (83, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'106,136\')', '朱汕 总共耗时：119806毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.tra', '2023-09-21 14:18:27');
INSERT INTO `sys_job_log` VALUES (84, '朱汕', 'DEFAULT', 'ryTask.zhushan(‘136’)', '朱汕 总共耗时：0毫秒', '1', 'java.lang.NumberFormatException: For input string: \"‘136’\"\r\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\r\n	at java.lang.Integer.parseInt(Integer.java:580)\r\n	at java.lang.Integer.valueOf(Integer.java:766)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 14:18:52');
INSERT INTO `sys_job_log` VALUES (85, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：16289毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslato', '2023-09-21 14:23:44');
INSERT INTO `sys_job_log` VALUES (86, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'222\')', '朱泽禹 总共耗时：454102毫秒', '0', '', '2023-09-21 14:39:06');
INSERT INTO `sys_job_log` VALUES (87, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'337\')', '郭雨佳 总共耗时：157182毫秒', '0', '', '2023-09-21 14:41:24');
INSERT INTO `sys_job_log` VALUES (88, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'338\')', '郭雨佳 总共耗时：266052毫秒', '0', '', '2023-09-21 14:49:20');
INSERT INTO `sys_job_log` VALUES (89, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'173\')', '朱汕 总共耗时：1561560毫秒', '0', '', '2023-09-21 14:50:02');
INSERT INTO `sys_job_log` VALUES (90, 'wj', 'DEFAULT', 'ryTask.wangjian(\'183,184,185\')', 'wj 总共耗时：1185114毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:135)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 14:54:35');
INSERT INTO `sys_job_log` VALUES (91, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'339\')', '郭雨佳 总共耗时：180646毫秒', '0', '', '2023-09-21 14:54:52');
INSERT INTO `sys_job_log` VALUES (92, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'340\')', '郭雨佳 总共耗时：116966毫秒', '0', '', '2023-09-21 14:57:25');
INSERT INTO `sys_job_log` VALUES (93, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'340\')', '郭雨佳 总共耗时：121975毫秒', '0', '', '2023-09-21 14:58:11');
INSERT INTO `sys_job_log` VALUES (94, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'341\')', '郭雨佳 总共耗时：54708毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTrans', '2023-09-21 14:59:14');
INSERT INTO `sys_job_log` VALUES (95, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：296068毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:135)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 15:03:47');
INSERT INTO `sys_job_log` VALUES (96, '曲悦', 'DEFAULT', 'ryTask.zhushan(\'261\')', '曲悦 总共耗时：1900726毫秒', '0', '', '2023-09-21 15:05:44');
INSERT INTO `sys_job_log` VALUES (97, 'wj', 'DEFAULT', 'ryTask.wangjian(\'185\')', 'wj 总共耗时：226920毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:135)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 15:11:10');
INSERT INTO `sys_job_log` VALUES (98, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'342\')', '郭雨佳 总共耗时：395877毫秒', '0', '', '2023-09-21 15:14:01');
INSERT INTO `sys_job_log` VALUES (99, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'220\')', '朱泽禹 总共耗时：2237434毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuzeyu$1(RyTask.java:84)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhuzeyu(RyTask.java:72)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProx', '2023-09-21 15:17:04');
INSERT INTO `sys_job_log` VALUES (100, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'343\')', '郭雨佳 总共耗时：335666毫秒', '0', '', '2023-09-21 15:20:35');
INSERT INTO `sys_job_log` VALUES (101, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'172\')', '朱汕 总共耗时：1699913毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 15:26:19');
INSERT INTO `sys_job_log` VALUES (102, '曲悦', 'DEFAULT', 'ryTask.quyue(\'261\')', '曲悦 总共耗时：1235896毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 15:26:20');
INSERT INTO `sys_job_log` VALUES (103, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'344\')', '郭雨佳 总共耗时：435728毫秒', '0', '', '2023-09-21 15:28:26');
INSERT INTO `sys_job_log` VALUES (104, '李爽', 'DEFAULT', 'ryTask.lishuang(\'404\')', '李爽 总共耗时：239453毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTrans', '2023-09-21 15:28:27');
INSERT INTO `sys_job_log` VALUES (105, 'wj', 'DEFAULT', 'ryTask.wangjian(\'187,188,189,190\')', 'wj 总共耗时：189597毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:135)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 15:29:27');
INSERT INTO `sys_job_log` VALUES (106, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'345\')', '郭雨佳 总共耗时：267426毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 15:33:27');
INSERT INTO `sys_job_log` VALUES (107, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'346\')', '郭雨佳 总共耗时：100647毫秒', '0', '', '2023-09-21 15:35:45');
INSERT INTO `sys_job_log` VALUES (108, '曲悦', 'DEFAULT', 'ryTask.quyue(\'262\')', '曲悦 总共耗时：1693145毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 15:36:54');
INSERT INTO `sys_job_log` VALUES (109, '曲悦', 'DEFAULT', 'ryTask.quyue(\'261\')', '曲悦 总共耗时：673769毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 15:37:34');
INSERT INTO `sys_job_log` VALUES (110, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'170\')', '朱汕 总共耗时：822167毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 15:41:56');
INSERT INTO `sys_job_log` VALUES (111, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'347\')', '郭雨佳 总共耗时：480084毫秒', '0', '', '2023-09-21 15:44:27');
INSERT INTO `sys_job_log` VALUES (112, '徐长赫', 'DEFAULT', 'ryTask.xu(\'300\')', '徐长赫 总共耗时：3632334毫秒', '0', '', '2023-09-21 15:44:30');
INSERT INTO `sys_job_log` VALUES (113, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'348\')', '郭雨佳 总共耗时：310803毫秒', '0', '', '2023-09-21 15:50:19');
INSERT INTO `sys_job_log` VALUES (114, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'349\')', '郭雨佳 总共耗时：134183毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTrans', '2023-09-21 15:53:18');
INSERT INTO `sys_job_log` VALUES (115, 'wj', 'DEFAULT', 'ryTask.wangjian(\'188\')', 'wj 总共耗时：87588毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 15:59:55');
INSERT INTO `sys_job_log` VALUES (116, 'wj', 'DEFAULT', 'ryTask.wangjian(\'188\')', 'wj 总共耗时：61337毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:02:39');
INSERT INTO `sys_job_log` VALUES (117, 'wj', 'DEFAULT', 'ryTask.wangjian(\'188\')', 'wj 总共耗时：19966毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:04:20');
INSERT INTO `sys_job_log` VALUES (118, 'wj', 'DEFAULT', 'ryTask.wangjian(\'188\')', 'wj 总共耗时：16953毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:05:37');
INSERT INTO `sys_job_log` VALUES (119, '曲悦', 'DEFAULT', 'ryTask.quyue(\'263\')', '曲悦 总共耗时：566011毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 16:06:13');
INSERT INTO `sys_job_log` VALUES (120, 'wj', 'DEFAULT', 'ryTask.wangjian(\'189\')', 'wj 总共耗时：11080毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:06:22');
INSERT INTO `sys_job_log` VALUES (121, '李爽', 'DEFAULT', 'ryTask.lishuang(\'428\')', '李爽 总共耗时：241149毫秒', '0', '', '2023-09-21 16:07:20');
INSERT INTO `sys_job_log` VALUES (122, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'519\')', '庄德政 总共耗时：1543979毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 16:09:46');
INSERT INTO `sys_job_log` VALUES (123, '李爽', 'DEFAULT', 'ryTask.lishuang(\'428\')', '李爽 总共耗时：12889毫秒', '0', '', '2023-09-21 16:10:22');
INSERT INTO `sys_job_log` VALUES (124, '李爽', 'DEFAULT', 'ryTask.lishuang(\'428\')', '李爽 总共耗时：18352毫秒', '0', '', '2023-09-21 16:12:08');
INSERT INTO `sys_job_log` VALUES (125, '李爽', 'DEFAULT', 'ryTask.lishuang(\'438\')', '李爽 总共耗时：16778毫秒', '0', '', '2023-09-21 16:12:58');
INSERT INTO `sys_job_log` VALUES (126, 'wj', 'DEFAULT', 'ryTask.wangjian(\'189\')', 'wj 总共耗时：14461毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:14:21');
INSERT INTO `sys_job_log` VALUES (127, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'350\')', '郭雨佳 总共耗时：195123毫秒', '0', '', '2023-09-21 16:14:39');
INSERT INTO `sys_job_log` VALUES (128, '李爽', 'DEFAULT', 'ryTask.lishuang(\'413\')', '李爽 总共耗时：49090毫秒', '0', '', '2023-09-21 16:14:41');
INSERT INTO `sys_job_log` VALUES (129, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'520\')', '庄德政 总共耗时：410978毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 16:16:37');
INSERT INTO `sys_job_log` VALUES (130, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'351\')', '郭雨佳 总共耗时：63323毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 16:16:38');
INSERT INTO `sys_job_log` VALUES (131, '李爽', 'DEFAULT', 'ryTask.lishuang(\'426\')', '李爽 总共耗时：24803毫秒', '0', '', '2023-09-21 16:17:13');
INSERT INTO `sys_job_log` VALUES (132, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'521\')', '庄德政 总共耗时：16983毫秒', '0', '', '2023-09-21 16:17:34');
INSERT INTO `sys_job_log` VALUES (133, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'169\')', '朱汕 总共耗时：1683746毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 16:17:57');
INSERT INTO `sys_job_log` VALUES (134, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：20695毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:18:03');
INSERT INTO `sys_job_log` VALUES (135, '李爽', 'DEFAULT', 'ryTask.lishuang(\'425\')', '李爽 总共耗时：20790毫秒', '0', '', '2023-09-21 16:18:19');
INSERT INTO `sys_job_log` VALUES (136, '李爽', 'DEFAULT', 'ryTask.lishuang(\'439\')', '李爽 总共耗时：8049毫秒', '0', '', '2023-09-21 16:19:05');
INSERT INTO `sys_job_log` VALUES (137, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'522\')', '庄德政 总共耗时：52毫秒', '0', '', '2023-09-21 16:19:22');
INSERT INTO `sys_job_log` VALUES (138, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：25009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:19:46');
INSERT INTO `sys_job_log` VALUES (139, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'522\')', '庄德政 总共耗时：25毫秒', '0', '', '2023-09-21 16:19:56');
INSERT INTO `sys_job_log` VALUES (140, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'523\')', '庄德政 总共耗时：52毫秒', '0', '', '2023-09-21 16:21:01');
INSERT INTO `sys_job_log` VALUES (141, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：49496毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:21:46');
INSERT INTO `sys_job_log` VALUES (142, '李爽', 'DEFAULT', 'ryTask.lishuang(\'439\')', '李爽 总共耗时：3006毫秒', '0', '', '2023-09-21 16:22:18');
INSERT INTO `sys_job_log` VALUES (143, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：49789毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:22:49');
INSERT INTO `sys_job_log` VALUES (144, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'524\')', '庄德政 总共耗时：935毫秒', '0', '', '2023-09-21 16:22:55');
INSERT INTO `sys_job_log` VALUES (145, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'528\')', '庄德政 总共耗时：1729毫秒', '0', '', '2023-09-21 16:23:23');
INSERT INTO `sys_job_log` VALUES (146, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：17907毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:23:23');
INSERT INTO `sys_job_log` VALUES (147, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'529\')', '庄德政 总共耗时：2346毫秒', '0', '', '2023-09-21 16:23:43');
INSERT INTO `sys_job_log` VALUES (148, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：29321毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:24:08');
INSERT INTO `sys_job_log` VALUES (149, '李爽', 'DEFAULT', 'ryTask.lishuang(\'425\')', '李爽 总共耗时：21375毫秒', '0', '', '2023-09-21 16:24:33');
INSERT INTO `sys_job_log` VALUES (150, '徐长赫', 'DEFAULT', 'ryTask.xu(\'301\')', '徐长赫 总共耗时：2266773毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$xu$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.xu(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(Cglib', '2023-09-21 16:24:35');
INSERT INTO `sys_job_log` VALUES (151, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'545\')', '庄德政 总共耗时：77763毫秒', '0', '', '2023-09-21 16:25:26');
INSERT INTO `sys_job_log` VALUES (152, '李爽', 'DEFAULT', 'ryTask.lishuang(\'426\')', '李爽 总共耗时：29651毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 16:25:31');
INSERT INTO `sys_job_log` VALUES (153, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：72975毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:25:32');
INSERT INTO `sys_job_log` VALUES (154, '李爽', 'DEFAULT', 'ryTask.lishuang(\'440\')', '李爽 总共耗时：22425毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 16:26:58');
INSERT INTO `sys_job_log` VALUES (155, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'546\')', '庄德政 总共耗时：77360毫秒', '0', '', '2023-09-21 16:27:07');
INSERT INTO `sys_job_log` VALUES (156, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：66471毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:27:22');
INSERT INTO `sys_job_log` VALUES (157, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：22108毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:27:54');
INSERT INTO `sys_job_log` VALUES (158, '曲悦', 'DEFAULT', 'ryTask.quyue(\'264\')', '曲悦 总共耗时：926367毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 16:28:11');
INSERT INTO `sys_job_log` VALUES (159, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：72144毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:29:17');
INSERT INTO `sys_job_log` VALUES (160, '李爽', 'DEFAULT', 'ryTask.lishuang(\'453\')', '李爽 总共耗时：2204毫秒', '0', '', '2023-09-21 16:29:24');
INSERT INTO `sys_job_log` VALUES (161, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'582\')', '庄德政 总共耗时：88300毫秒', '0', '', '2023-09-21 16:29:25');
INSERT INTO `sys_job_log` VALUES (162, '李爽', 'DEFAULT', 'ryTask.lishuang(\'455\')', '李爽 总共耗时：853毫秒', '0', '', '2023-09-21 16:29:50');
INSERT INTO `sys_job_log` VALUES (163, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：63823毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:31:08');
INSERT INTO `sys_job_log` VALUES (164, '李爽', 'DEFAULT', 'ryTask.lishuang(\'465\')', '李爽 总共耗时：13178毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 16:31:48');
INSERT INTO `sys_job_log` VALUES (165, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'221\')', '朱泽禹 总共耗时：4409106毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuzeyu$1(RyTask.java:84)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhuzeyu(RyTask.java:72)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProx', '2023-09-21 16:32:09');
INSERT INTO `sys_job_log` VALUES (166, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'168\')', '朱汕 总共耗时：841938毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 16:32:38');
INSERT INTO `sys_job_log` VALUES (167, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：62881毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:33:08');
INSERT INTO `sys_job_log` VALUES (168, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'372\')', '庄德政 总共耗时：94911毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 16:33:19');
INSERT INTO `sys_job_log` VALUES (169, '李爽', 'DEFAULT', 'ryTask.lishuang(\'470\')', '李爽 总共耗时：1865毫秒', '0', '', '2023-09-21 16:33:41');
INSERT INTO `sys_job_log` VALUES (170, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'352\')', '郭雨佳 总共耗时：170317毫秒', '0', '', '2023-09-21 16:34:02');
INSERT INTO `sys_job_log` VALUES (171, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：65405毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:34:25');
INSERT INTO `sys_job_log` VALUES (172, '曲悦', 'DEFAULT', 'ryTask.quyue(\'265\')', '曲悦 总共耗时：276713毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 16:34:32');
INSERT INTO `sys_job_log` VALUES (173, '李爽', 'DEFAULT', 'ryTask.lishuang(\'473\')', '李爽 总共耗时：3242毫秒', '0', '', '2023-09-21 16:35:42');
INSERT INTO `sys_job_log` VALUES (174, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：21679毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:35:42');
INSERT INTO `sys_job_log` VALUES (175, '李爽', 'DEFAULT', 'ryTask.lishuang(\'488\')', '李爽 总共耗时：1299毫秒', '0', '', '2023-09-21 16:36:40');
INSERT INTO `sys_job_log` VALUES (176, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'353\')', '郭雨佳 总共耗时：142431毫秒', '0', '', '2023-09-21 16:36:47');
INSERT INTO `sys_job_log` VALUES (177, '曲悦', 'DEFAULT', 'ryTask.quyue(\'266\')', '曲悦 总共耗时：74442毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [E:\\project\\ezhizao_identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translat', '2023-09-21 16:37:03');
INSERT INTO `sys_job_log` VALUES (178, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：38203毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:37:33');
INSERT INTO `sys_job_log` VALUES (179, '李爽', 'DEFAULT', 'ryTask.lishuang(\'490\')', '李爽 总共耗时：3400毫秒', '0', '', '2023-09-21 16:37:54');
INSERT INTO `sys_job_log` VALUES (180, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：70732毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:38:59');
INSERT INTO `sys_job_log` VALUES (181, '李爽', 'DEFAULT', 'ryTask.lishuang(\'492\')', '李爽 总共耗时：2406毫秒', '0', '', '2023-09-21 16:39:05');
INSERT INTO `sys_job_log` VALUES (182, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'373\')', '庄德政 总共耗时：331064毫秒', '0', '', '2023-09-21 16:39:25');
INSERT INTO `sys_job_log` VALUES (183, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'354\')', '郭雨佳 总共耗时：141320毫秒', '0', '', '2023-09-21 16:39:37');
INSERT INTO `sys_job_log` VALUES (184, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：84882毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:40:33');
INSERT INTO `sys_job_log` VALUES (185, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：34510毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:41:55');
INSERT INTO `sys_job_log` VALUES (186, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'224\')', '朱泽禹 总共耗时：469217毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuzeyu$1(RyTask.java:84)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhuzeyu(RyTask.java:72)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProx', '2023-09-21 16:42:32');
INSERT INTO `sys_job_log` VALUES (187, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'385\')', '庄德政 总共耗时：118583毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 16:42:47');
INSERT INTO `sys_job_log` VALUES (188, '李爽', 'DEFAULT', 'ryTask.lishuang(\'496\')', '李爽 总共耗时：3057毫秒', '0', '', '2023-09-21 16:42:48');
INSERT INTO `sys_job_log` VALUES (189, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：37819毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:43:01');
INSERT INTO `sys_job_log` VALUES (190, '徐长赫', 'DEFAULT', 'ryTask.xu(\'302\')', '徐长赫 总共耗时：848862毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$xu$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.xu(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(Cglib', '2023-09-21 16:43:30');
INSERT INTO `sys_job_log` VALUES (191, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：20569毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:43:44');
INSERT INTO `sys_job_log` VALUES (192, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：21634毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:44:16');
INSERT INTO `sys_job_log` VALUES (193, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：50251毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:45:35');
INSERT INTO `sys_job_log` VALUES (194, '徐长赫', 'DEFAULT', 'ryTask.xu(\'303\')', '徐长赫 总共耗时：17853毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.su', '2023-09-21 16:45:51');
INSERT INTO `sys_job_log` VALUES (195, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'386\')', '庄德政 总共耗时：166318毫秒', '0', '', '2023-09-21 16:46:03');
INSERT INTO `sys_job_log` VALUES (196, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'167\')', '朱汕 总共耗时：854870毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 16:48:09');
INSERT INTO `sys_job_log` VALUES (197, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'355\')', '郭雨佳 总共耗时：488717毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 16:48:15');
INSERT INTO `sys_job_log` VALUES (198, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'388\')', '庄德政 总共耗时：140940毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 16:48:46');
INSERT INTO `sys_job_log` VALUES (199, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：141795毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error flushing statements.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,031 milliseconds ago. The last packet sent successfully to the server was 10,342 milliseconds ago.\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,031 milliseconds ago. The last packet sent successfully to the server was 10,342 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,031 milliseconds ago. The last packet sent successfully to the server was 10,342 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,031 milliseconds ago. The last packet sent successfully to the server was 10,342 milliseconds ago.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQ', '2023-09-21 16:49:29');
INSERT INTO `sys_job_log` VALUES (200, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'389\')', '庄德政 总共耗时：93242毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 16:50:55');
INSERT INTO `sys_job_log` VALUES (201, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'357\')', '郭雨佳 总共耗时：144564毫秒', '0', '', '2023-09-21 16:52:01');
INSERT INTO `sys_job_log` VALUES (202, '曲悦', 'DEFAULT', 'ryTask.quyue(\'267\')', '曲悦 总共耗时：674255毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 16:53:14');
INSERT INTO `sys_job_log` VALUES (203, '徐长赫', 'DEFAULT', 'ryTask.xu(\'304\')', '徐长赫 总共耗时：290245毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$xu$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.xu(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(Cglib', '2023-09-21 16:53:58');
INSERT INTO `sys_job_log` VALUES (204, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：246022毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 16:54:09');
INSERT INTO `sys_job_log` VALUES (205, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'165\')', '朱汕 总共耗时：246902毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 16:54:27');
INSERT INTO `sys_job_log` VALUES (206, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'358\')', '郭雨佳 总共耗时：392981毫秒', '0', '', '2023-09-21 16:59:02');
INSERT INTO `sys_job_log` VALUES (207, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'397\')', '庄德政 总共耗时：454463毫秒', '0', '', '2023-09-21 16:59:11');
INSERT INTO `sys_job_log` VALUES (208, '李爽', 'DEFAULT', 'ryTask.lishuang(\'291\')', '李爽 总共耗时：22936毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\project\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.suppo', '2023-09-21 17:00:02');
INSERT INTO `sys_job_log` VALUES (209, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：73899毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:00:29');
INSERT INTO `sys_job_log` VALUES (210, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'359\')', '郭雨佳 总共耗时：137214毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:01:48');
INSERT INTO `sys_job_log` VALUES (211, '曲悦', 'DEFAULT', 'ryTask.quyue(\'268\')', '曲悦 总共耗时：474743毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 17:02:02');
INSERT INTO `sys_job_log` VALUES (212, '徐长赫', 'DEFAULT', 'ryTask.xu(\'305\')', '徐长赫 总共耗时：458478毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$xu$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.xu(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(Cglib', '2023-09-21 17:02:33');
INSERT INTO `sys_job_log` VALUES (213, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：148605毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.rollback(AbstractPlatformTransactionManager.java:809)', '2023-09-21 17:03:57');
INSERT INTO `sys_job_log` VALUES (214, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'164\')', '朱汕 总共耗时：133248毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.rollback(AbstractPlatformTransactionManager.java:809)', '2023-09-21 17:03:57');
INSERT INTO `sys_job_log` VALUES (215, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'360\')', '郭雨佳 总共耗时：29766毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.rollback(AbstractPlatformTransactionManager.java:809)\r\n	at org.springframework.transaction.inter', '2023-09-21 17:03:59');
INSERT INTO `sys_job_log` VALUES (216, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'224\')', '朱泽禹 总共耗时：1231820毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.rollback(AbstractPlatformTransactionManager.java:809)', '2023-09-21 17:03:59');
INSERT INTO `sys_job_log` VALUES (217, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'404\')', '庄德政 总共耗时：252280毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTrans', '2023-09-21 17:04:00');
INSERT INTO `sys_job_log` VALUES (218, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'164\')', '朱汕 总共耗时：10105毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,055 milliseconds ago. The last packet sent successfully to the server was 10,099 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,055 milliseconds ago. The last packet sent successfully to the server was 10,099 milliseconds ago.\n; Communi', '2023-09-21 17:04:07');
INSERT INTO `sys_job_log` VALUES (219, '徐长赫', 'DEFAULT', 'ryTask.xu(\'306\')', '徐长赫 总共耗时：10143毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,040 milliseconds ago. The last packet sent successfully to the server was 10,056 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,040 milliseconds ago. The last packet sent successfully to t', '2023-09-21 17:04:11');
INSERT INTO `sys_job_log` VALUES (220, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'411\')', '庄德政 总共耗时：10092毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,005 milliseconds ago. The last packet sent successfully to the server was 10,031 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,005 milliseconds ago. The last packet sent successfully to', '2023-09-21 17:04:48');
INSERT INTO `sys_job_log` VALUES (221, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'361\')', '郭雨佳 总共耗时：10074毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,024 milliseconds ago. The last packet sent successfully to the server was 10,047 milliseconds ago.\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,024 milliseconds ago. The last packet sent successfully to the server was 10,047 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the ', '2023-09-21 17:04:52');
INSERT INTO `sys_job_log` VALUES (222, '徐长赫', 'DEFAULT', 'ryTask.xu(\'307\')', '徐长赫 总共耗时：10081毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,024 milliseconds ago. The last packet sent successfully to the server was 10,057 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,024 milliseconds ago. The last packet sent successfully to t', '2023-09-21 17:05:02');
INSERT INTO `sys_job_log` VALUES (223, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：12462毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,366 milliseconds ago. The last packet sent successfully to the server was 12,392 milliseconds ago.\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?           limit 5000\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,366 milliseconds ago. The last packet sent successfully to the server was 12,392 milliseco', '2023-09-21 17:05:03');
INSERT INTO `sys_job_log` VALUES (224, '徐长赫', 'DEFAULT', 'ryTask.xu(\'307\')', '徐长赫 总共耗时：10179毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,137 milliseconds ago. The last packet sent successfully to the server was 10,173 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,137 milliseconds ago. The last packet sent successfully to t', '2023-09-21 17:05:12');
INSERT INTO `sys_job_log` VALUES (225, '曲悦', 'DEFAULT', 'ryTask.quyue(\'269\')', '曲悦 总共耗时：101328毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.rollback(AbstractPlatformTransactionManager.java:809)', '2023-09-21 17:05:15');
INSERT INTO `sys_job_log` VALUES (226, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'411\')', '庄德政 总共耗时：10109毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,025 milliseconds ago. The last packet sent successfully to the server was 10,050 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,025 milliseconds ago. The last packet sent successfully to', '2023-09-21 17:05:23');
INSERT INTO `sys_job_log` VALUES (227, '曲悦', 'DEFAULT', 'ryTask.quyue(\'270\')', '曲悦 总共耗时：10107毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,060 milliseconds ago. The last packet sent successfully to the server was 10,087 milliseconds ago.\r\n### The error may exist in file [E:\\project\\ezhizao_identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,060 milliseconds ago. The last packet sent successfully to the server was 10,087 milliseconds ago.\n; Communicatio', '2023-09-21 17:06:01');
INSERT INTO `sys_job_log` VALUES (228, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：12494毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,399 milliseconds ago. The last packet sent successfully to the server was 12,424 milliseconds ago.\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?           limit 5000\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,399 milliseconds ago. The last packet sent successfully to the server was 12,424 milliseco', '2023-09-21 17:06:06');
INSERT INTO `sys_job_log` VALUES (229, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'245\')', '庄德政 总共耗时：76138毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.', '2023-09-21 17:08:45');
INSERT INTO `sys_job_log` VALUES (230, '李爽', 'DEFAULT', 'ryTask.lishuang(\'291\')', '李爽 总共耗时：501008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 17:09:09');
INSERT INTO `sys_job_log` VALUES (231, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：165918毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:09:27');
INSERT INTO `sys_job_log` VALUES (232, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：23317毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:11:01');
INSERT INTO `sys_job_log` VALUES (233, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'362\')', '郭雨佳 总共耗时：280620毫秒', '0', '', '2023-09-21 17:11:28');
INSERT INTO `sys_job_log` VALUES (234, '李爽', 'DEFAULT', 'ryTask.lishuang(\'413\')', '李爽 总共耗时：24685毫秒', '0', '', '2023-09-21 17:11:30');
INSERT INTO `sys_job_log` VALUES (235, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：11261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:12:14');
INSERT INTO `sys_job_log` VALUES (236, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'164\')', '朱汕 总共耗时：186321毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 17:12:14');
INSERT INTO `sys_job_log` VALUES (237, '李爽', 'DEFAULT', 'ryTask.lishuang(\'416\')', '李爽 总共耗时：26353毫秒', '0', '', '2023-09-21 17:12:28');
INSERT INTO `sys_job_log` VALUES (238, '李爽', 'DEFAULT', 'ryTask.lishuang(\'425\')', '李爽 总共耗时：22051毫秒', '0', '', '2023-09-21 17:12:55');
INSERT INTO `sys_job_log` VALUES (239, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'363\')', '郭雨佳 总共耗时：89206毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:13:22');
INSERT INTO `sys_job_log` VALUES (240, '徐长赫', 'DEFAULT', 'ryTask.xu(\'308\')', '徐长赫 总共耗时：421835毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$xu$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.xu(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(Cglib', '2023-09-21 17:13:34');
INSERT INTO `sys_job_log` VALUES (241, '李爽', 'DEFAULT', 'ryTask.lishuang(\'426\')', '李爽 总共耗时：13940毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 17:13:34');
INSERT INTO `sys_job_log` VALUES (242, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：24373毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:13:37');
INSERT INTO `sys_job_log` VALUES (243, '曲悦', 'DEFAULT', 'ryTask.quyue(\'271\')', '曲悦 总共耗时：396556毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 17:13:59');
INSERT INTO `sys_job_log` VALUES (244, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'252\')', '朱泽禹 总共耗时：496729毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuzeyu$1(RyTask.java:84)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhuzeyu(RyTask.java:72)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProx', '2023-09-21 17:14:27');
INSERT INTO `sys_job_log` VALUES (245, '李爽', 'DEFAULT', 'ryTask.lishuang(\'428\')', '李爽 总共耗时：23752毫秒', '0', '', '2023-09-21 17:14:34');
INSERT INTO `sys_job_log` VALUES (246, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：17449毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:14:56');
INSERT INTO `sys_job_log` VALUES (247, '李爽', 'DEFAULT', 'ryTask.lishuang(\'438\')', '李爽 总共耗时：21604毫秒', '0', '', '2023-09-21 17:15:16');
INSERT INTO `sys_job_log` VALUES (248, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：21620毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:15:30');
INSERT INTO `sys_job_log` VALUES (249, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'364\')', '郭雨佳 总共耗时：110510毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:15:42');
INSERT INTO `sys_job_log` VALUES (250, '李爽', 'DEFAULT', 'ryTask.lishuang(\'439\')', '李爽 总共耗时：5961毫秒', '0', '', '2023-09-21 17:15:44');
INSERT INTO `sys_job_log` VALUES (251, '李爽', 'DEFAULT', 'ryTask.lishuang(\'440\')', '李爽 总共耗时：23213毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 17:16:50');
INSERT INTO `sys_job_log` VALUES (252, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'163\')', '朱汕 总共耗时：2322毫秒', '0', '', '2023-09-21 17:17:37');
INSERT INTO `sys_job_log` VALUES (253, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：93728毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:18:04');
INSERT INTO `sys_job_log` VALUES (254, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'246\')', '庄德政 总共耗时：462736毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 17:19:16');
INSERT INTO `sys_job_log` VALUES (255, '李爽', 'DEFAULT', 'ryTask.lishuang(\'441\')', '李爽 总共耗时：145517毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [D:\\project\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0              AND t1.tenant_id = ?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.suppo', '2023-09-21 17:19:49');
INSERT INTO `sys_job_log` VALUES (256, '李爽', 'DEFAULT', 'ryTask.lishuang(\'453\')', '李爽 总共耗时：2894毫秒', '0', '', '2023-09-21 17:19:52');
INSERT INTO `sys_job_log` VALUES (257, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：58165毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:19:58');
INSERT INTO `sys_job_log` VALUES (258, '李爽', 'DEFAULT', 'ryTask.lishuang(\'453\')', '李爽 总共耗时：7409毫秒', '0', '', '2023-09-21 17:19:59');
INSERT INTO `sys_job_log` VALUES (259, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'163\')', '朱汕 总共耗时：2101毫秒', '0', '', '2023-09-21 17:20:04');
INSERT INTO `sys_job_log` VALUES (260, '李爽', 'DEFAULT', 'ryTask.lishuang(\'455\')', '李爽 总共耗时：3095毫秒', '0', '', '2023-09-21 17:20:16');
INSERT INTO `sys_job_log` VALUES (261, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'225\')', '朱泽禹 总共耗时：10219毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,089 milliseconds ago. The last packet sent successfully to the server was 10,112 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?           limit 200\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,089 milliseconds ago. The last packet sent successfully to the server was 10,112 mi', '2023-09-21 17:20:33');
INSERT INTO `sys_job_log` VALUES (262, '李爽', 'DEFAULT', 'ryTask.lishuang(\'455\')', '李爽 总共耗时：1482毫秒', '0', '', '2023-09-21 17:20:59');
INSERT INTO `sys_job_log` VALUES (263, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'225\')', '朱泽禹 总共耗时：10272毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,136 milliseconds ago. The last packet sent successfully to the server was 10,165 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?           limit 200\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,136 milliseconds ago. The last packet sent successfully to the server was 10,165 mi', '2023-09-21 17:21:58');
INSERT INTO `sys_job_log` VALUES (264, '李爽', 'DEFAULT', 'ryTask.lishuang(\'465\')', '李爽 总共耗时：18392毫秒', '0', '', '2023-09-21 17:22:02');
INSERT INTO `sys_job_log` VALUES (265, '李爽', 'DEFAULT', 'ryTask.lishuang(\'466\')', '李爽 总共耗时：21810毫秒', '0', '', '2023-09-21 17:22:55');
INSERT INTO `sys_job_log` VALUES (266, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'365\')', '郭雨佳 总共耗时：384864毫秒', '0', '', '2023-09-21 17:23:05');
INSERT INTO `sys_job_log` VALUES (267, '李爽', 'DEFAULT', 'ryTask.lishuang(\'470\')', '李爽 总共耗时：1982毫秒', '0', '', '2023-09-21 17:23:18');
INSERT INTO `sys_job_log` VALUES (268, '李爽', 'DEFAULT', 'ryTask.lishuang(\'472\')', '李爽 总共耗时：24633毫秒', '0', '', '2023-09-21 17:24:07');
INSERT INTO `sys_job_log` VALUES (269, '李爽', 'DEFAULT', 'ryTask.lishuang(\'473\')', '李爽 总共耗时：2580毫秒', '0', '', '2023-09-21 17:24:30');
INSERT INTO `sys_job_log` VALUES (270, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'225\')', '朱泽禹 总共耗时：10295毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,141 milliseconds ago. The last packet sent successfully to the server was 10,242 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,141 milliseconds ago. The last packet sent successfully to the server was 10,242 milliseconds ago.\n; Co', '2023-09-21 17:24:53');
INSERT INTO `sys_job_log` VALUES (271, '李爽', 'DEFAULT', 'ryTask.lishuang(\'488\')', '李爽 总共耗时：2028毫秒', '0', '', '2023-09-21 17:24:55');
INSERT INTO `sys_job_log` VALUES (272, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'163\')', '朱汕 总共耗时：2305毫秒', '0', '', '2023-09-21 17:25:06');
INSERT INTO `sys_job_log` VALUES (273, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：239330毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,022 milliseconds ago. The last packet sent successfully to the server was 10,044 milliseconds ago.\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?           limit 200\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,022 milliseconds ago. The last packet sent successfully to the server was 10,044 millisecon', '2023-09-21 17:25:07');
INSERT INTO `sys_job_log` VALUES (274, '李爽', 'DEFAULT', 'ryTask.lishuang(\'490\')', '李爽 总共耗时：2169毫秒', '0', '', '2023-09-21 17:25:26');
INSERT INTO `sys_job_log` VALUES (275, '李爽', 'DEFAULT', 'ryTask.lishuang(\'492\')', '李爽 总共耗时：4138毫秒', '0', '', '2023-09-21 17:26:04');
INSERT INTO `sys_job_log` VALUES (276, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'370\')', '郭雨佳 总共耗时：155141毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:26:16');
INSERT INTO `sys_job_log` VALUES (277, '李爽', 'DEFAULT', 'ryTask.lishuang(\'493\')', '李爽 总共耗时：25117毫秒', '0', '', '2023-09-21 17:26:57');
INSERT INTO `sys_job_log` VALUES (278, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'226\')', '朱泽禹 总共耗时：10538毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,261 milliseconds ago. The last packet sent successfully to the server was 10,289 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,261 milliseconds ago. The last packet sent successfully to the server was 10,289 milliseconds ago.\n; Co', '2023-09-21 17:28:07');
INSERT INTO `sys_job_log` VALUES (279, '曲悦', 'DEFAULT', 'ryTask.quyue(\'271\')', '曲悦 总共耗时：853071毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 17:28:13');
INSERT INTO `sys_job_log` VALUES (280, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'328\')', '郭雨佳 总共耗时：45987毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:28:28');
INSERT INTO `sys_job_log` VALUES (281, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'226\')', '朱泽禹 总共耗时：10213毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,126 milliseconds ago. The last packet sent successfully to the server was 10,144 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,126 milliseconds ago. The last packet sent successfully to the server was 10,144 milliseconds ago.\n; Co', '2023-09-21 17:30:41');
INSERT INTO `sys_job_log` VALUES (282, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'329\')', '郭雨佳 总共耗时：55576毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:31:29');
INSERT INTO `sys_job_log` VALUES (283, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'226\')', '朱泽禹 总共耗时：10310毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,153 milliseconds ago. The last packet sent successfully to the server was 10,249 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,153 milliseconds ago. The last packet sent successfully to the server was 10,249 milliseconds ago.\n; Co', '2023-09-21 17:33:16');
INSERT INTO `sys_job_log` VALUES (284, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'247\')', '庄德政 总共耗时：815298毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 17:33:20');
INSERT INTO `sys_job_log` VALUES (285, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'162\')', '朱汕 总共耗时：433983毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 17:33:43');
INSERT INTO `sys_job_log` VALUES (286, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：36139毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:34:04');
INSERT INTO `sys_job_log` VALUES (287, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：26129毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:34:38');
INSERT INTO `sys_job_log` VALUES (288, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：27631毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:35:16');
INSERT INTO `sys_job_log` VALUES (289, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：41769毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:36:13');
INSERT INTO `sys_job_log` VALUES (290, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'260\')', '朱泽禹 总共耗时：10421毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,157 milliseconds ago. The last packet sent successfully to the server was 10,207 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,157 milliseconds ago. The last packet sent successfully to the server was 10,207 milliseconds ago.\n; Co', '2023-09-21 17:36:39');
INSERT INTO `sys_job_log` VALUES (291, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：54999毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:37:37');
INSERT INTO `sys_job_log` VALUES (292, '徐长赫', 'DEFAULT', 'ryTask.xu(\'309\')', '徐长赫 总共耗时：1389375毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$xu$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.xu(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(Cglib', '2023-09-21 17:37:42');
INSERT INTO `sys_job_log` VALUES (293, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：26008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:38:10');
INSERT INTO `sys_job_log` VALUES (294, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'330\')', '郭雨佳 总共耗时：349120毫秒', '0', '', '2023-09-21 17:38:19');
INSERT INTO `sys_job_log` VALUES (295, '徐长赫', 'DEFAULT', 'ryTask.xu(\'310\')', '徐长赫 总共耗时：10335毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,226 milliseconds ago. The last packet sent successfully to the server was 10,242 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,226 milliseconds ago. The last packet sent', '2023-09-21 17:39:12');
INSERT INTO `sys_job_log` VALUES (296, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'248\')', '庄德政 总共耗时：342491毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 17:39:33');
INSERT INTO `sys_job_log` VALUES (297, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：29740毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:39:47');
INSERT INTO `sys_job_log` VALUES (298, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'331\')', '郭雨佳 总共耗时：47665毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:39:51');
INSERT INTO `sys_job_log` VALUES (299, '徐长赫', 'DEFAULT', 'ryTask.xu(\'311\')', '徐长赫 总共耗时：10115毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,028 milliseconds ago. The last packet sent successfully to the server was 10,044 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,028 milliseconds ago. The last packet sent', '2023-09-21 17:40:38');
INSERT INTO `sys_job_log` VALUES (300, '徐长赫', 'DEFAULT', 'ryTask.xu(\'311\')', '徐长赫 总共耗时：10217毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,122 milliseconds ago. The last packet sent successfully to the server was 10,153 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,122 milliseconds ago. The last packet sent', '2023-09-21 17:41:27');
INSERT INTO `sys_job_log` VALUES (301, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：22145毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:41:30');
INSERT INTO `sys_job_log` VALUES (302, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'260\')', '朱泽禹 总共耗时：10398毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,264 milliseconds ago. The last packet sent successfully to the server was 10,291 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,264 milliseconds ago. The last packet sent successfully to the server was 10,291 milliseconds ago.\n; Co', '2023-09-21 17:41:44');
INSERT INTO `sys_job_log` VALUES (303, '徐长赫', 'DEFAULT', 'ryTask.xu(\'312\')', '徐长赫 总共耗时：10195毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,093 milliseconds ago. The last packet sent successfully to the server was 10,187 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,093 milliseconds ago. The last packet sent', '2023-09-21 17:42:09');
INSERT INTO `sys_job_log` VALUES (304, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：16637毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:43:07');
INSERT INTO `sys_job_log` VALUES (305, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'159\')', '朱汕 总共耗时：233109毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhushan$11(RyTask.java:339)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.zhushan(RyTask.java:327)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopP', '2023-09-21 17:43:34');
INSERT INTO `sys_job_log` VALUES (306, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'332\')', '郭雨佳 总共耗时：174876毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:43:34');
INSERT INTO `sys_job_log` VALUES (307, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'227\')', '朱泽禹 总共耗时：10169毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,066 milliseconds ago. The last packet sent successfully to the server was 10,092 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,066 milliseconds ago. The last packet sent successfully to the server was 10,092 milliseconds ago.\n; Co', '2023-09-21 17:43:57');
INSERT INTO `sys_job_log` VALUES (308, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'333\')', '郭雨佳 总共耗时：12875毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:44:07');
INSERT INTO `sys_job_log` VALUES (309, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：38877毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:44:14');
INSERT INTO `sys_job_log` VALUES (310, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'227\')', '朱泽禹 总共耗时：10235毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,118 milliseconds ago. The last packet sent successfully to the server was 10,140 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,118 milliseconds ago. The last packet sent successfully to the server was 10,140 milliseconds ago.\n; Co', '2023-09-21 17:45:43');
INSERT INTO `sys_job_log` VALUES (311, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：19580毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:46:11');
INSERT INTO `sys_job_log` VALUES (312, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'334\')', '郭雨佳 总共耗时：139977毫秒', '0', '', '2023-09-21 17:46:48');
INSERT INTO `sys_job_log` VALUES (313, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'227\')', '朱泽禹 总共耗时：15910毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,058 milliseconds ago. The last packet sent successfully to the server was 10,081 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,058 milliseconds ago. The last packet sent successfully to the server was 10,081 milliseconds ago.\n; Co', '2023-09-21 17:46:59');
INSERT INTO `sys_job_log` VALUES (314, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：19489毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:47:11');
INSERT INTO `sys_job_log` VALUES (315, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'249\')', '庄德政 总共耗时：436444毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 17:47:19');
INSERT INTO `sys_job_log` VALUES (316, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'227\')', '朱泽禹 总共耗时：10316毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,190 milliseconds ago. The last packet sent successfully to the server was 10,214 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,190 milliseconds ago. The last packet sent successfully to the server was 10,214 milliseconds ago.\n; Co', '2023-09-21 17:48:12');
INSERT INTO `sys_job_log` VALUES (317, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'335\')', '郭雨佳 总共耗时：121691毫秒', '0', '', '2023-09-21 17:49:12');
INSERT INTO `sys_job_log` VALUES (318, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：21621毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:49:46');
INSERT INTO `sys_job_log` VALUES (319, '曲悦', 'DEFAULT', 'ryTask.quyue(\'272\')', '曲悦 总共耗时：1299349毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 17:50:28');
INSERT INTO `sys_job_log` VALUES (320, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：24053毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:50:38');
INSERT INTO `sys_job_log` VALUES (321, '朱泽禹', 'DEFAULT', 'ryTask.zhuzeyu(\'227\')', '朱泽禹 总共耗时：26465毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,835 milliseconds ago. The last packet sent successfully to the server was 12,859 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,835 milliseconds ago. The last packet sent successfully to the server was 12,859 milliseconds ago.\n; Co', '2023-09-21 17:51:17');
INSERT INTO `sys_job_log` VALUES (322, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：35912毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:51:32');
INSERT INTO `sys_job_log` VALUES (323, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：24498毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:52:20');
INSERT INTO `sys_job_log` VALUES (324, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：50293毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:53:32');
INSERT INTO `sys_job_log` VALUES (325, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'226\')', '朱汕 总共耗时：10134毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,026 milliseconds ago. The last packet sent successfully to the server was 10,052 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,026 milliseconds ago. The last packet sent successfully to the server was 10,052 milliseconds ago.\n; Co', '2023-09-21 17:53:58');
INSERT INTO `sys_job_log` VALUES (326, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'336\')', '郭雨佳 总共耗时：291399毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 17:54:32');
INSERT INTO `sys_job_log` VALUES (327, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'226\')', '朱汕 总共耗时：10496毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,393 milliseconds ago. The last packet sent successfully to the server was 10,419 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,393 milliseconds ago. The last packet sent successfully to the server was 10,419 milliseconds ago.\n; Co', '2023-09-21 17:54:33');
INSERT INTO `sys_job_log` VALUES (328, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：31944毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:54:56');
INSERT INTO `sys_job_log` VALUES (329, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：20463毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:55:26');
INSERT INTO `sys_job_log` VALUES (330, '朱汕', 'DEFAULT', 'ryTask.zhushan(\'226\')', '朱汕 总共耗时：18221毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 14,679 milliseconds ago. The last packet sent successfully to the server was 14,704 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?           limit 5000\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 14,679 milliseconds ago. The last packet sent successfully to the server was 14,704 m', '2023-09-21 17:55:51');
INSERT INTO `sys_job_log` VALUES (331, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：63692毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:57:09');
INSERT INTO `sys_job_log` VALUES (332, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：65361毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:58:26');
INSERT INTO `sys_job_log` VALUES (333, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：20661毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:58:55');
INSERT INTO `sys_job_log` VALUES (334, '徐长赫', 'DEFAULT', 'ryTask.xu(\'312\')', '徐长赫 总共耗时：10248毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,158 milliseconds ago. The last packet sent successfully to the server was 10,189 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,158 milliseconds ago. The last packet sent', '2023-09-21 17:59:38');
INSERT INTO `sys_job_log` VALUES (335, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：16130毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 17:59:47');
INSERT INTO `sys_job_log` VALUES (336, '徐长赫', 'DEFAULT', 'ryTask.xu(\'312\')', '徐长赫 总共耗时：10934毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,733 milliseconds ago. The last packet sent successfully to the server was 10,756 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,733 milliseconds ago. The last packet sent', '2023-09-21 18:00:34');
INSERT INTO `sys_job_log` VALUES (337, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：27420毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 18:02:07');
INSERT INTO `sys_job_log` VALUES (338, '李爽', 'DEFAULT', 'ryTask.lishuang(\'494\')', '李爽 总共耗时：2095627毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor481.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 18:02:11');
INSERT INTO `sys_job_log` VALUES (339, '曲悦', 'DEFAULT', 'ryTask.quyue(\'273\')', '曲悦 总共耗时：645683毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 18:02:12');
INSERT INTO `sys_job_log` VALUES (340, '李爽', 'DEFAULT', 'ryTask.lishuang(\'496\')', '李爽 总共耗时：2705毫秒', '0', '', '2023-09-21 18:02:14');
INSERT INTO `sys_job_log` VALUES (341, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'327\')', '郭雨佳 总共耗时：107560毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at jdk.internal.reflect.GeneratedMethodAccessor447.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$guoyujia$7(RyTask.java:237)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.guoyujia(RyTask.java:225)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.ja', '2023-09-21 18:04:12');
INSERT INTO `sys_job_log` VALUES (342, 'wj', 'DEFAULT', 'ryTask.wangjian(\'184\')', 'wj 总共耗时：15576毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$wangjian$3(RyTask.java:140)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1257)\r\n	at com.ezhizao.framework.task.RyTask.wangjian(RyTask.java:123)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAop', '2023-09-21 18:04:42');
INSERT INTO `sys_job_log` VALUES (343, '李爽', 'DEFAULT', 'ryTask.lishuang(\'497\')', '李爽 总共耗时：22023毫秒', '0', '', '2023-09-21 18:17:08');
INSERT INTO `sys_job_log` VALUES (344, '李爽', 'DEFAULT', 'ryTask.lishuang(\'497\')', '李爽 总共耗时：17539毫秒', '0', '', '2023-09-21 18:17:26');
INSERT INTO `sys_job_log` VALUES (345, '徐长赫', 'DEFAULT', 'ryTask.xu(\'313\')', '徐长赫 总共耗时：10153毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,042 milliseconds ago. The last packet sent successfully to the server was 10,067 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName         FROM biz_product_batch_item t1          left join biz_product t2 on t1.product_id = t2.id and t2.deleted = 0           WHERE t1.deleted = 0 and t1.status = 0              AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,042 milliseconds ago. The last packet sent', '2023-09-21 18:23:06');
INSERT INTO `sys_job_log` VALUES (346, '李爽', 'DEFAULT', 'ryTask.lishuang(\'498\')', '李爽 总共耗时：17344毫秒', '0', '', '2023-09-21 18:24:39');
INSERT INTO `sys_job_log` VALUES (347, '李爽', 'DEFAULT', 'ryTask.lishuang(\'499\')', '李爽 总共耗时：20433毫秒', '0', '', '2023-09-21 18:29:45');
INSERT INTO `sys_job_log` VALUES (348, '李爽', 'DEFAULT', 'ryTask.lishuang(\'502\')', '李爽 总共耗时：18368毫秒', '0', '', '2023-09-21 18:31:19');
INSERT INTO `sys_job_log` VALUES (349, '曲悦', 'DEFAULT', 'ryTask.quyue(\'273\')', '曲悦 总共耗时：1815389毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$quyue$5(RyTask.java:186)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.quyue(RyTask.java:174)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.', '2023-09-21 18:32:27');
INSERT INTO `sys_job_log` VALUES (350, '徐长赫', 'DEFAULT', 'ryTask.xu(\'326\')', '徐长赫 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$a20cc252.xu(java.lang.String)\r\n	at java.base/java.lang.Class.getMethod(Class.java:2227)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 18:32:53');
INSERT INTO `sys_job_log` VALUES (351, '李爽', 'DEFAULT', 'ryTask.lishuang(\'506\')', '李爽 总共耗时：73777毫秒', '0', '', '2023-09-21 18:33:17');
INSERT INTO `sys_job_log` VALUES (352, '庄德政', 'DEFAULT', 'ryTask.zhuang(\'250\')', '庄德政 总共耗时：2762861毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$zhuang$15(RyTask.java:441)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.zhuang(RyTask.java:429)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMeth', '2023-09-21 18:37:19');
INSERT INTO `sys_job_log` VALUES (353, '李爽', 'DEFAULT', 'ryTask.lishuang(\'509\')', '李爽 总共耗时：175788毫秒', '0', '', '2023-09-21 18:37:29');
INSERT INTO `sys_job_log` VALUES (354, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：32217毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 19,058 milliseconds ago. The last packet sent successfully to the server was 19,080 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.status = 0 AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 19,058 milliseconds ago. The last packet sent successfully to the server was 19,080 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 18:44:09');
INSERT INTO `sys_job_log` VALUES (355, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：18663毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,384 milliseconds ago. The last packet sent successfully to the server was 10,408 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.status = 0 AND t1.tenant_id = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,384 milliseconds ago. The last packet sent successfully to the server was 10,408 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 18:46:03');
INSERT INTO `sys_job_log` VALUES (356, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：18749毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,358 milliseconds ago. The last packet sent successfully to the server was 10,380 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.tenant_id = ? AND t1.status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,358 milliseconds ago. The last packet sent successfully to the server was 10,380 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 18:48:39');
INSERT INTO `sys_job_log` VALUES (357, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：69297毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 19,416 milliseconds ago. The last packet sent successfully to the server was 19,442 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.tenant_id = ? AND t1.status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 19,416 milliseconds ago. The last packet sent successfully to the server was 19,442 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 18:53:53');
INSERT INTO `sys_job_log` VALUES (358, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：145161毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,900 milliseconds ago. The last packet sent successfully to the server was 12,924 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.tenant_id = ? AND t1.status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,900 milliseconds ago. The last packet sent successfully to the server was 12,924 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 18:56:51');
INSERT INTO `sys_job_log` VALUES (359, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：20132毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,027 milliseconds ago. The last packet sent successfully to the server was 12,050 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.tenant_id = ? AND t1.status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,027 milliseconds ago. The last packet sent successfully to the server was 12,050 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 18:57:44');
INSERT INTO `sys_job_log` VALUES (360, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：22783毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 14,211 milliseconds ago. The last packet sent successfully to the server was 14,234 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.tenant_id = ? AND t1.status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 14,211 milliseconds ago. The last packet sent successfully to the server was 14,234 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 19:01:00');
INSERT INTO `sys_job_log` VALUES (361, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：28719毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 19,772 milliseconds ago. The last packet sent successfully to the server was 19,796 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item t1 LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0 WHERE t1.deleted = 0 AND t1.tenant_id = ? AND t1.status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 19,772 milliseconds ago. The last packet sent successfully to the server was 19,796 milliseconds ago.\n; Communications link failure\n\nThe last packet suc', '2023-09-21 19:02:44');
INSERT INTO `sys_job_log` VALUES (362, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：2699毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 421,182 milliseconds ago. The last packet sent successfully to the server was 421,205 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,                t2.name AS product_name,t2.main_picture,                t3.name AS category_name,                t4.org_name AS tenant_name,                t4.ent_prefix,                t4.snms_user_name,                t4.snms_password         FROM biz_product_batch t1         LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0         LEFT JOIN biz_product_category t3 ON t2.category_id = t3.id AND t3.deleted = 0         LEFT JOIN biz_tenant t4 ON t4.id', '2023-09-21 19:04:10');
INSERT INTO `sys_job_log` VALUES (363, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：21579毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,447 milliseconds ago. The last packet sent successfully to the server was 12,470 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,447 milliseconds ago. The last packet sent successfully to the server was 12,470 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 12,447 milliseconds ago. The last packet s', '2023-09-21 19:08:58');
INSERT INTO `sys_job_log` VALUES (364, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：47282毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 38,930 milliseconds ago. The last packet sent successfully to the server was 38,952 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 38,930 milliseconds ago. The last packet sent successfully to the server was 38,952 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 38,930 milliseconds ago. The last packet s', '2023-09-21 19:14:27');
INSERT INTO `sys_job_log` VALUES (365, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：22909毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'ASC\n LIMIT 500\' at line 1\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id, tenant_id, product_id, batch_id FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ? order by ASC  LIMIT ?\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'ASC\n LIMIT 500\' at line 1\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version fo', '2023-09-21 19:22:26');
INSERT INTO `sys_job_log` VALUES (366, '刷标识', 'DEFAULT', 'ryTask.register()', '刷标识 总共耗时：131983毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:62)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'asc\n LIMIT 500\' at line 1\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id, tenant_id, product_id, batch_id FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ? order by asc  LIMIT ?\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'asc\n LIMIT 500\' at line 1\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version fo', '2023-09-21 19:27:20');
INSERT INTO `sys_job_log` VALUES (367, '刷标识', 'DEFAULT', 'ryTask.register(106,210)', '刷标识 总共耗时：4毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$d6652cc8.register(java.lang.Integer, java.lang.Integer)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 19:41:03');
INSERT INTO `sys_job_log` VALUES (368, '刷标识', 'DEFAULT', 'ryTask.register(106,210)', '刷标识 总共耗时：4毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$4a91555d.register(java.lang.Integer, java.lang.Integer)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 19:41:44');
INSERT INTO `sys_job_log` VALUES (369, '刷标识', 'DEFAULT', 'ryTask.register(106L,210L)', '刷标识 总共耗时：19107毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t1.tenantId\' in \'where clause\'\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,                t2.name AS product_name,t2.main_picture,                t3.name AS category_name,                t4.org_name AS tenant_name,                t4.ent_prefix,                t4.snms_user_name,                t4.snms_password         FROM biz_product_batch t1         LEFT JOIN biz_product t2 ON t1.product_id = t2.id AND t2.deleted = 0         LEFT JOIN biz_product_category t3 ON t2.category_id = t3.id AND t3.deleted = 0         LEFT JOIN biz_tenant t4 ON t4.id = t1.tenant_id AND t4.deleted = 0           WHERE t1.deleted = 0              AND t1.tenantId >= ?              AND t1.tenantId <= ?\r\n### Cause: java.sql.SQLSyntaxErrorEx', '2023-09-21 19:42:37');
INSERT INTO `sys_job_log` VALUES (370, '朱汕', 'DEFAULT', 'ryTask.register(106L,162L)', '朱汕 总共耗时：5281毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'LIMIT 500\' at line 7\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?           limit 5000  LIMIT ?\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'LIMIT 500\' at line 7\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corres', '2023-09-21 19:59:32');
INSERT INTO `sys_job_log` VALUES (371, '朱汕', 'DEFAULT', 'ryTask.register(106L,162L)', '朱汕 总共耗时：1119毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'LIMIT 500\' at line 7\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?           limit 5000  LIMIT ?\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'LIMIT 500\' at line 7\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corres', '2023-09-21 20:00:03');
INSERT INTO `sys_job_log` VALUES (372, '庄德政', 'DEFAULT', 'ryTask.register(166L,200L)', '庄德政 总共耗时：16374毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException: Cannot invoke \"com.alibaba.fastjson2.JSONArray.getJSONObject(int)\" because the return value of \"com.alibaba.fastjson2.JSONObject.getJSONArray(String)\" is null\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:103)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringC', '2023-09-21 21:03:07');
INSERT INTO `sys_job_log` VALUES (373, '庄德政', 'DEFAULT', 'ryTask.register(166L,200L)', '庄德政 总共耗时：160391毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException: Cannot invoke \"com.alibaba.fastjson2.JSONArray.getJSONObject(int)\" because the return value of \"com.alibaba.fastjson2.JSONObject.getJSONArray(String)\" is null\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:103)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringC', '2023-09-21 21:06:30');
INSERT INTO `sys_job_log` VALUES (374, '庄德政', 'DEFAULT', 'ryTask.register(440L,582L)', '庄德政 总共耗时：13737毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,702 milliseconds ago. The last packet sent successfully to the server was 12,727 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 12,702 milliseconds ago. The last packet sent successfully to the server was 12,727 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the ser', '2023-09-21 21:18:58');
INSERT INTO `sys_job_log` VALUES (375, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：21310毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,038 milliseconds ago. The last packet sent successfully to the server was 10,067 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,038 milliseconds ago. The last packet sent successfully to the server was 10,067 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the ser', '2023-09-21 21:20:03');
INSERT INTO `sys_job_log` VALUES (376, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：22660毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,038 milliseconds ago. The last packet sent successfully to the server was 10,068 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,038 milliseconds ago. The last packet sent successfully to the server was 10,068 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the ser', '2023-09-21 21:22:09');
INSERT INTO `sys_job_log` VALUES (377, '朱汕', 'DEFAULT', 'ryTask.register(106L,162L)', '朱汕 总共耗时：4843639毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.getTemplate(SnmsServiceImpl.java:190)\r\n	at com.ezhizao.snms.handle.Handle.getTemplate(Handle.java:318)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:226)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	', '2023-09-21 21:23:29');
INSERT INTO `sys_job_log` VALUES (378, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：22437毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,047 milliseconds ago. The last packet sent successfully to the server was 10,079 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,047 milliseconds ago. The last packet sent successfully to the server was 10,079 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,047 milliseconds ago. The last packet s', '2023-09-21 21:29:47');
INSERT INTO `sys_job_log` VALUES (379, '朱汕', 'DEFAULT', 'ryTask.register(208L,210L)', '朱汕 总共耗时：10493毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,335 milliseconds ago. The last packet sent successfully to the server was 10,359 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,335 milliseconds ago. The last packet sent successfully to the server was 10,359 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,335 milliseconds ago. The last packet s', '2023-09-21 21:33:44');
INSERT INTO `sys_job_log` VALUES (380, '朱汕', 'DEFAULT', 'ryTask.register(208L,210L)', '朱汕 总共耗时：10300毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,147 milliseconds ago. The last packet sent successfully to the server was 10,170 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,147 milliseconds ago. The last packet sent successfully to the server was 10,170 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,147 milliseconds ago. The last packet s', '2023-09-21 21:35:56');
INSERT INTO `sys_job_log` VALUES (381, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：21125毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,046 milliseconds ago. The last packet sent successfully to the server was 10,079 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,046 milliseconds ago. The last packet sent successfully to the server was 10,079 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,046 milliseconds ago. The last packet s', '2023-09-21 21:40:32');
INSERT INTO `sys_job_log` VALUES (382, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：26150毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,059 milliseconds ago. The last packet sent successfully to the server was 10,091 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,059 milliseconds ago. The last packet sent successfully to the server was 10,091 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully rec', '2023-09-21 21:50:16');
INSERT INTO `sys_job_log` VALUES (383, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：26892毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,067 milliseconds ago. The last packet sent successfully to the server was 10,094 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,067 milliseconds ago. The last packet sent successfully to the server was 10,094 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully rec', '2023-09-21 21:51:44');
INSERT INTO `sys_job_log` VALUES (384, '朱汕', 'DEFAULT', 'ryTask.register(208L,210L)', '朱汕 总共耗时：153867毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Connection reset by peer: socket write error; nested exception is java.net.SocketException: Connection reset by peer: socket write error\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:3', '2023-09-21 21:56:10');
INSERT INTO `sys_job_log` VALUES (385, '庄德政', 'DEFAULT', 'ryTask.register(445L,582L)', '庄德政 总共耗时：26819毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,039 milliseconds ago. The last packet sent successfully to the server was 10,070 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,039 milliseconds ago. The last packet sent successfully to the server was 10,070 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully rec', '2023-09-21 21:57:12');
INSERT INTO `sys_job_log` VALUES (386, '朱汕', 'DEFAULT', 'ryTask.register(208L,210L)', '朱汕 总共耗时：160799毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Connection reset by peer: socket write error; nested exception is java.net.SocketException: Connection reset by peer: socket write error\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:3', '2023-09-21 22:00:11');
INSERT INTO `sys_job_log` VALUES (387, '朱汕', 'DEFAULT', 'ryTask.register(250L,300L)', '朱汕 总共耗时：11627毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,175 milliseconds ago. The last packet sent successfully to the server was 10,197 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,175 milliseconds ago. The last packet sent successfully to the server was 10,197 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,175 milliseconds ago. The last packet s', '2023-09-21 22:04:06');
INSERT INTO `sys_job_log` VALUES (388, '朱汕', 'DEFAULT', 'ryTask.register(250L,300L)', '朱汕 总共耗时：12662毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,128 milliseconds ago. The last packet sent successfully to the server was 10,150 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,128 milliseconds ago. The last packet sent successfully to the server was 10,150 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,128 milliseconds ago. The last packet s', '2023-09-21 22:05:39');
INSERT INTO `sys_job_log` VALUES (389, '朱汕', 'DEFAULT', 'ryTask.register(250L,300L)', '朱汕 总共耗时：617045毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:103)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:266)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$a7fd827f.register(<generated>)\r\n	... 10 more\r\n', '2023-09-21 22:20:06');
INSERT INTO `sys_job_log` VALUES (390, '庄德政', 'DEFAULT', 'ryTask.register(301L,582L)', '庄德政 总共耗时：245010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException: Cannot invoke \"com.alibaba.fastjson2.JSONArray.getJSONObject(int)\" because the return value of \"com.alibaba.fastjson2.JSONObject.getJSONArray(String)\" is null\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:103)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringC', '2023-09-21 22:21:31');
INSERT INTO `sys_job_log` VALUES (391, '郭雨佳', 'DEFAULT', 'ryTask.guoyujia(\'324\')', '郭雨佳 总共耗时：13593039毫秒', '0', '', '2023-09-21 22:22:14');
INSERT INTO `sys_job_log` VALUES (392, '曲悦', 'DEFAULT', 'ryTask.register(150L,249L)', '曲悦 总共耗时：8毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$297d2b3c.register(java.lang.Long, java.lang.Long)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 22:40:28');
INSERT INTO `sys_job_log` VALUES (393, '曲悦', 'DEFAULT', 'ryTask.register(150L,249L)', '曲悦 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$297d2b3c.register(java.lang.Long, java.lang.Long)\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-21 22:40:50');
INSERT INTO `sys_job_log` VALUES (394, '李爽', 'DEFAULT', 'ryTask.lishuang(\'300\')', '李爽 总共耗时：3564704毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 22:41:49');
INSERT INTO `sys_job_log` VALUES (395, '郭雨佳', 'DEFAULT', 'ryTask.register(200L,250L)', '郭雨佳 总共耗时：502485毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMet', '2023-09-21 22:46:14');
INSERT INTO `sys_job_log` VALUES (396, '曲悦', 'DEFAULT', 'ryTask.register(106L,180L)', '曲悦 总共耗时：132079毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:269)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopPr', '2023-09-21 22:48:03');
INSERT INTO `sys_job_log` VALUES (397, '庄德政', 'DEFAULT', 'ryTask.register(304L,582L)', '庄德政 总共耗时：1200759毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMet', '2023-09-21 22:48:08');
INSERT INTO `sys_job_log` VALUES (398, '朱汕', 'DEFAULT', 'ryTask.register(251L,300L)', '朱汕 总共耗时：1315757毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:86)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopPr', '2023-09-21 22:55:53');
INSERT INTO `sys_job_log` VALUES (399, '李爽', 'DEFAULT', 'ryTask.lishuang(\'300,301\')', '李爽 总共耗时：873252毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.addIdentityBatch(SnmsServiceImpl.java:100)\r\n	at com.ezhizao.snms.handle.Handle.register(Handle.java:268)\r\n	at com.ezhizao.framework.task.RyTask.lambda$lishuang$9(RyTask.java:288)\r\n	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)\r\n	at com.ezhizao.framework.task.RyTask.lishuang(RyTask.java:276)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeM', '2023-09-21 22:56:23');
INSERT INTO `sys_job_log` VALUES (400, '曲悦', 'DEFAULT', 'ryTask.register(152L,180L)', '曲悦 总共耗时：254285毫秒', '0', '', '2023-09-21 22:59:58');
INSERT INTO `sys_job_log` VALUES (401, '朱泽禹', 'DEFAULT', 'ryTask.register(480L,582L)', '朱泽禹 总共耗时：224919毫秒', '0', '', '2023-09-21 23:18:30');
INSERT INTO `sys_job_log` VALUES (402, '徐长赫', 'DEFAULT', 'ryTask.register(400L,480L)', '徐长赫 总共耗时：165722毫秒', '0', '', '2023-09-21 23:22:58');
INSERT INTO `sys_job_log` VALUES (403, '朱泽禹', 'DEFAULT', 'ryTask.register(512L,582L)', '朱泽禹 总共耗时：90236毫秒', '0', '', '2023-09-21 23:42:39');
INSERT INTO `sys_job_log` VALUES (404, '庄德政', 'DEFAULT', 'ryTask.register(311L,400L)', '庄德政 总共耗时：722529毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 60,010 milliseconds ago. The last packet sent successfully to the server was 60,033 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 60,010 milliseconds ago. The last packet sent successfully to the server was 60,033 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the ser', '2023-09-21 23:45:20');
INSERT INTO `sys_job_log` VALUES (405, '郭雨佳', 'DEFAULT', 'ryTask.register(207L,250L)', '郭雨佳 总共耗时：456127毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 60,012 milliseconds ago. The last packet sent successfully to the server was 60,034 milliseconds ago.\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 60,012 milliseconds ago. The last packet sent successfully to the server was 60,034 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 6', '2023-09-21 23:45:24');
INSERT INTO `sys_job_log` VALUES (406, '徐长赫', 'DEFAULT', 'ryTask.register(350L,400L)', '徐长赫 总共耗时：1121281毫秒', '0', '', '2023-09-22 00:13:50');
INSERT INTO `sys_job_log` VALUES (407, '朱汕', 'DEFAULT', 'ryTask.register(256L,300L)', '朱汕 总共耗时：4500076毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 60,016 milliseconds ago. The last packet sent successfully to the server was 60,038 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 60,016 milliseconds ago. The last packet sent successfully to the server was 60,038 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 60,016 milliseconds ago. The last packet s', '2023-09-22 00:19:13');
INSERT INTO `sys_job_log` VALUES (408, '曲悦', 'DEFAULT', 'ryTask.register(179L,200L)', '曲悦 总共耗时：2759328毫秒', '0', '', '2023-09-22 00:25:18');
INSERT INTO `sys_job_log` VALUES (409, '朱泽禹', 'DEFAULT', 'ryTask.register(1L,582L)', '朱泽禹 总共耗时：6243毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'(1 - 1) * 500, 500\' at line 1\r\n### The error may exist in file [E:\\Project\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ? LIMIT (? - 1) * ?, ?\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'(1 - 1) * 500, 500\' at line 1\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your ', '2023-09-22 02:20:21');
INSERT INTO `sys_job_log` VALUES (410, '朱泽禹', 'DEFAULT', 'ryTask.register(1L,582L)', '朱泽禹 总共耗时：6468毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'(1 - 1) * 500, 500\' at line 1\r\n### The error may exist in file [E:\\Project\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ? LIMIT (1 - 1) * 500, 500\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near \'(1 - 1) * 500, 500\' at line 1\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to y', '2023-09-22 02:21:41');
INSERT INTO `sys_job_log` VALUES (411, '朱泽禹', 'DEFAULT', 'ryTask.register(1L,582L)', '朱泽禹 总共耗时：5942毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named \'pageNum\' in \'class com.ezhizao.project.business.domain.BizProductBatchItem\'\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy131.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy204.getList(Unk', '2023-09-22 02:24:22');
INSERT INTO `sys_job_log` VALUES (412, '庄德政', 'DEFAULT', 'ryTask.register(312L,400L)', '庄德政 总共耗时：11609毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.RecoverableDataAccessException: \n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,706 milliseconds ago. The last packet sent successfully to the server was 10,709 milliseconds ago.\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,706 milliseconds ago. The last packet sent successfully to the server was 10,709 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the ser', '2023-09-22 02:35:37');
INSERT INTO `sys_job_log` VALUES (413, '郭雨佳', 'DEFAULT', 'ryTask.register(210L,250L)', '郭雨佳 总共耗时：13968427毫秒', '0', '', '2023-09-22 03:44:50');
INSERT INTO `sys_job_log` VALUES (414, '庄德政', 'DEFAULT', 'ryTask.register(312L,400L)', '庄德政 总共耗时：4377943毫秒', '0', '', '2023-09-22 03:53:02');
INSERT INTO `sys_job_log` VALUES (415, '庄德政', 'DEFAULT', 'ryTask.register(312L,400L)', '庄德政 总共耗时：14693057毫秒', '0', '', '2023-09-22 03:53:23');
INSERT INTO `sys_job_log` VALUES (416, '朱汕', 'DEFAULT', 'ryTask.register(258L,300L)', '朱汕 总共耗时：13237880毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,812,738 milliseconds ago. The last packet sent successfully to the server was 10,812,761 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\Gogs\\IdentityPlatform\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT count(0) FROM biz_product_batch_item WHERE deleted = 0 AND tenant_id = ? AND status = ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,812,738 milliseconds ago. The last packet sent successfully to the server was 10,812,761 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,812,738 milliseconds ag', '2023-09-22 04:12:52');
INSERT INTO `sys_job_log` VALUES (417, '朱汕', 'DEFAULT', 'ryTask.register(1L,550L)', '朱汕 总共耗时：6123毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on POST request for \"http://116.204.99.126:8000/identity/token\": Connection reset; nested exception is java.net.SocketException: Connection reset\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.postForEntity(RestTemplate.java:468)\r\n	at com.ezhizao.snms.service.impl.SnmsServiceImpl.getToken(SnmsServiceImpl.java:50)\r\n	at com.ezhizao.framework.task.RyTask.lambda$register$0(RyTask.java:66)\r\n	at java.util.ArrayList.forEach(ArrayList.java:1259)\r\n	at com.ezhizao.framework.task.RyTask.register(RyTask.java:65)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopPr', '2023-09-22 07:16:49');
INSERT INTO `sys_job_log` VALUES (418, '庄德政', 'DEFAULT', 'ryTask.register(312L,400L)', '庄德政 总共耗时：3813534毫秒', '0', '', '2023-09-22 07:17:03');
INSERT INTO `sys_job_log` VALUES (419, '朱泽禹', 'DEFAULT', 'ryTask.register(1L,582L)', '朱泽禹 总共耗时：29728030毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 27,913,854 milliseconds ago. The last packet sent successfully to the server was 27,925,367 milliseconds ago.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?  LIMIT ?, ?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 27,913,854 milliseconds ago. The last packet sent successfully to the server was 27,925,367 milliseconds ago.\n; Communications link failure\n\nThe last packet s', '2023-09-22 08:46:04');
INSERT INTO `sys_job_log` VALUES (420, '李爽', 'DEFAULT', 'ryTask.register(1L,600L)', '李爽 总共耗时：9毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$337b5e19.register(java.lang.Long,java.lang.Long)\r\n	at java.base/java.lang.Class.getMethod(Class.java:2227)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-22 09:04:23');
INSERT INTO `sys_job_log` VALUES (421, '郭雨佳', 'DEFAULT', 'ryTask.register(328L,600L)', '郭雨佳 总共耗时：188031毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 70,057 milliseconds ago. The last packet sent successfully to the server was 96,285 milliseconds ago.\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 70,057 milliseconds ago. The last packet sent successfully to the server was 96,285 milliseconds ago.\n; Communications link failure', '2023-09-22 13:08:19');
INSERT INTO `sys_job_log` VALUES (422, '构建产品批次', 'DEFAULT', 'ryTask.build()', '构建产品批次 总共耗时：7毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$807f92a3.build()\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-22 13:38:52');
INSERT INTO `sys_job_log` VALUES (423, '构建产品批次', 'DEFAULT', 'ryTask.build()', '构建产品批次 总共耗时：36496毫秒', '0', '', '2023-09-22 13:42:14');
INSERT INTO `sys_job_log` VALUES (424, 'wj', 'DEFAULT', 'ryTask.register(301L,600L)', 'wj 总共耗时：3200309毫秒', '1', 'java.lang.reflect.InvocationTargetException\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n	at java.lang.reflect.Method.invoke(Method.java:498)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \n### Error querying database.  Cause: java.sql.SQLException: Read timed out\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\n### The error occurred while setting parameters\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\n	at org.springframework.jdbc.support.AbstractFallb', '2023-09-22 16:23:00');
INSERT INTO `sys_job_log` VALUES (425, '注册第二批次的企业', 'DEFAULT', 'ryTask.build()', '注册第二批次的企业 总共耗时：6毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$859edbc1.build()\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-22 16:26:28');
INSERT INTO `sys_job_log` VALUES (426, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2()', '注册第二批次的企业 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$859edbc1.registerBatch2()\r\n	at java.lang.Class.getMethod(Class.java:1786)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-22 16:26:46');
INSERT INTO `sys_job_log` VALUES (427, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：73521毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error querying database.  Cause: java.lang.IllegalArgumentException: invalid comparison: java.sql.Timestamp and java.lang.String\r\n### Cause: java.lang.IllegalArgumentException: invalid comparison: java.sql.Timestamp and java.lang.String\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)\r\n	at com.sun.proxy.$Proxy131.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.jav', '2023-09-22 16:28:22');
INSERT INTO `sys_job_log` VALUES (428, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：87056毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error querying database.  Cause: java.lang.IllegalArgumentException: invalid comparison: java.sql.Timestamp and java.lang.String\r\n### Cause: java.lang.IllegalArgumentException: invalid comparison: java.sql.Timestamp and java.lang.String\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)\r\n	at com.sun.proxy.$Proxy131.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.jav', '2023-09-22 16:40:05');
INSERT INTO `sys_job_log` VALUES (429, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：44585毫秒', '0', '', '2023-09-22 16:48:45');
INSERT INTO `sys_job_log` VALUES (430, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：22731毫秒', '0', '', '2023-09-22 16:49:56');
INSERT INTO `sys_job_log` VALUES (431, '郭雨佳', 'DEFAULT', 'ryTask.register(254L,600L)', '郭雨佳 总共耗时：11042232毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 76,816 milliseconds ago. The last packet sent successfully to the server was 98,306 milliseconds ago.\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 76,816 milliseconds ago. The last packet sent successfully to the server was 98,306 milliseconds ago.\n; Communications link failure', '2023-09-22 17:50:52');
INSERT INTO `sys_job_log` VALUES (432, '李爽', 'DEFAULT', 'ryTask.register(1L,600L)', '李爽 总共耗时：42128229毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,807,270 milliseconds ago. The last packet sent successfully to the server was 10,807,293 milliseconds ago.\r\n### The error may exist in file [D:\\project\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,807,270 milliseconds ago. The last packet sent successfully to the server was 10,807,2', '2023-09-22 20:47:23');
INSERT INTO `sys_job_log` VALUES (433, '庄德政', 'DEFAULT', 'ryTask.register(1L,600L)', '庄德政 总共耗时：43564982毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 2,016,996 milliseconds ago. The last packet sent successfully to the server was 2,041,418 milliseconds ago.\r\n### The error may exist in file [D:\\00.Workspace\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 2,016,996 milliseconds ago. The last packet sent successfully to the server was 2,041,', '2023-09-22 20:53:45');
INSERT INTO `sys_job_log` VALUES (434, '单刷', 'DEFAULT', 'ryTask.registerSingle(1705224956007723010L)', '单刷 总共耗时：34毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException: Cannot invoke \"com.ezhizao.project.business.domain.BizProductBatchItem.getProductId()\" because \"item\" is null\r\n	at com.ezhizao.framework.task.RyTask.registerSingle(RyTask.java:121)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$eca1d185.registerSingle(<generated>)\r\n	... 10 more\r\n', '2023-09-22 22:34:52');
INSERT INTO `sys_job_log` VALUES (435, '单刷', 'DEFAULT', 'ryTask.registerSingle(1705224956007723010L)', '单刷 总共耗时：44毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException: Cannot invoke \"com.ezhizao.project.business.domain.BizProductBatchItem.getProductId()\" because \"item\" is null\r\n	at com.ezhizao.framework.task.RyTask.registerSingle(RyTask.java:121)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$3366fb55.registerSingle(<generated>)\r\n	... 10 more\r\n', '2023-09-22 22:40:22');
INSERT INTO `sys_job_log` VALUES (436, '单刷', 'DEFAULT', 'ryTask.registerSingle(1705224956007723010L)', '单刷 总共耗时：31195毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.NullPointerException: Cannot invoke \"com.ezhizao.project.business.domain.BizProductBatchItem.getProductId()\" because \"item\" is null\r\n	at com.ezhizao.framework.task.RyTask.registerSingle(RyTask.java:121)\r\n	at com.ezhizao.framework.task.RyTask$$FastClassBySpringCGLIB$$e35cc67c.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:704)\r\n	at com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$3366fb55.registerSingle(<generated>)\r\n	... 10 more\r\n', '2023-09-22 22:41:18');
INSERT INTO `sys_job_log` VALUES (437, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：24962802毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.DataAccessResourceFailureException: JDBC rollback; No operations allowed after connection closed.; nested exception is java.sql.SQLNonTransientConnectionException: No operations allowed after connection closed.\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:81)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.springframework.jdbc.support.JdbcTransactionManager.translateException(JdbcTransactionManager.java:184)\r\n	at org.springframework.jdbc.datasource.DataSourceTransactionManager.doRollback(DataSourceTransactionManager.java:351)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.processRollback(AbstractPlatformTransactionManager.java:835)\r\n	at org.springframework.transaction.support.AbstractPlatformTransactionManager.rollback(AbstractPlatformTransactionManager.java:809)', '2023-09-22 23:52:06');
INSERT INTO `sys_job_log` VALUES (438, '天恩璐（辽宁）技术有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,105L,\'TL880系列高性能矢量变频器\')', '天恩璐（辽宁）技术有限公司 总共耗时：15毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:52:13');
INSERT INTO `sys_job_log` VALUES (439, '天恩璐（辽宁）技术有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,105L,\'TL880系列高性能矢量变频器\')', '天恩璐（辽宁）技术有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:02');
INSERT INTO `sys_job_log` VALUES (440, '大连冠力电机科技有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,114L,\'TYPG系列通用永磁电机\')', '大连冠力电机科技有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:07');
INSERT INTO `sys_job_log` VALUES (441, '大连薛阿姨食品有限公', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,141L,\'TYPG系列通用永磁电机\')', '大连薛阿姨食品有限公 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:09');
INSERT INTO `sys_job_log` VALUES (442, '大连道和精密机械有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,200L,\'三坐标测量机\')', '大连道和精密机械有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:11');
INSERT INTO `sys_job_log` VALUES (443, '大连万垚机械有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,204L,\'机床6160\')', '大连万垚机械有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:14');
INSERT INTO `sys_job_log` VALUES (444, '大连博斯特科技有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,205L,\'清洗液净化再生设备\')', '大连博斯特科技有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:17');
INSERT INTO `sys_job_log` VALUES (445, '辽宁鲲鹏东北参茸特产有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,219L,\'蚕蛾鹿鞭酒\')', '辽宁鲲鹏东北参茸特产有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:19');
INSERT INTO `sys_job_log` VALUES (446, '中肽生物科技(大连)有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,224L,\'睡眠肽\')', '中肽生物科技(大连)有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:22');
INSERT INTO `sys_job_log` VALUES (447, '大连古源坊酒业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,237L,\'辽南源黄米酒\')', '大连古源坊酒业有限公司 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:24');
INSERT INTO `sys_job_log` VALUES (448, '铁岭辅坤阀门有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,266L,\'三偏心金属硬密封蝶阀\')', '铁岭辅坤阀门有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:26');
INSERT INTO `sys_job_log` VALUES (449, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,348L,\'液压双隔膜式计量泵(带报警装置)\')', '大连埃斯安泵业有限公司 总共耗时：1毫秒', '1', 'java.lang.NumberFormatException: For input string: \"6000000L,9000000L,348L,\'液压双隔膜式计量泵(带报警装置\"\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\n	at java.lang.Integer.parseInt(Integer.java:580)\n	at java.lang.Integer.valueOf(Integer.java:766)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:28');
INSERT INTO `sys_job_log` VALUES (450, '大连启臣机械有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,595L,\'P53B机封冲洗系统\')', '大连启臣机械有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:32');
INSERT INTO `sys_job_log` VALUES (451, '大连亿鑫泰机电设备有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,586L,\'永磁变频低压大排量空压机\')', '大连亿鑫泰机电设备有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:34');
INSERT INTO `sys_job_log` VALUES (452, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,572L,\'复合A级硅质保温板\')', '大连埃斯安泵业有限公司 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$6c4e879b.registerSingle(java.lang.Long, java.lang.Long, java.lang.Long, java.lang.String)\n	at java.lang.Class.newNoSuchMethodException(Class.java:572)\n	at java.lang.Class.throwExceptionOrReturnNull(Class.java:1297)\n	at java.lang.Class.getMethodHelper(Class.java:1383)\n	at java.lang.Class.getMethod(Class.java:1289)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-22 23:54:36');
INSERT INTO `sys_job_log` VALUES (453, '天恩璐（辽宁）技术有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,105L,\'TL880系列高性能矢量变频器\')', '天恩璐（辽宁）技术有限公司 总共耗时：5643毫秒', '0', '', '2023-09-23 00:04:41');
INSERT INTO `sys_job_log` VALUES (454, '大连万垚机械有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,204L,\'机床6160\')', '大连万垚机械有限公司 总共耗时：7376毫秒', '0', '', '2023-09-23 00:05:13');
INSERT INTO `sys_job_log` VALUES (455, '大连冠力电机科技有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,114L,\'TYPG系列通用永磁电机\')', '大连冠力电机科技有限公司 总共耗时：15772毫秒', '0', '', '2023-09-23 00:05:14');
INSERT INTO `sys_job_log` VALUES (456, '大连道和精密机械有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,200L,\'三坐标测量机\')', '大连道和精密机械有限公司 总共耗时：11789毫秒', '0', '', '2023-09-23 00:05:15');
INSERT INTO `sys_job_log` VALUES (457, '大连薛阿姨食品有限公', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,141L,\'TYPG系列通用永磁电机\')', '大连薛阿姨食品有限公 总共耗时：19523毫秒', '0', '', '2023-09-23 00:05:20');
INSERT INTO `sys_job_log` VALUES (458, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,348L,\'液压双隔膜式计量泵(带报警装置)\')', '大连埃斯安泵业有限公司 总共耗时：6毫秒', '1', 'java.lang.NumberFormatException: For input string: \"6000000L,9000000L,348L,\'液压双隔膜式计量泵(带报警装置\"\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\n	at java.lang.Integer.parseInt(Integer.java:580)\n	at java.lang.Integer.valueOf(Integer.java:766)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-23 00:05:22');
INSERT INTO `sys_job_log` VALUES (459, '大连博斯特科技有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,205L,\'清洗液净化再生设备\')', '大连博斯特科技有限公司 总共耗时：17349毫秒', '0', '', '2023-09-23 00:05:26');
INSERT INTO `sys_job_log` VALUES (460, '中肽生物科技(大连)有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,224L,\'睡眠肽\')', '中肽生物科技(大连)有限公司 总共耗时：11224毫秒', '0', '', '2023-09-23 00:05:27');
INSERT INTO `sys_job_log` VALUES (461, '辽宁鲲鹏东北参茸特产有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,219L,\'蚕蛾鹿鞭酒\')', '辽宁鲲鹏东北参茸特产有限公司 总共耗时：16657毫秒', '0', '', '2023-09-23 00:05:27');
INSERT INTO `sys_job_log` VALUES (462, '中肽生物科技(大连)有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,224L,\'睡眠肽\')', '中肽生物科技(大连)有限公司 总共耗时：15490毫秒', '0', '', '2023-09-23 00:05:28');
INSERT INTO `sys_job_log` VALUES (463, '大连古源坊酒业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,237L,\'辽南源黄米酒\')', '大连古源坊酒业有限公司 总共耗时：10232毫秒', '0', '', '2023-09-23 00:05:28');
INSERT INTO `sys_job_log` VALUES (464, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,572L,\'复合A级硅质保温板\')', '大连埃斯安泵业有限公司 总共耗时：2595毫秒', '0', '', '2023-09-23 00:05:29');
INSERT INTO `sys_job_log` VALUES (465, '铁岭辅坤阀门有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,266L,\'三偏心金属硬密封蝶阀\')', '铁岭辅坤阀门有限公司 总共耗时：8659毫秒', '0', '', '2023-09-23 00:05:29');
INSERT INTO `sys_job_log` VALUES (466, '大连亿鑫泰机电设备有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,586L,\'永磁变频低压大排量空压机\')', '大连亿鑫泰机电设备有限公司 总共耗时：1931毫秒', '0', '', '2023-09-23 00:05:30');
INSERT INTO `sys_job_log` VALUES (467, '大连启臣机械有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,595L,\'P53B机封冲洗系统\')', '大连启臣机械有限公司 总共耗时：8799毫秒', '0', '', '2023-09-23 00:05:39');
INSERT INTO `sys_job_log` VALUES (468, '大连埃斯安泵业有限公司', 'DEFAULT', 'ryTask.registerSingle(6000000L,9000000L,348L,\'液压双隔膜式计量泵(带报警装置)\')', '大连埃斯安泵业有限公司 总共耗时：5毫秒', '1', 'java.lang.NumberFormatException: For input string: \"6000000L,9000000L,348L,\'液压双隔膜式计量泵(带报警装置\"\n	at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)\n	at java.lang.Integer.parseInt(Integer.java:580)\n	at java.lang.Integer.valueOf(Integer.java:766)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.getMethodParams(JobInvokeUtil.java:142)\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:29)\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\n', '2023-09-23 00:08:48');
INSERT INTO `sys_job_log` VALUES (469, 'wj', 'DEFAULT', 'ryTask.register(321L,600L)', 'wj 总共耗时：12486263毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 7,399,898 milliseconds ago. The last packet sent successfully to the server was 7,399,945 milliseconds ago.\r\n### The error may exist in file [D:\\Project\\xu\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 7,399,898 milliseconds ago. The last packet sent successfully to the server was 7,399,945 milliseconds ago.\n; Communic', '2023-09-23 00:39:58');
INSERT INTO `sys_job_log` VALUES (470, '郭雨佳', 'DEFAULT', 'ryTask.register(200L,600L)', '郭雨佳 总共耗时：39173783毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 72,447 milliseconds ago. The last packet sent successfully to the server was 129,765 milliseconds ago.\r\n### The error may exist in file [D:\\git\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 72,447 milliseconds ago. The last packet sent successfully to the server was 129,765 milliseconds ago.\n; Communications link failu', '2023-09-23 07:30:17');
INSERT INTO `sys_job_log` VALUES (471, '曲悦', 'DEFAULT', 'ryTask.register(263L,600L)', '曲悦 总共耗时：57970002毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.TransientDataAccessResourceException: \r\n### Error querying database.  Cause: java.sql.SQLException: Read timed out\r\n### The error may exist in file [E:\\project\\ezhizao_identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: java.sql.SQLException: Read timed out\n; Read timed out; nested exception is java.sql.SQLException: Read timed out\r\n	at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:110)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)\r\n	at org.sp', '2023-09-23 08:11:17');
INSERT INTO `sys_job_log` VALUES (472, '朱泽禹', 'DEFAULT', 'ryTask.register(452L,600L)', '朱泽禹 总共耗时：61553745毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:57)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzJobExecution.doExecute(QuartzJobExecution.java:17)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: The last packet successfully received from the server was 59,914,665 milliseconds ago. The last packet sent successfully to the server was 59,914,688 milliseconds ago. is longer than the server configured value of \'wait_timeout\'. You should consider either expiring and/or testing connection validity before use in your application, increasing the server configured values for client timeouts, or using the Connector/J connection property \'autoReconnect=true\' to avoid this problem.\r\n### The error may exist in file [D:\\project\\identity\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id,tenant_id,product_id,batch_id         FROM biz_product_batch_item           WHERE deleted = 0              AND tenant_id = ?              AND status = ?              LIMIT ?,?\r\n### Cause: com.mysql.cj.jdbc.exceptions.Com', '2023-09-23 10:12:42');
INSERT INTO `sys_job_log` VALUES (473, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：3毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$edf6f337.registerBatch2(java.lang.Long,java.lang.Long)\r\n	at java.base/java.lang.Class.getMethod(Class.java:2227)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-23 11:34:33');
INSERT INTO `sys_job_log` VALUES (474, '注册第二批次的企业', 'DEFAULT', 'ryTask.registerBatch2(1L,600L)', '注册第二批次的企业 总共耗时：3毫秒', '1', 'java.lang.NoSuchMethodException: com.ezhizao.framework.task.RyTask$$EnhancerBySpringCGLIB$$edf6f337.registerBatch2(java.lang.Long,java.lang.Long)\r\n	at java.base/java.lang.Class.getMethod(Class.java:2227)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:56)\r\n	at com.ezhizao.common.utils.job.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:34)\r\n	at com.ezhizao.common.utils.job.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ezhizao.common.utils.job.AbstractQuartzJob.execute(AbstractQuartzJob.java:44)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2023-09-23 12:19:06');

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4472 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-04-25 17:30:26');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-04-26 09:03:11');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-04-26 09:56:04');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-04-26 11:24:35');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-04-26 11:24:35');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-04-26 11:24:53');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-04-26 17:02:53');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-04-27 08:49:01');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-06-16 09:30:48');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-07 15:28:49');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-07 15:28:49');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-07 15:28:55');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-09 18:57:40');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-10 08:47:21');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-10 08:59:50');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-10 09:00:42');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 09:00:42');
INSERT INTO `sys_logininfor` VALUES (117, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-07-10 09:00:47');
INSERT INTO `sys_logininfor` VALUES (118, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 09:00:47');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-10 09:00:54');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-07-10 09:00:59');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 09:00:59');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-07-10 09:01:07');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 09:01:07');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-07-10 09:03:41');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次', '2023-07-10 09:03:57');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 09:03:57');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-07-10 09:04:06');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-07-10 09:04:06');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-07-10 09:11:00');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-10 09:11:04');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-07-10 10:16:28');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-10 10:16:31');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 10:16:31');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-10 10:16:36');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-07-10 14:11:03');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-10 14:11:06');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-10 14:11:06');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-10 14:11:11');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-13 12:54:13');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-13 12:54:18');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-14 14:51:49');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-18 15:41:41');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-19 08:55:37');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2023-07-20 09:40:32');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-20 09:40:32');
INSERT INTO `sys_logininfor` VALUES (146, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2023-07-20 09:40:40');
INSERT INTO `sys_logininfor` VALUES (147, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-07-20 09:43:26');
INSERT INTO `sys_logininfor` VALUES (148, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-07-20 09:43:26');
INSERT INTO `sys_logininfor` VALUES (149, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-07-20 09:45:34');
INSERT INTO `sys_logininfor` VALUES (150, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-20 09:45:37');
INSERT INTO `sys_logininfor` VALUES (151, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-20 09:45:37');
INSERT INTO `sys_logininfor` VALUES (152, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-20 09:45:47');
INSERT INTO `sys_logininfor` VALUES (153, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-24 16:28:39');
INSERT INTO `sys_logininfor` VALUES (154, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-25 16:55:58');
INSERT INTO `sys_logininfor` VALUES (155, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-27 10:29:36');
INSERT INTO `sys_logininfor` VALUES (156, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-27 10:29:39');
INSERT INTO `sys_logininfor` VALUES (157, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-27 10:29:47');
INSERT INTO `sys_logininfor` VALUES (158, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-27 10:29:50');
INSERT INTO `sys_logininfor` VALUES (159, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-27 10:29:53');
INSERT INTO `sys_logininfor` VALUES (160, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-27 12:59:58');
INSERT INTO `sys_logininfor` VALUES (161, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-27 12:59:58');
INSERT INTO `sys_logininfor` VALUES (162, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-27 13:00:02');
INSERT INTO `sys_logininfor` VALUES (163, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-27 13:00:07');
INSERT INTO `sys_logininfor` VALUES (164, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-27 13:42:33');
INSERT INTO `sys_logininfor` VALUES (165, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-27 15:45:18');
INSERT INTO `sys_logininfor` VALUES (166, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-27 15:51:41');
INSERT INTO `sys_logininfor` VALUES (167, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-27 17:23:40');
INSERT INTO `sys_logininfor` VALUES (168, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-28 09:47:55');
INSERT INTO `sys_logininfor` VALUES (169, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-28 10:55:24');
INSERT INTO `sys_logininfor` VALUES (170, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-28 10:55:24');
INSERT INTO `sys_logininfor` VALUES (171, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-07-28 10:55:31');
INSERT INTO `sys_logininfor` VALUES (172, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-07-28 10:55:36');
INSERT INTO `sys_logininfor` VALUES (173, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-28 10:55:36');
INSERT INTO `sys_logininfor` VALUES (174, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-07-28 10:55:53');
INSERT INTO `sys_logininfor` VALUES (175, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-07-28 12:58:12');
INSERT INTO `sys_logininfor` VALUES (176, 'admin', '113.227.213.205', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-07-28 12:58:12');
INSERT INTO `sys_logininfor` VALUES (177, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-08 15:46:40');
INSERT INTO `sys_logininfor` VALUES (178, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-11 09:02:18');
INSERT INTO `sys_logininfor` VALUES (179, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-11 09:02:18');
INSERT INTO `sys_logininfor` VALUES (180, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-11 09:02:23');
INSERT INTO `sys_logininfor` VALUES (181, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-11 09:02:23');
INSERT INTO `sys_logininfor` VALUES (182, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-11 09:02:28');
INSERT INTO `sys_logininfor` VALUES (183, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-11 09:02:28');
INSERT INTO `sys_logininfor` VALUES (184, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-11 09:02:35');
INSERT INTO `sys_logininfor` VALUES (185, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-08-15 16:25:46');
INSERT INTO `sys_logininfor` VALUES (186, 'admin', '119.113.68.197', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-15 16:25:59');
INSERT INTO `sys_logininfor` VALUES (187, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-16 13:13:53');
INSERT INTO `sys_logininfor` VALUES (188, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-16 13:13:53');
INSERT INTO `sys_logininfor` VALUES (189, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-08-16 13:13:59');
INSERT INTO `sys_logininfor` VALUES (190, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-16 13:14:04');
INSERT INTO `sys_logininfor` VALUES (191, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-16 13:15:58');
INSERT INTO `sys_logininfor` VALUES (192, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-16 13:22:57');
INSERT INTO `sys_logininfor` VALUES (193, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-17 13:05:57');
INSERT INTO `sys_logininfor` VALUES (194, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-17 13:32:41');
INSERT INTO `sys_logininfor` VALUES (195, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-17 13:32:45');
INSERT INTO `sys_logininfor` VALUES (196, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-17 14:14:04');
INSERT INTO `sys_logininfor` VALUES (197, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-17 15:43:27');
INSERT INTO `sys_logininfor` VALUES (198, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-17 16:01:21');
INSERT INTO `sys_logininfor` VALUES (199, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-17 16:01:21');
INSERT INTO `sys_logininfor` VALUES (200, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-17 16:01:28');
INSERT INTO `sys_logininfor` VALUES (201, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-17 16:01:28');
INSERT INTO `sys_logininfor` VALUES (202, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-17 16:01:33');
INSERT INTO `sys_logininfor` VALUES (203, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-17 16:01:33');
INSERT INTO `sys_logininfor` VALUES (204, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-08-17 16:01:50');
INSERT INTO `sys_logininfor` VALUES (205, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-17 16:01:50');
INSERT INTO `sys_logininfor` VALUES (206, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-17 16:01:56');
INSERT INTO `sys_logininfor` VALUES (207, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-17 16:44:34');
INSERT INTO `sys_logininfor` VALUES (208, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-17 20:00:03');
INSERT INTO `sys_logininfor` VALUES (209, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-18 08:34:04');
INSERT INTO `sys_logininfor` VALUES (210, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-18 08:34:04');
INSERT INTO `sys_logininfor` VALUES (211, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-18 08:34:17');
INSERT INTO `sys_logininfor` VALUES (212, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-18 08:34:17');
INSERT INTO `sys_logininfor` VALUES (213, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-18 08:35:00');
INSERT INTO `sys_logininfor` VALUES (214, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 08:57:57');
INSERT INTO `sys_logininfor` VALUES (215, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 10:56:39');
INSERT INTO `sys_logininfor` VALUES (216, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '1', '2023-08-18 10:58:01');
INSERT INTO `sys_logininfor` VALUES (217, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '1', '2023-08-18 10:58:07');
INSERT INTO `sys_logininfor` VALUES (218, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '1', '2023-08-18 10:58:58');
INSERT INTO `sys_logininfor` VALUES (219, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-08-18 10:59:45');
INSERT INTO `sys_logininfor` VALUES (220, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码错误', '2023-08-18 10:59:49');
INSERT INTO `sys_logininfor` VALUES (221, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-18 10:59:54');
INSERT INTO `sys_logininfor` VALUES (222, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-18 11:07:08');
INSERT INTO `sys_logininfor` VALUES (223, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:08:23');
INSERT INTO `sys_logininfor` VALUES (224, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-18 11:09:35');
INSERT INTO `sys_logininfor` VALUES (225, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:09:55');
INSERT INTO `sys_logininfor` VALUES (226, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-18 11:10:02');
INSERT INTO `sys_logininfor` VALUES (227, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:10:07');
INSERT INTO `sys_logininfor` VALUES (228, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-18 11:10:25');
INSERT INTO `sys_logininfor` VALUES (229, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-18 11:11:32');
INSERT INTO `sys_logininfor` VALUES (230, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:11:36');
INSERT INTO `sys_logininfor` VALUES (231, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:11:58');
INSERT INTO `sys_logininfor` VALUES (232, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:12:02');
INSERT INTO `sys_logininfor` VALUES (233, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:12:45');
INSERT INTO `sys_logininfor` VALUES (234, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:15:32');
INSERT INTO `sys_logininfor` VALUES (235, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:15:32');
INSERT INTO `sys_logininfor` VALUES (236, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:16:36');
INSERT INTO `sys_logininfor` VALUES (237, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:19:33');
INSERT INTO `sys_logininfor` VALUES (238, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:20:08');
INSERT INTO `sys_logininfor` VALUES (239, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:20:31');
INSERT INTO `sys_logininfor` VALUES (240, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 11:38:41');
INSERT INTO `sys_logininfor` VALUES (241, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-18 12:54:35');
INSERT INTO `sys_logininfor` VALUES (242, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-18 12:55:31');
INSERT INTO `sys_logininfor` VALUES (243, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-18 12:55:31');
INSERT INTO `sys_logininfor` VALUES (244, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-18 12:55:39');
INSERT INTO `sys_logininfor` VALUES (245, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-18 12:56:26');
INSERT INTO `sys_logininfor` VALUES (246, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-18 12:56:47');
INSERT INTO `sys_logininfor` VALUES (247, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-20 23:14:50');
INSERT INTO `sys_logininfor` VALUES (248, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-20 23:39:20');
INSERT INTO `sys_logininfor` VALUES (249, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 08:22:15');
INSERT INTO `sys_logininfor` VALUES (250, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 08:28:40');
INSERT INTO `sys_logininfor` VALUES (251, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-21 10:53:38');
INSERT INTO `sys_logininfor` VALUES (252, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 10:53:38');
INSERT INTO `sys_logininfor` VALUES (253, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-21 10:53:44');
INSERT INTO `sys_logininfor` VALUES (254, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 10:53:44');
INSERT INTO `sys_logininfor` VALUES (255, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 10:55:17');
INSERT INTO `sys_logininfor` VALUES (256, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-08-21 11:00:11');
INSERT INTO `sys_logininfor` VALUES (257, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-08-21 11:17:05');
INSERT INTO `sys_logininfor` VALUES (258, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on POST request for \"/null/identity/token\": null; nested exception is org.apache.http.client.ClientProtocolException', '2023-08-21 13:15:03');
INSERT INTO `sys_logininfor` VALUES (259, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on POST request for \"/null/identity/token\": null; nested exception is org.apache.http.client.ClientProtocolException', '2023-08-21 13:15:19');
INSERT INTO `sys_logininfor` VALUES (260, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-21 13:16:58');
INSERT INTO `sys_logininfor` VALUES (261, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 13:16:58');
INSERT INTO `sys_logininfor` VALUES (262, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 13:17:23');
INSERT INTO `sys_logininfor` VALUES (263, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 13:23:23');
INSERT INTO `sys_logininfor` VALUES (264, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-08-21 13:23:32');
INSERT INTO `sys_logininfor` VALUES (265, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-08-21 13:23:39');
INSERT INTO `sys_logininfor` VALUES (266, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-08-21 13:25:28');
INSERT INTO `sys_logininfor` VALUES (267, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-21 13:27:56');
INSERT INTO `sys_logininfor` VALUES (268, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 13:27:56');
INSERT INTO `sys_logininfor` VALUES (269, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-21 13:28:07');
INSERT INTO `sys_logininfor` VALUES (270, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 13:28:07');
INSERT INTO `sys_logininfor` VALUES (271, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-21 13:28:39');
INSERT INTO `sys_logininfor` VALUES (272, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 13:28:39');
INSERT INTO `sys_logininfor` VALUES (273, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 13:28:43');
INSERT INTO `sys_logininfor` VALUES (274, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 14:48:22');
INSERT INTO `sys_logininfor` VALUES (275, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-21 14:49:44');
INSERT INTO `sys_logininfor` VALUES (276, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 14:49:44');
INSERT INTO `sys_logininfor` VALUES (277, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 14:49:53');
INSERT INTO `sys_logininfor` VALUES (278, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 14:52:30');
INSERT INTO `sys_logininfor` VALUES (279, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 14:53:16');
INSERT INTO `sys_logininfor` VALUES (280, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 14:57:07');
INSERT INTO `sys_logininfor` VALUES (281, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:00:15');
INSERT INTO `sys_logininfor` VALUES (282, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:00:46');
INSERT INTO `sys_logininfor` VALUES (283, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:02:31');
INSERT INTO `sys_logininfor` VALUES (284, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:04:14');
INSERT INTO `sys_logininfor` VALUES (285, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:04:16');
INSERT INTO `sys_logininfor` VALUES (286, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:04:28');
INSERT INTO `sys_logininfor` VALUES (287, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:04:37');
INSERT INTO `sys_logininfor` VALUES (288, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:04:52');
INSERT INTO `sys_logininfor` VALUES (289, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:04:54');
INSERT INTO `sys_logininfor` VALUES (290, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:04:58');
INSERT INTO `sys_logininfor` VALUES (291, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:06:12');
INSERT INTO `sys_logininfor` VALUES (292, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:06:46');
INSERT INTO `sys_logininfor` VALUES (293, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:07:36');
INSERT INTO `sys_logininfor` VALUES (294, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:08:29');
INSERT INTO `sys_logininfor` VALUES (295, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:10:59');
INSERT INTO `sys_logininfor` VALUES (296, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:11:07');
INSERT INTO `sys_logininfor` VALUES (297, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:12:53');
INSERT INTO `sys_logininfor` VALUES (298, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:13:13');
INSERT INTO `sys_logininfor` VALUES (299, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:27:19');
INSERT INTO `sys_logininfor` VALUES (300, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-21 15:29:54');
INSERT INTO `sys_logininfor` VALUES (301, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 15:29:54');
INSERT INTO `sys_logininfor` VALUES (302, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-21 15:30:05');
INSERT INTO `sys_logininfor` VALUES (303, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 15:30:06');
INSERT INTO `sys_logininfor` VALUES (304, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-21 15:31:25');
INSERT INTO `sys_logininfor` VALUES (305, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 15:31:25');
INSERT INTO `sys_logininfor` VALUES (306, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:31:57');
INSERT INTO `sys_logininfor` VALUES (307, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:35:22');
INSERT INTO `sys_logininfor` VALUES (308, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:37:48');
INSERT INTO `sys_logininfor` VALUES (309, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:38:55');
INSERT INTO `sys_logininfor` VALUES (310, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:39:32');
INSERT INTO `sys_logininfor` VALUES (311, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:41:42');
INSERT INTO `sys_logininfor` VALUES (312, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:41:48');
INSERT INTO `sys_logininfor` VALUES (313, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:43:36');
INSERT INTO `sys_logininfor` VALUES (314, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:43:44');
INSERT INTO `sys_logininfor` VALUES (315, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:45:23');
INSERT INTO `sys_logininfor` VALUES (316, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:45:42');
INSERT INTO `sys_logininfor` VALUES (317, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:47:45');
INSERT INTO `sys_logininfor` VALUES (318, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:47:49');
INSERT INTO `sys_logininfor` VALUES (319, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:49:26');
INSERT INTO `sys_logininfor` VALUES (320, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:50:11');
INSERT INTO `sys_logininfor` VALUES (321, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 15:53:09');
INSERT INTO `sys_logininfor` VALUES (322, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 15:58:45');
INSERT INTO `sys_logininfor` VALUES (323, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 16:09:04');
INSERT INTO `sys_logininfor` VALUES (324, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 16:09:56');
INSERT INTO `sys_logininfor` VALUES (325, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-21 16:10:18');
INSERT INTO `sys_logininfor` VALUES (326, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 16:10:18');
INSERT INTO `sys_logininfor` VALUES (327, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-21 16:10:24');
INSERT INTO `sys_logininfor` VALUES (328, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 16:10:24');
INSERT INTO `sys_logininfor` VALUES (329, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-21 16:10:27');
INSERT INTO `sys_logininfor` VALUES (330, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-21 16:10:27');
INSERT INTO `sys_logininfor` VALUES (331, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 16:10:34');
INSERT INTO `sys_logininfor` VALUES (332, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 16:30:09');
INSERT INTO `sys_logininfor` VALUES (333, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 16:33:31');
INSERT INTO `sys_logininfor` VALUES (334, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-21 16:46:03');
INSERT INTO `sys_logininfor` VALUES (335, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-21 16:46:06');
INSERT INTO `sys_logininfor` VALUES (336, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 08:53:34');
INSERT INTO `sys_logininfor` VALUES (337, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 08:54:58');
INSERT INTO `sys_logininfor` VALUES (338, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 09:35:17');
INSERT INTO `sys_logininfor` VALUES (339, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 09:35:17');
INSERT INTO `sys_logininfor` VALUES (340, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 09:35:22');
INSERT INTO `sys_logininfor` VALUES (341, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '1', '502 Bad Gateway: \"<html><EOL><EOL><head><title>502 Bad Gateway</title></head><EOL><EOL><body><EOL><EOL><center><h1>502 Bad Gateway</h1></center><EOL><EOL><hr><center>nginx</center><EOL><EOL></body><EOL><EOL></html><EOL><EOL>\"', '2023-08-22 11:26:29');
INSERT INTO `sys_logininfor` VALUES (342, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 13:10:39');
INSERT INTO `sys_logininfor` VALUES (343, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 13:27:45');
INSERT INTO `sys_logininfor` VALUES (344, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 13:27:45');
INSERT INTO `sys_logininfor` VALUES (345, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 13:27:57');
INSERT INTO `sys_logininfor` VALUES (346, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 13:47:00');
INSERT INTO `sys_logininfor` VALUES (347, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 13:53:13');
INSERT INTO `sys_logininfor` VALUES (348, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 13:56:16');
INSERT INTO `sys_logininfor` VALUES (349, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 14:48:11');
INSERT INTO `sys_logininfor` VALUES (350, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 14:56:57');
INSERT INTO `sys_logininfor` VALUES (351, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 14:57:36');
INSERT INTO `sys_logininfor` VALUES (352, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 15:23:33');
INSERT INTO `sys_logininfor` VALUES (353, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 15:23:33');
INSERT INTO `sys_logininfor` VALUES (354, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 15:34:26');
INSERT INTO `sys_logininfor` VALUES (355, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 15:34:26');
INSERT INTO `sys_logininfor` VALUES (356, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-22 15:34:34');
INSERT INTO `sys_logininfor` VALUES (357, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 15:34:34');
INSERT INTO `sys_logininfor` VALUES (358, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-22 15:34:47');
INSERT INTO `sys_logininfor` VALUES (359, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 15:34:47');
INSERT INTO `sys_logininfor` VALUES (360, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 15:35:26');
INSERT INTO `sys_logininfor` VALUES (361, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 15:55:37');
INSERT INTO `sys_logininfor` VALUES (362, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:01:16');
INSERT INTO `sys_logininfor` VALUES (363, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:07:08');
INSERT INTO `sys_logininfor` VALUES (364, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:19:48');
INSERT INTO `sys_logininfor` VALUES (365, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:20:10');
INSERT INTO `sys_logininfor` VALUES (366, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:21:11');
INSERT INTO `sys_logininfor` VALUES (367, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:21:32');
INSERT INTO `sys_logininfor` VALUES (368, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:23:01');
INSERT INTO `sys_logininfor` VALUES (369, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:23:10');
INSERT INTO `sys_logininfor` VALUES (370, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:23:27');
INSERT INTO `sys_logininfor` VALUES (371, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:23:52');
INSERT INTO `sys_logininfor` VALUES (372, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:24:23');
INSERT INTO `sys_logininfor` VALUES (373, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 16:24:47');
INSERT INTO `sys_logininfor` VALUES (374, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:24:51');
INSERT INTO `sys_logininfor` VALUES (375, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:25:37');
INSERT INTO `sys_logininfor` VALUES (376, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 16:25:40');
INSERT INTO `sys_logininfor` VALUES (377, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:25:45');
INSERT INTO `sys_logininfor` VALUES (378, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 16:25:56');
INSERT INTO `sys_logininfor` VALUES (379, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 16:26:03');
INSERT INTO `sys_logininfor` VALUES (380, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 16:26:03');
INSERT INTO `sys_logininfor` VALUES (381, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-22 16:26:06');
INSERT INTO `sys_logininfor` VALUES (382, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 16:26:06');
INSERT INTO `sys_logininfor` VALUES (383, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:26:14');
INSERT INTO `sys_logininfor` VALUES (384, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-22 16:44:57');
INSERT INTO `sys_logininfor` VALUES (385, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 17:19:42');
INSERT INTO `sys_logininfor` VALUES (386, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 17:20:27');
INSERT INTO `sys_logininfor` VALUES (387, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 17:24:02');
INSERT INTO `sys_logininfor` VALUES (388, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 17:24:34');
INSERT INTO `sys_logininfor` VALUES (389, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 17:26:35');
INSERT INTO `sys_logininfor` VALUES (390, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 17:26:39');
INSERT INTO `sys_logininfor` VALUES (391, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 17:27:54');
INSERT INTO `sys_logininfor` VALUES (392, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 17:28:03');
INSERT INTO `sys_logininfor` VALUES (393, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-22 17:39:23');
INSERT INTO `sys_logininfor` VALUES (394, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-22 17:39:27');
INSERT INTO `sys_logininfor` VALUES (395, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '退出成功', '2023-08-22 19:50:48');
INSERT INTO `sys_logininfor` VALUES (396, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2023-08-22 19:52:52');
INSERT INTO `sys_logininfor` VALUES (397, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2023-08-22 19:52:56');
INSERT INTO `sys_logininfor` VALUES (398, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2023-08-22 19:53:18');
INSERT INTO `sys_logininfor` VALUES (399, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2023-08-22 19:53:59');
INSERT INTO `sys_logininfor` VALUES (400, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2023-08-22 19:55:39');
INSERT INTO `sys_logininfor` VALUES (401, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 19:59:12');
INSERT INTO `sys_logininfor` VALUES (402, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '退出成功', '2023-08-22 19:59:24');
INSERT INTO `sys_logininfor` VALUES (403, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 19:59:42');
INSERT INTO `sys_logininfor` VALUES (404, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 20:36:23');
INSERT INTO `sys_logininfor` VALUES (405, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-22 20:43:35');
INSERT INTO `sys_logininfor` VALUES (406, 'admin', '60.21.26.142', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 21:39:39');
INSERT INTO `sys_logininfor` VALUES (407, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 23:17:26');
INSERT INTO `sys_logininfor` VALUES (408, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 23:17:26');
INSERT INTO `sys_logininfor` VALUES (409, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 23:17:29');
INSERT INTO `sys_logininfor` VALUES (410, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 23:26:39');
INSERT INTO `sys_logininfor` VALUES (411, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 23:28:47');
INSERT INTO `sys_logininfor` VALUES (412, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-22 23:36:23');
INSERT INTO `sys_logininfor` VALUES (413, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 23:36:26');
INSERT INTO `sys_logininfor` VALUES (414, 'admin', '60.21.26.142', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-22 23:57:26');
INSERT INTO `sys_logininfor` VALUES (415, 'admin', '60.21.26.142', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-22 23:57:26');
INSERT INTO `sys_logininfor` VALUES (416, 'admin', '60.21.26.142', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 23:57:30');
INSERT INTO `sys_logininfor` VALUES (417, 'admin', '60.21.26.142', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-22 23:58:04');
INSERT INTO `sys_logininfor` VALUES (418, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 08:33:35');
INSERT INTO `sys_logininfor` VALUES (419, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 08:36:20');
INSERT INTO `sys_logininfor` VALUES (420, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 08:43:14');
INSERT INTO `sys_logininfor` VALUES (421, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 08:49:08');
INSERT INTO `sys_logininfor` VALUES (422, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-23 08:49:28');
INSERT INTO `sys_logininfor` VALUES (423, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-23 08:57:43');
INSERT INTO `sys_logininfor` VALUES (424, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 10:33:52');
INSERT INTO `sys_logininfor` VALUES (425, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-23 10:36:35');
INSERT INTO `sys_logininfor` VALUES (426, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-23 10:36:35');
INSERT INTO `sys_logininfor` VALUES (427, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 10:36:38');
INSERT INTO `sys_logininfor` VALUES (428, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-23 12:39:22');
INSERT INTO `sys_logininfor` VALUES (429, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-23 12:55:20');
INSERT INTO `sys_logininfor` VALUES (430, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 13:22:40');
INSERT INTO `sys_logininfor` VALUES (431, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-23 13:51:26');
INSERT INTO `sys_logininfor` VALUES (432, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 13:51:51');
INSERT INTO `sys_logininfor` VALUES (433, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-23 14:01:27');
INSERT INTO `sys_logininfor` VALUES (434, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-23 14:01:27');
INSERT INTO `sys_logininfor` VALUES (435, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-23 14:02:04');
INSERT INTO `sys_logininfor` VALUES (436, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 14:37:34');
INSERT INTO `sys_logininfor` VALUES (437, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-23 15:06:27');
INSERT INTO `sys_logininfor` VALUES (438, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-23 15:10:21');
INSERT INTO `sys_logininfor` VALUES (439, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-23 15:13:24');
INSERT INTO `sys_logininfor` VALUES (440, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-23 17:08:11');
INSERT INTO `sys_logininfor` VALUES (441, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-23 17:08:17');
INSERT INTO `sys_logininfor` VALUES (442, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 08:39:36');
INSERT INTO `sys_logininfor` VALUES (443, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 08:42:13');
INSERT INTO `sys_logininfor` VALUES (444, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 09:00:09');
INSERT INTO `sys_logininfor` VALUES (445, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-24 09:02:30');
INSERT INTO `sys_logininfor` VALUES (446, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 09:03:57');
INSERT INTO `sys_logininfor` VALUES (447, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-24 09:10:39');
INSERT INTO `sys_logininfor` VALUES (448, 'sangyuan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '登录用户：sangyuan 不存在', '2023-08-24 09:10:50');
INSERT INTO `sys_logininfor` VALUES (449, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 09:10:57');
INSERT INTO `sys_logininfor` VALUES (450, '18640822691', '175.162.67.54', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-24 10:04:52');
INSERT INTO `sys_logininfor` VALUES (451, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 11:30:22');
INSERT INTO `sys_logininfor` VALUES (452, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-24 13:04:16');
INSERT INTO `sys_logininfor` VALUES (453, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-24 13:05:01');
INSERT INTO `sys_logininfor` VALUES (454, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-24 13:10:09');
INSERT INTO `sys_logininfor` VALUES (455, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-24 13:10:12');
INSERT INTO `sys_logininfor` VALUES (456, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2023-08-24 13:10:29');
INSERT INTO `sys_logininfor` VALUES (457, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 13:11:56');
INSERT INTO `sys_logininfor` VALUES (458, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-24 13:49:25');
INSERT INTO `sys_logininfor` VALUES (459, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 08:37:33');
INSERT INTO `sys_logininfor` VALUES (460, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 08:38:09');
INSERT INTO `sys_logininfor` VALUES (461, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-25 11:09:32');
INSERT INTO `sys_logininfor` VALUES (462, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-25 11:09:32');
INSERT INTO `sys_logininfor` VALUES (463, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-25 11:09:42');
INSERT INTO `sys_logininfor` VALUES (464, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-25 11:09:42');
INSERT INTO `sys_logininfor` VALUES (465, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-08-25 11:10:01');
INSERT INTO `sys_logininfor` VALUES (466, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-25 11:10:01');
INSERT INTO `sys_logininfor` VALUES (467, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-08-25 11:10:21');
INSERT INTO `sys_logininfor` VALUES (468, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-25 11:10:21');
INSERT INTO `sys_logininfor` VALUES (469, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 11:10:38');
INSERT INTO `sys_logininfor` VALUES (470, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 11:16:33');
INSERT INTO `sys_logininfor` VALUES (471, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 11:16:51');
INSERT INTO `sys_logininfor` VALUES (472, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 11:17:46');
INSERT INTO `sys_logininfor` VALUES (473, '18640822691', '175.162.67.54', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-25 12:13:23');
INSERT INTO `sys_logininfor` VALUES (474, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 12:55:43');
INSERT INTO `sys_logininfor` VALUES (475, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 12:56:08');
INSERT INTO `sys_logininfor` VALUES (476, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 12:57:21');
INSERT INTO `sys_logininfor` VALUES (477, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 12:57:50');
INSERT INTO `sys_logininfor` VALUES (478, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 13:03:30');
INSERT INTO `sys_logininfor` VALUES (479, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 13:04:32');
INSERT INTO `sys_logininfor` VALUES (480, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 13:30:37');
INSERT INTO `sys_logininfor` VALUES (481, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 13:30:39');
INSERT INTO `sys_logininfor` VALUES (482, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 13:45:37');
INSERT INTO `sys_logininfor` VALUES (483, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 13:46:11');
INSERT INTO `sys_logininfor` VALUES (484, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 14:09:22');
INSERT INTO `sys_logininfor` VALUES (485, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 14:10:59');
INSERT INTO `sys_logininfor` VALUES (486, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 15:32:30');
INSERT INTO `sys_logininfor` VALUES (487, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 15:32:46');
INSERT INTO `sys_logininfor` VALUES (488, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 15:33:08');
INSERT INTO `sys_logininfor` VALUES (489, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-25 15:38:57');
INSERT INTO `sys_logininfor` VALUES (490, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-25 15:39:24');
INSERT INTO `sys_logininfor` VALUES (491, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 15:45:25');
INSERT INTO `sys_logininfor` VALUES (492, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-25 15:58:53');
INSERT INTO `sys_logininfor` VALUES (493, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-25 15:58:53');
INSERT INTO `sys_logininfor` VALUES (494, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 15:58:57');
INSERT INTO `sys_logininfor` VALUES (495, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 16:02:48');
INSERT INTO `sys_logininfor` VALUES (496, '18640822691', '175.162.67.54', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-25 16:07:44');
INSERT INTO `sys_logininfor` VALUES (497, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 16:11:09');
INSERT INTO `sys_logininfor` VALUES (498, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 16:16:53');
INSERT INTO `sys_logininfor` VALUES (499, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 16:16:59');
INSERT INTO `sys_logininfor` VALUES (500, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 16:18:44');
INSERT INTO `sys_logininfor` VALUES (501, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 16:19:17');
INSERT INTO `sys_logininfor` VALUES (502, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-25 16:35:57');
INSERT INTO `sys_logininfor` VALUES (503, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-25 16:36:00');
INSERT INTO `sys_logininfor` VALUES (504, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-25 16:39:23');
INSERT INTO `sys_logininfor` VALUES (505, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-25 16:40:59');
INSERT INTO `sys_logininfor` VALUES (506, '18640822691', '175.162.67.54', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-26 14:54:30');
INSERT INTO `sys_logininfor` VALUES (507, '18640822691', '175.162.67.54', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-27 10:04:15');
INSERT INTO `sys_logininfor` VALUES (508, '18640822691', '175.162.67.54', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-08-27 16:23:05');
INSERT INTO `sys_logininfor` VALUES (509, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 08:34:29');
INSERT INTO `sys_logininfor` VALUES (510, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-28 08:36:25');
INSERT INTO `sys_logininfor` VALUES (511, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 08:39:58');
INSERT INTO `sys_logininfor` VALUES (512, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-28 08:42:40');
INSERT INTO `sys_logininfor` VALUES (513, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 08:43:55');
INSERT INTO `sys_logininfor` VALUES (514, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 10:54:53');
INSERT INTO `sys_logininfor` VALUES (515, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 11:38:02');
INSERT INTO `sys_logininfor` VALUES (516, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 11:38:48');
INSERT INTO `sys_logininfor` VALUES (517, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 11:49:14');
INSERT INTO `sys_logininfor` VALUES (518, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 11:52:27');
INSERT INTO `sys_logininfor` VALUES (519, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 12:43:48');
INSERT INTO `sys_logininfor` VALUES (520, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-28 12:44:37');
INSERT INTO `sys_logininfor` VALUES (521, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-28 12:44:37');
INSERT INTO `sys_logininfor` VALUES (522, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 12:44:41');
INSERT INTO `sys_logininfor` VALUES (523, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 12:56:14');
INSERT INTO `sys_logininfor` VALUES (524, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 12:59:52');
INSERT INTO `sys_logininfor` VALUES (525, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 13:22:52');
INSERT INTO `sys_logininfor` VALUES (526, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 13:32:56');
INSERT INTO `sys_logininfor` VALUES (527, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '企业信息审核中,暂时无法提供相关应用服务。', '2023-08-28 15:41:03');
INSERT INTO `sys_logininfor` VALUES (528, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-08-28 15:42:41');
INSERT INTO `sys_logininfor` VALUES (529, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'One record is expected, but the query result is multiple records', '2023-08-28 16:17:49');
INSERT INTO `sys_logininfor` VALUES (530, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 16:21:40');
INSERT INTO `sys_logininfor` VALUES (531, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 16:22:58');
INSERT INTO `sys_logininfor` VALUES (532, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-28 16:27:04');
INSERT INTO `sys_logininfor` VALUES (533, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-28 16:27:04');
INSERT INTO `sys_logininfor` VALUES (534, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 16:27:14');
INSERT INTO `sys_logininfor` VALUES (535, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 16:32:57');
INSERT INTO `sys_logininfor` VALUES (536, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 16:33:37');
INSERT INTO `sys_logininfor` VALUES (537, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 16:33:45');
INSERT INTO `sys_logininfor` VALUES (538, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 16:36:26');
INSERT INTO `sys_logininfor` VALUES (539, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 16:36:29');
INSERT INTO `sys_logininfor` VALUES (540, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 16:37:11');
INSERT INTO `sys_logininfor` VALUES (541, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-28 16:39:33');
INSERT INTO `sys_logininfor` VALUES (542, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-28 16:49:16');
INSERT INTO `sys_logininfor` VALUES (543, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-28 16:49:16');
INSERT INTO `sys_logininfor` VALUES (544, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-28 17:00:21');
INSERT INTO `sys_logininfor` VALUES (545, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-28 17:53:43');
INSERT INTO `sys_logininfor` VALUES (546, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 08:38:04');
INSERT INTO `sys_logininfor` VALUES (547, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 08:45:49');
INSERT INTO `sys_logininfor` VALUES (548, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 08:57:55');
INSERT INTO `sys_logininfor` VALUES (549, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 09:03:51');
INSERT INTO `sys_logininfor` VALUES (550, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 09:13:37');
INSERT INTO `sys_logininfor` VALUES (551, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 09:14:46');
INSERT INTO `sys_logininfor` VALUES (552, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-29 10:36:29');
INSERT INTO `sys_logininfor` VALUES (553, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 10:38:12');
INSERT INTO `sys_logininfor` VALUES (554, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-29 10:38:25');
INSERT INTO `sys_logininfor` VALUES (555, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 10:39:50');
INSERT INTO `sys_logininfor` VALUES (556, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 10:39:51');
INSERT INTO `sys_logininfor` VALUES (557, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 10:48:12');
INSERT INTO `sys_logininfor` VALUES (558, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 10:52:32');
INSERT INTO `sys_logininfor` VALUES (559, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 11:02:24');
INSERT INTO `sys_logininfor` VALUES (560, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 11:16:30');
INSERT INTO `sys_logininfor` VALUES (561, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-29 11:30:13');
INSERT INTO `sys_logininfor` VALUES (562, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 11:35:03');
INSERT INTO `sys_logininfor` VALUES (563, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 13:02:27');
INSERT INTO `sys_logininfor` VALUES (564, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 13:06:43');
INSERT INTO `sys_logininfor` VALUES (565, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-29 13:10:41');
INSERT INTO `sys_logininfor` VALUES (566, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 13:10:47');
INSERT INTO `sys_logininfor` VALUES (567, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 13:54:16');
INSERT INTO `sys_logininfor` VALUES (568, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-08-29 13:54:48');
INSERT INTO `sys_logininfor` VALUES (569, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-29 13:54:48');
INSERT INTO `sys_logininfor` VALUES (570, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 13:55:33');
INSERT INTO `sys_logininfor` VALUES (571, '18640822691', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 13:55:49');
INSERT INTO `sys_logininfor` VALUES (572, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-08-29 14:01:44');
INSERT INTO `sys_logininfor` VALUES (573, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-29 14:01:44');
INSERT INTO `sys_logininfor` VALUES (574, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 14:01:50');
INSERT INTO `sys_logininfor` VALUES (575, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 14:13:57');
INSERT INTO `sys_logininfor` VALUES (576, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 14:44:58');
INSERT INTO `sys_logininfor` VALUES (577, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 15:12:40');
INSERT INTO `sys_logininfor` VALUES (578, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 15:12:48');
INSERT INTO `sys_logininfor` VALUES (579, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-29 15:27:57');
INSERT INTO `sys_logininfor` VALUES (580, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 15:29:07');
INSERT INTO `sys_logininfor` VALUES (581, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-29 17:24:54');
INSERT INTO `sys_logininfor` VALUES (582, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-29 17:24:58');
INSERT INTO `sys_logininfor` VALUES (583, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-29 17:41:46');
INSERT INTO `sys_logininfor` VALUES (584, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 08:51:06');
INSERT INTO `sys_logininfor` VALUES (585, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 08:58:13');
INSERT INTO `sys_logininfor` VALUES (586, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 08:58:25');
INSERT INTO `sys_logininfor` VALUES (587, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 08:58:39');
INSERT INTO `sys_logininfor` VALUES (588, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 09:25:37');
INSERT INTO `sys_logininfor` VALUES (589, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 10:34:24');
INSERT INTO `sys_logininfor` VALUES (590, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 13:02:17');
INSERT INTO `sys_logininfor` VALUES (591, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:02:27');
INSERT INTO `sys_logininfor` VALUES (592, '18640822691', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:03:31');
INSERT INTO `sys_logininfor` VALUES (593, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:06:12');
INSERT INTO `sys_logininfor` VALUES (594, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-08-30 13:10:54');
INSERT INTO `sys_logininfor` VALUES (595, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:10:59');
INSERT INTO `sys_logininfor` VALUES (596, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 13:11:22');
INSERT INTO `sys_logininfor` VALUES (597, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:11:42');
INSERT INTO `sys_logininfor` VALUES (598, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:19:07');
INSERT INTO `sys_logininfor` VALUES (599, '18640822691', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:24:50');
INSERT INTO `sys_logininfor` VALUES (600, '18640822691', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 13:25:16');
INSERT INTO `sys_logininfor` VALUES (601, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:25:26');
INSERT INTO `sys_logininfor` VALUES (602, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 13:37:26');
INSERT INTO `sys_logininfor` VALUES (603, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:38:45');
INSERT INTO `sys_logininfor` VALUES (604, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 13:53:10');
INSERT INTO `sys_logininfor` VALUES (605, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 14:43:23');
INSERT INTO `sys_logininfor` VALUES (606, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 14:43:36');
INSERT INTO `sys_logininfor` VALUES (607, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-30 14:45:06');
INSERT INTO `sys_logininfor` VALUES (608, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 14:59:35');
INSERT INTO `sys_logininfor` VALUES (609, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 15:04:00');
INSERT INTO `sys_logininfor` VALUES (610, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 15:08:04');
INSERT INTO `sys_logininfor` VALUES (611, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 16:33:24');
INSERT INTO `sys_logininfor` VALUES (612, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-30 17:23:47');
INSERT INTO `sys_logininfor` VALUES (613, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-30 17:23:50');
INSERT INTO `sys_logininfor` VALUES (614, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 08:34:37');
INSERT INTO `sys_logininfor` VALUES (615, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 08:35:14');
INSERT INTO `sys_logininfor` VALUES (616, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-31 08:35:28');
INSERT INTO `sys_logininfor` VALUES (617, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-08-31 08:52:19');
INSERT INTO `sys_logininfor` VALUES (618, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-08-31 08:52:23');
INSERT INTO `sys_logininfor` VALUES (619, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 09:23:43');
INSERT INTO `sys_logininfor` VALUES (620, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 09:25:12');
INSERT INTO `sys_logininfor` VALUES (621, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 09:35:20');
INSERT INTO `sys_logininfor` VALUES (622, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 09:37:43');
INSERT INTO `sys_logininfor` VALUES (623, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 10:27:40');
INSERT INTO `sys_logininfor` VALUES (624, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 10:36:21');
INSERT INTO `sys_logininfor` VALUES (625, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 10:48:10');
INSERT INTO `sys_logininfor` VALUES (626, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 13:12:10');
INSERT INTO `sys_logininfor` VALUES (627, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 13:13:04');
INSERT INTO `sys_logininfor` VALUES (628, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 13:13:26');
INSERT INTO `sys_logininfor` VALUES (629, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 14:12:38');
INSERT INTO `sys_logininfor` VALUES (630, 'admin', '175.162.67.54', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 15:34:14');
INSERT INTO `sys_logininfor` VALUES (631, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 15:37:30');
INSERT INTO `sys_logininfor` VALUES (632, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 15:37:37');
INSERT INTO `sys_logininfor` VALUES (633, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 16:06:24');
INSERT INTO `sys_logininfor` VALUES (634, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 16:06:28');
INSERT INTO `sys_logininfor` VALUES (635, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 17:35:17');
INSERT INTO `sys_logininfor` VALUES (636, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 17:35:20');
INSERT INTO `sys_logininfor` VALUES (637, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-08-31 17:41:26');
INSERT INTO `sys_logininfor` VALUES (638, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 17:41:30');
INSERT INTO `sys_logininfor` VALUES (639, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-08-31 22:46:36');
INSERT INTO `sys_logininfor` VALUES (640, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 08:34:56');
INSERT INTO `sys_logininfor` VALUES (641, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 08:35:22');
INSERT INTO `sys_logininfor` VALUES (642, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 08:37:55');
INSERT INTO `sys_logininfor` VALUES (643, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 08:41:55');
INSERT INTO `sys_logininfor` VALUES (644, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-01 08:44:03');
INSERT INTO `sys_logininfor` VALUES (645, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 08:53:51');
INSERT INTO `sys_logininfor` VALUES (646, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 09:25:46');
INSERT INTO `sys_logininfor` VALUES (647, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 09:34:15');
INSERT INTO `sys_logininfor` VALUES (648, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 09:53:29');
INSERT INTO `sys_logininfor` VALUES (649, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 11:26:05');
INSERT INTO `sys_logininfor` VALUES (650, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 11:29:07');
INSERT INTO `sys_logininfor` VALUES (651, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 11:29:12');
INSERT INTO `sys_logininfor` VALUES (652, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 11:44:27');
INSERT INTO `sys_logininfor` VALUES (653, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 11:44:34');
INSERT INTO `sys_logininfor` VALUES (654, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 11:50:01');
INSERT INTO `sys_logininfor` VALUES (655, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 11:51:15');
INSERT INTO `sys_logininfor` VALUES (656, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 11:51:54');
INSERT INTO `sys_logininfor` VALUES (657, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 11:52:10');
INSERT INTO `sys_logininfor` VALUES (658, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 12:40:45');
INSERT INTO `sys_logininfor` VALUES (659, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 12:44:52');
INSERT INTO `sys_logininfor` VALUES (660, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 12:54:32');
INSERT INTO `sys_logininfor` VALUES (661, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 12:54:37');
INSERT INTO `sys_logininfor` VALUES (662, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 12:56:50');
INSERT INTO `sys_logininfor` VALUES (663, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 12:56:53');
INSERT INTO `sys_logininfor` VALUES (664, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 12:59:21');
INSERT INTO `sys_logininfor` VALUES (665, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 12:59:31');
INSERT INTO `sys_logininfor` VALUES (666, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 13:05:29');
INSERT INTO `sys_logininfor` VALUES (667, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 13:05:55');
INSERT INTO `sys_logininfor` VALUES (668, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 15:01:26');
INSERT INTO `sys_logininfor` VALUES (669, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 15:01:30');
INSERT INTO `sys_logininfor` VALUES (670, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 15:07:37');
INSERT INTO `sys_logininfor` VALUES (671, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 15:07:48');
INSERT INTO `sys_logininfor` VALUES (672, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 15:08:21');
INSERT INTO `sys_logininfor` VALUES (673, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 15:15:30');
INSERT INTO `sys_logininfor` VALUES (674, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 15:15:46');
INSERT INTO `sys_logininfor` VALUES (675, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-01 15:20:10');
INSERT INTO `sys_logininfor` VALUES (676, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-01 15:34:16');
INSERT INTO `sys_logininfor` VALUES (677, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-01 16:39:00');
INSERT INTO `sys_logininfor` VALUES (678, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-01 23:42:54');
INSERT INTO `sys_logininfor` VALUES (679, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-01 23:43:21');
INSERT INTO `sys_logininfor` VALUES (680, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-02 20:02:18');
INSERT INTO `sys_logininfor` VALUES (681, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-03 11:44:17');
INSERT INTO `sys_logininfor` VALUES (682, '18640822691', '60.21.18.11', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-03 11:52:50');
INSERT INTO `sys_logininfor` VALUES (683, '18640822691', '60.21.18.11', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-03 11:52:50');
INSERT INTO `sys_logininfor` VALUES (684, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-03 12:00:27');
INSERT INTO `sys_logininfor` VALUES (685, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-04 07:12:18');
INSERT INTO `sys_logininfor` VALUES (686, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-04 07:21:59');
INSERT INTO `sys_logininfor` VALUES (687, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 08:40:43');
INSERT INTO `sys_logininfor` VALUES (688, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 08:48:34');
INSERT INTO `sys_logininfor` VALUES (689, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-04 08:53:28');
INSERT INTO `sys_logininfor` VALUES (690, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-04 13:00:25');
INSERT INTO `sys_logininfor` VALUES (691, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 13:11:04');
INSERT INTO `sys_logininfor` VALUES (692, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 13:36:06');
INSERT INTO `sys_logininfor` VALUES (693, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 13:39:21');
INSERT INTO `sys_logininfor` VALUES (694, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-04 14:40:06');
INSERT INTO `sys_logininfor` VALUES (695, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 14:40:10');
INSERT INTO `sys_logininfor` VALUES (696, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-04 14:58:40');
INSERT INTO `sys_logininfor` VALUES (697, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 18:20:17');
INSERT INTO `sys_logininfor` VALUES (698, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-04 18:24:43');
INSERT INTO `sys_logininfor` VALUES (699, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-04 21:53:14');
INSERT INTO `sys_logininfor` VALUES (700, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-04 21:58:36');
INSERT INTO `sys_logininfor` VALUES (701, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-05 06:54:53');
INSERT INTO `sys_logininfor` VALUES (702, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 08:29:16');
INSERT INTO `sys_logininfor` VALUES (703, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 08:30:53');
INSERT INTO `sys_logininfor` VALUES (704, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 08:43:29');
INSERT INTO `sys_logininfor` VALUES (705, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 08:49:51');
INSERT INTO `sys_logininfor` VALUES (706, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-05 08:51:42');
INSERT INTO `sys_logininfor` VALUES (707, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 09:11:17');
INSERT INTO `sys_logininfor` VALUES (708, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 09:18:37');
INSERT INTO `sys_logininfor` VALUES (709, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 09:19:05');
INSERT INTO `sys_logininfor` VALUES (710, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 09:25:10');
INSERT INTO `sys_logininfor` VALUES (711, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 09:25:37');
INSERT INTO `sys_logininfor` VALUES (712, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 09:28:05');
INSERT INTO `sys_logininfor` VALUES (713, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 09:29:25');
INSERT INTO `sys_logininfor` VALUES (714, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 09:34:23');
INSERT INTO `sys_logininfor` VALUES (715, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 09:49:22');
INSERT INTO `sys_logininfor` VALUES (716, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 10:09:55');
INSERT INTO `sys_logininfor` VALUES (717, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 10:17:35');
INSERT INTO `sys_logininfor` VALUES (718, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-05 10:24:33');
INSERT INTO `sys_logininfor` VALUES (719, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 10:56:56');
INSERT INTO `sys_logininfor` VALUES (720, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 10:57:02');
INSERT INTO `sys_logininfor` VALUES (721, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 10:59:35');
INSERT INTO `sys_logininfor` VALUES (722, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 10:59:47');
INSERT INTO `sys_logininfor` VALUES (723, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 11:00:57');
INSERT INTO `sys_logininfor` VALUES (724, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 11:01:01');
INSERT INTO `sys_logininfor` VALUES (725, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 12:38:48');
INSERT INTO `sys_logininfor` VALUES (726, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 12:42:55');
INSERT INTO `sys_logininfor` VALUES (727, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 15:03:39');
INSERT INTO `sys_logininfor` VALUES (728, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 15:27:15');
INSERT INTO `sys_logininfor` VALUES (729, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:06:47');
INSERT INTO `sys_logininfor` VALUES (730, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:21:45');
INSERT INTO `sys_logininfor` VALUES (731, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:22:30');
INSERT INTO `sys_logininfor` VALUES (732, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:23:31');
INSERT INTO `sys_logininfor` VALUES (733, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:30:18');
INSERT INTO `sys_logininfor` VALUES (734, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:30:54');
INSERT INTO `sys_logininfor` VALUES (735, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:30:57');
INSERT INTO `sys_logininfor` VALUES (736, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:31:15');
INSERT INTO `sys_logininfor` VALUES (737, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:31:18');
INSERT INTO `sys_logininfor` VALUES (738, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:31:43');
INSERT INTO `sys_logininfor` VALUES (739, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:31:47');
INSERT INTO `sys_logininfor` VALUES (740, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:33:36');
INSERT INTO `sys_logininfor` VALUES (741, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:33:40');
INSERT INTO `sys_logininfor` VALUES (742, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:45:27');
INSERT INTO `sys_logininfor` VALUES (743, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:45:31');
INSERT INTO `sys_logininfor` VALUES (744, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:46:38');
INSERT INTO `sys_logininfor` VALUES (745, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:46:42');
INSERT INTO `sys_logininfor` VALUES (746, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-05 16:47:44');
INSERT INTO `sys_logininfor` VALUES (747, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:47:55');
INSERT INTO `sys_logininfor` VALUES (748, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-05 16:58:47');
INSERT INTO `sys_logininfor` VALUES (749, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 08:38:53');
INSERT INTO `sys_logininfor` VALUES (750, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 08:40:35');
INSERT INTO `sys_logininfor` VALUES (751, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 08:45:42');
INSERT INTO `sys_logininfor` VALUES (752, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-06 08:50:22');
INSERT INTO `sys_logininfor` VALUES (753, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 09:20:47');
INSERT INTO `sys_logininfor` VALUES (754, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 09:26:34');
INSERT INTO `sys_logininfor` VALUES (755, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 09:51:10');
INSERT INTO `sys_logininfor` VALUES (756, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 09:51:39');
INSERT INTO `sys_logininfor` VALUES (757, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 09:55:40');
INSERT INTO `sys_logininfor` VALUES (758, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 09:55:58');
INSERT INTO `sys_logininfor` VALUES (759, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 10:14:45');
INSERT INTO `sys_logininfor` VALUES (760, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 10:31:43');
INSERT INTO `sys_logininfor` VALUES (761, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 10:51:18');
INSERT INTO `sys_logininfor` VALUES (762, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 10:52:15');
INSERT INTO `sys_logininfor` VALUES (763, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 10:52:22');
INSERT INTO `sys_logininfor` VALUES (764, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 10:53:06');
INSERT INTO `sys_logininfor` VALUES (765, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 11:02:02');
INSERT INTO `sys_logininfor` VALUES (766, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 11:15:16');
INSERT INTO `sys_logininfor` VALUES (767, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 11:15:26');
INSERT INTO `sys_logininfor` VALUES (768, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 11:15:30');
INSERT INTO `sys_logininfor` VALUES (769, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 11:18:31');
INSERT INTO `sys_logininfor` VALUES (770, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 12:54:06');
INSERT INTO `sys_logininfor` VALUES (771, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 13:06:55');
INSERT INTO `sys_logininfor` VALUES (772, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 13:08:51');
INSERT INTO `sys_logininfor` VALUES (773, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 13:11:22');
INSERT INTO `sys_logininfor` VALUES (774, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 14:11:35');
INSERT INTO `sys_logininfor` VALUES (775, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 14:11:54');
INSERT INTO `sys_logininfor` VALUES (776, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 14:14:06');
INSERT INTO `sys_logininfor` VALUES (777, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 14:14:10');
INSERT INTO `sys_logininfor` VALUES (778, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 14:18:24');
INSERT INTO `sys_logininfor` VALUES (779, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 14:18:28');
INSERT INTO `sys_logininfor` VALUES (780, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 14:32:24');
INSERT INTO `sys_logininfor` VALUES (781, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 14:48:52');
INSERT INTO `sys_logininfor` VALUES (782, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 14:48:57');
INSERT INTO `sys_logininfor` VALUES (783, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 14:52:40');
INSERT INTO `sys_logininfor` VALUES (784, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:03:38');
INSERT INTO `sys_logininfor` VALUES (785, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'IIOException: Can\'t read input file!', '2023-09-06 15:03:42');
INSERT INTO `sys_logininfor` VALUES (786, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'IIOException: Can\'t read input file!', '2023-09-06 15:05:45');
INSERT INTO `sys_logininfor` VALUES (787, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'IIOException: Can\'t read input file!', '2023-09-06 15:06:26');
INSERT INTO `sys_logininfor` VALUES (788, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:13:01');
INSERT INTO `sys_logininfor` VALUES (789, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:16:47');
INSERT INTO `sys_logininfor` VALUES (790, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:16:59');
INSERT INTO `sys_logininfor` VALUES (791, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:19:41');
INSERT INTO `sys_logininfor` VALUES (792, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:19:46');
INSERT INTO `sys_logininfor` VALUES (793, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:20:58');
INSERT INTO `sys_logininfor` VALUES (794, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:21:04');
INSERT INTO `sys_logininfor` VALUES (795, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:22:43');
INSERT INTO `sys_logininfor` VALUES (796, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:22:49');
INSERT INTO `sys_logininfor` VALUES (797, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:24:52');
INSERT INTO `sys_logininfor` VALUES (798, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:24:58');
INSERT INTO `sys_logininfor` VALUES (799, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:26:27');
INSERT INTO `sys_logininfor` VALUES (800, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:26:34');
INSERT INTO `sys_logininfor` VALUES (801, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:27:34');
INSERT INTO `sys_logininfor` VALUES (802, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:27:40');
INSERT INTO `sys_logininfor` VALUES (803, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:29:13');
INSERT INTO `sys_logininfor` VALUES (804, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:29:19');
INSERT INTO `sys_logininfor` VALUES (805, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 15:30:44');
INSERT INTO `sys_logininfor` VALUES (806, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:30:50');
INSERT INTO `sys_logininfor` VALUES (807, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 15:34:59');
INSERT INTO `sys_logininfor` VALUES (808, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-06 17:25:35');
INSERT INTO `sys_logininfor` VALUES (809, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-06 17:25:45');
INSERT INTO `sys_logininfor` VALUES (810, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 08:37:30');
INSERT INTO `sys_logininfor` VALUES (811, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:39:53');
INSERT INTO `sys_logininfor` VALUES (812, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:40:21');
INSERT INTO `sys_logininfor` VALUES (813, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:40:29');
INSERT INTO `sys_logininfor` VALUES (814, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:40:51');
INSERT INTO `sys_logininfor` VALUES (815, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:41:39');
INSERT INTO `sys_logininfor` VALUES (816, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:41:45');
INSERT INTO `sys_logininfor` VALUES (817, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:41:57');
INSERT INTO `sys_logininfor` VALUES (818, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:44:22');
INSERT INTO `sys_logininfor` VALUES (819, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:45:03');
INSERT INTO `sys_logininfor` VALUES (820, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:45:23');
INSERT INTO `sys_logininfor` VALUES (821, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:45:26');
INSERT INTO `sys_logininfor` VALUES (822, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:46:44');
INSERT INTO `sys_logininfor` VALUES (823, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:48:11');
INSERT INTO `sys_logininfor` VALUES (824, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:48:45');
INSERT INTO `sys_logininfor` VALUES (825, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:48:56');
INSERT INTO `sys_logininfor` VALUES (826, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:49:57');
INSERT INTO `sys_logininfor` VALUES (827, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:50:59');
INSERT INTO `sys_logininfor` VALUES (828, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:51:16');
INSERT INTO `sys_logininfor` VALUES (829, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:52:22');
INSERT INTO `sys_logininfor` VALUES (830, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-07 08:52:33');
INSERT INTO `sys_logininfor` VALUES (831, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 08:52:33');
INSERT INTO `sys_logininfor` VALUES (832, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:03');
INSERT INTO `sys_logininfor` VALUES (833, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-07 08:53:20');
INSERT INTO `sys_logininfor` VALUES (834, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 08:53:20');
INSERT INTO `sys_logininfor` VALUES (835, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:23');
INSERT INTO `sys_logininfor` VALUES (836, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:30');
INSERT INTO `sys_logininfor` VALUES (837, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:34');
INSERT INTO `sys_logininfor` VALUES (838, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:39');
INSERT INTO `sys_logininfor` VALUES (839, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 08:53:40');
INSERT INTO `sys_logininfor` VALUES (840, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:55');
INSERT INTO `sys_logininfor` VALUES (841, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:53:57');
INSERT INTO `sys_logininfor` VALUES (842, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-07 08:54:14');
INSERT INTO `sys_logininfor` VALUES (843, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 08:54:14');
INSERT INTO `sys_logininfor` VALUES (844, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:54:28');
INSERT INTO `sys_logininfor` VALUES (845, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:55:23');
INSERT INTO `sys_logininfor` VALUES (846, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:56:54');
INSERT INTO `sys_logininfor` VALUES (847, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:56:58');
INSERT INTO `sys_logininfor` VALUES (848, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:57:00');
INSERT INTO `sys_logininfor` VALUES (849, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:57:02');
INSERT INTO `sys_logininfor` VALUES (850, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:59:03');
INSERT INTO `sys_logininfor` VALUES (851, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:59:25');
INSERT INTO `sys_logininfor` VALUES (852, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 08:59:42');
INSERT INTO `sys_logininfor` VALUES (853, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:01:15');
INSERT INTO `sys_logininfor` VALUES (854, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:02:44');
INSERT INTO `sys_logininfor` VALUES (855, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:03:09');
INSERT INTO `sys_logininfor` VALUES (856, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 09:03:19');
INSERT INTO `sys_logininfor` VALUES (857, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:03:19');
INSERT INTO `sys_logininfor` VALUES (858, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:05:06');
INSERT INTO `sys_logininfor` VALUES (859, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:05:38');
INSERT INTO `sys_logininfor` VALUES (860, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:05:43');
INSERT INTO `sys_logininfor` VALUES (861, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:06:24');
INSERT INTO `sys_logininfor` VALUES (862, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:07:06');
INSERT INTO `sys_logininfor` VALUES (863, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-07 09:07:34');
INSERT INTO `sys_logininfor` VALUES (864, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:07:39');
INSERT INTO `sys_logininfor` VALUES (865, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:07:47');
INSERT INTO `sys_logininfor` VALUES (866, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:08:58');
INSERT INTO `sys_logininfor` VALUES (867, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:10:33');
INSERT INTO `sys_logininfor` VALUES (868, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:11:23');
INSERT INTO `sys_logininfor` VALUES (869, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:13:05');
INSERT INTO `sys_logininfor` VALUES (870, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:13:49');
INSERT INTO `sys_logininfor` VALUES (871, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:14:50');
INSERT INTO `sys_logininfor` VALUES (872, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:16:26');
INSERT INTO `sys_logininfor` VALUES (873, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 09:16:40');
INSERT INTO `sys_logininfor` VALUES (874, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:17:41');
INSERT INTO `sys_logininfor` VALUES (875, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 09:17:45');
INSERT INTO `sys_logininfor` VALUES (876, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 09:18:40');
INSERT INTO `sys_logininfor` VALUES (877, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 09:22:07');
INSERT INTO `sys_logininfor` VALUES (878, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:22:41');
INSERT INTO `sys_logininfor` VALUES (879, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:22:43');
INSERT INTO `sys_logininfor` VALUES (880, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 09:25:34');
INSERT INTO `sys_logininfor` VALUES (881, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:28:57');
INSERT INTO `sys_logininfor` VALUES (882, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 09:32:49');
INSERT INTO `sys_logininfor` VALUES (883, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 09:33:42');
INSERT INTO `sys_logininfor` VALUES (884, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:04:17');
INSERT INTO `sys_logininfor` VALUES (885, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:12:35');
INSERT INTO `sys_logininfor` VALUES (886, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:15:31');
INSERT INTO `sys_logininfor` VALUES (887, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:17:44');
INSERT INTO `sys_logininfor` VALUES (888, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 10:18:00');
INSERT INTO `sys_logininfor` VALUES (889, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 10:18:14');
INSERT INTO `sys_logininfor` VALUES (890, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:18:18');
INSERT INTO `sys_logininfor` VALUES (891, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 10:18:30');
INSERT INTO `sys_logininfor` VALUES (892, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 10:42:26');
INSERT INTO `sys_logininfor` VALUES (893, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:42:51');
INSERT INTO `sys_logininfor` VALUES (894, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:43:49');
INSERT INTO `sys_logininfor` VALUES (895, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 10:48:32');
INSERT INTO `sys_logininfor` VALUES (896, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 10:48:37');
INSERT INTO `sys_logininfor` VALUES (897, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 11:40:01');
INSERT INTO `sys_logininfor` VALUES (898, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 11:40:06');
INSERT INTO `sys_logininfor` VALUES (899, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 11:48:53');
INSERT INTO `sys_logininfor` VALUES (900, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 11:49:01');
INSERT INTO `sys_logininfor` VALUES (901, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 12:57:31');
INSERT INTO `sys_logininfor` VALUES (902, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 13:04:44');
INSERT INTO `sys_logininfor` VALUES (903, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 13:08:55');
INSERT INTO `sys_logininfor` VALUES (904, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:08:59');
INSERT INTO `sys_logininfor` VALUES (905, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:09:09');
INSERT INTO `sys_logininfor` VALUES (906, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:10:37');
INSERT INTO `sys_logininfor` VALUES (907, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:16:18');
INSERT INTO `sys_logininfor` VALUES (908, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:16:52');
INSERT INTO `sys_logininfor` VALUES (909, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:17:03');
INSERT INTO `sys_logininfor` VALUES (910, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:18:13');
INSERT INTO `sys_logininfor` VALUES (911, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:18:48');
INSERT INTO `sys_logininfor` VALUES (912, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:21:09');
INSERT INTO `sys_logininfor` VALUES (913, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:21:42');
INSERT INTO `sys_logininfor` VALUES (914, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:22:09');
INSERT INTO `sys_logininfor` VALUES (915, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:22:12');
INSERT INTO `sys_logininfor` VALUES (916, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-07 13:22:50');
INSERT INTO `sys_logininfor` VALUES (917, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 13:25:39');
INSERT INTO `sys_logininfor` VALUES (918, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 13:26:02');
INSERT INTO `sys_logininfor` VALUES (919, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 13:26:04');
INSERT INTO `sys_logininfor` VALUES (920, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 13:26:50');
INSERT INTO `sys_logininfor` VALUES (921, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 13:27:29');
INSERT INTO `sys_logininfor` VALUES (922, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 13:31:33');
INSERT INTO `sys_logininfor` VALUES (923, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-07 13:31:43');
INSERT INTO `sys_logininfor` VALUES (924, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 13:31:48');
INSERT INTO `sys_logininfor` VALUES (925, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 13:32:10');
INSERT INTO `sys_logininfor` VALUES (926, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 13:32:20');
INSERT INTO `sys_logininfor` VALUES (927, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:24:44');
INSERT INTO `sys_logininfor` VALUES (928, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:24:49');
INSERT INTO `sys_logininfor` VALUES (929, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:38:52');
INSERT INTO `sys_logininfor` VALUES (930, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:39:00');
INSERT INTO `sys_logininfor` VALUES (931, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:39:05');
INSERT INTO `sys_logininfor` VALUES (932, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:39:15');
INSERT INTO `sys_logininfor` VALUES (933, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:39:22');
INSERT INTO `sys_logininfor` VALUES (934, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:39:50');
INSERT INTO `sys_logininfor` VALUES (935, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:41:06');
INSERT INTO `sys_logininfor` VALUES (936, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:41:13');
INSERT INTO `sys_logininfor` VALUES (937, 'zhushan', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:41:18');
INSERT INTO `sys_logininfor` VALUES (938, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:41:30');
INSERT INTO `sys_logininfor` VALUES (939, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:41:40');
INSERT INTO `sys_logininfor` VALUES (940, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:41:50');
INSERT INTO `sys_logininfor` VALUES (941, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:41:59');
INSERT INTO `sys_logininfor` VALUES (942, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:42:10');
INSERT INTO `sys_logininfor` VALUES (943, '桑原电机(大连)有限公司', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 14:42:18');
INSERT INTO `sys_logininfor` VALUES (944, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 14:42:32');
INSERT INTO `sys_logininfor` VALUES (945, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 15:20:03');
INSERT INTO `sys_logininfor` VALUES (946, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 15:20:10');
INSERT INTO `sys_logininfor` VALUES (947, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-07 15:29:32');
INSERT INTO `sys_logininfor` VALUES (948, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-07 15:29:32');
INSERT INTO `sys_logininfor` VALUES (949, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-07 15:29:40');
INSERT INTO `sys_logininfor` VALUES (950, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-07 15:38:40');
INSERT INTO `sys_logininfor` VALUES (951, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-07 15:38:46');
INSERT INTO `sys_logininfor` VALUES (952, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-07 15:55:52');
INSERT INTO `sys_logininfor` VALUES (953, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-07 16:14:59');
INSERT INTO `sys_logininfor` VALUES (954, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 16:15:08');
INSERT INTO `sys_logininfor` VALUES (955, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-07 16:53:24');
INSERT INTO `sys_logininfor` VALUES (956, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-07 16:58:24');
INSERT INTO `sys_logininfor` VALUES (957, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-07 17:01:11');
INSERT INTO `sys_logininfor` VALUES (958, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-07 17:05:04');
INSERT INTO `sys_logininfor` VALUES (959, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-07 17:10:56');
INSERT INTO `sys_logininfor` VALUES (960, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 08:38:27');
INSERT INTO `sys_logininfor` VALUES (961, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 08:39:30');
INSERT INTO `sys_logininfor` VALUES (962, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-08 08:39:59');
INSERT INTO `sys_logininfor` VALUES (963, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 08:47:59');
INSERT INTO `sys_logininfor` VALUES (964, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-08 08:56:37');
INSERT INTO `sys_logininfor` VALUES (965, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-08 08:56:43');
INSERT INTO `sys_logininfor` VALUES (966, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-08 09:05:54');
INSERT INTO `sys_logininfor` VALUES (967, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-08 09:05:54');
INSERT INTO `sys_logininfor` VALUES (968, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-08 09:06:03');
INSERT INTO `sys_logininfor` VALUES (969, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-08 09:06:03');
INSERT INTO `sys_logininfor` VALUES (970, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 09:06:15');
INSERT INTO `sys_logininfor` VALUES (971, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 09:34:00');
INSERT INTO `sys_logininfor` VALUES (972, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 09:40:56');
INSERT INTO `sys_logininfor` VALUES (973, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 10:06:19');
INSERT INTO `sys_logininfor` VALUES (974, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 10:29:51');
INSERT INTO `sys_logininfor` VALUES (975, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 10:39:02');
INSERT INTO `sys_logininfor` VALUES (976, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-08 10:42:32');
INSERT INTO `sys_logininfor` VALUES (977, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-08 10:42:32');
INSERT INTO `sys_logininfor` VALUES (978, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 10:42:40');
INSERT INTO `sys_logininfor` VALUES (979, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 10:51:01');
INSERT INTO `sys_logininfor` VALUES (980, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 11:00:44');
INSERT INTO `sys_logininfor` VALUES (981, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 13:28:53');
INSERT INTO `sys_logininfor` VALUES (982, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:39:37');
INSERT INTO `sys_logininfor` VALUES (983, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:39:46');
INSERT INTO `sys_logininfor` VALUES (984, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:40:06');
INSERT INTO `sys_logininfor` VALUES (985, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:41:05');
INSERT INTO `sys_logininfor` VALUES (986, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:41:32');
INSERT INTO `sys_logininfor` VALUES (987, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 13:43:00');
INSERT INTO `sys_logininfor` VALUES (988, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:43:37');
INSERT INTO `sys_logininfor` VALUES (989, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-08 13:43:39');
INSERT INTO `sys_logininfor` VALUES (990, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-08 13:44:39');
INSERT INTO `sys_logininfor` VALUES (991, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 13:46:35');
INSERT INTO `sys_logininfor` VALUES (992, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-08 13:49:47');
INSERT INTO `sys_logininfor` VALUES (993, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 13:50:07');
INSERT INTO `sys_logininfor` VALUES (994, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:13:41');
INSERT INTO `sys_logininfor` VALUES (995, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:13:59');
INSERT INTO `sys_logininfor` VALUES (996, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:14:20');
INSERT INTO `sys_logininfor` VALUES (997, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '密码输入错误1次', '2023-09-08 14:14:29');
INSERT INTO `sys_logininfor` VALUES (998, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '用户不存在/密码错误', '2023-09-08 14:14:29');
INSERT INTO `sys_logininfor` VALUES (999, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 14:14:31');
INSERT INTO `sys_logininfor` VALUES (1000, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:14:46');
INSERT INTO `sys_logininfor` VALUES (1001, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '密码输入错误2次', '2023-09-08 14:14:57');
INSERT INTO `sys_logininfor` VALUES (1002, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '用户不存在/密码错误', '2023-09-08 14:14:57');
INSERT INTO `sys_logininfor` VALUES (1003, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:15:06');
INSERT INTO `sys_logininfor` VALUES (1004, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 14:15:39');
INSERT INTO `sys_logininfor` VALUES (1005, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:17:05');
INSERT INTO `sys_logininfor` VALUES (1006, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:19:48');
INSERT INTO `sys_logininfor` VALUES (1007, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:21:46');
INSERT INTO `sys_logininfor` VALUES (1008, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 14:25:09');
INSERT INTO `sys_logininfor` VALUES (1009, '18640822691', '113.227.221.134', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:39:57');
INSERT INTO `sys_logininfor` VALUES (1010, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:40:16');
INSERT INTO `sys_logininfor` VALUES (1011, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:40:57');
INSERT INTO `sys_logininfor` VALUES (1012, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-08 14:41:03');
INSERT INTO `sys_logininfor` VALUES (1013, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 14:41:08');
INSERT INTO `sys_logininfor` VALUES (1014, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 14:43:30');
INSERT INTO `sys_logininfor` VALUES (1015, '18640822691', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:44:10');
INSERT INTO `sys_logininfor` VALUES (1016, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:46:11');
INSERT INTO `sys_logininfor` VALUES (1017, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-08 14:58:44');
INSERT INTO `sys_logininfor` VALUES (1018, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-08 14:59:19');
INSERT INTO `sys_logininfor` VALUES (1019, '18640822691', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2023-09-08 15:02:31');
INSERT INTO `sys_logininfor` VALUES (1020, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-08 15:03:10');
INSERT INTO `sys_logininfor` VALUES (1021, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-08 15:03:18');
INSERT INTO `sys_logininfor` VALUES (1022, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 15:13:42');
INSERT INTO `sys_logininfor` VALUES (1023, '18640822691', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '退出成功', '2023-09-08 15:17:30');
INSERT INTO `sys_logininfor` VALUES (1024, '18640822691', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2023-09-08 15:17:35');
INSERT INTO `sys_logininfor` VALUES (1025, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-08 16:24:45');
INSERT INTO `sys_logininfor` VALUES (1026, '18640822691', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '退出成功', '2023-09-08 17:03:04');
INSERT INTO `sys_logininfor` VALUES (1027, '18640822691', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2023-09-08 17:03:11');
INSERT INTO `sys_logininfor` VALUES (1028, 'admin', '113.227.221.134', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-08 17:53:51');
INSERT INTO `sys_logininfor` VALUES (1029, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-10 15:18:35');
INSERT INTO `sys_logininfor` VALUES (1030, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-10 15:20:54');
INSERT INTO `sys_logininfor` VALUES (1031, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-10 16:01:57');
INSERT INTO `sys_logininfor` VALUES (1032, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-10 16:40:30');
INSERT INTO `sys_logininfor` VALUES (1033, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-10 16:41:32');
INSERT INTO `sys_logininfor` VALUES (1034, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-10 17:44:28');
INSERT INTO `sys_logininfor` VALUES (1035, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-10 18:21:08');
INSERT INTO `sys_logininfor` VALUES (1036, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-10 18:56:58');
INSERT INTO `sys_logininfor` VALUES (1037, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-10 19:05:57');
INSERT INTO `sys_logininfor` VALUES (1038, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-11 08:35:16');
INSERT INTO `sys_logininfor` VALUES (1039, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-11 08:35:16');
INSERT INTO `sys_logininfor` VALUES (1040, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:35:48');
INSERT INTO `sys_logininfor` VALUES (1041, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-11 08:36:35');
INSERT INTO `sys_logininfor` VALUES (1042, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-11 08:36:35');
INSERT INTO `sys_logininfor` VALUES (1043, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 08:36:40');
INSERT INTO `sys_logininfor` VALUES (1044, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:38:39');
INSERT INTO `sys_logininfor` VALUES (1045, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2023-09-11 08:40:02');
INSERT INTO `sys_logininfor` VALUES (1046, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:43:31');
INSERT INTO `sys_logininfor` VALUES (1047, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:43:53');
INSERT INTO `sys_logininfor` VALUES (1048, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:44:23');
INSERT INTO `sys_logininfor` VALUES (1049, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:45:30');
INSERT INTO `sys_logininfor` VALUES (1050, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:46:05');
INSERT INTO `sys_logininfor` VALUES (1051, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:46:07');
INSERT INTO `sys_logininfor` VALUES (1052, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:46:50');
INSERT INTO `sys_logininfor` VALUES (1053, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:48:37');
INSERT INTO `sys_logininfor` VALUES (1054, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-11 08:48:58');
INSERT INTO `sys_logininfor` VALUES (1055, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-11 08:48:58');
INSERT INTO `sys_logininfor` VALUES (1056, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:49:28');
INSERT INTO `sys_logininfor` VALUES (1057, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 08:49:43');
INSERT INTO `sys_logininfor` VALUES (1058, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 08:50:02');
INSERT INTO `sys_logininfor` VALUES (1059, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:50:28');
INSERT INTO `sys_logininfor` VALUES (1060, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:50:52');
INSERT INTO `sys_logininfor` VALUES (1061, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:51:07');
INSERT INTO `sys_logininfor` VALUES (1062, '18640822691', '113.227.216.55', 'XX XX', 'Unknown', 'Unknown', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:51:32');
INSERT INTO `sys_logininfor` VALUES (1063, '18640822691', '113.227.216.55', 'XX XX', 'Unknown', 'Unknown', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:53:23');
INSERT INTO `sys_logininfor` VALUES (1064, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:54:24');
INSERT INTO `sys_logininfor` VALUES (1065, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:55:24');
INSERT INTO `sys_logininfor` VALUES (1066, 'wangjian', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', NULL, '2023-09-11 08:55:32');
INSERT INTO `sys_logininfor` VALUES (1067, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:56:07');
INSERT INTO `sys_logininfor` VALUES (1068, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 08:56:32');
INSERT INTO `sys_logininfor` VALUES (1069, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 08:57:45');
INSERT INTO `sys_logininfor` VALUES (1070, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 09:04:12');
INSERT INTO `sys_logininfor` VALUES (1071, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:07:13');
INSERT INTO `sys_logininfor` VALUES (1072, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 09:10:07');
INSERT INTO `sys_logininfor` VALUES (1073, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:10:56');
INSERT INTO `sys_logininfor` VALUES (1074, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:11:10');
INSERT INTO `sys_logininfor` VALUES (1075, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:14:07');
INSERT INTO `sys_logininfor` VALUES (1076, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 09:17:12');
INSERT INTO `sys_logininfor` VALUES (1077, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:17:59');
INSERT INTO `sys_logininfor` VALUES (1078, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:30:51');
INSERT INTO `sys_logininfor` VALUES (1079, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:30:59');
INSERT INTO `sys_logininfor` VALUES (1080, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:31:41');
INSERT INTO `sys_logininfor` VALUES (1081, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:32:00');
INSERT INTO `sys_logininfor` VALUES (1082, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:35:47');
INSERT INTO `sys_logininfor` VALUES (1083, '18640822691', '113.227.216.55', 'XX XX', 'Unknown', 'Unknown', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:36:20');
INSERT INTO `sys_logininfor` VALUES (1084, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:45:43');
INSERT INTO `sys_logininfor` VALUES (1085, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 09:55:14');
INSERT INTO `sys_logininfor` VALUES (1086, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 09:58:26');
INSERT INTO `sys_logininfor` VALUES (1087, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 10:14:49');
INSERT INTO `sys_logininfor` VALUES (1088, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 10:32:50');
INSERT INTO `sys_logininfor` VALUES (1089, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 10:58:46');
INSERT INTO `sys_logininfor` VALUES (1090, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 10:58:57');
INSERT INTO `sys_logininfor` VALUES (1091, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:06:18');
INSERT INTO `sys_logininfor` VALUES (1092, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 11:13:18');
INSERT INTO `sys_logininfor` VALUES (1093, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:13:55');
INSERT INTO `sys_logininfor` VALUES (1094, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:14:22');
INSERT INTO `sys_logininfor` VALUES (1095, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:14:25');
INSERT INTO `sys_logininfor` VALUES (1096, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:15:52');
INSERT INTO `sys_logininfor` VALUES (1097, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:20:06');
INSERT INTO `sys_logininfor` VALUES (1098, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:39:41');
INSERT INTO `sys_logininfor` VALUES (1099, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:42:39');
INSERT INTO `sys_logininfor` VALUES (1100, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:44:05');
INSERT INTO `sys_logininfor` VALUES (1101, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 11:44:39');
INSERT INTO `sys_logininfor` VALUES (1102, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:44:42');
INSERT INTO `sys_logininfor` VALUES (1103, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 11:48:19');
INSERT INTO `sys_logininfor` VALUES (1104, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-11 11:48:29');
INSERT INTO `sys_logininfor` VALUES (1105, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-11 11:48:46');
INSERT INTO `sys_logininfor` VALUES (1106, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-11 11:48:46');
INSERT INTO `sys_logininfor` VALUES (1107, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-11 11:49:05');
INSERT INTO `sys_logininfor` VALUES (1108, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-11 11:49:05');
INSERT INTO `sys_logininfor` VALUES (1109, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:49:13');
INSERT INTO `sys_logininfor` VALUES (1110, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-11 11:49:41');
INSERT INTO `sys_logininfor` VALUES (1111, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-11 11:49:41');
INSERT INTO `sys_logininfor` VALUES (1112, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:50:54');
INSERT INTO `sys_logininfor` VALUES (1113, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:52:59');
INSERT INTO `sys_logininfor` VALUES (1114, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 11:53:10');
INSERT INTO `sys_logininfor` VALUES (1115, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-11 11:53:34');
INSERT INTO `sys_logininfor` VALUES (1116, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 12:44:30');
INSERT INTO `sys_logininfor` VALUES (1117, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 12:45:05');
INSERT INTO `sys_logininfor` VALUES (1118, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 12:58:05');
INSERT INTO `sys_logininfor` VALUES (1119, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 13:00:28');
INSERT INTO `sys_logininfor` VALUES (1120, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '退出成功', '2023-09-11 13:02:01');
INSERT INTO `sys_logininfor` VALUES (1121, '桑原电机(大连)有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 13:14:05');
INSERT INTO `sys_logininfor` VALUES (1122, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 13:14:29');
INSERT INTO `sys_logininfor` VALUES (1123, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 13:36:04');
INSERT INTO `sys_logininfor` VALUES (1124, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 13:54:34');
INSERT INTO `sys_logininfor` VALUES (1125, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 13:59:30');
INSERT INTO `sys_logininfor` VALUES (1126, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 14:01:03');
INSERT INTO `sys_logininfor` VALUES (1127, '桑原电机(大连)有限公司', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 14:01:08');
INSERT INTO `sys_logininfor` VALUES (1128, '桑原电机(大连)有限公司', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 14:01:28');
INSERT INTO `sys_logininfor` VALUES (1129, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 14:01:35');
INSERT INTO `sys_logininfor` VALUES (1130, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 15:11:36');
INSERT INTO `sys_logininfor` VALUES (1131, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-11 15:11:41');
INSERT INTO `sys_logininfor` VALUES (1132, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 15:11:56');
INSERT INTO `sys_logininfor` VALUES (1133, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-11 15:17:27');
INSERT INTO `sys_logininfor` VALUES (1134, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-11 15:17:31');
INSERT INTO `sys_logininfor` VALUES (1135, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-11 15:29:12');
INSERT INTO `sys_logininfor` VALUES (1136, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-11 15:29:17');
INSERT INTO `sys_logininfor` VALUES (1137, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 15:56:01');
INSERT INTO `sys_logininfor` VALUES (1138, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 16:33:46');
INSERT INTO `sys_logininfor` VALUES (1139, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 16:44:24');
INSERT INTO `sys_logininfor` VALUES (1140, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 17:15:11');
INSERT INTO `sys_logininfor` VALUES (1141, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-11 17:22:35');
INSERT INTO `sys_logininfor` VALUES (1142, '18640822691', '113.227.216.55', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-12 07:31:33');
INSERT INTO `sys_logininfor` VALUES (1143, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 08:35:17');
INSERT INTO `sys_logininfor` VALUES (1144, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 09:10:07');
INSERT INTO `sys_logininfor` VALUES (1145, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 09:11:57');
INSERT INTO `sys_logininfor` VALUES (1146, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 09:31:44');
INSERT INTO `sys_logininfor` VALUES (1147, '18640822691', '113.227.216.55', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-12 09:58:16');
INSERT INTO `sys_logininfor` VALUES (1148, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:00:18');
INSERT INTO `sys_logininfor` VALUES (1149, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:04:03');
INSERT INTO `sys_logininfor` VALUES (1150, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 10:20:13');
INSERT INTO `sys_logininfor` VALUES (1151, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:20:16');
INSERT INTO `sys_logininfor` VALUES (1152, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:32:54');
INSERT INTO `sys_logininfor` VALUES (1153, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:33:00');
INSERT INTO `sys_logininfor` VALUES (1154, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 10:41:03');
INSERT INTO `sys_logininfor` VALUES (1155, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:41:07');
INSERT INTO `sys_logininfor` VALUES (1156, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 10:45:02');
INSERT INTO `sys_logininfor` VALUES (1157, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:45:11');
INSERT INTO `sys_logininfor` VALUES (1158, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:58:20');
INSERT INTO `sys_logininfor` VALUES (1159, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 10:58:28');
INSERT INTO `sys_logininfor` VALUES (1160, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:58:47');
INSERT INTO `sys_logininfor` VALUES (1161, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 10:59:23');
INSERT INTO `sys_logininfor` VALUES (1162, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:06:30');
INSERT INTO `sys_logininfor` VALUES (1163, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:09:47');
INSERT INTO `sys_logininfor` VALUES (1164, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:19:30');
INSERT INTO `sys_logininfor` VALUES (1165, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 11:19:35');
INSERT INTO `sys_logininfor` VALUES (1166, '桑原电机(大连)有限公司', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:19:40');
INSERT INTO `sys_logininfor` VALUES (1167, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 11:20:13');
INSERT INTO `sys_logininfor` VALUES (1168, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:20:19');
INSERT INTO `sys_logininfor` VALUES (1169, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:23:42');
INSERT INTO `sys_logininfor` VALUES (1170, '桑原电机(大连)有限公司', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 11:30:49');
INSERT INTO `sys_logininfor` VALUES (1171, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:30:55');
INSERT INTO `sys_logininfor` VALUES (1172, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 11:34:14');
INSERT INTO `sys_logininfor` VALUES (1173, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 11:34:22');
INSERT INTO `sys_logininfor` VALUES (1174, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 12:47:17');
INSERT INTO `sys_logininfor` VALUES (1175, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 12:47:23');
INSERT INTO `sys_logininfor` VALUES (1176, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 12:47:48');
INSERT INTO `sys_logininfor` VALUES (1177, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 12:52:46');
INSERT INTO `sys_logininfor` VALUES (1178, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 12:58:35');
INSERT INTO `sys_logininfor` VALUES (1179, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 13:04:23');
INSERT INTO `sys_logininfor` VALUES (1180, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 13:17:46');
INSERT INTO `sys_logininfor` VALUES (1181, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 13:21:40');
INSERT INTO `sys_logininfor` VALUES (1182, '18640822691', '192.168.31.147', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-12 13:25:50');
INSERT INTO `sys_logininfor` VALUES (1183, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 14:44:47');
INSERT INTO `sys_logininfor` VALUES (1184, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 15:45:27');
INSERT INTO `sys_logininfor` VALUES (1185, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 15:52:01');
INSERT INTO `sys_logininfor` VALUES (1186, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 15:52:56');
INSERT INTO `sys_logininfor` VALUES (1187, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 16:10:36');
INSERT INTO `sys_logininfor` VALUES (1188, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 16:10:39');
INSERT INTO `sys_logininfor` VALUES (1189, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-12 17:52:35');
INSERT INTO `sys_logininfor` VALUES (1190, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-12 17:53:07');
INSERT INTO `sys_logininfor` VALUES (1191, 'admin', '60.21.93.185', 'XX XX', 'Chrome Mobile', 'Android 1.x', '1', '密码输入错误1次', '2023-09-12 20:49:08');
INSERT INTO `sys_logininfor` VALUES (1192, 'admin', '60.21.93.185', 'XX XX', 'Chrome Mobile', 'Android 1.x', '1', '用户不存在/密码错误', '2023-09-12 20:49:08');
INSERT INTO `sys_logininfor` VALUES (1193, 'admin', '60.21.93.185', 'XX XX', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2023-09-12 20:49:18');
INSERT INTO `sys_logininfor` VALUES (1194, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:38:01');
INSERT INTO `sys_logininfor` VALUES (1195, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:38:21');
INSERT INTO `sys_logininfor` VALUES (1196, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:38:39');
INSERT INTO `sys_logininfor` VALUES (1197, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:42:02');
INSERT INTO `sys_logininfor` VALUES (1198, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:42:24');
INSERT INTO `sys_logininfor` VALUES (1199, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:48:28');
INSERT INTO `sys_logininfor` VALUES (1200, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:50:36');
INSERT INTO `sys_logininfor` VALUES (1201, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 08:52:19');
INSERT INTO `sys_logininfor` VALUES (1202, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 08:52:22');
INSERT INTO `sys_logininfor` VALUES (1203, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 08:57:29');
INSERT INTO `sys_logininfor` VALUES (1204, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-13 08:57:54');
INSERT INTO `sys_logininfor` VALUES (1205, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-13 08:57:54');
INSERT INTO `sys_logininfor` VALUES (1206, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-13 08:58:48');
INSERT INTO `sys_logininfor` VALUES (1207, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-13 08:58:48');
INSERT INTO `sys_logininfor` VALUES (1208, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-13 08:58:59');
INSERT INTO `sys_logininfor` VALUES (1209, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-13 08:58:59');
INSERT INTO `sys_logininfor` VALUES (1210, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-09-13 08:59:32');
INSERT INTO `sys_logininfor` VALUES (1211, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-13 08:59:32');
INSERT INTO `sys_logininfor` VALUES (1212, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次', '2023-09-13 08:59:44');
INSERT INTO `sys_logininfor` VALUES (1213, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-13 08:59:44');
INSERT INTO `sys_logininfor` VALUES (1214, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 09:00:49');
INSERT INTO `sys_logininfor` VALUES (1215, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 09:16:55');
INSERT INTO `sys_logininfor` VALUES (1216, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 09:16:59');
INSERT INTO `sys_logininfor` VALUES (1217, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 09:29:41');
INSERT INTO `sys_logininfor` VALUES (1218, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 09:29:45');
INSERT INTO `sys_logininfor` VALUES (1219, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 09:46:19');
INSERT INTO `sys_logininfor` VALUES (1220, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 10:18:57');
INSERT INTO `sys_logininfor` VALUES (1221, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 11:18:03');
INSERT INTO `sys_logininfor` VALUES (1222, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 11:18:10');
INSERT INTO `sys_logininfor` VALUES (1223, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 11:28:16');
INSERT INTO `sys_logininfor` VALUES (1224, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 11:30:41');
INSERT INTO `sys_logininfor` VALUES (1225, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 11:55:12');
INSERT INTO `sys_logininfor` VALUES (1226, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 11:58:21');
INSERT INTO `sys_logininfor` VALUES (1227, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 11:59:23');
INSERT INTO `sys_logininfor` VALUES (1228, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 12:59:46');
INSERT INTO `sys_logininfor` VALUES (1229, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 13:03:51');
INSERT INTO `sys_logininfor` VALUES (1230, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 13:08:55');
INSERT INTO `sys_logininfor` VALUES (1231, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-13 13:18:21');
INSERT INTO `sys_logininfor` VALUES (1232, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-13 23:39:36');
INSERT INTO `sys_logininfor` VALUES (1233, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 08:32:30');
INSERT INTO `sys_logininfor` VALUES (1234, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 08:37:17');
INSERT INTO `sys_logininfor` VALUES (1235, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 08:38:52');
INSERT INTO `sys_logininfor` VALUES (1236, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 08:38:53');
INSERT INTO `sys_logininfor` VALUES (1237, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 08:39:14');
INSERT INTO `sys_logininfor` VALUES (1238, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 08:41:15');
INSERT INTO `sys_logininfor` VALUES (1239, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 10:21:48');
INSERT INTO `sys_logininfor` VALUES (1240, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 10:26:33');
INSERT INTO `sys_logininfor` VALUES (1241, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-14 10:52:05');
INSERT INTO `sys_logininfor` VALUES (1242, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 10:52:53');
INSERT INTO `sys_logininfor` VALUES (1243, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 10:52:57');
INSERT INTO `sys_logininfor` VALUES (1244, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 11:48:13');
INSERT INTO `sys_logininfor` VALUES (1245, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 11:48:18');
INSERT INTO `sys_logininfor` VALUES (1246, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:01:12');
INSERT INTO `sys_logininfor` VALUES (1247, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:01:26');
INSERT INTO `sys_logininfor` VALUES (1248, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:04:28');
INSERT INTO `sys_logininfor` VALUES (1249, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:04:38');
INSERT INTO `sys_logininfor` VALUES (1250, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:04:46');
INSERT INTO `sys_logininfor` VALUES (1251, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:26:49');
INSERT INTO `sys_logininfor` VALUES (1252, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:38:15');
INSERT INTO `sys_logininfor` VALUES (1253, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:38:20');
INSERT INTO `sys_logininfor` VALUES (1254, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:50:20');
INSERT INTO `sys_logininfor` VALUES (1255, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:50:24');
INSERT INTO `sys_logininfor` VALUES (1256, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:51:48');
INSERT INTO `sys_logininfor` VALUES (1257, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:51:52');
INSERT INTO `sys_logininfor` VALUES (1258, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:53:42');
INSERT INTO `sys_logininfor` VALUES (1259, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:53:46');
INSERT INTO `sys_logininfor` VALUES (1260, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:55:35');
INSERT INTO `sys_logininfor` VALUES (1261, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:55:39');
INSERT INTO `sys_logininfor` VALUES (1262, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:56:35');
INSERT INTO `sys_logininfor` VALUES (1263, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:56:40');
INSERT INTO `sys_logininfor` VALUES (1264, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 13:57:46');
INSERT INTO `sys_logininfor` VALUES (1265, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 13:57:50');
INSERT INTO `sys_logininfor` VALUES (1266, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 14:07:50');
INSERT INTO `sys_logininfor` VALUES (1267, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 14:08:50');
INSERT INTO `sys_logininfor` VALUES (1268, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 15:30:55');
INSERT INTO `sys_logininfor` VALUES (1269, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 15:45:30');
INSERT INTO `sys_logininfor` VALUES (1270, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-14 16:15:52');
INSERT INTO `sys_logininfor` VALUES (1271, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-14 17:18:14');
INSERT INTO `sys_logininfor` VALUES (1272, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-14 19:22:07');
INSERT INTO `sys_logininfor` VALUES (1273, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 08:33:02');
INSERT INTO `sys_logininfor` VALUES (1274, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 08:33:06');
INSERT INTO `sys_logininfor` VALUES (1275, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 08:50:44');
INSERT INTO `sys_logininfor` VALUES (1276, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 10:03:14');
INSERT INTO `sys_logininfor` VALUES (1277, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-15 10:11:23');
INSERT INTO `sys_logininfor` VALUES (1278, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-15 10:11:23');
INSERT INTO `sys_logininfor` VALUES (1279, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-15 10:11:31');
INSERT INTO `sys_logininfor` VALUES (1280, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-15 10:11:31');
INSERT INTO `sys_logininfor` VALUES (1281, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 10:11:36');
INSERT INTO `sys_logininfor` VALUES (1282, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 10:20:22');
INSERT INTO `sys_logininfor` VALUES (1283, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 10:56:09');
INSERT INTO `sys_logininfor` VALUES (1284, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 12:58:17');
INSERT INTO `sys_logininfor` VALUES (1285, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 12:58:37');
INSERT INTO `sys_logininfor` VALUES (1286, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 13:07:11');
INSERT INTO `sys_logininfor` VALUES (1287, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 13:12:23');
INSERT INTO `sys_logininfor` VALUES (1288, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 15:48:05');
INSERT INTO `sys_logininfor` VALUES (1289, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 16:05:16');
INSERT INTO `sys_logininfor` VALUES (1290, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 17:14:46');
INSERT INTO `sys_logininfor` VALUES (1291, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 17:14:54');
INSERT INTO `sys_logininfor` VALUES (1292, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 17:15:19');
INSERT INTO `sys_logininfor` VALUES (1293, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 17:19:39');
INSERT INTO `sys_logininfor` VALUES (1294, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 17:21:18');
INSERT INTO `sys_logininfor` VALUES (1295, '1', '119.129.231.162', 'XX XX', 'Chrome 11', 'Windows 10', '1', '登录用户：1 不存在', '2023-09-15 17:29:42');
INSERT INTO `sys_logininfor` VALUES (1296, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 17:31:04');
INSERT INTO `sys_logininfor` VALUES (1297, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 17:41:50');
INSERT INTO `sys_logininfor` VALUES (1298, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-15 17:42:14');
INSERT INTO `sys_logininfor` VALUES (1299, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-15 17:47:55');
INSERT INTO `sys_logininfor` VALUES (1300, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-15 19:27:02');
INSERT INTO `sys_logininfor` VALUES (1301, '18640822691', '113.227.216.55', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-17 12:46:01');
INSERT INTO `sys_logininfor` VALUES (1302, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-17 19:54:15');
INSERT INTO `sys_logininfor` VALUES (1303, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 08:36:20');
INSERT INTO `sys_logininfor` VALUES (1304, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 08:49:00');
INSERT INTO `sys_logininfor` VALUES (1305, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:01:55');
INSERT INTO `sys_logininfor` VALUES (1306, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:04:23');
INSERT INTO `sys_logininfor` VALUES (1307, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:08:09');
INSERT INTO `sys_logininfor` VALUES (1308, 'admin', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:18:43');
INSERT INTO `sys_logininfor` VALUES (1309, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 09:31:20');
INSERT INTO `sys_logininfor` VALUES (1310, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:36:40');
INSERT INTO `sys_logininfor` VALUES (1311, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 09:36:53');
INSERT INTO `sys_logininfor` VALUES (1312, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:38:27');
INSERT INTO `sys_logininfor` VALUES (1313, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 09:39:07');
INSERT INTO `sys_logininfor` VALUES (1314, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:39:56');
INSERT INTO `sys_logininfor` VALUES (1315, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:54:35');
INSERT INTO `sys_logininfor` VALUES (1316, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 09:57:48');
INSERT INTO `sys_logininfor` VALUES (1317, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 09:57:59');
INSERT INTO `sys_logininfor` VALUES (1318, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 10:02:29');
INSERT INTO `sys_logininfor` VALUES (1319, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 10:39:57');
INSERT INTO `sys_logininfor` VALUES (1320, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 10:40:34');
INSERT INTO `sys_logininfor` VALUES (1321, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 10:40:57');
INSERT INTO `sys_logininfor` VALUES (1322, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 10:44:15');
INSERT INTO `sys_logininfor` VALUES (1323, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 10:44:18');
INSERT INTO `sys_logininfor` VALUES (1324, '18640822691', '113.227.216.55', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 11:11:21');
INSERT INTO `sys_logininfor` VALUES (1325, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 11:32:41');
INSERT INTO `sys_logininfor` VALUES (1326, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 12:17:11');
INSERT INTO `sys_logininfor` VALUES (1327, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 12:48:27');
INSERT INTO `sys_logininfor` VALUES (1328, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 12:48:46');
INSERT INTO `sys_logininfor` VALUES (1329, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 12:48:55');
INSERT INTO `sys_logininfor` VALUES (1330, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:03:31');
INSERT INTO `sys_logininfor` VALUES (1331, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:09:08');
INSERT INTO `sys_logininfor` VALUES (1332, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:17:06');
INSERT INTO `sys_logininfor` VALUES (1333, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:17:31');
INSERT INTO `sys_logininfor` VALUES (1334, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:19:25');
INSERT INTO `sys_logininfor` VALUES (1335, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:20:11');
INSERT INTO `sys_logininfor` VALUES (1336, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:21:24');
INSERT INTO `sys_logininfor` VALUES (1337, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:21:41');
INSERT INTO `sys_logininfor` VALUES (1338, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:22:08');
INSERT INTO `sys_logininfor` VALUES (1339, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:22:18');
INSERT INTO `sys_logininfor` VALUES (1340, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:24:55');
INSERT INTO `sys_logininfor` VALUES (1341, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:25:49');
INSERT INTO `sys_logininfor` VALUES (1342, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:27:26');
INSERT INTO `sys_logininfor` VALUES (1343, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:27:30');
INSERT INTO `sys_logininfor` VALUES (1344, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:27:52');
INSERT INTO `sys_logininfor` VALUES (1345, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:27:59');
INSERT INTO `sys_logininfor` VALUES (1346, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:28:37');
INSERT INTO `sys_logininfor` VALUES (1347, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:28:41');
INSERT INTO `sys_logininfor` VALUES (1348, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:30:27');
INSERT INTO `sys_logininfor` VALUES (1349, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:30:40');
INSERT INTO `sys_logininfor` VALUES (1350, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 13:30:47');
INSERT INTO `sys_logininfor` VALUES (1351, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 13:30:51');
INSERT INTO `sys_logininfor` VALUES (1352, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 14:13:55');
INSERT INTO `sys_logininfor` VALUES (1353, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 15:06:00');
INSERT INTO `sys_logininfor` VALUES (1354, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-18 15:57:49');
INSERT INTO `sys_logininfor` VALUES (1355, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 15:58:07');
INSERT INTO `sys_logininfor` VALUES (1356, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 15:59:38');
INSERT INTO `sys_logininfor` VALUES (1357, '18640822691', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 16:08:29');
INSERT INTO `sys_logininfor` VALUES (1358, 'admin', '113.227.213.234', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 16:42:27');
INSERT INTO `sys_logininfor` VALUES (1359, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-18 17:19:53');
INSERT INTO `sys_logininfor` VALUES (1360, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 08:35:35');
INSERT INTO `sys_logininfor` VALUES (1361, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 08:35:43');
INSERT INTO `sys_logininfor` VALUES (1362, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 08:41:34');
INSERT INTO `sys_logininfor` VALUES (1363, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 08:42:30');
INSERT INTO `sys_logininfor` VALUES (1364, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 08:50:09');
INSERT INTO `sys_logininfor` VALUES (1365, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 08:51:41');
INSERT INTO `sys_logininfor` VALUES (1366, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 09:03:44');
INSERT INTO `sys_logininfor` VALUES (1367, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 09:05:12');
INSERT INTO `sys_logininfor` VALUES (1368, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 09:09:10');
INSERT INTO `sys_logininfor` VALUES (1369, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 09:09:14');
INSERT INTO `sys_logininfor` VALUES (1370, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 09:11:36');
INSERT INTO `sys_logininfor` VALUES (1371, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 09:36:02');
INSERT INTO `sys_logininfor` VALUES (1372, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 10:22:56');
INSERT INTO `sys_logininfor` VALUES (1373, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:02:14');
INSERT INTO `sys_logininfor` VALUES (1374, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:04:18');
INSERT INTO `sys_logininfor` VALUES (1375, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:04:24');
INSERT INTO `sys_logininfor` VALUES (1376, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:04:31');
INSERT INTO `sys_logininfor` VALUES (1377, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:04:36');
INSERT INTO `sys_logininfor` VALUES (1378, 'zhushan', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:04:40');
INSERT INTO `sys_logininfor` VALUES (1379, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:06:00');
INSERT INTO `sys_logininfor` VALUES (1380, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:20:58');
INSERT INTO `sys_logininfor` VALUES (1381, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:25:06');
INSERT INTO `sys_logininfor` VALUES (1382, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:25:12');
INSERT INTO `sys_logininfor` VALUES (1383, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:26:11');
INSERT INTO `sys_logininfor` VALUES (1384, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:27:27');
INSERT INTO `sys_logininfor` VALUES (1385, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:27:59');
INSERT INTO `sys_logininfor` VALUES (1386, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:28:20');
INSERT INTO `sys_logininfor` VALUES (1387, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:32:07');
INSERT INTO `sys_logininfor` VALUES (1388, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:36:02');
INSERT INTO `sys_logininfor` VALUES (1389, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:36:12');
INSERT INTO `sys_logininfor` VALUES (1390, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:43:56');
INSERT INTO `sys_logininfor` VALUES (1391, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:55:57');
INSERT INTO `sys_logininfor` VALUES (1392, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:56:01');
INSERT INTO `sys_logininfor` VALUES (1393, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:56:22');
INSERT INTO `sys_logininfor` VALUES (1394, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 11:59:54');
INSERT INTO `sys_logininfor` VALUES (1395, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 11:59:59');
INSERT INTO `sys_logininfor` VALUES (1396, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 12:56:54');
INSERT INTO `sys_logininfor` VALUES (1397, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 12:57:01');
INSERT INTO `sys_logininfor` VALUES (1398, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 13:04:01');
INSERT INTO `sys_logininfor` VALUES (1399, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 13:06:51');
INSERT INTO `sys_logininfor` VALUES (1400, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 13:16:07');
INSERT INTO `sys_logininfor` VALUES (1401, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 13:25:13');
INSERT INTO `sys_logininfor` VALUES (1402, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 13:25:18');
INSERT INTO `sys_logininfor` VALUES (1403, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 13:44:45');
INSERT INTO `sys_logininfor` VALUES (1404, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 13:50:17');
INSERT INTO `sys_logininfor` VALUES (1405, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 13:50:59');
INSERT INTO `sys_logininfor` VALUES (1406, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 13:51:05');
INSERT INTO `sys_logininfor` VALUES (1407, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 13:57:41');
INSERT INTO `sys_logininfor` VALUES (1408, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:03:54');
INSERT INTO `sys_logininfor` VALUES (1409, '三祥·万力工业设备（大连）有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:04:31');
INSERT INTO `sys_logininfor` VALUES (1410, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:07:10');
INSERT INTO `sys_logininfor` VALUES (1411, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:07:35');
INSERT INTO `sys_logininfor` VALUES (1412, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:07:40');
INSERT INTO `sys_logininfor` VALUES (1413, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:12:53');
INSERT INTO `sys_logininfor` VALUES (1414, '三祥·万力工业设备（大连）有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:15:33');
INSERT INTO `sys_logininfor` VALUES (1415, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:35:30');
INSERT INTO `sys_logininfor` VALUES (1416, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:42:12');
INSERT INTO `sys_logininfor` VALUES (1417, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:42:15');
INSERT INTO `sys_logininfor` VALUES (1418, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:58:25');
INSERT INTO `sys_logininfor` VALUES (1419, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:58:29');
INSERT INTO `sys_logininfor` VALUES (1420, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 14:59:35');
INSERT INTO `sys_logininfor` VALUES (1421, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 14:59:46');
INSERT INTO `sys_logininfor` VALUES (1422, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 15:05:14');
INSERT INTO `sys_logininfor` VALUES (1423, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:05:33');
INSERT INTO `sys_logininfor` VALUES (1424, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:15:43');
INSERT INTO `sys_logininfor` VALUES (1425, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:17:18');
INSERT INTO `sys_logininfor` VALUES (1426, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:18:05');
INSERT INTO `sys_logininfor` VALUES (1427, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:20:51');
INSERT INTO `sys_logininfor` VALUES (1428, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:21:43');
INSERT INTO `sys_logininfor` VALUES (1429, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 15:52:52');
INSERT INTO `sys_logininfor` VALUES (1430, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:52:55');
INSERT INTO `sys_logininfor` VALUES (1431, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 15:55:44');
INSERT INTO `sys_logininfor` VALUES (1432, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 15:56:01');
INSERT INTO `sys_logininfor` VALUES (1433, '大连优尼沃斯体育文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 15:59:09');
INSERT INTO `sys_logininfor` VALUES (1434, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:01:19');
INSERT INTO `sys_logininfor` VALUES (1435, '大连优尼沃斯体育文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:01:37');
INSERT INTO `sys_logininfor` VALUES (1436, '大连壹迦科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:01:49');
INSERT INTO `sys_logininfor` VALUES (1437, '上海君戎机电商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:01:51');
INSERT INTO `sys_logininfor` VALUES (1438, '上海君戎机电商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:01:56');
INSERT INTO `sys_logininfor` VALUES (1439, '大连汇平船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:02:06');
INSERT INTO `sys_logininfor` VALUES (1440, '大连奇立贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:02:11');
INSERT INTO `sys_logininfor` VALUES (1441, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:02:11');
INSERT INTO `sys_logininfor` VALUES (1442, '大连汇平船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:02:44');
INSERT INTO `sys_logininfor` VALUES (1443, '大连壹迦科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:02:49');
INSERT INTO `sys_logininfor` VALUES (1444, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:02:58');
INSERT INTO `sys_logininfor` VALUES (1445, '大连瀛合餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:01');
INSERT INTO `sys_logininfor` VALUES (1446, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:03:03');
INSERT INTO `sys_logininfor` VALUES (1447, '大连奇立贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:03:14');
INSERT INTO `sys_logininfor` VALUES (1448, '大连瀛合餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:03:17');
INSERT INTO `sys_logininfor` VALUES (1449, '大连宏源消防机电工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:23');
INSERT INTO `sys_logininfor` VALUES (1450, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:24');
INSERT INTO `sys_logininfor` VALUES (1451, '大连宏源消防机电工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:03:28');
INSERT INTO `sys_logininfor` VALUES (1452, '大连道和精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:35');
INSERT INTO `sys_logininfor` VALUES (1453, '大连宝欣贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:38');
INSERT INTO `sys_logininfor` VALUES (1454, '大连灿星文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:41');
INSERT INTO `sys_logininfor` VALUES (1455, '大连宝欣贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:03:42');
INSERT INTO `sys_logininfor` VALUES (1456, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:03:43');
INSERT INTO `sys_logininfor` VALUES (1457, '大连灿星文化传媒有限公司 ', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:03:45');
INSERT INTO `sys_logininfor` VALUES (1458, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:01');
INSERT INTO `sys_logininfor` VALUES (1459, '大连家园共育文化发展服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:06');
INSERT INTO `sys_logininfor` VALUES (1460, '大连家园共育文化发展服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:08');
INSERT INTO `sys_logininfor` VALUES (1461, '大连基石云科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:16');
INSERT INTO `sys_logininfor` VALUES (1462, '大连烨璐物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:20');
INSERT INTO `sys_logininfor` VALUES (1463, '大连富洋璨燃餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:20');
INSERT INTO `sys_logininfor` VALUES (1464, '大连烨璐物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:24');
INSERT INTO `sys_logininfor` VALUES (1465, '大连富洋璨燃餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:25');
INSERT INTO `sys_logininfor` VALUES (1466, '大连基石云科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:29');
INSERT INTO `sys_logininfor` VALUES (1467, '大连小欢喜文化传播有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:33');
INSERT INTO `sys_logininfor` VALUES (1468, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:34');
INSERT INTO `sys_logininfor` VALUES (1469, '大连小欢喜文化传播有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:38');
INSERT INTO `sys_logininfor` VALUES (1470, '大连埃斯安泵业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:39');
INSERT INTO `sys_logininfor` VALUES (1471, '大连市沙河口区心航教育培训学校有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:47');
INSERT INTO `sys_logininfor` VALUES (1472, '大连焦耐技术设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:48');
INSERT INTO `sys_logininfor` VALUES (1473, '大连市沙河口区心航教育培训学校有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:50');
INSERT INTO `sys_logininfor` VALUES (1474, '大连埃斯安泵业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:04:57');
INSERT INTO `sys_logininfor` VALUES (1475, '大连市沙河口区新宏达轮胎经销处', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:04:59');
INSERT INTO `sys_logininfor` VALUES (1476, '大连焦耐技术设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:00');
INSERT INTO `sys_logininfor` VALUES (1477, '大连市沙河口区新宏达轮胎经销处', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:03');
INSERT INTO `sys_logininfor` VALUES (1478, '大连圣龙投资顾问有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:08');
INSERT INTO `sys_logininfor` VALUES (1479, '大连焦耐节能服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:15');
INSERT INTO `sys_logininfor` VALUES (1480, '大连市沙河口区美丽起点美容养生馆', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:16');
INSERT INTO `sys_logininfor` VALUES (1481, '大连圣龙投资顾问有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:18');
INSERT INTO `sys_logininfor` VALUES (1482, '大连道和精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:21');
INSERT INTO `sys_logininfor` VALUES (1483, '大连市沙河口区美丽起点美容养生馆', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:21');
INSERT INTO `sys_logininfor` VALUES (1484, '大连焦耐节能服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:24');
INSERT INTO `sys_logininfor` VALUES (1485, '大连图月贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:27');
INSERT INTO `sys_logininfor` VALUES (1486, '大连市甘井子区名仕工商管理培训学校', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:32');
INSERT INTO `sys_logininfor` VALUES (1487, '大连图月贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:33');
INSERT INTO `sys_logininfor` VALUES (1488, '大连市甘井子区名仕工商管理培训学校', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:35');
INSERT INTO `sys_logininfor` VALUES (1489, '大连金奇机械制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:36');
INSERT INTO `sys_logininfor` VALUES (1490, '大连牛乐鲜食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:36');
INSERT INTO `sys_logininfor` VALUES (1491, '大连牛乐鲜食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:40');
INSERT INTO `sys_logininfor` VALUES (1492, '大连市甘井子区大连湾街道弘日电子技术服务部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:45');
INSERT INTO `sys_logininfor` VALUES (1493, '大连嘉辕国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:47');
INSERT INTO `sys_logininfor` VALUES (1494, '大连市甘井子区大连湾街道弘日电子技术服务部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:48');
INSERT INTO `sys_logininfor` VALUES (1495, '大连嘉辕国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:51');
INSERT INTO `sys_logininfor` VALUES (1496, '大连金奇机械制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:05:52');
INSERT INTO `sys_logininfor` VALUES (1497, '大连特大果智能设备科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:54');
INSERT INTO `sys_logininfor` VALUES (1498, '大连市西岗区泰霖变频器厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:58');
INSERT INTO `sys_logininfor` VALUES (1499, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:05:58');
INSERT INTO `sys_logininfor` VALUES (1500, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:01');
INSERT INTO `sys_logininfor` VALUES (1501, '大连金普新区孙氏溯源推拿养生坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:02');
INSERT INTO `sys_logininfor` VALUES (1502, '大连特大果智能设备科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:03');
INSERT INTO `sys_logininfor` VALUES (1503, '大连市西岗区泰霖变频器厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:03');
INSERT INTO `sys_logininfor` VALUES (1504, '大连嘉蕙商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:05');
INSERT INTO `sys_logininfor` VALUES (1505, '大连广远船舶技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:10');
INSERT INTO `sys_logininfor` VALUES (1506, '大连嘉蕙商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:10');
INSERT INTO `sys_logininfor` VALUES (1507, '大连广远船舶技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:13');
INSERT INTO `sys_logininfor` VALUES (1508, '大连玖美嘉穗科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:15');
INSERT INTO `sys_logininfor` VALUES (1509, '大连玖美嘉穗科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:19');
INSERT INTO `sys_logininfor` VALUES (1510, '大连金普新区孙氏溯源推拿养生坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:23');
INSERT INTO `sys_logininfor` VALUES (1511, '大连建洪建筑劳务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:24');
INSERT INTO `sys_logininfor` VALUES (1512, '大连嘉易智造工业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:24');
INSERT INTO `sys_logininfor` VALUES (1513, '大连建洪建筑劳务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:27');
INSERT INTO `sys_logininfor` VALUES (1514, '大连嘉易智造工业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:31');
INSERT INTO `sys_logininfor` VALUES (1515, '大连珂尼赛格电气有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-19 16:06:34');
INSERT INTO `sys_logininfor` VALUES (1516, '大连珂尼赛格电气有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-19 16:06:34');
INSERT INTO `sys_logininfor` VALUES (1517, '大连弗贝电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:37');
INSERT INTO `sys_logininfor` VALUES (1518, '大连弗贝电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:40');
INSERT INTO `sys_logininfor` VALUES (1519, '大连嘉忆装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:47');
INSERT INTO `sys_logininfor` VALUES (1520, '大连珂尼赛格电气有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:48');
INSERT INTO `sys_logininfor` VALUES (1521, '大连嘉忆装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:51');
INSERT INTO `sys_logininfor` VALUES (1522, '大连珂尼赛格电气有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:52');
INSERT INTO `sys_logininfor` VALUES (1523, '大连强盛贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:06:55');
INSERT INTO `sys_logininfor` VALUES (1524, '大连强盛贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:06:57');
INSERT INTO `sys_logininfor` VALUES (1525, '大连德茂装饰工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:06');
INSERT INTO `sys_logininfor` VALUES (1526, '大连喜上枝头信息科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:07');
INSERT INTO `sys_logininfor` VALUES (1527, '大连瑞德国际货运代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:08');
INSERT INTO `sys_logininfor` VALUES (1528, '大连德茂装饰工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:10');
INSERT INTO `sys_logininfor` VALUES (1529, '大连喜上枝头信息科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:11');
INSERT INTO `sys_logininfor` VALUES (1530, '大连瑞德国际货运代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:11');
INSERT INTO `sys_logininfor` VALUES (1531, '大连思泰博模具技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:18');
INSERT INTO `sys_logininfor` VALUES (1532, '瓦房店冶金轴承集团有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:18');
INSERT INTO `sys_logininfor` VALUES (1533, '大连思泰博模具技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:20');
INSERT INTO `sys_logininfor` VALUES (1534, '大连哈斯数控机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:25');
INSERT INTO `sys_logininfor` VALUES (1535, '大连瑞新家具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:26');
INSERT INTO `sys_logininfor` VALUES (1536, '大连哈斯数控机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:29');
INSERT INTO `sys_logininfor` VALUES (1537, '大连恒盛远科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:30');
INSERT INTO `sys_logininfor` VALUES (1538, '大连瑞新家具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:30');
INSERT INTO `sys_logininfor` VALUES (1539, '大连恒盛远科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:32');
INSERT INTO `sys_logininfor` VALUES (1540, '大连成宇科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:42');
INSERT INTO `sys_logininfor` VALUES (1541, '大连成宇科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:45');
INSERT INTO `sys_logininfor` VALUES (1542, '大连电子城明辉电脑商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:49');
INSERT INTO `sys_logininfor` VALUES (1543, '大连电子城明辉电脑商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:52');
INSERT INTO `sys_logininfor` VALUES (1544, '大连和木生木业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:52');
INSERT INTO `sys_logininfor` VALUES (1545, '大连成鑫胶辊厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:07:54');
INSERT INTO `sys_logininfor` VALUES (1546, '大连和木生木业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:57');
INSERT INTO `sys_logininfor` VALUES (1547, '瓦房店冶金轴承集团有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:07:58');
INSERT INTO `sys_logininfor` VALUES (1548, '大连成鑫胶辊厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:01');
INSERT INTO `sys_logininfor` VALUES (1549, '大连旅顺滨海船舶修造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:07');
INSERT INTO `sys_logininfor` VALUES (1550, '甘井子区凯尚手工皮具坊', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:08');
INSERT INTO `sys_logininfor` VALUES (1551, '大连百瀚精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:10');
INSERT INTO `sys_logininfor` VALUES (1552, '大连旅顺滨海船舶修造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:10');
INSERT INTO `sys_logininfor` VALUES (1553, '大连启辉精密仪器有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:12');
INSERT INTO `sys_logininfor` VALUES (1554, '大连启辉精密仪器有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:16');
INSERT INTO `sys_logininfor` VALUES (1555, '大连百瀚精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:19');
INSERT INTO `sys_logininfor` VALUES (1556, '大连日吉精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:22');
INSERT INTO `sys_logininfor` VALUES (1557, '大连日吉精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:27');
INSERT INTO `sys_logininfor` VALUES (1558, '甘井子区凯尚手工皮具坊', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:27');
INSERT INTO `sys_logininfor` VALUES (1559, '大连名域海洋科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:30');
INSERT INTO `sys_logininfor` VALUES (1560, '大连名域海洋科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:34');
INSERT INTO `sys_logininfor` VALUES (1561, '甘井子区千山路亨得利眼镜专卖店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:37');
INSERT INTO `sys_logininfor` VALUES (1562, '大连昊通物流有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:37');
INSERT INTO `sys_logininfor` VALUES (1563, '大连百禾餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:40');
INSERT INTO `sys_logininfor` VALUES (1564, '大连昊通物流有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:40');
INSERT INTO `sys_logininfor` VALUES (1565, '大连鑫莉装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:43');
INSERT INTO `sys_logininfor` VALUES (1566, '甘井子区千山路亨得利眼镜专卖店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:44');
INSERT INTO `sys_logininfor` VALUES (1567, '大连百禾餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:44');
INSERT INTO `sys_logininfor` VALUES (1568, '大连智云汇智能科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:49');
INSERT INTO `sys_logininfor` VALUES (1569, '大连智云汇智能科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:08:52');
INSERT INTO `sys_logininfor` VALUES (1570, '大连合越供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:54');
INSERT INTO `sys_logininfor` VALUES (1571, '甘井子区营城子农贸市场雪梅灯具店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:08:58');
INSERT INTO `sys_logininfor` VALUES (1572, '大连益利亚工程机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:01');
INSERT INTO `sys_logininfor` VALUES (1573, '大连格尔迈斯合成材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:01');
INSERT INTO `sys_logininfor` VALUES (1574, '大连格尔迈斯合成材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:03');
INSERT INTO `sys_logininfor` VALUES (1575, '大连益利亚工程机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:04');
INSERT INTO `sys_logininfor` VALUES (1576, '大连合越供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:08');
INSERT INTO `sys_logininfor` VALUES (1577, '大连鑫莉装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:11');
INSERT INTO `sys_logininfor` VALUES (1578, '甘井子区营城子农贸市场雪梅灯具店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:16');
INSERT INTO `sys_logininfor` VALUES (1579, '大连桃源商业批发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:16');
INSERT INTO `sys_logininfor` VALUES (1580, '大连秀月房地产经纪有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:19');
INSERT INTO `sys_logininfor` VALUES (1581, '大连桃源商业批发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:19');
INSERT INTO `sys_logininfor` VALUES (1582, '大连鑫莉装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:22');
INSERT INTO `sys_logininfor` VALUES (1583, '大连秀月房地产经纪有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:22');
INSERT INTO `sys_logininfor` VALUES (1584, '大连古源坊酒业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:25');
INSERT INTO `sys_logininfor` VALUES (1585, '甘井子区辛寨子街道淞景香汤养生馆', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:26');
INSERT INTO `sys_logininfor` VALUES (1586, '甘井子区辛寨子街道淞景香汤养生馆', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:33');
INSERT INTO `sys_logininfor` VALUES (1587, '大连科天新材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:35');
INSERT INTO `sys_logininfor` VALUES (1588, '大连科天新材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:38');
INSERT INTO `sys_logininfor` VALUES (1589, '甘井子区金三角市场宝安居照明器材经销部', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:43');
INSERT INTO `sys_logininfor` VALUES (1590, '甘井子区金三角市场宝安居照明器材经销部', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:47');
INSERT INTO `sys_logininfor` VALUES (1591, '大连古源坊酒业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:51');
INSERT INTO `sys_logininfor` VALUES (1592, '大连精一企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:52');
INSERT INTO `sys_logininfor` VALUES (1593, '大连鑫莉装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:55');
INSERT INTO `sys_logininfor` VALUES (1594, '大连精一企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:55');
INSERT INTO `sys_logininfor` VALUES (1595, '大连毅捷船舶技术服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:56');
INSERT INTO `sys_logininfor` VALUES (1596, '甘井子区金三角市场非凡空间经销部', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:09:57');
INSERT INTO `sys_logininfor` VALUES (1597, '大连毅捷船舶技术服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:09:59');
INSERT INTO `sys_logininfor` VALUES (1598, '甘井子区金三角市场非凡空间经销部', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:04');
INSERT INTO `sys_logininfor` VALUES (1599, '大连博斯特科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:06');
INSERT INTO `sys_logininfor` VALUES (1600, '大连鑫辉数字科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:06');
INSERT INTO `sys_logininfor` VALUES (1601, '大连永晟农业发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:10');
INSERT INTO `sys_logininfor` VALUES (1602, '大连精一供应链有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:11');
INSERT INTO `sys_logininfor` VALUES (1603, '大连博斯特科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:14');
INSERT INTO `sys_logininfor` VALUES (1604, '大连精一供应链有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:14');
INSERT INTO `sys_logininfor` VALUES (1605, '盖州市梁屯镇喜羊羊2元超市', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:17');
INSERT INTO `sys_logininfor` VALUES (1606, '大连鑫辉数字科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:22');
INSERT INTO `sys_logininfor` VALUES (1607, '盖州市梁屯镇喜羊羊2元超市', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:25');
INSERT INTO `sys_logininfor` VALUES (1608, '大连经济技术开发区海青海鸣信息咨询部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:27');
INSERT INTO `sys_logininfor` VALUES (1609, '大连经济技术开发区海青海鸣信息咨询部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:30');
INSERT INTO `sys_logininfor` VALUES (1610, '大连华昌国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:31');
INSERT INTO `sys_logininfor` VALUES (1611, '大连阿来德好利模塑有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:33');
INSERT INTO `sys_logininfor` VALUES (1612, '盘锦恒发商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:34');
INSERT INTO `sys_logininfor` VALUES (1613, '大连华昌国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:35');
INSERT INTO `sys_logininfor` VALUES (1614, '大连阿来德好利模塑有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:39');
INSERT INTO `sys_logininfor` VALUES (1615, '盘锦恒发商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:42');
INSERT INTO `sys_logininfor` VALUES (1616, '大连自贸区民健国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:44');
INSERT INTO `sys_logininfor` VALUES (1617, '大连自贸区民健国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:48');
INSERT INTO `sys_logininfor` VALUES (1618, '大连华恒重型机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:49');
INSERT INTO `sys_logininfor` VALUES (1619, '竹林人家（靖江）食品有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:10:50');
INSERT INTO `sys_logininfor` VALUES (1620, '大连华恒重型机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:52');
INSERT INTO `sys_logininfor` VALUES (1621, '竹林人家（靖江）食品有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:10:59');
INSERT INTO `sys_logininfor` VALUES (1622, '大连青麦田科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:00');
INSERT INTO `sys_logininfor` VALUES (1623, '大连臻谷商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:01');
INSERT INTO `sys_logininfor` VALUES (1624, '大连青麦田科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:05');
INSERT INTO `sys_logininfor` VALUES (1625, '大连臻谷商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:05');
INSERT INTO `sys_logininfor` VALUES (1626, '大连华商天翼管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:06');
INSERT INTO `sys_logininfor` VALUES (1627, '西岗区仁济宠物医院店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:08');
INSERT INTO `sys_logininfor` VALUES (1628, '西岗区仁济宠物医院店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:15');
INSERT INTO `sys_logininfor` VALUES (1629, '大连英嘉贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:21');
INSERT INTO `sys_logininfor` VALUES (1630, '大连华商天翼管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:24');
INSERT INTO `sys_logininfor` VALUES (1631, '大连顺风顺水货运代理服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:24');
INSERT INTO `sys_logininfor` VALUES (1632, '大连英嘉贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:24');
INSERT INTO `sys_logininfor` VALUES (1633, '辛宇', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:27');
INSERT INTO `sys_logininfor` VALUES (1634, '辛宇', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:38');
INSERT INTO `sys_logininfor` VALUES (1635, '大连永晟农业发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:38');
INSERT INTO `sys_logininfor` VALUES (1636, '大连茗惠生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:38');
INSERT INTO `sys_logininfor` VALUES (1637, '大连顺风顺水货运代理服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:40');
INSERT INTO `sys_logininfor` VALUES (1638, '大连北岗汽配城光辉汽车维修服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:41');
INSERT INTO `sys_logininfor` VALUES (1639, '大连茗惠生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:41');
INSERT INTO `sys_logininfor` VALUES (1640, '大连北岗汽配城光辉汽车维修服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:45');
INSERT INTO `sys_logininfor` VALUES (1641, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:46');
INSERT INTO `sys_logininfor` VALUES (1642, '大连高新园区航达船舶配件经销处', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:51');
INSERT INTO `sys_logininfor` VALUES (1643, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-19 16:11:54');
INSERT INTO `sys_logininfor` VALUES (1644, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-19 16:11:54');
INSERT INTO `sys_logininfor` VALUES (1645, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:11:59');
INSERT INTO `sys_logininfor` VALUES (1646, '大连六六六船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:11:59');
INSERT INTO `sys_logininfor` VALUES (1647, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:00');
INSERT INTO `sys_logininfor` VALUES (1648, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:03');
INSERT INTO `sys_logininfor` VALUES (1649, '大连六六六船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:03');
INSERT INTO `sys_logininfor` VALUES (1650, '辽宁天利物资供应有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:07');
INSERT INTO `sys_logininfor` VALUES (1651, '大连高新园区航达船舶配件经销处', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:09');
INSERT INTO `sys_logininfor` VALUES (1652, '辽宁天利物资供应有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:15');
INSERT INTO `sys_logininfor` VALUES (1653, '大连八八八船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:16');
INSERT INTO `sys_logininfor` VALUES (1654, '大连辛源投资顾问有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:16');
INSERT INTO `sys_logininfor` VALUES (1655, '大连高盛服饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:19');
INSERT INTO `sys_logininfor` VALUES (1656, '大连辛源投资顾问有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:19');
INSERT INTO `sys_logininfor` VALUES (1657, '大连高盛服饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:24');
INSERT INTO `sys_logininfor` VALUES (1658, '大连八八八船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:24');
INSERT INTO `sys_logininfor` VALUES (1659, '辽宁康元药业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:31');
INSERT INTO `sys_logininfor` VALUES (1660, '大连元安建筑工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:33');
INSERT INTO `sys_logininfor` VALUES (1661, '大连达文贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:39');
INSERT INTO `sys_logininfor` VALUES (1662, '大连元安建筑工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:39');
INSERT INTO `sys_logininfor` VALUES (1663, '辽宁康元药业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:41');
INSERT INTO `sys_logininfor` VALUES (1664, '大连达文贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:42');
INSERT INTO `sys_logininfor` VALUES (1665, '大连魏仙文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:45');
INSERT INTO `sys_logininfor` VALUES (1666, '辽宁晨兴物流供应链有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:50');
INSERT INTO `sys_logininfor` VALUES (1667, '大连魏仙文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:53');
INSERT INTO `sys_logininfor` VALUES (1668, '大连佳盛科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:54');
INSERT INTO `sys_logininfor` VALUES (1669, '大连连源供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:12:57');
INSERT INTO `sys_logininfor` VALUES (1670, '辽宁晨兴物流供应链有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:12:57');
INSERT INTO `sys_logininfor` VALUES (1671, '大连连源供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:00');
INSERT INTO `sys_logininfor` VALUES (1672, '大连佳盛科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:01');
INSERT INTO `sys_logininfor` VALUES (1673, '辽宁联泓科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:07');
INSERT INTO `sys_logininfor` VALUES (1674, '大连鸿嘉禾网络科技有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:08');
INSERT INTO `sys_logininfor` VALUES (1675, '大连优政博惠营销企划有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:10');
INSERT INTO `sys_logininfor` VALUES (1676, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:12');
INSERT INTO `sys_logininfor` VALUES (1677, '大连优政博惠营销企划有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:13');
INSERT INTO `sys_logininfor` VALUES (1678, '辽宁联泓科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:15');
INSERT INTO `sys_logininfor` VALUES (1679, '大连鸿嘉禾网络科技有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:16');
INSERT INTO `sys_logininfor` VALUES (1680, '辽宁锦铄财务咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:24');
INSERT INTO `sys_logininfor` VALUES (1681, '大连龙腾机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:24');
INSERT INTO `sys_logininfor` VALUES (1682, '大连优政博惠科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:26');
INSERT INTO `sys_logininfor` VALUES (1683, '大连优政博惠科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:29');
INSERT INTO `sys_logininfor` VALUES (1684, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:32');
INSERT INTO `sys_logininfor` VALUES (1685, '大连龙腾机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:33');
INSERT INTO `sys_logininfor` VALUES (1686, '中山区正玺经济信息咨询服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:35');
INSERT INTO `sys_logininfor` VALUES (1687, '辽宁锦铄财务咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:36');
INSERT INTO `sys_logininfor` VALUES (1688, '心航教育咨询（北京）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:40');
INSERT INTO `sys_logininfor` VALUES (1689, '中山区正玺经济信息咨询服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:43');
INSERT INTO `sys_logininfor` VALUES (1690, '心航教育咨询（北京）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:45');
INSERT INTO `sys_logininfor` VALUES (1691, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:45');
INSERT INTO `sys_logininfor` VALUES (1692, '大连优政博惠商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:47');
INSERT INTO `sys_logininfor` VALUES (1693, '连晟科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:49');
INSERT INTO `sys_logininfor` VALUES (1694, '中山区珏美日用品百货超市', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:53');
INSERT INTO `sys_logininfor` VALUES (1695, '连晟科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:13:55');
INSERT INTO `sys_logininfor` VALUES (1696, '成都众志信法律咨询有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:13:58');
INSERT INTO `sys_logininfor` VALUES (1697, '中山区珏美日用品百货超市', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:03');
INSERT INTO `sys_logininfor` VALUES (1698, '金州区登沙河福凤生态观光园', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:04');
INSERT INTO `sys_logininfor` VALUES (1699, '成都众志信法律咨询有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:07');
INSERT INTO `sys_logininfor` VALUES (1700, '金州区登沙河福凤生态观光园', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:11');
INSERT INTO `sys_logininfor` VALUES (1701, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-19 16:14:12');
INSERT INTO `sys_logininfor` VALUES (1702, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-19 16:14:12');
INSERT INTO `sys_logininfor` VALUES (1703, '技合互联网信息服务（上海）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:15');
INSERT INTO `sys_logininfor` VALUES (1704, '金州区金发地市场粒香香干果商行', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:19');
INSERT INTO `sys_logininfor` VALUES (1705, '技合互联网信息服务（上海）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:20');
INSERT INTO `sys_logininfor` VALUES (1706, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-19 16:14:23');
INSERT INTO `sys_logininfor` VALUES (1707, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-19 16:14:23');
INSERT INTO `sys_logininfor` VALUES (1708, '金州区金发地市场粒香香干果商行', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:27');
INSERT INTO `sys_logininfor` VALUES (1709, '抚顺双宏新材料科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:32');
INSERT INTO `sys_logininfor` VALUES (1710, '金普新区湾里街道樱飞百货超市', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:38');
INSERT INTO `sys_logininfor` VALUES (1711, '抚顺双宏新材料科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:41');
INSERT INTO `sys_logininfor` VALUES (1712, '金普新区湾里街道樱飞百货超市', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:14:47');
INSERT INTO `sys_logininfor` VALUES (1713, '抚顺蜡港网络科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:53');
INSERT INTO `sys_logininfor` VALUES (1714, '金普新区站前街道蚝喜欢泥烧烤店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:14:56');
INSERT INTO `sys_logininfor` VALUES (1715, '金普新区站前街道蚝喜欢泥烧烤店', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:03');
INSERT INTO `sys_logininfor` VALUES (1716, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-19 16:15:05');
INSERT INTO `sys_logininfor` VALUES (1717, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-19 16:15:05');
INSERT INTO `sys_logininfor` VALUES (1718, '金普新区鑫融企业管理中心', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:13');
INSERT INTO `sys_logininfor` VALUES (1719, '抚顺蜡港网络科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:14');
INSERT INTO `sys_logininfor` VALUES (1720, '金普新区鑫融企业管理中心', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:21');
INSERT INTO `sys_logininfor` VALUES (1721, '普兰店区双塔钧磊工程队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:21');
INSERT INTO `sys_logininfor` VALUES (1722, '普兰店区双塔钧磊工程队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:24');
INSERT INTO `sys_logininfor` VALUES (1723, '铁岭县健晖建材有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:33');
INSERT INTO `sys_logininfor` VALUES (1724, '朝阳依诺财税咨询服务有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:36');
INSERT INTO `sys_logininfor` VALUES (1725, '铁岭县健晖建材有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:38');
INSERT INTO `sys_logininfor` VALUES (1726, '朝阳依诺财税咨询服务有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:39');
INSERT INTO `sys_logininfor` VALUES (1727, '丰良意现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:42');
INSERT INTO `sys_logininfor` VALUES (1728, '铁岭县新世捷矿业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:47');
INSERT INTO `sys_logininfor` VALUES (1729, '朝阳市宏邦家政服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:15:50');
INSERT INTO `sys_logininfor` VALUES (1730, '丰良意现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:52');
INSERT INTO `sys_logininfor` VALUES (1731, '朝阳市宏邦家政服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:54');
INSERT INTO `sys_logininfor` VALUES (1732, '铁岭县新世捷矿业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:15:55');
INSERT INTO `sys_logininfor` VALUES (1733, '亿朵现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:00');
INSERT INTO `sys_logininfor` VALUES (1734, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:02');
INSERT INTO `sys_logininfor` VALUES (1735, '铁岭英诚药品咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:03');
INSERT INTO `sys_logininfor` VALUES (1736, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:06');
INSERT INTO `sys_logininfor` VALUES (1737, '亿朵现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:09');
INSERT INTO `sys_logininfor` VALUES (1738, '铁岭英诚药品咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:10');
INSERT INTO `sys_logininfor` VALUES (1739, '江公酒业（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:16');
INSERT INTO `sys_logininfor` VALUES (1740, '伍佰艺（大连）商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:17');
INSERT INTO `sys_logininfor` VALUES (1741, '锦州华洋船员服务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:18');
INSERT INTO `sys_logininfor` VALUES (1742, '伍佰艺（大连）商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:21');
INSERT INTO `sys_logininfor` VALUES (1743, '江公酒业（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:22');
INSERT INTO `sys_logininfor` VALUES (1744, '锦州华洋船员服务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:24');
INSERT INTO `sys_logininfor` VALUES (1745, '沈阳优政博惠企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:30');
INSERT INTO `sys_logininfor` VALUES (1746, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:35');
INSERT INTO `sys_logininfor` VALUES (1747, '沈阳优政博惠企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:36');
INSERT INTO `sys_logininfor` VALUES (1748, '锦州滨海新区晓静蔬菜摊床', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:36');
INSERT INTO `sys_logininfor` VALUES (1749, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:38');
INSERT INTO `sys_logininfor` VALUES (1750, '锦州滨海新区晓静蔬菜摊床', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:43');
INSERT INTO `sys_logininfor` VALUES (1751, '沈阳永业实业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:46');
INSERT INTO `sys_logininfor` VALUES (1752, '锦州滨海新区松良蛋禽摊床', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:51');
INSERT INTO `sys_logininfor` VALUES (1753, '沈阳永业实业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:51');
INSERT INTO `sys_logininfor` VALUES (1754, '双塔区诚锐建筑施工队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:16:53');
INSERT INTO `sys_logininfor` VALUES (1755, '锦州滨海新区松良蛋禽摊床', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:16:57');
INSERT INTO `sys_logininfor` VALUES (1756, '沙河口区哪吒生鲜水果店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:00');
INSERT INTO `sys_logininfor` VALUES (1757, '双塔区诚锐建筑施工队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:04');
INSERT INTO `sys_logininfor` VALUES (1758, '锦州经济技术开发区王家街道艳明猪肉摊床', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:05');
INSERT INTO `sys_logininfor` VALUES (1759, '沙河口区哪吒生鲜水果店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:05');
INSERT INTO `sys_logininfor` VALUES (1760, '锦州经济技术开发区王家街道艳明猪肉摊床', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:11');
INSERT INTO `sys_logininfor` VALUES (1761, '圣域隆汽车用品贸易（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:14');
INSERT INTO `sys_logininfor` VALUES (1762, '沙河口区大鱼音乐工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:16');
INSERT INTO `sys_logininfor` VALUES (1763, '青岛地比图软件科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:20');
INSERT INTO `sys_logininfor` VALUES (1764, '沙河口区大鱼音乐工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:22');
INSERT INTO `sys_logininfor` VALUES (1765, '青岛地比图软件科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:26');
INSERT INTO `sys_logininfor` VALUES (1766, '沙河口区维京海产品店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:29');
INSERT INTO `sys_logininfor` VALUES (1767, '圣域隆汽车用品贸易（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:33');
INSERT INTO `sys_logininfor` VALUES (1768, '齐派艺术书画（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:34');
INSERT INTO `sys_logininfor` VALUES (1769, '沙河口区维京海产品店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:36');
INSERT INTO `sys_logininfor` VALUES (1770, '大连万道财税咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:40');
INSERT INTO `sys_logininfor` VALUES (1771, '沙河口区芃新办公家具店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:43');
INSERT INTO `sys_logininfor` VALUES (1772, '大连万道财税咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:44');
INSERT INTO `sys_logininfor` VALUES (1773, '沙河口区芃新办公家具店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:48');
INSERT INTO `sys_logininfor` VALUES (1774, '港丰科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:56');
INSERT INTO `sys_logininfor` VALUES (1775, '大连三恩井科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:17:56');
INSERT INTO `sys_logininfor` VALUES (1776, '大连三恩井科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:17:59');
INSERT INTO `sys_logininfor` VALUES (1777, '港丰科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:01');
INSERT INTO `sys_logininfor` VALUES (1778, '爱产盛金（大连）硬质合金技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:18:07');
INSERT INTO `sys_logininfor` VALUES (1779, '大连上通万联汽车销售服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:18:11');
INSERT INTO `sys_logininfor` VALUES (1780, '爱产盛金（大连）硬质合金技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:12');
INSERT INTO `sys_logininfor` VALUES (1781, '大连上通万联汽车销售服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:14');
INSERT INTO `sys_logininfor` VALUES (1782, '环嘉德润（大连）再生资源有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:18:18');
INSERT INTO `sys_logininfor` VALUES (1783, '大连东原驱动技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:18:31');
INSERT INTO `sys_logininfor` VALUES (1784, '大连优政博惠商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:35');
INSERT INTO `sys_logininfor` VALUES (1785, '环嘉德润（大连）再生资源有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:36');
INSERT INTO `sys_logininfor` VALUES (1786, '大连东原驱动技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:42');
INSERT INTO `sys_logininfor` VALUES (1787, '大连东应船舶服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:18:49');
INSERT INTO `sys_logininfor` VALUES (1788, '大连东应船舶服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:18:54');
INSERT INTO `sys_logininfor` VALUES (1789, '大连中振计量检测有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:19:06');
INSERT INTO `sys_logininfor` VALUES (1790, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:19:08');
INSERT INTO `sys_logininfor` VALUES (1791, '大连中振计量检测有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:19:13');
INSERT INTO `sys_logininfor` VALUES (1792, '大连中祥制业环境工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:19:21');
INSERT INTO `sys_logininfor` VALUES (1793, '大连中祥制业环境工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:19:27');
INSERT INTO `sys_logininfor` VALUES (1794, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:19:28');
INSERT INTO `sys_logininfor` VALUES (1795, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:19:33');
INSERT INTO `sys_logininfor` VALUES (1796, '大连中科环境有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:19:35');
INSERT INTO `sys_logininfor` VALUES (1797, '大连中科环境有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:19:39');
INSERT INTO `sys_logininfor` VALUES (1798, '大连中科达显新能源科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:19:51');
INSERT INTO `sys_logininfor` VALUES (1799, '大连中科达显新能源科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:19:55');
INSERT INTO `sys_logininfor` VALUES (1800, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:20:09');
INSERT INTO `sys_logininfor` VALUES (1801, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:20:47');
INSERT INTO `sys_logininfor` VALUES (1802, '大连九合科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:21:09');
INSERT INTO `sys_logininfor` VALUES (1803, '大连九合科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:21:15');
INSERT INTO `sys_logininfor` VALUES (1804, '大连云联天翼电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:21:22');
INSERT INTO `sys_logininfor` VALUES (1805, '大连云联天翼电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:21:27');
INSERT INTO `sys_logininfor` VALUES (1806, '大连云蝶科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:21:41');
INSERT INTO `sys_logininfor` VALUES (1807, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:21:41');
INSERT INTO `sys_logininfor` VALUES (1808, '大连云蝶科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:21:45');
INSERT INTO `sys_logininfor` VALUES (1809, '大连亿权安装工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:21:55');
INSERT INTO `sys_logininfor` VALUES (1810, '大连亿权安装工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:22:01');
INSERT INTO `sys_logininfor` VALUES (1811, '大连众益工业技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:22:07');
INSERT INTO `sys_logininfor` VALUES (1812, '大连众益工业技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:22:13');
INSERT INTO `sys_logininfor` VALUES (1813, '大连众鑫热力发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:22:19');
INSERT INTO `sys_logininfor` VALUES (1814, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:23:49');
INSERT INTO `sys_logininfor` VALUES (1815, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:27:16');
INSERT INTO `sys_logininfor` VALUES (1816, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:27:25');
INSERT INTO `sys_logininfor` VALUES (1817, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:53:00');
INSERT INTO `sys_logininfor` VALUES (1818, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 16:53:16');
INSERT INTO `sys_logininfor` VALUES (1819, '大连众鑫热力发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 16:56:01');
INSERT INTO `sys_logininfor` VALUES (1820, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 17:00:50');
INSERT INTO `sys_logininfor` VALUES (1821, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 17:23:02');
INSERT INTO `sys_logininfor` VALUES (1822, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 17:23:10');
INSERT INTO `sys_logininfor` VALUES (1823, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-19 17:29:50');
INSERT INTO `sys_logininfor` VALUES (1824, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-19 17:31:17');
INSERT INTO `sys_logininfor` VALUES (1825, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 08:17:16');
INSERT INTO `sys_logininfor` VALUES (1826, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 08:21:08');
INSERT INTO `sys_logininfor` VALUES (1827, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 08:21:37');
INSERT INTO `sys_logininfor` VALUES (1828, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 08:29:50');
INSERT INTO `sys_logininfor` VALUES (1829, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 08:29:57');
INSERT INTO `sys_logininfor` VALUES (1830, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 08:44:51');
INSERT INTO `sys_logininfor` VALUES (1831, '大连众鑫热力发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 09:03:21');
INSERT INTO `sys_logininfor` VALUES (1832, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 09:09:48');
INSERT INTO `sys_logininfor` VALUES (1833, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 09:57:00');
INSERT INTO `sys_logininfor` VALUES (1834, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 10:26:29');
INSERT INTO `sys_logininfor` VALUES (1835, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 10:36:49');
INSERT INTO `sys_logininfor` VALUES (1836, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 10:37:53');
INSERT INTO `sys_logininfor` VALUES (1837, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 11:00:12');
INSERT INTO `sys_logininfor` VALUES (1838, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 11:05:27');
INSERT INTO `sys_logininfor` VALUES (1839, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 12:01:40');
INSERT INTO `sys_logininfor` VALUES (1840, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 13:02:17');
INSERT INTO `sys_logininfor` VALUES (1841, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 13:03:01');
INSERT INTO `sys_logininfor` VALUES (1842, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 13:09:00');
INSERT INTO `sys_logininfor` VALUES (1843, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:08:04');
INSERT INTO `sys_logininfor` VALUES (1844, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:09:04');
INSERT INTO `sys_logininfor` VALUES (1845, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:47:23');
INSERT INTO `sys_logininfor` VALUES (1846, '大连琛鑫科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:47:34');
INSERT INTO `sys_logininfor` VALUES (1847, '大连琛鑫科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:47:38');
INSERT INTO `sys_logininfor` VALUES (1848, '大连恒达程经贸有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:47:52');
INSERT INTO `sys_logininfor` VALUES (1849, '大连恒达程经贸有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:47:59');
INSERT INTO `sys_logininfor` VALUES (1850, '大连太平防水工程有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:48:18');
INSERT INTO `sys_logininfor` VALUES (1851, '大连太平防水工程有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:23');
INSERT INTO `sys_logininfor` VALUES (1852, '亚太高科（大连）科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:48:29');
INSERT INTO `sys_logininfor` VALUES (1853, '亚太高科（大连）科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:33');
INSERT INTO `sys_logininfor` VALUES (1854, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:37');
INSERT INTO `sys_logininfor` VALUES (1855, '大连思瑞乾润滑油有限责任公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:48:41');
INSERT INTO `sys_logininfor` VALUES (1856, '辽宁德润白酒制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:48:42');
INSERT INTO `sys_logininfor` VALUES (1857, '辽宁德润白酒制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:45');
INSERT INTO `sys_logininfor` VALUES (1858, '大连思瑞乾润滑油有限责任公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:47');
INSERT INTO `sys_logininfor` VALUES (1859, '大连核力电子有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:48:52');
INSERT INTO `sys_logininfor` VALUES (1860, '辽宁鲲鹏东北参茸特产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:48:54');
INSERT INTO `sys_logininfor` VALUES (1861, '大连核力电子有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:56');
INSERT INTO `sys_logininfor` VALUES (1862, '辽宁鲲鹏东北参茸特产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:48:57');
INSERT INTO `sys_logininfor` VALUES (1863, '甘井子区大连湾街道天天兴电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:03');
INSERT INTO `sys_logininfor` VALUES (1864, '铁岭市银州区奕茹干洗衣店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:06');
INSERT INTO `sys_logininfor` VALUES (1865, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:06');
INSERT INTO `sys_logininfor` VALUES (1866, '铁岭市银州区奕茹干洗衣店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:10');
INSERT INTO `sys_logininfor` VALUES (1867, '大连龙腾机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:13');
INSERT INTO `sys_logininfor` VALUES (1868, '铁岭市银州区康保药房', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:18');
INSERT INTO `sys_logininfor` VALUES (1869, '甘井子区大连湾街道天天兴电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:21');
INSERT INTO `sys_logininfor` VALUES (1870, '大连龙腾机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:22');
INSERT INTO `sys_logininfor` VALUES (1871, '铁岭市银州区康保药房', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:22');
INSERT INTO `sys_logininfor` VALUES (1872, '大连聚荣和国际物流有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:30');
INSERT INTO `sys_logininfor` VALUES (1873, '大连聚荣和国际物流有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:33');
INSERT INTO `sys_logininfor` VALUES (1874, '大连智云汇智能科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:36');
INSERT INTO `sys_logininfor` VALUES (1875, '甘井子区大连湾街道永力电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:38');
INSERT INTO `sys_logininfor` VALUES (1876, '大连智云汇智能科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:39');
INSERT INTO `sys_logininfor` VALUES (1877, '大连甜梦谷国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:44');
INSERT INTO `sys_logininfor` VALUES (1878, '大连喜上枝头信息科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:46');
INSERT INTO `sys_logininfor` VALUES (1879, '甘井子区大连湾街道永力电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:46');
INSERT INTO `sys_logininfor` VALUES (1880, '大连甜梦谷国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:46');
INSERT INTO `sys_logininfor` VALUES (1881, '大连乾艺建筑装饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:53');
INSERT INTO `sys_logininfor` VALUES (1882, '辽宁辰锋物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:49:55');
INSERT INTO `sys_logininfor` VALUES (1883, '大连乾艺建筑装饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:56');
INSERT INTO `sys_logininfor` VALUES (1884, '辽宁辰锋物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:58');
INSERT INTO `sys_logininfor` VALUES (1885, '大连喜上枝头信息科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:49:59');
INSERT INTO `sys_logininfor` VALUES (1886, '铁岭辅坤阀门有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:00');
INSERT INTO `sys_logininfor` VALUES (1887, '铁岭辅坤阀门有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:06');
INSERT INTO `sys_logininfor` VALUES (1888, '大连烨璐物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:07');
INSERT INTO `sys_logininfor` VALUES (1889, '大连禾旭皮具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:09');
INSERT INTO `sys_logininfor` VALUES (1890, '大连烨璐物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:11');
INSERT INTO `sys_logininfor` VALUES (1891, '大连禾旭皮具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:17');
INSERT INTO `sys_logininfor` VALUES (1892, '铁岭久安运输有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:19');
INSERT INTO `sys_logininfor` VALUES (1893, '大连富洋璨燃餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:21');
INSERT INTO `sys_logininfor` VALUES (1894, '大连富洋璨燃餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:24');
INSERT INTO `sys_logininfor` VALUES (1895, '铁岭久安运输有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:25');
INSERT INTO `sys_logininfor` VALUES (1896, '大连信德餐饮服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:29');
INSERT INTO `sys_logininfor` VALUES (1897, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:32');
INSERT INTO `sys_logininfor` VALUES (1898, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:36');
INSERT INTO `sys_logininfor` VALUES (1899, '辽宁康元药业有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:37');
INSERT INTO `sys_logininfor` VALUES (1900, '大连信德餐饮服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:38');
INSERT INTO `sys_logininfor` VALUES (1901, '大连米麟信息技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:44');
INSERT INTO `sys_logininfor` VALUES (1902, '辽宁康元药业有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:47');
INSERT INTO `sys_logininfor` VALUES (1903, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:47');
INSERT INTO `sys_logininfor` VALUES (1904, '大连米麟信息技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:48');
INSERT INTO `sys_logininfor` VALUES (1905, '大连商通九州知识产权有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:50:51');
INSERT INTO `sys_logininfor` VALUES (1906, '大连商通九州知识产权有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:50:58');
INSERT INTO `sys_logininfor` VALUES (1907, '大连梦威文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:00');
INSERT INTO `sys_logininfor` VALUES (1908, '铁岭英诚药品咨询有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:02');
INSERT INTO `sys_logininfor` VALUES (1909, '大连梦威文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:04');
INSERT INTO `sys_logininfor` VALUES (1910, '大连慢丽江餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:07');
INSERT INTO `sys_logininfor` VALUES (1911, '铁岭英诚药品咨询有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:09');
INSERT INTO `sys_logininfor` VALUES (1912, '宸恒冷热节能设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:10');
INSERT INTO `sys_logininfor` VALUES (1913, '大连百瀚精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:12');
INSERT INTO `sys_logininfor` VALUES (1914, '江公酒业（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:13');
INSERT INTO `sys_logininfor` VALUES (1915, '宸恒冷热节能设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:13');
INSERT INTO `sys_logininfor` VALUES (1916, '江公酒业（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:16');
INSERT INTO `sys_logininfor` VALUES (1917, '铁岭洲宇房地产开发有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:19');
INSERT INTO `sys_logininfor` VALUES (1918, '大连百瀚精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:22');
INSERT INTO `sys_logininfor` VALUES (1919, '西丰县西丰镇麦奇乐快餐店（二部）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:22');
INSERT INTO `sys_logininfor` VALUES (1920, '大连华昌国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:24');
INSERT INTO `sys_logininfor` VALUES (1921, '铁岭洲宇房地产开发有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:26');
INSERT INTO `sys_logininfor` VALUES (1922, '大连华昌国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:27');
INSERT INTO `sys_logininfor` VALUES (1923, '威尔深（大连）海工科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:29');
INSERT INTO `sys_logininfor` VALUES (1924, '心航教育咨询（北京）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:30');
INSERT INTO `sys_logininfor` VALUES (1925, '威尔深（大连）海工科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:33');
INSERT INTO `sys_logininfor` VALUES (1926, '大连博斯特科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:36');
INSERT INTO `sys_logininfor` VALUES (1927, '铁岭市兴运管道工程有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:37');
INSERT INTO `sys_logininfor` VALUES (1928, '心航教育咨询（北京）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:38');
INSERT INTO `sys_logininfor` VALUES (1929, '大连博斯特科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:40');
INSERT INTO `sys_logininfor` VALUES (1930, '大连市沙河口区心航教育培训学校有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:46');
INSERT INTO `sys_logininfor` VALUES (1931, '铁岭市兴运管道工程有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:47');
INSERT INTO `sys_logininfor` VALUES (1932, '大连启辉精密仪器有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:49');
INSERT INTO `sys_logininfor` VALUES (1933, '大连瑞达利机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:49');
INSERT INTO `sys_logininfor` VALUES (1934, '西丰县西丰镇麦奇乐快餐店（二部）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:51');
INSERT INTO `sys_logininfor` VALUES (1935, '大连启辉精密仪器有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:52');
INSERT INTO `sys_logininfor` VALUES (1936, '大连瑞达利机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:52');
INSERT INTO `sys_logininfor` VALUES (1937, '铁岭宇川精密机械制造有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:52');
INSERT INTO `sys_logininfor` VALUES (1938, '大连市沙河口区心航教育培训学校有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:54');
INSERT INTO `sys_logininfor` VALUES (1939, '西丰县西丰镇鑫顺源电子商务店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:51:56');
INSERT INTO `sys_logininfor` VALUES (1940, '铁岭宇川精密机械制造有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:51:58');
INSERT INTO `sys_logininfor` VALUES (1941, '大连众益工业技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:01');
INSERT INTO `sys_logininfor` VALUES (1942, '大连中振计量检测有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:03');
INSERT INTO `sys_logininfor` VALUES (1943, '铁岭嘉兴物业管理有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:04');
INSERT INTO `sys_logininfor` VALUES (1944, '大连众益工业技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:06');
INSERT INTO `sys_logininfor` VALUES (1945, '甘井子区南关岭街道恒德石材销售经营部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:07');
INSERT INTO `sys_logininfor` VALUES (1946, '大连中振计量检测有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:08');
INSERT INTO `sys_logininfor` VALUES (1947, '西丰县西丰镇鑫顺源电子商务店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:09');
INSERT INTO `sys_logininfor` VALUES (1948, '甘井子区南关岭街道恒德石材销售经营部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:11');
INSERT INTO `sys_logininfor` VALUES (1949, '铁岭嘉兴物业管理有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:12');
INSERT INTO `sys_logininfor` VALUES (1950, '沙河口区贵珍大众浴池', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:13');
INSERT INTO `sys_logininfor` VALUES (1951, '艾兰 (大连) 生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:16');
INSERT INTO `sys_logininfor` VALUES (1952, '铁岭嘉兴房地产开发有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:19');
INSERT INTO `sys_logininfor` VALUES (1953, '沈阳永业实业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:19');
INSERT INTO `sys_logininfor` VALUES (1954, '艾兰 (大连) 生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:20');
INSERT INTO `sys_logininfor` VALUES (1955, '沙河口区贵珍大众浴池', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:23');
INSERT INTO `sys_logininfor` VALUES (1956, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:24');
INSERT INTO `sys_logininfor` VALUES (1957, '大连茗惠生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:25');
INSERT INTO `sys_logininfor` VALUES (1958, '沈阳永业实业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:26');
INSERT INTO `sys_logininfor` VALUES (1959, '铁岭嘉兴房地产开发有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:26');
INSERT INTO `sys_logininfor` VALUES (1960, '大连茗惠生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:28');
INSERT INTO `sys_logininfor` VALUES (1961, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-20 14:52:30');
INSERT INTO `sys_logininfor` VALUES (1962, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 14:52:30');
INSERT INTO `sys_logininfor` VALUES (1963, '天恩璐（大连）石油化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:31');
INSERT INTO `sys_logininfor` VALUES (1964, '大连道和精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:31');
INSERT INTO `sys_logininfor` VALUES (1965, '铁岭嘉兴源土石方工程有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:32');
INSERT INTO `sys_logininfor` VALUES (1966, '大连道和精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:34');
INSERT INTO `sys_logininfor` VALUES (1967, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:36');
INSERT INTO `sys_logininfor` VALUES (1968, '天恩璐（大连）石油化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:36');
INSERT INTO `sys_logininfor` VALUES (1969, '铁岭嘉兴源土石方工程有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:40');
INSERT INTO `sys_logininfor` VALUES (1970, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:42');
INSERT INTO `sys_logininfor` VALUES (1971, '大连古源坊酒业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:42');
INSERT INTO `sys_logininfor` VALUES (1972, '大连大作为计算机软件有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:44');
INSERT INTO `sys_logininfor` VALUES (1973, '抚顺双宏新材料科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:44');
INSERT INTO `sys_logininfor` VALUES (1974, '大连成宇科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:46');
INSERT INTO `sys_logininfor` VALUES (1975, '大连古源坊酒业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:46');
INSERT INTO `sys_logininfor` VALUES (1976, '大连大作为计算机软件有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:48');
INSERT INTO `sys_logininfor` VALUES (1977, '连晟科技（大连）有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:49');
INSERT INTO `sys_logininfor` VALUES (1978, '抚顺双宏新材料科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:51');
INSERT INTO `sys_logininfor` VALUES (1979, '大连成宇科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:52');
INSERT INTO `sys_logininfor` VALUES (1980, '连晟科技（大连）有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:56');
INSERT INTO `sys_logininfor` VALUES (1981, '大连好贝拓房地产经纪咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:56');
INSERT INTO `sys_logininfor` VALUES (1982, '斗善精密部件（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:52:58');
INSERT INTO `sys_logininfor` VALUES (1983, '大连好贝拓房地产经纪咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:52:59');
INSERT INTO `sys_logininfor` VALUES (1984, '大连桃源商业批发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:00');
INSERT INTO `sys_logininfor` VALUES (1985, '大连嘉蕙商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:01');
INSERT INTO `sys_logininfor` VALUES (1986, '大连桃源商业批发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:02');
INSERT INTO `sys_logininfor` VALUES (1987, '斗善精密部件（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:05');
INSERT INTO `sys_logininfor` VALUES (1988, '大连宝欣贸易有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:06');
INSERT INTO `sys_logininfor` VALUES (1989, '大连中世富瑞电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:08');
INSERT INTO `sys_logininfor` VALUES (1990, '大连嘉蕙商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:11');
INSERT INTO `sys_logininfor` VALUES (1991, '大连中世富瑞电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:12');
INSERT INTO `sys_logininfor` VALUES (1992, '甘井子区花落时节又逢君数据信息科技工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:15');
INSERT INTO `sys_logininfor` VALUES (1993, '大连宝欣贸易有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:19');
INSERT INTO `sys_logininfor` VALUES (1994, '大连商通知识产权服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:21');
INSERT INTO `sys_logininfor` VALUES (1995, '甘井子区花落时节又逢君数据信息科技工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:23');
INSERT INTO `sys_logininfor` VALUES (1996, '大连商通知识产权服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:28');
INSERT INTO `sys_logininfor` VALUES (1997, '大连电子城明辉电脑商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:32');
INSERT INTO `sys_logininfor` VALUES (1998, '甘井子区辛寨子街道淞景香汤养生馆', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:40');
INSERT INTO `sys_logininfor` VALUES (1999, '大连金普新区孙氏溯源推拿养生坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:41');
INSERT INTO `sys_logininfor` VALUES (2000, '大连市甘井子区惠联冷冻加工厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:43');
INSERT INTO `sys_logininfor` VALUES (2001, '大连金普新区孙氏溯源推拿养生坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:44');
INSERT INTO `sys_logininfor` VALUES (2002, '甘井子区辛寨子街道淞景香汤养生馆', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:44');
INSERT INTO `sys_logininfor` VALUES (2003, '大连市甘井子区惠联冷冻加工厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:53:50');
INSERT INTO `sys_logininfor` VALUES (2004, '大连辽渔国际水产品市场惠联水产经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:53:54');
INSERT INTO `sys_logininfor` VALUES (2005, '大连市沙河口区美丽起点美容养生馆', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:00');
INSERT INTO `sys_logininfor` VALUES (2006, '大连辽渔国际水产品市场惠联水产经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:01');
INSERT INTO `sys_logininfor` VALUES (2007, '甘井子区大连湾街道兴林电子产品商行', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:01');
INSERT INTO `sys_logininfor` VALUES (2008, '大连市沙河口区美丽起点美容养生馆', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:03');
INSERT INTO `sys_logininfor` VALUES (2009, '大连惠联水产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:05');
INSERT INTO `sys_logininfor` VALUES (2010, '甘井子区大连湾街道兴林电子产品商行', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:06');
INSERT INTO `sys_logininfor` VALUES (2011, '大连惠联水产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:10');
INSERT INTO `sys_logininfor` VALUES (2012, '三江泰商贸(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:13');
INSERT INTO `sys_logininfor` VALUES (2013, '大连阿来德好利模塑有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:17');
INSERT INTO `sys_logininfor` VALUES (2014, '三江泰商贸(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:19');
INSERT INTO `sys_logininfor` VALUES (2015, '大连阿来德好利模塑有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:20');
INSERT INTO `sys_logininfor` VALUES (2016, '甘井子区大连湾街道明兴电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:22');
INSERT INTO `sys_logininfor` VALUES (2017, '麻云伴智能科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:24');
INSERT INTO `sys_logininfor` VALUES (2018, '麻云伴智能科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:29');
INSERT INTO `sys_logininfor` VALUES (2019, '甘井子区大连湾街道明兴电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:29');
INSERT INTO `sys_logininfor` VALUES (2020, '大连启睿财税代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:32');
INSERT INTO `sys_logininfor` VALUES (2021, '大连恒爱信工程技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:34');
INSERT INTO `sys_logininfor` VALUES (2022, '大连达文贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:35');
INSERT INTO `sys_logininfor` VALUES (2023, '甘井子区大连湾街道兴国电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:35');
INSERT INTO `sys_logininfor` VALUES (2024, '大连启睿财税代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:37');
INSERT INTO `sys_logininfor` VALUES (2025, '大连达文贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:38');
INSERT INTO `sys_logininfor` VALUES (2026, '大连博益企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:40');
INSERT INTO `sys_logininfor` VALUES (2027, '大连博益企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:46');
INSERT INTO `sys_logininfor` VALUES (2028, '大连电子城明辉电脑商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:49');
INSERT INTO `sys_logininfor` VALUES (2029, '甘井子区大连湾街道泰孚商店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:49');
INSERT INTO `sys_logininfor` VALUES (2030, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:51');
INSERT INTO `sys_logininfor` VALUES (2031, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:54');
INSERT INTO `sys_logininfor` VALUES (2032, '甘井子区大连湾街道泰孚商店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:54');
INSERT INTO `sys_logininfor` VALUES (2033, '大连恒爱信工程技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:54:56');
INSERT INTO `sys_logininfor` VALUES (2034, '甘井子区大连湾街道宏泰五金建材商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:54:58');
INSERT INTO `sys_logininfor` VALUES (2035, '甘井子区大连湾街道宏泰五金建材商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:02');
INSERT INTO `sys_logininfor` VALUES (2036, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:03');
INSERT INTO `sys_logininfor` VALUES (2037, '辽宁浩瀚水上运动发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:06');
INSERT INTO `sys_logininfor` VALUES (2038, '大连市甘井子区大连湾街道弘日电子技术服务部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:07');
INSERT INTO `sys_logininfor` VALUES (2039, '大连市甘井子区名仕工商管理培训学校', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:10');
INSERT INTO `sys_logininfor` VALUES (2040, '辽宁浩瀚水上运动发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:10');
INSERT INTO `sys_logininfor` VALUES (2041, '大连谟钢铸造科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:13');
INSERT INTO `sys_logininfor` VALUES (2042, '大连市甘井子区名仕工商管理培训学校', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:13');
INSERT INTO `sys_logininfor` VALUES (2043, '大连市甘井子区大连湾街道弘日电子技术服务部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:19');
INSERT INTO `sys_logininfor` VALUES (2044, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:30');
INSERT INTO `sys_logininfor` VALUES (2045, '大连东应船舶服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:31');
INSERT INTO `sys_logininfor` VALUES (2046, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:32');
INSERT INTO `sys_logininfor` VALUES (2047, '大连东应船舶服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:44');
INSERT INTO `sys_logininfor` VALUES (2048, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:47');
INSERT INTO `sys_logininfor` VALUES (2049, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:55:50');
INSERT INTO `sys_logininfor` VALUES (2050, '大连薛阿姨食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:55:54');
INSERT INTO `sys_logininfor` VALUES (2051, '大连薛阿姨食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:56:14');
INSERT INTO `sys_logininfor` VALUES (2052, '大连家园共育文化发展服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:56:32');
INSERT INTO `sys_logininfor` VALUES (2053, '大连家园共育文化发展服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:56:36');
INSERT INTO `sys_logininfor` VALUES (2054, '甘井子区翔顺电力电子元器件商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:56:53');
INSERT INTO `sys_logininfor` VALUES (2055, '甘井子区翔顺电力电子元器件商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:56:56');
INSERT INTO `sys_logininfor` VALUES (2056, '大连弗贝电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:56:59');
INSERT INTO `sys_logininfor` VALUES (2057, '大连科天新材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:57:10');
INSERT INTO `sys_logininfor` VALUES (2058, '大连科天新材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:57:14');
INSERT INTO `sys_logininfor` VALUES (2059, '大连市甘井子区伊休楼梯制造厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:57:29');
INSERT INTO `sys_logininfor` VALUES (2060, '大连市甘井子区伊休楼梯制造厂', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:57:33');
INSERT INTO `sys_logininfor` VALUES (2061, '上海君戎机电商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:57:50');
INSERT INTO `sys_logininfor` VALUES (2062, '上海君戎机电商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:57:53');
INSERT INTO `sys_logininfor` VALUES (2063, '大连慢丽江餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:58:13');
INSERT INTO `sys_logininfor` VALUES (2064, '大连慢丽江餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:58:17');
INSERT INTO `sys_logininfor` VALUES (2065, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:58:37');
INSERT INTO `sys_logininfor` VALUES (2066, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:58:41');
INSERT INTO `sys_logininfor` VALUES (2067, '大连东原驱动技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:59:00');
INSERT INTO `sys_logininfor` VALUES (2068, '大连弗贝电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:59:11');
INSERT INTO `sys_logininfor` VALUES (2069, '大连东原驱动技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:59:15');
INSERT INTO `sys_logininfor` VALUES (2070, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:59:26');
INSERT INTO `sys_logininfor` VALUES (2071, '甘井子区大连湾街道兴国电子产品经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:59:30');
INSERT INTO `sys_logininfor` VALUES (2072, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:59:31');
INSERT INTO `sys_logininfor` VALUES (2073, '大连青麦田科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:59:35');
INSERT INTO `sys_logininfor` VALUES (2074, '大连九合科技有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:59:42');
INSERT INTO `sys_logininfor` VALUES (2075, '大连青麦田科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:59:43');
INSERT INTO `sys_logininfor` VALUES (2076, '大连北岗汽配城光辉汽车维修服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 14:59:50');
INSERT INTO `sys_logininfor` VALUES (2077, '大连北岗汽配城光辉汽车维修服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 14:59:54');
INSERT INTO `sys_logininfor` VALUES (2078, '大连玖美嘉穗科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:11');
INSERT INTO `sys_logininfor` VALUES (2079, '甘井子区金三角市场宝安居照明器材经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:12');
INSERT INTO `sys_logininfor` VALUES (2080, '大连九合科技有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:16');
INSERT INTO `sys_logininfor` VALUES (2081, '甘井子区金三角市场宝安居照明器材经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:17');
INSERT INTO `sys_logininfor` VALUES (2082, '大连谟钢铸造科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:24');
INSERT INTO `sys_logininfor` VALUES (2083, '大连玖美嘉穗科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:25');
INSERT INTO `sys_logininfor` VALUES (2084, '大连合越供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:31');
INSERT INTO `sys_logininfor` VALUES (2085, '甘井子区金三角市场非凡空间经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:32');
INSERT INTO `sys_logininfor` VALUES (2086, '技合互联网信息服务（上海）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:38');
INSERT INTO `sys_logininfor` VALUES (2087, '甘井子区金三角市场非凡空间经销部', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:39');
INSERT INTO `sys_logininfor` VALUES (2088, '大连合越供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:46');
INSERT INTO `sys_logininfor` VALUES (2089, '大连惠特尔流体工程技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:49');
INSERT INTO `sys_logininfor` VALUES (2090, '甘井子区千山路亨得利眼镜专卖店', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:00:50');
INSERT INTO `sys_logininfor` VALUES (2091, '大连惠特尔流体工程技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:00:55');
INSERT INTO `sys_logininfor` VALUES (2092, '大连六六六船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:03');
INSERT INTO `sys_logininfor` VALUES (2093, '甘井子区千山路亨得利眼镜专卖店', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:04');
INSERT INTO `sys_logininfor` VALUES (2094, '大连六六六船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:13');
INSERT INTO `sys_logininfor` VALUES (2095, '大连嘉辕国际贸易有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:15');
INSERT INTO `sys_logininfor` VALUES (2096, '大连中科生态科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:21');
INSERT INTO `sys_logininfor` VALUES (2097, '大连嘉辕国际贸易有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:21');
INSERT INTO `sys_logininfor` VALUES (2098, '大连瑞德国际货运代理有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:26');
INSERT INTO `sys_logininfor` VALUES (2099, '环嘉德润（大连）再生资源有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:28');
INSERT INTO `sys_logininfor` VALUES (2100, '环嘉德润（大连）再生资源有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:34');
INSERT INTO `sys_logininfor` VALUES (2101, '技合互联网信息服务（上海）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:36');
INSERT INTO `sys_logininfor` VALUES (2102, '大连瑞德国际货运代理有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:40');
INSERT INTO `sys_logininfor` VALUES (2103, '大连中科生态科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:42');
INSERT INTO `sys_logininfor` VALUES (2104, '辽宁赛福特化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:43');
INSERT INTO `sys_logininfor` VALUES (2105, '成都众志信法律咨询有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:46');
INSERT INTO `sys_logininfor` VALUES (2106, '成都众志信法律咨询有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:50');
INSERT INTO `sys_logininfor` VALUES (2107, '大连珂尼赛格电气有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:50');
INSERT INTO `sys_logininfor` VALUES (2108, '大连方元文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:01:56');
INSERT INTO `sys_logininfor` VALUES (2109, '辽宁赛福特化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:57');
INSERT INTO `sys_logininfor` VALUES (2110, '大连珂尼赛格电气有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:01:57');
INSERT INTO `sys_logininfor` VALUES (2111, '大连盈科精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:02:06');
INSERT INTO `sys_logininfor` VALUES (2112, '辽宁信航科技有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:02:08');
INSERT INTO `sys_logininfor` VALUES (2113, '大连盈科精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:02:15');
INSERT INTO `sys_logininfor` VALUES (2114, '大连方元文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:02:16');
INSERT INTO `sys_logininfor` VALUES (2115, '大连鑫辉数字科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:02:28');
INSERT INTO `sys_logininfor` VALUES (2116, '辽宁信航科技有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:02:38');
INSERT INTO `sys_logininfor` VALUES (2117, '大连鑫辉数字科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:02:47');
INSERT INTO `sys_logininfor` VALUES (2118, '大连力群科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:02:57');
INSERT INTO `sys_logininfor` VALUES (2119, '大连力群科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:03:24');
INSERT INTO `sys_logininfor` VALUES (2120, '大连力群科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:03:37');
INSERT INTO `sys_logininfor` VALUES (2121, '天恩璐（大连）节能服务有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-20 15:03:57');
INSERT INTO `sys_logininfor` VALUES (2122, '天恩璐（大连）节能服务有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:03:57');
INSERT INTO `sys_logininfor` VALUES (2123, '沙河口区梅尔大叔原生态农副产品中心', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:04:11');
INSERT INTO `sys_logininfor` VALUES (2124, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:04:16');
INSERT INTO `sys_logininfor` VALUES (2125, '大连力群科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:04:17');
INSERT INTO `sys_logininfor` VALUES (2126, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-20 15:04:28');
INSERT INTO `sys_logininfor` VALUES (2127, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:04:28');
INSERT INTO `sys_logininfor` VALUES (2128, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-20 15:05:08');
INSERT INTO `sys_logininfor` VALUES (2129, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:05:08');
INSERT INTO `sys_logininfor` VALUES (2130, '沙河口区梅尔大叔原生态农副产品中心', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:05:46');
INSERT INTO `sys_logininfor` VALUES (2131, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-20 15:05:56');
INSERT INTO `sys_logininfor` VALUES (2132, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:05:56');
INSERT INTO `sys_logininfor` VALUES (2133, '辽宁东泰电气设备有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:05:57');
INSERT INTO `sys_logininfor` VALUES (2134, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:06:08');
INSERT INTO `sys_logininfor` VALUES (2135, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-20 15:06:11');
INSERT INTO `sys_logininfor` VALUES (2136, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:06:11');
INSERT INTO `sys_logininfor` VALUES (2137, '辽宁东泰电气设备有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:06:24');
INSERT INTO `sys_logininfor` VALUES (2138, '辽宁东泰电气设备有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:06:40');
INSERT INTO `sys_logininfor` VALUES (2139, '辽宁东泰电气设备有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:06:57');
INSERT INTO `sys_logininfor` VALUES (2140, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-20 15:08:14');
INSERT INTO `sys_logininfor` VALUES (2141, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:08:14');
INSERT INTO `sys_logininfor` VALUES (2142, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-20 15:08:26');
INSERT INTO `sys_logininfor` VALUES (2143, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:08:26');
INSERT INTO `sys_logininfor` VALUES (2144, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-09-20 15:08:39');
INSERT INTO `sys_logininfor` VALUES (2145, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:08:39');
INSERT INTO `sys_logininfor` VALUES (2146, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次', '2023-09-20 15:08:46');
INSERT INTO `sys_logininfor` VALUES (2147, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-20 15:08:46');
INSERT INTO `sys_logininfor` VALUES (2148, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:09:06');
INSERT INTO `sys_logininfor` VALUES (2149, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 15:10:01');
INSERT INTO `sys_logininfor` VALUES (2150, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:10:12');
INSERT INTO `sys_logininfor` VALUES (2151, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 15:41:47');
INSERT INTO `sys_logininfor` VALUES (2152, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 16:12:20');
INSERT INTO `sys_logininfor` VALUES (2153, '18640822691', '113.227.219.45', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-20 16:21:00');
INSERT INTO `sys_logininfor` VALUES (2154, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 16:27:45');
INSERT INTO `sys_logininfor` VALUES (2155, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 16:41:01');
INSERT INTO `sys_logininfor` VALUES (2156, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 16:41:12');
INSERT INTO `sys_logininfor` VALUES (2157, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 16:41:33');
INSERT INTO `sys_logininfor` VALUES (2158, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 16:45:11');
INSERT INTO `sys_logininfor` VALUES (2159, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 17:02:07');
INSERT INTO `sys_logininfor` VALUES (2160, '大连众鑫热力发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 17:06:43');
INSERT INTO `sys_logininfor` VALUES (2161, '大连盈科精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 17:11:47');
INSERT INTO `sys_logininfor` VALUES (2162, '大连盈科精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 17:12:06');
INSERT INTO `sys_logininfor` VALUES (2163, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 17:12:51');
INSERT INTO `sys_logininfor` VALUES (2164, '18640822691', '112.42.28.97', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 21:57:43');
INSERT INTO `sys_logininfor` VALUES (2165, '18640822691', '112.42.28.97', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 21:59:03');
INSERT INTO `sys_logininfor` VALUES (2166, '18640822691', '112.42.28.97', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-20 22:00:33');
INSERT INTO `sys_logininfor` VALUES (2167, '18640822691', '112.42.28.97', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-20 22:20:26');
INSERT INTO `sys_logininfor` VALUES (2168, '18640822691', '112.42.28.97', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-20 22:33:02');
INSERT INTO `sys_logininfor` VALUES (2169, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:29:20');
INSERT INTO `sys_logininfor` VALUES (2170, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:38:52');
INSERT INTO `sys_logininfor` VALUES (2171, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:41:21');
INSERT INTO `sys_logininfor` VALUES (2172, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 08:41:40');
INSERT INTO `sys_logininfor` VALUES (2173, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:41:46');
INSERT INTO `sys_logininfor` VALUES (2174, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:42:58');
INSERT INTO `sys_logininfor` VALUES (2175, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:43:31');
INSERT INTO `sys_logininfor` VALUES (2176, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 08:49:00');
INSERT INTO `sys_logininfor` VALUES (2177, '18640822691', '113.227.219.45', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2023-09-21 08:50:14');
INSERT INTO `sys_logininfor` VALUES (2178, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-21 08:58:33');
INSERT INTO `sys_logininfor` VALUES (2179, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 09:39:28');
INSERT INTO `sys_logininfor` VALUES (2180, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 09:42:18');
INSERT INTO `sys_logininfor` VALUES (2181, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 09:42:23');
INSERT INTO `sys_logininfor` VALUES (2182, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-21 09:46:55');
INSERT INTO `sys_logininfor` VALUES (2183, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-21 09:46:56');
INSERT INTO `sys_logininfor` VALUES (2184, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-21 09:48:35');
INSERT INTO `sys_logininfor` VALUES (2185, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:01:16');
INSERT INTO `sys_logininfor` VALUES (2186, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:01:34');
INSERT INTO `sys_logininfor` VALUES (2187, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:01:54');
INSERT INTO `sys_logininfor` VALUES (2188, '18640822691', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:02:14');
INSERT INTO `sys_logininfor` VALUES (2189, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:15:32');
INSERT INTO `sys_logininfor` VALUES (2190, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 10:16:27');
INSERT INTO `sys_logininfor` VALUES (2191, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 10:16:39');
INSERT INTO `sys_logininfor` VALUES (2192, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:16:43');
INSERT INTO `sys_logininfor` VALUES (2193, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:16:47');
INSERT INTO `sys_logininfor` VALUES (2194, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:41:28');
INSERT INTO `sys_logininfor` VALUES (2195, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 10:56:14');
INSERT INTO `sys_logininfor` VALUES (2196, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 10:56:57');
INSERT INTO `sys_logininfor` VALUES (2197, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 10:56:57');
INSERT INTO `sys_logininfor` VALUES (2198, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 10:57:22');
INSERT INTO `sys_logininfor` VALUES (2199, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 11:04:41');
INSERT INTO `sys_logininfor` VALUES (2200, '大连市沙河口区心航教育培训学校有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 11:05:38');
INSERT INTO `sys_logininfor` VALUES (2201, '大连市沙河口区心航教育培训学校有限公司', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:05:38');
INSERT INTO `sys_logininfor` VALUES (2202, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:06:45');
INSERT INTO `sys_logininfor` VALUES (2203, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 11:11:10');
INSERT INTO `sys_logininfor` VALUES (2204, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 11:11:29');
INSERT INTO `sys_logininfor` VALUES (2205, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:11:29');
INSERT INTO `sys_logininfor` VALUES (2206, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:11:37');
INSERT INTO `sys_logininfor` VALUES (2207, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 11:11:45');
INSERT INTO `sys_logininfor` VALUES (2208, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:11:56');
INSERT INTO `sys_logininfor` VALUES (2209, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:14:01');
INSERT INTO `sys_logininfor` VALUES (2210, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 11:15:26');
INSERT INTO `sys_logininfor` VALUES (2211, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:15:34');
INSERT INTO `sys_logininfor` VALUES (2212, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 11:21:56');
INSERT INTO `sys_logininfor` VALUES (2213, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:21:57');
INSERT INTO `sys_logininfor` VALUES (2214, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:22:28');
INSERT INTO `sys_logininfor` VALUES (2215, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 11:26:09');
INSERT INTO `sys_logininfor` VALUES (2216, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:26:28');
INSERT INTO `sys_logininfor` VALUES (2217, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 11:38:16');
INSERT INTO `sys_logininfor` VALUES (2218, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:38:16');
INSERT INTO `sys_logininfor` VALUES (2219, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-21 11:38:20');
INSERT INTO `sys_logininfor` VALUES (2220, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:38:20');
INSERT INTO `sys_logininfor` VALUES (2221, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-21 11:38:43');
INSERT INTO `sys_logininfor` VALUES (2222, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:38:43');
INSERT INTO `sys_logininfor` VALUES (2223, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-09-21 11:38:50');
INSERT INTO `sys_logininfor` VALUES (2224, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 11:38:50');
INSERT INTO `sys_logininfor` VALUES (2225, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 11:43:56');
INSERT INTO `sys_logininfor` VALUES (2226, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 12:42:23');
INSERT INTO `sys_logininfor` VALUES (2227, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 12:52:49');
INSERT INTO `sys_logininfor` VALUES (2228, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 12:58:46');
INSERT INTO `sys_logininfor` VALUES (2229, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:12:30');
INSERT INTO `sys_logininfor` VALUES (2230, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:13:08');
INSERT INTO `sys_logininfor` VALUES (2231, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:18:44');
INSERT INTO `sys_logininfor` VALUES (2232, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:27:26');
INSERT INTO `sys_logininfor` VALUES (2233, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 13:37:19');
INSERT INTO `sys_logininfor` VALUES (2234, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:37:27');
INSERT INTO `sys_logininfor` VALUES (2235, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 13:52:37');
INSERT INTO `sys_logininfor` VALUES (2236, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 13:52:37');
INSERT INTO `sys_logininfor` VALUES (2237, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 13:52:45');
INSERT INTO `sys_logininfor` VALUES (2238, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 13:52:45');
INSERT INTO `sys_logininfor` VALUES (2239, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:52:54');
INSERT INTO `sys_logininfor` VALUES (2240, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 13:53:44');
INSERT INTO `sys_logininfor` VALUES (2241, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '密码输入错误1次', '2023-09-21 14:14:41');
INSERT INTO `sys_logininfor` VALUES (2242, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 14:14:41');
INSERT INTO `sys_logininfor` VALUES (2243, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2023-09-21 14:14:53');
INSERT INTO `sys_logininfor` VALUES (2244, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 14:30:24');
INSERT INTO `sys_logininfor` VALUES (2245, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 14:36:38');
INSERT INTO `sys_logininfor` VALUES (2246, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-21 14:41:25');
INSERT INTO `sys_logininfor` VALUES (2247, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 15:06:30');
INSERT INTO `sys_logininfor` VALUES (2248, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 15:06:34');
INSERT INTO `sys_logininfor` VALUES (2249, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 15:06:48');
INSERT INTO `sys_logininfor` VALUES (2250, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 15:06:52');
INSERT INTO `sys_logininfor` VALUES (2251, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 15:14:22');
INSERT INTO `sys_logininfor` VALUES (2252, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 15:20:47');
INSERT INTO `sys_logininfor` VALUES (2253, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 15:22:53');
INSERT INTO `sys_logininfor` VALUES (2254, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 15:39:59');
INSERT INTO `sys_logininfor` VALUES (2255, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 16:41:30');
INSERT INTO `sys_logininfor` VALUES (2256, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 16:41:32');
INSERT INTO `sys_logininfor` VALUES (2257, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 17:41:20');
INSERT INTO `sys_logininfor` VALUES (2258, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '密码输入错误1次', '2023-09-21 18:17:45');
INSERT INTO `sys_logininfor` VALUES (2259, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '用户不存在/密码错误', '2023-09-21 18:17:45');
INSERT INTO `sys_logininfor` VALUES (2260, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '密码输入错误2次', '2023-09-21 18:18:25');
INSERT INTO `sys_logininfor` VALUES (2261, '18640822691', '120.46.159.163', 'XX XX', 'Unknown', 'Unknown', '1', '用户不存在/密码错误', '2023-09-21 18:18:25');
INSERT INTO `sys_logininfor` VALUES (2262, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-21 18:20:30');
INSERT INTO `sys_logininfor` VALUES (2263, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 18:20:30');
INSERT INTO `sys_logininfor` VALUES (2264, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-09-21 18:21:35');
INSERT INTO `sys_logininfor` VALUES (2265, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 18:21:35');
INSERT INTO `sys_logininfor` VALUES (2266, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次', '2023-09-21 18:22:18');
INSERT INTO `sys_logininfor` VALUES (2267, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-21 18:22:18');
INSERT INTO `sys_logininfor` VALUES (2268, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 18:22:39');
INSERT INTO `sys_logininfor` VALUES (2269, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 21:23:25');
INSERT INTO `sys_logininfor` VALUES (2270, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 21:28:53');
INSERT INTO `sys_logininfor` VALUES (2271, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 21:53:25');
INSERT INTO `sys_logininfor` VALUES (2272, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 22:22:13');
INSERT INTO `sys_logininfor` VALUES (2273, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 22:22:13');
INSERT INTO `sys_logininfor` VALUES (2274, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 22:22:56');
INSERT INTO `sys_logininfor` VALUES (2275, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-21 23:13:31');
INSERT INTO `sys_logininfor` VALUES (2276, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-21 23:44:16');
INSERT INTO `sys_logininfor` VALUES (2277, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 00:28:58');
INSERT INTO `sys_logininfor` VALUES (2278, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 00:29:32');
INSERT INTO `sys_logininfor` VALUES (2279, 'admin', '60.21.90.138', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 01:43:38');
INSERT INTO `sys_logininfor` VALUES (2280, 'admin', '60.21.90.138', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 02:34:43');
INSERT INTO `sys_logininfor` VALUES (2281, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 06:11:44');
INSERT INTO `sys_logininfor` VALUES (2282, 'admin', '60.21.90.138', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 06:13:11');
INSERT INTO `sys_logininfor` VALUES (2283, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 06:50:59');
INSERT INTO `sys_logininfor` VALUES (2284, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 07:16:17');
INSERT INTO `sys_logininfor` VALUES (2285, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 08:41:01');
INSERT INTO `sys_logininfor` VALUES (2286, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 08:41:07');
INSERT INTO `sys_logininfor` VALUES (2287, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 08:41:53');
INSERT INTO `sys_logininfor` VALUES (2288, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 08:44:52');
INSERT INTO `sys_logininfor` VALUES (2289, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 08:46:06');
INSERT INTO `sys_logininfor` VALUES (2290, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 08:47:30');
INSERT INTO `sys_logininfor` VALUES (2291, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 08:47:41');
INSERT INTO `sys_logininfor` VALUES (2292, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 08:49:33');
INSERT INTO `sys_logininfor` VALUES (2293, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:09:00');
INSERT INTO `sys_logininfor` VALUES (2294, '18640822691', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:13:27');
INSERT INTO `sys_logininfor` VALUES (2295, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:37:05');
INSERT INTO `sys_logininfor` VALUES (2296, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:47:31');
INSERT INTO `sys_logininfor` VALUES (2297, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:47:36');
INSERT INTO `sys_logininfor` VALUES (2298, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:47:42');
INSERT INTO `sys_logininfor` VALUES (2299, '15104061003@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:48:55');
INSERT INTO `sys_logininfor` VALUES (2300, '15104061003@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:49:06');
INSERT INTO `sys_logininfor` VALUES (2301, 'dlq19910390521@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:08');
INSERT INTO `sys_logininfor` VALUES (2302, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:49:16');
INSERT INTO `sys_logininfor` VALUES (2303, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:49:18');
INSERT INTO `sys_logininfor` VALUES (2304, '双塔区诚锐建筑施工队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:18');
INSERT INTO `sys_logininfor` VALUES (2305, '双塔区诚锐建筑施工队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:49:31');
INSERT INTO `sys_logininfor` VALUES (2306, '15140574991', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:33');
INSERT INTO `sys_logininfor` VALUES (2307, 'dlq19910390521@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:38');
INSERT INTO `sys_logininfor` VALUES (2308, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '密码输入错误1次', '2023-09-22 09:49:43');
INSERT INTO `sys_logininfor` VALUES (2309, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '用户不存在/密码错误', '2023-09-22 09:49:44');
INSERT INTO `sys_logininfor` VALUES (2310, '大连嘉易智造工业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:44');
INSERT INTO `sys_logininfor` VALUES (2311, '大连桃源商业批发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:47');
INSERT INTO `sys_logininfor` VALUES (2312, 'dlq19910390521@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:49:52');
INSERT INTO `sys_logininfor` VALUES (2313, '齐派艺术书画（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:54');
INSERT INTO `sys_logininfor` VALUES (2314, '吉恒', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:49:55');
INSERT INTO `sys_logininfor` VALUES (2315, '15140574991', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:00');
INSERT INTO `sys_logininfor` VALUES (2316, 'dlxxhs1996@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:50:12');
INSERT INTO `sys_logininfor` VALUES (2317, '1048411266@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:50:12');
INSERT INTO `sys_logininfor` VALUES (2318, 'dlxxhs1996@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:25');
INSERT INTO `sys_logininfor` VALUES (2319, '15140584321', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:50:32');
INSERT INTO `sys_logininfor` VALUES (2320, '大连鑫嘉冠市场管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:50:32');
INSERT INTO `sys_logininfor` VALUES (2321, '15140584321', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:37');
INSERT INTO `sys_logininfor` VALUES (2322, '1048411266@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:43');
INSERT INTO `sys_logininfor` VALUES (2323, '大连嘉易智造工业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:43');
INSERT INTO `sys_logininfor` VALUES (2324, '大连桃源商业批发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:48');
INSERT INTO `sys_logininfor` VALUES (2325, '吉恒', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:55');
INSERT INTO `sys_logininfor` VALUES (2326, '齐派艺术书画（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:50:55');
INSERT INTO `sys_logininfor` VALUES (2327, '15141019559', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:50:55');
INSERT INTO `sys_logininfor` VALUES (2328, 'dongnan211@sina.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:01');
INSERT INTO `sys_logininfor` VALUES (2329, '15141019559', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:05');
INSERT INTO `sys_logininfor` VALUES (2330, '吉恒', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:05');
INSERT INTO `sys_logininfor` VALUES (2331, '大连梦威文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:08');
INSERT INTO `sys_logininfor` VALUES (2332, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:11');
INSERT INTO `sys_logininfor` VALUES (2333, '大连梦威文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:12');
INSERT INTO `sys_logininfor` VALUES (2334, '大连鑫嘉冠市场管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:13');
INSERT INTO `sys_logininfor` VALUES (2335, '吉恒', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:14');
INSERT INTO `sys_logininfor` VALUES (2336, '大连嘉福消费品综合市场有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:20');
INSERT INTO `sys_logininfor` VALUES (2337, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:26');
INSERT INTO `sys_logininfor` VALUES (2338, '15141140983', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:26');
INSERT INTO `sys_logininfor` VALUES (2339, '圣域隆汽车用品贸易（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:30');
INSERT INTO `sys_logininfor` VALUES (2340, '15141140983', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:31');
INSERT INTO `sys_logininfor` VALUES (2341, '大连嘉福消费品综合市场有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:32');
INSERT INTO `sys_logininfor` VALUES (2342, '齐派艺术书画（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:33');
INSERT INTO `sys_logininfor` VALUES (2343, '圣域隆汽车用品贸易（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:36');
INSERT INTO `sys_logininfor` VALUES (2344, '齐派艺术书画（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:39');
INSERT INTO `sys_logininfor` VALUES (2345, '大连鑫莉装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:42');
INSERT INTO `sys_logininfor` VALUES (2346, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:47');
INSERT INTO `sys_logininfor` VALUES (2347, 'dongnan211@sina.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:47');
INSERT INTO `sys_logininfor` VALUES (2348, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:51:53');
INSERT INTO `sys_logininfor` VALUES (2349, '15164018003@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:55');
INSERT INTO `sys_logininfor` VALUES (2350, '大连嘉蕙商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:51:59');
INSERT INTO `sys_logininfor` VALUES (2351, '圣域隆汽车用品贸易（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:00');
INSERT INTO `sys_logininfor` VALUES (2352, '15164018003@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:01');
INSERT INTO `sys_logininfor` VALUES (2353, '18141122064', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:02');
INSERT INTO `sys_logininfor` VALUES (2354, '麻云伴智能科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:03');
INSERT INTO `sys_logininfor` VALUES (2355, '圣域隆汽车用品贸易（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:06');
INSERT INTO `sys_logininfor` VALUES (2356, '大连嘉蕙商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:12');
INSERT INTO `sys_logininfor` VALUES (2357, '18141122064', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:15');
INSERT INTO `sys_logininfor` VALUES (2358, '大连正广经贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:18');
INSERT INTO `sys_logininfor` VALUES (2359, '麻云伴智能科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:18');
INSERT INTO `sys_logininfor` VALUES (2360, '1251933545@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:21');
INSERT INTO `sys_logininfor` VALUES (2361, 'dyw10@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:24');
INSERT INTO `sys_logininfor` VALUES (2362, '15241830555', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:25');
INSERT INTO `sys_logininfor` VALUES (2363, '大连鑫莉装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:27');
INSERT INTO `sys_logininfor` VALUES (2364, '大连正广经贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:27');
INSERT INTO `sys_logininfor` VALUES (2365, '15241830555', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:31');
INSERT INTO `sys_logininfor` VALUES (2366, '大连嘉辕国际贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:33');
INSERT INTO `sys_logininfor` VALUES (2367, 'dyw10@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:36');
INSERT INTO `sys_logininfor` VALUES (2368, '马超', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:39');
INSERT INTO `sys_logininfor` VALUES (2369, '大连万垚机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:40');
INSERT INTO `sys_logininfor` VALUES (2370, '大连嘉辕国际贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:42');
INSERT INTO `sys_logininfor` VALUES (2371, '1251933545@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:43');
INSERT INTO `sys_logininfor` VALUES (2372, '大连鑫辉数字科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:43');
INSERT INTO `sys_logininfor` VALUES (2373, '1532483595@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:48');
INSERT INTO `sys_logininfor` VALUES (2374, '马超', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:49');
INSERT INTO `sys_logininfor` VALUES (2375, '大连毅捷船舶技术服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:52');
INSERT INTO `sys_logininfor` VALUES (2376, '马超', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:54');
INSERT INTO `sys_logininfor` VALUES (2377, 'gnin1777@gmail.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:52:54');
INSERT INTO `sys_logininfor` VALUES (2378, '大连万垚机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:52:57');
INSERT INTO `sys_logininfor` VALUES (2379, '1251933545@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:02');
INSERT INTO `sys_logininfor` VALUES (2380, '顽乐生活', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:03');
INSERT INTO `sys_logininfor` VALUES (2381, '大连万道财税咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:04');
INSERT INTO `sys_logininfor` VALUES (2382, '大连图月贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:04');
INSERT INTO `sys_logininfor` VALUES (2383, '大连鑫辉数字科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:05');
INSERT INTO `sys_logininfor` VALUES (2384, 'gnin1777@gmail.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:05');
INSERT INTO `sys_logininfor` VALUES (2385, '1532483595@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:06');
INSERT INTO `sys_logininfor` VALUES (2386, '大连毅捷船舶技术服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:07');
INSERT INTO `sys_logininfor` VALUES (2387, '大连万道财税咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:11');
INSERT INTO `sys_logininfor` VALUES (2388, '1251933545@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:15');
INSERT INTO `sys_logininfor` VALUES (2389, '大连图月贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:20');
INSERT INTO `sys_logininfor` VALUES (2390, '顽乐生活', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:20');
INSERT INTO `sys_logininfor` VALUES (2391, '大连三恩井科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:28');
INSERT INTO `sys_logininfor` VALUES (2392, '大连阡陌本草中医药有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:28');
INSERT INTO `sys_logininfor` VALUES (2393, '15504099110', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:29');
INSERT INTO `sys_logininfor` VALUES (2394, '青岛地比图软件科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:32');
INSERT INTO `sys_logininfor` VALUES (2395, '大连圣龙投资顾问有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:37');
INSERT INTO `sys_logininfor` VALUES (2396, '15504099110', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:38');
INSERT INTO `sys_logininfor` VALUES (2397, '大连圣龙投资顾问有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:43');
INSERT INTO `sys_logininfor` VALUES (2398, '青岛地比图软件科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:44');
INSERT INTO `sys_logininfor` VALUES (2399, '13050343532@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:47');
INSERT INTO `sys_logininfor` VALUES (2400, '大连三恩井科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:51');
INSERT INTO `sys_logininfor` VALUES (2401, '锦州经济技术开发区王家街道艳明猪肉摊床', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:56');
INSERT INTO `sys_logininfor` VALUES (2402, '13050343532@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:53:57');
INSERT INTO `sys_logininfor` VALUES (2403, '15524387177', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:53:58');
INSERT INTO `sys_logininfor` VALUES (2404, '大连埃斯安泵业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:01');
INSERT INTO `sys_logininfor` VALUES (2405, '15524387177', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:03');
INSERT INTO `sys_logininfor` VALUES (2406, '锦州经济技术开发区王家街道艳明猪肉摊床', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:06');
INSERT INTO `sys_logininfor` VALUES (2407, '大连埃斯安泵业有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:09');
INSERT INTO `sys_logininfor` VALUES (2408, '大连上通万联汽车销售服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:14');
INSERT INTO `sys_logininfor` VALUES (2409, '大连阡陌本草中医药有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:15');
INSERT INTO `sys_logininfor` VALUES (2410, 'hemashipin', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:19');
INSERT INTO `sys_logininfor` VALUES (2411, '锦州滨海新区松良蛋禽摊床', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:20');
INSERT INTO `sys_logininfor` VALUES (2412, '大连上通万联汽车销售服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:23');
INSERT INTO `sys_logininfor` VALUES (2413, '15524419066', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:23');
INSERT INTO `sys_logininfor` VALUES (2414, 'hemashipin', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:25');
INSERT INTO `sys_logininfor` VALUES (2415, '13050513888', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:25');
INSERT INTO `sys_logininfor` VALUES (2416, '18302435351', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:27');
INSERT INTO `sys_logininfor` VALUES (2417, '锦州滨海新区松良蛋禽摊床', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:27');
INSERT INTO `sys_logininfor` VALUES (2418, '大连基石云科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:30');
INSERT INTO `sys_logininfor` VALUES (2419, '15524419066', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:31');
INSERT INTO `sys_logininfor` VALUES (2420, '18302435351', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:34');
INSERT INTO `sys_logininfor` VALUES (2421, '锦州滨海新区晓静蔬菜摊床', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:35');
INSERT INTO `sys_logininfor` VALUES (2422, '大连基石云科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:38');
INSERT INTO `sys_logininfor` VALUES (2423, '锦州滨海新区晓静蔬菜摊床', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:39');
INSERT INTO `sys_logininfor` VALUES (2424, '大连阿来德好利模塑有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:41');
INSERT INTO `sys_logininfor` VALUES (2425, '13050513888', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:43');
INSERT INTO `sys_logininfor` VALUES (2426, '大连永晟农业发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:43');
INSERT INTO `sys_logininfor` VALUES (2427, '锦州华洋船员服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:49');
INSERT INTO `sys_logininfor` VALUES (2428, '大连东原驱动技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:50');
INSERT INTO `sys_logininfor` VALUES (2429, '15524664622@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:51');
INSERT INTO `sys_logininfor` VALUES (2430, '18525466893', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:52');
INSERT INTO `sys_logininfor` VALUES (2431, '锦州华洋船员服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:53');
INSERT INTO `sys_logininfor` VALUES (2432, '13050528197', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:54');
INSERT INTO `sys_logininfor` VALUES (2433, '大连东原驱动技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:55');
INSERT INTO `sys_logininfor` VALUES (2434, '15524664622@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:55');
INSERT INTO `sys_logininfor` VALUES (2435, '大连永晟农业发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:57');
INSERT INTO `sys_logininfor` VALUES (2436, '18525466893', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:54:57');
INSERT INTO `sys_logininfor` VALUES (2437, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:54:57');
INSERT INTO `sys_logininfor` VALUES (2438, '大连壮元海生态苗业股份有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:04');
INSERT INTO `sys_logininfor` VALUES (2439, '铁岭辅坤阀门有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:07');
INSERT INTO `sys_logininfor` VALUES (2440, '13050528197', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:08');
INSERT INTO `sys_logininfor` VALUES (2441, '大连阿来德好利模塑有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:11');
INSERT INTO `sys_logininfor` VALUES (2442, '大连永福商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:13');
INSERT INTO `sys_logininfor` VALUES (2443, 'hr@dazzlee.can', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:14');
INSERT INTO `sys_logininfor` VALUES (2444, '15524790325@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:15');
INSERT INTO `sys_logininfor` VALUES (2445, '铁岭辅坤阀门有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:15');
INSERT INTO `sys_logininfor` VALUES (2446, '大连东应船舶服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:17');
INSERT INTO `sys_logininfor` VALUES (2447, '15524790325@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:20');
INSERT INTO `sys_logininfor` VALUES (2448, 'hr@dazzlee.can  ', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:20');
INSERT INTO `sys_logininfor` VALUES (2449, '大连永福商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:21');
INSERT INTO `sys_logininfor` VALUES (2450, '13050578956', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:22');
INSERT INTO `sys_logininfor` VALUES (2451, '大连东应船舶服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:22');
INSERT INTO `sys_logininfor` VALUES (2452, '大连壹迦科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:25');
INSERT INTO `sys_logininfor` VALUES (2453, '铁岭英诚药品咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:27');
INSERT INTO `sys_logininfor` VALUES (2454, '铁岭英诚药品咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:31');
INSERT INTO `sys_logininfor` VALUES (2455, '大连青麦田科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:32');
INSERT INTO `sys_logininfor` VALUES (2456, 'hscw', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:36');
INSERT INTO `sys_logininfor` VALUES (2457, '大连汇平船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:38');
INSERT INTO `sys_logininfor` VALUES (2458, '13050578956', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:39');
INSERT INTO `sys_logininfor` VALUES (2459, '大连中世富瑞电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:39');
INSERT INTO `sys_logininfor` VALUES (2460, '15524844999', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:39');
INSERT INTO `sys_logininfor` VALUES (2461, '铁岭洲宇房地产开发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:39');
INSERT INTO `sys_logininfor` VALUES (2462, 'hscw', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:42');
INSERT INTO `sys_logininfor` VALUES (2463, '大连汇平船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:42');
INSERT INTO `sys_logininfor` VALUES (2464, '大连壹迦科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:43');
INSERT INTO `sys_logininfor` VALUES (2465, '铁岭洲宇房地产开发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:45');
INSERT INTO `sys_logininfor` VALUES (2466, '大连中世富瑞电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:45');
INSERT INTO `sys_logininfor` VALUES (2467, '15524844999', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:46');
INSERT INTO `sys_logininfor` VALUES (2468, '13066550142', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:52');
INSERT INTO `sys_logininfor` VALUES (2469, '铁岭市银州区康保药房', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:55');
INSERT INTO `sys_logininfor` VALUES (2470, 'huitonganxin', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:55:58');
INSERT INTO `sys_logininfor` VALUES (2471, '大连青麦田科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:55:59');
INSERT INTO `sys_logininfor` VALUES (2472, '大连大作为计算机软件有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:00');
INSERT INTO `sys_logininfor` VALUES (2473, '大连中振计量检测有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:01');
INSERT INTO `sys_logininfor` VALUES (2474, '铁岭市银州区康保药房', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:01');
INSERT INTO `sys_logininfor` VALUES (2475, '大连大作为计算机软件有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:05');
INSERT INTO `sys_logininfor` VALUES (2476, '15541914853', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:06');
INSERT INTO `sys_logininfor` VALUES (2477, '大连中振计量检测有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:06');
INSERT INTO `sys_logininfor` VALUES (2478, 'huitonganxin', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:08');
INSERT INTO `sys_logininfor` VALUES (2479, '13066550142', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:13');
INSERT INTO `sys_logininfor` VALUES (2480, '铁岭市银州区奕茹干洗衣店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:14');
INSERT INTO `sys_logininfor` VALUES (2481, '15541914853', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:16');
INSERT INTO `sys_logininfor` VALUES (2482, '大连顺为远道投资中心（有限合伙）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:18');
INSERT INTO `sys_logininfor` VALUES (2483, '铁岭市银州区奕茹干洗衣店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:19');
INSERT INTO `sys_logininfor` VALUES (2484, '大连太乙企业管理有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:24');
INSERT INTO `sys_logininfor` VALUES (2485, '大连中祥制业环境工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:25');
INSERT INTO `sys_logininfor` VALUES (2486, '186275418@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:25');
INSERT INTO `sys_logininfor` VALUES (2487, '13066632682', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:29');
INSERT INTO `sys_logininfor` VALUES (2488, 'huiwuyou', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:29');
INSERT INTO `sys_logininfor` VALUES (2489, '15542344282@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:29');
INSERT INTO `sys_logininfor` VALUES (2490, '铁岭市兴运管道工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:30');
INSERT INTO `sys_logininfor` VALUES (2491, '13066632682', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:33');
INSERT INTO `sys_logininfor` VALUES (2492, '186275418@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:33');
INSERT INTO `sys_logininfor` VALUES (2493, '大连太乙企业管理有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:34');
INSERT INTO `sys_logininfor` VALUES (2494, '铁岭市兴运管道工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:35');
INSERT INTO `sys_logininfor` VALUES (2495, 'huiwuyou', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:39');
INSERT INTO `sys_logininfor` VALUES (2496, '15542344282@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:42');
INSERT INTO `sys_logininfor` VALUES (2497, '铁岭宇川精密机械制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:48');
INSERT INTO `sys_logininfor` VALUES (2498, '大连太平防水工程有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:49');
INSERT INTO `sys_logininfor` VALUES (2499, '大连中祥制业环境工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:49');
INSERT INTO `sys_logininfor` VALUES (2500, '铁岭宇川精密机械制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:53');
INSERT INTO `sys_logininfor` VALUES (2501, 'HXY', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:54');
INSERT INTO `sys_logininfor` VALUES (2502, '大连太平防水工程有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:56');
INSERT INTO `sys_logininfor` VALUES (2503, '18640116307', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:56:57');
INSERT INTO `sys_logininfor` VALUES (2504, 'HXY', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:56:58');
INSERT INTO `sys_logininfor` VALUES (2505, '15542398981', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:00');
INSERT INTO `sys_logininfor` VALUES (2506, '13066665801', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:01');
INSERT INTO `sys_logininfor` VALUES (2507, '铁岭嘉兴物业管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:01');
INSERT INTO `sys_logininfor` VALUES (2508, '15542398981', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:05');
INSERT INTO `sys_logininfor` VALUES (2509, '13066665801', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:05');
INSERT INTO `sys_logininfor` VALUES (2510, '铁岭嘉兴物业管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:07');
INSERT INTO `sys_logininfor` VALUES (2511, 'jiayingqiye', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:11');
INSERT INTO `sys_logininfor` VALUES (2512, '大连顺为远道投资中心（有限合伙）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:14');
INSERT INTO `sys_logininfor` VALUES (2513, '铁岭嘉兴源土石方工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:16');
INSERT INTO `sys_logininfor` VALUES (2514, '大连奇立贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:17');
INSERT INTO `sys_logininfor` VALUES (2515, 'jiayingqiye', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:18');
INSERT INTO `sys_logininfor` VALUES (2516, '大连中科环境有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:20');
INSERT INTO `sys_logininfor` VALUES (2517, '铁岭嘉兴源土石方工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:21');
INSERT INTO `sys_logininfor` VALUES (2518, '13081793435', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:25');
INSERT INTO `sys_logininfor` VALUES (2519, '大连奇立贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:30');
INSERT INTO `sys_logininfor` VALUES (2520, 'jinbaiweimy', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:31');
INSERT INTO `sys_logininfor` VALUES (2521, '15542495716', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:32');
INSERT INTO `sys_logininfor` VALUES (2522, '大连中科环境有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:35');
INSERT INTO `sys_logininfor` VALUES (2523, 'jinbaiweimy', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:35');
INSERT INTO `sys_logininfor` VALUES (2524, '铁岭嘉兴房地产开发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:36');
INSERT INTO `sys_logininfor` VALUES (2525, '大连顺风顺水货运代理服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:36');
INSERT INTO `sys_logininfor` VALUES (2526, '15542495716', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:38');
INSERT INTO `sys_logininfor` VALUES (2527, '18640116307', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:42');
INSERT INTO `sys_logininfor` VALUES (2528, 'lihengtechnology@126.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:46');
INSERT INTO `sys_logininfor` VALUES (2529, '大连瀛合餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-22 09:57:46');
INSERT INTO `sys_logininfor` VALUES (2530, '13081793435', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:46');
INSERT INTO `sys_logininfor` VALUES (2531, '大连瀛合餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:47');
INSERT INTO `sys_logininfor` VALUES (2532, 'lihengtechnology@126.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:51');
INSERT INTO `sys_logininfor` VALUES (2533, '大连瀛合餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:51');
INSERT INTO `sys_logininfor` VALUES (2534, '大连好省园区管理咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:57:53');
INSERT INTO `sys_logininfor` VALUES (2535, '铁岭嘉兴房地产开发有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:57:54');
INSERT INTO `sys_logininfor` VALUES (2536, '大连好省园区管理咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:00');
INSERT INTO `sys_logininfor` VALUES (2537, '13084128886@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:02');
INSERT INTO `sys_logininfor` VALUES (2538, '大连中科生态科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:02');
INSERT INTO `sys_logininfor` VALUES (2539, '铁岭县新世捷矿业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:04');
INSERT INTO `sys_logininfor` VALUES (2540, 'Lindseyzhang@shengyaowang.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:05');
INSERT INTO `sys_logininfor` VALUES (2541, '15542657279@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:07');
INSERT INTO `sys_logininfor` VALUES (2542, 'Lindseyzhang@shengyaowang.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:08');
INSERT INTO `sys_logininfor` VALUES (2543, '大连顺风顺水货运代理服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:08');
INSERT INTO `sys_logininfor` VALUES (2544, '大连灿星文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:09');
INSERT INTO `sys_logininfor` VALUES (2545, '大连中科生态科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:10');
INSERT INTO `sys_logininfor` VALUES (2546, '15542657279@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:11');
INSERT INTO `sys_logininfor` VALUES (2547, '18640150380', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:14');
INSERT INTO `sys_logininfor` VALUES (2548, '大连灿星文化传媒有限公司 ', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:15');
INSERT INTO `sys_logininfor` VALUES (2549, '铁岭县新世捷矿业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:15');
INSERT INTO `sys_logininfor` VALUES (2550, '大连好贝拓房地产经纪咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:16');
INSERT INTO `sys_logininfor` VALUES (2551, '大连中科生态科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 09:58:18');
INSERT INTO `sys_logininfor` VALUES (2552, '大连中科生态科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 09:58:18');
INSERT INTO `sys_logininfor` VALUES (2553, '18640150380', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:19');
INSERT INTO `sys_logininfor` VALUES (2554, '13084128886@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:20');
INSERT INTO `sys_logininfor` VALUES (2555, 'lj7_203@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:21');
INSERT INTO `sys_logininfor` VALUES (2556, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 09:58:25');
INSERT INTO `sys_logininfor` VALUES (2557, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 09:58:25');
INSERT INTO `sys_logininfor` VALUES (2558, 'lj7_203@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:26');
INSERT INTO `sys_logininfor` VALUES (2559, '大连好贝拓房地产经纪咨询有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:27');
INSERT INTO `sys_logininfor` VALUES (2560, '15566666343', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:27');
INSERT INTO `sys_logininfor` VALUES (2561, '13125450160@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:32');
INSERT INTO `sys_logininfor` VALUES (2562, '铁岭县健晖建材有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:35');
INSERT INTO `sys_logininfor` VALUES (2563, '大连烨璐物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:35');
INSERT INTO `sys_logininfor` VALUES (2564, 'PJzhenjian', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:37');
INSERT INTO `sys_logininfor` VALUES (2565, '15566666343', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:39');
INSERT INTO `sys_logininfor` VALUES (2566, '大连烨璐物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:39');
INSERT INTO `sys_logininfor` VALUES (2567, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-22 09:58:42');
INSERT INTO `sys_logininfor` VALUES (2568, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 09:58:42');
INSERT INTO `sys_logininfor` VALUES (2569, '大连高新园区航达船舶配件经销处', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:42');
INSERT INTO `sys_logininfor` VALUES (2570, '大连威尔体系认证有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:46');
INSERT INTO `sys_logininfor` VALUES (2571, '13125450160@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:58:53');
INSERT INTO `sys_logininfor` VALUES (2572, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:53');
INSERT INTO `sys_logininfor` VALUES (2573, '15566849002@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:57');
INSERT INTO `sys_logininfor` VALUES (2574, '铁岭县健晖建材有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:58:58');
INSERT INTO `sys_logininfor` VALUES (2575, '15566849002@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:02');
INSERT INTO `sys_logininfor` VALUES (2576, '大连威尔体系认证有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:02');
INSERT INTO `sys_logininfor` VALUES (2577, '大连焦耐技术设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:04');
INSERT INTO `sys_logininfor` VALUES (2578, '铁岭县健晖建材有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:08');
INSERT INTO `sys_logininfor` VALUES (2579, '13164551239', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:09');
INSERT INTO `sys_logininfor` VALUES (2580, '大连焦耐技术设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:13');
INSERT INTO `sys_logininfor` VALUES (2581, '大连高新园区航达船舶配件经销处', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:13');
INSERT INTO `sys_logininfor` VALUES (2582, 'PJzhenjian', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:14');
INSERT INTO `sys_logininfor` VALUES (2583, '13164551239', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:14');
INSERT INTO `sys_logininfor` VALUES (2584, '大连威尔知识产权服务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:14');
INSERT INTO `sys_logininfor` VALUES (2585, '15640193411', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:14');
INSERT INTO `sys_logininfor` VALUES (2586, '铁岭久安运输有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:15');
INSERT INTO `sys_logininfor` VALUES (2587, '15640193411', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:18');
INSERT INTO `sys_logininfor` VALUES (2588, '铁岭久安运输有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:19');
INSERT INTO `sys_logininfor` VALUES (2589, 'qingran313@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:23');
INSERT INTO `sys_logininfor` VALUES (2590, '大连威尔知识产权服务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:27');
INSERT INTO `sys_logininfor` VALUES (2591, '13234081155', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:30');
INSERT INTO `sys_logininfor` VALUES (2592, 'qingran313@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:30');
INSERT INTO `sys_logininfor` VALUES (2593, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:30');
INSERT INTO `sys_logininfor` VALUES (2594, '15641180711', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:35');
INSERT INTO `sys_logininfor` VALUES (2595, '大连高盛服饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:37');
INSERT INTO `sys_logininfor` VALUES (2596, '大连焦耐节能服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:37');
INSERT INTO `sys_logininfor` VALUES (2597, '大连乾艺建筑装饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 09:59:39');
INSERT INTO `sys_logininfor` VALUES (2598, '大连乾艺建筑装饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 09:59:39');
INSERT INTO `sys_logininfor` VALUES (2599, '15641180711', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:42');
INSERT INTO `sys_logininfor` VALUES (2600, '大连焦耐节能服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:43');
INSERT INTO `sys_logininfor` VALUES (2601, '大连宏源消防机电工程有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:45');
INSERT INTO `sys_logininfor` VALUES (2602, '13234081155', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:46');
INSERT INTO `sys_logininfor` VALUES (2603, 'qingshibituo', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:47');
INSERT INTO `sys_logininfor` VALUES (2604, '18640915335', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:47');
INSERT INTO `sys_logininfor` VALUES (2605, '金普新区鑫融企业管理中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:48');
INSERT INTO `sys_logininfor` VALUES (2606, '大连宏源消防机电工程有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:52');
INSERT INTO `sys_logininfor` VALUES (2607, '大连高盛服饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:52');
INSERT INTO `sys_logininfor` VALUES (2608, '金普新区鑫融企业管理中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:53');
INSERT INTO `sys_logininfor` VALUES (2609, 'qingshibituo', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:53');
INSERT INTO `sys_logininfor` VALUES (2610, '18640915335', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 09:59:54');
INSERT INTO `sys_logininfor` VALUES (2611, '13238259538@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:55');
INSERT INTO `sys_logininfor` VALUES (2612, '15641180711@126.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:56');
INSERT INTO `sys_logininfor` VALUES (2613, '大连牛乐鲜食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 09:59:58');
INSERT INTO `sys_logininfor` VALUES (2614, '大连牛乐鲜食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:04');
INSERT INTO `sys_logininfor` VALUES (2615, '大连宝欣贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:09');
INSERT INTO `sys_logininfor` VALUES (2616, 'RZZX', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:11');
INSERT INTO `sys_logininfor` VALUES (2617, '15641180711@126.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:13');
INSERT INTO `sys_logininfor` VALUES (2618, 'RZZX', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:14');
INSERT INTO `sys_logininfor` VALUES (2619, '大连九合科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 10:00:16');
INSERT INTO `sys_logininfor` VALUES (2620, '大连九合科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 10:00:16');
INSERT INTO `sys_logininfor` VALUES (2621, '金普新区站前街道蚝喜欢泥烧烤店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:19');
INSERT INTO `sys_logininfor` VALUES (2622, '大连特大果智能设备科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:23');
INSERT INTO `sys_logininfor` VALUES (2623, '大连魏仙文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:23');
INSERT INTO `sys_logininfor` VALUES (2624, '13238259538@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:24');
INSERT INTO `sys_logininfor` VALUES (2625, 'sajitiyu', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:24');
INSERT INTO `sys_logininfor` VALUES (2626, '大连九合科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:25');
INSERT INTO `sys_logininfor` VALUES (2627, '金普新区站前街道蚝喜欢泥烧烤店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:26');
INSERT INTO `sys_logininfor` VALUES (2628, '18640932533', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:26');
INSERT INTO `sys_logininfor` VALUES (2629, '15710570038', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:27');
INSERT INTO `sys_logininfor` VALUES (2630, 'sajitiyu', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:30');
INSERT INTO `sys_logininfor` VALUES (2631, '15710570038', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:31');
INSERT INTO `sys_logininfor` VALUES (2632, '大连特大果智能设备科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:31');
INSERT INTO `sys_logininfor` VALUES (2633, '18640932533', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:32');
INSERT INTO `sys_logininfor` VALUES (2634, '大连九合科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:37');
INSERT INTO `sys_logininfor` VALUES (2635, '13332266776', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:38');
INSERT INTO `sys_logininfor` VALUES (2636, 'sale03@shanrong-rubber.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:39');
INSERT INTO `sys_logininfor` VALUES (2637, 'sale03@shanrong-rubber.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:45');
INSERT INTO `sys_logininfor` VALUES (2638, '金普新区湾里街道樱飞百货超市', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:46');
INSERT INTO `sys_logininfor` VALUES (2639, '15724529477@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:47');
INSERT INTO `sys_logininfor` VALUES (2640, '大连魏仙文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:49');
INSERT INTO `sys_logininfor` VALUES (2641, '15724529477@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:51');
INSERT INTO `sys_logininfor` VALUES (2642, '13332266776', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:52');
INSERT INTO `sys_logininfor` VALUES (2643, '大连玖美嘉穗科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:54');
INSERT INTO `sys_logininfor` VALUES (2644, '18641195273', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:55');
INSERT INTO `sys_logininfor` VALUES (2645, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:00:55');
INSERT INTO `sys_logininfor` VALUES (2646, '金普新区湾里街道樱飞百货超市', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:00:56');
INSERT INTO `sys_logininfor` VALUES (2647, '18641195273', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:01');
INSERT INTO `sys_logininfor` VALUES (2648, '13352227791@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:02');
INSERT INTO `sys_logininfor` VALUES (2649, '大连玖美嘉穗科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:04');
INSERT INTO `sys_logininfor` VALUES (2650, '15840357778', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:05');
INSERT INTO `sys_logininfor` VALUES (2651, '大连久久顺船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:10');
INSERT INTO `sys_logininfor` VALUES (2652, '大连宝欣贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:11');
INSERT INTO `sys_logininfor` VALUES (2653, '15840357778', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:11');
INSERT INTO `sys_logininfor` VALUES (2654, '金州区登沙河福凤生态观光园', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:14');
INSERT INTO `sys_logininfor` VALUES (2655, '大连鸿嘉禾网络科技有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:17');
INSERT INTO `sys_logininfor` VALUES (2656, '大连乾艺建筑装饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:24');
INSERT INTO `sys_logininfor` VALUES (2657, '金州区登沙河福凤生态观光园', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:25');
INSERT INTO `sys_logininfor` VALUES (2658, '大连家园共育文化发展服务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:25');
INSERT INTO `sys_logininfor` VALUES (2659, '大连珂尼赛格电气有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:26');
INSERT INTO `sys_logininfor` VALUES (2660, '15840408309', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:26');
INSERT INTO `sys_logininfor` VALUES (2661, '大连鸿嘉禾网络科技有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:29');
INSERT INTO `sys_logininfor` VALUES (2662, '大连珂尼赛格电气有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:32');
INSERT INTO `sys_logininfor` VALUES (2663, '15840408309', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:34');
INSERT INTO `sys_logininfor` VALUES (2664, '大连乾艺建筑装饰有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:34');
INSERT INTO `sys_logininfor` VALUES (2665, '大连家园共育文化发展服务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:37');
INSERT INTO `sys_logininfor` VALUES (2666, 'xuhangzixun', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:39');
INSERT INTO `sys_logininfor` VALUES (2667, 'xuhangzixun', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:43');
INSERT INTO `sys_logininfor` VALUES (2668, '18642694922@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:43');
INSERT INTO `sys_logininfor` VALUES (2669, '15840607151', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:47');
INSERT INTO `sys_logininfor` VALUES (2670, '大连云联天翼电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:49');
INSERT INTO `sys_logininfor` VALUES (2671, '大连琛鑫科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:53');
INSERT INTO `sys_logininfor` VALUES (2672, 'yanrul@dlksas.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:53');
INSERT INTO `sys_logininfor` VALUES (2673, '大连龙腾机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:53');
INSERT INTO `sys_logininfor` VALUES (2674, '大连富洋璨燃餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:01:53');
INSERT INTO `sys_logininfor` VALUES (2675, '大连琛鑫科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:57');
INSERT INTO `sys_logininfor` VALUES (2676, '15840607151', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:59');
INSERT INTO `sys_logininfor` VALUES (2677, '大连云联天翼电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:01:59');
INSERT INTO `sys_logininfor` VALUES (2678, '大连富洋璨燃餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:00');
INSERT INTO `sys_logininfor` VALUES (2679, '1584065', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:11');
INSERT INTO `sys_logininfor` VALUES (2680, '大连云蝶科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:12');
INSERT INTO `sys_logininfor` VALUES (2681, '1584065', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:15');
INSERT INTO `sys_logininfor` VALUES (2682, '大连瑞德国际货运代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:17');
INSERT INTO `sys_logininfor` VALUES (2683, '大连云蝶科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:17');
INSERT INTO `sys_logininfor` VALUES (2684, '15840658', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:30');
INSERT INTO `sys_logininfor` VALUES (2685, 'yanrul@dlksas.com     ', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:35');
INSERT INTO `sys_logininfor` VALUES (2686, '15840658', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:35');
INSERT INTO `sys_logininfor` VALUES (2687, '郑光伟', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:39');
INSERT INTO `sys_logininfor` VALUES (2688, '大连亿权安装工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:39');
INSERT INTO `sys_logininfor` VALUES (2689, '大连瑞德国际货运代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:41');
INSERT INTO `sys_logininfor` VALUES (2690, '158406586', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:48');
INSERT INTO `sys_logininfor` VALUES (2691, 'ykb55@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:02:48');
INSERT INTO `sys_logininfor` VALUES (2692, '大连亿权安装工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:50');
INSERT INTO `sys_logininfor` VALUES (2693, '郑光伟', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:50');
INSERT INTO `sys_logininfor` VALUES (2694, '18642694922@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:51');
INSERT INTO `sys_logininfor` VALUES (2695, 'ykb55@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:52');
INSERT INTO `sys_logininfor` VALUES (2696, '158406586', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:02:58');
INSERT INTO `sys_logininfor` VALUES (2697, '大连瑞新家具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:02');
INSERT INTO `sys_logininfor` VALUES (2698, '连晟科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:03');
INSERT INTO `sys_logininfor` VALUES (2699, 'yuhaiyue@tianenlu.net', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:05');
INSERT INTO `sys_logininfor` VALUES (2700, '大连龙腾机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:09');
INSERT INTO `sys_logininfor` VALUES (2701, '1584065860', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:10');
INSERT INTO `sys_logininfor` VALUES (2702, '18698605902', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:10');
INSERT INTO `sys_logininfor` VALUES (2703, '大连瑞新家具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:10');
INSERT INTO `sys_logininfor` VALUES (2704, '大连仁義盛粮油贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:11');
INSERT INTO `sys_logininfor` VALUES (2705, 'yuhaiyue@tianenlu.net', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:13');
INSERT INTO `sys_logininfor` VALUES (2706, '1584065860', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:14');
INSERT INTO `sys_logininfor` VALUES (2707, '18698605902', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:15');
INSERT INTO `sys_logininfor` VALUES (2708, '大连仁義盛粮油贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:24');
INSERT INTO `sys_logininfor` VALUES (2709, 'yyy@eltcn.net', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:29');
INSERT INTO `sys_logininfor` VALUES (2710, 'yyy@eltcn.net', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:33');
INSERT INTO `sys_logininfor` VALUES (2711, '连晟科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:34');
INSERT INTO `sys_logininfor` VALUES (2712, '15840658606', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:34');
INSERT INTO `sys_logininfor` VALUES (2713, '大连龙腾液压系统有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:34');
INSERT INTO `sys_logininfor` VALUES (2714, '大连众益工业技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:35');
INSERT INTO `sys_logininfor` VALUES (2715, '大连小欢喜文化传播有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:37');
INSERT INTO `sys_logininfor` VALUES (2716, '大连众益工业技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:39');
INSERT INTO `sys_logininfor` VALUES (2717, '18740063626', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:39');
INSERT INTO `sys_logininfor` VALUES (2718, '15840658606', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:40');
INSERT INTO `sys_logininfor` VALUES (2719, '13352227791@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:44');
INSERT INTO `sys_logininfor` VALUES (2720, '18740063626', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:46');
INSERT INTO `sys_logininfor` VALUES (2721, 'z18341501617@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:47');
INSERT INTO `sys_logininfor` VALUES (2722, '辽宁鲲鹏东北参茸特产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:48');
INSERT INTO `sys_logininfor` VALUES (2723, '大连众鑫热力发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:50');
INSERT INTO `sys_logininfor` VALUES (2724, '辽宁鲲鹏东北参茸特产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:03:52');
INSERT INTO `sys_logininfor` VALUES (2725, '大连龙腾液压系统有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:03:58');
INSERT INTO `sys_logininfor` VALUES (2726, 'z18341501617@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:00');
INSERT INTO `sys_logininfor` VALUES (2727, '辽宁鲲鹏东北参茸特产有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:05');
INSERT INTO `sys_logininfor` VALUES (2728, '大连众鑫热力发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:06');
INSERT INTO `sys_logininfor` VALUES (2729, '18741508157@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:08');
INSERT INTO `sys_logininfor` VALUES (2730, 'zczx', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:11');
INSERT INTO `sys_logininfor` VALUES (2731, '15840658606@', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:11');
INSERT INTO `sys_logininfor` VALUES (2732, '18741508157@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:12');
INSERT INTO `sys_logininfor` VALUES (2733, '大连瑞达利机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:14');
INSERT INTO `sys_logininfor` VALUES (2734, '大连优尼沃斯体育文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:17');
INSERT INTO `sys_logininfor` VALUES (2735, '大连瑞达利机电设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:20');
INSERT INTO `sys_logininfor` VALUES (2736, '15840658606@', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:21');
INSERT INTO `sys_logininfor` VALUES (2737, '辽宁锦铄财务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:23');
INSERT INTO `sys_logininfor` VALUES (2738, '大连优尼沃斯体育文化发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:25');
INSERT INTO `sys_logininfor` VALUES (2739, '天恩璐（大连）石油化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:26');
INSERT INTO `sys_logininfor` VALUES (2740, '辽宁锦铄财务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:27');
INSERT INTO `sys_logininfor` VALUES (2741, 'zczx', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:27');
INSERT INTO `sys_logininfor` VALUES (2742, '大连优政博惠商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:36');
INSERT INTO `sys_logininfor` VALUES (2743, '15840658606@1', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:38');
INSERT INTO `sys_logininfor` VALUES (2744, 'zhangying', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:39');
INSERT INTO `sys_logininfor` VALUES (2745, '辽宁辰锋物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:39');
INSERT INTO `sys_logininfor` VALUES (2746, '辽宁辰锋物资材料贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:43');
INSERT INTO `sys_logininfor` VALUES (2747, '15840658606@1', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:44');
INSERT INTO `sys_logininfor` VALUES (2748, '大连优政博惠商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:48');
INSERT INTO `sys_logininfor` VALUES (2749, 'zhangying', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:49');
INSERT INTO `sys_logininfor` VALUES (2750, '18742575120@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:51');
INSERT INTO `sys_logininfor` VALUES (2751, '大连小欢喜文化传播有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:53');
INSERT INTO `sys_logininfor` VALUES (2752, '辽宁赛福特化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:04:55');
INSERT INTO `sys_logininfor` VALUES (2753, '天恩璐（大连）石油化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:55');
INSERT INTO `sys_logininfor` VALUES (2754, '18742575120@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:04:57');
INSERT INTO `sys_logininfor` VALUES (2755, '辽宁赛福特化工有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:00');
INSERT INTO `sys_logininfor` VALUES (2756, '大连甜梦谷国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:01');
INSERT INTO `sys_logininfor` VALUES (2757, '大连优政博惠科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:04');
INSERT INTO `sys_logininfor` VALUES (2758, 'zhao18341501617@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:06');
INSERT INTO `sys_logininfor` VALUES (2759, '大连山一环保设备有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:08');
INSERT INTO `sys_logininfor` VALUES (2760, 'zhao18341501617@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:12');
INSERT INTO `sys_logininfor` VALUES (2761, '辽宁联泓科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:13');
INSERT INTO `sys_logininfor` VALUES (2762, '天恩璐（大连）节能服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:14');
INSERT INTO `sys_logininfor` VALUES (2763, '大连优政博惠科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:15');
INSERT INTO `sys_logininfor` VALUES (2764, '18841188963', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:15');
INSERT INTO `sys_logininfor` VALUES (2765, '大连甜梦谷国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:16');
INSERT INTO `sys_logininfor` VALUES (2766, '辽宁联泓科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:17');
INSERT INTO `sys_logininfor` VALUES (2767, '18841188963', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:19');
INSERT INTO `sys_logininfor` VALUES (2768, 'zhaoningecho777@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:24');
INSERT INTO `sys_logininfor` VALUES (2769, '大连山一环保设备有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:27');
INSERT INTO `sys_logininfor` VALUES (2770, '大连优政博惠营销企划有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:28');
INSERT INTO `sys_logininfor` VALUES (2771, 'zhaoningecho777@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:30');
INSERT INTO `sys_logininfor` VALUES (2772, '辽宁碧清源环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:33');
INSERT INTO `sys_logininfor` VALUES (2773, '大连电子城明辉电脑商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:34');
INSERT INTO `sys_logininfor` VALUES (2774, '天恩璐（大连）节能服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:34');
INSERT INTO `sys_logininfor` VALUES (2775, '大连优政博惠营销企划有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:34');
INSERT INTO `sys_logininfor` VALUES (2776, '大连电子城明辉电脑商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:40');
INSERT INTO `sys_logininfor` VALUES (2777, '辽宁碧清源环保科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:43');
INSERT INTO `sys_logininfor` VALUES (2778, '15840658606@163', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:45');
INSERT INTO `sys_logininfor` VALUES (2779, '15840658606@163', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:49');
INSERT INTO `sys_logininfor` VALUES (2780, '18842371408', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:50');
INSERT INTO `sys_logininfor` VALUES (2781, '大连佳盛科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:51');
INSERT INTO `sys_logininfor` VALUES (2782, '辽宁浩瀚水上运动发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:05:54');
INSERT INTO `sys_logininfor` VALUES (2783, '18842371408', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:56');
INSERT INTO `sys_logininfor` VALUES (2784, '大连佳盛科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:05:59');
INSERT INTO `sys_logininfor` VALUES (2785, '辽宁浩瀚水上运动发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:00');
INSERT INTO `sys_logininfor` VALUES (2786, '大连百瀚精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:02');
INSERT INTO `sys_logininfor` VALUES (2787, 'zhaoyu618@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:03');
INSERT INTO `sys_logininfor` VALUES (2788, '天恩璐（辽宁）技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:06');
INSERT INTO `sys_logininfor` VALUES (2789, '大连百瀚精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:08');
INSERT INTO `sys_logininfor` VALUES (2790, '15840658606@163.co', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:12');
INSERT INTO `sys_logininfor` VALUES (2791, '大连信德餐饮服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:13');
INSERT INTO `sys_logininfor` VALUES (2792, '大连信德餐饮服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:18');
INSERT INTO `sys_logininfor` VALUES (2793, '15840658606@163.co', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:20');
INSERT INTO `sys_logininfor` VALUES (2794, '天恩璐（辽宁）技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:21');
INSERT INTO `sys_logininfor` VALUES (2795, 'zhaoyu618@163.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:22');
INSERT INTO `sys_logininfor` VALUES (2796, '18842395012', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:25');
INSERT INTO `sys_logininfor` VALUES (2797, '辽宁晨兴物流供应链有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:26');
INSERT INTO `sys_logininfor` VALUES (2798, '大连百禾餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:27');
INSERT INTO `sys_logininfor` VALUES (2799, '大连元安建筑工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:31');
INSERT INTO `sys_logininfor` VALUES (2800, '18842395012', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:32');
INSERT INTO `sys_logininfor` VALUES (2801, 'zhudongmei@macroluck-dl.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:33');
INSERT INTO `sys_logininfor` VALUES (2802, '大连百禾餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:36');
INSERT INTO `sys_logininfor` VALUES (2803, '15840658606@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:36');
INSERT INTO `sys_logininfor` VALUES (2804, '辽宁晨兴物流供应链有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:37');
INSERT INTO `sys_logininfor` VALUES (2805, '15840658606@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:40');
INSERT INTO `sys_logininfor` VALUES (2806, '威尔深（大连）海工科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:47');
INSERT INTO `sys_logininfor` VALUES (2807, 'zhudongmei@macroluck-dl.com', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:50');
INSERT INTO `sys_logininfor` VALUES (2808, '大连元安建筑工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:06:50');
INSERT INTO `sys_logininfor` VALUES (2809, '辽宁德润白酒制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:54');
INSERT INTO `sys_logininfor` VALUES (2810, '18842482341', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:06:56');
INSERT INTO `sys_logininfor` VALUES (2811, '大连盈科精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:02');
INSERT INTO `sys_logininfor` VALUES (2812, '大连八八八船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:03');
INSERT INTO `sys_logininfor` VALUES (2813, 'zhuoqinchengdong', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:04');
INSERT INTO `sys_logininfor` VALUES (2814, '辽宁德润白酒制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:05');
INSERT INTO `sys_logininfor` VALUES (2815, '18842482341', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:08');
INSERT INTO `sys_logininfor` VALUES (2816, '15840675199@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:11');
INSERT INTO `sys_logininfor` VALUES (2817, '大连盈科精密模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:12');
INSERT INTO `sys_logininfor` VALUES (2818, '辽宁康元药业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:14');
INSERT INTO `sys_logininfor` VALUES (2819, '大连八八八船务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:19');
INSERT INTO `sys_logininfor` VALUES (2820, '辽宁康元药业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:19');
INSERT INTO `sys_logininfor` VALUES (2821, '18941110265', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:30');
INSERT INTO `sys_logininfor` VALUES (2822, '辽宁天利物资供应有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:31');
INSERT INTO `sys_logininfor` VALUES (2823, '大连益利亚工程机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:32');
INSERT INTO `sys_logininfor` VALUES (2824, '15840675199@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:34');
INSERT INTO `sys_logininfor` VALUES (2825, '威尔深（大连）海工科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:36');
INSERT INTO `sys_logininfor` VALUES (2826, '大连利晟隆供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:42');
INSERT INTO `sys_logininfor` VALUES (2827, '大连益利亚工程机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:42');
INSERT INTO `sys_logininfor` VALUES (2828, '大连利晟隆供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:48');
INSERT INTO `sys_logininfor` VALUES (2829, '15940191907', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:07:48');
INSERT INTO `sys_logininfor` VALUES (2830, 'zhuoqinchengdong', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:48');
INSERT INTO `sys_logininfor` VALUES (2831, '15940191907', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:52');
INSERT INTO `sys_logininfor` VALUES (2832, '辽宁天利物资供应有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:07:55');
INSERT INTO `sys_logininfor` VALUES (2833, '大连市人工智能产业协会', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:01');
INSERT INTO `sys_logininfor` VALUES (2834, 'zhuoqinkuaiji', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:07');
INSERT INTO `sys_logininfor` VALUES (2835, '辽宁信航科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:08');
INSERT INTO `sys_logininfor` VALUES (2836, '大连市人工智能产业协会', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:08');
INSERT INTO `sys_logininfor` VALUES (2837, '大连神通模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:09');
INSERT INTO `sys_logininfor` VALUES (2838, '安达斯科技', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:13');
INSERT INTO `sys_logininfor` VALUES (2839, '15940845032@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:13');
INSERT INTO `sys_logininfor` VALUES (2840, 'zhuoqinkuaiji', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:15');
INSERT INTO `sys_logininfor` VALUES (2841, '辽宁信航科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:19');
INSERT INTO `sys_logininfor` VALUES (2842, '大连市沙河口区心航教育培训学校有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:21');
INSERT INTO `sys_logininfor` VALUES (2843, '13352227791@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:22');
INSERT INTO `sys_logininfor` VALUES (2844, '辽宁信航科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:24');
INSERT INTO `sys_logininfor` VALUES (2845, 'zhuoqintouzi', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:25');
INSERT INTO `sys_logininfor` VALUES (2846, '15940845032@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:27');
INSERT INTO `sys_logininfor` VALUES (2847, '大连市沙河口区心航教育培训学校有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:28');
INSERT INTO `sys_logininfor` VALUES (2848, 'zhuoqintouzi', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:32');
INSERT INTO `sys_logininfor` VALUES (2849, '大连神通模具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:33');
INSERT INTO `sys_logininfor` VALUES (2850, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:34');
INSERT INTO `sys_logininfor` VALUES (2851, '13352227791@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:36');
INSERT INTO `sys_logininfor` VALUES (2852, '大连力群科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:36');
INSERT INTO `sys_logininfor` VALUES (2853, '辽宁东泰电气设备有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:38');
INSERT INTO `sys_logininfor` VALUES (2854, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 10:08:39');
INSERT INTO `sys_logininfor` VALUES (2855, '大连禾旭皮具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:43');
INSERT INTO `sys_logininfor` VALUES (2856, '大连力群科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:44');
INSERT INTO `sys_logininfor` VALUES (2857, '辛宇', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:46');
INSERT INTO `sys_logininfor` VALUES (2858, '大连禾旭皮具有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:47');
INSERT INTO `sys_logininfor` VALUES (2859, '15940872733', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:49');
INSERT INTO `sys_logininfor` VALUES (2860, '13394114770', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:49');
INSERT INTO `sys_logininfor` VALUES (2861, '大连市沙河口区新宏达轮胎经销处', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:52');
INSERT INTO `sys_logininfor` VALUES (2862, '15940872733', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:55');
INSERT INTO `sys_logininfor` VALUES (2863, '辛宇', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:57');
INSERT INTO `sys_logininfor` VALUES (2864, '18941110265', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:57');
INSERT INTO `sys_logininfor` VALUES (2865, '大连市沙河口区新宏达轮胎经销处', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:08:59');
INSERT INTO `sys_logininfor` VALUES (2866, '三江泰商贸(大连)有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:08:59');
INSERT INTO `sys_logininfor` VALUES (2867, '大连北岗汽配城光辉汽车维修服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:01');
INSERT INTO `sys_logininfor` VALUES (2868, '大连秀月房地产经纪有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:03');
INSERT INTO `sys_logininfor` VALUES (2869, '三江泰商贸(大连)有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:04');
INSERT INTO `sys_logininfor` VALUES (2870, '13394114770', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:04');
INSERT INTO `sys_logininfor` VALUES (2871, '大连秀月房地产经纪有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:07');
INSERT INTO `sys_logininfor` VALUES (2872, '大连北岗汽配城光辉汽车维修服务中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:08');
INSERT INTO `sys_logininfor` VALUES (2873, '1345300343@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:14');
INSERT INTO `sys_logininfor` VALUES (2874, '三祥·万力工业设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:16');
INSERT INTO `sys_logininfor` VALUES (2875, '大连北弥软枣农业技术服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:19');
INSERT INTO `sys_logininfor` VALUES (2876, '15940894077', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:19');
INSERT INTO `sys_logininfor` VALUES (2877, '大连市沙河口区美丽起点美容养生馆', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:21');
INSERT INTO `sys_logininfor` VALUES (2878, '三祥·万力工业设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:23');
INSERT INTO `sys_logininfor` VALUES (2879, '1345300343@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:23');
INSERT INTO `sys_logininfor` VALUES (2880, '西岗区喜美顺建材商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:24');
INSERT INTO `sys_logininfor` VALUES (2881, '2179166544@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:24');
INSERT INTO `sys_logininfor` VALUES (2882, '大连科天新材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:27');
INSERT INTO `sys_logininfor` VALUES (2883, '西岗区喜美顺建材商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:28');
INSERT INTO `sys_logininfor` VALUES (2884, '大连市沙河口区美丽起点美容养生馆', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:28');
INSERT INTO `sys_logininfor` VALUES (2885, '上品科技', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:30');
INSERT INTO `sys_logininfor` VALUES (2886, '大连北弥软枣农业技术服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:30');
INSERT INTO `sys_logininfor` VALUES (2887, '15940894077', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:30');
INSERT INTO `sys_logininfor` VALUES (2888, '大连科天新材料有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:32');
INSERT INTO `sys_logininfor` VALUES (2889, '西岗区仁济宠物医院店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:38');
INSERT INTO `sys_logininfor` VALUES (2890, '西岗区仁济宠物医院店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:44');
INSERT INTO `sys_logininfor` VALUES (2891, '大连华商天翼管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:45');
INSERT INTO `sys_logininfor` VALUES (2892, '15941176512@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:46');
INSERT INTO `sys_logininfor` VALUES (2893, '大连米麟信息技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:51');
INSERT INTO `sys_logininfor` VALUES (2894, '大连市甘井子区伊休楼梯制造厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:51');
INSERT INTO `sys_logininfor` VALUES (2895, '上品科技', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:53');
INSERT INTO `sys_logininfor` VALUES (2896, '西丰县西丰镇麦奇乐快餐店（二部）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:53');
INSERT INTO `sys_logininfor` VALUES (2897, '大连米麟信息技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:55');
INSERT INTO `sys_logininfor` VALUES (2898, '西丰县西丰镇麦奇乐快餐店（二部）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:09:57');
INSERT INTO `sys_logininfor` VALUES (2899, '上海君戎机电商行', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:09:59');
INSERT INTO `sys_logininfor` VALUES (2900, '大连华商天翼管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:00');
INSERT INTO `sys_logininfor` VALUES (2901, '15941176512@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:02');
INSERT INTO `sys_logininfor` VALUES (2902, '上海君戎机电商行', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:03');
INSERT INTO `sys_logininfor` VALUES (2903, '西丰县西丰镇鑫顺源电子商务店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:06');
INSERT INTO `sys_logininfor` VALUES (2904, '大连市甘井子区伊休楼梯制造厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:09');
INSERT INTO `sys_logininfor` VALUES (2905, '大连精一企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:16');
INSERT INTO `sys_logininfor` VALUES (2906, '西丰县西丰镇鑫顺源电子商务店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:17');
INSERT INTO `sys_logininfor` VALUES (2907, '大连华夏远道投资中心（有限合伙）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:18');
INSERT INTO `sys_logininfor` VALUES (2908, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:19');
INSERT INTO `sys_logininfor` VALUES (2909, '大连市甘井子区名仕工商管理培训学校', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:23');
INSERT INTO `sys_logininfor` VALUES (2910, '大连华夏远道投资中心（有限合伙）', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:24');
INSERT INTO `sys_logininfor` VALUES (2911, '15942677072', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:24');
INSERT INTO `sys_logininfor` VALUES (2912, '13478416111@139.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:25');
INSERT INTO `sys_logininfor` VALUES (2913, '东方成套设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:26');
INSERT INTO `sys_logininfor` VALUES (2914, '大连精一企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:26');
INSERT INTO `sys_logininfor` VALUES (2915, '大连市甘井子区名仕工商管理培训学校', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:29');
INSERT INTO `sys_logininfor` VALUES (2916, '15942677072', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:32');
INSERT INTO `sys_logininfor` VALUES (2917, '蓝海融创', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:35');
INSERT INTO `sys_logininfor` VALUES (2918, '大连华恒重型机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:37');
INSERT INTO `sys_logininfor` VALUES (2919, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:38');
INSERT INTO `sys_logininfor` VALUES (2920, '大连华恒重型机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:41');
INSERT INTO `sys_logininfor` VALUES (2921, '13478416111@139.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:41');
INSERT INTO `sys_logininfor` VALUES (2922, '中好数智管理（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:42');
INSERT INTO `sys_logininfor` VALUES (2923, '大连精一供应链有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:45');
INSERT INTO `sys_logininfor` VALUES (2924, '大连市甘井子区大连湾街道弘日电子技术服务部', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:45');
INSERT INTO `sys_logininfor` VALUES (2925, '中山区昕辉机电产品经销处', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:48');
INSERT INTO `sys_logininfor` VALUES (2926, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 10:10:48');
INSERT INTO `sys_logininfor` VALUES (2927, '大连精一供应链有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:50');
INSERT INTO `sys_logininfor` VALUES (2928, '中山区昕辉机电产品经销处', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:52');
INSERT INTO `sys_logininfor` VALUES (2929, '大连市甘井子区大连湾街道弘日电子技术服务部', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:54');
INSERT INTO `sys_logininfor` VALUES (2930, '13478590567', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:55');
INSERT INTO `sys_logininfor` VALUES (2931, '安达斯科技', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:55');
INSERT INTO `sys_logininfor` VALUES (2932, '15942686777@126.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:56');
INSERT INTO `sys_logininfor` VALUES (2933, '大连华昌国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:10:58');
INSERT INTO `sys_logininfor` VALUES (2934, '蓝海融创', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:10:59');
INSERT INTO `sys_logininfor` VALUES (2935, '大连华昌国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:02');
INSERT INTO `sys_logininfor` VALUES (2936, '15942686777@126.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:05');
INSERT INTO `sys_logininfor` VALUES (2937, '13478590567', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:07');
INSERT INTO `sys_logininfor` VALUES (2938, '中山区正玺经济信息咨询服务中心', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:08');
INSERT INTO `sys_logininfor` VALUES (2939, '大连经济技术开发区海清河氏按摩院', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:10');
INSERT INTO `sys_logininfor` VALUES (2940, '大连经济技术开发区海清河氏按摩院', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:14');
INSERT INTO `sys_logininfor` VALUES (2941, '中山区正玺经济信息咨询服务中心', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:16');
INSERT INTO `sys_logininfor` VALUES (2942, '英嘉', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:16');
INSERT INTO `sys_logininfor` VALUES (2943, '13478727900', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:20');
INSERT INTO `sys_logininfor` VALUES (2944, '大连博斯特科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:21');
INSERT INTO `sys_logininfor` VALUES (2945, '大连市甘井子区惠联冷冻加工厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:21');
INSERT INTO `sys_logininfor` VALUES (2946, '中山区珏美日用品百货超市', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:25');
INSERT INTO `sys_logininfor` VALUES (2947, '英嘉', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:25');
INSERT INTO `sys_logininfor` VALUES (2948, '大连经济技术开发区海青海鸣信息咨询部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:27');
INSERT INTO `sys_logininfor` VALUES (2949, '大连博斯特科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:28');
INSERT INTO `sys_logininfor` VALUES (2950, '大连经济技术开发区海青海鸣信息咨询部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:30');
INSERT INTO `sys_logininfor` VALUES (2951, '13478727900', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:30');
INSERT INTO `sys_logininfor` VALUES (2952, '大连市甘井子区惠联冷冻加工厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:33');
INSERT INTO `sys_logininfor` VALUES (2953, '艾兰 (大连) 生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:33');
INSERT INTO `sys_logininfor` VALUES (2954, '中山区珏美日用品百货超市', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:35');
INSERT INTO `sys_logininfor` VALUES (2955, '大连博益企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:36');
INSERT INTO `sys_logininfor` VALUES (2956, '15998605981', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:36');
INSERT INTO `sys_logininfor` VALUES (2957, '15998605981', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:41');
INSERT INTO `sys_logininfor` VALUES (2958, '13478969859', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:44');
INSERT INTO `sys_logininfor` VALUES (2959, '艾兰 (大连) 生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:46');
INSERT INTO `sys_logininfor` VALUES (2960, '大连博益企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:47');
INSERT INTO `sys_logininfor` VALUES (2961, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:48');
INSERT INTO `sys_logininfor` VALUES (2962, '大连聚和汽车市场有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:51');
INSERT INTO `sys_logininfor` VALUES (2963, '中肽生物科技《大连)有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:55');
INSERT INTO `sys_logininfor` VALUES (2964, '1654303769@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:55');
INSERT INTO `sys_logininfor` VALUES (2965, '13478969859', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:11:56');
INSERT INTO `sys_logininfor` VALUES (2966, '大连古源坊酒业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:11:58');
INSERT INTO `sys_logininfor` VALUES (2967, '1654303769@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:02');
INSERT INTO `sys_logininfor` VALUES (2968, '大连聚和汽车市场有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:06');
INSERT INTO `sys_logininfor` VALUES (2969, '大连古源坊酒业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:08');
INSERT INTO `sys_logininfor` VALUES (2970, '13504032628', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:09');
INSERT INTO `sys_logininfor` VALUES (2971, '丰良意现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:10');
INSERT INTO `sys_logininfor` VALUES (2972, '丰良意现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:13');
INSERT INTO `sys_logininfor` VALUES (2973, '竹林人家（靖江）食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:14');
INSERT INTO `sys_logininfor` VALUES (2974, '大连市西岗区泰霖变频器厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:16');
INSERT INTO `sys_logininfor` VALUES (2975, '16602441448', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:17');
INSERT INTO `sys_logininfor` VALUES (2976, '竹林人家（靖江）食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:20');
INSERT INTO `sys_logininfor` VALUES (2977, '亚太中农科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:20');
INSERT INTO `sys_logininfor` VALUES (2978, '2179166544@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:21');
INSERT INTO `sys_logininfor` VALUES (2979, '亚太中农科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:25');
INSERT INTO `sys_logininfor` VALUES (2980, '16602441448', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:27');
INSERT INTO `sys_logininfor` VALUES (2981, '大连合越供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:28');
INSERT INTO `sys_logininfor` VALUES (2982, '13504032628', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:29');
INSERT INTO `sys_logininfor` VALUES (2983, '大连市西岗区泰霖变频器厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:31');
INSERT INTO `sys_logininfor` VALUES (2984, '大连合越供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:33');
INSERT INTO `sys_logininfor` VALUES (2985, '229887272@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:35');
INSERT INTO `sys_logininfor` VALUES (2986, '大连聚荣和国际物流有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:36');
INSERT INTO `sys_logininfor` VALUES (2987, '亚太高科（大连）科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:37');
INSERT INTO `sys_logininfor` VALUES (2988, '科技橡胶', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:39');
INSERT INTO `sys_logininfor` VALUES (2989, '13504039983', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:39');
INSERT INTO `sys_logininfor` VALUES (2990, '大连名域海洋科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:40');
INSERT INTO `sys_logininfor` VALUES (2991, '174746459@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:40');
INSERT INTO `sys_logininfor` VALUES (2992, '大连聚荣和国际物流有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:41');
INSERT INTO `sys_logininfor` VALUES (2993, '229887272@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:42');
INSERT INTO `sys_logininfor` VALUES (2994, '亚太高科（大连）科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:42');
INSERT INTO `sys_logininfor` VALUES (2995, '大连名域海洋科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:44');
INSERT INTO `sys_logininfor` VALUES (2996, '174746459@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:46');
INSERT INTO `sys_logininfor` VALUES (2997, '13504039983', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:46');
INSERT INTO `sys_logininfor` VALUES (2998, '科技橡胶', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:49');
INSERT INTO `sys_logininfor` VALUES (2999, '亿朵现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:53');
INSERT INTO `sys_logininfor` VALUES (3000, '1351970861@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:55');
INSERT INTO `sys_logininfor` VALUES (3001, '亿朵现代供应链（大连）有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:12:56');
INSERT INTO `sys_logininfor` VALUES (3002, '大连自贸区民健国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:12:57');
INSERT INTO `sys_logininfor` VALUES (3003, '盘锦恒发商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:00');
INSERT INTO `sys_logininfor` VALUES (3004, '大连自贸区民健国际贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:02');
INSERT INTO `sys_logininfor` VALUES (3005, '大连市速美达商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:04');
INSERT INTO `sys_logininfor` VALUES (3006, '伍佰艺（大连）商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:05');
INSERT INTO `sys_logininfor` VALUES (3007, '2305314996@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:05');
INSERT INTO `sys_logininfor` VALUES (3008, '大连启睿财税代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:05');
INSERT INTO `sys_logininfor` VALUES (3009, '1750162138@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:06');
INSERT INTO `sys_logininfor` VALUES (3010, '1351970861@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:07');
INSERT INTO `sys_logininfor` VALUES (3011, '大连市速美达商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:09');
INSERT INTO `sys_logininfor` VALUES (3012, '2305314996@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:09');
INSERT INTO `sys_logininfor` VALUES (3013, '宸恒冷热节能设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:10');
INSERT INTO `sys_logininfor` VALUES (3014, '1750162138@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:11');
INSERT INTO `sys_logininfor` VALUES (3015, '大连启睿财税代理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:13');
INSERT INTO `sys_logininfor` VALUES (3016, '盘锦恒发商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:22');
INSERT INTO `sys_logininfor` VALUES (3017, '伍佰艺（大连）商贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:25');
INSERT INTO `sys_logininfor` VALUES (3018, '大连启辉精密仪器有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:26');
INSERT INTO `sys_logininfor` VALUES (3019, '大连臻谷商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:27');
INSERT INTO `sys_logininfor` VALUES (3020, '大连启辉精密仪器有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:32');
INSERT INTO `sys_logininfor` VALUES (3021, '盖州市梁屯镇喜羊羊2元超市', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:32');
INSERT INTO `sys_logininfor` VALUES (3022, '13591170678', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:32');
INSERT INTO `sys_logininfor` VALUES (3023, '17710575124', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:33');
INSERT INTO `sys_logininfor` VALUES (3024, '大连广远船舶技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:33');
INSERT INTO `sys_logininfor` VALUES (3025, '何智文', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:35');
INSERT INTO `sys_logininfor` VALUES (3026, '17710575124', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:38');
INSERT INTO `sys_logininfor` VALUES (3027, '大连臻谷商贸有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:40');
INSERT INTO `sys_logininfor` VALUES (3028, '宸恒冷热节能设备（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:41');
INSERT INTO `sys_logininfor` VALUES (3029, '何智文', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:41');
INSERT INTO `sys_logininfor` VALUES (3030, '大连和木生木业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:41');
INSERT INTO `sys_logininfor` VALUES (3031, '大连广远船舶技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:43');
INSERT INTO `sys_logininfor` VALUES (3032, '盖州市梁屯镇喜羊羊2元超市', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:49');
INSERT INTO `sys_logininfor` VALUES (3033, '大连和木生木业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:52');
INSERT INTO `sys_logininfor` VALUES (3034, '13591170678', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:13:54');
INSERT INTO `sys_logininfor` VALUES (3035, '17741175888', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:57');
INSERT INTO `sys_logininfor` VALUES (3036, '大连英嘉贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:59');
INSERT INTO `sys_logininfor` VALUES (3037, '冯志豪', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:13:59');
INSERT INTO `sys_logininfor` VALUES (3038, '17741175888', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:02');
INSERT INTO `sys_logininfor` VALUES (3039, '心航教育咨询（北京）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:04');
INSERT INTO `sys_logininfor` VALUES (3040, '大连哈斯数控机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:04');
INSERT INTO `sys_logininfor` VALUES (3041, '13591182609', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:05');
INSERT INTO `sys_logininfor` VALUES (3042, '大连建洪建筑劳务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:05');
INSERT INTO `sys_logininfor` VALUES (3043, '大连英嘉贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:06');
INSERT INTO `sys_logininfor` VALUES (3044, '冯志豪', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:07');
INSERT INTO `sys_logininfor` VALUES (3045, '大连建洪建筑劳务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:12');
INSERT INTO `sys_logininfor` VALUES (3046, '大连哈斯数控机床有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:12');
INSERT INTO `sys_logininfor` VALUES (3047, '甘井子区金三角市场非凡空间经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:12');
INSERT INTO `sys_logininfor` VALUES (3048, '13591182609', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:14');
INSERT INTO `sys_logininfor` VALUES (3049, '冯玉涛1', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:17');
INSERT INTO `sys_logininfor` VALUES (3050, '17742785711', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:17');
INSERT INTO `sys_logininfor` VALUES (3051, '甘井子区金三角市场非凡空间经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:21');
INSERT INTO `sys_logininfor` VALUES (3052, '冯玉涛1', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:21');
INSERT INTO `sys_logininfor` VALUES (3053, '17742785711', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:22');
INSERT INTO `sys_logininfor` VALUES (3054, '大连商通九州知识产权有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:26');
INSERT INTO `sys_logininfor` VALUES (3055, '13591465419', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:27');
INSERT INTO `sys_logininfor` VALUES (3056, '心航教育咨询（北京）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:30');
INSERT INTO `sys_logininfor` VALUES (3057, '甘井子区金三角市场宝安居照明器材经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:30');
INSERT INTO `sys_logininfor` VALUES (3058, '冯玉涛2', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:31');
INSERT INTO `sys_logininfor` VALUES (3059, '大连茗惠生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:32');
INSERT INTO `sys_logininfor` VALUES (3060, '冯玉涛2', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:34');
INSERT INTO `sys_logininfor` VALUES (3061, '大连茗惠生物科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:35');
INSERT INTO `sys_logininfor` VALUES (3062, '大连弗贝电子商务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:38');
INSERT INTO `sys_logininfor` VALUES (3063, '大连商通九州知识产权有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:38');
INSERT INTO `sys_logininfor` VALUES (3064, '甘井子区金三角市场宝安居照明器材经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:38');
INSERT INTO `sys_logininfor` VALUES (3065, '13591465419', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:42');
INSERT INTO `sys_logininfor` VALUES (3066, '大连弗贝电子商务有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:50');
INSERT INTO `sys_logininfor` VALUES (3067, '冯玉涛3', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:50');
INSERT INTO `sys_logininfor` VALUES (3068, '18018997073', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:53');
INSERT INTO `sys_logininfor` VALUES (3069, '冯玉涛3', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:14:54');
INSERT INTO `sys_logininfor` VALUES (3070, '甘井子区辛寨子街道淞景香汤养生馆', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:55');
INSERT INTO `sys_logininfor` VALUES (3071, '13604116115', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:56');
INSERT INTO `sys_logininfor` VALUES (3072, '大连商通知识产权服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:57');
INSERT INTO `sys_logininfor` VALUES (3073, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:14:58');
INSERT INTO `sys_logininfor` VALUES (3074, '成都众志信法律咨询有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:00');
INSERT INTO `sys_logininfor` VALUES (3075, '大连菱美自动化有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:02');
INSERT INTO `sys_logininfor` VALUES (3076, '大连商通知识产权服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:03');
INSERT INTO `sys_logininfor` VALUES (3077, '甘井子区辛寨子街道淞景香汤养生馆', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:04');
INSERT INTO `sys_logininfor` VALUES (3078, '大连强盛贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:05');
INSERT INTO `sys_logininfor` VALUES (3079, '刘凡', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:07');
INSERT INTO `sys_logininfor` VALUES (3080, '13604116115', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:09');
INSERT INTO `sys_logininfor` VALUES (3081, '成都众志信法律咨询有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:13');
INSERT INTO `sys_logininfor` VALUES (3082, '18018997073', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:13');
INSERT INTO `sys_logininfor` VALUES (3083, '大连喜上枝头信息科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:15');
INSERT INTO `sys_logininfor` VALUES (3084, '刘凡', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:17');
INSERT INTO `sys_logininfor` VALUES (3085, '13609854979@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:17');
INSERT INTO `sys_logininfor` VALUES (3086, '大连强盛贸易有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:17');
INSERT INTO `sys_logininfor` VALUES (3087, '甘井子区营城子农贸市场雪梅灯具店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:17');
INSERT INTO `sys_logininfor` VALUES (3088, '甘井子区营城子农贸市场雪梅灯具店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:24');
INSERT INTO `sys_logininfor` VALUES (3089, '大连薛阿姨食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:26');
INSERT INTO `sys_logininfor` VALUES (3090, '2305314996@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:26');
INSERT INTO `sys_logininfor` VALUES (3091, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:27');
INSERT INTO `sys_logininfor` VALUES (3092, '2305314996@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:31');
INSERT INTO `sys_logininfor` VALUES (3093, '大连喜上枝头信息科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:31');
INSERT INTO `sys_logininfor` VALUES (3094, '甘井子区花落时节又逢君数据信息科技工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:33');
INSERT INTO `sys_logininfor` VALUES (3095, '北京日臻祥环保科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:33');
INSERT INTO `sys_logininfor` VALUES (3096, '大连薛阿姨食品有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:35');
INSERT INTO `sys_logininfor` VALUES (3097, '13609854979@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:38');
INSERT INTO `sys_logininfor` VALUES (3098, '甘井子区花落时节又逢君数据信息科技工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:40');
INSERT INTO `sys_logininfor` VALUES (3099, '大连嘉实远道投资中心(有限合伙)', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:45');
INSERT INTO `sys_logininfor` VALUES (3100, '华东人家', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:45');
INSERT INTO `sys_logininfor` VALUES (3101, '18104095668', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:47');
INSERT INTO `sys_logininfor` VALUES (3102, '技合互联网信息服务（上海）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:48');
INSERT INTO `sys_logininfor` VALUES (3103, '261603045@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:49');
INSERT INTO `sys_logininfor` VALUES (3104, '甘井子区翔顺电力电子元器件商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:49');
INSERT INTO `sys_logininfor` VALUES (3105, '13654257133', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:49');
INSERT INTO `sys_logininfor` VALUES (3106, '大连嘉实远道投资中心(有限合伙)', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:52');
INSERT INTO `sys_logininfor` VALUES (3107, '18104095668', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:55');
INSERT INTO `sys_logininfor` VALUES (3108, '大连谟钢铸造科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:15:55');
INSERT INTO `sys_logininfor` VALUES (3109, '261603045@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:15:58');
INSERT INTO `sys_logininfor` VALUES (3110, '技合互联网信息服务（上海）有限公司大连分公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:00');
INSERT INTO `sys_logininfor` VALUES (3111, '甘井子区翔顺电力电子元器件商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:02');
INSERT INTO `sys_logininfor` VALUES (3112, '大连谟钢铸造科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:03');
INSERT INTO `sys_logininfor` VALUES (3113, '3106572961@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:16:14');
INSERT INTO `sys_logininfor` VALUES (3114, '3106572961@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:21');
INSERT INTO `sys_logininfor` VALUES (3115, '甘井子区宏君自动化机电经营部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:16:22');
INSERT INTO `sys_logininfor` VALUES (3116, '大连贺翔电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:16:33');
INSERT INTO `sys_logininfor` VALUES (3117, '抚顺双宏新材料科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:16:37');
INSERT INTO `sys_logininfor` VALUES (3118, '大连贺翔电子商务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:37');
INSERT INTO `sys_logininfor` VALUES (3119, '314432640@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:16:38');
INSERT INTO `sys_logininfor` VALUES (3120, '314432640@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:42');
INSERT INTO `sys_logininfor` VALUES (3121, '抚顺双宏新材料科技发展有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:46');
INSERT INTO `sys_logininfor` VALUES (3122, '13654257133', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:16:49');
INSERT INTO `sys_logininfor` VALUES (3123, '大连软枣猕猴桃贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:16:59');
INSERT INTO `sys_logininfor` VALUES (3124, '13700045610', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:03');
INSERT INTO `sys_logininfor` VALUES (3125, '317182018@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:05');
INSERT INTO `sys_logininfor` VALUES (3126, '大连德茂装饰工程有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:05');
INSERT INTO `sys_logininfor` VALUES (3127, '大连软枣猕猴桃贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:08');
INSERT INTO `sys_logininfor` VALUES (3128, '13700045610', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:09');
INSERT INTO `sys_logininfor` VALUES (3129, '抚顺蜡港网络科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:12');
INSERT INTO `sys_logininfor` VALUES (3130, '大连德茂装饰工程有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:20');
INSERT INTO `sys_logininfor` VALUES (3131, '317182018@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:22');
INSERT INTO `sys_logininfor` VALUES (3132, '13700047032', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:23');
INSERT INTO `sys_logininfor` VALUES (3133, '抚顺蜡港网络科技有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:26');
INSERT INTO `sys_logininfor` VALUES (3134, '大连辛源投资顾问有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:29');
INSERT INTO `sys_logininfor` VALUES (3135, '大连辛源投资顾问有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:34');
INSERT INTO `sys_logininfor` VALUES (3136, '大连思泰博模具技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:46');
INSERT INTO `sys_logininfor` VALUES (3137, '343804164@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:47');
INSERT INTO `sys_logininfor` VALUES (3138, '斗善精密部件（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:52');
INSERT INTO `sys_logininfor` VALUES (3139, '343804164@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:57');
INSERT INTO `sys_logininfor` VALUES (3140, '大连辽渔国际水产品市场惠联水产经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:17:57');
INSERT INTO `sys_logininfor` VALUES (3141, '13700047032', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:58');
INSERT INTO `sys_logininfor` VALUES (3142, '大连思泰博模具技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:17:59');
INSERT INTO `sys_logininfor` VALUES (3143, '大连辽渔国际水产品市场惠联水产经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:02');
INSERT INTO `sys_logininfor` VALUES (3144, '斗善精密部件（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:06');
INSERT INTO `sys_logininfor` VALUES (3145, '1373716863@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:17');
INSERT INTO `sys_logininfor` VALUES (3146, '大连思瑞乾润滑油有限责任公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:18');
INSERT INTO `sys_logininfor` VALUES (3147, '35932650@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:21');
INSERT INTO `sys_logininfor` VALUES (3148, '大连达文贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:23');
INSERT INTO `sys_logininfor` VALUES (3149, '大连思瑞乾润滑油有限责任公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:26');
INSERT INTO `sys_logininfor` VALUES (3150, '大连达文贸易有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:27');
INSERT INTO `sys_logininfor` VALUES (3151, '普兰店区双塔钧磊工程队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:27');
INSERT INTO `sys_logininfor` VALUES (3152, '35932650@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:28');
INSERT INTO `sys_logininfor` VALUES (3153, '1373716863@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:28');
INSERT INTO `sys_logininfor` VALUES (3154, '普兰店区双塔钧磊工程队', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:41');
INSERT INTO `sys_logininfor` VALUES (3155, '大连恒爱信工程技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:48');
INSERT INTO `sys_logininfor` VALUES (3156, '396430736@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:50');
INSERT INTO `sys_logininfor` VALUES (3157, '大连迅源文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:18:55');
INSERT INTO `sys_logininfor` VALUES (3158, '396430736@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:55');
INSERT INTO `sys_logininfor` VALUES (3159, '大连迅源文化传媒有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:18:59');
INSERT INTO `sys_logininfor` VALUES (3160, '大连恒爱信工程技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:03');
INSERT INTO `sys_logininfor` VALUES (3161, '朝阳依诺财税咨询服务有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:05');
INSERT INTO `sys_logininfor` VALUES (3162, '13832262777', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:13');
INSERT INTO `sys_logininfor` VALUES (3163, '410746610@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:18');
INSERT INTO `sys_logininfor` VALUES (3164, '朝阳依诺财税咨询服务有限责任公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:19');
INSERT INTO `sys_logininfor` VALUES (3165, '大连恒盛远科技发展有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:20');
INSERT INTO `sys_logininfor` VALUES (3166, '13832262777', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:22');
INSERT INTO `sys_logininfor` VALUES (3167, '410746610@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:23');
INSERT INTO `sys_logininfor` VALUES (3168, '大连连源供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:31');
INSERT INTO `sys_logininfor` VALUES (3169, '大连恒盛远科技发展有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:33');
INSERT INTO `sys_logininfor` VALUES (3170, '大连连源供应链管理有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:37');
INSERT INTO `sys_logininfor` VALUES (3171, '13840315188', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:39');
INSERT INTO `sys_logininfor` VALUES (3172, '429892922@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:44');
INSERT INTO `sys_logininfor` VALUES (3173, '朝阳市宏邦家政服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:44');
INSERT INTO `sys_logininfor` VALUES (3174, '13840315188', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:46');
INSERT INTO `sys_logininfor` VALUES (3175, '429892922@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:19:48');
INSERT INTO `sys_logininfor` VALUES (3176, '大连通联船舶技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:53');
INSERT INTO `sys_logininfor` VALUES (3177, '15102425183@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:55');
INSERT INTO `sys_logininfor` VALUES (3178, '13840926886', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:19:56');
INSERT INTO `sys_logininfor` VALUES (3179, '大连通联船舶技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:00');
INSERT INTO `sys_logininfor` VALUES (3180, '15102425183@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:01');
INSERT INTO `sys_logininfor` VALUES (3181, '朝阳市宏邦家政服务有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:03');
INSERT INTO `sys_logininfor` VALUES (3182, '大连恒达程经贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:05');
INSERT INTO `sys_logininfor` VALUES (3183, '442444952@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:07');
INSERT INTO `sys_logininfor` VALUES (3184, '大连恒达程经贸有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:11');
INSERT INTO `sys_logininfor` VALUES (3185, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:14');
INSERT INTO `sys_logininfor` VALUES (3186, '大连逸兴商务咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:18');
INSERT INTO `sys_logininfor` VALUES (3187, '13840926886', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:19');
INSERT INTO `sys_logininfor` VALUES (3188, '15042403133', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:19');
INSERT INTO `sys_logininfor` VALUES (3189, '442444952@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:22');
INSERT INTO `sys_logininfor` VALUES (3190, '15042403133', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:27');
INSERT INTO `sys_logininfor` VALUES (3191, '甘井子区宏君自动化机电经营部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:28');
INSERT INTO `sys_logininfor` VALUES (3192, '13842039391', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:29');
INSERT INTO `sys_logininfor` VALUES (3193, '大连悦光川服饰有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:36');
INSERT INTO `sys_logininfor` VALUES (3194, '大连道和精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:38');
INSERT INTO `sys_logininfor` VALUES (3195, 'dljh858@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:38');
INSERT INTO `sys_logininfor` VALUES (3196, '478833980@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:40');
INSERT INTO `sys_logininfor` VALUES (3197, '13842039391', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:40');
INSERT INTO `sys_logininfor` VALUES (3198, '15041516636@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:41');
INSERT INTO `sys_logininfor` VALUES (3199, '大连道和精密机械有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:42');
INSERT INTO `sys_logininfor` VALUES (3200, '478833980@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:43');
INSERT INTO `sys_logininfor` VALUES (3201, '15041516636@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:48');
INSERT INTO `sys_logininfor` VALUES (3202, 'dljh858@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:48');
INSERT INTO `sys_logininfor` VALUES (3203, '大连悦光川服饰有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:20:50');
INSERT INTO `sys_logininfor` VALUES (3204, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:54');
INSERT INTO `sys_logininfor` VALUES (3205, 'dlhllius@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:20:58');
INSERT INTO `sys_logininfor` VALUES (3206, '15034830160', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:03');
INSERT INTO `sys_logininfor` VALUES (3207, '493021830@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:05');
INSERT INTO `sys_logininfor` VALUES (3208, 'dlhllius@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:07');
INSERT INTO `sys_logininfor` VALUES (3209, '大连惠特尔流体工程技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:12');
INSERT INTO `sys_logininfor` VALUES (3210, '493021830@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:14');
INSERT INTO `sys_logininfor` VALUES (3211, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:16');
INSERT INTO `sys_logininfor` VALUES (3212, '大连惠特尔流体工程技术有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:26');
INSERT INTO `sys_logininfor` VALUES (3213, 'dlhexinmaoyi', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:27');
INSERT INTO `sys_logininfor` VALUES (3214, 'dlhexinmaoyi', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:32');
INSERT INTO `sys_logininfor` VALUES (3215, '大连金奇机械制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:35');
INSERT INTO `sys_logininfor` VALUES (3216, '13889128608', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:36');
INSERT INTO `sys_logininfor` VALUES (3217, '15034830160', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:39');
INSERT INTO `sys_logininfor` VALUES (3218, '50064739@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:42');
INSERT INTO `sys_logininfor` VALUES (3219, '大连惠联水产有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:46');
INSERT INTO `sys_logininfor` VALUES (3220, '50064739@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:47');
INSERT INTO `sys_logininfor` VALUES (3221, 'dlgyssf@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:50');
INSERT INTO `sys_logininfor` VALUES (3222, '13889128608', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:51');
INSERT INTO `sys_logininfor` VALUES (3223, '15004032411', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:55');
INSERT INTO `sys_logininfor` VALUES (3224, 'dlgyssf@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:21:56');
INSERT INTO `sys_logininfor` VALUES (3225, '13889190799', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:21:59');
INSERT INTO `sys_logininfor` VALUES (3226, '大连惠联水产有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:07');
INSERT INTO `sys_logininfor` VALUES (3227, '13889190799', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:10');
INSERT INTO `sys_logininfor` VALUES (3228, '15004032411', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:10');
INSERT INTO `sys_logininfor` VALUES (3229, '53775313@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:10');
INSERT INTO `sys_logininfor` VALUES (3230, 'deantron', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:12');
INSERT INTO `sys_logininfor` VALUES (3231, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:14');
INSERT INTO `sys_logininfor` VALUES (3232, 'deantron', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:17');
INSERT INTO `sys_logininfor` VALUES (3233, '13889279013', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:21');
INSERT INTO `sys_logininfor` VALUES (3234, '大连慢丽江餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:22');
INSERT INTO `sys_logininfor` VALUES (3235, '大连金奇机械制造有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:24');
INSERT INTO `sys_logininfor` VALUES (3236, '13998809846', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:25');
INSERT INTO `sys_logininfor` VALUES (3237, 'daliansaji', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:25');
INSERT INTO `sys_logininfor` VALUES (3238, '13889279013', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:26');
INSERT INTO `sys_logininfor` VALUES (3239, '13998809846', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:28');
INSERT INTO `sys_logininfor` VALUES (3240, '大连慢丽江餐饮管理有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:28');
INSERT INTO `sys_logininfor` VALUES (3241, '53775313@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:33');
INSERT INTO `sys_logininfor` VALUES (3242, '桑原电机(大连)有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:35');
INSERT INTO `sys_logininfor` VALUES (3243, 'daliansaji', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:42');
INSERT INTO `sys_logininfor` VALUES (3244, '13940961625@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:43');
INSERT INTO `sys_logininfor` VALUES (3245, '大连金普新区孙氏溯源推拿养生坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:45');
INSERT INTO `sys_logininfor` VALUES (3246, '大连金普新区孙氏溯源推拿养生坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:22:49');
INSERT INTO `sys_logininfor` VALUES (3247, '大连成宇科技发展有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:49');
INSERT INTO `sys_logininfor` VALUES (3248, '13889293499', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:50');
INSERT INTO `sys_logininfor` VALUES (3249, 'dalianmeide_hr@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:22:53');
INSERT INTO `sys_logininfor` VALUES (3250, '13889293499', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:00');
INSERT INTO `sys_logininfor` VALUES (3251, 'dalianmeide_hr@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:01');
INSERT INTO `sys_logininfor` VALUES (3252, '541521663@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:11');
INSERT INTO `sys_logininfor` VALUES (3253, '13940961625@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:15');
INSERT INTO `sys_logininfor` VALUES (3254, '13889806168', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:18');
INSERT INTO `sys_logininfor` VALUES (3255, '541521663@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:19');
INSERT INTO `sys_logininfor` VALUES (3256, '13889806168', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:24');
INSERT INTO `sys_logininfor` VALUES (3257, '森缘包装', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:30');
INSERT INTO `sys_logininfor` VALUES (3258, 'clsxg@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:30');
INSERT INTO `sys_logininfor` VALUES (3259, 'clsxg@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:34');
INSERT INTO `sys_logininfor` VALUES (3260, '13940934336', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:35');
INSERT INTO `sys_logininfor` VALUES (3261, '13940934336', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:40');
INSERT INTO `sys_logininfor` VALUES (3262, '大连成宇科技发展有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:41');
INSERT INTO `sys_logininfor` VALUES (3263, '森缘包装', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:43');
INSERT INTO `sys_logininfor` VALUES (3264, '549633451@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:50');
INSERT INTO `sys_logininfor` VALUES (3265, 'caowy@xyjd-dl.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:23:51');
INSERT INTO `sys_logininfor` VALUES (3266, 'caowy@xyjd-dl.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:23:58');
INSERT INTO `sys_logininfor` VALUES (3267, '13889806168', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:00');
INSERT INTO `sys_logininfor` VALUES (3268, '大连成鑫胶辊厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:03');
INSERT INTO `sys_logininfor` VALUES (3269, '549633451@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:05');
INSERT INTO `sys_logininfor` VALUES (3270, '大连金益丰文化咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:08');
INSERT INTO `sys_logininfor` VALUES (3271, '江公酒业（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:10');
INSERT INTO `sys_logininfor` VALUES (3272, 'baoshijingmi@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:10');
INSERT INTO `sys_logininfor` VALUES (3273, '13909881779', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:11');
INSERT INTO `sys_logininfor` VALUES (3274, '13889806168', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:14');
INSERT INTO `sys_logininfor` VALUES (3275, 'baoshijingmi@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:20');
INSERT INTO `sys_logininfor` VALUES (3276, '大连成鑫胶辊厂', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:24');
INSERT INTO `sys_logininfor` VALUES (3277, '13909881779', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:25');
INSERT INTO `sys_logininfor` VALUES (3278, '江公酒业（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:27');
INSERT INTO `sys_logininfor` VALUES (3279, '13898657820@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:28');
INSERT INTO `sys_logininfor` VALUES (3280, '13898657820@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:34');
INSERT INTO `sys_logininfor` VALUES (3281, '569116105@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:34');
INSERT INTO `sys_logininfor` VALUES (3282, 'amtkjdl@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:36');
INSERT INTO `sys_logininfor` VALUES (3283, '569116105@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:39');
INSERT INTO `sys_logininfor` VALUES (3284, '13904112076', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:43');
INSERT INTO `sys_logininfor` VALUES (3285, '大连方元文化传媒有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:46');
INSERT INTO `sys_logininfor` VALUES (3286, '13904112076', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:51');
INSERT INTO `sys_logininfor` VALUES (3287, '13904112076', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:54');
INSERT INTO `sys_logininfor` VALUES (3288, 'amtkjdl@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:24:58');
INSERT INTO `sys_logininfor` VALUES (3289, '沈阳优政博惠企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:24:59');
INSERT INTO `sys_logininfor` VALUES (3290, '59397747@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:01');
INSERT INTO `sys_logininfor` VALUES (3291, '大连金益丰文化咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:03');
INSERT INTO `sys_logininfor` VALUES (3292, '沈阳优政博惠企业管理咨询有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:07');
INSERT INTO `sys_logininfor` VALUES (3293, '大连嘉忆装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:08');
INSERT INTO `sys_logininfor` VALUES (3294, '大连方元文化传媒有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:12');
INSERT INTO `sys_logininfor` VALUES (3295, '59397747@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:16');
INSERT INTO `sys_logininfor` VALUES (3296, '大连嘉忆装饰装修工程有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:21');
INSERT INTO `sys_logininfor` VALUES (3297, '13904112076', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:26');
INSERT INTO `sys_logininfor` VALUES (3298, '大连旅顺滨海船舶修造有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:28');
INSERT INTO `sys_logininfor` VALUES (3299, 'aibikang', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:31');
INSERT INTO `sys_logininfor` VALUES (3300, '沈阳彩莹矿业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:34');
INSERT INTO `sys_logininfor` VALUES (3301, 'aibikang', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:35');
INSERT INTO `sys_logininfor` VALUES (3302, '大连旅顺滨海船舶修造有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:39');
INSERT INTO `sys_logininfor` VALUES (3303, '601015146@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:50');
INSERT INTO `sys_logininfor` VALUES (3304, '甘井子区大连湾街道泰孚商店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:53');
INSERT INTO `sys_logininfor` VALUES (3305, '601015146@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:25:55');
INSERT INTO `sys_logininfor` VALUES (3306, '941827230@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:25:58');
INSERT INTO `sys_logininfor` VALUES (3307, '沈阳彩莹矿业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:01');
INSERT INTO `sys_logininfor` VALUES (3308, '大连日吉精密模具有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:03');
INSERT INTO `sys_logininfor` VALUES (3309, '941827230@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:03');
INSERT INTO `sys_logininfor` VALUES (3310, '甘井子区大连湾街道泰孚商店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:07');
INSERT INTO `sys_logininfor` VALUES (3311, '大连日吉精密模具有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:13');
INSERT INTO `sys_logininfor` VALUES (3312, '甘井子区大连湾街道永力电子产品经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:16');
INSERT INTO `sys_logininfor` VALUES (3313, '甘井子区大连湾街道永力电子产品经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:23');
INSERT INTO `sys_logininfor` VALUES (3314, '沈阳永业实业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:27');
INSERT INTO `sys_logininfor` VALUES (3315, '928004305@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:27');
INSERT INTO `sys_logininfor` VALUES (3316, '727130615@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:28');
INSERT INTO `sys_logininfor` VALUES (3317, '大连昊通物流有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:30');
INSERT INTO `sys_logininfor` VALUES (3318, '928004305@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:31');
INSERT INTO `sys_logininfor` VALUES (3319, '727130615@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:32');
INSERT INTO `sys_logininfor` VALUES (3320, '大连昊通物流有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:39');
INSERT INTO `sys_logininfor` VALUES (3321, '沈阳永业实业有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:26:41');
INSERT INTO `sys_logininfor` VALUES (3322, '甘井子区大连湾街道明兴电子产品经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:42');
INSERT INTO `sys_logininfor` VALUES (3323, '913819536@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:44');
INSERT INTO `sys_logininfor` VALUES (3324, '大连晟鋆企业管理中心（有限合伙）', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:26:57');
INSERT INTO `sys_logininfor` VALUES (3325, '甘井子区大连湾街道明兴电子产品经销部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:00');
INSERT INTO `sys_logininfor` VALUES (3326, '774319817@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:01');
INSERT INTO `sys_logininfor` VALUES (3327, '大连晟鋆企业管理中心（有限合伙）', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:08');
INSERT INTO `sys_logininfor` VALUES (3328, '沙河口区哪吒生鲜水果店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:09');
INSERT INTO `sys_logininfor` VALUES (3329, '甘井子区大连湾街道宏泰五金建材商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:13');
INSERT INTO `sys_logininfor` VALUES (3330, '沙河口区哪吒生鲜水果店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:17');
INSERT INTO `sys_logininfor` VALUES (3331, '大连智云汇智能科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:22');
INSERT INTO `sys_logininfor` VALUES (3332, '大连智云汇智能科技有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:29');
INSERT INTO `sys_logininfor` VALUES (3333, '甘井子区大连湾街道宏泰五金建材商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:32');
INSERT INTO `sys_logininfor` VALUES (3334, '大连核力电子有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:43');
INSERT INTO `sys_logininfor` VALUES (3335, '沙河口区大鱼音乐工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:46');
INSERT INTO `sys_logininfor` VALUES (3336, '甘井子区大连湾街道兴林电子产品商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:47');
INSERT INTO `sys_logininfor` VALUES (3337, '潘慧妍', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:27:47');
INSERT INTO `sys_logininfor` VALUES (3338, '大连核力电子有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:50');
INSERT INTO `sys_logininfor` VALUES (3339, '潘慧妍', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:52');
INSERT INTO `sys_logininfor` VALUES (3340, '沙河口区大鱼音乐工作室', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:56');
INSERT INTO `sys_logininfor` VALUES (3341, '甘井子区大连湾街道兴林电子产品商行', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:27:56');
INSERT INTO `sys_logininfor` VALUES (3342, '甘井子区南关岭街道恒德石材销售经营部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 10:28:03');
INSERT INTO `sys_logininfor` VALUES (3343, '甘井子区南关岭街道恒德石材销售经营部', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 10:28:03');
INSERT INTO `sys_logininfor` VALUES (3344, '大连格尔迈斯合成材料有限公司', '113.227.219.45', 'XX XX', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:28:07');
INSERT INTO `sys_logininfor` VALUES (3345, '爱产盛金（大连）硬质合金技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:28:21');
INSERT INTO `sys_logininfor` VALUES (3346, '甘井子区千山路亨得利眼镜专卖店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:28:22');
INSERT INTO `sys_logininfor` VALUES (3347, '沙河口区梅尔大叔原生态农副产品中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:28:24');
INSERT INTO `sys_logininfor` VALUES (3348, '爱产盛金（大连）硬质合金技术有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:28:34');
INSERT INTO `sys_logininfor` VALUES (3349, '沙河口区梅尔大叔原生态农副产品中心', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:28:38');
INSERT INTO `sys_logininfor` VALUES (3350, '港丰科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:28:46');
INSERT INTO `sys_logininfor` VALUES (3351, '港丰科技（大连）有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:29:04');
INSERT INTO `sys_logininfor` VALUES (3352, '沙河口区维京海产品店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:29:07');
INSERT INTO `sys_logininfor` VALUES (3353, '沙河口区维京海产品店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:29:15');
INSERT INTO `sys_logininfor` VALUES (3354, '洪峰', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:29:16');
INSERT INTO `sys_logininfor` VALUES (3355, '洪峰', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:29:21');
INSERT INTO `sys_logininfor` VALUES (3356, '沙河口区芃新办公家具店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:29:39');
INSERT INTO `sys_logininfor` VALUES (3357, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 10:29:43');
INSERT INTO `sys_logininfor` VALUES (3358, '环嘉德润（大连）再生资源有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:29:44');
INSERT INTO `sys_logininfor` VALUES (3359, '沙河口区芃新办公家具店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:29:49');
INSERT INTO `sys_logininfor` VALUES (3360, '环嘉德润（大连）再生资源有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:30:04');
INSERT INTO `sys_logininfor` VALUES (3361, '瓦房店冶金轴承集团有限公司', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:30:15');
INSERT INTO `sys_logininfor` VALUES (3362, '沙河口区贵珍大众浴池', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:30:15');
INSERT INTO `sys_logininfor` VALUES (3363, '沙河口区贵珍大众浴池', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 10:30:25');
INSERT INTO `sys_logininfor` VALUES (3364, '甘井子区凯尚手工皮具坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 10:30:48');
INSERT INTO `sys_logininfor` VALUES (3365, '${username,next}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${username,next} 不存在', '2023-09-22 10:55:52');
INSERT INTO `sys_logininfor` VALUES (3366, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 10:56:44');
INSERT INTO `sys_logininfor` VALUES (3367, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 10:58:09');
INSERT INTO `sys_logininfor` VALUES (3368, '1217638696@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 10:58:26');
INSERT INTO `sys_logininfor` VALUES (3369, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:00:13');
INSERT INTO `sys_logininfor` VALUES (3370, '甘井子区凯尚手工皮具坊', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 11:06:42');
INSERT INTO `sys_logininfor` VALUES (3371, '${_CSVRead(测试文件.csv,next)}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${_CSVRead(测试文件.csv,next)} 不存在', '2023-09-22 11:29:14');
INSERT INTO `sys_logininfor` VALUES (3372, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3373, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3374, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3375, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3376, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3377, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3378, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3379, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3380, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3381, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3382, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3383, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3384, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3385, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3386, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3387, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3388, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3389, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3390, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3391, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3392, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3393, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3394, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3395, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3396, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3397, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3398, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3399, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3400, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3401, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3402, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3403, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3404, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3405, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3406, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3407, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3408, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3409, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3410, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3411, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3412, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3413, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3414, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3415, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:34');
INSERT INTO `sys_logininfor` VALUES (3416, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3417, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3418, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3419, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3420, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3421, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3422, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3423, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3424, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3425, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3426, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3427, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3428, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3429, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3430, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3431, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3432, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3433, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3434, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3435, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3436, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3437, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3438, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3439, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3440, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3441, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3442, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3443, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3444, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3445, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3446, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3447, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3448, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3449, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3450, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3451, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3452, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3453, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3454, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3455, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3456, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3457, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3458, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3459, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3460, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3461, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3462, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3463, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3464, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3465, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3466, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3467, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3468, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3469, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3470, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3471, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3472, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3473, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3474, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3475, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3476, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3477, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3478, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3479, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3480, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3481, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3482, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3483, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3484, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3485, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3486, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3487, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3488, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3489, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3490, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3491, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3492, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3493, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3494, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3495, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3496, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3497, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3498, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3499, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3500, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3501, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3502, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3503, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3504, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3505, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3506, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3507, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3508, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3509, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3510, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3511, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3512, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3513, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3514, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3515, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3516, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3517, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3518, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3519, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:35');
INSERT INTO `sys_logininfor` VALUES (3520, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3521, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3522, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3523, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3524, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3525, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3526, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3527, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3528, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3529, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3530, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3531, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3532, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3533, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3534, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3535, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3536, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3537, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3538, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3539, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3540, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3541, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3542, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3543, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3544, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3545, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3546, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3547, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3548, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3549, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3550, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3551, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3552, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3553, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3554, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3555, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3556, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3557, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3558, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3559, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3560, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3561, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3562, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3563, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3564, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3565, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3566, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3567, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3568, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3569, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3570, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3571, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3572, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3573, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3574, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:36');
INSERT INTO `sys_logininfor` VALUES (3575, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3576, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3577, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3578, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3579, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3580, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3581, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3582, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3583, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3584, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3585, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3586, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3587, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3588, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3589, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3590, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3591, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3592, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3593, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3594, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3595, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3596, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3597, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3598, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3599, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3600, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3601, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3602, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3603, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3604, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3605, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3606, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3607, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3608, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3609, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3610, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3611, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3612, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3613, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3614, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3615, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3616, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3617, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3618, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3619, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3620, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3621, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3622, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3623, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3624, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3625, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3626, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3627, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3628, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3629, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3630, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3631, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3632, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3633, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3634, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3635, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3636, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3637, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3638, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3639, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3640, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3641, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3642, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3643, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3644, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3645, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3646, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3647, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3648, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3649, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3650, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3651, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3652, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:37');
INSERT INTO `sys_logininfor` VALUES (3653, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3654, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3655, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3656, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3657, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3658, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3659, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3660, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3661, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3662, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3663, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3664, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3665, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3666, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3667, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3668, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3669, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3670, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3671, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3672, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3673, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3674, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3675, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3676, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3677, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3678, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3679, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3680, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3681, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3682, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3683, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3684, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3685, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3686, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3687, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3688, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3689, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3690, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3691, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3692, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3693, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3694, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3695, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3696, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3697, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3698, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3699, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3700, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3701, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3702, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3703, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3704, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3705, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3706, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3707, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3708, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3709, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3710, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3711, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3712, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3713, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3714, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3715, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3716, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3717, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3718, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3719, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3720, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3721, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3722, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3723, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3724, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3725, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3726, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3727, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3728, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3729, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3730, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3731, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3732, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3733, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3734, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3735, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3736, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3737, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3738, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3739, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3740, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3741, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3742, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3743, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3744, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3745, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3746, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3747, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3748, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3749, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3750, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3751, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3752, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3753, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3754, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3755, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3756, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3757, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3758, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3759, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3760, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3761, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3762, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3763, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3764, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3765, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:38');
INSERT INTO `sys_logininfor` VALUES (3766, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3767, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3768, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3769, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3770, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3771, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3772, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3773, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3774, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3775, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3776, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3777, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3778, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3779, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3780, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3781, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3782, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3783, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3784, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3785, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3786, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3787, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3788, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3789, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3790, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3791, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3792, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3793, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3794, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3795, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3796, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3797, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3798, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3799, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3800, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3801, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3802, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3803, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3804, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3805, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3806, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3807, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3808, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3809, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3810, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3811, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3812, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3813, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3814, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3815, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3816, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3817, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3818, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3819, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3820, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3821, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3822, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3823, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3824, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3825, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3826, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3827, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3828, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3829, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3830, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3831, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3832, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3833, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3834, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3835, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3836, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3837, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3838, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3839, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3840, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3841, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3842, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3843, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:39');
INSERT INTO `sys_logininfor` VALUES (3844, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3845, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3846, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3847, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3848, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3849, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3850, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3851, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3852, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3853, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3854, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3855, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3856, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3857, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3858, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3859, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3860, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3861, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3862, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3863, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3864, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3865, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3866, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3867, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3868, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3869, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:40');
INSERT INTO `sys_logininfor` VALUES (3870, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3871, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3872, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3873, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3874, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3875, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3876, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3877, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3878, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3879, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3880, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3881, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3882, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3883, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3884, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3885, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:41');
INSERT INTO `sys_logininfor` VALUES (3886, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3887, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3888, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3889, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3890, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3891, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3892, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3893, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3894, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3895, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3896, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3897, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3898, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3899, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3900, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3901, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3902, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3903, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3904, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:42');
INSERT INTO `sys_logininfor` VALUES (3905, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:43');
INSERT INTO `sys_logininfor` VALUES (3906, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:43');
INSERT INTO `sys_logininfor` VALUES (3907, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:43');
INSERT INTO `sys_logininfor` VALUES (3908, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:43');
INSERT INTO `sys_logininfor` VALUES (3909, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:43');
INSERT INTO `sys_logininfor` VALUES (3910, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:44');
INSERT INTO `sys_logininfor` VALUES (3911, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:35:44');
INSERT INTO `sys_logininfor` VALUES (3912, '甘井子区千山路亨得利眼镜专卖店', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 11:37:50');
INSERT INTO `sys_logininfor` VALUES (3913, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 11:38:47');
INSERT INTO `sys_logininfor` VALUES (3914, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 11:38:47');
INSERT INTO `sys_logininfor` VALUES (3915, '${uesrname}', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '1', '登录用户：${uesrname} 不存在', '2023-09-22 11:39:10');
INSERT INTO `sys_logininfor` VALUES (3916, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误2次', '2023-09-22 11:39:23');
INSERT INTO `sys_logininfor` VALUES (3917, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 11:39:23');
INSERT INTO `sys_logininfor` VALUES (3918, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误3次', '2023-09-22 11:39:38');
INSERT INTO `sys_logininfor` VALUES (3919, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 11:39:38');
INSERT INTO `sys_logininfor` VALUES (3920, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误4次', '2023-09-22 11:39:51');
INSERT INTO `sys_logininfor` VALUES (3921, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 11:39:51');
INSERT INTO `sys_logininfor` VALUES (3922, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:39:57');
INSERT INTO `sys_logininfor` VALUES (3923, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次', '2023-09-22 11:39:59');
INSERT INTO `sys_logininfor` VALUES (3924, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 11:39:59');
INSERT INTO `sys_logininfor` VALUES (3925, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 11:40:10');
INSERT INTO `sys_logininfor` VALUES (3926, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:21');
INSERT INTO `sys_logininfor` VALUES (3927, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:21');
INSERT INTO `sys_logininfor` VALUES (3928, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:22');
INSERT INTO `sys_logininfor` VALUES (3929, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:22');
INSERT INTO `sys_logininfor` VALUES (3930, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:22');
INSERT INTO `sys_logininfor` VALUES (3931, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:22');
INSERT INTO `sys_logininfor` VALUES (3932, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:22');
INSERT INTO `sys_logininfor` VALUES (3933, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3934, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3935, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3936, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3937, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3938, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3939, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3940, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:23');
INSERT INTO `sys_logininfor` VALUES (3941, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3942, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3943, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3944, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3945, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3946, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3947, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3948, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3949, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:24');
INSERT INTO `sys_logininfor` VALUES (3950, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3951, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3952, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3953, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3954, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3955, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3956, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3957, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:25');
INSERT INTO `sys_logininfor` VALUES (3958, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3959, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3960, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3961, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3962, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3963, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3964, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:26');
INSERT INTO `sys_logininfor` VALUES (3965, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:30');
INSERT INTO `sys_logininfor` VALUES (3966, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:30');
INSERT INTO `sys_logininfor` VALUES (3967, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:30');
INSERT INTO `sys_logininfor` VALUES (3968, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:30');
INSERT INTO `sys_logininfor` VALUES (3969, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:30');
INSERT INTO `sys_logininfor` VALUES (3970, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:30');
INSERT INTO `sys_logininfor` VALUES (3971, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:32');
INSERT INTO `sys_logininfor` VALUES (3972, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:32');
INSERT INTO `sys_logininfor` VALUES (3973, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:32');
INSERT INTO `sys_logininfor` VALUES (3974, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:32');
INSERT INTO `sys_logininfor` VALUES (3975, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3976, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3977, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3978, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3979, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3980, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3981, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3982, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:33');
INSERT INTO `sys_logininfor` VALUES (3983, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:34');
INSERT INTO `sys_logininfor` VALUES (3984, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:34');
INSERT INTO `sys_logininfor` VALUES (3985, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:34');
INSERT INTO `sys_logininfor` VALUES (3986, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:34');
INSERT INTO `sys_logininfor` VALUES (3987, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:34');
INSERT INTO `sys_logininfor` VALUES (3988, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3989, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3990, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3991, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3992, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3993, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3994, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3995, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3996, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3997, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3998, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (3999, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4000, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4001, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4002, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4003, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4004, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4005, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4006, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4007, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:35');
INSERT INTO `sys_logininfor` VALUES (4008, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4009, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4010, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4011, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4012, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4013, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4014, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4015, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4016, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4017, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4018, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4019, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4020, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4021, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4022, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4023, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4024, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4025, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4026, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:36');
INSERT INTO `sys_logininfor` VALUES (4027, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4028, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4029, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4030, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4031, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4032, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4033, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4034, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4035, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4036, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4037, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4038, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4039, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4040, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4041, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4042, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4043, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:37');
INSERT INTO `sys_logininfor` VALUES (4044, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4045, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4046, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4047, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4048, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4049, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4050, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4051, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4052, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4053, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4054, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4055, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4056, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4057, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4058, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4059, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4060, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4061, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4062, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4063, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4064, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4065, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:38');
INSERT INTO `sys_logininfor` VALUES (4066, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4067, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4068, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4069, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4070, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4071, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4072, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4073, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4074, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4075, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4076, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4077, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4078, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4079, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4080, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4081, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4082, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4083, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4084, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4085, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4086, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4087, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4088, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4089, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4090, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4091, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4092, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4093, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4094, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4095, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4096, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4097, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4098, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4099, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4100, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4101, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4102, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4103, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4104, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4105, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4106, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4107, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4108, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4109, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4110, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4111, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4112, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4113, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4114, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4115, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4116, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:39');
INSERT INTO `sys_logininfor` VALUES (4117, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:40');
INSERT INTO `sys_logininfor` VALUES (4118, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:45');
INSERT INTO `sys_logininfor` VALUES (4119, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4120, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4121, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4122, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4123, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4124, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4125, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4126, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4127, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4128, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4129, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4130, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4131, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4132, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4133, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4134, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4135, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4136, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4137, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4138, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4139, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4140, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4141, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4142, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4143, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:46');
INSERT INTO `sys_logininfor` VALUES (4144, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4145, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4146, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4147, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4148, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4149, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4150, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4151, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4152, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4153, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4154, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4155, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4156, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4157, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4158, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4159, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4160, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4161, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4162, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4163, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4164, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4165, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4166, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4167, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4168, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4169, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4170, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4171, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4172, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4173, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4174, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4175, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4176, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4177, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4178, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4179, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4180, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4181, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4182, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4183, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4184, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4185, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4186, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4187, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4188, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4189, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4190, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4191, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4192, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4193, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4194, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4195, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4196, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4197, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4198, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4199, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4200, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4201, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4202, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4203, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4204, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4205, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4206, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4207, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4208, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4209, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4210, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4211, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4212, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4213, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4214, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4215, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4216, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:47');
INSERT INTO `sys_logininfor` VALUES (4217, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4218, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4219, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4220, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4221, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4222, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4223, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4224, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4225, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4226, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4227, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4228, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4229, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4230, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4231, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4232, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4233, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4234, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4235, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4236, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4237, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4238, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4239, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4240, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4241, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4242, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4243, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4244, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4245, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4246, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4247, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4248, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4249, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4250, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4251, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4252, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4253, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4254, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4255, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4256, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4257, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4258, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4259, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4260, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4261, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4262, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4263, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4264, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4265, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4266, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4267, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4268, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4269, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4270, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4271, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4272, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4273, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4274, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4275, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4276, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4277, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4278, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4279, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4280, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4281, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4282, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4283, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4284, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4285, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4286, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4287, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4288, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4289, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4290, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4291, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4292, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4293, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4294, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4295, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4296, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4297, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4298, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4299, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4300, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4301, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4302, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4303, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4304, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4305, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4306, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4307, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4308, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4309, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4310, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4311, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4312, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4313, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4314, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4315, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4316, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:48');
INSERT INTO `sys_logininfor` VALUES (4317, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4318, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4319, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4320, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4321, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4322, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4323, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4324, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4325, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4326, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4327, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4328, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4329, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4330, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4331, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4332, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4333, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4334, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4335, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4336, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4337, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4338, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4339, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4340, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4341, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4342, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4343, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4344, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4345, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:49');
INSERT INTO `sys_logininfor` VALUES (4346, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4347, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4348, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4349, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4350, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4351, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4352, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4353, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4354, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4355, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4356, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4357, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4358, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4359, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4360, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4361, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4362, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4363, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4364, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4365, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4366, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4367, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4368, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4369, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4370, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4371, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4372, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4373, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4374, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4375, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4376, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4377, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4378, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4379, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4380, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4381, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4382, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4383, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4384, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4385, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4386, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4387, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4388, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4389, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4390, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4391, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4392, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4393, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4394, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4395, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4396, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4397, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4398, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4399, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4400, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4401, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4402, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4403, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4404, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4405, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4406, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4407, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4408, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4409, '1103253450@qq.com', '113.227.219.45', 'XX XX', 'Robot/Spider', 'Unknown', '0', '登录成功', '2023-09-22 11:40:50');
INSERT INTO `sys_logininfor` VALUES (4410, '913819536@qq.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 11:41:51');
INSERT INTO `sys_logininfor` VALUES (4411, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-09-22 11:42:04');
INSERT INTO `sys_logininfor` VALUES (4412, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2023-09-22 11:42:04');
INSERT INTO `sys_logininfor` VALUES (4413, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 11:42:17');
INSERT INTO `sys_logininfor` VALUES (4414, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 11:42:33');
INSERT INTO `sys_logininfor` VALUES (4415, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 12:10:33');
INSERT INTO `sys_logininfor` VALUES (4416, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 12:34:54');
INSERT INTO `sys_logininfor` VALUES (4417, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 12:35:22');
INSERT INTO `sys_logininfor` VALUES (4418, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 12:57:27');
INSERT INTO `sys_logininfor` VALUES (4419, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2023-09-22 13:00:12');
INSERT INTO `sys_logininfor` VALUES (4420, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 13:00:14');
INSERT INTO `sys_logininfor` VALUES (4421, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 13:38:03');
INSERT INTO `sys_logininfor` VALUES (4422, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 13:42:13');
INSERT INTO `sys_logininfor` VALUES (4423, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 13:42:32');
INSERT INTO `sys_logininfor` VALUES (4424, '大连电子城明辉电脑商行', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 14:12:02');
INSERT INTO `sys_logininfor` VALUES (4425, '大连电子城明辉电脑商行', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 14:12:02');
INSERT INTO `sys_logininfor` VALUES (4426, '大连电子城明辉电脑商行', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 14:12:19');
INSERT INTO `sys_logininfor` VALUES (4427, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 14:58:41');
INSERT INTO `sys_logininfor` VALUES (4428, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 15:02:41');
INSERT INTO `sys_logininfor` VALUES (4429, 'admin', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 15:27:09');
INSERT INTO `sys_logininfor` VALUES (4430, '13842492400', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '密码输入错误1次', '2023-09-22 15:36:19');
INSERT INTO `sys_logininfor` VALUES (4431, '13842492400', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2023-09-22 15:36:19');
INSERT INTO `sys_logininfor` VALUES (4432, '13842492400', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 15:36:42');
INSERT INTO `sys_logininfor` VALUES (4433, '18640822691', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 15:41:38');
INSERT INTO `sys_logininfor` VALUES (4434, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 15:41:54');
INSERT INTO `sys_logininfor` VALUES (4435, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 16:03:41');
INSERT INTO `sys_logininfor` VALUES (4436, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 16:23:00');
INSERT INTO `sys_logininfor` VALUES (4437, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 16:24:01');
INSERT INTO `sys_logininfor` VALUES (4438, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 16:26:12');
INSERT INTO `sys_logininfor` VALUES (4439, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 16:36:43');
INSERT INTO `sys_logininfor` VALUES (4440, '13842492400', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 17:04:08');
INSERT INTO `sys_logininfor` VALUES (4441, '15840675199@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 17:05:28');
INSERT INTO `sys_logininfor` VALUES (4442, '15840675199@163.com', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 17:17:48');
INSERT INTO `sys_logininfor` VALUES (4443, '18842371408', '113.227.219.45', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 17:19:29');
INSERT INTO `sys_logininfor` VALUES (4444, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 17:32:03');
INSERT INTO `sys_logininfor` VALUES (4445, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 17:32:06');
INSERT INTO `sys_logininfor` VALUES (4446, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-22 20:07:27');
INSERT INTO `sys_logininfor` VALUES (4447, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2023-09-22 20:45:06');
INSERT INTO `sys_logininfor` VALUES (4448, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 20:53:58');
INSERT INTO `sys_logininfor` VALUES (4449, '18640822691', '60.21.90.138', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-22 22:14:53');
INSERT INTO `sys_logininfor` VALUES (4450, 'admin', '60.21.90.138', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-23 07:04:53');
INSERT INTO `sys_logininfor` VALUES (4451, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-23 07:45:29');
INSERT INTO `sys_logininfor` VALUES (4452, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-23 07:45:31');
INSERT INTO `sys_logininfor` VALUES (4453, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-09-23 08:13:27');
INSERT INTO `sys_logininfor` VALUES (4454, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-23 08:16:53');
INSERT INTO `sys_logininfor` VALUES (4455, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-23 08:48:27');
INSERT INTO `sys_logininfor` VALUES (4456, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-23 10:09:21');
INSERT INTO `sys_logininfor` VALUES (4457, 'admin', '60.21.90.138', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-23 11:21:57');
INSERT INTO `sys_logininfor` VALUES (4458, 'admin', '127.0.0.1', '内网IP', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-09-23 11:33:31');
INSERT INTO `sys_logininfor` VALUES (4459, 'admin', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:26:30');
INSERT INTO `sys_logininfor` VALUES (4460, '桑原电机(大连)有限公司', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:27:15');
INSERT INTO `sys_logininfor` VALUES (4461, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:29:55');
INSERT INTO `sys_logininfor` VALUES (4462, '桑原电机(大连)有限公司', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-10-10 14:38:28');
INSERT INTO `sys_logininfor` VALUES (4463, '桑原电机(大连)有限公司', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:38:32');
INSERT INTO `sys_logininfor` VALUES (4464, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-10-10 14:38:38');
INSERT INTO `sys_logininfor` VALUES (4465, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:38:43');
INSERT INTO `sys_logininfor` VALUES (4466, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-10-10 14:40:00');
INSERT INTO `sys_logininfor` VALUES (4467, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:40:06');
INSERT INTO `sys_logininfor` VALUES (4468, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-10-10 14:40:21');
INSERT INTO `sys_logininfor` VALUES (4469, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:41:56');
INSERT INTO `sys_logininfor` VALUES (4470, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2023-10-10 14:47:18');
INSERT INTO `sys_logininfor` VALUES (4471, '18640822691', '60.21.17.65', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2023-10-10 14:47:21');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `app_key` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '菜单所属应用',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2365 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, 'ezhizao-identity', '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-23 10:36:57', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, 'ezhizao-identity', '系统监控', 0, 2, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2023-04-25 16:48:09', '', NULL, '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, 'ezhizao-identity', '系统工具', 0, 3, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2023-04-25 16:48:09', '', NULL, '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, 'ezhizao-identity', '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2023-04-25 16:48:09', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, 'ezhizao-identity', '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2023-04-25 16:48:09', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, 'ezhizao-identity', '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2023-04-25 16:48:09', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, 'ezhizao-identity', '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '1', '0', 'system:dept:list', 'tree', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-25 11:33:46', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, 'ezhizao-identity', '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '1', '0', 'system:post:list', 'post', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-24 10:56:21', '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, 'ezhizao-identity', '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2023-04-25 16:48:09', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, 'ezhizao-identity', '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '1', '0', 'system:config:list', 'edit', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-23 00:01:57', '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, 'ezhizao-identity', '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '1', '0', 'system:notice:list', 'message', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-23 00:02:12', '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, 'ezhizao-identity', '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2023-04-25 16:48:09', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, 'ezhizao-identity', '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-24 11:27:56', '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, 'ezhizao-identity', '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2023-04-25 16:48:09', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, 'ezhizao-identity', '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2023-04-25 16:48:09', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, 'ezhizao-identity', '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2023-04-25 16:48:09', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, 'ezhizao-identity', '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2023-04-25 16:48:09', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, 'ezhizao-identity', '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2023-04-25 16:48:09', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (116, 'ezhizao-identity', '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2023-04-25 16:48:09', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, 'ezhizao-identity', '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2023-04-25 16:48:09', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, 'ezhizao-identity', '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2023-04-25 16:48:09', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, 'ezhizao-identity', '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2023-04-25 16:48:09', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, 'ezhizao-identity', '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, 'ezhizao-identity', '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, 'ezhizao-identity', '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, 'ezhizao-identity', '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, 'ezhizao-identity', '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, 'ezhizao-identity', '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, 'ezhizao-identity', '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, 'ezhizao-identity', '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, 'ezhizao-identity', '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, 'ezhizao-identity', '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, 'ezhizao-identity', '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, 'ezhizao-identity', '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, 'ezhizao-identity', '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, 'ezhizao-identity', '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, 'ezhizao-identity', '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, 'ezhizao-identity', '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, 'ezhizao-identity', '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, 'ezhizao-identity', '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, 'ezhizao-identity', '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, 'ezhizao-identity', '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, 'ezhizao-identity', '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, 'ezhizao-identity', '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, 'ezhizao-identity', '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, 'ezhizao-identity', '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, 'ezhizao-identity', '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, 'ezhizao-identity', '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, 'ezhizao-identity', '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, 'ezhizao-identity', '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, 'ezhizao-identity', '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, 'ezhizao-identity', '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, 'ezhizao-identity', '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, 'ezhizao-identity', '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, 'ezhizao-identity', '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, 'ezhizao-identity', '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, 'ezhizao-identity', '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, 'ezhizao-identity', '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, 'ezhizao-identity', '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, 'ezhizao-identity', '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, 'ezhizao-identity', '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, 'ezhizao-identity', '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, 'ezhizao-identity', '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, 'ezhizao-identity', '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, 'ezhizao-identity', '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, 'ezhizao-identity', '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, 'ezhizao-identity', '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, 'ezhizao-identity', '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, 'ezhizao-identity', '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, 'ezhizao-identity', '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, 'ezhizao-identity', '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, 'ezhizao-identity', '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, 'ezhizao-identity', '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, 'ezhizao-identity', '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, 'ezhizao-identity', '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, 'ezhizao-identity', '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, 'ezhizao-identity', '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, 'ezhizao-identity', '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, 'ezhizao-identity', '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, 'ezhizao-identity', '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, 'ezhizao-identity', '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, 'ezhizao-identity', '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, 'ezhizao-identity', '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, 'ezhizao-plugin-visitor', '访客管理', 0, 3, 'VisitorUser', 'business/visitor/user/List', NULL, 1, 0, 'C', '0', '0', '', 'peoples', 'admin', '2023-08-17 20:12:25', 'admin', '2023-09-04 18:27:51', '');
INSERT INTO `sys_menu` VALUES (2027, 'ezhizao-plugin-visitor', '访客记录', 0, 1, 'VisitorInformation', 'business/visitor/information/List', '', 1, 0, 'C', '0', '0', '', 'excel', 'admin', '2023-08-17 20:14:03', 'admin', '2023-09-04 18:21:24', '');
INSERT INTO `sys_menu` VALUES (2028, 'ezhizao-plugin-visitor', '访客预约', 0, 2, 'VisitorAppointment', 'business/visitor/appointment/List', NULL, 1, 0, 'C', '0', '0', '', 'row', 'admin', '2023-08-17 20:15:24', 'admin', '2023-09-28 10:49:49', '');
INSERT INTO `sys_menu` VALUES (2029, 'ezhizao-plugin-visitor', '功能设置', 0, 4, 'VisitorConfig', 'business/visitor/config/List', NULL, 1, 0, 'C', '0', '0', '', 'log', 'admin', '2023-08-17 20:16:24', 'admin', '2023-09-04 18:25:27', '');
INSERT INTO `sys_menu` VALUES (2030, 'ezhizao-identity-tenant', '产品管理', 0, 5, 'storeManagement', NULL, NULL, 1, 0, 'M', '0', '0', '', 'lock', 'admin', '2023-08-22 14:29:05', 'admin', '2023-09-04 14:08:51', '');
INSERT INTO `sys_menu` VALUES (2031, 'ezhizao-identity-tenant', '产品分类', 2030, 1, 'template', 'business/productCategory/index', NULL, 1, 0, 'C', '0', '0', 'business:template:list', 'tree-table', 'admin', '2023-08-22 15:45:40', 'admin', '2023-09-04 17:43:12', ' 商品分类参数模板菜单');
INSERT INTO `sys_menu` VALUES (2032, 'ezhizao-identity-tenant', ' 产品分类参数模板查询', 2031, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:query', '#', 'admin', '2023-08-22 15:45:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2033, 'ezhizao-identity-tenant', ' 产品分类参数模板新增', 2031, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:add', '#', 'admin', '2023-08-22 15:45:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2034, 'ezhizao-identity-tenant', ' 产品分类参数模板修改', 2031, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:edit', '#', 'admin', '2023-08-22 15:45:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2035, 'ezhizao-identity-tenant', ' 产品分类参数模板删除', 2031, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:remove', '#', 'admin', '2023-08-22 15:45:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2036, 'ezhizao-identity-tenant', ' 产品分类参数模板导出', 2031, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:export', '#', 'admin', '2023-08-22 15:45:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2037, 'ezhizao-identity-tenant', '产品分类列表', 2031, 6, 'product_category', 'business/productCategory/index', NULL, 1, 0, 'F', '1', '0', 'business:productCategory:list', '#', 'admin', '2023-08-22 16:15:00', 'admin', '2023-08-31 14:55:33', '商品证书菜单');
INSERT INTO `sys_menu` VALUES (2038, 'ezhizao-identity-tenant', '产品证书查询', 2031, 7, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCategory:query', '#', 'admin', '2023-08-22 16:15:00', 'admin', '2023-09-01 12:55:54', '');
INSERT INTO `sys_menu` VALUES (2039, 'ezhizao-identity-tenant', '产品证书新增', 2031, 8, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCategory:add', '#', 'admin', '2023-08-22 16:15:00', 'admin', '2023-09-01 12:55:46', '');
INSERT INTO `sys_menu` VALUES (2040, 'ezhizao-identity-tenant', '产品证书修改', 2031, 9, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCategory:edit', '#', 'admin', '2023-08-22 16:15:00', 'admin', '2023-09-01 12:56:00', '');
INSERT INTO `sys_menu` VALUES (2041, 'ezhizao-identity-tenant', '产品证书删除', 2031, 10, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCategory:remove', '#', 'admin', '2023-08-22 16:15:00', 'admin', '2023-09-01 12:56:07', '');
INSERT INTO `sys_menu` VALUES (2042, 'ezhizao-identity-tenant', '产品证书导出', 2031, 11, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCategory:export', '#', 'admin', '2023-08-22 16:15:00', 'admin', '2023-09-01 12:56:12', '');
INSERT INTO `sys_menu` VALUES (2043, 'ezhizao-identity-tenant', '产品管理', 2030, 2, 'product', 'business/product/index', NULL, 1, 0, 'C', '0', '0', 'business:product:list', 'tab', 'admin', '2023-08-22 17:16:43', 'admin', '2023-09-04 14:17:24', '商品菜单');
INSERT INTO `sys_menu` VALUES (2044, 'ezhizao-identity-tenant', '产品查询', 2043, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product:query', '#', 'admin', '2023-08-22 17:16:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2045, 'ezhizao-identity-tenant', '产品新增', 2043, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product:add', '#', 'admin', '2023-08-22 17:16:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2046, 'ezhizao-identity-tenant', '产品修改', 2043, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product:edit', '#', 'admin', '2023-08-22 17:16:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2047, 'ezhizao-identity-tenant', '产品删除', 2043, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product:remove', '#', 'admin', '2023-08-22 17:16:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2048, 'ezhizao-identity-tenant', '产品导出', 2043, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product:export', '#', 'admin', '2023-08-22 17:16:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2049, 'ezhizao-identity-tenant', '组织架构', 0, 2, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-30 17:16:07', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2050, 'ezhizao-identity-tenant', '用户管理', 2049, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2023-04-25 16:48:09', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (2051, 'ezhizao-identity-tenant', '角色管理', 2049, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2023-04-25 16:48:09', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (2052, 'ezhizao-identity-tenant', '部门管理', 2049, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2023-04-25 16:48:09', 'admin', '2023-08-20 23:43:10', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (2053, 'ezhizao-identity-tenant', '岗位管理', 2049, 5, 'post', 'system/post/index', '', 1, 0, 'C', '1', '0', 'system:post:list', 'post', 'admin', '2023-04-25 16:48:09', 'admin', '2023-09-25 16:06:00', '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (2079, 'ezhizao-identity-tenant', '产品类目', 2030, 99, 'productDirectory', 'business/productDirectory/index', NULL, 1, 0, 'C', '1', '0', 'business:product_directory:list', '#', 'admin', '2023-08-23 17:01:27', 'admin', '2023-09-04 14:15:51', '商品类目菜单');
INSERT INTO `sys_menu` VALUES (2080, 'ezhizao-identity-tenant', '产品类目查询', 2079, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product_directory:query', '#', 'admin', '2023-08-23 17:01:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2081, 'ezhizao-identity-tenant', '产品类目新增', 2079, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product_directory:add', '#', 'admin', '2023-08-23 17:01:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2082, 'ezhizao-identity-tenant', '产品类目修改', 2079, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product_directory:edit', '#', 'admin', '2023-08-23 17:01:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2083, 'ezhizao-identity-tenant', '产品类目删除', 2079, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product_directory:remove', '#', 'admin', '2023-08-23 17:01:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2084, 'ezhizao-identity-tenant', '产品类目导出', 2079, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:product_directory:export', '#', 'admin', '2023-08-23 17:01:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2085, 'ezhizao-identity-tenant', '产品评论', 2030, 3, 'review', 'business/review/index', NULL, 1, 0, 'C', '0', '0', 'business:review:list', 'guide', 'admin', '2023-08-25 11:12:01', 'admin', '2023-09-04 14:17:49', '商品评论菜单');
INSERT INTO `sys_menu` VALUES (2086, 'ezhizao-identity-tenant', '产品评论查询', 2085, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:review:query', '#', 'admin', '2023-08-25 11:12:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2087, 'ezhizao-identity-tenant', '产品评论新增', 2085, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:review:add', '#', 'admin', '2023-08-25 11:12:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2088, 'ezhizao-identity-tenant', '产品评论修改', 2085, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:review:edit', '#', 'admin', '2023-08-25 11:12:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2089, 'ezhizao-identity-tenant', '产品评论删除', 2085, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:review:remove', '#', 'admin', '2023-08-25 11:12:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2090, 'ezhizao-identity-tenant', '产品评论导出', 2085, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:review:export', '#', 'admin', '2023-08-25 11:12:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2091, 'ezhizao-identity', '企业管理', 1, 1, 'tenant', 'business/tenant/index', NULL, 1, 0, 'C', '0', '0', 'business:tenant:list', 'chart', 'admin', '2023-08-25 11:29:53', 'admin', '2023-08-25 11:34:45', '企业管理');
INSERT INTO `sys_menu` VALUES (2092, 'ezhizao-identity', '企业查询', 2091, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenant:query', '#', 'admin', '2023-08-25 11:29:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2093, 'ezhizao-identity', '企业新增', 2091, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenant:add', '#', 'admin', '2023-08-25 11:29:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2094, 'ezhizao-identity', '企业修改', 2091, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenant:edit', '#', 'admin', '2023-08-25 11:29:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2095, 'ezhizao-identity', '企业删除', 2091, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenant:remove', '#', 'admin', '2023-08-25 11:29:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2096, 'ezhizao-identity', '企业导出', 2091, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:tenant:export', '#', 'admin', '2023-08-25 11:29:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2115, 'ezhizao-identity-tenant', '营销网点', 2030, 6, 'branch', 'business/branch/index', NULL, 1, 0, 'C', '0', '0', 'business:branch:list', 'server', 'admin', '2023-08-25 14:04:57', 'admin', '2023-09-04 14:18:20', '营销网点菜单');
INSERT INTO `sys_menu` VALUES (2116, 'ezhizao-identity-tenant', '营销网点查询', 2115, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:branch:query', '#', 'admin', '2023-08-25 14:04:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2117, 'ezhizao-identity-tenant', '营销网点新增', 2115, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:branch:add', '#', 'admin', '2023-08-25 14:04:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2118, 'ezhizao-identity-tenant', '营销网点修改', 2115, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:branch:edit', '#', 'admin', '2023-08-25 14:04:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2119, 'ezhizao-identity-tenant', '营销网点删除', 2115, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:branch:remove', '#', 'admin', '2023-08-25 14:04:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2120, 'ezhizao-identity-tenant', '营销网点导出', 2115, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:branch:export', '#', 'admin', '2023-08-25 14:04:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2127, 'ezhizao-identity-tenant', '产品手册模板', 2030, 4, 'manual', 'business/manual/index', NULL, 1, 0, 'C', '0', '0', 'business:manual:list', 'education', 'admin', '2023-08-25 15:55:46', 'admin', '2023-09-04 14:17:56', '商品手册模板菜单');
INSERT INTO `sys_menu` VALUES (2128, 'ezhizao-identity-tenant', '产品手册模板查询', 2127, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manual:query', '#', 'admin', '2023-08-25 15:55:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2129, 'ezhizao-identity-tenant', '产品手册模板新增', 2127, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manual:add', '#', 'admin', '2023-08-25 15:55:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2130, 'ezhizao-identity-tenant', '产品手册模板修改', 2127, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manual:edit', '#', 'admin', '2023-08-25 15:55:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2131, 'ezhizao-identity-tenant', '产品手册模板删除', 2127, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manual:remove', '#', 'admin', '2023-08-25 15:55:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2132, 'ezhizao-identity-tenant', '产品手册模板导出', 2127, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manual:export', '#', 'admin', '2023-08-25 15:55:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2133, 'ezhizao-identity-tenant', '企业信息', 2200, 0, 'companyInfo', 'business/tenant/form', NULL, 1, 0, 'C', '0', '0', 'business:tenant:list', 'chart', 'admin', '2023-08-25 16:20:12', 'admin', '2023-08-30 17:25:19', '');
INSERT INTO `sys_menu` VALUES (2134, 'ezhizao-identity-tenant', '模板详情名', 2127, 11, 'manualDetails', 'business/manualDetails/index', NULL, 1, 0, 'F', '1', '0', 'business:manualDetails:list', '#', 'admin', '2023-08-28 16:27:34', 'admin', '2023-08-31 15:31:33', '模板详情名菜单');
INSERT INTO `sys_menu` VALUES (2135, 'ezhizao-identity-tenant', '模板详情名查询', 2127, 6, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manualDetails:query', '#', 'admin', '2023-08-28 16:27:34', 'admin', '2023-08-31 15:30:08', '');
INSERT INTO `sys_menu` VALUES (2136, 'ezhizao-identity-tenant', '模板详情名新增', 2127, 7, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manualDetails:add', '#', 'admin', '2023-08-28 16:27:34', 'admin', '2023-08-31 15:30:23', '');
INSERT INTO `sys_menu` VALUES (2137, 'ezhizao-identity-tenant', '模板详情名修改', 2127, 8, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manualDetails:edit', '#', 'admin', '2023-08-28 16:27:34', 'admin', '2023-08-31 15:30:43', '');
INSERT INTO `sys_menu` VALUES (2138, 'ezhizao-identity-tenant', '模板详情名删除', 2127, 9, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manualDetails:remove', '#', 'admin', '2023-08-28 16:27:34', 'admin', '2023-08-31 15:30:55', '');
INSERT INTO `sys_menu` VALUES (2139, 'ezhizao-identity-tenant', '模板详情名导出', 2127, 10, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:manualDetails:export', '#', 'admin', '2023-08-28 16:27:34', 'admin', '2023-08-31 15:31:09', '');
INSERT INTO `sys_menu` VALUES (2140, 'ezhizao-identity-tenant', '模板路径', 2030, 99, 'productManual', 'business/productManual/index', NULL, 1, 0, 'C', '1', '0', 'business:productManual:list', '#', 'admin', '2023-08-28 16:29:00', 'admin', '2023-09-04 14:15:57', '模板路径菜单');
INSERT INTO `sys_menu` VALUES (2141, 'ezhizao-identity-tenant', '模板路径查询', 2140, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productManual:query', '#', 'admin', '2023-08-28 16:29:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2142, 'ezhizao-identity-tenant', '模板路径新增', 2140, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productManual:add', '#', 'admin', '2023-08-28 16:29:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2143, 'ezhizao-identity-tenant', '模板路径修改', 2140, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productManual:edit', '#', 'admin', '2023-08-28 16:29:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2144, 'ezhizao-identity-tenant', '模板路径删除', 2140, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productManual:remove', '#', 'admin', '2023-08-28 16:29:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2145, 'ezhizao-identity-tenant', '模板路径导出', 2140, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productManual:export', '#', 'admin', '2023-08-28 16:29:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2170, 'ezhizao-identity-tenant', '产品目录', 2030, 99, 'productCommodity', 'business/productCommodity/index', NULL, 1, 0, 'C', '1', '0', 'business:productCommodity:list', '#', 'admin', '2023-08-29 13:07:55', 'admin', '2023-09-04 14:16:02', '商品目录菜单');
INSERT INTO `sys_menu` VALUES (2171, 'ezhizao-identity-tenant', '产品目录查询', 2170, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCommodity:query', '#', 'admin', '2023-08-29 13:07:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2172, 'ezhizao-identity-tenant', '产品目录新增', 2170, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCommodity:add', '#', 'admin', '2023-08-29 13:07:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2173, 'ezhizao-identity-tenant', '产品目录修改', 2170, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCommodity:edit', '#', 'admin', '2023-08-29 13:07:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2174, 'ezhizao-identity-tenant', '产品目录删除', 2170, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCommodity:remove', '#', 'admin', '2023-08-29 13:07:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2175, 'ezhizao-identity-tenant', '产品目录导出', 2170, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productCommodity:export', '#', 'admin', '2023-08-29 13:07:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2176, '', '产品参数', 3, 1, 'param', 'business/param/index', NULL, 1, 0, 'C', '0', '0', 'business:param:list', '#', 'admin', '2023-08-29 14:18:03', '', NULL, '产品参数菜单');
INSERT INTO `sys_menu` VALUES (2177, '', '产品参数查询', 2176, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:query', '#', 'admin', '2023-08-29 14:18:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2178, '', '产品参数新增', 2176, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:add', '#', 'admin', '2023-08-29 14:18:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2179, '', '产品参数修改', 2176, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:edit', '#', 'admin', '2023-08-29 14:18:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2180, '', '产品参数删除', 2176, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:remove', '#', 'admin', '2023-08-29 14:18:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2181, '', '产品参数导出', 2176, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:export', '#', 'admin', '2023-08-29 14:18:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2182, '', '产品参数', 3, 1, 'param', 'business/param/index', NULL, 1, 0, 'C', '0', '0', 'business:param:list', '#', 'admin', '2023-08-29 15:11:33', '', NULL, '产品参数菜单');
INSERT INTO `sys_menu` VALUES (2183, '', '产品参数查询', 2182, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:query', '#', 'admin', '2023-08-29 15:11:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2184, '', '产品参数新增', 2182, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:add', '#', 'admin', '2023-08-29 15:11:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2185, '', '产品参数修改', 2182, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:edit', '#', 'admin', '2023-08-29 15:11:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2186, '', '产品参数删除', 2182, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:remove', '#', 'admin', '2023-08-29 15:11:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2187, '', '产品参数导出', 2182, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:export', '#', 'admin', '2023-08-29 15:11:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2188, '', '产品参数', 3, 1, 'param', 'business/param/index', NULL, 1, 0, 'C', '0', '0', 'business:param:list', '#', 'admin', '2023-08-29 15:13:48', '', NULL, '产品参数菜单');
INSERT INTO `sys_menu` VALUES (2189, '', '产品参数查询', 2188, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:query', '#', 'admin', '2023-08-29 15:13:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2190, '', '产品参数新增', 2188, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:add', '#', 'admin', '2023-08-29 15:13:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2191, '', '产品参数修改', 2188, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:edit', '#', 'admin', '2023-08-29 15:13:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2192, '', '产品参数删除', 2188, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:remove', '#', 'admin', '2023-08-29 15:13:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2193, '', '产品参数导出', 2188, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:export', '#', 'admin', '2023-08-29 15:13:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2194, 'ezhizao-identity-tenant', '产品参数', 2030, 99, 'param', 'business/param/index', NULL, 1, 0, 'C', '1', '0', 'business:param:list', '#', 'admin', '2023-08-29 15:17:08', 'admin', '2023-09-04 14:16:07', '产品参数菜单');
INSERT INTO `sys_menu` VALUES (2195, 'ezhizao-identity-tenant', '产品参数查询', 2194, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:query', '#', 'admin', '2023-08-29 15:17:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2196, 'ezhizao-identity-tenant', '产品参数新增', 2194, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:add', '#', 'admin', '2023-08-29 15:17:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2197, 'ezhizao-identity-tenant', '产品参数修改', 2194, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:edit', '#', 'admin', '2023-08-29 15:17:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2198, 'ezhizao-identity-tenant', '产品参数删除', 2194, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:remove', '#', 'admin', '2023-08-29 15:17:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2199, 'ezhizao-identity-tenant', '产品参数导出', 2194, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:param:export', '#', 'admin', '2023-08-29 15:17:08', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2200, 'ezhizao-identity-tenant', '企业管理', 0, 3, 'tenant', NULL, NULL, 1, 0, 'M', '0', '0', '', 'company', 'admin', '2023-08-30 17:13:17', 'admin', '2023-08-30 17:26:45', '');
INSERT INTO `sys_menu` VALUES (2201, 'ezhizao-identity-tenant', '个人管理', 0, 9, 'self', NULL, NULL, 1, 0, 'M', '0', '0', '', 'user', 'admin', '2023-08-30 17:17:32', 'admin', '2023-08-30 17:25:59', '');
INSERT INTO `sys_menu` VALUES (2202, 'ezhizao-identity-tenant', '个人信息', 2201, 1, 'profile', 'system/user/profile/index', '', 1, 0, 'C', '0', '0', '', 'documentation', 'admin', '2023-08-30 17:19:26', 'admin', '2023-08-30 17:27:47', '');
INSERT INTO `sys_menu` VALUES (2203, 'ezhizao-identity-tenant', '我的企业', 2201, 2, 'company', 'system/user/tenant/index', NULL, 1, 0, 'C', '0', '0', '', 'company', 'admin', '2023-08-30 17:19:57', 'admin', '2023-08-30 17:29:24', '');
INSERT INTO `sys_menu` VALUES (2204, 'ezhizao-identity-tenant', '企业展厅', 2200, 3, 'store', 'business/store/index', NULL, 1, 0, 'C', '0', '0', 'business:store:list', 'monitor', 'admin', '2023-08-31 08:47:57', 'admin', '2023-09-04 14:10:53', '店铺装修菜单');
INSERT INTO `sys_menu` VALUES (2205, 'ezhizao-identity-tenant', '店铺装修查询', 2204, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:store:query', '#', 'admin', '2023-08-31 08:47:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2206, 'ezhizao-identity-tenant', '店铺装修新增', 2204, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:store:add', '#', 'admin', '2023-08-31 08:47:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2207, 'ezhizao-identity-tenant', '店铺装修修改', 2204, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:store:edit', '#', 'admin', '2023-08-31 08:47:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2208, 'ezhizao-identity-tenant', '店铺装修删除', 2204, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:store:remove', '#', 'admin', '2023-08-31 08:47:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2209, 'ezhizao-identity-tenant', '店铺装修导出', 2204, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:store:export', '#', 'admin', '2023-08-31 08:47:57', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2210, 'ezhizao-identity-tenant', '溯源管理', 0, 6, 'flow', NULL, NULL, 1, 0, 'M', '0', '0', '', 'example', 'admin', '2023-08-31 14:51:52', 'admin', '2023-09-01 15:10:20', '');
INSERT INTO `sys_menu` VALUES (2229, 'ezhizao-identity-tenant', '流程参数模板', 2210, 2, 'flowParamTmp', 'business/flowParamTmp/index', NULL, 1, 0, 'C', '0', '0', 'business:flowParamTmp:list', 'row', 'admin', '2023-08-31 15:43:55', 'admin', '2023-09-04 14:14:56', '流程参数(模板)菜单');
INSERT INTO `sys_menu` VALUES (2230, 'ezhizao-identity-tenant', '流程参数查询', 2229, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamTmp:query', '#', 'admin', '2023-08-31 15:43:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2231, 'ezhizao-identity-tenant', '流程参数新增', 2229, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamTmp:add', '#', 'admin', '2023-08-31 15:43:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2232, 'ezhizao-identity-tenant', '流程参数修改', 2229, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamTmp:edit', '#', 'admin', '2023-08-31 15:43:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2233, 'ezhizao-identity-tenant', '流程参数删除', 2229, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamTmp:remove', '#', 'admin', '2023-08-31 15:43:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2234, 'ezhizao-identity-tenant', '流程参数导出', 2229, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamTmp:export', '#', 'admin', '2023-08-31 15:43:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2241, 'ezhizao-identity-tenant', '加入审批', 2200, 2, 'audit', 'business/tenant/audit', NULL, 1, 0, 'C', '0', '0', '', 'peoples', 'admin', '2023-08-31 16:29:03', 'admin', '2023-08-31 17:36:36', '');
INSERT INTO `sys_menu` VALUES (2242, 'ezhizao-identity-tenant', '我的申请', 2201, 3, 'apply', 'system/user/apply/index', NULL, 1, 0, 'C', '0', '0', '', 'list', 'admin', '2023-08-31 16:30:02', 'admin', '2023-08-31 17:10:38', '');
INSERT INTO `sys_menu` VALUES (2243, 'ezhizao-identity-tenant', '企业加入申请列表', 2242, 1, 'apply', 'tenant/apply/index', NULL, 1, 0, 'F', '0', '0', 'tenant:apply:list', '#', 'admin', '2023-08-31 17:29:04', 'admin', '2023-08-31 17:32:15', '企业加入申请记录菜单');
INSERT INTO `sys_menu` VALUES (2244, 'ezhizao-identity-tenant', '企业加入申请记录查询', 2242, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'tenant:apply:query', '#', 'admin', '2023-08-31 17:29:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2245, 'ezhizao-identity-tenant', '企业加入申请记录新增', 2242, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'tenant:apply:add', '#', 'admin', '2023-08-31 17:29:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2246, 'ezhizao-identity-tenant', '企业加入申请记录修改', 2242, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'tenant:apply:edit', '#', 'admin', '2023-08-31 17:29:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2247, 'ezhizao-identity-tenant', '企业加入申请记录删除', 2242, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'tenant:apply:remove', '#', 'admin', '2023-08-31 17:29:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2248, 'ezhizao-identity-tenant', '企业加入申请记录导出', 2242, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'tenant:apply:export', '#', 'admin', '2023-08-31 17:29:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2249, 'ezhizao-identity-tenant', '流程管理', 2210, 1, 'flow', 'business/flow/index', NULL, 1, 0, 'C', '0', '0', 'business:flow:list', 'slider', 'admin', '2023-09-01 13:26:30', 'admin', '2023-09-04 14:14:47', '流程菜单');
INSERT INTO `sys_menu` VALUES (2250, 'ezhizao-identity-tenant', '流程查询', 2249, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flow:query', '#', 'admin', '2023-09-01 13:26:30', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2251, 'ezhizao-identity-tenant', '流程新增', 2249, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flow:add', '#', 'admin', '2023-09-01 13:26:30', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2252, 'ezhizao-identity-tenant', '流程修改', 2249, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flow:edit', '#', 'admin', '2023-09-01 13:26:30', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2253, 'ezhizao-identity-tenant', '流程删除', 2249, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flow:remove', '#', 'admin', '2023-09-01 13:26:30', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2254, 'ezhizao-identity-tenant', '流程导出', 2249, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flow:export', '#', 'admin', '2023-09-01 13:26:30', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2255, 'ezhizao-identity-tenant', '产品购买链接', 2030, 99, 'productLink', 'business/productLink/index', NULL, 1, 0, 'C', '0', '0', 'business:productLink:list', '#', 'admin', '2023-09-01 14:12:28', 'admin', '2023-09-04 14:16:11', '商品购买链接菜单');
INSERT INTO `sys_menu` VALUES (2256, 'ezhizao-identity-tenant', '产品购买链接查询', 2255, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productLink:query', '#', 'admin', '2023-09-01 14:12:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2257, 'ezhizao-identity-tenant', '产品购买链接新增', 2255, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productLink:add', '#', 'admin', '2023-09-01 14:12:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2258, 'ezhizao-identity-tenant', '产品购买链接修改', 2255, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productLink:edit', '#', 'admin', '2023-09-01 14:12:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2259, 'ezhizao-identity-tenant', '产品购买链接删除', 2255, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productLink:remove', '#', 'admin', '2023-09-01 14:12:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2260, 'ezhizao-identity-tenant', '产品购买链接导出', 2255, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productLink:export', '#', 'admin', '2023-09-01 14:12:28', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2261, 'ezhizao-identity-tenant', '流程参数', 2249, 1, 'flowParam', 'business/flowParam/index', NULL, 1, 0, 'F', '0', '0', 'business:flowParam:list', '#', 'admin', '2023-09-04 13:43:26', 'admin', '2023-09-04 14:13:47', '流程参数菜单');
INSERT INTO `sys_menu` VALUES (2262, 'ezhizao-identity-tenant', '流程参数查询', 2261, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParam:query', '#', 'admin', '2023-09-04 13:43:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2263, 'ezhizao-identity-tenant', '流程参数新增', 2261, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParam:add', '#', 'admin', '2023-09-04 13:43:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2264, 'ezhizao-identity-tenant', '流程参数修改', 2261, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParam:edit', '#', 'admin', '2023-09-04 13:43:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2265, 'ezhizao-identity-tenant', '流程参数删除', 2261, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParam:remove', '#', 'admin', '2023-09-04 13:43:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2266, 'ezhizao-identity-tenant', '流程参数导出', 2261, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParam:export', '#', 'admin', '2023-09-04 13:43:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2267, 'ezhizao-identity-tenant', '流程参数明细', 2249, 1, 'flowParamDetails', 'business/flowParamDetails/index', NULL, 1, 0, 'F', '0', '0', 'business:flowParamDetails:list', '#', 'admin', '2023-09-04 13:46:05', 'admin', '2023-09-04 14:13:57', '流程参数明细菜单');
INSERT INTO `sys_menu` VALUES (2268, 'ezhizao-identity-tenant', '流程参数明细查询', 2267, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamDetails:query', '#', 'admin', '2023-09-04 13:46:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2269, 'ezhizao-identity-tenant', '流程参数明细新增', 2267, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamDetails:add', '#', 'admin', '2023-09-04 13:46:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2270, 'ezhizao-identity-tenant', '流程参数明细修改', 2267, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamDetails:edit', '#', 'admin', '2023-09-04 13:46:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2271, 'ezhizao-identity-tenant', '流程参数明细删除', 2267, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamDetails:remove', '#', 'admin', '2023-09-04 13:46:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2272, 'ezhizao-identity-tenant', '流程参数明细导出', 2267, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:flowParamDetails:export', '#', 'admin', '2023-09-04 13:46:06', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2273, 'ezhizao-identity-tenant', '用码管理', 0, 7, 'qrCode', NULL, NULL, 1, 0, 'M', '0', '0', '', 'phone', 'admin', '2023-09-05 16:21:13', 'admin', '2023-09-05 16:24:04', '');
INSERT INTO `sys_menu` VALUES (2274, 'ezhizao-identity-tenant', '产品批次', 2273, 1, 'productBatch', 'business/productBatch/index', NULL, 1, 0, 'C', '0', '0', 'business:productBatch:list', 'documentation', 'admin', '2023-09-05 16:30:03', 'admin', '2023-09-05 16:47:32', '产品批次菜单');
INSERT INTO `sys_menu` VALUES (2275, 'ezhizao-identity-tenant', '产品批次查询', 2274, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatch:query', '#', 'admin', '2023-09-05 16:30:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2276, 'ezhizao-identity-tenant', '产品批次新增', 2274, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatch:add', '#', 'admin', '2023-09-05 16:30:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2277, 'ezhizao-identity-tenant', '产品批次修改', 2274, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatch:edit', '#', 'admin', '2023-09-05 16:30:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2278, 'ezhizao-identity-tenant', '产品批次删除', 2274, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatch:remove', '#', 'admin', '2023-09-05 16:30:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2279, 'ezhizao-identity-tenant', '产品批次导出', 2274, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatch:export', '#', 'admin', '2023-09-05 16:30:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2280, 'ezhizao-identity-tenant', '流程参数', 2273, 1, 'productBatchFlowParam', 'business/productBatchFlowParam/index', NULL, 1, 0, 'C', '1', '0', 'business:productBatchFlowParam:list', 'cascader', 'admin', '2023-09-05 17:26:35', 'admin', '2023-09-07 13:30:38', '流程参数菜单');
INSERT INTO `sys_menu` VALUES (2281, 'ezhizao-identity-tenant', '流程参数查询', 2280, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParam:query', '#', 'admin', '2023-09-05 17:26:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2282, 'ezhizao-identity-tenant', '流程参数新增', 2280, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParam:add', '#', 'admin', '2023-09-05 17:26:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2283, 'ezhizao-identity-tenant', '流程参数修改', 2280, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParam:edit', '#', 'admin', '2023-09-05 17:26:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2284, 'ezhizao-identity-tenant', '流程参数删除', 2280, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParam:remove', '#', 'admin', '2023-09-05 17:26:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2285, 'ezhizao-identity-tenant', '流程参数导出', 2280, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParam:export', '#', 'admin', '2023-09-05 17:26:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2286, 'ezhizao-identity-tenant', '批次流程详情', 2273, 1, 'productBatchFlowParamDetails', 'business/productBatchFlowParamDetails/index', NULL, 1, 0, 'C', '1', '0', 'business:productBatchFlowParamDetails:list', 'redis-list', 'admin', '2023-09-05 17:34:27', 'admin', '2023-09-06 08:52:01', '批次流程详情菜单');
INSERT INTO `sys_menu` VALUES (2287, 'ezhizao-identity-tenant', '批次流程详情查询', 2286, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParamDetails:query', '#', 'admin', '2023-09-05 17:34:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2288, 'ezhizao-identity-tenant', '批次流程详情新增', 2286, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParamDetails:add', '#', 'admin', '2023-09-05 17:34:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2289, 'ezhizao-identity-tenant', '批次流程详情修改', 2286, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParamDetails:edit', '#', 'admin', '2023-09-05 17:34:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2290, 'ezhizao-identity-tenant', '批次流程详情删除', 2286, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParamDetails:remove', '#', 'admin', '2023-09-05 17:34:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2291, 'ezhizao-identity-tenant', '批次流程详情导出', 2286, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchFlowParamDetails:export', '#', 'admin', '2023-09-05 17:34:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2292, 'ezhizao-identity-tenant', '产品批次下 一物一码 实体映射', 2273, 1, 'productBatchItem', 'business/productBatchItem/index', NULL, 1, 0, 'C', '1', '0', 'business:productBatchItem:list', '#', 'admin', '2023-09-06 17:32:37', 'admin', '2023-09-07 09:26:10', '产品批次下 一物一码 实体映射菜单');
INSERT INTO `sys_menu` VALUES (2293, 'ezhizao-identity-tenant', '产品批次下 一物一码 实体映射查询', 2292, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchItem:query', '#', 'admin', '2023-09-06 17:32:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2294, 'ezhizao-identity-tenant', '产品批次下 一物一码 实体映射新增', 2292, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchItem:add', '#', 'admin', '2023-09-06 17:32:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2295, 'ezhizao-identity-tenant', '产品批次下 一物一码 实体映射修改', 2292, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchItem:edit', '#', 'admin', '2023-09-06 17:32:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2296, 'ezhizao-identity-tenant', '产品批次下 一物一码 实体映射删除', 2292, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchItem:remove', '#', 'admin', '2023-09-06 17:32:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2297, 'ezhizao-identity-tenant', '产品批次下 一物一码 实体映射导出', 2292, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:productBatchItem:export', '#', 'admin', '2023-09-06 17:32:37', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2298, 'ezhizao-identity-tenant', '市场保护', 0, 3, 'marketProtection', NULL, NULL, 1, 0, 'M', '0', '0', '', 'guide', 'admin', '2023-09-07 17:32:52', 'admin', '2023-09-07 17:35:04', '');
INSERT INTO `sys_menu` VALUES (2299, 'ezhizao-plugin-visitor', '插件管理', 0, 5, 'PluginList', 'system/plugin/List', NULL, 1, 0, 'C', '0', '0', '', 'clipboard', 'admin', '2023-09-08 13:51:49', 'admin', '2023-09-08 14:16:07', '');
INSERT INTO `sys_menu` VALUES (2306, 'ezhizao-identity-tenant', '在线留言', 2200, 9, 'message', 'business/message/index', NULL, 1, 0, 'C', '0', '0', 'business:message:list', 'email', 'admin', '2023-09-08 15:13:29', 'admin', '2023-09-12 11:19:12', '留言菜单');
INSERT INTO `sys_menu` VALUES (2307, 'ezhizao-identity-tenant', '留言查询', 2306, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:message:query', '#', 'admin', '2023-09-08 15:13:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2308, 'ezhizao-identity-tenant', '留言新增', 2306, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:message:add', '#', 'admin', '2023-09-08 15:13:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2309, 'ezhizao-identity-tenant', '留言修改', 2306, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:message:edit', '#', 'admin', '2023-09-08 15:13:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2310, 'ezhizao-identity-tenant', '留言删除', 2306, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:message:remove', '#', 'admin', '2023-09-08 15:13:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2311, 'ezhizao-identity-tenant', '留言导出', 2306, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:message:export', '#', 'admin', '2023-09-08 15:13:29', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2318, 'ezhizao-identity-tenant', '鉴伪规则', 2298, 1, 'rules', 'business/rules/index', NULL, 1, 0, 'C', '0', '0', 'business:rules:list', 'drag', 'admin', '2023-09-11 11:12:47', 'admin', '2023-09-12 11:21:56', '鉴伪规则菜单');
INSERT INTO `sys_menu` VALUES (2319, 'ezhizao-identity-tenant', '鉴伪规则查询', 2318, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:rules:query', '#', 'admin', '2023-09-11 11:12:47', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2320, 'ezhizao-identity-tenant', '鉴伪规则新增', 2318, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:rules:add', '#', 'admin', '2023-09-11 11:12:47', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2321, 'ezhizao-identity-tenant', '鉴伪规则修改', 2318, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:rules:edit', '#', 'admin', '2023-09-11 11:12:47', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2322, 'ezhizao-identity-tenant', '鉴伪规则删除', 2318, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:rules:remove', '#', 'admin', '2023-09-11 11:12:47', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2323, 'ezhizao-identity-tenant', '鉴伪规则导出', 2318, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:rules:export', '#', 'admin', '2023-09-11 11:12:47', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2324, 'ezhizao-identity-tenant', '鉴伪数据', 2298, 1, 'record', 'business/record/index', NULL, 1, 0, 'C', '0', '0', 'business:record:list', 'chart', 'admin', '2023-09-11 15:14:54', 'admin', '2023-09-12 11:22:05', '鉴伪数据菜单');
INSERT INTO `sys_menu` VALUES (2325, 'ezhizao-identity-tenant', '鉴伪数据查询', 2324, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:record:query', '#', 'admin', '2023-09-11 15:14:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2326, 'ezhizao-identity-tenant', '鉴伪数据新增', 2324, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:record:add', '#', 'admin', '2023-09-11 15:14:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2327, 'ezhizao-identity-tenant', '鉴伪数据修改', 2324, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:record:edit', '#', 'admin', '2023-09-11 15:14:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2328, 'ezhizao-identity-tenant', '鉴伪数据删除', 2324, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:record:remove', '#', 'admin', '2023-09-11 15:14:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2329, 'ezhizao-identity-tenant', '鉴伪数据导出', 2324, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:record:export', '#', 'admin', '2023-09-11 15:14:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2330, 'ezhizao-identity-tenant', '溯源数据', 2298, 1, 'traceRecord', 'business/traceRecord/index', NULL, 1, 0, 'C', '0', '0', 'business:traceRecord:list', 'chart', 'admin', '2023-09-11 15:22:41', 'admin', '2023-09-12 11:24:59', '溯源数据菜单');
INSERT INTO `sys_menu` VALUES (2331, 'ezhizao-identity-tenant', '溯源数据查询', 2330, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:traceRecord:query', '#', 'admin', '2023-09-11 15:22:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2332, 'ezhizao-identity-tenant', '溯源数据新增', 2330, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:traceRecord:add', '#', 'admin', '2023-09-11 15:22:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2333, 'ezhizao-identity-tenant', '溯源数据修改', 2330, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:traceRecord:edit', '#', 'admin', '2023-09-11 15:22:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2334, 'ezhizao-identity-tenant', '溯源数据删除', 2330, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:traceRecord:remove', '#', 'admin', '2023-09-11 15:22:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2335, 'ezhizao-identity-tenant', '溯源数据导出', 2330, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:traceRecord:export', '#', 'admin', '2023-09-11 15:22:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2336, 'ezhizao-identity-tenant', '微信扫码统计', 2298, 1, 'wxScanRecord', 'business/wxScanRecord/index', NULL, 1, 0, 'C', '0', '0', 'business:wxScanRecord:list', 'list', 'admin', '2023-09-11 15:26:59', 'admin', '2023-09-12 11:25:24', '微信扫码统计菜单');
INSERT INTO `sys_menu` VALUES (2337, 'ezhizao-identity-tenant', '微信扫码统计查询', 2336, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:wxScanRecord:query', '#', 'admin', '2023-09-11 15:26:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2338, 'ezhizao-identity-tenant', '微信扫码统计新增', 2336, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:wxScanRecord:add', '#', 'admin', '2023-09-11 15:26:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2339, 'ezhizao-identity-tenant', '微信扫码统计修改', 2336, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:wxScanRecord:edit', '#', 'admin', '2023-09-11 15:26:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2340, 'ezhizao-identity-tenant', '微信扫码统计删除', 2336, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:wxScanRecord:remove', '#', 'admin', '2023-09-11 15:26:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2341, 'ezhizao-identity-tenant', '微信扫码统计导出', 2336, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:wxScanRecord:export', '#', 'admin', '2023-09-11 15:26:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2342, 'ezhizao-identity-tenant', '防窜管理', 0, 4, 'flee', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'nested', 'admin', '2023-09-12 14:46:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2343, 'ezhizao-identity-tenant', '窜货记录', 2342, 1, 'fleeRecord', 'business/fleeRecord/index', NULL, 1, 0, 'C', '0', '0', 'business:fleeRecord:list', 'log', 'admin', '2023-09-13 08:54:51', 'admin', '2023-09-13 09:23:05', '商品窜货记录菜单');
INSERT INTO `sys_menu` VALUES (2344, 'ezhizao-identity-tenant', '商品窜货记录查询', 2343, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:fleeRecord:query', '#', 'admin', '2023-09-13 08:54:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2345, 'ezhizao-identity-tenant', '商品窜货记录新增', 2343, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:fleeRecord:add', '#', 'admin', '2023-09-13 08:54:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2346, 'ezhizao-identity-tenant', '商品窜货记录修改', 2343, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:fleeRecord:edit', '#', 'admin', '2023-09-13 08:54:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2347, 'ezhizao-identity-tenant', '商品窜货记录删除', 2343, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:fleeRecord:remove', '#', 'admin', '2023-09-13 08:54:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2348, 'ezhizao-identity-tenant', '商品窜货记录导出', 2343, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:fleeRecord:export', '#', 'admin', '2023-09-13 08:54:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2349, 'ezhizao-identity-tenant', '区域配置', 2342, 1, 'region', 'business/region/index', NULL, 1, 0, 'C', '0', '0', 'business:region:list', 'example', 'admin', '2023-09-13 09:21:55', 'admin', '2023-09-13 09:22:55', '区域配置菜单');
INSERT INTO `sys_menu` VALUES (2350, 'ezhizao-identity-tenant', '区域配置查询', 2349, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:region:query', '#', 'admin', '2023-09-13 09:21:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2351, 'ezhizao-identity-tenant', '区域配置新增', 2349, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:region:add', '#', 'admin', '2023-09-13 09:21:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2352, 'ezhizao-identity-tenant', '区域配置修改', 2349, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:region:edit', '#', 'admin', '2023-09-13 09:21:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2353, 'ezhizao-identity-tenant', '区域配置删除', 2349, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:region:remove', '#', 'admin', '2023-09-13 09:21:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2354, 'ezhizao-identity-tenant', '区域配置导出', 2349, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:region:export', '#', 'admin', '2023-09-13 09:21:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2355, 'ezhizao-identity-tenant', '流量用户', 2030, 1, 'wxUser', 'business/user/index', NULL, 1, 0, 'C', '1', '0', 'business:user:list', '#', 'admin', '2023-09-19 11:54:47', 'admin', '2023-09-19 13:42:33', '流量用户菜单');
INSERT INTO `sys_menu` VALUES (2356, 'ezhizao-identity-tenant', '流量用户查询', 2355, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:user:query', '#', 'admin', '2023-09-19 11:54:47', 'admin', '2023-09-19 11:58:37', '');
INSERT INTO `sys_menu` VALUES (2357, 'ezhizao-identity-tenant', '流量用户新增', 2355, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:user:add', '#', 'admin', '2023-09-19 11:54:47', 'admin', '2023-09-19 11:58:48', '');
INSERT INTO `sys_menu` VALUES (2358, 'ezhizao-identity-tenant', '流量用户修改', 2355, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:user:edit', '#', 'admin', '2023-09-19 11:54:47', 'admin', '2023-09-19 11:58:56', '');
INSERT INTO `sys_menu` VALUES (2359, 'ezhizao-identity-tenant', '流量用户删除', 2355, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:user:remove', '#', 'admin', '2023-09-19 11:54:47', 'admin', '2023-09-19 11:59:03', '');
INSERT INTO `sys_menu` VALUES (2360, 'ezhizao-identity-tenant', '流量用户导出', 2355, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:user:export', '#', 'admin', '2023-09-19 11:54:47', 'admin', '2023-09-19 11:59:10', '');
INSERT INTO `sys_menu` VALUES (2361, 'ezhizao-identity-tenant', '来访申请审批权限', 2364, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'audit', '#', 'admin', '2023-09-28 10:35:12', 'admin', '2023-09-28 10:49:04', '');
INSERT INTO `sys_menu` VALUES (2362, 'ezhizao-identity-tenant', '访客离开签字确认权限', 2364, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'leave:confirm', '#', 'admin', '2023-09-28 10:36:29', 'admin', '2023-09-28 10:52:51', '');
INSERT INTO `sys_menu` VALUES (2363, 'ezhizao-identity-tenant', '应用权限配置', 0, 99, 'app', NULL, NULL, 1, 0, 'F', '1', '0', 'app', '#', 'admin', '2023-09-28 10:45:24', 'admin', '2023-09-28 10:46:07', '');
INSERT INTO `sys_menu` VALUES (2364, 'ezhizao-identity-tenant', '访客系统权限', 2363, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'visitor', '#', 'admin', '2023-09-28 10:45:57', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2023-04-25 16:48:09', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2023-04-25 16:48:09', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3938 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '菜单管理', 3, 'com.ruoyi.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2023-04-25 16:52:44');
INSERT INTO `sys_oper_log` VALUES (101, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"tool/build/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"build\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":115,\"menuName\":\"表单构建\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":3,\"path\":\"build\",\"perms\":\"tool:build:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-25 16:52:50');
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 3, 'com.ruoyi.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2023-04-25 17:30:41');
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuId\":4,\"menuName\":\"若依官网\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"http://ruoyi.vip\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-25 17:30:46');
INSERT INTO `sys_oper_log` VALUES (104, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-25 17:31:02');
INSERT INTO `sys_oper_log` VALUES (105, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"equipment\",\"className\":\"BizEquipment\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 17:31:01\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"部门 id\",\"columnId\":2,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 17:31:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CompanyId\",\"columnComment\":\"公司 id\",\"columnId\":3,\"columnName\":\"company_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 17:31:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"companyId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BizEquipmentCategoryId\",\"columnComment\":\"设备类别id\",\"columnId\":4,\"columnName\":\"biz_equipment_category_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 17:31:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:21:05');
INSERT INTO `sys_oper_log` VALUES (106, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-26 09:21:09');
INSERT INTO `sys_oper_log` VALUES (107, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-26 09:21:48');
INSERT INTO `sys_oper_log` VALUES (108, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/1', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:22:41');
INSERT INTO `sys_oper_log` VALUES (109, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:23:57');
INSERT INTO `sys_oper_log` VALUES (110, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:28:50');
INSERT INTO `sys_oper_log` VALUES (111, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/2,3', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:28:55');
INSERT INTO `sys_oper_log` VALUES (112, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:29:01');
INSERT INTO `sys_oper_log` VALUES (113, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:33:35');
INSERT INTO `sys_oper_log` VALUES (114, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:33:40');
INSERT INTO `sys_oper_log` VALUES (115, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/5', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:37:06');
INSERT INTO `sys_oper_log` VALUES (116, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:42:44');
INSERT INTO `sys_oper_log` VALUES (117, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/6', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:44:07');
INSERT INTO `sys_oper_log` VALUES (118, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:44:11');
INSERT INTO `sys_oper_log` VALUES (119, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/7', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:45:19');
INSERT INTO `sys_oper_log` VALUES (120, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:45:28');
INSERT INTO `sys_oper_log` VALUES (121, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/8', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:47:27');
INSERT INTO `sys_oper_log` VALUES (122, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:52:39');
INSERT INTO `sys_oper_log` VALUES (123, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/9', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:53:01');
INSERT INTO `sys_oper_log` VALUES (124, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:53:16');
INSERT INTO `sys_oper_log` VALUES (125, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/10', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:55:05');
INSERT INTO `sys_oper_log` VALUES (126, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 09:55:10');
INSERT INTO `sys_oper_log` VALUES (127, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-26 09:55:25');
INSERT INTO `sys_oper_log` VALUES (128, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/11', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:01:17');
INSERT INTO `sys_oper_log` VALUES (129, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:01:21');
INSERT INTO `sys_oper_log` VALUES (130, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"equipment\",\"className\":\"BizEquipment\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":166,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-04-26 10:01:20\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"部门 id\",\"columnId\":167,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-04-26 10:01:20\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CompanyId\",\"columnComment\":\"公司 id\",\"columnId\":168,\"columnName\":\"company_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-04-26 10:01:20\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"companyId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BizEquipmentCategoryId\",\"columnComment\":\"设备类别id\",\"columnId\":169,\"columnName\":\"biz_equipment_category_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-04-26 10:01:20\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isR', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:01:38');
INSERT INTO `sys_oper_log` VALUES (131, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-26 10:01:41');
INSERT INTO `sys_oper_log` VALUES (132, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/12', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:04:28');
INSERT INTO `sys_oper_log` VALUES (133, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:04:34');
INSERT INTO `sys_oper_log` VALUES (134, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-26 10:04:40');
INSERT INTO `sys_oper_log` VALUES (135, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/13', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:06:46');
INSERT INTO `sys_oper_log` VALUES (136, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:07:22');
INSERT INTO `sys_oper_log` VALUES (137, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/14', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:09:41');
INSERT INTO `sys_oper_log` VALUES (138, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:09:59');
INSERT INTO `sys_oper_log` VALUES (139, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/15', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:43:46');
INSERT INTO `sys_oper_log` VALUES (140, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 10:43:51');
INSERT INTO `sys_oper_log` VALUES (141, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/16', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 11:25:38');
INSERT INTO `sys_oper_log` VALUES (142, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-26 11:25:42');
INSERT INTO `sys_oper_log` VALUES (143, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-26 11:25:44');
INSERT INTO `sys_oper_log` VALUES (144, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/17', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 08:49:15');
INSERT INTO `sys_oper_log` VALUES (145, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 08:49:20');
INSERT INTO `sys_oper_log` VALUES (146, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-27 08:49:23');
INSERT INTO `sys_oper_log` VALUES (147, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/18', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:18:20');
INSERT INTO `sys_oper_log` VALUES (148, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:18:27');
INSERT INTO `sys_oper_log` VALUES (149, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/19', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:20:59');
INSERT INTO `sys_oper_log` VALUES (150, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:21:04');
INSERT INTO `sys_oper_log` VALUES (151, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/20', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:21:52');
INSERT INTO `sys_oper_log` VALUES (152, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:21:57');
INSERT INTO `sys_oper_log` VALUES (153, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-27 09:22:20');
INSERT INTO `sys_oper_log` VALUES (154, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/21', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:27:43');
INSERT INTO `sys_oper_log` VALUES (155, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:27:47');
INSERT INTO `sys_oper_log` VALUES (156, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-27 09:27:57');
INSERT INTO `sys_oper_log` VALUES (157, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/22', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:34:36');
INSERT INTO `sys_oper_log` VALUES (158, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_equipment\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:34:42');
INSERT INTO `sys_oper_log` VALUES (159, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-04-27 09:34:48');
INSERT INTO `sys_oper_log` VALUES (160, '设备档案', 3, 'com.ruoyi.project.business.controller.EquipmentController.remove()', 'DELETE', 1, 'admin', NULL, '/business/equipment/1622770528546914305,1622771078231425026', '127.0.0.1', '内网IP', '{}', NULL, 1, 'com.ruoyi.project.business.mapper.EquipmentMapper.deleteById (batch index #1) failed. Cause: java.sql.BatchUpdateException: Table \'ezhizao_template.equipment\' doesn\'t exist\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Table \'ezhizao_template.equipment\' doesn\'t exist', '2023-04-27 09:39:10');
INSERT INTO `sys_oper_log` VALUES (161, '设备档案', 3, 'com.ruoyi.project.business.controller.EquipmentController.remove()', 'DELETE', 1, 'admin', NULL, '/business/equipment/1622770528546914305,1622771078231425026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:42:30');
INSERT INTO `sys_oper_log` VALUES (162, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_employee\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:44:39');
INSERT INTO `sys_oper_log` VALUES (163, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_employee\"}', NULL, 0, NULL, '2023-04-27 09:44:42');
INSERT INTO `sys_oper_log` VALUES (164, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/24', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:50:55');
INSERT INTO `sys_oper_log` VALUES (165, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_employee\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-04-27 09:51:00');
INSERT INTO `sys_oper_log` VALUES (166, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_employee\"}', NULL, 0, NULL, '2023-04-27 09:51:03');
INSERT INTO `sys_oper_log` VALUES (167, '员工', 5, 'com.ruoyi.project.business.controller.EmployeeController.export()', 'POST', 1, 'admin', NULL, '/business/employee/export', '127.0.0.1', '内网IP', '{\"params\":{}}', NULL, 0, NULL, '2023-04-27 09:54:07');
INSERT INTO `sys_oper_log` VALUES (168, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_equipment\"}', NULL, 0, NULL, '2023-06-16 09:32:45');
INSERT INTO `sys_oper_log` VALUES (169, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:18\",\"creatorId\":1,\"id\":1677225009097568257,\"name\":\"设备6\",\"num\":10,\"params\":{},\"sort\":1,\"standard\":\"设备6\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:56:19');
INSERT INTO `sys_oper_log` VALUES (170, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:24\",\"creatorId\":1,\"id\":1677225035949502466,\"name\":\"21312\",\"num\":123123,\"params\":{},\"sort\":312,\"standard\":\"3123\"}', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'num\' at row 1\r\n### The error may exist in com/ruoyi/project/business/mapper/EquipmentMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.EquipmentMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_equipment  ( id,    name, standard, num, sort, create_time,  creator_id )  VALUES  ( ?,    ?, ?, ?, ?, ?,  ? )\r\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'num\' at row 1\n; Data truncation: Out of range value for column \'num\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'num\' at row 1', '2023-07-07 15:56:25');
INSERT INTO `sys_oper_log` VALUES (171, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:28\",\"creatorId\":1,\"id\":1677225052475060226,\"name\":\"21312\",\"num\":123123,\"params\":{},\"sort\":1,\"standard\":\"3123\"}', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'num\' at row 1\r\n### The error may exist in com/ruoyi/project/business/mapper/EquipmentMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.EquipmentMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_equipment  ( id,    name, standard, num, sort, create_time,  creator_id )  VALUES  ( ?,    ?, ?, ?, ?, ?,  ? )\r\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'num\' at row 1\n; Data truncation: Out of range value for column \'num\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'num\' at row 1', '2023-07-07 15:56:29');
INSERT INTO `sys_oper_log` VALUES (172, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:32\",\"creatorId\":1,\"id\":1677225069382299650,\"name\":\"21312\",\"num\":1,\"params\":{},\"sort\":1,\"standard\":\"3123\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:56:33');
INSERT INTO `sys_oper_log` VALUES (173, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:39\",\"creatorId\":1,\"id\":1677225099132497922,\"name\":\"312\",\"num\":12,\"params\":{},\"sort\":21,\"standard\":\"312\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:56:40');
INSERT INTO `sys_oper_log` VALUES (174, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:43\",\"creatorId\":1,\"id\":1677225117067341826,\"name\":\"21\",\"num\":12,\"params\":{},\"sort\":21,\"standard\":\"21\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:56:44');
INSERT INTO `sys_oper_log` VALUES (175, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:49\",\"creatorId\":1,\"id\":1677225141029400577,\"name\":\"213\",\"num\":1,\"params\":{},\"remark\":\"1\",\"sort\":1,\"standard\":\"21\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:56:50');
INSERT INTO `sys_oper_log` VALUES (176, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:56:54\",\"creatorId\":1,\"id\":1677225162227412993,\"name\":\"1\",\"num\":2,\"params\":{},\"sort\":22,\"standard\":\"2\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:56:55');
INSERT INTO `sys_oper_log` VALUES (177, '设备档案', 1, 'com.ruoyi.project.business.controller.EquipmentController.add()', 'POST', 1, 'admin', NULL, '/business/equipment', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-07-07 15:57:03\",\"creatorId\":1,\"id\":1677225197165965313,\"name\":\"2131\",\"num\":21,\"params\":{},\"remark\":\"21\",\"sort\":21,\"standard\":\"21\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-07 15:57:03');
INSERT INTO `sys_oper_log` VALUES (178, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/23,25', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:15:44');
INSERT INTO `sys_oper_log` VALUES (179, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_member,biz_project,biz_person\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:15:54');
INSERT INTO `sys_oper_log` VALUES (180, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_person,biz_member,biz_project\"}', NULL, 0, NULL, '2023-07-09 19:15:57');
INSERT INTO `sys_oper_log` VALUES (181, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"person\",\"className\":\"Person\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"数据库用主键\",\"columnId\":422,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:15:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":26,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户 id\",\"columnId\":423,\"columnName\":\"user_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:15:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":26,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Code\",\"columnComment\":\"员工号\",\"columnId\":424,\"columnName\":\"code\",\"columnType\":\"char(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:15:52\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"code\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":26,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"员工姓名\",\"columnId\":425,\"columnName\":\"name\",\"columnType\":\"char(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:15:52\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:16:16');
INSERT INTO `sys_oper_log` VALUES (182, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/26,27,28', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:16:50');
INSERT INTO `sys_oper_log` VALUES (183, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_person,biz_member,biz_project\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:19:40');
INSERT INTO `sys_oper_log` VALUES (184, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"person\",\"className\":\"Person\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"数据库用主键\",\"columnId\":486,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:38\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":29,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户 id\",\"columnId\":487,\"columnName\":\"user_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:38\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":29,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Code\",\"columnComment\":\"员工号\",\"columnId\":488,\"columnName\":\"code\",\"columnType\":\"char(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:38\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"code\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":29,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"员工姓名\",\"columnId\":489,\"columnName\":\"name\",\"columnType\":\"char(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:38\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:19:53');
INSERT INTO `sys_oper_log` VALUES (185, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"member\",\"className\":\"Member\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":524,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":30,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProjectId\",\"columnComment\":\"项目ID\",\"columnId\":525,\"columnName\":\"project_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"projectId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":30,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PersonId\",\"columnComment\":\"人员ID\",\"columnId\":526,\"columnName\":\"person_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"personId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":30,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Sort\",\"columnComment\":\"排序\",\"columnId\":527,\"columnName\":\"sort\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"1\",\"javaField\":\"sort\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":true,\"sort\":4,\"superColumn', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:20:33');
INSERT INTO `sys_oper_log` VALUES (186, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"项目管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"project\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:21:02');
INSERT INTO `sys_oper_log` VALUES (187, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/project/index\",\"createTime\":\"2023-07-09 19:21:02\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2018,\"menuName\":\"项目管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"project\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:21:50');
INSERT INTO `sys_oper_log` VALUES (188, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"project\",\"className\":\"Project\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":535,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":31,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"项目名称\",\"columnId\":536,\"columnName\":\"name\",\"columnType\":\"char(100)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":31,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Amount\",\"columnComment\":\"项目金额\",\"columnId\":537,\"columnName\":\"amount\",\"columnType\":\"decimal(18,3)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"amount\",\"javaType\":\"BigDecimal\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":31,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"DevelopType\",\"columnComment\":\"开发模式\",\"columnId\":538,\"columnName\":\"develop_type\",\"columnType\":\"tinyint(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-09 19:19:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"developType\",\"ja', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:30:51');
INSERT INTO `sys_oper_log` VALUES (189, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_person,biz_member,biz_project\"}', NULL, 0, NULL, '2023-07-09 19:33:22');
INSERT INTO `sys_oper_log` VALUES (190, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_person,biz_member,biz_project\"}', NULL, 0, NULL, '2023-07-09 19:42:53');
INSERT INTO `sys_oper_log` VALUES (191, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"项目管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"project\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:44:30');
INSERT INTO `sys_oper_log` VALUES (192, '菜单管理', 3, 'com.ruoyi.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2023-07-09 19:45:21');
INSERT INTO `sys_oper_log` VALUES (193, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/project/index\",\"createTime\":\"2023-07-09 19:43:25\",\"icon\":\"form\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"项目信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2025,\"path\":\"project\",\"perms\":\"business:project:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 19:47:05');
INSERT INTO `sys_oper_log` VALUES (194, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_person,biz_member,biz_project\"}', NULL, 0, NULL, '2023-07-09 19:56:39');
INSERT INTO `sys_oper_log` VALUES (195, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"开发模式\",\"dictType\":\"develop_type\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 20:10:14');
INSERT INTO `sys_oper_log` VALUES (196, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"敏捷\",\"dictSort\":0,\"dictType\":\"develop_type\",\"dictValue\":\"0\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 20:10:38');
INSERT INTO `sys_oper_log` VALUES (197, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"瀑布\",\"dictSort\":0,\"dictType\":\"develop_type\",\"dictValue\":\"1\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 20:10:52');
INSERT INTO `sys_oper_log` VALUES (198, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"迭代\",\"dictSort\":0,\"dictType\":\"develop_type\",\"dictValue\":\"2\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-09 20:11:02');
INSERT INTO `sys_oper_log` VALUES (199, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"name\":\"列.txt\",\"params\":{},\"url\":\"/upload/1689224679987/列.txt\"},{\"name\":\"共享检测中心（需求梳理）(1).pdf\",\"params\":{},\"url\":\"/upload/1689224704665/共享检测中心（需求梳理）(1).pdf\"}],\"createTime\":\"2023-07-13 13:26:47\",\"creatorId\":1,\"developType\":0,\"endTime\":\"2023-07-08\",\"id\":1679361710074908673,\"members\":[{\"createTime\":\"2023-07-13 13:26:47\",\"creatorId\":1,\"id\":1679361710620168193,\"params\":{},\"personId\":350991476244746240,\"projectId\":1679361710074908673},{\"createTime\":\"2023-07-13 13:26:47\",\"creatorId\":1,\"id\":1679361710683082753,\"params\":{},\"personId\":350991478610333699,\"projectId\":1679361710074908673},{\"createTime\":\"2023-07-13 13:26:47\",\"creatorId\":1,\"id\":1679361710683082754,\"params\":{},\"personId\":350991478690025475,\"projectId\":1679361710074908673}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"测试用\",\"startTime\":\"2023-07-01\"}', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named \'master_id\' in \'class com.ruoyi.project.tool.file.domain.BizFile\'', '2023-07-13 13:26:49');
INSERT INTO `sys_oper_log` VALUES (200, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"name\":\"列.txt\",\"params\":{},\"url\":\"/upload/1689224679987/列.txt\"},{\"name\":\"共享检测中心（需求梳理）(1).pdf\",\"params\":{},\"url\":\"/upload/1689224704665/共享检测中心（需求梳理）(1).pdf\"}],\"createTime\":\"2023-07-13 13:26:51\",\"creatorId\":1,\"developType\":0,\"endTime\":\"2023-07-08\",\"id\":1679361727061839874,\"members\":[{\"createTime\":\"2023-07-13 13:26:51\",\"creatorId\":1,\"id\":1679361727586127874,\"params\":{},\"personId\":350991476244746240,\"projectId\":1679361727061839874},{\"createTime\":\"2023-07-13 13:26:51\",\"creatorId\":1,\"id\":1679361727586127875,\"params\":{},\"personId\":350991478610333699,\"projectId\":1679361727061839874},{\"createTime\":\"2023-07-13 13:26:51\",\"creatorId\":1,\"id\":1679361727586127876,\"params\":{},\"personId\":350991478690025475,\"projectId\":1679361727061839874}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"测试用\",\"startTime\":\"2023-07-01\"}', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named \'master_id\' in \'class com.ruoyi.project.tool.file.domain.BizFile\'', '2023-07-13 13:26:53');
INSERT INTO `sys_oper_log` VALUES (201, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-13 13:30:55\",\"creatorId\":1,\"id\":1679362750287540226,\"masterTableId\":1679362749226381313,\"masterTableName\":\"biz_project\",\"name\":\"列.txt\",\"params\":{},\"url\":\"/upload/1689224679987/列.txt\"},{\"createTime\":\"2023-07-13 13:30:55\",\"creatorId\":1,\"id\":1679362750287540227,\"masterTableId\":1679362749226381313,\"masterTableName\":\"biz_project\",\"name\":\"共享检测中心（需求梳理）(1).pdf\",\"params\":{},\"url\":\"/upload/1689224704665/共享检测中心（需求梳理）(1).pdf\"}],\"createTime\":\"2023-07-13 13:30:55\",\"creatorId\":1,\"developType\":0,\"endTime\":\"2023-07-08\",\"id\":1679362749226381313,\"members\":[{\"createTime\":\"2023-07-13 13:30:55\",\"creatorId\":1,\"id\":1679362749759057921,\"params\":{},\"personId\":350991476244746240,\"projectId\":1679362749226381313},{\"createTime\":\"2023-07-13 13:30:55\",\"creatorId\":1,\"id\":1679362749759057922,\"params\":{},\"personId\":350991478610333699,\"projectId\":1679362749226381313},{\"createTime\":\"2023-07-13 13:30:55\",\"creatorId\":1,\"id\":1679362749759057923,\"params\":{},\"personId\":350991478690025475,\"projectId\":1679362749226381313}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"测试用\",\"startTime\":\"2023-07-01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-13 13:30:57');
INSERT INTO `sys_oper_log` VALUES (202, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"id\":1679364921976516609,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"列.txt\",\"params\":{},\"url\":\"/upload/1689226755831/列.txt\"},{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"id\":1679364922043625473,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"url\":\"/upload/1689226770329/logo.png\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"members\":[{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"id\":1679364921523531777,\"params\":{},\"personId\":350991476244746240,\"projectId\":1679364921066352641},{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"id\":1679364921523531778,\"params\":{},\"personId\":350991478610333699,\"projectId\":1679364921066352641},{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"id\":1679364921523531779,\"params\":{},\"personId\":350991478690025475,\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"startTime\":\"2023-07-01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-13 13:39:35');
INSERT INTO `sys_oper_log` VALUES (203, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:38:04\",\"creatorId\":1,\"deleted\":0,\"id\":1679364921976516609,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"列.txt\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226755831/列.txt\",\"version\":0},{\"createTime\":\"2023-07-14 15:38:04\",\"creatorId\":1,\"deleted\":0,\"id\":1679364922043625473,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226770329/logo.png\",\"version\":0},{\"createTime\":\"2023-07-14 15:38:04\",\"creatorId\":1,\"id\":1679757138117365761,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320280171/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:38:04\",\"creatorId\":1,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:38:04\",\"creatorId\":1,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:38:04\",\"creatorId\":1,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:38:04\",\"updaterId\":1,\"version\":1}', NULL, 1, 'com.ruoyi.project.tool.file.mapper.FileMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Table \'ezhizao_template.file\' doesn\'t exist\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Table \'ezhizao_template.file\' doesn\'t exist', '2023-07-14 15:38:04');
INSERT INTO `sys_oper_log` VALUES (204, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"deleted\":0,\"id\":1679364921976516609,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"列.txt\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226755831/列.txt\",\"version\":0},{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"deleted\":0,\"id\":1679364922043625473,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226770329/logo.png\",\"version\":0},{\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320280171/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:38:09\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-14 15:38:09');
INSERT INTO `sys_oper_log` VALUES (205, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"deleted\":0,\"id\":1679364921976516609,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"列.txt\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226755831/列.txt\",\"version\":0},{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"deleted\":0,\"id\":1679364922043625473,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226770329/logo.png\",\"version\":0},{\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320280171/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:38:11\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-14 15:38:11');
INSERT INTO `sys_oper_log` VALUES (206, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"deleted\":0,\"id\":1679364921976516609,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"列.txt\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226755831/列.txt\",\"version\":0},{\"createTime\":\"2023-07-13 13:39:33\",\"creatorId\":1,\"deleted\":0,\"id\":1679364922043625473,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689226770329/logo.png\",\"version\":0},{\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320280171/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:39:49\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-14 15:39:48');
INSERT INTO `sys_oper_log` VALUES (207, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:40:56\",\"creatorId\":1,\"id\":1679757857088118786,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"url\":\"/upload/1689320451430/logo.png\"},{\"createTime\":\"2023-07-14 15:40:56\",\"creatorId\":1,\"id\":1679757857088118787,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320453729/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:40:56\",\"creatorId\":1,\"gender\":\"男\",\"id\":1679757856593190914,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:40:56\",\"creatorId\":1,\"gender\":\"女\",\"id\":1679757856593190915,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:40:56\",\"creatorId\":1,\"gender\":\"男\",\"id\":1679757856593190916,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:40:55\",\"updaterId\":1,\"version\":2}', NULL, 1, 'com.ruoyi.project.tool.file.mapper.FileMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'master_table_name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'master_table_name\' in \'field list\'', '2023-07-14 15:40:55');
INSERT INTO `sys_oper_log` VALUES (208, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"name\":\"logo.png\",\"params\":{},\"url\":\"/upload/1689320451430/logo.png\"},{\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320453729/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:41:02\",\"updaterId\":1,\"version\":2}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-14 15:41:02');
INSERT INTO `sys_oper_log` VALUES (209, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:42:17\",\"creatorId\":1,\"id\":1679758199536263170,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320476239/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:42:17\",\"creatorId\":1,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:42:17\",\"creatorId\":1,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:42:17\",\"creatorId\":1,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:42:17\",\"updaterId\":1,\"version\":3}', NULL, 1, 'com.ruoyi.project.tool.file.mapper.FileMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'master_table_name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'master_table_name\' in \'field list\'', '2023-07-14 15:42:17');
INSERT INTO `sys_oper_log` VALUES (210, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320476239/派蒙.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"remark\":\"\",\"sort\":9},{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:42:51\",\"updaterId\":1,\"version\":3}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-14 15:42:50');
INSERT INTO `sys_oper_log` VALUES (211, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:45:18\",\"creatorId\":1,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"url\":\"/upload/1689320713781/派蒙.jpg\"},{\"createTime\":\"2023-07-14 15:45:18\",\"creatorId\":1,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"url\":\"/upload/1689320715775/logo.png\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:45:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1679758957472182273,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:45:18\",\"creatorId\":1,\"gender\":\"女\",\"id\":1679758957480570882,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:45:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1679758957480570883,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:45:18\",\"updaterId\":1,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-14 15:45:18');
INSERT INTO `sys_oper_log` VALUES (212, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:45:49\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:45:49\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:45:49\",\"creatorId\":1,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:45:49\",\"creatorId\":1,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:45:49\",\"creatorId\":1,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:45:49\",\"updaterId\":1,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-14 15:45:49');
INSERT INTO `sys_oper_log` VALUES (213, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:48:51\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:48:51\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:48:51\",\"creatorId\":1,\"gender\":\"男\",\"id\":1679759849810407426,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:48:51\",\"creatorId\":1,\"gender\":\"男\",\"id\":1679759849810407427,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:48:51\",\"creatorId\":1,\"gender\":\"女\",\"id\":1679759849810407428,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:48:51\",\"updaterId\":1,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-14 15:48:51');
INSERT INTO `sys_oper_log` VALUES (214, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:51:05\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:51:05\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:51:04\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:51:04\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:51:04\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:51:04\",\"updaterId\":1,\"version\":7}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-14 15:51:04');
INSERT INTO `sys_oper_log` VALUES (215, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":3,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:52:45\",\"updaterId\":1,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":3,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:52:45\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:52:45\",\"updaterId\":1,\"version\":8}}', 0, NULL, '2023-07-14 15:52:45');
INSERT INTO `sys_oper_log` VALUES (216, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":3,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:53:55\",\"updaterId\":1,\"version\":9}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":3,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-14 15:53:55\",\"updaterId\":1,\"version\":9}}', 0, NULL, '2023-07-14 15:53:55');
INSERT INTO `sys_oper_log` VALUES (217, '用户头像', 2, 'com.ruoyi.project.system.controller.SysProfileController.avatar()', 'POST', 1, 'admin', NULL, '/system/user/profile/avatar', '113.227.213.205', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2023/07/18/blob_20230718154224A001.png\",\"code\":200}', 0, NULL, '2023-07-18 15:42:24');
INSERT INTO `sys_oper_log` VALUES (218, '个人信息', 2, 'com.ruoyi.project.system.controller.SysProfileController.updateProfile()', 'PUT', 1, 'admin', NULL, '/system/user/profile', '113.227.213.205', 'XX XX', '{\"admin\":true,\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,101\",\"children\":[],\"deptId\":103,\"deptName\":\"研发部门\",\"leader\":\"若依\",\"orderNum\":1,\"params\":{},\"parentId\":101,\"status\":\"0\"},\"email\":\"1334958563@qq.com\",\"ids\":[],\"loginDate\":\"2023-07-14 14:51:49\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"望舒\",\"params\":{},\"phonenumber\":\"13029467003\",\"remark\":\"管理员\",\"roles\":[{\"admin\":true,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":1,\"roleKey\":\"admin\",\"roleName\":\"超级管理员\",\"roleSort\":1,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"userId\":1,\"userName\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-18 15:42:28');
INSERT INTO `sys_oper_log` VALUES (219, '个人信息', 2, 'com.ruoyi.project.system.controller.SysProfileController.updatePwd()', 'PUT', 1, 'admin', NULL, '/system/user/profile/updatePwd', '113.227.213.205', 'XX XX', '\"admin123\" \"ezhizao.cn\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-18 15:42:45');
INSERT INTO `sys_oper_log` VALUES (220, '个人信息', 2, 'com.ruoyi.project.system.controller.SysProfileController.updateProfile()', 'PUT', 1, 'admin', NULL, '/system/user/profile', '113.227.213.205', 'XX XX', '{\"admin\":true,\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,101\",\"children\":[],\"deptId\":103,\"deptName\":\"研发部门\",\"leader\":\"若依\",\"orderNum\":1,\"params\":{},\"parentId\":101,\"status\":\"0\"},\"email\":\"1334958563@qq.com\",\"ids\":[],\"loginDate\":\"2023-07-14 14:51:49\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"管理员\",\"params\":{},\"phonenumber\":\"13029467003\",\"remark\":\"管理员\",\"roles\":[{\"admin\":true,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":1,\"roleKey\":\"admin\",\"roleName\":\"超级管理员\",\"roleSort\":1,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"userId\":1,\"userName\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-18 15:43:44');
INSERT INTO `sys_oper_log` VALUES (221, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.213.205', 'XX XX', '\"biz_sale_order_employees\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-18 15:50:50');
INSERT INTO `sys_oper_log` VALUES (222, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.213.205', 'XX XX', '{\"businessName\":\"employees\",\"className\":\"SaleOrderEmployees\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":550,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":32,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"EmployeeId\",\"columnComment\":\"员工 id\",\"columnId\":551,\"columnName\":\"employee_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"employeeId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":32,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SaleOrderId\",\"columnComment\":\"订单 id\",\"columnId\":552,\"columnName\":\"sale_order_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"saleOrderId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":32,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Type\",\"columnComment\":\"类型 下单人员/接受人员\",\"columnId\":553,\"columnName\":\"type\",\"columnType\":\"char(16)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"type\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-18 15:51:07');
INSERT INTO `sys_oper_log` VALUES (223, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.213.205', 'XX XX', '{\"businessName\":\"saleOrder\",\"className\":\"SaleOrderEmployees\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":550,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":32,\"updateBy\":\"\",\"updateTime\":\"2023-07-18 15:51:07\",\"usableColumn\":false},{\"capJavaField\":\"EmployeeId\",\"columnComment\":\"员工 id\",\"columnId\":551,\"columnName\":\"employee_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"employeeId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":32,\"updateBy\":\"\",\"updateTime\":\"2023-07-18 15:51:07\",\"usableColumn\":false},{\"capJavaField\":\"SaleOrderId\",\"columnComment\":\"订单 id\",\"columnId\":552,\"columnName\":\"sale_order_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"saleOrderId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":32,\"updateBy\":\"\",\"updateTime\":\"2023-07-18 15:51:07\",\"usableColumn\":false},{\"capJavaField\":\"Type\",\"columnComment\":\"类型 下单人员/接受人员\",\"columnId\":553,\"columnName\":\"type\",\"columnType\":\"char(16)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-18 15:50:50\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-18 15:52:38');
INSERT INTO `sys_oper_log` VALUES (224, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.213.205', 'XX XX', '{\"tables\":\"biz_sale_order_employees\"}', NULL, 0, NULL, '2023-07-18 15:52:41');
INSERT INTO `sys_oper_log` VALUES (225, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":12,\"attaches\":[{\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"id\":1681468145144958978,\"masterTableId\":1681468144880717826,\"masterTableName\":\"biz_project\",\"name\":\"统计图 DOCX 文档(1).docx\",\"params\":{},\"url\":\"/upload/1689728218707/统计图 DOCX 文档(1).docx\"}],\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deadline\":\"2023-07-06\",\"developType\":0,\"endTime\":\"2023-07-21\",\"id\":1681468144880717826,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1681468144993964034,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1681468144880717826},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"gender\":\"女\",\"id\":1681468145048489985,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1681468144880717826}],\"name\":\"测试2\",\"params\":{},\"remark\":\"12\",\"startTime\":\"2023-07-20\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":12,\"attaches\":[{\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"id\":1681468145144958978,\"masterTableId\":1681468144880717826,\"masterTableName\":\"biz_project\",\"name\":\"统计图 DOCX 文档(1).docx\",\"params\":{},\"url\":\"/upload/1689728218707/统计图 DOCX 文档(1).docx\"}],\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deadline\":\"2023-07-06\",\"developType\":0,\"endTime\":\"2023-07-21\",\"id\":1681468144880717826,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1681468144993964034,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1681468144880717826},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"gender\":\"女\",\"id\":1681468145048489985,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1681468144880717826}],\"name\":\"测试2\",\"params\":{},\"remark\":\"12\",\"startTime\":\"2023-07-20\"}}', 0, NULL, '2023-07-19 08:57:01');
INSERT INTO `sys_oper_log` VALUES (226, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"attaches\":[],\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\"},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\"},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\"}],\"name\":\"qweq\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-19 09:08:55');
INSERT INTO `sys_oper_log` VALUES (227, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":1000,\"attaches\":[{\"name\":\"sql 题.txt\",\"params\":{},\"url\":\"/upload/1689817619385/sql 题.txt\"}],\"deadline\":\"2023-07-20\",\"developType\":0,\"endTime\":\"2023-07-13\",\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\"},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\"}],\"name\":\"项目1\",\"params\":{},\"remark\":\"300\",\"startTime\":\"2023-07-13\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-20 09:52:00');
INSERT INTO `sys_oper_log` VALUES (228, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":12,\"attaches\":[{\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deleted\":0,\"id\":1681468145144958978,\"masterTableId\":1681468144880717826,\"masterTableName\":\"biz_project\",\"name\":\"统计图 DOCX 文档(1).docx\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689728218707/统计图 DOCX 文档(1).docx\",\"version\":0}],\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deadline\":\"2023-07-06\",\"deleted\":0,\"developType\":0,\"endTime\":\"2023-07-21\",\"id\":1681468144880717826,\"leader\":\"王恒鳌\",\"memberNum\":2,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:51:29\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1683293796088942594,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1681468144880717826,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:51:29\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1683293796093136897,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1681468144880717826,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试2\",\"params\":{},\"remark\":\"12\",\"sort\":9,\"startTime\":\"2023-07-20\",\"updateTime\":\"2023-07-24 09:51:29\",\"updaterId\":1,\"version\":1}', NULL, 1, 'com.ruoyi.project.business.mapper.MemberMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value\n; Field \'update_time\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value', '2023-07-24 09:51:30');
INSERT INTO `sys_oper_log` VALUES (229, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":12,\"attaches\":[{\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deleted\":0,\"id\":1681468145144958978,\"masterTableId\":1681468144880717826,\"masterTableName\":\"biz_project\",\"name\":\"统计图 DOCX 文档(1).docx\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689728218707/统计图 DOCX 文档(1).docx\",\"version\":0}],\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deadline\":\"2023-07-06\",\"deleted\":0,\"developType\":0,\"endTime\":\"2023-07-21\",\"id\":1681468144880717826,\"leader\":\"王恒鳌\",\"memberNum\":2,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1681468144880717826,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-19 08:57:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1681468144880717826,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试2\",\"params\":{},\"remark\":\"12\",\"sort\":9,\"startTime\":\"2023-07-20\",\"updateTime\":\"2023-07-24 09:51:44\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-24 09:51:44');
INSERT INTO `sys_oper_log` VALUES (230, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":3,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:52:03\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1683293939060183041,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-24 09:52:03\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1683293939064377345,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:52:03\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1683293939068571649,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:52:03\",\"updaterId\":1,\"version\":10}', NULL, 1, 'com.ruoyi.project.business.mapper.MemberMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value\n; Field \'update_time\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value', '2023-07-24 09:52:03');
INSERT INTO `sys_oper_log` VALUES (231, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:54:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683294628398239746,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:54:48\",\"creatorId\":1,\"gender\":\"女\",\"id\":1683294628402434050,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-24 09:54:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683294628402434051,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:54:48\",\"updaterId\":1,\"version\":11}', NULL, 1, 'com.ruoyi.project.business.mapper.MemberMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value\n; Field \'update_time\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value', '2023-07-24 09:54:48');
INSERT INTO `sys_oper_log` VALUES (232, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\"},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\"},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\"}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:54:52\",\"updaterId\":1,\"version\":11}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-24 09:54:52');
INSERT INTO `sys_oper_log` VALUES (233, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275969,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-14 15:53:55\",\"creatorId\":1,\"deleted\":0,\"id\":1679758957992275970,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:55:35\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683294827006922754,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:55:35\",\"creatorId\":1,\"gender\":\"女\",\"id\":1683294827011117057,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:55:35\",\"updaterId\":1,\"version\":12}', NULL, 1, 'com.ruoyi.project.business.mapper.MemberMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value\n; Field \'update_time\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value', '2023-07-24 09:55:35');
INSERT INTO `sys_oper_log` VALUES (234, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862654312450,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862658506753,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:55:44\",\"updaterId\":1,\"version\":13}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862654312450,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862658506753,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:55:44\",\"updaterId\":1,\"version\":13}}', 0, NULL, '2023-07-24 09:55:44');
INSERT INTO `sys_oper_log` VALUES (235, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862654312450,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862658506753,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:55:50\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683294888306675713,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:55:50\",\"creatorId\":1,\"gender\":\"女\",\"id\":1683294888310870018,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:55:50\",\"updaterId\":1,\"version\":14}', NULL, 1, 'com.ruoyi.project.business.mapper.MemberMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value\n; Field \'update_time\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'update_time\' doesn\'t have a default value', '2023-07-24 09:55:50');
INSERT INTO `sys_oper_log` VALUES (236, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862654312450,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-24 09:55:44\",\"creatorId\":1,\"deleted\":0,\"id\":1683294862658506753,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\"},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\"}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:59:03\",\"updaterId\":1,\"version\":14}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-24 09:59:03');
INSERT INTO `sys_oper_log` VALUES (237, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"deleted\":0,\"id\":1683295786223276034,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"deleted\":0,\"id\":1683295786223276035,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683295786156167169,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"gender\":\"女\",\"id\":1683295786156167170,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683295786160361474,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:59:24\",\"updaterId\":1,\"version\":15}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"deleted\":0,\"id\":1683295786223276034,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"deleted\":0,\"id\":1683295786223276035,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683295786156167169,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"gender\":\"女\",\"id\":1683295786156167170,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-24 09:59:24\",\"creatorId\":1,\"gender\":\"男\",\"id\":1683295786160361474,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-24 09:59:24\",\"updaterId\":1,\"version\":15}}', 0, NULL, '2023-07-24 09:59:24');
INSERT INTO `sys_oper_log` VALUES (238, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.213.205', 'XX XX', '\"bom_part_index\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-25 16:56:34');
INSERT INTO `sys_oper_log` VALUES (239, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.213.205', 'XX XX', '{\"businessName\":\"index\",\"className\":\"BomPartIndex\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":562,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":33,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TableName\",\"columnComment\":\"加工件表名\",\"columnId\":563,\"columnName\":\"table_name\",\"columnType\":\"char(100)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"tableName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":33,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TableId\",\"columnComment\":\"加工件Id\",\"columnId\":564,\"columnName\":\"table_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tableId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":33,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"添加时间\",\"columnId\":565,\"columnName\":\"create_time\",\"columnType\":\"datetime(6)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryT', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-25 16:57:01');
INSERT INTO `sys_oper_log` VALUES (240, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.213.205', 'XX XX', '{\"businessName\":\"index\",\"className\":\"BomPartIndex\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":562,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":33,\"updateBy\":\"\",\"updateTime\":\"2023-07-25 16:57:01\",\"usableColumn\":false},{\"capJavaField\":\"TableName\",\"columnComment\":\"加工件表名\",\"columnId\":563,\"columnName\":\"table_name\",\"columnType\":\"char(100)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"tableName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":33,\"updateBy\":\"\",\"updateTime\":\"2023-07-25 16:57:01\",\"usableColumn\":false},{\"capJavaField\":\"TableId\",\"columnComment\":\"加工件Id\",\"columnId\":564,\"columnName\":\"table_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tableId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":33,\"updateBy\":\"\",\"updateTime\":\"2023-07-25 16:57:01\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"添加时间\",\"columnId\":565,\"columnName\":\"create_time\",\"columnType\":\"datetime(6)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-25 16:56:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-25 16:58:40');
INSERT INTO `sys_oper_log` VALUES (241, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.213.205', 'XX XX', '{\"tables\":\"bom_part_index\"}', NULL, 0, NULL, '2023-07-25 16:58:48');
INSERT INTO `sys_oper_log` VALUES (242, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"id\":1684439216743780354,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"id\":1684439216747974658,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684439216668282882,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684439216672477186,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684439216676671489,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 13:42:59\",\"updaterId\":1,\"version\":16}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"id\":1684439216743780354,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"id\":1684439216747974658,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684439216668282882,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684439216672477186,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:42:59\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684439216676671489,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 13:42:59\",\"updaterId\":1,\"version\":16}}', 0, NULL, '2023-07-27 13:42:59');
INSERT INTO `sys_oper_log` VALUES (243, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684441468082589698,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684441468082589699,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441468007092225,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684441468011286530,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441468015480833,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 13:51:56\",\"updaterId\":1,\"version\":17}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684441468082589698,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684441468082589699,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441468007092225,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684441468011286530,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:51:56\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441468015480833,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 13:51:56\",\"updaterId\":1,\"version\":17}}', 0, NULL, '2023-07-27 13:51:56');
INSERT INTO `sys_oper_log` VALUES (244, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661351923713,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441661263843329,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684441661268037634,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441661268037635,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"65\",\"code\":\"H-0006\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684441661272231938,\"name\":\"孙照强\",\"params\":{},\"personId\":350991479046541315,\"phone\":\"13555959567\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 13:52:42\",\"updaterId\":1,\"version\":18}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661351923713,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"盛强\",\"memberNum\":3,\"members\":[{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441661263843329,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684441661268037634,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684441661268037635,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"65\",\"code\":\"H-0006\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684441661272231938,\"name\":\"孙照强\",\"params\":{},\"personId\":350991479046541315,\"phone\":\"13555959567\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 13:52:42\",\"updaterId\":1,\"version\":18}', 0, NULL, '2023-07-27 13:52:42');
INSERT INTO `sys_oper_log` VALUES (245, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661351923713,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:52:01\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:52:01\",\"updaterId\":1,\"version\":1},{\"age\":\"65\",\"code\":\"H-0006\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991479046541315,\"name\":\"孙照强\",\"params\":{},\"personId\":350991479046541315,\"phone\":\"13555959567\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:52:01\",\"updaterId\":1,\"version\":1},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 15:52:01\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684471689941381122,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:52:01\",\"updaterId\":1}],\"name\":\"测试项目\"', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'project_id\' in \'where clause\'\r\n### The error may exist in com/ruoyi/project/tool/file/mapper/FileMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,master_table_name,master_table_id,name,url,status,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_file   WHERE  deleted=0  AND (master_table_name = ? AND project_id = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'project_id\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'project_id\' in \'where clause\'', '2023-07-27 15:52:02');
INSERT INTO `sys_oper_log` VALUES (246, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":0},{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661351923713,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updaterId\":0,\"url\":\"/upload/1689320715775/logo.png\",\"version\":0}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"65\",\"code\":\"H-0006\",\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991479046541315,\"name\":\"孙照强\",\"params\":{},\"personId\":350991479046541315,\"phone\":\"13555959567\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updaterId\":0,\"version\":0},{\"age\":\"37\",\"code\":\"H-0010\",\"gender\":\"男\",\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\"}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 15:52:29\",\"updaterId\":1,\"version\":19}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-27 15:52:29');
INSERT INTO `sys_oper_log` VALUES (247, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":1},{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661351923713,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1,\"url\":\"/upload/1689320715775/logo.png\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"白长禄\",\"memberNum\":1,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472087414648833,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472087435620354,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472087435620355,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684472087435620356,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"upd', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":1},{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661351923713,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"logo.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1,\"url\":\"/upload/1689320715775/logo.png\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"白长禄\",\"memberNum\":1,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472087414648833,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472087435620354,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472087435620355,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684472087435620356,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:53:36\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\"', 0, NULL, '2023-07-27 15:53:37');
INSERT INTO `sys_oper_log` VALUES (248, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":2},{\"createTime\":\"2023-07-27 15:54:04\",\"creatorId\":1,\"id\":1684472206763569154,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"url\":\"/upload/1690444433957/ruoyi.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"version\":1},{\"age\":\"48\",\"code\":\"H-0008\",\"createTime\":\"2023-07-27 15:54:04\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472204859355138,\"name\":\"李长军\",\"params\":{},\"personId\":350991479294005251,\"phone\":\"15942895120\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:54:04\",\"upd', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":2},{\"createTime\":\"2023-07-27 15:54:04\",\"creatorId\":1,\"id\":1684472206763569154,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"url\":\"/upload/1690444433957/ruoyi.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:53:36\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"version\":1},{\"age\":\"48\",\"code\":\"H-0008\",\"createTime\":\"2023-07-27 15:54:04\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684472204859355138,\"name\":\"李长军\",\"params\":{},\"personId\":350991479294005251,\"phone\":\"15942895120\",\"projectId\":1679364921066352641,\"update', 0, NULL, '2023-07-27 15:54:05');
INSERT INTO `sys_oper_log` VALUES (249, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:58:56\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":3},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"updateTime\":\"2023-07-27 15:58:56\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"李长军\",\"memberNum\":1,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684473109910466561,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684473109910466562,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684473109910466563,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684473109910466564,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 15:57:16\",\"updaterId\":1,\"vers', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:58:56\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":3},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"updateTime\":\"2023-07-27 15:58:56\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"李长军\",\"memberNum\":1,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684473109910466561,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684473109910466562,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684473109910466563,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684473109910466564,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 15:57:44\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-', 0, NULL, '2023-07-27 15:58:56');
INSERT INTO `sys_oper_log` VALUES (250, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:54:04\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":2},{\"name\":\"skl.png\",\"params\":{},\"url\":\"/upload/1690444632246/skl.png\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"李长军\",\"memberNum\":1,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\"},{\"age\":\"74\",\"code\":\"H-0004\",\"gender\":\"男\",\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\"},{\"age\":\"54\",\"code\":\"H-0005\",\"gender\":\"女\",\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\"},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\"}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 15:59:11\",\"updaterId\":1,\"version\":22}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-27 15:59:11');
INSERT INTO `sys_oper_log` VALUES (251, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":4},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":4,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":16793649', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":4},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":4,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 15:59:32\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 15:57:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"1', 0, NULL, '2023-07-27 15:59:33');
INSERT INTO `sys_oper_log` VALUES (252, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":5},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684474117235486722,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684474117235486723,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684474117235486724,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"version\":24}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":5},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684474117235486722,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684474117235486723,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684474117235486724,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"version\":24}}', 0, NULL, '2023-07-27 16:01:40');
INSERT INTO `sys_oper_log` VALUES (253, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:04:54\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":6},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:04:54\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":3}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"刘世春\",\"memberNum\":3,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:02:35\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:02:35\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:02:35\",\"updaterId\":1,\"version\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:02:06\",\"updaterId\":1,\"version\":25}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:04:54\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":6},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:04:54\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":3}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"刘世春\",\"memberNum\":3,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:02:35\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:02:35\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:02:35\",\"updaterId\":1,\"version\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:02:06\",\"updaterId\":1,\"version\":25}}', 0, NULL, '2023-07-27 16:04:55');
INSERT INTO `sys_oper_log` VALUES (254, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":5},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"刘世春\",\"memberNum\":3,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"version\":0},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"version\":0},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:01:40\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:01:40\",\"updaterId\":1,\"version\":0}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:05:11\",\"updaterId\":1,\"version\":25}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-07-27 16:05:11');
INSERT INTO `sys_oper_log` VALUES (255, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:05:44\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":7},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:05:44\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684475081254305794,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684475081254305795,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684475081254305796,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684475081313026049,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"女\",\"id\"', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:05:44\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":7},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:05:44\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684475081254305794,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684475081254305795,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684475081254305796,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684475081313026049,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:05:30\",\"updaterId\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 16:05:30\"', 0, NULL, '2023-07-27 16:05:52');
INSERT INTO `sys_oper_log` VALUES (256, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:10:28\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":8},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:10:28\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":5}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"刘世春\",\"memberNum\":5,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:06:07\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:06:07\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:06:07\",\"updaterId\":1,\"version\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":167936', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:10:28\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":8},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:10:28\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":5}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"刘世春\",\"memberNum\":5,\"members\":[{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:06:07\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0005\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478895546371,\"name\":\"张伟\",\"params\":{},\"personId\":350991478895546371,\"phone\":\"13942838697\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:06:07\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:06:07\",\"updaterId\":1,\"version\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:05:30\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":', 0, NULL, '2023-07-27 16:10:28');
INSERT INTO `sys_oper_log` VALUES (257, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:21\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":9},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:21\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":6}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684477056989569026,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123457,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123458,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123459,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:13:17\",\"updaterId\":1,\"version\":28}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:21\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":9},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:21\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":6}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684477056989569026,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123457,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123458,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123459,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 16:13:17\",\"updaterId\":1,\"version\":28}}', 0, NULL, '2023-07-27 16:13:21');
INSERT INTO `sys_oper_log` VALUES (258, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:34\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":10},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:34\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":7}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684477056989569026,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123457,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123458,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123459,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-0', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:34\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":10},{\"createTime\":\"2023-07-27 15:58:56\",\"creatorId\":1,\"deleted\":0,\"id\":1684473429315104770,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"skl.png\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:13:34\",\"updaterId\":1,\"url\":\"/upload/1690444632246/skl.png\",\"version\":7}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684477056989569026,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123457,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123458,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477057023123459,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 16:13:33\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"', 0, NULL, '2023-07-27 16:13:34');
INSERT INTO `sys_oper_log` VALUES (259, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":11},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"url\":\"/upload/1690445661890/派蒙1.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"version\":1},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477344236478466,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":11},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"url\":\"/upload/1690445661890/派蒙1.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"金玲\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 16:13:21\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 16:14:29\",\"updaterId\":1,\"version\":1},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684477344236478466,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\"', 0, NULL, '2023-07-27 16:14:30');
INSERT INTO `sys_oper_log` VALUES (260, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":12},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"白长禄\",\"memberNum\":1,\"members\":[{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991479528886275,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"version\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"version\":31}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":12},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"白长禄\",\"memberNum\":1,\"members\":[{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991479528886275,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"version\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:11:06\",\"updaterId\":1,\"version\":31}}', 0, NULL, '2023-07-27 17:11:07');
INSERT INTO `sys_oper_log` VALUES (261, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:23:52\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":13},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:23:52\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494803110813697,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684494803110813698,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494803110813699,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494803110813700,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:23:51\",\"updaterId\":1,\"version\":32}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:23:52\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":13},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:23:52\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494803110813697,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684494803110813698,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494803110813699,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494803110813700,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:23:51\",\"updaterId\":1,\"version\":32}}', 0, NULL, '2023-07-27 17:23:52');
INSERT INTO `sys_oper_log` VALUES (262, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":14},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":3}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"version\":1},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:24:12\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494887089168385,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":167936492106635', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":14},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":3}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:23:52\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:24:12\",\"updaterId\":1,\"version\":1},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:24:12\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684494887089168385,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832', 0, NULL, '2023-07-27 17:24:12');
INSERT INTO `sys_oper_log` VALUES (263, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"白长禄\",\"memberNum\":1,\"members\":[{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:24:12\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991479528886275,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:25:08\",\"updaterId\":1,\"version\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684495122150559746,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0009\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684495122184114178,\"name\":\"王春平\",\"params\":{},\"personId\":350991479449194499,\"phone\":\"13664276091\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:25:07\",\"updaterId\":1,\"version\":34}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"白长禄\",\"memberNum\":1,\"members\":[{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:24:12\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991479528886275,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:25:08\",\"updaterId\":1,\"version\":1},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684495122150559746,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0009\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684495122184114178,\"name\":\"王春平\",\"params\":{},\"personId\":350991479449194499,\"phone\":\"13664276091\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:25:07\",\"updaterId\":1,\"version\":34}}', 0, NULL, '2023-07-27 17:27:47');
INSERT INTO `sys_oper_log` VALUES (264, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":2,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:28:08\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0009\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991479449194499,\"name\":\"王春平\",\"params\":{},\"personId\":350991479449194499,\"phone\":\"13664276091\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:28:08\",\"updaterId\":1,\"version\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:28:08\",\"updaterId\":1,\"version\":35}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":2,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:28:08\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0009\",\"createTime\":\"2023-07-27 17:25:08\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991479449194499,\"name\":\"王春平\",\"params\":{},\"personId\":350991479449194499,\"phone\":\"13664276091\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:28:08\",\"updaterId\":1,\"version\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:28:08\",\"updaterId\":1,\"version\":35}}', 0, NULL, '2023-07-27 17:28:09');
INSERT INTO `sys_oper_log` VALUES (265, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"gender\":\"男\",\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:28:17\",\"updaterId\":1,\"version\":36}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"gender\":\"男\",\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:28:17\",\"updaterId\":1,\"version\":36}}', 0, NULL, '2023-07-27 17:28:17');
INSERT INTO `sys_oper_log` VALUES (266, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"gender\":\"男\",\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:29:01\",\"updaterId\":1,\"version\":37}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":15},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:27:47\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"gender\":\"男\",\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"gender\":\"女\",\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"gender\":\"男\",\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"gender\":\"男\",\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:29:01\",\"updaterId\":1,\"version\":37}}', 0, NULL, '2023-07-27 17:30:30');
INSERT INTO `sys_oper_log` VALUES (267, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:31:12\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":16},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:31:12\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":5}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684496641507811330,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684496641507811331,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684496641507811332,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684496641507811333,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:31:04\",\"updaterId\":1,\"version\":38}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:31:12\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":16},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:31:12\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":5}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684496641507811330,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684496641507811331,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684496641507811332,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684496641507811333,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:31:04\",\"updaterId\":1,\"version\":38}}', 0, NULL, '2023-07-27 17:31:12');
INSERT INTO `sys_oper_log` VALUES (268, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:33:23\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":17},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:33:23\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":6}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:33:20\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:33:20\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:33:20\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":16793', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:33:23\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":17},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:33:23\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":6}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991476244746240,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:33:20\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":350991478610333699,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:33:20\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478690025475,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:33:20\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:31:10\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":350991478807465987,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\"', 0, NULL, '2023-07-27 17:33:23');
INSERT INTO `sys_oper_log` VALUES (269, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:08\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":18},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:08\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":7}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"id\":1684497378019205122,\"params\":{},\"projectId\":1679364921066352641},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205123,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684497378019205124,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205125,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205126,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:34:02\",\"updaterId\":1,\"version\":40}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:08\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":18},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:08\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":7}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"id\":1684497378019205122,\"params\":{},\"projectId\":1679364921066352641},{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205123,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684497378019205124,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205125,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205126,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:34:02\",\"updaterId\":1,\"version\":40}}', 0, NULL, '2023-07-27 17:34:08');
INSERT INTO `sys_oper_log` VALUES (270, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":19},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":8}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205123,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684497378019205124,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205125,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205126,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-0', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":19},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":8}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205123,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684497378019205124,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205125,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:06\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497378019205126,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"updateTime\":\"2023-07-27 17:34:15\",\"updaterId\":1}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"', 0, NULL, '2023-07-27 17:34:15');
INSERT INTO `sys_oper_log` VALUES (271, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:31\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":20},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:31\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":9}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497485598908418,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684497485598908419,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497485598908420,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497485598908421,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:34:31\",\"updaterId\":1,\"version\":42}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:31\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":20},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:34:31\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":9}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497485598908418,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684497485598908419,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497485598908420,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684497485598908421,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:34:31\",\"updaterId\":1,\"version\":42}}', 0, NULL, '2023-07-27 17:34:32');
INSERT INTO `sys_oper_log` VALUES (272, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":21},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":10}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684497485598908418,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684497485598908419,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684497485598908420,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684497485598908421,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":21},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":10}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684497485598908418,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684497485598908419,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684497485598908420,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:37:28\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:34:31\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684497485598908421,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"p', 0, NULL, '2023-07-27 17:37:28');
INSERT INTO `sys_oper_log` VALUES (273, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:51\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":22},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:51\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":11}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498313181208578,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684498313181208579,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498313181208580,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498313181208581,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:37:44\",\"updaterId\":1,\"version\":44}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:51\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":22},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:37:51\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":11}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498313181208578,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684498313181208579,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498313181208580,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498313181208581,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:37:44\",\"updaterId\":1,\"version\":44}}', 0, NULL, '2023-07-27 17:37:52');
INSERT INTO `sys_oper_log` VALUES (274, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:39:41\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":23},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:39:41\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":12}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498313181208578,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:39:40\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684498313181208579,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:39:40\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498313181208580,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:39:40\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498313181208581,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:39:41\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":23},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:39:41\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":12}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498313181208578,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:39:40\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684498313181208579,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:39:40\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498313181208580,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:39:40\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:37:48\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498313181208581,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"p', 0, NULL, '2023-07-27 17:39:41');
INSERT INTO `sys_oper_log` VALUES (275, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:03\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":24},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:03\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":13}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498865533313026,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684498865533313027,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498865533313028,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498865571061762,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:40:00\",\"updaterId\":1,\"version\":46}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:03\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":24},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:03\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":13}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498865533313026,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684498865533313027,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498865533313028,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684498865571061762,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:40:00\",\"updaterId\":1,\"version\":46}}', 0, NULL, '2023-07-27 17:40:06');
INSERT INTO `sys_oper_log` VALUES (276, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:53\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":25},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:53\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":14}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498865533313026,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:40:14\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684498865533313027,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:40:14\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498865533313028,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:40:14\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498865571061762,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:53\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":25},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:40:53\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":14}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498865533313026,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:40:14\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684498865533313027,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:40:14\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498865533313028,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:40:14\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:40:00\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684498865571061762,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"p', 0, NULL, '2023-07-27 17:40:56');
INSERT INTO `sys_oper_log` VALUES (277, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:18\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":26},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:18\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":15}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684499190931615746,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:41:18\",\"updaterId\":1,\"version\":48}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:18\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":26},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:18\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":15}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"memberNum\":0,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"女\",\"id\":1684499190931615746,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641}],\"name\":\"测试项目\",\"params\":{},\"remark\":\"\",\"sort\":9,\"startTime\":\"2023-07-01\",\"updateTime\":\"2023-07-27 17:41:18\",\"updaterId\":1,\"version\":48}}', 0, NULL, '2023-07-27 17:41:18');
INSERT INTO `sys_oper_log` VALUES (278, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:23\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":27},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:23\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":16}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:22\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499190931615746,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:22\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:22\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:23\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":27},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:23\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":16}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:22\",\"updaterId\":1,\"version\":1},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499190931615746,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:22\",\"updaterId\":1,\"version\":1},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:22\",\"updaterId\":1,\"version\":1},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"p', 0, NULL, '2023-07-27 17:41:23');
INSERT INTO `sys_oper_log` VALUES (279, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:35\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":28},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:35\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":17}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:34\",\"updaterId\":1,\"version\":2},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:34\",\"updaterId\":1,\"version\":2},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:34\",\"updaterId\":1,\"version\":2},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:41:34\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499260427038722,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"15840832367\",\"projectId\":16793649210', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:35\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":28},{\"createTime\":\"2023-07-27 16:14:29\",\"creatorId\":1,\"deleted\":0,\"id\":1684477345754816513,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:41:35\",\"updaterId\":1,\"url\":\"/upload/1690445661890/派蒙1.jpg\",\"version\":17}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:34\",\"updaterId\":1,\"version\":2},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:34\",\"updaterId\":1,\"version\":2},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:41:34\",\"updaterId\":1,\"version\":2},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:41:34\",\"creatorId\":1,\"gender\":\"男\",\"id\":1684499260427038722,\"name\":\"白长禄\",\"params\":{},\"personId\":350991479528886275,\"phone\":\"1584', 0, NULL, '2023-07-27 17:41:35');
INSERT INTO `sys_oper_log` VALUES (280, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:42:50\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":29},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"id\":1684499576786616321,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"url\":\"/upload/1690450947234/派蒙1.jpg\"},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"url\":\"/upload/1690450950715/ruoyi.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:42:49\",\"updaterId\":1,\"version\":3},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:42:49\",\"updaterId\":1,\"version\":3},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:42:49\",\"updaterId\":1,\"version\":3},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:41:34\",\"creatorId\":1,\"deleted\":0,\"gender\"', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:42:50\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":29},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"id\":1684499576786616321,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙1.jpg\",\"params\":{},\"url\":\"/upload/1690450947234/派蒙1.jpg\"},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"url\":\"/upload/1690450950715/ruoyi.jpg\"}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":4,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:42:49\",\"updaterId\":1,\"version\":3},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:42:49\",\"updaterId\":1,\"version\":3},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:42:49\",\"updaterId\":1,\"version\":3},{\"age\":\"37\",\"code\":\"H-0010\",\"createTime\":\"2023-07-27 17:41:34\",\"c', 0, NULL, '2023-07-27 17:42:50');
INSERT INTO `sys_oper_log` VALUES (281, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '127.0.0.1', '内网IP', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":30},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":8,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"version\":4},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"version\":4},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"version\":4},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectI', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":30},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":1}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":8,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"version\":4},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"version\":4},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-27 17:44:38\",\"updaterId\":1,\"version\":4},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699', 0, NULL, '2023-07-27 17:44:38');
INSERT INTO `sys_oper_log` VALUES (282, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":31},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":7,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"version\":5},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"version\":5},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"version\":5},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectI', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":31},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":2}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":7,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"version\":5},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"version\":5},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:48:03\",\"updaterId\":1,\"version\":5},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699', 0, NULL, '2023-07-28 09:48:03');
INSERT INTO `sys_oper_log` VALUES (283, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '113.227.213.205', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":32},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":3}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":7,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"version\":6},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"version\":6},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"version\":6},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectI', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":32},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":3}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":7,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"version\":6},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"version\":6},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-07-28 09:50:10\",\"updaterId\":1,\"version\":6},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699', 0, NULL, '2023-07-28 09:50:10');
INSERT INTO `sys_oper_log` VALUES (284, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.213.205', 'XX XX', '\"biz_order,biz_order_details\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-28 10:58:12');
INSERT INTO `sys_oper_log` VALUES (285, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.213.205', 'XX XX', '{\"businessName\":\"order\",\"className\":\"Order\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":571,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":34,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"OrderNo\",\"columnComment\":\"订单编号\",\"columnId\":572,\"columnName\":\"order_no\",\"columnType\":\"varchar(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"orderNo\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":34,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ContractNo\",\"columnComment\":\"合同号\",\"columnId\":573,\"columnName\":\"contract_no\",\"columnType\":\"varchar(64)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"contractNo\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":34,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CustomerId\",\"columnComment\":\"客户id 该订单所服务的客户对象\",\"columnId\":574,\"columnName\":\"customer_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"customerId\",\"javaType\":\"Long\",\"li', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-28 10:58:34');
INSERT INTO `sys_oper_log` VALUES (286, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.213.205', 'XX XX', '{\"businessName\":\"details\",\"className\":\"OrderDetails\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":588,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":35,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"OfferDetailsId\",\"columnComment\":\"报价单明细 Id\",\"columnId\":589,\"columnName\":\"offer_details_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"offerDetailsId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":35,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CustomerId\",\"columnComment\":\"客户id 该订单所服务的客户对象\",\"columnId\":590,\"columnName\":\"customer_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"customerId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":35,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CompanyId\",\"columnComment\":\"公司id 该订单的所有者\",\"columnId\":591,\"columnName\":\"company_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-07-28 10:58:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"companyId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-07-28 10:58:41');
INSERT INTO `sys_oper_log` VALUES (287, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.213.205', 'XX XX', '{\"tables\":\"biz_order,biz_order_details\"}', NULL, 0, NULL, '2023-07-28 10:58:48');
INSERT INTO `sys_oper_log` VALUES (288, '项目信息', 1, 'com.ruoyi.project.business.controller.ProjectController.saveProject()', 'POST', 1, 'admin', NULL, '/business/project', '119.113.68.197', 'XX XX', '{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":33},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":7,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"version\":7},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"version\":7},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"version\":7},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699,\"phone\":\"13344422222\",\"projectI', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"amount\":15,\"attaches\":[{\"createTime\":\"2023-07-27 13:52:42\",\"creatorId\":1,\"deleted\":0,\"id\":1684441661347729410,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"派蒙.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"url\":\"/upload/1689320713781/派蒙.jpg\",\"version\":33},{\"createTime\":\"2023-07-27 17:42:50\",\"creatorId\":1,\"deleted\":0,\"id\":1684499576786616322,\"masterTableId\":1679364921066352641,\"masterTableName\":\"biz_project\",\"name\":\"ruoyi.jpg\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"url\":\"/upload/1690450950715/ruoyi.jpg\",\"version\":4}],\"createTime\":\"2023-07-13 13:39:32\",\"creatorId\":1,\"deadline\":\"2023-07-15\",\"deleted\":0,\"developType\":1,\"endTime\":\"2023-07-10\",\"id\":1679364921066352641,\"leader\":\"王恒鳌\",\"memberNum\":7,\"members\":[{\"age\":\"64\",\"code\":\"H-0001\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615745,\"name\":\"王恒鳌\",\"params\":{},\"personId\":350991476244746240,\"phone\":\"13942606481\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"version\":7},{\"age\":\"54\",\"code\":\"H-0003\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615747,\"name\":\"盛强\",\"params\":{},\"personId\":350991478690025475,\"phone\":\"13704286957\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"version\":7},{\"age\":\"74\",\"code\":\"H-0004\",\"createTime\":\"2023-07-27 17:41:18\",\"creatorId\":1,\"deleted\":0,\"gender\":\"男\",\"id\":1684499190931615748,\"name\":\"刘世春\",\"params\":{},\"personId\":350991478807465987,\"phone\":\"13940853052\",\"projectId\":1679364921066352641,\"remark\":\"\",\"sort\":9,\"updateTime\":\"2023-08-11 09:02:43\",\"updaterId\":1,\"version\":7},{\"age\":\"58\",\"code\":\"H-0002\",\"createTime\":\"2023-07-27 17:42:49\",\"creatorId\":1,\"deleted\":0,\"gender\":\"女\",\"id\":1684499575566073858,\"name\":\"金玲\",\"params\":{},\"personId\":350991478610333699', 0, NULL, '2023-08-11 09:02:43');
INSERT INTO `sys_oper_log` VALUES (289, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"monitor/online/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"online\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":109,\"menuName\":\"在线用户\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2,\"path\":\"online\",\"perms\":\"monitor:online:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-16 13:28:27');
INSERT INTO `sys_oper_log` VALUES (290, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"snms_user,snms_company\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-16 15:25:02');
INSERT INTO `sys_oper_log` VALUES (291, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"user\",\"className\":\"SnmsUser\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键ID\",\"columnId\":615,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":36,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateDate\",\"columnId\":616,\"columnName\":\"create_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"createDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":36,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateDate\",\"columnId\":617,\"columnName\":\"update_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"updateDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":36,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Disable\",\"columnComment\":\"是否禁用 \",\"columnId\":618,\"columnName\":\"disable\",\"columnType\":\"tinyint(1)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"disable\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-16 15:26:16');
INSERT INTO `sys_oper_log` VALUES (292, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"company\",\"className\":\"SnmsCompany\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键ID\",\"columnId\":626,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":37,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateDate\",\"columnId\":627,\"columnName\":\"create_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"createDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":37,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateDate\",\"columnId\":628,\"columnName\":\"update_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"updateDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":37,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ContactEmail\",\"columnComment\":\"联系人邮箱，正则表达式：\\\\w+([-+.]\\\\w+)*@\\\\w+([-.]\\\\w+)*\\\\.\\\\w+([-.]\\\\w+)*\",\"columnId\":629,\"columnName\":\"contact_email\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-16 15:26:57');
INSERT INTO `sys_oper_log` VALUES (293, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"snms_user,snms_company\"}', NULL, 0, NULL, '2023-08-16 15:27:03');
INSERT INTO `sys_oper_log` VALUES (294, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"user\",\"className\":\"SnmsUser\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键ID\",\"columnId\":615,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":36,\"updateBy\":\"\",\"updateTime\":\"2023-08-16 15:26:16\",\"usableColumn\":false},{\"capJavaField\":\"CreateDate\",\"columnId\":616,\"columnName\":\"create_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"createDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":36,\"updateBy\":\"\",\"updateTime\":\"2023-08-16 15:26:16\",\"usableColumn\":false},{\"capJavaField\":\"UpdateDate\",\"columnId\":617,\"columnName\":\"update_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"updateDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":36,\"updateBy\":\"\",\"updateTime\":\"2023-08-16 15:26:16\",\"usableColumn\":false},{\"capJavaField\":\"Disable\",\"columnComment\":\"是否禁用 \",\"columnId\":618,\"columnName\":\"disable\",\"columnType\":\"tinyint(1)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:00\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-16 15:27:36');
INSERT INTO `sys_oper_log` VALUES (295, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"company\",\"className\":\"SnmsCompany\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键ID\",\"columnId\":626,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":37,\"updateBy\":\"\",\"updateTime\":\"2023-08-16 15:26:56\",\"usableColumn\":false},{\"capJavaField\":\"CreateDate\",\"columnId\":627,\"columnName\":\"create_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"createDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":37,\"updateBy\":\"\",\"updateTime\":\"2023-08-16 15:26:56\",\"usableColumn\":false},{\"capJavaField\":\"UpdateDate\",\"columnId\":628,\"columnName\":\"update_date\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"updateDate\",\"javaType\":\"Date\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":37,\"updateBy\":\"\",\"updateTime\":\"2023-08-16 15:26:56\",\"usableColumn\":false},{\"capJavaField\":\"ContactEmail\",\"columnComment\":\"联系人邮箱，正则表达式：\\\\w+([-+.]\\\\w+)*@\\\\w+([-.]\\\\w+)*\\\\.\\\\w+([-.]\\\\w+)*\",\"columnId\":629,\"columnName\":\"contact_email\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-16 15:25:01\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-16 15:27:50');
INSERT INTO `sys_oper_log` VALUES (296, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"snms_user,snms_company\"}', NULL, 0, NULL, '2023-08-16 15:27:55');
INSERT INTO `sys_oper_log` VALUES (297, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.221.134', 'XX XX', '\"biz_user\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 15:43:38');
INSERT INTO `sys_oper_log` VALUES (298, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.221.134', 'XX XX', '{\"businessName\":\"bizUser\",\"className\":\"User\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":615,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 15:43:38\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":36,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SnmsUserId\",\"columnComment\":\"snms 系统 user_id\",\"columnId\":616,\"columnName\":\"snms_user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 15:43:38\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"snmsUserId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":36,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserName\",\"columnComment\":\"用户名 同 snms 系统\",\"columnId\":617,\"columnName\":\"user_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 15:43:38\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"userName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":36,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":618,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 15:43:38\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 15:45:18');
INSERT INTO `sys_oper_log` VALUES (299, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.221.134', 'XX XX', '{\"tables\":\"biz_user\"}', NULL, 0, NULL, '2023-08-17 15:45:24');
INSERT INTO `sys_oper_log` VALUES (300, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_user_tenant\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:05:33');
INSERT INTO `sys_oper_log` VALUES (301, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"tenant\",\"className\":\"BizUserTenant\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":626,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:05:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":37,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户id\",\"columnId\":627,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:05:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":37,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":628,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:05:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":37,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"IsAdmin\",\"columnComment\":\"用户 是否 为 租户的创建者\",\"columnId\":629,\"columnName\":\"is_admin\",\"columnType\":\"bit(1)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:05:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"isAdmin\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"r', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:08:01');
INSERT INTO `sys_oper_log` VALUES (302, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_user,biz_user_tenant\"}', NULL, 0, NULL, '2023-08-17 16:08:08');
INSERT INTO `sys_oper_log` VALUES (303, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/36', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:09:08');
INSERT INTO `sys_oper_log` VALUES (304, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.221.134', 'XX XX', '\"biz_user\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:09:14');
INSERT INTO `sys_oper_log` VALUES (305, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.221.134', 'XX XX', '{\"businessName\":\"user\",\"className\":\"BizUser\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":638,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:09:14\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":38,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SnmsUserId\",\"columnComment\":\"snms 系统 user_id\",\"columnId\":639,\"columnName\":\"snms_user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:09:14\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"snmsUserId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":38,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserName\",\"columnComment\":\"用户名 同 snms 系统\",\"columnId\":640,\"columnName\":\"user_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:09:14\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"userName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":38,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":641,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:09:14\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:09:37');
INSERT INTO `sys_oper_log` VALUES (306, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/38', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:09:58');
INSERT INTO `sys_oper_log` VALUES (307, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_user\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:10:02');
INSERT INTO `sys_oper_log` VALUES (308, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"user\",\"className\":\"BizUser\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":649,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:10:02\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":39,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SnmsUserId\",\"columnComment\":\"snms 系统 user_id\",\"columnId\":650,\"columnName\":\"snms_user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:10:02\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"snmsUserId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":39,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserName\",\"columnComment\":\"用户名 同 snms 系统\",\"columnId\":651,\"columnName\":\"user_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:10:02\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"userName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":39,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":652,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-17 16:10:02\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 16:10:24');
INSERT INTO `sys_oper_log` VALUES (309, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_user_tenant,biz_user\"}', NULL, 0, NULL, '2023-08-17 16:10:28');
INSERT INTO `sys_oper_log` VALUES (310, '用户头像', 2, 'com.ruoyi.project.system.controller.SysProfileController.avatar()', 'POST', 1, 'admin', NULL, '/system/user/profile/avatar', '113.227.221.134', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2023/08/17/blob_20230817195455A001.png\",\"code\":200}', 0, NULL, '2023-08-17 19:54:55');
INSERT INTO `sys_oper_log` VALUES (311, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"访客系统\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"visitor\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:12:25');
INSERT INTO `sys_oper_log` VALUES (312, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitorInformation\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2026,\"path\":\"VisitorInformation\",\"query\":\"visitor/information/List\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:14:03');
INSERT INTO `sys_oper_log` VALUES (313, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitor/appointment/List\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"访客预约\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2026,\"path\":\"VisitorAppointment\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:15:24');
INSERT INTO `sys_oper_log` VALUES (314, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitor/information/List\",\"createTime\":\"2023-08-17 20:14:03\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2027,\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2026,\"path\":\"VisitorInformation\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:15:35');
INSERT INTO `sys_oper_log` VALUES (315, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitor/config/List\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"功能设置\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2026,\"path\":\"VisitorConfig\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:16:24');
INSERT INTO `sys_oper_log` VALUES (316, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"createTime\":\"2023-08-17 20:12:25\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2026,\"menuName\":\"访客系统\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"visitor\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:17:17');
INSERT INTO `sys_oper_log` VALUES (317, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitor/information/List\",\"createTime\":\"2023-08-17 20:14:03\",\"icon\":\"excel\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2027,\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2026,\"path\":\"VisitorInformation\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:17:55');
INSERT INTO `sys_oper_log` VALUES (318, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitor/appointment/List\",\"createTime\":\"2023-08-17 20:15:24\",\"icon\":\"row\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2028,\"menuName\":\"访客预约\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2026,\"path\":\"VisitorAppointment\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:18:32');
INSERT INTO `sys_oper_log` VALUES (319, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"visitor/config/List\",\"createTime\":\"2023-08-17 20:16:24\",\"icon\":\"log\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"功能设置\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2026,\"path\":\"VisitorConfig\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-17 20:18:53');
INSERT INTO `sys_oper_log` VALUES (320, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"business/visitor/information/List\",\"createTime\":\"2023-08-17 20:14:03\",\"icon\":\"excel\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2027,\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2026,\"path\":\"VisitorInformation\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 08:38:22');
INSERT INTO `sys_oper_log` VALUES (321, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"business/visitor/appointment/List\",\"createTime\":\"2023-08-17 20:15:24\",\"icon\":\"row\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2028,\"menuName\":\"访客预约\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2026,\"path\":\"VisitorAppointment\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 08:38:29');
INSERT INTO `sys_oper_log` VALUES (322, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"business/visitor/config/List\",\"createTime\":\"2023-08-17 20:16:24\",\"icon\":\"log\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"功能设置\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2026,\"path\":\"VisitorConfig\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 08:38:34');
INSERT INTO `sys_oper_log` VALUES (323, '参数管理', 2, 'com.ruoyi.project.system.controller.SysConfigController.edit()', 'PUT', 1, 'admin', NULL, '/system/config', '127.0.0.1', '内网IP', '{\"configId\":4,\"configKey\":\"sys.account.captchaEnabled\",\"configName\":\"账号自助-验证码开关\",\"configType\":\"N\",\"configValue\":\"true\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"ids\":[],\"params\":{},\"remark\":\"是否开启验证码功能（true开启，false关闭）\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 11:06:48');
INSERT INTO `sys_oper_log` VALUES (324, '参数管理', 2, 'com.ruoyi.project.system.controller.SysConfigController.edit()', 'PUT', 1, 'admin', NULL, '/system/config', '127.0.0.1', '内网IP', '{\"configId\":3,\"configKey\":\"sys.index.sideTheme\",\"configName\":\"主框架页-侧边栏主题\",\"configType\":\"N\",\"configValue\":\"theme-dark\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"ids\":[],\"params\":{},\"remark\":\"深色主题theme-dark，浅色主题theme-light\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 11:07:01');
INSERT INTO `sys_oper_log` VALUES (325, '参数管理', 9, 'com.ruoyi.project.system.controller.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 11:09:47');
INSERT INTO `sys_oper_log` VALUES (326, '参数管理', 9, 'com.ruoyi.project.system.controller.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 12:55:51');
INSERT INTO `sys_oper_log` VALUES (327, '参数管理', 9, 'com.ruoyi.project.system.controller.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-18 12:56:23');
INSERT INTO `sys_oper_log` VALUES (328, '用户管理', 1, 'com.ruoyi.project.system.controller.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":100,\"ids\":[],\"nickName\":\"ceshi\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":631,\"userName\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-20 23:15:12');
INSERT INTO `sys_oper_log` VALUES (329, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"企业管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":1,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-20 23:43:10');
INSERT INTO `sys_oper_log` VALUES (330, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-04-25 16:48:09\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 14:46:13');
INSERT INTO `sys_oper_log` VALUES (331, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-04-25 16:48:09\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 14:46:59');
INSERT INTO `sys_oper_log` VALUES (332, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 15:47:10');
INSERT INTO `sys_oper_log` VALUES (333, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/role/changeStatus', '113.227.221.134', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 15:47:14');
INSERT INTO `sys_oper_log` VALUES (334, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 15:47:25');
INSERT INTO `sys_oper_log` VALUES (335, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 15:47:33');
INSERT INTO `sys_oper_log` VALUES (336, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 15:47:39');
INSERT INTO `sys_oper_log` VALUES (337, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '桑原电机(大连)有限公司', NULL, '/system/dept/1143207234667417601', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"部门存在用户,不允许删除\",\"code\":601}', 0, NULL, '2023-08-21 16:01:30');
INSERT INTO `sys_oper_log` VALUES (338, '角色管理', 1, 'com.ruoyi.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006],\"params\":{},\"roleId\":100,\"roleKey\":\"yewu\",\"roleName\":\"业务员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 16:13:58');
INSERT INTO `sys_oper_log` VALUES (339, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, '18640822691', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 16:20:37');
INSERT INTO `sys_oper_log` VALUES (340, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"作业部\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 16:28:41');
INSERT INTO `sys_oper_log` VALUES (341, '用户管理', 1, 'com.ruoyi.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"测试用户\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779713,\"userName\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 16:34:22');
INSERT INTO `sys_oper_log` VALUES (342, '岗位管理', 1, 'com.ruoyi.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '127.0.0.1', '内网IP', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"111\",\"postId\":5,\"postName\":\"测试岗位\",\"postSort\":1,\"remark\":\"12\",\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-21 17:51:25');
INSERT INTO `sys_oper_log` VALUES (343, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"lock\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"店铺管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"12\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 14:29:05');
INSERT INTO `sys_oper_log` VALUES (344, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"createTime\":\"2023-08-22 14:29:05\",\"icon\":\"lock\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2030,\"menuName\":\"店铺管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"storeManagement\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 14:36:20');
INSERT INTO `sys_oper_log` VALUES (345, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2030],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 15:36:40');
INSERT INTO `sys_oper_log` VALUES (346, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_param\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 15:41:05');
INSERT INTO `sys_oper_log` VALUES (347, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_param_template\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 15:42:46');
INSERT INTO `sys_oper_log` VALUES (348, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BizProductParamTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":672,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":41,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"模板名\",\"columnId\":673,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":41,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":674,\"columnName\":\"remark\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":41,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"CategoryId\",\"columnComment\":\"类别的主键，用于关联该 SPU 所属的类别\",\"columnId\":675,\"columnName\":\"category_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"categoryId\",\"javaType\":\"Long\",\"list\":false,\"param', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 15:44:18');
INSERT INTO `sys_oper_log` VALUES (349, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BizProductParamTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":672,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":41,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 15:44:18\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"模板名\",\"columnId\":673,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":41,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 15:44:18\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":674,\"columnName\":\"remark\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":41,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 15:44:18\",\"usableColumn\":true},{\"capJavaField\":\"CategoryId\",\"columnComment\":\"类别的主键，用于关联该 SPU 所属的类别\",\"columnId\":675,\"columnName\":\"category_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 15:42:46\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 15:44:31');
INSERT INTO `sys_oper_log` VALUES (350, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_param_template\"}', NULL, 0, NULL, '2023-08-22 15:44:35');
INSERT INTO `sys_oper_log` VALUES (351, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 15:48:53\",\"creatorId\":1,\"id\":1693892984048553986,\"name\":\"额达\",\"params\":{},\"remark\":\"222\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'category_id\' doesn\'t have a default value\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductParamTemplateMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductParamTemplateMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product_param_template  ( id, name,   create_time,  creator_id,    remark )  VALUES  ( ?, ?,   ?,  ?,    ? )\r\n### Cause: java.sql.SQLException: Field \'category_id\' doesn\'t have a default value\n; Field \'category_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'category_id\' doesn\'t have a default value', '2023-08-22 15:48:53');
INSERT INTO `sys_oper_log` VALUES (352, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 15:50:39');
INSERT INTO `sys_oper_log` VALUES (353, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.221.134', 'XX XX', '\"biz_product_category\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:08:33');
INSERT INTO `sys_oper_log` VALUES (354, '用户管理', 1, 'com.ruoyi.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"deptId\":1143215441569779713,\"email\":\"1334958563@qq.com\",\"ids\":[],\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467003\",\"postIds\":[5],\"roleIds\":[100],\"sex\":\"0\",\"status\":\"0\",\"userName\":\"桑原电机(大连)有限公司\"}', '{\"msg\":\"新增用户\'桑原电机(大连)有限公司\'失败，登录账号已存在\",\"code\":500}', 0, NULL, '2023-08-22 16:09:00');
INSERT INTO `sys_oper_log` VALUES (355, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.221.134', 'XX XX', '{\"businessName\":\"category\",\"className\":\"BizProductCategory\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":683,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":42,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"类别名称\",\"columnId\":684,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":42,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":685,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":42,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":686,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":true,\"para', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:10:30');
INSERT INTO `sys_oper_log` VALUES (356, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.221.134', 'XX XX', '{\"businessName\":\"product_category\",\"className\":\"BizProductCategory\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":683,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":42,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 16:10:30\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"类别名称\",\"columnId\":684,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":42,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 16:10:30\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":685,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":42,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 16:10:30\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":686,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 16:08:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:11:15');
INSERT INTO `sys_oper_log` VALUES (357, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.221.134', 'XX XX', '{\"tables\":\"biz_product_category\"}', NULL, 0, NULL, '2023-08-22 16:11:21');
INSERT INTO `sys_oper_log` VALUES (358, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.221.134', 'XX XX', '{\"tables\":\"biz_product_category\"}', NULL, 0, NULL, '2023-08-22 16:12:43');
INSERT INTO `sys_oper_log` VALUES (359, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2030,2031,2037],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:17:06');
INSERT INTO `sys_oper_log` VALUES (360, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:17:13');
INSERT INTO `sys_oper_log` VALUES (361, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"children\":[],\"component\":\"business/product_category/index\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"分类管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product_category\",\"perms\":\"business:product_category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:18:47');
INSERT INTO `sys_oper_log` VALUES (362, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:19:35');
INSERT INTO `sys_oper_log` VALUES (363, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2030,2031,2037,2038,2039,2040,2041,2042],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:20:41');
INSERT INTO `sys_oper_log` VALUES (364, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:20:44');
INSERT INTO `sys_oper_log` VALUES (365, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 16:21:44\",\"creatorId\":1143215441569779712,\"id\":1693901254466027521,\"name\":\"水产品\",\"params\":{},\"remark\":\"111\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductCategoryMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductCategoryMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product_category  ( id, name,   create_time,  creator_id,    remark )  VALUES  ( ?, ?,   ?,  ?,    ? )\r\n### Cause: java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value\n; Field \'parent_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'parent_id\' doesn\'t have a default value', '2023-08-22 16:21:44');
INSERT INTO `sys_oper_log` VALUES (366, '用户管理', 1, 'com.ruoyi.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"deptId\":1143215441569779713,\"email\":\"1334958563@qq.com\",\"ids\":[],\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467003\",\"postIds\":[5],\"roleIds\":[100],\"sex\":\"0\",\"status\":\"0\",\"userName\":\"zhushan\"}', '{\"msg\":\"新增用户\'zhushan\'失败，手机号码已存在\",\"code\":500}', 0, NULL, '2023-08-22 16:22:20');
INSERT INTO `sys_oper_log` VALUES (367, '用户管理', 1, 'com.ruoyi.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"deptId\":1143215441569779713,\"email\":\"1334958563@qq.com\",\"ids\":[],\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[100],\"sex\":\"0\",\"status\":\"0\",\"userName\":\"zhushan\"}', '{\"msg\":\"新增用户\'zhushan\'失败，邮箱账号已存在\",\"code\":500}', 0, NULL, '2023-08-22 16:22:30');
INSERT INTO `sys_oper_log` VALUES (368, '用户管理', 1, 'com.ruoyi.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"email\":\"1334958565@qq.com\",\"ids\":[],\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[100],\"sex\":\"0\",\"status\":\"0\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:22:36');
INSERT INTO `sys_oper_log` VALUES (369, '用户管理', 2, 'com.ruoyi.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '127.0.0.1', '内网IP', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:22:57');
INSERT INTO `sys_oper_log` VALUES (370, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 16:13:58\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":100,\"roleKey\":\"yewu\",\"roleName\":\"业务员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:24:15');
INSERT INTO `sys_oper_log` VALUES (371, '用户管理', 2, 'com.ruoyi.project.system.controller.SysUserController.edit()', 'PUT', 1, 'zhushan', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779714,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-08-22 16:24:50\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[100],\"roles\":[{\"admin\":false,\"dataScope\":\"4\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":100,\"roleKey\":\"yewu\",\"roleName\":\"业务员\",\"roleSort\":2,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"updateBy\":\"zhushan\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:25:29');
INSERT INTO `sys_oper_log` VALUES (372, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 16:32:51\",\"creatorId\":1143215441569779712,\"id\":1693904050275827713,\"name\":\"小龙虾\",\"params\":{},\"remark\":\"111\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:32:51');
INSERT INTO `sys_oper_log` VALUES (373, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 16:33:02\",\"creatorId\":1143215441569779712,\"id\":1693904097549828098,\"name\":\"咯咯哒鸡蛋\",\"params\":{},\"remark\":\"222\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:33:02');
INSERT INTO `sys_oper_log` VALUES (374, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:46:43');
INSERT INTO `sys_oper_log` VALUES (375, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 16:46:48');
INSERT INTO `sys_oper_log` VALUES (376, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.221.134', 'XX XX', '\"biz_product\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:09:40');
INSERT INTO `sys_oper_log` VALUES (377, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/biz_product', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:09:46');
INSERT INTO `sys_oper_log` VALUES (378, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.221.134', 'XX XX', '{\"businessName\":\"product\",\"className\":\"BizProduct\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":694,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 17:09:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":43,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 17:09:46\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":695,\"columnName\":\"tenant_id\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 17:09:39\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":43,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 17:09:46\",\"usableColumn\":false},{\"capJavaField\":\"Price\",\"columnComment\":\"商品价格\",\"columnId\":696,\"columnName\":\"price\",\"columnType\":\"decimal(10,2)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 17:09:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"price\",\"javaType\":\"BigDecimal\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":43,\"updateBy\":\"\",\"updateTime\":\"2023-08-22 17:09:46\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品名称\",\"columnId\":697,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-22 17:09:39\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:12:08');
INSERT INTO `sys_oper_log` VALUES (379, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.221.134', 'XX XX', '{\"tables\":\"biz_product\"}', NULL, 0, NULL, '2023-08-22 17:15:47');
INSERT INTO `sys_oper_log` VALUES (380, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:19:03');
INSERT INTO `sys_oper_log` VALUES (381, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:19:07');
INSERT INTO `sys_oper_log` VALUES (382, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:39:14');
INSERT INTO `sys_oper_log` VALUES (383, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":0,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-22 17:43:21\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 17:43:21');
INSERT INTO `sys_oper_log` VALUES (384, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"平台应用\",\"dictType\":\"app_key\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:08:59');
INSERT INTO `sys_oper_log` VALUES (385, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"主平台\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao_identity\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:09:54');
INSERT INTO `sys_oper_log` VALUES (386, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:09:54\",\"default\":false,\"dictCode\":103,\"dictLabel\":\"主平台\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-identity\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:10:22');
INSERT INTO `sys_oper_log` VALUES (387, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"cssClass\":\"\",\"default\":false,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao_plugin_visitor\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:12:08');
INSERT INTO `sys_oper_log` VALUES (388, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:12:08\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-plugin-visitor\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:12:58');
INSERT INTO `sys_oper_log` VALUES (389, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"企业端\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-identity-tenant\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:13:37');
INSERT INTO `sys_oper_log` VALUES (390, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:13:37\",\"default\":false,\"dictCode\":105,\"dictLabel\":\"企业端\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-identity-tenant\",\"isDefault\":\"N\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:13:53');
INSERT INTO `sys_oper_log` VALUES (391, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:13:37\",\"default\":false,\"dictCode\":105,\"dictLabel\":\"企业端\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-identity-tenant\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:14:02');
INSERT INTO `sys_oper_log` VALUES (392, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:12:08\",\"cssClass\":\"{background-color:red}\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-plugin-visitor\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:14:32');
INSERT INTO `sys_oper_log` VALUES (393, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:12:08\",\"cssClass\":\"{background-color:\\\"red\\\";}\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-plugin-visitor\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:14:47');
INSERT INTO `sys_oper_log` VALUES (394, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:12:08\",\"cssClass\":\"\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-plugin-visitor\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:14:57');
INSERT INTO `sys_oper_log` VALUES (395, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '60.21.26.142', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:12:08\",\"cssClass\":\"\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-plugin-visitor\",\"isDefault\":\"N\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 22:15:02');
INSERT INTO `sys_oper_log` VALUES (396, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:24:20');
INSERT INTO `sys_oper_log` VALUES (397, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"组织架构\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:25:05');
INSERT INTO `sys_oper_log` VALUES (398, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:35:42');
INSERT INTO `sys_oper_log` VALUES (399, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:36:18');
INSERT INTO `sys_oper_log` VALUES (400, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"createTime\":\"2023-08-17 20:12:25\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2026,\"menuName\":\"访客系统\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"visitor\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:43:13');
INSERT INTO `sys_oper_log` VALUES (401, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"组织架构\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:43:22');
INSERT INTO `sys_oper_log` VALUES (402, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:49:10');
INSERT INTO `sys_oper_log` VALUES (403, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-22 23:49:15');
INSERT INTO `sys_oper_log` VALUES (404, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.21.26.142', 'XX XX', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"system/config/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"edit\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":106,\"menuName\":\"参数设置\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":1,\"path\":\"config\",\"perms\":\"system:config:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 00:01:57');
INSERT INTO `sys_oper_log` VALUES (405, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.21.26.142', 'XX XX', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"system/notice/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"message\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":107,\"menuName\":\"通知公告\",\"menuType\":\"C\",\"orderNum\":8,\"params\":{},\"parentId\":1,\"path\":\"notice\",\"perms\":\"system:notice:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 00:02:12');
INSERT INTO `sys_oper_log` VALUES (406, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":true,\"createTime\":\"2023-04-25 16:48:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,102,1012,1013,1014,1015,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,105,1025,1026,1027,1028,1029,106,1030,1031,1032,1033,1034,107,1035,1036,1037,1038,108,500,1039,1040,1041,501,1042,1043,1044,1045,2,109,1046,1047,1048,110,1049,1050,1051,1052,1053,1054,111,112,113,114,3,116,1055,1056,1057,1058,1059,1060,117,2049,2050,2051,2052,2053,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"超级管理员\",\"roleId\":1,\"roleKey\":\"admin\",\"roleName\":\"超级管理员\",\"roleSort\":1,\"status\":\"0\"}', NULL, 1, '不允许操作超级管理员角色', '2023-08-23 08:41:58');
INSERT INTO `sys_oper_log` VALUES (407, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 08:58:11\",\"creatorId\":1143215441569779712,\"id\":1694152016667701250,\"name\":\"测试\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 08:58:11');
INSERT INTO `sys_oper_log` VALUES (408, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 09:20:38\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:20:38');
INSERT INTO `sys_oper_log` VALUES (409, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 09:20:45\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:20:45');
INSERT INTO `sys_oper_log` VALUES (410, ' 商品分类参数模板', 3, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/template/1694152016667701250', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:25:06');
INSERT INTO `sys_oper_log` VALUES (411, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 09:25:43\",\"creatorId\":1143215441569779712,\"id\":1694158947956387842,\"name\":\"测试2\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:25:43');
INSERT INTO `sys_oper_log` VALUES (412, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 09:25:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694158947956387842,\"name\":\"测试256\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-08-23 09:26:09\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:26:09');
INSERT INTO `sys_oper_log` VALUES (413, ' 商品分类参数模板', 3, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/template/1694158947956387842', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:26:27');
INSERT INTO `sys_oper_log` VALUES (414, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 09:32:03\",\"creatorId\":1143215441569779712,\"id\":1694160540312137730,\"isSuggest\":0,\"name\":\"213\",\"onshow\":\"0\",\"params\":{},\"price\":123,\"remark\":\"121\",\"sourceView\":2131,\"views\":13}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:32:04');
INSERT INTO `sys_oper_log` VALUES (415, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 09:36:57\",\"creatorId\":1143215441569779712,\"id\":1694161773252145153,\"name\":\"测试555\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:36:57');
INSERT INTO `sys_oper_log` VALUES (416, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 09:36:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694161773252145153,\"name\":\"测试555\",\"params\":{},\"remark\":\"\",\"status\":0,\"updateTime\":\"2023-08-23 09:52:43\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:52:43');
INSERT INTO `sys_oper_log` VALUES (417, ' 商品分类参数模板', 3, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/template/1694161773252145153', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 09:52:46');
INSERT INTO `sys_oper_log` VALUES (418, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 09:32:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694160540312137730,\"isSuggest\":0,\"name\":\"213\",\"onshow\":\"0\",\"params\":{},\"price\":123,\"remark\":\"121\",\"sourceView\":2131,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 10:19:56\",\"updaterId\":1143215441569779712,\"version\":1,\"views\":13}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 10:19:57');
INSERT INTO `sys_oper_log` VALUES (419, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 10:36:51');
INSERT INTO `sys_oper_log` VALUES (420, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 10:36:58');
INSERT INTO `sys_oper_log` VALUES (421, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 11:28:41\",\"creatorId\":1143215441569779712,\"id\":1694189894148677634,\"isSuggest\":1,\"name\":\"下龙虾\",\"onshow\":\"0\",\"params\":{},\"price\":1112,\"remark\":\"11\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:28:42');
INSERT INTO `sys_oper_log` VALUES (422, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 11:30:42\",\"creatorId\":1143215441569779712,\"id\":1694190398190755841,\"isSuggest\":1,\"name\":\"公鸡蛋\",\"onshow\":\"0\",\"params\":{},\"price\":444}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:30:43');
INSERT INTO `sys_oper_log` VALUES (423, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 11:30:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694190398190755841,\"isSuggest\":0,\"name\":\"公鸡蛋\",\"onshow\":\"0\",\"params\":{},\"price\":444,\"remark\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 11:47:00\",\"updaterId\":1143215441569779712,\"version\":1,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:47:01');
INSERT INTO `sys_oper_log` VALUES (424, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 11:30:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694190398190755841,\"isSuggest\":0,\"name\":\"公鸡蛋\",\"onshow\":\"1\",\"params\":{},\"price\":444,\"remark\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 11:47:06\",\"updaterId\":1143215441569779712,\"version\":2,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:47:06');
INSERT INTO `sys_oper_log` VALUES (425, '商品证书', 2, 'com.ruoyi.project.business.controller.BizProductCategoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 16:33:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1693904097549828098,\"name\":\"鸡蛋\",\"params\":{},\"parentId\":0,\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 11:50:10\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:50:11');
INSERT INTO `sys_oper_log` VALUES (426, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 11:50:38\",\"creatorId\":1143215441569779712,\"id\":1694195415308148738,\"isSuggest\":1,\"name\":\"咯咯哒鸡蛋\",\"onshow\":\"0\",\"params\":{},\"price\":20,\"remark\":\"11\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:50:39');
INSERT INTO `sys_oper_log` VALUES (427, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-23 11:50:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694195415308148738,\"isSuggest\":1,\"name\":\"咯咯哒鸡蛋\",\"onshow\":\"0\",\"params\":{},\"price\":20,\"remark\":\"11\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 11:52:41\",\"updaterId\":1143215441569779712,\"version\":1,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:52:42');
INSERT INTO `sys_oper_log` VALUES (428, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 11:59:13\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 11:59:13');
INSERT INTO `sys_oper_log` VALUES (429, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 13:06:47\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:06:48');
INSERT INTO `sys_oper_log` VALUES (430, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"额达\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 13:07:27\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:07:27');
INSERT INTO `sys_oper_log` VALUES (431, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 13:08:43\",\"creatorId\":1143215441569779712,\"id\":1694215066499006465,\"isSuggest\":0,\"name\":\"精品小龙虾\",\"onshow\":0,\"params\":{},\"price\":54}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:08:43');
INSERT INTO `sys_oper_log` VALUES (432, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 13:16:10\",\"creatorId\":1143215441569779712,\"id\":1694216939675172865,\"name\":\"生活用品\",\"params\":{},\"remark\":\"22\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:16:10');
INSERT INTO `sys_oper_log` VALUES (433, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 13:16:22\",\"creatorId\":1143215441569779712,\"id\":1694216991000870913,\"name\":\"家用电器\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:16:22');
INSERT INTO `sys_oper_log` VALUES (434, '用户头像', 2, 'com.ruoyi.project.system.controller.SysProfileController.avatar()', 'POST', 1, 'admin', NULL, '/system/user/profile/avatar', '113.227.221.134', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2023/08/23/blob_20230823132310A001.png\",\"code\":200}', 0, NULL, '2023-08-23 13:23:10');
INSERT INTO `sys_oper_log` VALUES (435, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.221.134', 'XX XX', '\"company_material\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:24:52');
INSERT INTO `sys_oper_log` VALUES (436, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.221.134', 'XX XX', '{\"businessName\":\"material\",\"className\":\"CompanyMaterial\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":711,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 13:24:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":44,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CompanyId\",\"columnComment\":\"公司外键id\",\"columnId\":712,\"columnName\":\"company_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 13:24:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"companyId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":44,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MaterialId\",\"columnComment\":\"材质名称\",\"columnId\":713,\"columnName\":\"material_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 13:24:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"materialId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":44,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Price\",\"columnComment\":\"单价 kg/元\",\"columnId\":714,\"columnName\":\"price\",\"columnType\":\"decimal(10,2)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 13:24:52\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"price\",\"javaType\":\"BigDecimal\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"q', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 13:27:47');
INSERT INTO `sys_oper_log` VALUES (437, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.221.134', 'XX XX', '{\"tables\":\"company_material\"}', NULL, 0, NULL, '2023-08-23 13:27:51');
INSERT INTO `sys_oper_log` VALUES (438, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"qwer\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 14:02:25\",\"updaterId\":1143215441569779712,\"version\":7}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 14:02:25');
INSERT INTO `sys_oper_log` VALUES (439, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"qwer\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-23 14:02:31\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 14:02:31');
INSERT INTO `sys_oper_log` VALUES (440, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/information/List\",\"createTime\":\"2023-08-17 20:14:03\",\"icon\":\"excel\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2027,\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2026,\"path\":\"VisitorInformation\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:14:53');
INSERT INTO `sys_oper_log` VALUES (441, '字典类型', 9, 'com.ruoyi.project.system.controller.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:16:18');
INSERT INTO `sys_oper_log` VALUES (442, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-22 22:12:08\",\"cssClass\":\"\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"访客系统\",\"dictSort\":0,\"dictType\":\"app_key\",\"dictValue\":\"ezhizao-plugin-visitor\",\"isDefault\":\"N\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:18:00');
INSERT INTO `sys_oper_log` VALUES (443, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/information/List\",\"createTime\":\"2023-08-17 20:14:03\",\"icon\":\"excel\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2027,\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2026,\"path\":\"VisitorInformation\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:18:20');
INSERT INTO `sys_oper_log` VALUES (444, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"createTime\":\"2023-08-17 20:12:25\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2026,\"menuName\":\"访客系统\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"visitor\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:18:35');
INSERT INTO `sys_oper_log` VALUES (445, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:24:28');
INSERT INTO `sys_oper_log` VALUES (446, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 13:08:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694215066499006465,\"isSuggest\":0,\"name\":\"精品小龙虾\",\"onshow\":0,\"params\":{},\"price\":54.2,\"remark\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 15:26:03\",\"updaterId\":1143215441569779712,\"version\":1,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:26:03');
INSERT INTO `sys_oper_log` VALUES (447, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 13:08:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694215066499006465,\"isSuggest\":0,\"name\":\"精品小龙虾\",\"onshow\":0,\"params\":{},\"price\":54.2,\"remark\":\"555\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 15:29:11\",\"updaterId\":1143215441569779712,\"version\":2,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:29:11');
INSERT INTO `sys_oper_log` VALUES (448, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 13:08:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694215066499006465,\"isSuggest\":0,\"name\":\"精品小龙虾\",\"onshow\":0,\"params\":{},\"price\":54.2,\"remark\":\"555\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 15:36:51\",\"updaterId\":1143215441569779712,\"version\":3,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 15:36:51');
INSERT INTO `sys_oper_log` VALUES (449, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 15:43:15\",\"creatorId\":1143215441569779712,\"id\":1694253956739936257,\"params\":{}}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'category_id\' doesn\'t have a default value\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product  ( id,          create_time,  creator_id )  VALUES  ( ?,          ?,  ? )\r\n### Cause: java.sql.SQLException: Field \'category_id\' doesn\'t have a default value\n; Field \'category_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'category_id\' doesn\'t have a default value', '2023-08-23 15:43:16');
INSERT INTO `sys_oper_log` VALUES (450, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-23 16:12:54\",\"creatorId\":1143215441569779712,\"id\":1694261417689591809,\"isSuggest\":0,\"name\":\"ceshi\",\"onshow\":1,\"params\":{},\"price\":33}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:12:55');
INSERT INTO `sys_oper_log` VALUES (451, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-23 11:50:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694195415308148738,\"isSuggest\":1,\"name\":\"咯咯哒鸡蛋\",\"onshow\":0,\"params\":{},\"price\":20,\"remark\":\"11\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-23 16:13:25\",\"updaterId\":1143215441569779712,\"version\":2,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:13:26');
INSERT INTO `sys_oper_log` VALUES (452, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_company\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:17:32');
INSERT INTO `sys_oper_log` VALUES (453, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"测试\",\"email\":\"303041050@qq.com\",\"leader\":\"测试\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:48:12');
INSERT INTO `sys_oper_log` VALUES (454, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779715', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:48:25');
INSERT INTO `sys_oper_log` VALUES (455, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_directory\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:55:13');
INSERT INTO `sys_oper_log` VALUES (456, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"product_directory\",\"className\":\"BizProductDirectory\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":741,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 16:55:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":46,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品类目名\",\"columnId\":742,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 16:55:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":46,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":743,\"columnName\":\"parent_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 16:55:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":46,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":744,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-23 16:55:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":tr', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 16:59:04');
INSERT INTO `sys_oper_log` VALUES (457, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_directory\"}', NULL, 0, NULL, '2023-08-23 16:59:14');
INSERT INTO `sys_oper_log` VALUES (458, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 17:05:54');
INSERT INTO `sys_oper_log` VALUES (459, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 17:06:14');
INSERT INTO `sys_oper_log` VALUES (460, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 17:07:48');
INSERT INTO `sys_oper_log` VALUES (461, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 17:07:56');
INSERT INTO `sys_oper_log` VALUES (462, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"id\":1694275441927229441,\"name\":\"zxc\",\"params\":{},\"remark\":\"zxc\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-23 17:08:38');
INSERT INTO `sys_oper_log` VALUES (463, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 09:16:42');
INSERT INTO `sys_oper_log` VALUES (464, '角色管理', 4, 'com.ruoyi.project.system.controller.SysRoleController.cancelAuthUser()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/cancel', '127.0.0.1', '内网IP', '{\"roleId\":2,\"userId\":1143207234667417600}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 09:20:47');
INSERT INTO `sys_oper_log` VALUES (465, '角色管理', 4, 'com.ruoyi.project.system.controller.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '2 [1143207234667417600]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 09:20:54');
INSERT INTO `sys_oper_log` VALUES (466, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-24 09:40:08\",\"creatorId\":1143215441569779712,\"id\":1694524962486452225,\"isSuggest\":1,\"mainPicture\":{\"createTime\":\"2023-08-24 09:40:24\",\"creatorId\":1143215441569779712,\"id\":1694525028798398465,\"masterTableId\":1694524962486452225,\"masterTableName\":\"biz_product\",\"name\":\"65a5c99d672fa7d9a4507c947b7f920b.jpg\",\"params\":{},\"remark\":\"主图\",\"url\":\"/upload/1692841193525/65a5c99d672fa7d9a4507c947b7f920b.jpg\"},\"name\":\"主图\",\"onshow\":1,\"params\":{},\"price\":231,\"remark\":\"qq\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 09:40:26');
INSERT INTO `sys_oper_log` VALUES (467, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"ceshi \",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 10:18:10');
INSERT INTO `sys_oper_log` VALUES (468, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779716', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 10:18:16');
INSERT INTO `sys_oper_log` VALUES (469, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"system/post/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"post\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":104,\"menuName\":\"岗位管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":1,\"path\":\"post\",\"perms\":\"system:post:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 10:56:21');
INSERT INTO `sys_oper_log` VALUES (470, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"monitor/online/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"online\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":109,\"menuName\":\"在线用户\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2,\"path\":\"online\",\"perms\":\"monitor:online:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 11:27:56');
INSERT INTO `sys_oper_log` VALUES (471, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694275441927229441,\"name\":\"zx478\",\"params\":{},\"parentId\":0,\"remark\":\"zxc\",\"status\":0,\"updateTime\":\"2023-08-24 13:09:37\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 13:09:38');
INSERT INTO `sys_oper_log` VALUES (472, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694275441927229441,\"name\":\"ceshi \",\"params\":{},\"parentId\":0,\"remark\":\"zxc\",\"status\":0,\"updateTime\":\"2023-08-24 13:10:05\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 13:10:05');
INSERT INTO `sys_oper_log` VALUES (473, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694275441927229441,\"name\":\"nihao \",\"params\":{},\"parentId\":0,\"remark\":\"zxc\",\"status\":0,\"updateTime\":\"2023-08-24 13:10:16\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 13:10:16');
INSERT INTO `sys_oper_log` VALUES (474, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"status\":\"0\",\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 13:50:25');
INSERT INTO `sys_oper_log` VALUES (475, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",1143215441569779717\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试2\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779717,\"status\":\"0\",\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 13:50:40');
INSERT INTO `sys_oper_log` VALUES (476, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dept/1143215441569779718', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 13:50:56');
INSERT INTO `sys_oper_log` VALUES (477, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694275441927229441,\"name\":\"ceshi\",\"params\":{},\"parentId\":0,\"remark\":\"zxc\",\"status\":0,\"updateTime\":\"2023-08-24 14:26:38\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 14:26:38');
INSERT INTO `sys_oper_log` VALUES (478, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694275441927229441,\"name\":\"QQQ\",\"params\":{},\"parentId\":0,\"remark\":\"zxc\",\"status\":0,\"updateTime\":\"2023-08-24 14:53:50\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 14:53:50');
INSERT INTO `sys_oper_log` VALUES (479, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 14:54:55\",\"creatorId\":1143215441569779712,\"id\":1694604182410874881,\"name\":\"WWW\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 14:54:56');
INSERT INTO `sys_oper_log` VALUES (480, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 17:08:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694275441927229441,\"name\":\"EEEE\",\"params\":{},\"parentId\":0,\"remark\":\"zxc\",\"status\":0,\"updateTime\":\"2023-08-24 14:55:42\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 14:55:43');
INSERT INTO `sys_oper_log` VALUES (481, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1694216939675172865,\"certificate\":\"/profile/upload/2023/08/24/7_20230824160320A015.jpg,/profile/upload/2023/08/24/1_20230824160322A016.jpg\",\"createTime\":\"2023-08-24 16:03:25\",\"creatorId\":1143215441569779712,\"id\":1694621419499425794,\"identifications\":\"/profile/upload/2023/08/24/8_20230824160311A012.jpeg,/profile/upload/2023/08/24/6_20230824160314A013.jpeg\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/24/f_20230824160258A009.jpeg\",\"name\":\"sde\",\"onshow\":0,\"params\":{},\"price\":13,\"productPictures\":\"/profile/upload/2023/08/24/7_20230824160308A011.jpg,/profile/upload/2023/08/24/3_20230824160317A014.jpeg\",\"remark\":\"da\",\"sharePicture\":\"/profile/upload/2023/08/24/9_20230824160302A010.jpeg\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 16:03:26');
INSERT INTO `sys_oper_log` VALUES (482, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"certificate\":\"/profile/upload/2023/08/24/3_20230824161134A009.jpeg,/profile/upload/2023/08/24/1_20230824161136A010.jpg\",\"createTime\":\"2023-08-24 16:11:52\",\"creatorId\":1143215441569779712,\"id\":1694623547492253698,\"identifications\":\"/profile/upload/2023/08/24/7_20230824161128A007.jpg,/profile/upload/2023/08/24/2_20230824161131A008.jpeg\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/24/7_20230824161118A003.jpg\",\"name\":\"wqw\",\"onshow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/24/8_20230824161122A005.jpeg,/profile/upload/2023/08/24/9_20230824161125A006.jpeg\",\"remark\":\"qwe\",\"sharePicture\":\"/profile/upload/2023/08/24/a_20230824161120A004.jpg\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 16:11:53');
INSERT INTO `sys_oper_log` VALUES (483, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"certificate\":\"/profile/upload/2023/08/24/f_20230824161318A007.jpeg,/profile/upload/2023/08/24/a_20230824161320A008.jpg\",\"createTime\":\"2023-08-24 16:13:24\",\"creatorId\":1143215441569779712,\"id\":1694623930717310978,\"identifications\":\"/profile/upload/2023/08/24/6_20230824161311A005.jpeg,/profile/upload/2023/08/24/2_20230824161315A006.jpeg\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/24/7_20230824161300A001.jpg\",\"name\":\"qwew\",\"onshow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/24/d_20230824161306A003.jpeg,/profile/upload/2023/08/24/g_20230824161309A004.jpg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/24/6_20230824161303A002.jpeg\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 16:13:25');
INSERT INTO `sys_oper_log` VALUES (484, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 16:20:10\",\"creatorId\":1143215441569779712,\"id\":1694625635130675202,\"name\":\"eee\",\"params\":{},\"parentId\":1694275441927229441}', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'parent_id\' at row 1\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductDirectoryMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductDirectoryMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product_directory  ( id, name, parent_id,  create_time,  creator_id )  VALUES  ( ?, ?, ?,  ?,  ? )\r\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'parent_id\' at row 1\n; Data truncation: Out of range value for column \'parent_id\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Out of range value for column \'parent_id\' at row 1', '2023-08-24 16:20:11');
INSERT INTO `sys_oper_log` VALUES (485, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 16:30:58\",\"creatorId\":1143215441569779712,\"id\":1694628352146337793,\"name\":\"eeee\",\"params\":{},\"parentId\":1694275441927229441,\"parentName\":\"EEEE\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 16:30:59');
INSERT INTO `sys_oper_log` VALUES (486, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"certificate\":\"/profile/upload/2023/08/24/f_20230824161318A007.jpeg,/profile/upload/2023/08/24/a_20230824161320A008.jpg\",\"createTime\":\"2023-08-24 16:13:24\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694623930717310978,\"identifications\":\"/profile/upload/2023/08/24/6_20230824161311A005.jpeg,/profile/upload/2023/08/24/2_20230824161315A006.jpeg\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/24/7_20230824161300A001.jpg\",\"name\":\"qwew\",\"onshow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/24/d_20230824161306A003.jpeg,/profile/upload/2023/08/24/s_20230824163345A009.jpeg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/24/6_20230824161303A002.jpeg\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-24 16:33:55\",\"updaterId\":1143215441569779712,\"version\":1,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 16:33:56');
INSERT INTO `sys_oper_log` VALUES (487, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1694275441927229441', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 17:02:46');
INSERT INTO `sys_oper_log` VALUES (488, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 17:31:36\",\"creatorId\":1,\"id\":1694643609950552065,\"name\":\"www\",\"params\":{},\"parentId\":1694604182410874881,\"parentName\":\"WWW\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-24 17:31:36');
INSERT INTO `sys_oper_log` VALUES (489, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"certificate\":\"/profile/upload/2023/08/25/a_20230825085136A007.jpg,/profile/upload/2023/08/25/d_20230825085140A008.jpeg\",\"createTime\":\"2023-08-25 08:51:43\",\"creatorId\":1143215441569779712,\"id\":1694875164388941825,\"identifications\":\"/profile/upload/2023/08/25/2_20230825085122A005.jpeg,/profile/upload/2023/08/25/3_20230825085125A006.jpeg\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825085110A001.jpeg\",\"name\":\"qwew\",\"onshow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/25/8_20230825085116A003.jpeg,/profile/upload/2023/08/25/g_20230825085119A004.jpg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/a_20230825085113A002.jpg\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product  ( id,  price, name,    is_suggest, onshow, category_id, main_picture, share_picture, product_pictures, identifications, certificate, create_time,  creator_id,    remark )  VALUES  ( ?,  ?, ?,    ?, ?, ?, ?, ?, ?, ?, ?, ?,  ?,    ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'', '2023-08-25 08:51:44');
INSERT INTO `sys_oper_log` VALUES (490, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-25 08:54:26\",\"creatorId\":1143215441569779712,\"id\":1694875850350583809,\"identifications\":\"/profile/upload/2023/08/25/f_20230825085416A010.jpeg\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/25/d_20230825085413A009.jpeg\",\"name\":\"qwew\",\"onshow\":0,\"params\":{},\"price\":123,\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/h_20230825085419A011.jpeg\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product  ( id,  price, name,    is_suggest, onshow, category_id, main_picture, share_picture,  identifications,  create_time,  creator_id,    remark )  VALUES  ( ?,  ?, ?,    ?, ?, ?, ?, ?,  ?,  ?,  ?,    ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'', '2023-08-25 08:54:27');
INSERT INTO `sys_oper_log` VALUES (491, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-25 08:55:17\",\"creatorId\":1143215441569779712,\"id\":1694876061798031361,\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/25/h_20230825085509A012.jpeg\",\"name\":\"qwew\",\"onshow\":0,\"params\":{},\"price\":123,\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/6_20230825085511A013.jpeg\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product  ( id,  price, name,    is_suggest, onshow, category_id, main_picture, share_picture,    create_time,  creator_id,    remark )  VALUES  ( ?,  ?, ?,    ?, ?, ?, ?, ?,    ?,  ?,    ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'', '2023-08-25 08:55:17');
INSERT INTO `sys_oper_log` VALUES (492, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-25 08:56:56\",\"creatorId\":1143215441569779712,\"id\":1694876477864599553,\"isSuggest\":0,\"name\":\"qwew\",\"onshow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product  ( id,  price, name,    is_suggest, onshow, category_id,      create_time,  creator_id,    remark )  VALUES  ( ?,  ?, ?,    ?, ?, ?,      ?,  ?,    ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'', '2023-08-25 08:56:57');
INSERT INTO `sys_oper_log` VALUES (493, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-25 08:59:32\",\"creatorId\":1143215441569779712,\"id\":1694877134977818625,\"isSuggest\":0,\"name\":\"qwew\",\"onshow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\r\n### The error may exist in com/ruoyi/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.business.mapper.BizProductMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product  ( id,  price, name,    is_suggest, onshow, category_id,      create_time,  creator_id,    remark )  VALUES  ( ?,  ?, ?,    ?, ?, ?,      ?,  ?,    ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'onshow\' in \'field list\'', '2023-08-25 08:59:33');
INSERT INTO `sys_oper_log` VALUES (494, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"certificate\":\"/profile/upload/2023/08/25/0_20230825090323A007.jpg,/profile/upload/2023/08/25/g_20230825090326A008.jpg\",\"createTime\":\"2023-08-25 09:03:27\",\"creatorId\":1143215441569779712,\"id\":1694878120572166145,\"identifications\":\"/profile/upload/2023/08/25/6_20230825090316A005.jpeg,/profile/upload/2023/08/25/a_20230825090321A006.jpg\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/25/7_20230825090302A001.jpg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/25/9_20230825090311A003.jpeg,/profile/upload/2023/08/25/8_20230825090313A004.jpeg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/a_20230825090304A002.jpg\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 09:03:28');
INSERT INTO `sys_oper_log` VALUES (495, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"certificate\":\"/profile/upload/2023/08/25/0_20230825090323A007.jpg,/profile/upload/2023/08/25/g_20230825090326A008.jpg\",\"content\":\"<p>😘<img src=\\\"/dev-api/upload/1692926252402/a.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 660.00px;height: 660.00px;\\\"/>asdasda</p>\",\"createTime\":\"2023-08-25 09:03:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694878120572166145,\"identifications\":\"/profile/upload/2023/08/25/6_20230825090316A005.jpeg,/profile/upload/2023/08/25/a_20230825090321A006.jpg\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/25/7_20230825090302A001.jpg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/25/9_20230825090311A003.jpeg,/profile/upload/2023/08/25/8_20230825090313A004.jpeg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/a_20230825090304A002.jpg\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-25 09:17:42\",\"updaterId\":1143215441569779712,\"version\":1,\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 09:17:43');
INSERT INTO `sys_oper_log` VALUES (496, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"certificate\":\"/profile/upload/2023/08/25/0_20230825090323A007.jpg,/profile/upload/2023/08/25/g_20230825090326A008.jpg\",\"content\":\"<p>😘<img src=\\\"/dev-api/upload/1692926252402/a.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 660.00px;height: 660.00px;\\\"/>asdasda</p>\",\"createTime\":\"2023-08-25 09:03:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694878120572166145,\"identifications\":\"/profile/upload/2023/08/25/6_20230825090316A005.jpeg,/profile/upload/2023/08/25/a_20230825090321A006.jpg\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/25/7_20230825090302A001.jpg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/25/9_20230825090311A003.jpeg,/profile/upload/2023/08/25/8_20230825090313A004.jpeg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/a_20230825090304A002.jpg\",\"sourceView\":0,\"status\":0,\"tenantId\":\"\",\"updateTime\":\"2023-08-25 09:38:43\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"/profile/upload/2023/08/25/936a1464-429c-4405-98ef-f02c469a2090_20230825093755A001.mp4\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 09:38:45');
INSERT INTO `sys_oper_log` VALUES (497, '商品', 3, 'com.ruoyi.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1694878120572166145', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 09:48:03');
INSERT INTO `sys_oper_log` VALUES (498, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"certificate\":\"/profile/upload/2023/08/25/7_20230825102016A008.jpg\",\"content\":\"<p>qweqsdasd</p>\",\"createTime\":\"2023-08-25 10:20:46\",\"creatorId\":1143215441569779712,\"id\":1694897575880556546,\"identifications\":\"/profile/upload/2023/08/25/s_20230825101958A005.jpeg,/profile/upload/2023/08/25/a_20230825102001A006.jpg,/profile/upload/2023/08/25/6_20230825102004A007.jpeg\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825101945A001.jpeg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023/08/25/d_20230825101951A003.jpeg,/profile/upload/2023/08/25/h_20230825101953A004.jpeg\",\"remark\":\"123\",\"sharePicture\":\"/profile/upload/2023/08/25/a_20230825101948A002.jpg\",\"tenantId\":106,\"video\":\"/profile/upload/2023/08/25/936a1464-429c-4405-98ef-f02c469a2090_20230825102038A009.mp4\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 10:20:47');
INSERT INTO `sys_oper_log` VALUES (499, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"kg/元\",\"params\":{},\"remark\":\"222\",\"status\":0,\"updateTime\":\"2023-08-25 10:55:51\",\"updaterId\":1143215441569779712,\"version\":9}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 10:55:52');
INSERT INTO `sys_oper_log` VALUES (500, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 11:07:33\",\"creatorId\":1,\"id\":1694909350176100353,\"name\":\"请求\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:07:33');
INSERT INTO `sys_oper_log` VALUES (501, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_review\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:10:48');
INSERT INTO `sys_oper_log` VALUES (502, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"review\",\"className\":\"BizProductReview\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":752,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:10:47\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":47,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"产品id\",\"columnId\":753,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:10:47\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":47,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":754,\"columnName\":\"tenant_id\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:10:47\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":47,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户id\",\"columnId\":755,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:10:47\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":4,\"superColumn\":false,\"ta', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:11:12');
INSERT INTO `sys_oper_log` VALUES (503, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_review\"}', NULL, 0, NULL, '2023-08-25 11:11:16');
INSERT INTO `sys_oper_log` VALUES (504, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:16:18');
INSERT INTO `sys_oper_log` VALUES (505, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:16:20');
INSERT INTO `sys_oper_log` VALUES (506, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/29,30,31,32,33,34,35,37,39,40', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:18:06');
INSERT INTO `sys_oper_log` VALUES (507, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/41,42,43,44,45,46,47', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:18:14');
INSERT INTO `sys_oper_log` VALUES (508, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_tenant\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:18:20');
INSERT INTO `sys_oper_log` VALUES (509, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"tenant\",\"className\":\"BizTenant\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键 对应snms 系统中nbms_ent 中的 id\",\"columnId\":768,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:18:19\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":48,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SnmsPassword\",\"columnComment\":\"snms_系统 登录密码\",\"columnId\":769,\"columnName\":\"snms_password\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:18:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"snmsPassword\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":48,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SnmsUserName\",\"columnComment\":\"snms_系统 登录名称\",\"columnId\":770,\"columnName\":\"snms_user_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:18:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"snmsUserName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":48,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantName\",\"columnComment\":\"租户名称 = snms系统中的企业名称\",\"columnId\":771,\"columnName\":\"tenant_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:18:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:18:57');
INSERT INTO `sys_oper_log` VALUES (510, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_tenant\"}', NULL, 0, NULL, '2023-08-25 11:19:00');
INSERT INTO `sys_oper_log` VALUES (511, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/48', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:27:43');
INSERT INTO `sys_oper_log` VALUES (512, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_tenant\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:27:48');
INSERT INTO `sys_oper_log` VALUES (513, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_tenant\"}', NULL, 0, NULL, '2023-08-25 11:27:50');
INSERT INTO `sys_oper_log` VALUES (514, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"商品分类参数模板\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:31:50');
INSERT INTO `sys_oper_log` VALUES (515, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product/index\",\"createTime\":\"2023-08-22 17:16:43\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product\",\"perms\":\"business:product:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:32:04');
INSERT INTO `sys_oper_log` VALUES (516, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"部门管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":1,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:33:29');
INSERT INTO `sys_oper_log` VALUES (517, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"部门管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":1,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:33:46');
INSERT INTO `sys_oper_log` VALUES (518, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"business/tenant/index\",\"createTime\":\"2023-08-25 11:29:53\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2091,\"menuName\":\"企业管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":1,\"path\":\"tenant\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:34:07');
INSERT INTO `sys_oper_log` VALUES (519, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity\",\"children\":[],\"component\":\"business/tenant/index\",\"createTime\":\"2023-08-25 11:29:53\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2091,\"menuName\":\"企业管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":1,\"path\":\"tenant\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:34:45');
INSERT INTO `sys_oper_log` VALUES (520, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_branch,biz_branch_product\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:35:52');
INSERT INTO `sys_oper_log` VALUES (521, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"product\",\"className\":\"BizBranchProduct\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":863,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":51,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BranchId\",\"columnComment\":\"网点id\",\"columnId\":864,\"columnName\":\"branch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"branchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":51,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品id\",\"columnId\":865,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":51,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":866,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":4,\"superColumn\":false,\"tableId\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:42:13');
INSERT INTO `sys_oper_log` VALUES (522, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"branch\",\"className\":\"BizBranch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":844,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":50,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"网点名称\",\"columnId\":845,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Phnoe\",\"columnComment\":\"联系电话\",\"columnId\":846,\"columnName\":\"phnoe\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"phnoe\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Province\",\"columnComment\":\"省\",\"columnId\":847,\"columnName\":\"province\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"province\",\"javaType\":\"St', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:42:26');
INSERT INTO `sys_oper_log` VALUES (523, '【请填写功能名称】', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"\",\"orgNature\":0,\"params\":{},\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-08-25 11:56:50\",\"updaterId\":1,\"version\":40,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 11:56:50');
INSERT INTO `sys_oper_log` VALUES (524, '【请填写功能名称】', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"\",\"orgNature\":0,\"params\":{},\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-08-25 13:12:33\",\"updaterId\":1,\"version\":42,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:12:33');
INSERT INTO `sys_oper_log` VALUES (525, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"branch\",\"className\":\"BizBranch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":844,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 11:42:25\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"网点名称\",\"columnId\":845,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 11:42:26\",\"usableColumn\":false},{\"capJavaField\":\"Phnoe\",\"columnComment\":\"联系电话\",\"columnId\":846,\"columnName\":\"phnoe\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"phnoe\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 11:42:26\",\"usableColumn\":false},{\"capJavaField\":\"Province\",\"columnComment\":\"省\",\"columnId\":847,\"columnName\":\"province\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:23:32');
INSERT INTO `sys_oper_log` VALUES (526, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, 'admin', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:28:08\",\"creatorId\":1,\"id\":1694944726996328449,\"logisticsScore\":2,\"params\":{},\"productId\":1694897575880556546,\"productScore\":3,\"remark\":\"1\",\"serveScore\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:28:09');
INSERT INTO `sys_oper_log` VALUES (527, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, 'admin', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:28:08\",\"creatorId\":1,\"deleted\":0,\"id\":1694944726996328449,\"logisticsScore\":3.5,\"name\":\"\",\"params\":{},\"productId\":1694897575880556546,\"productScore\":4.5,\"remark\":\"1\",\"serveScore\":4,\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-25 13:29:42\",\"updaterId\":1,\"userId\":0,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:29:43');
INSERT INTO `sys_oper_log` VALUES (528, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"branchProduct\",\"className\":\"BizBranchProduct\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":863,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":51,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 11:42:12\",\"usableColumn\":false},{\"capJavaField\":\"BranchId\",\"columnComment\":\"网点id\",\"columnId\":864,\"columnName\":\"branch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"branchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":51,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 11:42:12\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品id\",\"columnId\":865,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":51,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 11:42:13\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":866,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":fals', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:31:13');
INSERT INTO `sys_oper_log` VALUES (529, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, 'admin', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:36:14\",\"creatorId\":1,\"id\":1694946765939679233,\"logisticsScore\":4,\"params\":{},\"productId\":1694897575880556546,\"productScore\":3.5,\"serveScore\":4.5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:36:15');
INSERT INTO `sys_oper_log` VALUES (530, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, 'admin', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:37:08\",\"creatorId\":1,\"id\":1694946991740035074,\"logisticsScore\":5,\"params\":{},\"productId\":1694897575880556546,\"productScore\":4.5,\"serveScore\":4.5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:37:09');
INSERT INTO `sys_oper_log` VALUES (531, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"branch\",\"className\":\"BizBranch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":844,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:23:32\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"网点名称\",\"columnId\":845,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:23:32\",\"usableColumn\":false},{\"capJavaField\":\"Phnoe\",\"columnComment\":\"联系电话\",\"columnId\":846,\"columnName\":\"phnoe\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"phnoe\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:23:32\",\"usableColumn\":false},{\"capJavaField\":\"Province\",\"columnComment\":\"省\",\"columnId\":847,\"columnName\":\"province\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:37:37');
INSERT INTO `sys_oper_log` VALUES (532, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_branch\"}', NULL, 0, NULL, '2023-08-25 13:37:53');
INSERT INTO `sys_oper_log` VALUES (533, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_branch_product\"}', NULL, 0, NULL, '2023-08-25 13:37:55');
INSERT INTO `sys_oper_log` VALUES (534, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, 'admin', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:45:20\",\"creatorId\":1,\"id\":1694949055404711938,\"logisticsScore\":5,\"params\":{},\"productId\":1694897575880556546,\"productScore\":4.5,\"serveScore\":4.5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:45:23');
INSERT INTO `sys_oper_log` VALUES (535, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"id\":1694949775218581506,\"logisticsScore\":3,\"params\":{},\"productId\":1694897575880556546,\"productScore\":4.5,\"serveScore\":3.5,\"tenantId\":106,\"userId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:48:13');
INSERT INTO `sys_oper_log` VALUES (536, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"4\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2097,2098,2099,2100,2101,2102,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:50:13');
INSERT INTO `sys_oper_log` VALUES (537, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:50:42');
INSERT INTO `sys_oper_log` VALUES (538, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2097,2098,2099,2100,2101,2102,2103,2104,2105,2106,2107,2108,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:54:05');
INSERT INTO `sys_oper_log` VALUES (539, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:54:09');
INSERT INTO `sys_oper_log` VALUES (540, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2097,2098,2099,2100,2101,2102,2103,2104,2105,2106,2107,2108,2109,2110,2111,2112,2113,2114,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:56:42');
INSERT INTO `sys_oper_log` VALUES (541, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 13:56:46');
INSERT INTO `sys_oper_log` VALUES (542, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"branch\",\"className\":\"BizBranch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":844,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:37:37\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"网点名称\",\"columnId\":845,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:37:37\",\"usableColumn\":false},{\"capJavaField\":\"Phnoe\",\"columnComment\":\"联系电话\",\"columnId\":846,\"columnName\":\"phnoe\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"phnoe\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":50,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:37:37\",\"usableColumn\":false},{\"capJavaField\":\"Province\",\"columnComment\":\"省\",\"columnId\":847,\"columnName\":\"province\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:03:21');
INSERT INTO `sys_oper_log` VALUES (543, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"branchProduct\",\"className\":\"BizBranchProduct\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":863,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":51,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:31:13\",\"usableColumn\":false},{\"capJavaField\":\"BranchId\",\"columnComment\":\"网点id\",\"columnId\":864,\"columnName\":\"branch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"branchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":51,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:31:13\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品id\",\"columnId\":865,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":51,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 13:31:13\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":866,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 11:35:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":fals', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:03:43');
INSERT INTO `sys_oper_log` VALUES (544, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_branch\"}', NULL, 0, NULL, '2023-08-25 14:03:55');
INSERT INTO `sys_oper_log` VALUES (545, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_branch_product\"}', NULL, 0, NULL, '2023-08-25 14:03:57');
INSERT INTO `sys_oper_log` VALUES (546, '【请填写功能名称】', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"\",\"orgNature\":0,\"params\":{},\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-08-25 14:06:09\",\"updaterId\":1,\"version\":44,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:06:09');
INSERT INTO `sys_oper_log` VALUES (547, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2115,2116,2117,2118,2119,2120,2121,2122,2123,2124,2125,2126,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:08:16');
INSERT INTO `sys_oper_log` VALUES (548, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:08:22');
INSERT INTO `sys_oper_log` VALUES (549, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 14:20:29\",\"creatorId\":1143215441569779712,\"id\":1694957904853569537,\"logisticsScore\":3.5,\"params\":{},\"productId\":1694897575880556546,\"productScore\":2.5,\"serveScore\":4,\"tenantId\":106,\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:20:31');
INSERT INTO `sys_oper_log` VALUES (550, '商品评论', 3, 'com.ruoyi.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1694957904853569537', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:20:38');
INSERT INTO `sys_oper_log` VALUES (551, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"李家杰\",\"area\":\"沙河口区\",\"areaCode\":10060,\"city\":\"大连\",\"createTime\":\"2023-08-25 14:29:10\",\"creatorId\":1,\"id\":1694960088956878849,\"latitude\":123,\"longitude\":123,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13214523698\",\"province\":\"辽宁\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 14:29:11');
INSERT INTO `sys_oper_log` VALUES (552, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694949775218581506,\"logisticsScore\":5,\"params\":{},\"productId\":1694897575880556546,\"productScore\":4.5,\"remark\":\"\",\"serveScore\":4.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-25 15:46:35\",\"updaterId\":1143215441569779712,\"userId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:46:37');
INSERT INTO `sys_oper_log` VALUES (553, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_manual_details,biz_manual,biz_product_manual\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:50:10');
INSERT INTO `sys_oper_log` VALUES (554, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"manual\",\"className\":\"Manual\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":900,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:10\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":54,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":901,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:10\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":54,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"模板手册名\",\"columnId\":902,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:10\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":54,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":903,\"columnName\":\"remark\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:10\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryT', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:50:38');
INSERT INTO `sys_oper_log` VALUES (555, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/biz_product_manual', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:51:32');
INSERT INTO `sys_oper_log` VALUES (556, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/biz_product_manual', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:51:50');
INSERT INTO `sys_oper_log` VALUES (557, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/biz_product_manual', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:52:09');
INSERT INTO `sys_oper_log` VALUES (558, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/53', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:52:24');
INSERT INTO `sys_oper_log` VALUES (559, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_manual\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:52:28');
INSERT INTO `sys_oper_log` VALUES (560, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"manual\",\"className\":\"ProductManual\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":910,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":55,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品 id\",\"columnId\":911,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":55,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":912,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":55,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Url\",\"columnComment\":\"图片url\",\"columnId\":913,\"columnName\":\"url\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"url\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:52:43');
INSERT INTO `sys_oper_log` VALUES (561, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"manulDetails\",\"className\":\"ManualDetails\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":875,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:09\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":52,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":876,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:09\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":52,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"模板名\",\"columnId\":877,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:09\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":52,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ManualId\",\"columnComment\":\"手册 id\",\"columnId\":878,\"columnName\":\"manual_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:50:09\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"manualId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":fa', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:54:00');
INSERT INTO `sys_oper_log` VALUES (562, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productManual\",\"className\":\"ProductManual\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":910,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":55,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 15:52:43\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品 id\",\"columnId\":911,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":55,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 15:52:43\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":912,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":55,\"updateBy\":\"\",\"updateTime\":\"2023-08-25 15:52:43\",\"usableColumn\":false},{\"capJavaField\":\"Url\",\"columnComment\":\"图片url\",\"columnId\":913,\"columnName\":\"url\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-25 15:52:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaFiel', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 15:54:31');
INSERT INTO `sys_oper_log` VALUES (563, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual\"}', NULL, 0, NULL, '2023-08-25 15:54:53');
INSERT INTO `sys_oper_log` VALUES (564, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual\"}', NULL, 0, NULL, '2023-08-25 15:55:07');
INSERT INTO `sys_oper_log` VALUES (565, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details\"}', NULL, 0, NULL, '2023-08-25 15:58:16');
INSERT INTO `sys_oper_log` VALUES (566, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details\"}', NULL, 0, NULL, '2023-08-25 15:59:18');
INSERT INTO `sys_oper_log` VALUES (567, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_manual\"}', NULL, 0, NULL, '2023-08-25 16:00:12');
INSERT INTO `sys_oper_log` VALUES (568, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/manual/index\",\"createTime\":\"2023-08-25 15:55:46\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2127,\"menuName\":\"商品手册模板\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"manual\",\"perms\":\"business:manual:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:01:48');
INSERT INTO `sys_oper_log` VALUES (569, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2115,2116,2117,2118,2119,2120,2121,2122,2123,2124,2125,2126,2127,2128,2129,2130,2131,2132,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:02:28');
INSERT INTO `sys_oper_log` VALUES (570, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:02:31');
INSERT INTO `sys_oper_log` VALUES (571, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"name\":\"测试模板1\",\"params\":{},\"remark\":\"222\",\"tenantId\":0,\"updateTime\":\"2023-08-25 16:20:06\",\"updaterId\":1143215441569779712,\"version\":10}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:20:08');
INSERT INTO `sys_oper_log` VALUES (572, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"path\":\"companyInfo\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:20:12');
INSERT INTO `sys_oper_log` VALUES (573, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-25 16:20:12\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2133,\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2049,\"path\":\"companyInfo\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:20:26');
INSERT INTO `sys_oper_log` VALUES (574, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-25 16:20:12\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2133,\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2049,\"path\":\"companyInfo\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:21:13');
INSERT INTO `sys_oper_log` VALUES (575, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/tenant/form\",\"createTime\":\"2023-08-25 16:20:12\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2133,\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2049,\"path\":\"companyInfo\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:21:27');
INSERT INTO `sys_oper_log` VALUES (576, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2115,2116,2117,2118,2119,2120,2121,2122,2123,2124,2125,2126,2127,2128,2129,2130,2131,2132,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:22:00');
INSERT INTO `sys_oper_log` VALUES (577, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_category/index\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"商品分类\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product_category\",\"perms\":\"business:product_category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:50:27');
INSERT INTO `sys_oper_log` VALUES (578, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_directory/index\",\"createTime\":\"2023-08-23 17:01:27\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2079,\"menuName\":\"商品类目\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2030,\"path\":\"product_directory\",\"perms\":\"business:product_directory:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:50:46');
INSERT INTO `sys_oper_log` VALUES (579, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_category/index\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"商品分类\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product_category\",\"perms\":\"business:product_category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:50:55');
INSERT INTO `sys_oper_log` VALUES (580, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product/index\",\"createTime\":\"2023-08-22 17:16:43\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"商品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2030,\"path\":\"product\",\"perms\":\"business:product:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:51:05');
INSERT INTO `sys_oper_log` VALUES (581, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"商品分类参数模板\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:52:57');
INSERT INTO `sys_oper_log` VALUES (582, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/manual/index\",\"createTime\":\"2023-08-25 15:55:46\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2127,\"menuName\":\"商品手册模板\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2030,\"path\":\"manual\",\"perms\":\"business:manual:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:53:03');
INSERT INTO `sys_oper_log` VALUES (583, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/branch/index\",\"createTime\":\"2023-08-25 14:04:57\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2115,\"menuName\":\"营销网点\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":2030,\"path\":\"branch\",\"perms\":\"business:branch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 16:53:14');
INSERT INTO `sys_oper_log` VALUES (584, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-25 17:16:20\",\"updaterId\":1143215441569779712,\"version\":52,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 17:16:21');
INSERT INTO `sys_oper_log` VALUES (585, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-25 17:28:07\",\"updaterId\":1143215441569779712,\"version\":53,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-25 17:28:08');
INSERT INTO `sys_oper_log` VALUES (586, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-28 08:40:13\",\"updaterId\":1143215441569779712,\"version\":59,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 08:40:14');
INSERT INTO `sys_oper_log` VALUES (587, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-28 08:40:51\",\"updaterId\":1143215441569779712,\"version\":60,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 08:40:52');
INSERT INTO `sys_oper_log` VALUES (588, '商品手册模板', 1, 'com.ruoyi.project.business.controller.ManualController.add()', 'POST', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 08:56:13\",\"creatorId\":1,\"id\":1695963462574338049,\"manualList\":[\"1\",\"2\",\"3\",\"4\"],\"name\":\"12313123\",\"params\":{},\"remark\":\"123\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 08:56:25');
INSERT INTO `sys_oper_log` VALUES (589, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-28 10:55:03\",\"updaterId\":1143215441569779712,\"version\":63,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 10:55:04');
INSERT INTO `sys_oper_log` VALUES (590, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-28 10:59:19\",\"updaterId\":1143215441569779712,\"version\":64,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 10:59:20');
INSERT INTO `sys_oper_log` VALUES (591, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"\",\"auditMsg\":\"\",\"auditUser\":\"\",\"businessLicense\":\"\",\"city\":\"\",\"contactEmail\":\"\",\"contactName\":\"\",\"contactPhone\":\"\",\"country\":\"\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"\",\"id\":106,\"industryCategory\":\"\",\"industrySpecific\":\"\",\"legalName\":\"\",\"logo\":\"\",\"orgAddr\":\"\",\"orgAddrCity\":\"\",\"orgAddrProvince\":\"\",\"orgCrtCode\":\"\",\"orgCrtType\":0,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":0,\"params\":{},\"province\":\"\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":1,\"updateTime\":\"2023-08-28 10:59:20\",\"updaterId\":1143215441569779712,\"version\":65,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 10:59:21');
INSERT INTO `sys_oper_log` VALUES (592, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 08:56:13\",\"creatorId\":1,\"deleted\":0,\"id\":1695963462574338049,\"manualList\":[\"1\",\"2\",\"3\",\"4\"],\"name\":\"12313123\",\"params\":{},\"remark\":\"123\",\"tenantId\":0,\"updateTime\":\"2023-08-28 11:00:51\",\"updaterId\":1,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:00:51');
INSERT INTO `sys_oper_log` VALUES (593, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 08:56:13\",\"creatorId\":1,\"deleted\":0,\"id\":1695963462574338049,\"manualList\":[\"1\",\"2\",\"3\",\"4\",\"1\",\"2\",\"3\",\"4\"],\"name\":\"12313123\",\"params\":{},\"remark\":\"123\",\"tenantId\":0,\"updateTime\":\"2023-08-28 11:03:23\",\"updaterId\":1,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:03:24');
INSERT INTO `sys_oper_log` VALUES (594, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 08:56:13\",\"creatorId\":1,\"deleted\":0,\"id\":1695963462574338049,\"manualList\":[\"1\",\"2\",\"3\"],\"name\":\"12313123\",\"params\":{},\"remark\":\"123\",\"tenantId\":0,\"updateTime\":\"2023-08-28 11:14:23\",\"updaterId\":1,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:14:23');
INSERT INTO `sys_oper_log` VALUES (595, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 08:56:13\",\"creatorId\":1,\"deleted\":0,\"id\":1695963462574338049,\"manualList\":[\"1\",\"3\",\"4\"],\"name\":\"12313123\",\"params\":{},\"remark\":\"123\",\"tenantId\":0,\"updateTime\":\"2023-08-28 11:16:49\",\"updaterId\":1,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:16:49');
INSERT INTO `sys_oper_log` VALUES (596, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"manualList\":[\"qq\",\"aa\"],\"name\":\"测试模板1\",\"params\":{},\"remark\":\"222\",\"tenantId\":0,\"updateTime\":\"2023-08-28 11:18:35\",\"updaterId\":1,\"version\":12}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:18:35');
INSERT INTO `sys_oper_log` VALUES (597, '商品手册模板', 2, 'com.ruoyi.project.business.controller.ManualController.edit()', 'PUT', 1, 'admin', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-22 15:50:39\",\"creatorId\":1,\"deleted\":0,\"id\":1693893429051625473,\"manualList\":[\"qq\",\"aa\",\"cc\"],\"name\":\"测试模板1\",\"params\":{},\"remark\":\"222\",\"tenantId\":0,\"updateTime\":\"2023-08-28 11:31:29\",\"updaterId\":1,\"version\":14}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:31:29');
INSERT INTO `sys_oper_log` VALUES (598, '商品手册模板', 1, 'com.ruoyi.project.business.controller.ManualController.add()', 'POST', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"id\":1696005529308499969,\"manualList\":[\"食品安全证书\",\"环保证书\",\"合格证书\"],\"name\":\"鸡蛋\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:43:23');
INSERT INTO `sys_oper_log` VALUES (599, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_area\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:49:27');
INSERT INTO `sys_oper_log` VALUES (600, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/56', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:51:41');
INSERT INTO `sys_oper_log` VALUES (601, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_area\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:51:45');
INSERT INTO `sys_oper_log` VALUES (602, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"area\",\"className\":\"Area\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"区域id\",\"columnId\":929,\"columnName\":\"id\",\"columnType\":\"bigint(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 11:51:45\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":57,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"区域名称\",\"columnId\":930,\"columnName\":\"name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 11:51:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":57,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"区域上级id\",\"columnId\":931,\"columnName\":\"parent_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 11:51:45\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":57,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"Deep\",\"columnComment\":\"深度\",\"columnId\":932,\"columnName\":\"deep\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 11:51:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deep\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 11:52:32');
INSERT INTO `sys_oper_log` VALUES (603, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_area\"}', NULL, 0, NULL, '2023-08-28 11:52:41');
INSERT INTO `sys_oper_log` VALUES (604, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details\"}', NULL, 0, NULL, '2023-08-28 11:52:41');
INSERT INTO `sys_oper_log` VALUES (605, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/57', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:00:31');
INSERT INTO `sys_oper_log` VALUES (606, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_area\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:30:27');
INSERT INTO `sys_oper_log` VALUES (607, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_area\"}', NULL, 0, NULL, '2023-08-28 12:30:30');
INSERT INTO `sys_oper_log` VALUES (608, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"area\",\"className\":\"Area\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"区域id\",\"columnId\":943,\"columnName\":\"id\",\"columnType\":\"bigint(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":58,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"区域名称\",\"columnId\":944,\"columnName\":\"name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":58,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"区域上级id\",\"columnId\":945,\"columnName\":\"parent_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":58,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"Deep\",\"columnComment\":\"深度\",\"columnId\":946,\"columnName\":\"deep\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deep\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:30:51');
INSERT INTO `sys_oper_log` VALUES (609, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"area\",\"className\":\"Area\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"区域id\",\"columnId\":943,\"columnName\":\"id\",\"columnType\":\"bigint(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":58,\"updateBy\":\"\",\"updateTime\":\"2023-08-28 12:30:50\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"区域名称\",\"columnId\":944,\"columnName\":\"name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":58,\"updateBy\":\"\",\"updateTime\":\"2023-08-28 12:30:50\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"区域上级id\",\"columnId\":945,\"columnName\":\"parent_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":58,\"updateBy\":\"\",\"updateTime\":\"2023-08-28 12:30:50\",\"usableColumn\":true},{\"capJavaField\":\"Deep\",\"columnComment\":\"深度\",\"columnId\":946,\"columnName\":\"deep\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:30:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:31:17');
INSERT INTO `sys_oper_log` VALUES (610, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_area\"}', NULL, 0, NULL, '2023-08-28 12:31:26');
INSERT INTO `sys_oper_log` VALUES (611, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/58', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:44:49');
INSERT INTO `sys_oper_log` VALUES (612, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_area\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:44:54');
INSERT INTO `sys_oper_log` VALUES (613, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_area\"}', NULL, 0, NULL, '2023-08-28 12:45:01');
INSERT INTO `sys_oper_log` VALUES (614, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"area\",\"className\":\"BizArea\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"区域id\",\"columnId\":957,\"columnName\":\"id\",\"columnType\":\"bigint(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:44:54\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":59,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"区域名称\",\"columnId\":958,\"columnName\":\"name\",\"columnType\":\"varchar(30)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:44:54\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":59,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"区域上级id\",\"columnId\":959,\"columnName\":\"parent_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:44:54\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":59,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"Deep\",\"columnComment\":\"深度\",\"columnId\":960,\"columnName\":\"deep\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 12:44:54\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deep\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 12:45:11');
INSERT INTO `sys_oper_log` VALUES (615, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_area\"}', NULL, 0, NULL, '2023-08-28 12:45:13');
INSERT INTO `sys_oper_log` VALUES (616, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"111\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 13:15:52\",\"creatorId\":1143215441569779712,\"id\":1696028806902296577,\"name\":\"213\",\"params\":{},\"phnoe\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:15:54');
INSERT INTO `sys_oper_log` VALUES (617, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"111\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 13:15:52\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696028806902296577,\"latitude\":0,\"longitude\":0,\"name\":\"213\",\"params\":{},\"phnoe\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-28 13:21:35\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:21:36');
INSERT INTO `sys_oper_log` VALUES (618, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details,biz_manual,biz_product_manual\"}', NULL, 0, NULL, '2023-08-28 13:23:29');
INSERT INTO `sys_oper_log` VALUES (619, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual\"}', NULL, 0, NULL, '2023-08-28 13:23:55');
INSERT INTO `sys_oper_log` VALUES (620, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details\"}', NULL, 0, NULL, '2023-08-28 13:26:50');
INSERT INTO `sys_oper_log` VALUES (621, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_manual\"}', NULL, 0, NULL, '2023-08-28 13:28:03');
INSERT INTO `sys_oper_log` VALUES (622, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_manual\"}', NULL, 0, NULL, '2023-08-28 13:29:29');
INSERT INTO `sys_oper_log` VALUES (623, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_manual\"}', NULL, 0, NULL, '2023-08-28 13:30:35');
INSERT INTO `sys_oper_log` VALUES (624, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/52', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:32:00');
INSERT INTO `sys_oper_log` VALUES (625, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/54', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:32:03');
INSERT INTO `sys_oper_log` VALUES (626, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"请求\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 13:32:02\",\"creatorId\":1143215441569779712,\"id\":1696032872478908417,\"name\":\"请问\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:32:03');
INSERT INTO `sys_oper_log` VALUES (627, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/55', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:32:06');
INSERT INTO `sys_oper_log` VALUES (628, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_manual,biz_manual_details,biz_manual\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:32:13');
INSERT INTO `sys_oper_log` VALUES (629, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"manual\",\"className\":\"BizManual\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":996,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":62,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":997,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":62,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"模板手册名\",\"columnId\":998,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":62,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":999,\"columnName\":\"remark\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"que', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:32:40');
INSERT INTO `sys_oper_log` VALUES (630, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual\"}', NULL, 0, NULL, '2023-08-28 13:32:48');
INSERT INTO `sys_oper_log` VALUES (631, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual\"}', NULL, 0, NULL, '2023-08-28 13:33:30');
INSERT INTO `sys_oper_log` VALUES (632, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productManual\",\"className\":\"BizProductManual\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":983,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":61,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品 id\",\"columnId\":984,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":61,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":985,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":61,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Url\",\"columnComment\":\"图片url\",\"columnId\":986,\"columnName\":\"url\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"url\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"require', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:35:30');
INSERT INTO `sys_oper_log` VALUES (633, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"manualDetails\",\"className\":\"BizManualDetails\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":971,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":60,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":972,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":60,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"模板名\",\"columnId\":973,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":60,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ManualId\",\"columnComment\":\"手册 id\",\"columnId\":974,\"columnName\":\"manual_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 13:32:12\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"manualId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 13:36:08');
INSERT INTO `sys_oper_log` VALUES (634, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details\"}', NULL, 0, NULL, '2023-08-28 13:36:13');
INSERT INTO `sys_oper_log` VALUES (635, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_manual\"}', NULL, 0, NULL, '2023-08-28 13:39:35');
INSERT INTO `sys_oper_log` VALUES (636, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 14:08:26\",\"creatorId\":1143215441569779712,\"id\":1696042034940190721,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:08:27');
INSERT INTO `sys_oper_log` VALUES (637, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 14:10:40\",\"creatorId\":1143215441569779712,\"id\":1696042597740290049,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:10:42');
INSERT INTO `sys_oper_log` VALUES (638, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"certificate\":\"/profile/upload/2023/08/28/营业执照_20230828141154A005.jpg\",\"createTime\":\"2023-08-28 14:12:00\",\"creatorId\":1143215441569779712,\"id\":1696042930638004226,\"identifications\":\"/profile/upload/2023/08/28/logo_20230828141149A004.png\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/28/图片1_20230828141137A001.jpg\",\"name\":\"111\",\"onShow\":0,\"params\":{},\"price\":11,\"productPictures\":\"/profile/upload/2023/08/28/图片2_20230828141143A003.png\",\"remark\":\"1\",\"sharePicture\":\"/profile/upload/2023/08/28/图片1_20230828141140A002.png\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:12:01');
INSERT INTO `sys_oper_log` VALUES (639, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696032872478908417', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:12:14');
INSERT INTO `sys_oper_log` VALUES (640, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696042034940190721', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:12:16');
INSERT INTO `sys_oper_log` VALUES (641, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696042597740290049', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:12:18');
INSERT INTO `sys_oper_log` VALUES (642, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 14:14:29\",\"creatorId\":1143215441569779712,\"id\":1696043557405433857,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:14:30');
INSERT INTO `sys_oper_log` VALUES (643, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"西城区\",\"areaCode\":\"110102\",\"areaList\":[\"110000\",\"110100\",\"110102\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 14:14:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696043557405433857,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-28 14:15:27\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:15:29');
INSERT INTO `sys_oper_log` VALUES (644, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"2\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-28 14:17:43\",\"creatorId\":1143215441569779712,\"id\":1696044370521595905,\"name\":\"2\",\"params\":{},\"phnoe\":\"2\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:17:44');
INSERT INTO `sys_oper_log` VALUES (645, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"111\",\"area\":\"矿区\",\"areaCode\":\"140303\",\"areaList\":[\"140000\",\"140300\",\"140303\"],\"city\":\"阳泉市\",\"cityCode\":\"140300\",\"createTime\":\"2023-08-28 13:15:52\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696028806902296577,\"latitude\":0,\"longitude\":0,\"name\":\"213\",\"params\":{},\"phnoe\":\"123\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-28 14:17:53\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:17:54');
INSERT INTO `sys_oper_log` VALUES (646, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"食品安全证书\",\"环保证书\",\"合格证书\",\"12\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-08-28 14:21:36\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:21:36');
INSERT INTO `sys_oper_log` VALUES (647, '商品手册模板', 1, 'com.ruoyi.project.business.controller.BizManualController.add()', 'POST', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"id\":1696045891964170241,\"manualList\":[\"23\",\"无视对方\",\"阿瑟东发\"],\"name\":\"阿斯顿\",\"params\":{},\"remark\":\"23\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 14:23:46');
INSERT INTO `sys_oper_log` VALUES (648, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"企业性质\",\"dictType\":\"org_nature\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:30:14');
INSERT INTO `sys_oper_log` VALUES (649, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"国有控股\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"1\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:30:45');
INSERT INTO `sys_oper_log` VALUES (650, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"民营控股\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"2\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:00');
INSERT INTO `sys_oper_log` VALUES (651, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"外商控股\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"3\",\"listClass\":\"info\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:13');
INSERT INTO `sys_oper_log` VALUES (652, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-28 15:31:13\",\"default\":false,\"dictCode\":108,\"dictLabel\":\"外商控股\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"3\",\"isDefault\":\"N\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:17');
INSERT INTO `sys_oper_log` VALUES (653, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"事业单位\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"4\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:30');
INSERT INTO `sys_oper_log` VALUES (654, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"民营非盈利\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"5\",\"listClass\":\"info\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:44');
INSERT INTO `sys_oper_log` VALUES (655, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-28 15:31:00\",\"default\":false,\"dictCode\":107,\"dictLabel\":\"民营控股\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"2\",\"isDefault\":\"N\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:49');
INSERT INTO `sys_oper_log` VALUES (656, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-28 15:31:13\",\"default\":false,\"dictCode\":108,\"dictLabel\":\"外商控股\",\"dictSort\":0,\"dictType\":\"org_nature\",\"dictValue\":\"3\",\"isDefault\":\"N\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:31:54');
INSERT INTO `sys_oper_log` VALUES (657, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"企业审核状态\",\"dictType\":\"tenant_status\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 15:32:31');
INSERT INTO `sys_oper_log` VALUES (658, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_manual_details\"}', NULL, 0, NULL, '2023-08-28 15:49:21');
INSERT INTO `sys_oper_log` VALUES (659, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:05:21');
INSERT INTO `sys_oper_log` VALUES (660, '代码生成', 3, 'com.ruoyi.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/59', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:12:20');
INSERT INTO `sys_oper_log` VALUES (661, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_area\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:12:27');
INSERT INTO `sys_oper_log` VALUES (662, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"area\",\"className\":\"BizArea\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"区划信息id\",\"columnId\":1006,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 16:12:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":63,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Pid\",\"columnComment\":\"父级挂接id\",\"columnId\":1007,\"columnName\":\"pid\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 16:12:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"pid\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":63,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Code\",\"columnComment\":\"区划编码\",\"columnId\":1008,\"columnName\":\"code\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 16:12:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"code\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":63,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"区划名称\",\"columnId\":1009,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-28 16:12:27\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIK', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:12:38');
INSERT INTO `sys_oper_log` VALUES (663, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_area\"}', NULL, 0, NULL, '2023-08-28 16:12:43');
INSERT INTO `sys_oper_log` VALUES (664, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_manual\"}', NULL, 0, NULL, '2023-08-28 16:28:09');
INSERT INTO `sys_oper_log` VALUES (665, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696028806902296577', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:32:59');
INSERT INTO `sys_oper_log` VALUES (666, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696043557405433857', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:33:01');
INSERT INTO `sys_oper_log` VALUES (667, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696044370521595905', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:33:03');
INSERT INTO `sys_oper_log` VALUES (668, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-28 16:33:48\",\"creatorId\":1143215441569779712,\"id\":1696078614845247489,\"list\":[],\"members\":[{\"categoryName\":\"鸡蛋\",\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825101945A001.jpeg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"},{\"categoryName\":\"小龙虾\",\"mainPicture\":\"/profile/upload/2023/08/28/图片1_20230828141137A001.jpg\",\"name\":\"111\",\"onShow\":0,\"params\":{},\"price\":11,\"remark\":\"1\"}],\"name\":\"11\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:33:49');
INSERT INTO `sys_oper_log` VALUES (669, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/manualDetails/index\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2134,\"menuName\":\"模板详情名\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"manualDetails\",\"perms\":\"business:manualDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:34:33');
INSERT INTO `sys_oper_log` VALUES (670, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productManual/index\",\"createTime\":\"2023-08-28 16:29:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2140,\"menuName\":\"模板路径\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"productManual\",\"perms\":\"business:productManual:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:34:39');
INSERT INTO `sys_oper_log` VALUES (671, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:35:07');
INSERT INTO `sys_oper_log` VALUES (672, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:37:04');
INSERT INTO `sys_oper_log` VALUES (673, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industrySpecific\":\"51\",\"legalName\":\" 辜国权\",\"logo\":\"\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-28 16:47:13\",\"updaterId\":1143207234667417600,\"version\":13,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:47:14');
INSERT INTO `sys_oper_log` VALUES (674, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"2\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-28 16:49:15\",\"creatorId\":1143215441569779712,\"id\":1696082506064658433,\"list\":[],\"members\":[{\"categoryName\":\"鸡蛋\",\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825101945A001.jpeg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"},{\"categoryName\":\"小龙虾\",\"mainPicture\":\"/profile/upload/2023/08/28/图片1_20230828141137A001.jpg\",\"name\":\"111\",\"onShow\":0,\"params\":{},\"price\":11,\"remark\":\"1\"}],\"name\":\"22\",\"params\":{},\"phnoe\":\"2\",\"province\":\"山西省\",\"provinceCode\":\"140000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:49:16');
INSERT INTO `sys_oper_log` VALUES (675, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"2\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-28 16:49:15\",\"creatorId\":1143215441569779712,\"id\":1696082506190487554,\"list\":[],\"members\":[{\"categoryName\":\"鸡蛋\",\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825101945A001.jpeg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"},{\"categoryName\":\"小龙虾\",\"mainPicture\":\"/profile/upload/2023/08/28/图片1_20230828141137A001.jpg\",\"name\":\"111\",\"onShow\":0,\"params\":{},\"price\":11,\"remark\":\"1\"}],\"name\":\"22\",\"params\":{},\"phnoe\":\"2\",\"province\":\"山西省\",\"provinceCode\":\"140000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:49:17');
INSERT INTO `sys_oper_log` VALUES (676, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industrySpecific\":\"51\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-28 16:58:35\",\"updaterId\":1143207234667417600,\"version\":14,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:58:37');
INSERT INTO `sys_oper_log` VALUES (677, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industrySpecific\":\"51\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-28 16:58:54\",\"updaterId\":1143207234667417600,\"version\":15,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:58:56');
INSERT INTO `sys_oper_log` VALUES (678, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industrySpecific\":\"51\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-28 16:59:01\",\"updaterId\":1143207234667417600,\"version\":16,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 16:59:03');
INSERT INTO `sys_oper_log` VALUES (679, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696078614845247489', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 17:00:37');
INSERT INTO `sys_oper_log` VALUES (680, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696082506064658433', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 17:00:39');
INSERT INTO `sys_oper_log` VALUES (681, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696082506190487554', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 17:00:41');
INSERT INTO `sys_oper_log` VALUES (682, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industrySpecific\":\"51\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-28 17:01:30\",\"updaterId\":1143207234667417600,\"version\":17,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 17:01:31');
INSERT INTO `sys_oper_log` VALUES (683, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 17:02:11\",\"creatorId\":1143215441569779712,\"id\":1696085757644283905,\"list\":[],\"members\":[{\"categoryName\":\"鸡蛋\",\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825101945A001.jpeg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"},{\"categoryName\":\"小龙虾\",\"mainPicture\":\"/profile/upload/2023/08/28/图片1_20230828141137A001.jpg\",\"name\":\"111\",\"onShow\":0,\"params\":{},\"price\":11,\"remark\":\"1\"}],\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 17:02:12');
INSERT INTO `sys_oper_log` VALUES (684, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.add()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"321312\",\"area\":\"西城区\",\"areaCode\":\"110102\",\"areaList\":[\"110000\",\"110100\",\"110102\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 17:08:34\",\"creatorId\":1143215441569779712,\"id\":1696087367913086977,\"list\":[],\"members\":[{\"categoryName\":\"鸡蛋\",\"mainPicture\":\"/profile/upload/2023/08/25/8_20230825101945A001.jpeg\",\"name\":\"qwew\",\"onShow\":0,\"params\":{},\"price\":123,\"remark\":\"123\"},{\"categoryName\":\"小龙虾\",\"mainPicture\":\"/profile/upload/2023/08/28/图片1_20230828141137A001.jpg\",\"name\":\"111\",\"onShow\":0,\"params\":{},\"price\":11,\"remark\":\"1\"}],\"name\":\"123\",\"params\":{},\"phnoe\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-28 17:08:36');
INSERT INTO `sys_oper_log` VALUES (685, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"123\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 17:21:41\",\"creatorId\":1143215441569779712,\"id\":1696090668624900098,\"list\":[],\"name\":\"123\",\"params\":{},\"phnoe\":\"123\",\"products\":[],\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-28 17:21:43');
INSERT INTO `sys_oper_log` VALUES (686, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"312312\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-28 17:44:57\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1696096522778566657,\"name\":\"2131\",\"params\":{},\"phnoe\":\"3123\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-28 17:45:04');
INSERT INTO `sys_oper_log` VALUES (687, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"3123\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 17:46:32\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1696096922432823297,\"name\":\"213\",\"params\":{},\"phnoe\":\"3123\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-28 17:47:28');
INSERT INTO `sys_oper_log` VALUES (688, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"3123\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-28 17:47:50\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1696097247877259265,\"name\":\"2131\",\"params\":{},\"phnoe\":\"3123\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-28 17:48:39');
INSERT INTO `sys_oper_log` VALUES (689, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"432432\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-28 17:53:02\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696098557804535809,\"createTime\":\"2023-08-28 17:53:08\",\"creatorId\":1143215441569779712,\"id\":1696098582118916098,\"params\":{},\"productId\":1694897575880556546,\"remark\":\"123\",\"tenantId\":106},{\"branchId\":1696098557804535809,\"createTime\":\"2023-08-28 17:53:08\",\"creatorId\":1143215441569779712,\"id\":1696098582118916099,\"params\":{},\"productId\":1696042930638004226,\"remark\":\"1\",\"tenantId\":106}],\"id\":1696098557804535809,\"name\":\"23432\",\"params\":{},\"phnoe\":\"4234\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"432432\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-28 17:53:02\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696098557804535809,\"createTime\":\"2023-08-28 17:53:08\",\"creatorId\":1143215441569779712,\"id\":1696098582118916098,\"params\":{},\"productId\":1694897575880556546,\"remark\":\"123\",\"tenantId\":106},{\"branchId\":1696098557804535809,\"createTime\":\"2023-08-28 17:53:08\",\"creatorId\":1143215441569779712,\"id\":1696098582118916099,\"params\":{},\"productId\":1696042930638004226,\"remark\":\"1\",\"tenantId\":106}],\"id\":1696098557804535809,\"name\":\"23432\",\"params\":{},\"phnoe\":\"4234\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}}', 0, NULL, '2023-08-28 17:53:08');
INSERT INTO `sys_oper_log` VALUES (690, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_dict\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 08:19:42');
INSERT INTO `sys_oper_log` VALUES (691, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"行业门类\",\"dictType\":\"industry_category\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 08:21:58');
INSERT INTO `sys_oper_log` VALUES (692, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"行业大类\",\"dictType\":\"industry_specific\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 08:22:16');
INSERT INTO `sys_oper_log` VALUES (693, '字典类型', 3, 'com.ruoyi.project.system.controller.SysDictTypeController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/105,104', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 08:31:44');
INSERT INTO `sys_oper_log` VALUES (694, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"dict\",\"className\":\"BizDict\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1021,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 08:19:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":64,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Key\",\"columnComment\":\"字典KEY\",\"columnId\":1022,\"columnName\":\"key\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 08:19:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"key\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":64,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Code\",\"columnComment\":\"字典CODE\",\"columnId\":1023,\"columnName\":\"code\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 08:19:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"code\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":64,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Value\",\"columnComment\":\"字典VALUE\",\"columnId\":1024,\"columnName\":\"value\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 08:19:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"value\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"query', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 08:33:10');
INSERT INTO `sys_oper_log` VALUES (695, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_dict\"}', NULL, 0, NULL, '2023-08-29 08:33:17');
INSERT INTO `sys_oper_log` VALUES (696, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"食品安全证书\",\"环保证书\",\"合格证书\",\"12\",\"中国检测中心证书\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-08-29 08:46:16\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 08:46:16');
INSERT INTO `sys_oper_log` VALUES (697, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><br></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:11:00\",\"updaterId\":1143207234667417600,\"version\":19,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:11:02');
INSERT INTO `sys_oper_log` VALUES (698, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:13:10\",\"updaterId\":1143207234667417600,\"version\":20,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:13:12');
INSERT INTO `sys_oper_log` VALUES (699, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:13:19\",\"updaterId\":1143207234667417600,\"version\":21,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:13:21');
INSERT INTO `sys_oper_log` VALUES (700, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696090668624900098', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:16:27');
INSERT INTO `sys_oper_log` VALUES (701, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696096522778566657', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:16:28');
INSERT INTO `sys_oper_log` VALUES (702, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696096922432823297', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:16:30');
INSERT INTO `sys_oper_log` VALUES (703, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696097247877259265', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:16:32');
INSERT INTO `sys_oper_log` VALUES (704, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696098557804535809', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:16:33');
INSERT INTO `sys_oper_log` VALUES (705, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 09:16:46\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696331023219752961,\"createTime\":\"2023-08-29 09:16:47\",\"creatorId\":1143215441569779712,\"id\":1696331023639183361,\"params\":{},\"productId\":1694897575880556546,\"remark\":\"123\",\"tenantId\":0},{\"branchId\":1696331023219752961,\"createTime\":\"2023-08-29 09:16:47\",\"creatorId\":1143215441569779712,\"id\":1696331023639183362,\"params\":{},\"productId\":1696042930638004226,\"remark\":\"1\",\"tenantId\":0}],\"id\":1696331023219752961,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 09:16:46\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696331023219752961,\"createTime\":\"2023-08-29 09:16:47\",\"creatorId\":1143215441569779712,\"id\":1696331023639183361,\"params\":{},\"productId\":1694897575880556546,\"remark\":\"123\",\"tenantId\":0},{\"branchId\":1696331023219752961,\"createTime\":\"2023-08-29 09:16:47\",\"creatorId\":1143215441569779712,\"id\":1696331023639183362,\"params\":{},\"productId\":1696042930638004226,\"remark\":\"1\",\"tenantId\":0}],\"id\":1696331023219752961,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\"}}', 0, NULL, '2023-08-29 09:16:47');
INSERT INTO `sys_oper_log` VALUES (706, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:17:08\",\"updaterId\":1,\"version\":22,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:17:10');
INSERT INTO `sys_oper_log` VALUES (707, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:17:47\",\"updaterId\":1,\"version\":23,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:17:49');
INSERT INTO `sys_oper_log` VALUES (708, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:18:09\",\"updaterId\":1,\"version\":23,\"vip\":0}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-29 09:18:11');
INSERT INTO `sys_oper_log` VALUES (709, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:19:07\",\"updaterId\":1,\"version\":24,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:19:08');
INSERT INTO `sys_oper_log` VALUES (710, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/28/蒙娜丽蒙_20230828165900A006.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/28/派蒙_20230828165816A003.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 09:19:38\",\"updaterId\":1,\"version\":25,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:19:40');
INSERT INTO `sys_oper_log` VALUES (711, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 09:27:00\",\"creatorId\":1143215441569779712,\"id\":1696333598707695617,\"isSuggest\":0,\"name\":\"是否违法·1\",\"onShow\":0,\"params\":{},\"price\":23432,\"tenantId\":106}', NULL, 1, '', '2023-08-29 09:27:01');
INSERT INTO `sys_oper_log` VALUES (712, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:30:00\",\"creatorId\":1143215441569779712,\"id\":1696334350016593921,\"isSuggest\":0,\"name\":\"士大夫撒旦\",\"onShow\":0,\"params\":{},\"price\":1231,\"tenantId\":106}', NULL, 1, '', '2023-08-29 09:30:00');
INSERT INTO `sys_oper_log` VALUES (713, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:30:35\",\"creatorId\":1143215441569779712,\"id\":1696334496901120002,\"isSuggest\":0,\"name\":\"士大夫撒旦\",\"onShow\":0,\"params\":{},\"price\":1231,\"tenantId\":106}', NULL, 1, '', '2023-08-29 09:30:47');
INSERT INTO `sys_oper_log` VALUES (714, '商品', 3, 'com.ruoyi.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1696334496901120002', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:31:18');
INSERT INTO `sys_oper_log` VALUES (715, '商品', 3, 'com.ruoyi.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1696334350016593921', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:31:20');
INSERT INTO `sys_oper_log` VALUES (716, '商品', 3, 'com.ruoyi.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1696333598707695617', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:31:22');
INSERT INTO `sys_oper_log` VALUES (717, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045892295520258,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829094630A013.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045892295520259,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/4_20230829094633A014.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045892295520260,\"manualId\":1696045891964170241,\"name\":\"阿瑟东发\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/3_20230829094636A015.jpeg\",\"version\":0}],\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-29 09:46:37\",\"creatorId\":1143215441569779712,\"id\":1696338534363316226,\"isSuggest\":0,\"name\":\"是否\",\"onShow\":0,\"params\":{},\"price\":1231,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:46:49');
INSERT INTO `sys_oper_log` VALUES (718, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448130,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829095252A001.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448131,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/4_20230829095255A002.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808258,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/3_20230829095257A003.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808259,\"manualId\":1696005529308499969,\"name\":\"12\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808260,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"id\":1696340218644807682,\"isSuggest\":0,\"manualId\":1696005529308499969,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 09:53:19');
INSERT INTO `sys_oper_log` VALUES (719, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 09:16:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696098557804535809,\"createTime\":\"2023-08-28 17:53:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696098582118916098,\"params\":{},\"productId\":1694897575880556546,\"remark\":\"123\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"branchId\":1696098557804535809,\"createTime\":\"2023-08-28 17:53:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696098582118916099,\"params\":{},\"productId\":1696042930638004226,\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696331023219752961,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-29 10:05:18\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:05:19');
INSERT INTO `sys_oper_log` VALUES (720, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"2\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 10:07:12\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696343712578981890,\"createTime\":\"2023-08-29 10:07:12\",\"creatorId\":1143215441569779712,\"id\":1696343712931303425,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":0}],\"id\":1696343712578981890,\"name\":\"2\",\"params\":{},\"phnoe\":\"2\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"2\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 10:07:12\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696343712578981890,\"createTime\":\"2023-08-29 10:07:12\",\"creatorId\":1143215441569779712,\"id\":1696343712931303425,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":0}],\"id\":1696343712578981890,\"name\":\"2\",\"params\":{},\"phnoe\":\"2\",\"province\":\"天津市\",\"provinceCode\":\"120000\"}}', 0, NULL, '2023-08-29 10:07:12');
INSERT INTO `sys_oper_log` VALUES (721, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_commodity\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:26:44');
INSERT INTO `sys_oper_log` VALUES (722, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"product_commodity\",\"className\":\"BizProductCommodity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1034,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品目录名\",\"columnId\":1035,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":65,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":1036,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1037,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"l', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:29:57');
INSERT INTO `sys_oper_log` VALUES (723, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_commodity\"}', NULL, 0, NULL, '2023-08-29 10:30:08');
INSERT INTO `sys_oper_log` VALUES (724, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2146,2147,2148,2149,2150,2151,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:36:09');
INSERT INTO `sys_oper_log` VALUES (725, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:36:21');
INSERT INTO `sys_oper_log` VALUES (726, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2146,2147,2148,2149,2150,2151,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:39:39');
INSERT INTO `sys_oper_log` VALUES (727, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:39:43');
INSERT INTO `sys_oper_log` VALUES (728, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_commodity/index\",\"createTime\":\"2023-08-29 10:31:30\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2146,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product_commodity\",\"perms\":\"business:product_commodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:40:45');
INSERT INTO `sys_oper_log` VALUES (729, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"product_commodity\",\"className\":\"BizProductCommodity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1034,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 10:29:56\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品目录名\",\"columnId\":1035,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 10:29:56\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":1036,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 10:29:56\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1037,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 10:57:12');
INSERT INTO `sys_oper_log` VALUES (730, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_commodity\"}', NULL, 0, NULL, '2023-08-29 10:57:18');
INSERT INTO `sys_oper_log` VALUES (731, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2152,2153,2154,2155,2156,2157,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:01:18');
INSERT INTO `sys_oper_log` VALUES (732, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:01:24');
INSERT INTO `sys_oper_log` VALUES (733, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448130,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829095252A001.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448131,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/4_20230829095255A002.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808258,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/3_20230829095257A003.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808259,\"manualId\":1696005529308499969,\"name\":\"12\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/企业微信截图_1692944241477_20230829110128A001.png\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808260,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340219127152641,\"name\":\"食品安全证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829095252A001.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340219127152642,\"name\":\"环保证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profil', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:01:33');
INSERT INTO `sys_oper_log` VALUES (734, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_commodity/index\",\"createTime\":\"2023-08-29 10:58:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2152,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product_commodity\",\"perms\":\"business:product_commodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:01:57');
INSERT INTO `sys_oper_log` VALUES (735, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448130,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/9_20230829110622A001.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448131,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808258,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808259,\"manualId\":1696005529308499969,\"name\":\"12\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808260,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 11:06:24\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:06:24');
INSERT INTO `sys_oper_log` VALUES (736, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448130,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829110752A001.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448131,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/9_20230829110755A002.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808258,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808259,\"manualId\":1696005529308499969,\"name\":\"12\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808260,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 11:07:56\",\"updaterId\":1143215441569779712,\"version\":3,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:07:56');
INSERT INTO `sys_oper_log` VALUES (737, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productCommodity\",\"className\":\"BizProductCommodity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1034,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 10:57:12\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品目录名\",\"columnId\":1035,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 10:57:12\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":1036,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 10:57:12\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1037,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:10:55');
INSERT INTO `sys_oper_log` VALUES (738, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_commodity\"}', NULL, 0, NULL, '2023-08-29 11:10:59');
INSERT INTO `sys_oper_log` VALUES (739, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2152,2153,2154,2155,2156,2157,2158,2159,2160,2161,2162,2163,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:12:41');
INSERT INTO `sys_oper_log` VALUES (740, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:12:44');
INSERT INTO `sys_oper_log` VALUES (741, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCommodity/index\",\"createTime\":\"2023-08-29 11:11:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2158,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"productCommodity\",\"perms\":\"business:productCommodity:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"修改菜单\'商品目录\'失败，菜单名称已存在\",\"code\":500}', 0, NULL, '2023-08-29 11:13:05');
INSERT INTO `sys_oper_log` VALUES (742, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCommodity/index\",\"createTime\":\"2023-08-29 11:11:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2158,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"productCommodity\",\"perms\":\"business:productCommodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:14:08');
INSERT INTO `sys_oper_log` VALUES (743, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045892295520258,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/5_20230829112305A003.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045892295520259,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/0_20230829112308A004.jpg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045892295520260,\"manualId\":1696045891964170241,\"name\":\"阿瑟东发\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 11:07:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696358997151977473,\"name\":\"食品安全证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829110752A001.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 11:07:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696358997168754689,\"name\":\"环保证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/9_20230829110755A002.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 11:07:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696358997168754690,\"name\":\"合格证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 11:07:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696358997168754691,\"name\":\"12\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 11:07:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:23:09');
INSERT INTO `sys_oper_log` VALUES (744, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448130,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448131,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808258,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808259,\"manualId\":1696005529308499969,\"name\":\"12\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808260,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 11:23:09\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696362824882196482,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/5_20230829112305A003.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 11:23:09\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696362824882196483,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/0_20230829112308A004.jpg\",\"version\":0},{\"createTime\":\"2023-08-29 11:23:09\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696362824882196484,\"name\":\"阿瑟东发\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:24:02');
INSERT INTO `sys_oper_log` VALUES (745, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 14:23:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696045891964170241,\"manualList\":[\"23\",\"无视对方\"],\"name\":\"阿斯顿\",\"params\":{},\"remark\":\"23\",\"tenantId\":106,\"updateTime\":\"2023-08-29 11:24:30\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:24:30');
INSERT INTO `sys_oper_log` VALUES (746, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448130,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/5_20230829112445A005.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345014448131,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808258,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808259,\"manualId\":1696005529308499969,\"name\":\"12\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/3_20230829112448A006.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 08:46:16\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696323345043808260,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 11:24:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363047188697089,\"name\":\"食品安全证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 11:24:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363047188697090,\"name\":\"环保证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 11:24:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363047188697091,\"name\":\"合格证书\",\"params\":{},\"productId\":1696340218644807682,\"re', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:24:52');
INSERT INTO `sys_oper_log` VALUES (747, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"食品安全证书\",\"环保证书\",\"合格证书\",\"中国检测中心证书\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-08-29 11:25:02\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:25:03');
INSERT INTO `sys_oper_log` VALUES (748, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 11:36:00\",\"creatorId\":1143215441569779712,\"id\":1696366062158553089,\"name\":\"111\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:36:00');
INSERT INTO `sys_oper_log` VALUES (749, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 11:36:04\",\"creatorId\":1143215441569779712,\"id\":1696366076490489857,\"name\":\"222\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:36:04');
INSERT INTO `sys_oper_log` VALUES (750, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-29 11:52:15\",\"creatorId\":1143215441569779712,\"id\":1696370148954181634,\"name\":\"11\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:52:15');
INSERT INTO `sys_oper_log` VALUES (751, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productCommodity\",\"className\":\"BizProductCommodity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1034,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 11:10:54\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品目录名\",\"columnId\":1035,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 11:10:54\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":1036,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 11:10:54\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1037,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:54:28');
INSERT INTO `sys_oper_log` VALUES (752, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_commodity\"}', NULL, 0, NULL, '2023-08-29 11:54:46');
INSERT INTO `sys_oper_log` VALUES (753, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2164,2165,2166,2167,2168,2169,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:57:06');
INSERT INTO `sys_oper_log` VALUES (754, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCommodity/index\",\"createTime\":\"2023-08-29 11:55:24\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2164,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"productCommodity\",\"perms\":\"business:productCommodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 11:57:22');
INSERT INTO `sys_oper_log` VALUES (755, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productCommodity\",\"className\":\"BizProductCommodity\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1034,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 11:54:27\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"商品目录名\",\"columnId\":1035,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 11:54:27\",\"usableColumn\":false},{\"capJavaField\":\"ParentId\",\"columnComment\":\"父id\",\"columnId\":1036,\"columnName\":\"parent_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"parentId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":65,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 11:54:27\",\"usableColumn\":true},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1037,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 10:26:44\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:07:02');
INSERT INTO `sys_oper_log` VALUES (756, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_commodity\"}', NULL, 0, NULL, '2023-08-29 13:07:18');
INSERT INTO `sys_oper_log` VALUES (757, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:10:18');
INSERT INTO `sys_oper_log` VALUES (758, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCommodity/index\",\"createTime\":\"2023-08-29 13:07:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2170,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"productCommodity\",\"perms\":\"business:productCommodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:10:33');
INSERT INTO `sys_oper_log` VALUES (759, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:25:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363300889563137,\"manualId\":1696005529308499969,\"name\":\"食品安全证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/5_20230829112445A005.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:25:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363300889563138,\"manualId\":1696005529308499969,\"name\":\"环保证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:25:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363300889563139,\"manualId\":1696005529308499969,\"name\":\"合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:25:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363300889563140,\"manualId\":1696005529308499969,\"name\":\"中国检测中心证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 11:24:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363255637217281,\"name\":\"食品安全证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/5_20230829112445A005.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 11:24:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363255637217282,\"name\":\"环保证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 11:24:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363255637217283,\"name\":\"合格证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 11:24:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363255637217284,\"name\":\"12\",\"params\":{},\"productId\":1696340218644807682,\"remar', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:15:25');
INSERT INTO `sys_oper_log` VALUES (760, '企业租户', 5, 'com.ruoyi.project.tenant.controller.TenantController.export()', 'POST', 1, 'admin', NULL, '/business/tenant/export', '127.0.0.1', '内网IP', '{\"params\":{}}', NULL, 0, NULL, '2023-08-29 13:21:30');
INSERT INTO `sys_oper_log` VALUES (761, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696366076490489857', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:22:26');
INSERT INTO `sys_oper_log` VALUES (762, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/e6eefd2a7de64cea9bc071aff43cb25a_20230829132409A003.png\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><br></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829132429A005.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\"乔云\",\"logo\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829132407A002.jpeg\",\"orgAddr\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242MA1142T79A\",\"orgCrtType\":1,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-08-29 13:24:34\",\"updaterId\":1,\"version\":88,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:24:35');
INSERT INTO `sys_oper_log` VALUES (763, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/e6eefd2a7de64cea9bc071aff43cb25a_20230829132409A003.png\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><br></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829132429A005.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 413.00px;height: 232.25px;\\\"/></p>\",\"legalName\":\"乔云\",\"logo\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829132407A002.jpeg\",\"orgAddr\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242MA1142T79A\",\"orgCrtType\":1,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-08-29 13:24:41\",\"updaterId\":1,\"version\":89,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:24:43');
INSERT INTO `sys_oper_log` VALUES (764, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/e6eefd2a7de64cea9bc071aff43cb25a_20230829132409A003.png\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><br></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829132429A005.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 413.00px;height: 232.25px;\\\"/></p><p><br></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829132459A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\"乔云\",\"logo\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829132407A002.jpeg\",\"orgAddr\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242MA1142T79A\",\"orgCrtType\":1,\"orgName\":\"大连真材实料科技有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-08-29 13:25:04\",\"updaterId\":1,\"version\":90,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:25:06');
INSERT INTO `sys_oper_log` VALUES (765, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"食品安全证书\",\"环保证书\",\"合格证书\",\"中国检测中心证书\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-08-29 13:30:29\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:30:29');
INSERT INTO `sys_oper_log` VALUES (766, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"222\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-08-29 13:32:32\",\"updaterId\":1143215441569779712,\"version\":10}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:32:33');
INSERT INTO `sys_oper_log` VALUES (767, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 13:15:25\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696391078045409282,\"name\":\"食品安全证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/5_20230829112445A005.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 13:15:25\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696391078116712450,\"name\":\"环保证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 13:15:25\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696391078116712451,\"name\":\"合格证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 13:15:25\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696391078116712452,\"name\":\"中国检测中心证书\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 13:33:02\",\"updaterId\":1143215441569779712,\"version\":8,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:33:03');
INSERT INTO `sys_oper_log` VALUES (768, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 13:33:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696395515270914050,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 13:33:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696395515270914051,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 13:40:07\",\"updaterId\":1143215441569779712,\"version\":9,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:40:08');
INSERT INTO `sys_oper_log` VALUES (769, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '175.162.67.54', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:49:47');
INSERT INTO `sys_oper_log` VALUES (770, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '175.162.67.54', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/logo_20230829135024A012.png\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 13:50:34\",\"updaterId\":1,\"version\":26,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:50:34');
INSERT INTO `sys_oper_log` VALUES (771, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '175.162.67.54', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 13:50:45\",\"updaterId\":1,\"version\":27,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:50:45');
INSERT INTO `sys_oper_log` VALUES (772, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '175.162.67.54', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:50:54');
INSERT INTO `sys_oper_log` VALUES (773, '角色管理', 3, 'com.ruoyi.project.system.controller.SysRoleController.remove()', 'DELETE', 1, 'admin', NULL, '/system/role/100', '175.162.67.54', 'XX XX', '{}', NULL, 1, '业务员已分配,不能删除', '2023-08-29 13:51:15');
INSERT INTO `sys_oper_log` VALUES (774, '角色管理', 4, 'com.ruoyi.project.system.controller.SysRoleController.cancelAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/cancelAll', '175.162.67.54', 'XX XX', '100 [1143215441569779714]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:51:26');
INSERT INTO `sys_oper_log` VALUES (775, '角色管理', 3, 'com.ruoyi.project.system.controller.SysRoleController.remove()', 'DELETE', 1, 'admin', NULL, '/system/role/100', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 13:51:31');
INSERT INTO `sys_oper_log` VALUES (776, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779713', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"存在下级部门,不允许删除\",\"code\":601}', 0, NULL, '2023-08-29 14:00:54');
INSERT INTO `sys_oper_log` VALUES (777, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_param\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:14:53');
INSERT INTO `sys_oper_log` VALUES (778, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"param\",\"className\":\"BizProductParam\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1046,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":66,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"对应snms 系统中nbms_ent 中的 id\",\"columnId\":1047,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":66,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品 id\",\"columnId\":1048,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":66,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"参数名称\",\"columnId\":1049,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryTy', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:15:25');
INSERT INTO `sys_oper_log` VALUES (779, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_param\"}', NULL, 0, NULL, '2023-08-29 14:16:13');
INSERT INTO `sys_oper_log` VALUES (780, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 13:40:07\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696397296302415874,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 13:40:07\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696397296302415875,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"categoryId\":1693904050275827713,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:30:41\",\"updaterId\":1143215441569779712,\"version\":10,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:30:42');
INSERT INTO `sys_oper_log` VALUES (781, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"营销部门\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"status\":\"0\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:32:30');
INSERT INTO `sys_oper_log` VALUES (782, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"营销部门\",\"email\":\"1334958563@qq.com\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"phone\":\"13029467003\",\"status\":\"0\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:35:04');
INSERT INTO `sys_oper_log` VALUES (783, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694949775218581506,\"logisticsScore\":5,\"params\":{},\"productId\":1696340218644807682,\"productScore\":4.5,\"remark\":\"\",\"serveScore\":4.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:35:40\",\"updaterId\":1143215441569779712,\"userId\":1,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:35:40');
INSERT INTO `sys_oper_log` VALUES (784, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 14:20:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694957904853569537,\"logisticsScore\":3.5,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:35:49\",\"updaterId\":1143215441569779712,\"userId\":1143207234667417600,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:35:50');
INSERT INTO `sys_oper_log` VALUES (785, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 14:20:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694957904853569537,\"logisticsScore\":3,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:36:27\",\"updaterId\":1143215441569779712,\"userId\":1143207234667417600,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:36:28');
INSERT INTO `sys_oper_log` VALUES (786, '商品评论', 1, 'com.ruoyi.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 14:36:57\",\"creatorId\":1143215441569779712,\"id\":1696411597000007682,\"logisticsScore\":3,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"000\",\"serveScore\":3,\"tenantId\":106,\"userId\":1143207234667417600}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:36:57');
INSERT INTO `sys_oper_log` VALUES (787, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"奥赛\",\"email\":\"\",\"leader\":\"撒旦\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"phone\":\"\",\"status\":\"0\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:38:01');
INSERT INTO `sys_oper_log` VALUES (788, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"营销部门\",\"email\":\"123@qq.com\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"phone\":\"13029488888\",\"status\":\"0\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:40:07');
INSERT INTO `sys_oper_log` VALUES (789, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 14:36:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696411597000007682,\"logisticsScore\":3,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"000\",\"serveScore\":3,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:43:22\",\"updaterId\":1143215441569779712,\"userId\":1143215441569779714,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:43:23');
INSERT INTO `sys_oper_log` VALUES (790, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 14:36:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696411597000007682,\"logisticsScore\":3,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"000\",\"serveScore\":3,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:53:40\",\"updaterId\":1143215441569779712,\"userId\":1143207234667417600,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:53:41');
INSERT INTO `sys_oper_log` VALUES (791, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 14:36:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696411597000007682,\"logisticsScore\":3,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"000\",\"serveScore\":3,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:53:48\",\"updaterId\":1143215441569779712,\"userId\":1143207234667417600,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:53:49');
INSERT INTO `sys_oper_log` VALUES (792, '商品评论', 2, 'com.ruoyi.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 14:20:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694957904853569537,\"logisticsScore\":5,\"params\":{},\"productId\":1696340218644807682,\"productScore\":2.5,\"remark\":\"\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 14:53:51\",\"updaterId\":1143215441569779712,\"userId\":1143207234667417600,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:53:52');
INSERT INTO `sys_oper_log` VALUES (793, '部门管理', 2, 'com.ruoyi.project.system.controller.SysDeptController.edit()', 'PUT', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptCode\":\"\",\"deptId\":1143215441569779722,\"deptName\":\"营销部门1\",\"email\":\"123@qq.com\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"parentName\":\"大连真材实料科技有限公司\",\"phone\":\"13029488888\",\"status\":\"0\",\"tenantId\":106,\"type\":\"1\",\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:55:55');
INSERT INTO `sys_oper_log` VALUES (794, '部门管理', 2, 'com.ruoyi.project.system.controller.SysDeptController.edit()', 'PUT', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptCode\":\"\",\"deptId\":1143215441569779722,\"deptName\":\"营销部门\",\"email\":\"123@qq.com\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"parentName\":\"大连真材实料科技有限公司\",\"phone\":\"13029488888\",\"status\":\"0\",\"tenantId\":106,\"type\":\"1\",\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 14:56:00');
INSERT INTO `sys_oper_log` VALUES (795, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:06:10\",\"creatorId\":1143215441569779712,\"id\":1696418952331927553,\"name\":\"1\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\",\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:06:11');
INSERT INTO `sys_oper_log` VALUES (796, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:06:15\",\"creatorId\":1143215441569779712,\"id\":1696418971801886721,\"name\":\"2\",\"params\":{},\"parentId\":1696418952331927553,\"parentName\":\"1\",\"remark\":\"2\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:06:15');
INSERT INTO `sys_oper_log` VALUES (797, '商品目录', 2, 'com.ruoyi.project.business.controller.BizProductCommodityController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:06:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696418971801886721,\"name\":\"3\",\"params\":{},\"parentId\":1696418952331927553,\"remark\":\"2\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 15:10:20\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:10:21');
INSERT INTO `sys_oper_log` VALUES (798, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:12:29\",\"creatorId\":1143215441569779712,\"id\":1696420541956366337,\"name\":\"22\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:12:30');
INSERT INTO `sys_oper_log` VALUES (799, '商品目录', 3, 'com.ruoyi.project.business.controller.BizProductCommodityController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productCommodity/1696418971801886721', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:12:41');
INSERT INTO `sys_oper_log` VALUES (800, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"param\",\"className\":\"BizProductParam\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1046,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":66,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 14:15:25\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"对应snms 系统中nbms_ent 中的 id\",\"columnId\":1047,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":66,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 14:15:25\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"商品 id\",\"columnId\":1048,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":66,\"updateBy\":\"\",\"updateTime\":\"2023-08-29 14:15:25\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"参数名称\",\"columnId\":1049,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-29 14:14:52\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:14:29');
INSERT INTO `sys_oper_log` VALUES (801, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_param\"}', NULL, 0, NULL, '2023-08-29 15:14:58');
INSERT INTO `sys_oper_log` VALUES (802, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_param\"}', NULL, 0, NULL, '2023-08-29 15:15:14');
INSERT INTO `sys_oper_log` VALUES (803, '商品目录', 2, 'com.ruoyi.project.business.controller.BizProductCommodityController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:06:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696418952331927553,\"name\":\"1\",\"params\":{},\"parentId\":0,\"remark\":\"2\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 15:16:39\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:16:40');
INSERT INTO `sys_oper_log` VALUES (804, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2133,2050,2051,2052,2053,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2026,2027,2028,2029],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:17:54');
INSERT INTO `sys_oper_log` VALUES (805, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/param/index\",\"createTime\":\"2023-08-29 15:17:08\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2194,\"menuName\":\"产品参数\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"param\",\"perms\":\"business:param:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:18:08');
INSERT INTO `sys_oper_log` VALUES (806, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 15:18:16\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696421995161067522,\"createTime\":\"2023-08-29 15:18:16\",\"creatorId\":1143215441569779712,\"id\":1696421995546943489,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":106}],\"id\":1696421995161067522,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 15:18:16\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696421995161067522,\"createTime\":\"2023-08-29 15:18:16\",\"creatorId\":1143215441569779712,\"id\":1696421995546943489,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":106}],\"id\":1696421995161067522,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}}', 0, NULL, '2023-08-29 15:18:16');
INSERT INTO `sys_oper_log` VALUES (807, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"5\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-29 15:24:42\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696423615378866177,\"createTime\":\"2023-08-29 15:27:57\",\"creatorId\":1143215441569779712,\"id\":1696424432215375873,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":106}],\"id\":1696423615378866177,\"name\":\"5\",\"params\":{},\"phnoe\":\"5\",\"province\":\"山西省\",\"provinceCode\":\"140000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"5\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-29 15:24:42\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696423615378866177,\"createTime\":\"2023-08-29 15:27:57\",\"creatorId\":1143215441569779712,\"id\":1696424432215375873,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":106}],\"id\":1696423615378866177,\"name\":\"5\",\"params\":{},\"phnoe\":\"5\",\"province\":\"山西省\",\"provinceCode\":\"140000\"}}', 0, NULL, '2023-08-29 15:27:57');
INSERT INTO `sys_oper_log` VALUES (808, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:40:11\",\"creatorId\":1143215441569779712,\"id\":1696427512235380737,\"name\":\"33\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:40:12');
INSERT INTO `sys_oper_log` VALUES (809, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:40:50\",\"creatorId\":1143215441569779712,\"id\":1696427673602838529,\"name\":\"2\",\"params\":{},\"parentId\":1696418952331927553,\"parentName\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:40:50');
INSERT INTO `sys_oper_log` VALUES (810, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:41:59\",\"creatorId\":1143215441569779712,\"id\":1696427964154859521,\"name\":\"12\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\",\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:41:59');
INSERT INTO `sys_oper_log` VALUES (811, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:42:03\",\"creatorId\":1143215441569779712,\"id\":1696427983196999682,\"name\":\"2\",\"params\":{},\"parentId\":1696427964154859521,\"parentName\":\"12\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:42:04');
INSERT INTO `sys_oper_log` VALUES (812, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-29 15:42:35\",\"creatorId\":1143215441569779712,\"id\":1696428114604544002,\"name\":\"未完成\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:42:35');
INSERT INTO `sys_oper_log` VALUES (813, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 15:57:20\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696431825728929794,\"createTime\":\"2023-08-29 15:57:20\",\"creatorId\":1143215441569779712,\"id\":1696431826202886146,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":106}],\"id\":1696431825728929794,\"name\":\"测试网点1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 15:57:20\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696431825728929794,\"createTime\":\"2023-08-29 15:57:20\",\"creatorId\":1143215441569779712,\"id\":1696431826202886146,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"tenantId\":106}],\"id\":1696431825728929794,\"name\":\"测试网点1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 15:57:20');
INSERT INTO `sys_oper_log` VALUES (814, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 15:57:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696431825728929794,\"createTime\":\"2023-08-29 15:57:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696431826202886146,\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696431825728929794,\"latitude\":0,\"longitude\":0,\"name\":\"测试网点1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 15:58:11\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 15:58:11');
INSERT INTO `sys_oper_log` VALUES (815, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 13:32:32\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696395387801821185,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0}],\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"id\":1696442059718135810,\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":0,\"params\":{},\"price\":324,\"remark\":\"fd\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 16:38:00');
INSERT INTO `sys_oper_log` VALUES (816, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 13:32:32\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696395387801821185,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0}],\"createTime\":\"2023-08-29 16:38:04\",\"creatorId\":1143215441569779712,\"id\":1696442077321629697,\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":0,\"params\":{},\"price\":324,\"remark\":\"fd\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 16:38:05');
INSERT INTO `sys_oper_log` VALUES (817, '商品', 3, 'com.ruoyi.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1696442077321629697', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 16:38:14');
INSERT INTO `sys_oper_log` VALUES (818, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904097549828098,\"createTime\":\"2023-08-29 15:42:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696428114604544002,\"name\":\"个数\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 16:39:19\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 16:39:20');
INSERT INTO `sys_oper_log` VALUES (819, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-29 16:39:35\",\"creatorId\":1143215441569779712,\"id\":1696442457933746178,\"name\":\"大小\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 16:39:35');
INSERT INTO `sys_oper_log` VALUES (820, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-29 16:39:47\",\"creatorId\":1143215441569779712,\"id\":1696442512354840578,\"name\":\"保质期\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 16:39:48');
INSERT INTO `sys_oper_log` VALUES (821, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-29 17:03:44\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696448537681547265,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:03:44\",\"creatorId\":1143215441569779712,\"id\":1696448538147115010,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696448537681547265,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-29 17:03:44\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696448537681547265,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:03:44\",\"creatorId\":1143215441569779712,\"id\":1696448538147115010,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696448537681547265,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:03:45');
INSERT INTO `sys_oper_log` VALUES (822, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696448537681547265', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:03:59');
INSERT INTO `sys_oper_log` VALUES (823, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696431825728929794', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:04:07');
INSERT INTO `sys_oper_log` VALUES (824, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-08-29 17:04:28\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696448720435761153,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:04:28\",\"creatorId\":1143215441569779712,\"id\":1696448720695808002,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696448720435761153,\"name\":\"测试网点\",\"params\":{},\"phnoe\":\"1\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-08-29 17:04:28\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696448720435761153,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:04:28\",\"creatorId\":1143215441569779712,\"id\":1696448720695808002,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696448720435761153,\"name\":\"测试网点\",\"params\":{},\"phnoe\":\"1\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:04:28');
INSERT INTO `sys_oper_log` VALUES (825, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:04:52\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696448820784484354,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:04:52\",\"creatorId\":1143215441569779712,\"id\":1696448821044531202,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696448820784484354,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:04:52\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696448820784484354,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:04:52\",\"creatorId\":1143215441569779712,\"id\":1696448821044531202,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696448820784484354,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:04:52');
INSERT INTO `sys_oper_log` VALUES (826, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"2\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:06:52\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696449324235218945,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:06:52\",\"creatorId\":1143215441569779712,\"id\":1696449324822421506,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696449324235218945,\"name\":\"2\",\"params\":{},\"phnoe\":\"2\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"2\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:06:52\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696449324235218945,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:06:52\",\"creatorId\":1143215441569779712,\"id\":1696449324822421506,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696449324235218945,\"name\":\"2\",\"params\":{},\"phnoe\":\"2\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:06:52');
INSERT INTO `sys_oper_log` VALUES (827, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696448720435761153', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:11:23');
INSERT INTO `sys_oper_log` VALUES (828, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696448820784484354', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:11:26');
INSERT INTO `sys_oper_log` VALUES (829, '营销网点', 3, 'com.ruoyi.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1696449324235218945', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:11:28');
INSERT INTO `sys_oper_log` VALUES (830, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"fd\",\"tenantId\":106},{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"id\":1696450555527626754,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696450555120779266,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"fd\",\"tenantId\":106},{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"id\":1696450555527626754,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696450555120779266,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:11:46');
INSERT INTO `sys_oper_log` VALUES (831, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696450555120779266,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:21:29\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:21:29');
INSERT INTO `sys_oper_log` VALUES (832, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696453121175035906,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"id\":1696453123569983489,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696453121175035906,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696453121175035906,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"id\":1696453123569983489,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696453121175035906,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:21:58');
INSERT INTO `sys_oper_log` VALUES (833, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696453121175035906,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696453123569983489,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696453121175035906,\"latitude\":0,\"longitude\":0,\"name\":\"888\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:22:35\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:22:35');
INSERT INTO `sys_oper_log` VALUES (834, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696453121175035906,\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696453123569983489,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696453121175035906,\"latitude\":0,\"longitude\":0,\"name\":\"888\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:22:50\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:22:51');
INSERT INTO `sys_oper_log` VALUES (835, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696453121175035906,\"createTime\":\"2023-08-29 17:21:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696453123569983489,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696453121175035906,\"latitude\":0,\"longitude\":0,\"name\":\"888\",\"params\":{},\"phnoe\":\"1\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:27:31\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:27:32');
INSERT INTO `sys_oper_log` VALUES (836, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"5\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696454875602067457,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"id\":1696454875870502913,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696454875602067457,\"name\":\"555\",\"params\":{},\"phnoe\":\"55\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"5\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1696454875602067457,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"id\":1696454875870502913,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696454875602067457,\"name\":\"555\",\"params\":{},\"phnoe\":\"55\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-08-29 17:28:56');
INSERT INTO `sys_oper_log` VALUES (837, '营销网点', 2, 'com.ruoyi.project.business.controller.BizBranchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"5\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696454875602067457,\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696454875870502913,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1696454875602067457,\"latitude\":0,\"longitude\":0,\"name\":\"555\",\"params\":{},\"phnoe\":\"55\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:29:06\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:29:07');
INSERT INTO `sys_oper_log` VALUES (838, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"5\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696454875602067457,\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696454875870502913,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:31:27\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1696454875602067457,\"latitude\":0,\"longitude\":0,\"name\":\"555\",\"params\":{},\"phnoe\":\"55\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:31:27\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"5\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696454875602067457,\"createTime\":\"2023-08-29 17:28:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696454875870502913,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:31:27\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1696454875602067457,\"latitude\":0,\"longitude\":0,\"name\":\"555\",\"params\":{},\"phnoe\":\"55\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 17:31:27\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-08-29 17:31:27');
INSERT INTO `sys_oper_log` VALUES (839, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 17:31:59\",\"creatorId\":1143215441569779712,\"id\":1696455645458984961,\"name\":\"321123\",\"params\":{},\"parentId\":1696427512235380737,\"parentName\":\"33\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-29 17:31:59');
INSERT INTO `sys_oper_log` VALUES (840, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"details\":[{\"branchId\":1696689884996919297,\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"id\":1696689885424738306,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"tenantId\":0}],\"id\":1696689884996919297,\"name\":\"测试\",\"params\":{},\"phnoe\":\"1\",\"province\":\"山西省\",\"provinceCode\":\"140000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"details\":[{\"branchId\":1696689884996919297,\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"id\":1696689885424738306,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"\",\"tenantId\":0}],\"id\":1696689884996919297,\"name\":\"测试\",\"params\":{},\"phnoe\":\"1\",\"province\":\"山西省\",\"provinceCode\":\"140000\"}}', 0, NULL, '2023-08-30 09:02:46');
INSERT INTO `sys_oper_log` VALUES (841, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"deleted\":0,\"details\":[{\"branchId\":1696689884996919297,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"deleted\":0,\"id\":1696689885424738306,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:03:03\",\"updaterId\":1,\"version\":1}],\"id\":1696689884996919297,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"1\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:03:03\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"deleted\":0,\"details\":[{\"branchId\":1696689884996919297,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-30 09:02:46\",\"creatorId\":1,\"deleted\":0,\"id\":1696689885424738306,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:03:03\",\"updaterId\":1,\"version\":1}],\"id\":1696689884996919297,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"1\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:03:03\",\"updaterId\":1,\"version\":1}}', 0, NULL, '2023-08-30 09:03:03');
INSERT INTO `sys_oper_log` VALUES (842, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 17:31:36\",\"creatorId\":1,\"deleted\":0,\"id\":1694643609950552065,\"name\":\"www\",\"params\":{},\"parentId\":1694604182410874881,\"remark\":\"222\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:36:27\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:36:27');
INSERT INTO `sys_oper_log` VALUES (843, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 09:41:19\",\"creatorId\":1,\"id\":1696699586606620674,\"name\":\"水水水水水\",\"params\":{},\"parentId\":1694643609950552065,\"parentName\":\"www\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:41:19');
INSERT INTO `sys_oper_log` VALUES (844, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 09:41:25\",\"creatorId\":1,\"id\":1696699613135593474,\"name\":\"ssss\",\"params\":{},\"parentId\":1694643609950552065,\"parentName\":\"www\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:41:25');
INSERT INTO `sys_oper_log` VALUES (845, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, 'admin', NULL, '/business/product_directory/1696699586606620674', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:43:22');
INSERT INTO `sys_oper_log` VALUES (846, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, 'admin', NULL, '/business/product_directory/1696699613135593474', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:43:26');
INSERT INTO `sys_oper_log` VALUES (847, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 09:43:32\",\"creatorId\":1,\"id\":1696700144214171650,\"name\":\"sss\",\"params\":{},\"parentId\":1694643609950552065,\"parentName\":\"www\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:43:32');
INSERT INTO `sys_oper_log` VALUES (848, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 17:31:36\",\"creatorId\":1,\"deleted\":0,\"id\":1694643609950552065,\"name\":\"sss\",\"params\":{},\"parentId\":1694604182410874881,\"remark\":\"222\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:44:19\",\"updaterId\":1,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:44:19');
INSERT INTO `sys_oper_log` VALUES (849, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, 'admin', NULL, '/business/product_directory/1696700144214171650', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:44:25');
INSERT INTO `sys_oper_log` VALUES (850, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, 'admin', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-24 17:31:36\",\"creatorId\":1,\"deleted\":0,\"id\":1694643609950552065,\"name\":\"wqwq\",\"params\":{},\"parentId\":1694604182410874881,\"remark\":\"222\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-08-30 09:44:34\",\"updaterId\":1,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:44:34');
INSERT INTO `sys_oper_log` VALUES (851, '商品手册模板', 2, 'com.ruoyi.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"222\",\"333\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-08-30 09:45:08\",\"updaterId\":1143215441569779712,\"version\":12}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:45:08');
INSERT INTO `sys_oper_log` VALUES (852, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 09:54:55\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 09:54:55\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1696450555120779266,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 09:54:55\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"onShow\":0,\"params\":{},\"price\":324,\"productId\":1696442059718135810,\"productName\":\"是否\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 09:54:55\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":31,\"productId\":1696340218644807682,\"productName\":\"大\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 09:54:55\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1696450555120779266,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 09:54:55\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-08-30 09:54:56');
INSERT INTO `sys_oper_log` VALUES (853, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/30/9_20230830095438A006.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/30/3_20230830095445A007.jpeg\",\"version\":0}],\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"id\":1696703095654445057,\"isSuggest\":0,\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":0,\"params\":{},\"price\":132,\"templateList\":[{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 11:52:15\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696370148954181634,\"name\":\"11\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"234\",\"version\":0},{\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 15:42:35\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696428114604544002,\"name\":\"个数\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 16:39:19\",\"updaterId\":1143215441569779712,\"value\":\"324\",\"version\":1},{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 16:39:35\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696442457933746178,\"name\":\"大小\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"wr\",\"version\":0},{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 16:39:47\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696442512354840578,\"name\":\"保质期\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 09:55:21');
INSERT INTO `sys_oper_log` VALUES (854, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:39:50\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', NULL, 1, '', '2023-08-30 11:39:55');
INSERT INTO `sys_oper_log` VALUES (855, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:40:16\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', NULL, 1, '', '2023-08-30 11:40:28');
INSERT INTO `sys_oper_log` VALUES (856, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:53:36\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', NULL, 1, '', '2023-08-30 11:53:51');
INSERT INTO `sys_oper_log` VALUES (857, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:54:41\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', NULL, 1, '', '2023-08-30 11:54:52');
INSERT INTO `sys_oper_log` VALUES (858, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:55:01\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', NULL, 1, '', '2023-08-30 11:55:27');
INSERT INTO `sys_oper_log` VALUES (859, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:57:16\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:57:20');
INSERT INTO `sys_oper_log` VALUES (860, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:58:42\",\"updaterId\":1143215441569779712,\"version\":12,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:58:45');
INSERT INTO `sys_oper_log` VALUES (861, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:58:51\",\"updaterId\":1143215441569779712,\"version\":13,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:58:51');
INSERT INTO `sys_oper_log` VALUES (862, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:58:54\",\"updaterId\":1143215441569779712,\"version\":14,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:58:54');
INSERT INTO `sys_oper_log` VALUES (863, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-30 09:55:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703105460727809,\"name\":\"222\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/30/9_20230830095438A006.jpeg\",\"version\":0},{\"createTime\":\"2023-08-30 09:55:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703105460727810,\"name\":\"333\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/30/3_20230830095445A007.jpeg\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-30 09:55:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703117905227777,\"name\":\"11\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"234\",\"version\":0},{\"createTime\":\"2023-08-30 09:55:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703117972336642,\"name\":\"个数\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"324\",\"version\":0},{\"createTime\":\"2023-08-30 09:55:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703117972336643,\"name\":\"大小\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"wr\",\"version\":0},{\"createTime\":\"2023-08-30 09:55:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703117972336644,\"name\":\"保质期\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"wrer\",\"version\":0},{\"createTime\":\"2023-08-30 09:55:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703118039445505,\"name\":\"fff\",\"params\":{},\"productId\":1696703095654445057,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"vvv\",\"version\":0}],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identificat', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:59:00');
INSERT INTO `sys_oper_log` VALUES (864, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:59:12\",\"updaterId\":1143215441569779712,\"version\":15,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:59:12');
INSERT INTO `sys_oper_log` VALUES (865, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 11:59:38\",\"updaterId\":1143215441569779712,\"version\":16,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 11:59:38');
INSERT INTO `sys_oper_log` VALUES (866, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 12:59:42\",\"updaterId\":1143215441569779712,\"version\":17,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 12:59:42');
INSERT INTO `sys_oper_log` VALUES (867, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 12:59:48\",\"updaterId\":1143215441569779712,\"version\":18,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 12:59:48');
INSERT INTO `sys_oper_log` VALUES (868, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 12:59:55\",\"updaterId\":1143215441569779712,\"version\":19,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 12:59:55');
INSERT INTO `sys_oper_log` VALUES (869, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:00:47\",\"updaterId\":1143215441569779712,\"version\":20,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:00:47');
INSERT INTO `sys_oper_log` VALUES (870, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:01:25\",\"updaterId\":1143215441569779712,\"version\":21,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:01:25');
INSERT INTO `sys_oper_log` VALUES (871, '用户管理', 2, 'com.ruoyi.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"children\":[],\"deptId\":1143215441569779714,\"params\":{}},\"deptId\":1143215441569779722,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-08-23 08:49:07\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[],\"roles\":[],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"updateBy\":\"18640822691\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:01:59');
INSERT INTO `sys_oper_log` VALUES (872, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:02:53\",\"updaterId\":1143215441569779712,\"version\":22,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:02:52');
INSERT INTO `sys_oper_log` VALUES (873, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:03:21\",\"updaterId\":1143215441569779712,\"version\":23,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:03:21');
INSERT INTO `sys_oper_log` VALUES (874, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:03:23\",\"updaterId\":1143215441569779712,\"version\":24,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:03:23');
INSERT INTO `sys_oper_log` VALUES (875, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:03:24\",\"updaterId\":1143215441569779712,\"version\":25,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:03:24');
INSERT INTO `sys_oper_log` VALUES (876, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:03:25\",\"updaterId\":1143215441569779712,\"version\":26,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:03:25');
INSERT INTO `sys_oper_log` VALUES (877, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:03:29\",\"updaterId\":1143215441569779712,\"version\":27,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:03:29');
INSERT INTO `sys_oper_log` VALUES (878, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957634,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-29 14:30:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696410023141957635,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:03:30\",\"updaterId\":1143215441569779712,\"version\":28,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:03:30');
INSERT INTO `sys_oper_log` VALUES (879, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-29 15:12:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696420541956366337,\"name\":\"444\",\"params\":{},\"parentId\":1696366062158553089,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 13:27:27\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:27:27');
INSERT INTO `sys_oper_log` VALUES (880, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:27:58\",\"creatorId\":1143215441569779712,\"id\":1696756623935799297,\"name\":\"159\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:27:58');
INSERT INTO `sys_oper_log` VALUES (881, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:28:06\",\"creatorId\":1143215441569779712,\"id\":1696756658350063618,\"name\":\"156\",\"params\":{},\"parentId\":1696427512235380737,\"parentName\":\"33\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:28:06');
INSERT INTO `sys_oper_log` VALUES (882, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696756658350063618', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:28:16');
INSERT INTO `sys_oper_log` VALUES (883, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696756623935799297', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:28:19');
INSERT INTO `sys_oper_log` VALUES (884, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:28:25\",\"creatorId\":1143215441569779712,\"id\":1696756737148452866,\"name\":\"呃呃呃\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:28:25');
INSERT INTO `sys_oper_log` VALUES (885, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:32:24\",\"creatorId\":1143215441569779712,\"id\":1696757739859738625,\"name\":\"12\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:32:24');
INSERT INTO `sys_oper_log` VALUES (886, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696756737148452866', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:33:27');
INSERT INTO `sys_oper_log` VALUES (887, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696757739859738625', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:33:29');
INSERT INTO `sys_oper_log` VALUES (888, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:33:35\",\"creatorId\":1143215441569779712,\"id\":1696758037609185281,\"name\":\"请问\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:33:35');
INSERT INTO `sys_oper_log` VALUES (889, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696758037609185281', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:34:09');
INSERT INTO `sys_oper_log` VALUES (890, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:34:19\",\"creatorId\":1143215441569779712,\"id\":1696758224654172161,\"name\":\"11111111\",\"params\":{},\"parentId\":1696420541956366337,\"parentName\":\"444\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:34:19');
INSERT INTO `sys_oper_log` VALUES (891, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:34:26\",\"creatorId\":1143215441569779712,\"id\":1696758251787124738,\"name\":\"2222222\",\"params\":{},\"parentId\":1696366062158553089,\"parentName\":\"111\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:34:26');
INSERT INTO `sys_oper_log` VALUES (892, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"请问\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:36:51');
INSERT INTO `sys_oper_log` VALUES (893, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713,1143215441569779723\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"wq\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779723,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:36:57');
INSERT INTO `sys_oper_log` VALUES (894, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713,1143215441569779723\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"请问请问\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779723,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:37:06');
INSERT INTO `sys_oper_log` VALUES (895, '部门管理', 1, 'com.ruoyi.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,1143215441569779713,1143215441569779723\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"去问驱蚊器我\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779723,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:37:13');
INSERT INTO `sys_oper_log` VALUES (896, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779726', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:37:17');
INSERT INTO `sys_oper_log` VALUES (897, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779725', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:37:19');
INSERT INTO `sys_oper_log` VALUES (898, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779724', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:37:24');
INSERT INTO `sys_oper_log` VALUES (899, '部门管理', 3, 'com.ruoyi.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779723', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:37:27');
INSERT INTO `sys_oper_log` VALUES (900, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696758224654172161', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:53:57');
INSERT INTO `sys_oper_log` VALUES (901, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696366062158553089', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:53:59');
INSERT INTO `sys_oper_log` VALUES (902, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696420541956366337', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:54:01');
INSERT INTO `sys_oper_log` VALUES (903, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:57:36\",\"creatorId\":1143215441569779712,\"id\":1696764081517363202,\"name\":\"测试\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 13:57:36');
INSERT INTO `sys_oper_log` VALUES (904, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:05:37\",\"creatorId\":1143215441569779712,\"id\":1696766102190424065,\"name\":\"去\",\"params\":{},\"parentId\":1696764081517363202,\"parentName\":\"测试\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:05:37');
INSERT INTO `sys_oper_log` VALUES (905, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696766102190424065', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:05:42');
INSERT INTO `sys_oper_log` VALUES (906, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:10:22\",\"creatorId\":1143215441569779712,\"id\":1696767296593985537,\"name\":\"12345\",\"params\":{},\"parentId\":1696764081517363202,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:10:22');
INSERT INTO `sys_oper_log` VALUES (907, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696767296593985537', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:10:29');
INSERT INTO `sys_oper_log` VALUES (908, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:10:33\",\"creatorId\":1143215441569779712,\"id\":1696767343700213762,\"name\":\"12344\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:10:33');
INSERT INTO `sys_oper_log` VALUES (909, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:11:08\",\"creatorId\":1143215441569779712,\"id\":1696767487736807426,\"name\":\"12\",\"params\":{},\"parentId\":1696767343700213762,\"parentName\":\"12344\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:11:08');
INSERT INTO `sys_oper_log` VALUES (910, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:11:35\",\"creatorId\":1143215441569779712,\"id\":1696767601227190274,\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:11:35');
INSERT INTO `sys_oper_log` VALUES (911, '商品证书', 3, 'com.ruoyi.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_category/1696767601227190274', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:11:43');
INSERT INTO `sys_oper_log` VALUES (912, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:10:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696767343700213762,\"name\":\"12344\",\"params\":{},\"parentId\":0,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 14:12:10\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:12:10');
INSERT INTO `sys_oper_log` VALUES (913, '商品类目', 2, 'com.ruoyi.project.business.controller.BizProductDirectoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 13:57:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696764081517363202,\"name\":\"测试\",\"params\":{},\"parentId\":0,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 14:12:22\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:12:22');
INSERT INTO `sys_oper_log` VALUES (914, '商品证书', 2, 'com.ruoyi.project.business.controller.BizProductCategoryController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-23 13:16:22\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694216991000870913,\"name\":\"家用电器\",\"params\":{},\"parentId\":0,\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 14:12:49\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:12:49');
INSERT INTO `sys_oper_log` VALUES (915, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-29 16:39:47\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442512354840578,\"name\":\"保质期\",\"params\":{},\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 14:12:53\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:12:53');
INSERT INTO `sys_oper_log` VALUES (916, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-29 16:39:47\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442512354840578,\"name\":\"保质期1\",\"params\":{},\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 14:12:58\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:12:58');
INSERT INTO `sys_oper_log` VALUES (917, ' 商品分类参数模板', 2, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-29 16:39:47\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442512354840578,\"name\":\"保质期\",\"params\":{},\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 14:13:03\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:13:03');
INSERT INTO `sys_oper_log` VALUES (918, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:15:52\",\"creatorId\":1143215441569779712,\"id\":1696768682211672066,\"name\":\"请问\",\"params\":{},\"parentId\":1696764081517363202,\"parentName\":\"测试\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:15:53');
INSERT INTO `sys_oper_log` VALUES (919, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:15:58\",\"creatorId\":1143215441569779712,\"id\":1696768705880129537,\"name\":\"问问\",\"params\":{},\"parentId\":1696764081517363202,\"parentName\":\"测试\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:15:58');
INSERT INTO `sys_oper_log` VALUES (920, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696768682211672066', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:16:03');
INSERT INTO `sys_oper_log` VALUES (921, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696768705880129537', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:16:05');
INSERT INTO `sys_oper_log` VALUES (922, '用户管理', 2, 'com.ruoyi.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptId\":1143215441569779722,\"deptName\":\"营销部门\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-08-30 13:10:59\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[],\"roles\":[],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:20:30');
INSERT INTO `sys_oper_log` VALUES (923, '用户管理', 2, 'com.ruoyi.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779722,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-08-30 13:10:59\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[],\"roles\":[],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:20:37');
INSERT INTO `sys_oper_log` VALUES (924, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:35:29\",\"creatorId\":1143215441569779712,\"id\":1696773617155166210,\"name\":\"小龙虾1\",\"params\":{},\"parentId\":1693904050275827713,\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:35:29');
INSERT INTO `sys_oper_log` VALUES (925, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:49:39\",\"creatorId\":1143215441569779712,\"id\":1696777182115528706,\"name\":\"1\",\"params\":{},\"parentId\":1696764081517363202,\"parentName\":\"测试\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:49:39');
INSERT INTO `sys_oper_log` VALUES (926, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:52:59\",\"creatorId\":1143215441569779712,\"id\":1696778020796878850,\"name\":\"小小龙虾\",\"params\":{},\"parentId\":1696773617155166210,\"remark\":\"11\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:52:59');
INSERT INTO `sys_oper_log` VALUES (927, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:53:28\",\"creatorId\":1143215441569779712,\"id\":1696778141144043522,\"name\":\"11\",\"params\":{},\"parentId\":1696427983196999682,\"parentName\":\"2\",\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:53:28');
INSERT INTO `sys_oper_log` VALUES (928, '商品证书', 3, 'com.ruoyi.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_category/1696778020796878850', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:53:38');
INSERT INTO `sys_oper_log` VALUES (929, '商品证书', 3, 'com.ruoyi.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_category/1696773617155166210', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:55:07');
INSERT INTO `sys_oper_log` VALUES (930, '角色管理', 1, 'com.ruoyi.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2030,2079,2080,2081,2082,2083,2084,2134,2135,2136,2137,2138,2139,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2085,2086,2087,2088,2089,2090,2037,2038,2039,2040,2041,2042,2140,2141,2142,2143,2144,2145,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120],\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:55:17');
INSERT INTO `sys_oper_log` VALUES (931, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:55:56\",\"creatorId\":1143215441569779712,\"id\":1696778762374991873,\"name\":\"麻辣小龙虾\",\"params\":{},\"parentId\":1693904050275827713,\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:55:56');
INSERT INTO `sys_oper_log` VALUES (932, '商品证书', 1, 'com.ruoyi.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_category', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 14:56:07\",\"creatorId\":1143215441569779712,\"id\":1696778809401528321,\"name\":\"四川麻辣小龙虾\",\"params\":{},\"parentId\":1696778762374991873,\"remark\":\"2\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:56:07');
INSERT INTO `sys_oper_log` VALUES (933, '商品证书', 3, 'com.ruoyi.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_category/1696778809401528321', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 14:57:47');
INSERT INTO `sys_oper_log` VALUES (934, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_category/index\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"商品分类\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"product_category\",\"perms\":\"business:product_category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:00:02');
INSERT INTO `sys_oper_log` VALUES (935, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442060179509249,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 16:38:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442077799780354,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442059718135810,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":1,\"params\":{},\"price\":324,\"productPictures\":\"\",\"remark\":\"fd\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 15:33:21\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:33:21');
INSERT INTO `sys_oper_log` VALUES (936, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442060179509249,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 16:38:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442077799780354,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442059718135810,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":1,\"params\":{},\"price\":324,\"productPictures\":\"\",\"remark\":\"fd\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 15:33:23\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:33:23');
INSERT INTO `sys_oper_log` VALUES (937, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442060179509249,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 16:38:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442077799780354,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442059718135810,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":1,\"params\":{},\"price\":324,\"productPictures\":\"\",\"remark\":\"fd\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 15:33:24\",\"updaterId\":1143215441569779712,\"version\":3,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:33:24');
INSERT INTO `sys_oper_log` VALUES (938, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 15:53:10\",\"creatorId\":1143215441569779712,\"id\":1696793168642310146,\"name\":\"测试的数据\",\"params\":{},\"parentId\":1696767487736807426,\"parentName\":\"测试\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:53:11');
INSERT INTO `sys_oper_log` VALUES (939, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 15:53:58\",\"creatorId\":1143215441569779712,\"id\":1696793369322979330,\"name\":\"234\",\"params\":{},\"parentId\":1696764081517363202,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:53:58');
INSERT INTO `sys_oper_log` VALUES (940, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 15:54:08\",\"creatorId\":1143215441569779712,\"id\":1696793409437302786,\"name\":\"按时\",\"params\":{},\"parentId\":1696777182115528706,\"parentName\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:54:08');
INSERT INTO `sys_oper_log` VALUES (941, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696777182115528706', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:54:15');
INSERT INTO `sys_oper_log` VALUES (942, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442060179509249,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0},{\"createTime\":\"2023-08-29 16:38:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442077799780354,\"name\":\"222\",\"params\":{},\"productId\":1696442059718135810,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"/profile/upload/2023/08/29/6_20230829163727A002.jpeg\",\"version\":0}],\"bizProductParamList\":[],\"categoryId\":1693904097549828098,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442059718135810,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":1,\"params\":{},\"price\":324,\"productPictures\":\"\",\"remark\":\"fd\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"templateList\":[{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 11:52:15\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696370148954181634,\"name\":\"11\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:54:43');
INSERT INTO `sys_oper_log` VALUES (943, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":0,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"templateList\":[{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 11:52:15\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696370148954181634,\"name\":\"11\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 15:42:35\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696428114604544002,\"name\":\"个数\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-29 16:39:19\",\"updaterId\":1143215441569779712,\"version\":1},{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 16:39:35\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":1696442457933746178,\"name\":\"大小\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 16:39:47\",\"creatorId\":1143215441569779712,\"creatorName\":\"18640822691\",\"deleted\":0,\"id\":16964425123548', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 15:54:50');
INSERT INTO `sys_oper_log` VALUES (944, '商品类目', 1, 'com.ruoyi.project.business.controller.BizProductDirectoryController.add()', 'POST', 1, '18640822691', NULL, '/business/product_directory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 16:04:19\",\"creatorId\":1143215441569779712,\"id\":1696795970831646722,\"name\":\"去微软\",\"params\":{},\"parentId\":0,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:04:19');
INSERT INTO `sys_oper_log` VALUES (945, '商品类目', 3, 'com.ruoyi.project.business.controller.BizProductDirectoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product_directory/1696795970831646722', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:04:39');
INSERT INTO `sys_oper_log` VALUES (946, '商品目录', 1, 'com.ruoyi.project.business.controller.BizProductCommodityController.add()', 'POST', 1, '18640822691', NULL, '/business/productCommodity', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-30 16:28:18\",\"creatorId\":1143215441569779712,\"id\":1696802008867799042,\"name\":\"369\",\"params\":{},\"parentId\":1696427673602838529,\"parentName\":\"无父级\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:28:18');
INSERT INTO `sys_oper_log` VALUES (947, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 16:40:49\",\"updaterId\":1143215441569779712,\"version\":29,\"video\":\"\",\"views\":0}', NULL, 1, '', '2023-08-30 16:40:49');
INSERT INTO `sys_oper_log` VALUES (948, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 16:51:30\",\"updaterId\":1143215441569779712,\"version\":29,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:51:30');
INSERT INTO `sys_oper_log` VALUES (949, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"店铺类型\",\"dictType\":\"store_type\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:53:49');
INSERT INTO `sys_oper_log` VALUES (950, '字典类型', 2, 'com.ruoyi.project.system.controller.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-30 16:53:49\",\"dictId\":106,\"dictName\":\"店铺类型\",\"dictType\":\"store_type\",\"ids\":[],\"params\":{},\"remark\":\"店铺装修列表\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:55:13');
INSERT INTO `sys_oper_log` VALUES (951, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"品牌直营\",\"dictSort\":0,\"dictType\":\"store_type\",\"dictValue\":\"1\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:57:53');
INSERT INTO `sys_oper_log` VALUES (952, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"品牌授权\",\"dictSort\":0,\"dictType\":\"store_type\",\"dictValue\":\"2\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 16:58:17');
INSERT INTO `sys_oper_log` VALUES (953, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductParamList\":[{\"name\":\"11\",\"params\":{},\"value\":\"asd\"},{\"name\":\"大小\",\"params\":{},\"value\":\"asd\"},{\"name\":\"保质期\",\"params\":{},\"value\":\"asd\"},{\"name\":\"ccc\",\"params\":{},\"value\":\"sd\"}],\"createTime\":\"2023-08-30 17:12:39\",\"creatorId\":1143215441569779712,\"id\":1696813171190910978,\"name\":\"1231\",\"params\":{},\"price\":830,\"tenantId\":106}', NULL, 1, '', '2023-08-30 17:12:40');
INSERT INTO `sys_oper_log` VALUES (954, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"company\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"企业管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"company\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:13:17');
INSERT INTO `sys_oper_log` VALUES (955, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductParamList\":[{\"name\":\"11\",\"params\":{},\"value\":\"asd\"},{\"name\":\"大小\",\"params\":{},\"value\":\"asd\"},{\"name\":\"保质期\",\"params\":{},\"value\":\"asd\"},{\"name\":\"ccc\",\"params\":{},\"value\":\"sd\"}],\"createTime\":\"2023-08-30 17:13:04\",\"creatorId\":1143215441569779712,\"id\":1696813274756665345,\"name\":\"1231\",\"params\":{},\"price\":830,\"tenantId\":106}', NULL, 1, '', '2023-08-30 17:13:50');
INSERT INTO `sys_oper_log` VALUES (956, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/tenant/form\",\"createTime\":\"2023-08-25 16:20:12\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2133,\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2200,\"path\":\"companyInfo\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:15:34');
INSERT INTO `sys_oper_log` VALUES (957, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-22 14:29:05\",\"icon\":\"lock\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2030,\"menuName\":\"店铺管理\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"storeManagement\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:15:54');
INSERT INTO `sys_oper_log` VALUES (958, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-04-25 16:48:09\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"组织架构\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:16:07');
INSERT INTO `sys_oper_log` VALUES (959, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-30 17:13:17\",\"icon\":\"company\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2200,\"menuName\":\"企业管理\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"company\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:16:13');
INSERT INTO `sys_oper_log` VALUES (960, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"个人管理\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"user\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:17:32');
INSERT INTO `sys_oper_log` VALUES (961, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-30 17:17:32\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2201,\"menuName\":\"个人管理\",\"menuType\":\"M\",\"orderNum\":9,\"params\":{},\"parentId\":0,\"path\":\"user\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:18:08');
INSERT INTO `sys_oper_log` VALUES (962, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"documentation\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"个人信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2201,\"path\":\"profile\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:19:26');
INSERT INTO `sys_oper_log` VALUES (963, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"company\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"我的企业\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2201,\"path\":\"company\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:19:57');
INSERT INTO `sys_oper_log` VALUES (964, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"id\":1696815083176955906,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"tenantId\":106,\"value\":\"QW\"},{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"id\":1696815083244064769,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"tenantId\":106,\"value\":\"QW\"},{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"id\":1696815083244064770,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"tenantId\":106,\"value\":\"ASD\"},{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"id\":1696815083244064771,\"name\":\"asaaa\",\"params\":{},\"productId\":1696814994488397826,\"tenantId\":106,\"value\":\"111\"}],\"createTime\":\"2023-08-30 17:19:54\",\"creatorId\":1143215441569779712,\"id\":1696814994488397826,\"name\":\"131\",\"params\":{},\"price\":830,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:20:17');
INSERT INTO `sys_oper_log` VALUES (965, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '175.162.67.54', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2201,2202,2203],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:22:13');
INSERT INTO `sys_oper_log` VALUES (966, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/tenant/form\",\"createTime\":\"2023-08-25 16:20:12\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2133,\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2200,\"path\":\"companyInfo\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:23:14');
INSERT INTO `sys_oper_log` VALUES (967, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/tenant/form\",\"createTime\":\"2023-08-25 16:20:12\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2133,\"menuName\":\"企业信息\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2200,\"path\":\"companyInfo\",\"perms\":\"business:tenant:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:25:19');
INSERT INTO `sys_oper_log` VALUES (968, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696815083176955906,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"QW11\",\"version\":0},{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696815083244064769,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"QW\",\"version\":0},{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696815083244064770,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"ASD\",\"version\":0},{\"createTime\":\"2023-08-30 17:20:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696815083244064771,\"name\":\"asaaa\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"111\",\"version\":0}],\"categoryId\":0,\"certificate\":\"\",\"content', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:25:21');
INSERT INTO `sys_oper_log` VALUES (969, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-30 17:17:32\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2201,\"menuName\":\"个人管理\",\"menuType\":\"M\",\"orderNum\":9,\"params\":{},\"parentId\":0,\"path\":\"self\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:25:59');
INSERT INTO `sys_oper_log` VALUES (970, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-30 17:13:17\",\"icon\":\"company\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2200,\"menuName\":\"企业管理\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"company\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:26:07');
INSERT INTO `sys_oper_log` VALUES (971, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-30 17:13:17\",\"icon\":\"company\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2200,\"menuName\":\"企业管理\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"tenant\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:26:45');
INSERT INTO `sys_oper_log` VALUES (972, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"system/user/profile/index\",\"createTime\":\"2023-08-30 17:19:26\",\"icon\":\"documentation\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2202,\"menuName\":\"个人信息\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2201,\"path\":\"profile\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:27:47');
INSERT INTO `sys_oper_log` VALUES (973, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217858,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217859,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217860,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217861,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-30 ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:27:54');
INSERT INTO `sys_oper_log` VALUES (974, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217858,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217859,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217860,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-30 17:25:21\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816366164217861,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-30 ', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-30 17:29:12');
INSERT INTO `sys_oper_log` VALUES (975, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"system/user/tenant/index\",\"createTime\":\"2023-08-30 17:19:57\",\"icon\":\"company\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2203,\"menuName\":\"我的企业\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2201,\"path\":\"company\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:29:24');
INSERT INTO `sys_oper_log` VALUES (976, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-30 17:27:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816982487781378,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:29:27\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:27:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816982609416193,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:29:27\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:27:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816982676525057,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:29:27\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:27:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696816982676525058,\"name\":\"333\",\"params\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:29:27');
INSERT INTO `sys_oper_log` VALUES (977, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"bizProductParamList\":[{\"name\":\"11\",\"params\":{},\"value\":\"666\"},{\"name\":\"大小\",\"params\":{},\"value\":\"444\"},{\"name\":\"保质期\",\"params\":{},\"value\":\"222\"}],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 17:19:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696814994488397826,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":0,\"name\":\"131\",\"onShow\":0,\"params\":{},\"price\":830,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:30:41\",\"updaterId\":1143215441569779712,\"version\":4,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:30:44');
INSERT INTO `sys_oper_log` VALUES (978, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-30 17:30:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696817717573156866,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:31:13\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:30:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696817717573156867,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:31:13\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:30:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696817717573156868,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:31:13\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:30:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696817717573156869,\"name\":\"333\",\"params\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:31:13');
INSERT INTO `sys_oper_log` VALUES (979, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"bizProductParamList\":[{\"name\":\"11\",\"params\":{},\"value\":\"111\"},{\"name\":\"大小\",\"params\":{},\"value\":\"22\"},{\"name\":\"保质期\",\"params\":{},\"value\":\"333\"}],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 17:19:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696814994488397826,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":0,\"name\":\"131\",\"onShow\":0,\"params\":{},\"price\":830,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-30 17:32:13\",\"updaterId\":1143215441569779712,\"version\":6,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:32:29');
INSERT INTO `sys_oper_log` VALUES (980, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_store\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-30 17:35:36');
INSERT INTO `sys_oper_log` VALUES (981, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-30 17:32:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696818157970882562,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:37:28\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:32:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696818157970882563,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:37:28\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:32:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696818157970882564,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:37:28\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-30 17:32:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696818157970882565,\"name\":\"333\",\"params\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:37:28');
INSERT INTO `sys_oper_log` VALUES (982, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:41:11\",\"creatorId\":1143215441569779712,\"id\":1697046840589451265,\"name\":\"11\",\"params\":{},\"value\":\"234\"},{\"createTime\":\"2023-08-31 08:41:11\",\"creatorId\":1143215441569779712,\"id\":1697046840589451266,\"name\":\"大小\",\"params\":{},\"value\":\"423\"},{\"createTime\":\"2023-08-31 08:41:11\",\"creatorId\":1143215441569779712,\"id\":1697046840589451267,\"name\":\"保质期\",\"params\":{},\"value\":\"234\"},{\"createTime\":\"2023-08-31 08:41:11\",\"creatorId\":1143215441569779712,\"id\":1697046840589451268,\"name\":\"sssa\",\"params\":{},\"value\":\"asds\"}],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 17:19:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696814994488397826,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":0,\"name\":\"131\",\"onShow\":0,\"params\":{},\"price\":830,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:40:41\",\"updaterId\":1143215441569779712,\"version\":8,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:41:11');
INSERT INTO `sys_oper_log` VALUES (983, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"store\",\"className\":\"BizStore\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1059,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-30 17:35:35\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":67,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"店铺名称\",\"columnId\":1060,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-30 17:35:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":67,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PhoneNumber\",\"columnComment\":\"服务电话\",\"columnId\":1061,\"columnName\":\"phone_number\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-30 17:35:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"phoneNumber\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":67,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Type\",\"columnComment\":\"商铺类型\",\"columnId\":1062,\"columnName\":\"type\",\"columnType\":\"tinyint(3) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-30 17:35:35\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"type\",\"javaType\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:42:32');
INSERT INTO `sys_oper_log` VALUES (984, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_store\"}', NULL, 0, NULL, '2023-08-31 08:43:37');
INSERT INTO `sys_oper_log` VALUES (985, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697046813125148673,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697046813322280962,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697046813322280963,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697046813322280964,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:46:39');
INSERT INTO `sys_oper_log` VALUES (986, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048205881516033,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048206011539458,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048206078648322,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048206145757186,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:47:19');
INSERT INTO `sys_oper_log` VALUES (987, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048205881516033,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048206011539458,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048206078648322,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:46:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048206145757186,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 ', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-31 08:47:21');
INSERT INTO `sys_oper_log` VALUES (988, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048381283115009,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048381283115010,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048381283115011,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048381283115012,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:47:28');
INSERT INTO `sys_oper_log` VALUES (989, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:48\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":3},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:48\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":3},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:48\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":3},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:47:48');
INSERT INTO `sys_oper_log` VALUES (990, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:51\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":4},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:51\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":4},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:51\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":4},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:47:51');
INSERT INTO `sys_oper_log` VALUES (991, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:55\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":5},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:55\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":5},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:47:55\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":5},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:47:55');
INSERT INTO `sys_oper_log` VALUES (992, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:47:58\",\"updaterId\":1143215441569779712,\"version\":3,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:47:58');
INSERT INTO `sys_oper_log` VALUES (993, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:48:04\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":6},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:48:04\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":6},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:48:04\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":6},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:48:03');
INSERT INTO `sys_oper_log` VALUES (994, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:50:15\",\"updaterId\":1143215441569779712,\"version\":30,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:50:15');
INSERT INTO `sys_oper_log` VALUES (995, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2201,2202,2203],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:51:10');
INSERT INTO `sys_oper_log` VALUES (996, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-30 14:55:17\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120],\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:51:20');
INSERT INTO `sys_oper_log` VALUES (997, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-30 14:55:17\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:51:26');
INSERT INTO `sys_oper_log` VALUES (998, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:51:26\",\"updaterId\":1143215441569779712,\"version\":31,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:51:27');
INSERT INTO `sys_oper_log` VALUES (999, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:51:28');
INSERT INTO `sys_oper_log` VALUES (1000, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/store/index\",\"createTime\":\"2023-08-31 08:47:57\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2204,\"menuName\":\"店铺装修\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"store\",\"perms\":\"business:store:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:51:52');
INSERT INTO `sys_oper_log` VALUES (1001, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:54:07\",\"updaterId\":1143215441569779712,\"version\":32,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:54:07');
INSERT INTO `sys_oper_log` VALUES (1002, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:55:16\",\"updaterId\":1143215441569779712,\"version\":33,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:55:16');
INSERT INTO `sys_oper_log` VALUES (1003, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:55:55\",\"updaterId\":1143215441569779712,\"version\":34,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:55:55');
INSERT INTO `sys_oper_log` VALUES (1004, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:55:58\",\"updaterId\":1143215441569779712,\"version\":35,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:55:58');
INSERT INTO `sys_oper_log` VALUES (1005, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:00\",\"updaterId\":1143215441569779712,\"version\":36,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:00');
INSERT INTO `sys_oper_log` VALUES (1006, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:01\",\"updaterId\":1143215441569779712,\"version\":37,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:01');
INSERT INTO `sys_oper_log` VALUES (1007, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:02\",\"updaterId\":1143215441569779712,\"version\":38,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:02');
INSERT INTO `sys_oper_log` VALUES (1008, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:04\",\"updaterId\":1143215441569779712,\"version\":39,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:04');
INSERT INTO `sys_oper_log` VALUES (1009, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 16:38:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696442059718135810,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/29/企业微信截图_16929443367144_20230829163721A001.png\",\"manualId\":1696005529308499969,\"name\":\"是否\",\"onShow\":0,\"params\":{},\"price\":324,\"productPictures\":\"\",\"remark\":\"fd\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:06\",\"updaterId\":1143215441569779712,\"version\":5,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:06');
INSERT INTO `sys_oper_log` VALUES (1010, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":0,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:08\",\"updaterId\":1143215441569779712,\"version\":4,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:07');
INSERT INTO `sys_oper_log` VALUES (1011, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:09\",\"updaterId\":1143215441569779712,\"version\":5,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:09');
INSERT INTO `sys_oper_log` VALUES (1012, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:10\",\"updaterId\":1143215441569779712,\"version\":6,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:10');
INSERT INTO `sys_oper_log` VALUES (1013, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:11\",\"updaterId\":1143215441569779712,\"version\":7,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:11');
INSERT INTO `sys_oper_log` VALUES (1014, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:12\",\"updaterId\":1143215441569779712,\"version\":8,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:12');
INSERT INTO `sys_oper_log` VALUES (1015, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 08:56:15\",\"updaterId\":1143215441569779712,\"version\":9,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:15');
INSERT INTO `sys_oper_log` VALUES (1016, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:16\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":7},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:16\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":7},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:16\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":7},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:16');
INSERT INTO `sys_oper_log` VALUES (1017, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:17\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":8},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:17\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":8},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:17\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":8},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:17');
INSERT INTO `sys_oper_log` VALUES (1018, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:30\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":9},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:30\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":9},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:30\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":9},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:30');
INSERT INTO `sys_oper_log` VALUES (1019, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:31\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":10},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:31\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":10},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:31\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":10},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:31');
INSERT INTO `sys_oper_log` VALUES (1020, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:32\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":11},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:32\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":11},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:32\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":11},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:32');
INSERT INTO `sys_oper_log` VALUES (1021, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:34\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":12},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:34\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":12},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:34\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":12},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:34');
INSERT INTO `sys_oper_log` VALUES (1022, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:35\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":13},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:35\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":13},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:35\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":13},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:35');
INSERT INTO `sys_oper_log` VALUES (1023, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:37\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":14},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:37\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":14},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:37\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":14},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:37');
INSERT INTO `sys_oper_log` VALUES (1024, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035521,\"name\":\"23\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035522,\"name\":\"无视对方\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035523,\"name\":\"222\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0},{\"createTime\":\"2023-08-31 08:47:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048425965035524,\"name\":\"333\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"url\":\"\",\"version\":0}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215209648130,\"name\":\"11\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:38\",\"updaterId\":1143215441569779712,\"value\":\"3\",\"version\":15},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562690,\"name\":\"大小\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:38\",\"updaterId\":1143215441569779712,\"value\":\"23\",\"version\":15},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697048215272562691,\"name\":\"保质期\",\"params\":{},\"productId\":1696814994488397826,\"remark\":\"\",\"status\":0,\"tenantId\":1696814994488397826,\"updateTime\":\"2023-08-31 08:56:38\",\"updaterId\":1143215441569779712,\"value\":\"234\",\"version\":15},{\"createTime\":\"2023-08-31 08:46:38\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 08:56:38');
INSERT INTO `sys_oper_log` VALUES (1025, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"商品分类\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"修改菜单\'商品分类\'失败，菜单名称已存在\",\"code\":500}', 0, NULL, '2023-08-31 09:38:12');
INSERT INTO `sys_oper_log` VALUES (1026, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"控件选择\",\"dictType\":\"el_component\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 09:54:50');
INSERT INTO `sys_oper_log` VALUES (1027, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"文本输入框\",\"dictSort\":0,\"dictType\":\"el_component\",\"dictValue\":\"el-input\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 09:55:25');
INSERT INTO `sys_oper_log` VALUES (1028, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"数字输入框\",\"dictSort\":0,\"dictType\":\"el_component\",\"dictValue\":\"el-input-number\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 09:55:47');
INSERT INTO `sys_oper_log` VALUES (1029, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"文件上传\",\"dictSort\":0,\"dictType\":\"el_component\",\"dictValue\":\"el-upload\",\"listClass\":\"info\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 09:56:19');
INSERT INTO `sys_oper_log` VALUES (1030, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":0,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 10:37:18\",\"updaterId\":1143215441569779712,\"version\":10,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:37:18');
INSERT INTO `sys_oper_log` VALUES (1031, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 10:37:19\",\"updaterId\":1143215441569779712,\"version\":11,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:37:19');
INSERT INTO `sys_oper_log` VALUES (1032, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":0,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 10:37:20\",\"updaterId\":1143215441569779712,\"version\":12,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:37:20');
INSERT INTO `sys_oper_log` VALUES (1033, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-30 09:55:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696703095654445057,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696005529308499969,\"name\":\"830\",\"onShow\":1,\"params\":{},\"price\":132,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 10:37:21\",\"updaterId\":1143215441569779712,\"version\":13,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:37:21');
INSERT INTO `sys_oper_log` VALUES (1034, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 10:55:04\",\"creatorId\":1143215441569779712,\"id\":1696700547067375617,\"name\":\"222\",\"params\":{},\"productId\":1697080466194608130,\"tenantId\":106,\"url\":\"/profile/upload/2023/08/31/6_20230831105440A001.jpeg\"},{\"createTime\":\"2023-08-31 10:55:04\",\"creatorId\":1143215441569779712,\"id\":1696700547067375618,\"name\":\"333\",\"params\":{},\"productId\":1697080466194608130,\"tenantId\":106,\"url\":\"/profile/upload/2023/08/31/4_20230831105445A002.jpeg\"}],\"bizProductParamList\":[],\"createTime\":\"2023-08-31 10:54:48\",\"creatorId\":1143215441569779712,\"id\":1697080466194608130,\"manualId\":1696005529308499969,\"name\":\"34243\",\"params\":{},\"price\":831,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:55:05');
INSERT INTO `sys_oper_log` VALUES (1035, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:55:38\",\"updaterId\":1143215441569779712},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:55:38\",\"updaterId\":1143215441569779712}],\"bizProductParamList\":[{\"id\":1696370148954181634,\"name\":\"11\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:55:38\",\"updaterId\":1143215441569779712},{\"id\":1696442457933746178,\"name\":\"大小\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:55:38\",\"updaterId\":1143215441569779712},{\"id\":1696442512354840578,\"name\":\"保质期\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:55:38\",\"updaterId\":1143215441569779712}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 10:55:34\",\"updaterId\":1143215441569779712,\"version\":40,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:55:38');
INSERT INTO `sys_oper_log` VALUES (1036, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:56:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/5_20230831105554A004.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 10:56:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/3_20230831105558A005.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 10:56:02\",\"updaterId\":1143215441569779712,\"version\":41,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 10:56:18');
INSERT INTO `sys_oper_log` VALUES (1037, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:00:07\",\"updaterId\":1143215441569779712,\"version\":42,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:00:07');
INSERT INTO `sys_oper_log` VALUES (1038, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:00:08\",\"updaterId\":1143215441569779712,\"version\":43,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:00:09');
INSERT INTO `sys_oper_log` VALUES (1039, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/review/index\",\"createTime\":\"2023-08-25 11:12:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2085,\"menuName\":\"商品评论\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"review\",\"perms\":\"business:review:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:02:43');
INSERT INTO `sys_oper_log` VALUES (1040, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCommodity/index\",\"createTime\":\"2023-08-29 13:07:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2170,\"menuName\":\"商品目录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"productCommodity\",\"perms\":\"business:productCommodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:02:52');
INSERT INTO `sys_oper_log` VALUES (1041, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productDirectory/index\",\"createTime\":\"2023-08-23 17:01:27\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2079,\"menuName\":\"商品类目\",\"menuType\":\"C\",\"orderNum\":0,\"params\":{},\"parentId\":2030,\"path\":\"productDirectory\",\"perms\":\"business:product_directory:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:03:30');
INSERT INTO `sys_oper_log` VALUES (1042, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/review/index\",\"createTime\":\"2023-08-25 11:12:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2085,\"menuName\":\"商品评论\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"review\",\"perms\":\"business:review:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:03:44');
INSERT INTO `sys_oper_log` VALUES (1043, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 11:25:11\",\"creatorId\":1143215441569779712,\"id\":1697088113425821698,\"name\":\"123\",\"params\":{},\"remark\":\"31\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:25:11');
INSERT INTO `sys_oper_log` VALUES (1044, ' 商品分类参数模板', 1, 'com.ruoyi.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1696778762374991873,\"createTime\":\"2023-08-31 11:25:16\",\"creatorId\":1143215441569779712,\"id\":1697088136075063298,\"name\":\"13\",\"params\":{},\"remark\":\"wq\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:25:17');
INSERT INTO `sys_oper_log` VALUES (1045, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":0,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:27:00\",\"updaterId\":1143215441569779712,\"version\":44,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:27:01');
INSERT INTO `sys_oper_log` VALUES (1046, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:27:01\",\"updaterId\":1143215441569779712,\"version\":45,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:27:02');
INSERT INTO `sys_oper_log` VALUES (1047, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"是否上架\",\"dictType\":\"on_show\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:30:24');
INSERT INTO `sys_oper_log` VALUES (1048, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"上架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"0\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:31:09');
INSERT INTO `sys_oper_log` VALUES (1049, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"下架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:31:17');
INSERT INTO `sys_oper_log` VALUES (1050, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:09\",\"default\":false,\"dictCode\":116,\"dictLabel\":\"上架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:31:44');
INSERT INTO `sys_oper_log` VALUES (1051, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:17\",\"default\":false,\"dictCode\":117,\"dictLabel\":\"下架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:31:52');
INSERT INTO `sys_oper_log` VALUES (1052, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:17\",\"default\":false,\"dictCode\":117,\"dictLabel\":\"下架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:32:00');
INSERT INTO `sys_oper_log` VALUES (1053, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"是否推荐\",\"dictType\":\"is_suggest\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:32:21');
INSERT INTO `sys_oper_log` VALUES (1054, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"推荐\",\"dictSort\":0,\"dictType\":\"is_suggest\",\"dictValue\":\"1\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:32:43');
INSERT INTO `sys_oper_log` VALUES (1055, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"不推荐\",\"dictSort\":0,\"dictType\":\"is_suggest\",\"dictValue\":\"0\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:33:01');
INSERT INTO `sys_oper_log` VALUES (1056, '在线用户', 7, 'com.ruoyi.project.monitor.controller.SysUserOnlineController.forceLogout()', 'DELETE', 1, 'admin', NULL, '/monitor/online/2bb467ff-e0d9-4ab1-87a0-9048b9d06697', '175.162.67.54', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:34:42');
INSERT INTO `sys_oper_log` VALUES (1057, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 11:38:15\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831113745A006.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 11:38:15\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/4_20230831113748A007.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:38:15\",\"updaterId\":1143215441569779712,\"version\":46,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:38:16');
INSERT INTO `sys_oper_log` VALUES (1058, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 11:39:27\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831113834A008.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":1696340218644807682,\"updateTime\":\"2023-08-31 11:39:27\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/4_20230831113836A009.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:38:38\",\"updaterId\":1143215441569779712,\"version\":47,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:39:28');
INSERT INTO `sys_oper_log` VALUES (1059, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:41:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831114109A001.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:41:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/4_20230831114112A002.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:41:14\",\"updaterId\":1143215441569779712,\"version\":48,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:42:08');
INSERT INTO `sys_oper_log` VALUES (1060, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/6_20230831114109A001.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/4_20230831114112A002.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":31,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:42:40\",\"updaterId\":1143215441569779712,\"version\":48,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-31 11:43:15');
INSERT INTO `sys_oper_log` VALUES (1061, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:45:34\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/5_20230831114330A003.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:45:34\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831114333A004.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:43:34\",\"updaterId\":1143215441569779712,\"version\":49,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:46:21');
INSERT INTO `sys_oper_log` VALUES (1062, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/5_20230831114330A003.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/6_20230831114333A004.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:48:06\",\"updaterId\":1143215441569779712,\"version\":49,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-31 11:48:12');
INSERT INTO `sys_oper_log` VALUES (1063, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:48:55\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831114830A005.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:48:55\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/4_20230831114833A006.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:48:39\",\"updaterId\":1143215441569779712,\"version\":50,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:49:10');
INSERT INTO `sys_oper_log` VALUES (1064, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:51:59\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831115055A009.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:51:59\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/f_20230831115059A010.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:51:18\",\"updaterId\":1143215441569779712,\"version\":51,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:52:33');
INSERT INTO `sys_oper_log` VALUES (1065, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/6_20230831115055A009.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/f_20230831115059A010.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:52:42\",\"updaterId\":1143215441569779712,\"version\":51,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-31 11:53:05');
INSERT INTO `sys_oper_log` VALUES (1066, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"id\":1696363164490797058,\"name\":\"23\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/6_20230831115055A009.jpeg\"},{\"id\":1696363164490797059,\"name\":\"无视对方\",\"params\":{},\"url\":\"/profile/upload/2023/08/31/f_20230831115059A010.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:53:07\",\"updaterId\":1143215441569779712,\"version\":51,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-08-31 11:54:20');
INSERT INTO `sys_oper_log` VALUES (1067, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 11:54:39\",\"creatorId\":1143215441569779712,\"id\":1697095528162537474,\"name\":\"23\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"url\":\"/profile/upload/2023/08/31/6_20230831115433A011.jpeg\"},{\"createTime\":\"2023-08-31 11:54:39\",\"creatorId\":1143215441569779712,\"id\":1697095528162537475,\"name\":\"无视对方\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"url\":\"/profile/upload/2023/08/31/4_20230831115436A012.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696045891964170241,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 11:54:38\",\"updaterId\":1143215441569779712,\"version\":52,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 11:54:39');
INSERT INTO `sys_oper_log` VALUES (1068, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 13:46:06\",\"creatorId\":1143215441569779712,\"id\":1697123579185438722,\"name\":\"222\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"url\":\"/profile/upload/2023/08/31/4_20230831134603A006.jpeg\"},{\"createTime\":\"2023-08-31 13:46:06\",\"creatorId\":1143215441569779712,\"id\":1697123579185438723,\"name\":\"333\",\"params\":{},\"productId\":1696340218644807682,\"tenantId\":106,\"url\":\"/profile/upload/2023/08/31/3_20230831134605A007.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-29 09:53:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696340218644807682,\"identifications\":\"\",\"isSuggest\":1,\"mainPicture\":\"/profile/upload/2023/08/31/3_20230831105549A003.jpeg\",\"manualId\":1696005529308499969,\"name\":\"大\",\"onShow\":1,\"params\":{},\"price\":3188,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 13:46:06\",\"updaterId\":1143215441569779712,\"version\":53,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 13:46:06');
INSERT INTO `sys_oper_log` VALUES (1069, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:05:17\",\"creatorId\":1143215441569779712,\"id\":1697128405394890754,\"name\":\"11\",\"params\":{},\"productId\":1697128395018182658,\"tenantId\":106,\"value\":\"112\"},{\"createTime\":\"2023-08-31 14:05:17\",\"creatorId\":1143215441569779712,\"id\":1697128405394890755,\"name\":\"大小\",\"params\":{},\"productId\":1697128395018182658,\"tenantId\":106,\"value\":\"23\"},{\"createTime\":\"2023-08-31 14:05:17\",\"creatorId\":1143215441569779712,\"id\":1697128405394890756,\"name\":\"保质期\",\"params\":{},\"productId\":1697128395018182658,\"tenantId\":106,\"value\":\"3212\"},{\"createTime\":\"2023-08-31 14:05:17\",\"creatorId\":1143215441569779712,\"id\":1697128405394890757,\"name\":\"123\",\"params\":{},\"productId\":1697128395018182658,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:05:17\",\"creatorId\":1143215441569779712,\"id\":1697128405394890758,\"name\":\"aas\",\"params\":{},\"productId\":1697128395018182658,\"tenantId\":106,\"value\":\"w\"}],\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 14:05:15\",\"creatorId\":1143215441569779712,\"id\":1697128395018182658,\"name\":\"11\",\"params\":{},\"price\":11,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:05:17');
INSERT INTO `sys_oper_log` VALUES (1070, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"id\":1697129440737861633,\"name\":\"23\",\"params\":{},\"productId\":1697129440255516673,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"id\":1697129440737861634,\"name\":\"无视对方\",\"params\":{},\"productId\":1697129440255516673,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"id\":1697129440737861635,\"name\":\"222\",\"params\":{},\"productId\":1697129440255516673,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"id\":1697129440737861636,\"name\":\"333\",\"params\":{},\"productId\":1697129440255516673,\"tenantId\":106}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"id\":1697129440813359106,\"name\":\"11\",\"params\":{},\"productId\":1697129440255516673,\"tenantId\":106,\"value\":\"23\"},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"id\":1697129440813359107,\"name\":\"大小\",\"params\":{},\"productId\":1697129440255516673,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:09:24');
INSERT INTO `sys_oper_log` VALUES (1071, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"id\":1697129495372865538,\"name\":\"23\",\"params\":{},\"productId\":1697129494903103490,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"id\":1697129495372865539,\"name\":\"无视对方\",\"params\":{},\"productId\":1697129494903103490,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"id\":1697129495372865540,\"name\":\"222\",\"params\":{},\"productId\":1697129494903103490,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"id\":1697129495372865541,\"name\":\"333\",\"params\":{},\"productId\":1697129494903103490,\"tenantId\":106}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"id\":1697129495515471873,\"name\":\"11\",\"params\":{},\"productId\":1697129494903103490,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"id\":1697129495515471874,\"name\":\"大小\",\"params\":{},\"productId\":1697129494903103490,\"tenantId\":106},{\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:09:37');
INSERT INTO `sys_oper_log` VALUES (1072, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129440737861633,\"name\":\"23\",\"params\":{},\"productId\":1697129440255516673,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:09:46\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129440737861634,\"name\":\"无视对方\",\"params\":{},\"productId\":1697129440255516673,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:09:46\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129440737861635,\"name\":\"222\",\"params\":{},\"productId\":1697129440255516673,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:09:46\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:24\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129440737861636,\"name\":\"333\",\"params\":{},\"productId\":1697129440255516673,\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:09:46');
INSERT INTO `sys_oper_log` VALUES (1073, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865538,\"name\":\"23\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:52\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865539,\"name\":\"无视对方\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:52\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865540,\"name\":\"222\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:52\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865541,\"name\":\"333\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:52\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495515471873,\"name\":\"11\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:52\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495515471874,\"name\":\"大小\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:52\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495515471875,\"name\":\"保质期\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:12:52');
INSERT INTO `sys_oper_log` VALUES (1074, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865538,\"name\":\"23\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:53\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":2},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865539,\"name\":\"无视对方\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:53\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":2},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865540,\"name\":\"222\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:53\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":2},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495372865541,\"name\":\"333\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:53\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":2}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495515471873,\"name\":\"11\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:53\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":2},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495515471874,\"name\":\"大小\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:12:53\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":2},{\"createTime\":\"2023-08-31 14:09:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697129495515471875,\"name\":\"保质期\",\"params\":{},\"productId\":1697129494903103490,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:12:53');
INSERT INTO `sys_oper_log` VALUES (1075, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:20:41\",\"creatorId\":1143215441569779712,\"id\":1697132281820979201,\"name\":\"11\",\"params\":{},\"productId\":1697132281351217154,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:20:41\",\"creatorId\":1143215441569779712,\"id\":1697132281820979202,\"name\":\"大小\",\"params\":{},\"productId\":1697132281351217154,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:20:41\",\"creatorId\":1143215441569779712,\"id\":1697132281820979203,\"name\":\"保质期\",\"params\":{},\"productId\":1697132281351217154,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:20:41\",\"creatorId\":1143215441569779712,\"id\":1697132281820979204,\"name\":\"123\",\"params\":{},\"productId\":1697132281351217154,\"tenantId\":106}],\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 14:20:41\",\"creatorId\":1143215441569779712,\"id\":1697132281351217154,\"name\":\"1\",\"params\":{},\"price\":22,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:20:41');
INSERT INTO `sys_oper_log` VALUES (1076, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"tenantId\":106}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"tenantId\":106,\"value\":\"12\"},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"tenantId\":106},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"tenantId\":106,\"value\":\"1\"},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"tenantId\":106}],\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"id\":1697133026171527170,\"manualId\":1696005529308499969,\"name\":\"1\",\"params\":{},\"price\":222,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:23:40');
INSERT INTO `sys_oper_log` VALUES (1077, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:23:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":1},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:23:52\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:23:52\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":1},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:23:52\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:23:52\",\"updaterId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:23:52');
INSERT INTO `sys_oper_log` VALUES (1078, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:24:11\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":2},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:24:11\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":2}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:24:11\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":2},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:24:11\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":2},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 14:24:11\",\"updaterId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:24:11');
INSERT INTO `sys_oper_log` VALUES (1079, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_flow_param_tmp,biz_flow_param_details_tmp\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:50:43');
INSERT INTO `sys_oper_log` VALUES (1080, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"流程管理\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"1\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:51:52');
INSERT INTO `sys_oper_log` VALUES (1081, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-31 14:51:52\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2210,\"menuName\":\"流程管理\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"flow\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:52:15');
INSERT INTO `sys_oper_log` VALUES (1082, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2038,\"menuName\":\"商品证书查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:query\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:53:21');
INSERT INTO `sys_oper_log` VALUES (1083, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2039,\"menuName\":\"商品证书新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:add\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:53:56');
INSERT INTO `sys_oper_log` VALUES (1084, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2040,\"menuName\":\"商品证书修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:edit\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:54:09');
INSERT INTO `sys_oper_log` VALUES (1085, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2041,\"menuName\":\"商品证书删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:remove\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:54:21');
INSERT INTO `sys_oper_log` VALUES (1086, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2042,\"menuName\":\"商品证书导出\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:export\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:54:31');
INSERT INTO `sys_oper_log` VALUES (1087, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_category/index\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"商品分类列表\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2031,\"path\":\"product_category\",\"perms\":\"business:product_category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:54:58');
INSERT INTO `sys_oper_log` VALUES (1088, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product_category/index\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"商品分类列表\",\"menuType\":\"F\",\"orderNum\":6,\"params\":{},\"parentId\":2031,\"path\":\"product_category\",\"perms\":\"business:product_category:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:55:33');
INSERT INTO `sys_oper_log` VALUES (1089, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2038,\"menuName\":\"商品证书查询\",\"menuType\":\"F\",\"orderNum\":7,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:query\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:55:38');
INSERT INTO `sys_oper_log` VALUES (1090, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2039,\"menuName\":\"商品证书新增\",\"menuType\":\"F\",\"orderNum\":8,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:add\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:55:48');
INSERT INTO `sys_oper_log` VALUES (1091, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2040,\"menuName\":\"商品证书修改\",\"menuType\":\"F\",\"orderNum\":9,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:edit\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:55:55');
INSERT INTO `sys_oper_log` VALUES (1092, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2041,\"menuName\":\"商品证书删除\",\"menuType\":\"F\",\"orderNum\":10,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:remove\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:56:02');
INSERT INTO `sys_oper_log` VALUES (1093, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2042,\"menuName\":\"商品证书导出\",\"menuType\":\"F\",\"orderNum\":11,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:product_category:export\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:56:10');
INSERT INTO `sys_oper_log` VALUES (1094, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"商品分类\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:56:18');
INSERT INTO `sys_oper_log` VALUES (1095, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2134,2135,2136,2137,2138,2139,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2127,2128,2129,2130,2131,2132,2115,2116,2117,2118,2119,2120,2201,2202,2203],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:56:47');
INSERT INTO `sys_oper_log` VALUES (1096, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-30 14:55:17\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 14:56:49');
INSERT INTO `sys_oper_log` VALUES (1097, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_tmp\"}', NULL, 0, NULL, '2023-08-31 15:17:29');
INSERT INTO `sys_oper_log` VALUES (1098, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_details_tmp\"}', NULL, 0, NULL, '2023-08-31 15:17:44');
INSERT INTO `sys_oper_log` VALUES (1099, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_tmp\"}', NULL, 0, NULL, '2023-08-31 15:18:22');
INSERT INTO `sys_oper_log` VALUES (1100, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2135,\"menuName\":\"模板详情名查询\",\"menuType\":\"F\",\"orderNum\":6,\"params\":{},\"parentId\":2127,\"path\":\"#\",\"perms\":\"business:manualDetails:query\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:30:08');
INSERT INTO `sys_oper_log` VALUES (1101, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2136,\"menuName\":\"模板详情名新增\",\"menuType\":\"F\",\"orderNum\":7,\"params\":{},\"parentId\":2127,\"path\":\"#\",\"perms\":\"business:manualDetails:add\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:30:24');
INSERT INTO `sys_oper_log` VALUES (1102, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2137,\"menuName\":\"模板详情名修改\",\"menuType\":\"F\",\"orderNum\":8,\"params\":{},\"parentId\":2127,\"path\":\"#\",\"perms\":\"business:manualDetails:edit\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:30:43');
INSERT INTO `sys_oper_log` VALUES (1103, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2138,\"menuName\":\"模板详情名删除\",\"menuType\":\"F\",\"orderNum\":9,\"params\":{},\"parentId\":2127,\"path\":\"#\",\"perms\":\"business:manualDetails:remove\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:30:56');
INSERT INTO `sys_oper_log` VALUES (1104, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2139,\"menuName\":\"模板详情名导出\",\"menuType\":\"F\",\"orderNum\":10,\"params\":{},\"parentId\":2127,\"path\":\"#\",\"perms\":\"business:manualDetails:export\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:31:09');
INSERT INTO `sys_oper_log` VALUES (1105, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/manualDetails/index\",\"createTime\":\"2023-08-28 16:27:34\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2134,\"menuName\":\"模板详情名\",\"menuType\":\"F\",\"orderNum\":11,\"params\":{},\"parentId\":2127,\"path\":\"manualDetails\",\"perms\":\"business:manualDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:31:33');
INSERT INTO `sys_oper_log` VALUES (1106, '商品手册模板', 1, 'com.ruoyi.project.business.controller.BizManualController.add()', 'POST', 1, '18640822691', NULL, '/business/manual', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"id\":1697150302253850625,\"manualList\":[\"净重\",\"毛重\",\"含水量\"],\"name\":\"建材\",\"params\":{},\"remark\":\"11\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:32:18');
INSERT INTO `sys_oper_log` VALUES (1107, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":3},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:56\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":3}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:56\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":3},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:56\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":3},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:56\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":3},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:56\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":3}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:32:56');
INSERT INTO `sys_oper_log` VALUES (1108, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:57\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":4},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:57\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":4}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:57\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":4},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:57\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":4},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:57\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":4},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:57\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":4}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:32:57');
INSERT INTO `sys_oper_log` VALUES (1109, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":5},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:58\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":5}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:58\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":5},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:58\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":5},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:58\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":5},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:58\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":5}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:32:58');
INSERT INTO `sys_oper_log` VALUES (1110, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:59\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":6},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:59\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":6}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:59\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":6},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:59\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":6},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:59\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":6},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-08-31 15:32:59\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":6}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:32:59');
INSERT INTO `sys_oper_log` VALUES (1111, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"是否为创建者\",\"dictType\":\"is_admin\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:34:59');
INSERT INTO `sys_oper_log` VALUES (1112, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"是\",\"dictSort\":1,\"dictType\":\"is_admin\",\"dictValue\":\"true\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:35:28');
INSERT INTO `sys_oper_log` VALUES (1113, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"tmp\",\"className\":\"BizFlowParamTmp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1086,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":68,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数名称\",\"columnId\":1087,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1088,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1089,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":true,\"par', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:36:29');
INSERT INTO `sys_oper_log` VALUES (1114, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_details_tmp\"}', NULL, 0, NULL, '2023-08-31 15:36:33');
INSERT INTO `sys_oper_log` VALUES (1115, '字典类型', 2, 'com.ruoyi.project.system.controller.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:34:59\",\"dictId\":110,\"dictName\":\"用户与租户关系\",\"dictType\":\"user_tenant\",\"ids\":[],\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:36:46');
INSERT INTO `sys_oper_log` VALUES (1116, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:35:27\",\"default\":false,\"dictCode\":120,\"dictLabel\":\"创建者\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"true\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:36:58');
INSERT INTO `sys_oper_log` VALUES (1117, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"成员\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"false\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:37:17');
INSERT INTO `sys_oper_log` VALUES (1118, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"tmp\",\"className\":\"BizFlowParamTmp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1086,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:36:29\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数名称\",\"columnId\":1087,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:36:29\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1088,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:36:29\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1089,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:41:47');
INSERT INTO `sys_oper_log` VALUES (1119, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"tmp\",\"className\":\"BizFlowParamTmp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1086,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:41:47\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数名称\",\"columnId\":1087,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:41:47\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1088,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:41:47\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1089,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:42:01');
INSERT INTO `sys_oper_log` VALUES (1120, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"flowParamTmp\",\"className\":\"BizFlowParamTmp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1086,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:42:01\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数名称\",\"columnId\":1087,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:42:01\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1088,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":68,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 15:42:01\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态（0正常 1停用）\",\"columnId\":1089,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:43:00');
INSERT INTO `sys_oper_log` VALUES (1121, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_tmp\"}', NULL, 0, NULL, '2023-08-31 15:43:02');
INSERT INTO `sys_oper_log` VALUES (1122, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"flowParamDetailsTmp\",\"className\":\"BizFlowParamDetailsTmp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1097,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":69,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowParamTmpId\",\"columnComment\":\"主表id\",\"columnId\":1098,\"columnName\":\"flow_param_tmp_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowParamTmpId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":69,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数明细名称\",\"columnId\":1099,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":69,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Component\",\"columnComment\":\"填写该明细用的控件 el-input\",\"columnId\":1100,\"columnName\":\"component\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 14:50:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaFie', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:55:29');
INSERT INTO `sys_oper_log` VALUES (1123, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_details_tmp\"}', NULL, 0, NULL, '2023-08-31 15:55:51');
INSERT INTO `sys_oper_log` VALUES (1124, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_details_tmp\"}', NULL, 0, NULL, '2023-08-31 15:56:36');
INSERT INTO `sys_oper_log` VALUES (1125, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamTmp/index\",\"createTime\":\"2023-08-31 15:43:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2229,\"menuName\":\"流程参数(模板)\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParamTmp\",\"perms\":\"business:flowParamTmp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:59:38');
INSERT INTO `sys_oper_log` VALUES (1126, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamDetailsTmp/index\",\"createTime\":\"2023-08-31 15:57:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2235,\"menuName\":\"流程参数明细(模板)\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParamDetailsTmp\",\"perms\":\"business:flowParamDetailsTmp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 15:59:43');
INSERT INTO `sys_oper_log` VALUES (1127, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '175.162.67.54', 'XX XX', '\"biz_tenant_apply\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:00:33');
INSERT INTO `sys_oper_log` VALUES (1128, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"apply\",\"className\":\"BizTenantApply\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1110,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":70,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"想要加入的 企业租户id\",\"columnId\":1111,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":70,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户 id\",\"columnId\":1112,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":70,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态 0 待审核 1\",\"columnId\":1113,\"columnName\":\"status\",\"columnType\":\"tinyint(3) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:00:51');
INSERT INTO `sys_oper_log` VALUES (1129, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '175.162.67.54', 'XX XX', '{\"businessName\":\"apply\",\"className\":\"BizTenantApply\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1110,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":70,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 16:00:51\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"想要加入的 企业租户id\",\"columnId\":1111,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":70,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 16:00:51\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"用户 id\",\"columnId\":1112,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":70,\"updateBy\":\"\",\"updateTime\":\"2023-08-31 16:00:51\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态 0 待审核 1\",\"columnId\":1113,\"columnName\":\"status\",\"columnType\":\"tinyint(3) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-08-31 16:00:33\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"is', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:02:09');
INSERT INTO `sys_oper_log` VALUES (1130, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '175.162.67.54', 'XX XX', '{\"tables\":\"biz_tenant_apply\"}', NULL, 0, NULL, '2023-08-31 16:02:22');
INSERT INTO `sys_oper_log` VALUES (1131, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2210,2229,2230,2231,2232,2233,2234,2235,2236,2237,2238,2239,2240,2201,2202,2203],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:04:02');
INSERT INTO `sys_oper_log` VALUES (1132, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:04:22');
INSERT INTO `sys_oper_log` VALUES (1133, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamDetailsTmp/index\",\"createTime\":\"2023-08-31 15:57:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2235,\"menuName\":\"流程参数明细(模板)\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParamDetailsTmp\",\"perms\":\"business:flowParamDetailsTmp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:05:04');
INSERT INTO `sys_oper_log` VALUES (1134, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"企业加入申请审核状态\",\"dictType\":\"apply_status\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:26:11');
INSERT INTO `sys_oper_log` VALUES (1135, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"审核通过\",\"dictSort\":0,\"dictType\":\"apply_status\",\"dictValue\":\"1\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:26:34');
INSERT INTO `sys_oper_log` VALUES (1136, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"审核未通过\",\"dictSort\":0,\"dictType\":\"apply_status\",\"dictValue\":\"2\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:26:50');
INSERT INTO `sys_oper_log` VALUES (1137, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '175.162.67.54', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"未审核\",\"dictSort\":0,\"dictType\":\"apply_status\",\"dictValue\":\"0\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:27:04');
INSERT INTO `sys_oper_log` VALUES (1138, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.add()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-31 16:27:15\",\"creatorId\":1143215441569779712,\"id\":1697164131280183298,\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:27:15');
INSERT INTO `sys_oper_log` VALUES (1139, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"加入审批\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2200,\"path\":\"audit\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:29:03');
INSERT INTO `sys_oper_log` VALUES (1140, '菜单管理', 1, 'com.ruoyi.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"我的申请\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2201,\"path\":\"apply\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 16:30:02');
INSERT INTO `sys_oper_log` VALUES (1141, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '175.162.67.54', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2210,2229,2230,2231,2232,2233,2234,2235,2236,2237,2238,2239,2240,2201,2202,2203,2242],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 17:07:57');
INSERT INTO `sys_oper_log` VALUES (1142, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"system/user/apply/index\",\"createTime\":\"2023-08-31 16:30:02\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2242,\"menuName\":\"我的申请\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2201,\"path\":\"apply\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 17:10:38');
INSERT INTO `sys_oper_log` VALUES (1143, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"tenant/apply/index\",\"createTime\":\"2023-08-31 17:29:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2243,\"menuName\":\"企业加入申请记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2200,\"path\":\"apply\",\"perms\":\"tenant:apply:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 17:31:52');
INSERT INTO `sys_oper_log` VALUES (1144, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"tenant/apply/index\",\"createTime\":\"2023-08-31 17:29:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2243,\"menuName\":\"企业加入申请列表\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2200,\"path\":\"apply\",\"perms\":\"tenant:apply:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 17:32:15');
INSERT INTO `sys_oper_log` VALUES (1145, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '175.162.67.54', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2243,2244,2245,2246,2247,2248,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2210,2229,2230,2231,2232,2233,2234,2235,2236,2237,2238,2239,2240,2201,2202,2203,2242],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 17:34:41');
INSERT INTO `sys_oper_log` VALUES (1146, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '175.162.67.54', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/tenant/audit\",\"createTime\":\"2023-08-31 16:29:03\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2241,\"menuName\":\"加入审批\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2200,\"path\":\"audit\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 17:36:36');
INSERT INTO `sys_oper_log` VALUES (1147, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-31 17:39:11\",\"creatorId\":1143215441569779712,\"id\":1697182234399563777,\"name\":\"啊\",\"params\":{},\"phoneNumber\":\"啊\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"shareText\":\"请问\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-08-31 17:39:11\",\"creatorId\":1143215441569779712,\"id\":1697182234399563777,\"name\":\"啊\",\"params\":{},\"phoneNumber\":\"啊\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"shareText\":\"请问\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-08-31 17:39:11');
INSERT INTO `sys_oper_log` VALUES (1148, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 13:50:45\",\"updaterId\":1,\"version\":27,\"vip\":0}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'audit_id\' doesn\'t have a default value\r\n### The error may exist in com/ruoyi/project/tenant/mapper/BizTenantApplyMapper.java (best guess)\r\n### The error may involve com.ruoyi.project.tenant.mapper.BizTenantApplyMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_tenant_apply  ( id, tenant_id, user_id,   create_time,  creator_id )  VALUES  ( ?, ?, ?,   ?,  ? )\r\n### Cause: java.sql.SQLException: Field \'audit_id\' doesn\'t have a default value\n; Field \'audit_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'audit_id\' doesn\'t have a default value', '2023-08-31 23:36:49');
INSERT INTO `sys_oper_log` VALUES (1149, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 13:50:45\",\"updaterId\":1,\"version\":27,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 23:37:44');
INSERT INTO `sys_oper_log` VALUES (1150, '企业加入申请记录', 3, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1697272468428935170', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 23:47:11');
INSERT INTO `sys_oper_log` VALUES (1151, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-08-29 13:50:45\",\"updaterId\":1,\"version\":27,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-08-31 23:47:19');
INSERT INTO `sys_oper_log` VALUES (1152, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"东城区88号\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 08:53:00\",\"creatorId\":1143215441569779712,\"id\":1697412203579027457,\"name\":\"测试信息\",\"params\":{},\"phoneNumber\":\"110\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901085257A001.png\",\"shareText\":\"爱屋及乌\",\"tenantId\":106,\"type\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"东城区88号\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 08:53:00\",\"creatorId\":1143215441569779712,\"id\":1697412203579027457,\"name\":\"测试信息\",\"params\":{},\"phoneNumber\":\"110\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901085257A001.png\",\"shareText\":\"爱屋及乌\",\"tenantId\":106,\"type\":2}}', 0, NULL, '2023-09-01 08:53:00');
INSERT INTO `sys_oper_log` VALUES (1153, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"和平区\",\"areaCode\":\"120101\",\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 09:00:46\",\"creatorId\":1143215441569779712,\"id\":1697414158124691457,\"name\":\"测试2\",\"params\":{},\"phoneNumber\":\"120\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901090040A002.jpg\",\"shareText\":\"测试\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"和平区\",\"areaCode\":\"120101\",\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 09:00:46\",\"creatorId\":1143215441569779712,\"id\":1697414158124691457,\"name\":\"测试2\",\"params\":{},\"phoneNumber\":\"120\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901090040A002.jpg\",\"shareText\":\"测试\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 09:00:46');
INSERT INTO `sys_oper_log` VALUES (1154, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:12:58\",\"creatorId\":1143215441569779712,\"id\":1697417227881263106,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091249A003.jpg\",\"shareText\":\"123\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091253A004.jpg\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:12:58\",\"creatorId\":1143215441569779712,\"id\":1697417227881263106,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091249A003.jpg\",\"shareText\":\"123\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091253A004.jpg\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 09:12:58');
INSERT INTO `sys_oper_log` VALUES (1155, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"屯留区\",\"areaCode\":\"140405\",\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-01 09:12:58\",\"creatorId\":1143215441569779712,\"id\":1697417227881263106,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091249A003.jpg\",\"shareText\":\"123\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091253A004.jpg\",\"tenantId\":106,\"type\":2,\"updateTime\":\"2023-09-01 09:13:15\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"屯留区\",\"areaCode\":\"140405\",\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-01 09:12:58\",\"creatorId\":1143215441569779712,\"id\":1697417227881263106,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091249A003.jpg\",\"shareText\":\"123\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091253A004.jpg\",\"tenantId\":106,\"type\":2,\"updateTime\":\"2023-09-01 09:13:15\",\"updaterId\":1143215441569779712}}', 0, NULL, '2023-09-01 09:13:15');
INSERT INTO `sys_oper_log` VALUES (1156, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:15:46\",\"creatorId\":1143215441569779712,\"id\":1697417934701178882,\"name\":\"1\",\"params\":{},\"phoneNumber\":\"1\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091539A005.jpg\",\"shareText\":\"1\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091543A006.jpg\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:15:46\",\"creatorId\":1143215441569779712,\"id\":1697417934701178882,\"name\":\"1\",\"params\":{},\"phoneNumber\":\"1\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091539A005.jpg\",\"shareText\":\"1\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091543A006.jpg\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 09:15:46');
INSERT INTO `sys_oper_log` VALUES (1157, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:18:38\",\"creatorId\":1143215441569779712,\"id\":1697418653571330049,\"name\":\"22\",\"params\":{},\"phoneNumber\":\"2\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091831A007.jpg\",\"shareText\":\"2\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091836A008.jpg\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:18:38\",\"creatorId\":1143215441569779712,\"id\":1697418653571330049,\"name\":\"22\",\"params\":{},\"phoneNumber\":\"2\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/营业执照_20230901091831A007.jpg\",\"shareText\":\"2\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901091836A008.jpg\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 09:18:38');
INSERT INTO `sys_oper_log` VALUES (1158, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:20:19\",\"creatorId\":1143215441569779712,\"id\":1697419078891323393,\"name\":\"1\",\"params\":{},\"tenantId\":106}', NULL, 1, '', '2023-09-01 09:20:19');
INSERT INTO `sys_oper_log` VALUES (1159, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:21:09\",\"creatorId\":1143215441569779712,\"id\":1697419288858181633,\"name\":\"1\",\"params\":{},\"tenantId\":106}', NULL, 1, '', '2023-09-01 09:21:09');
INSERT INTO `sys_oper_log` VALUES (1160, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:22:21\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"name\":\"1\",\"params\":{}},{\"component\":\"el-input-number\",\"name\":\"2\",\"params\":{}},{\"component\":\"el-upload\",\"name\":\"3\",\"params\":{}}],\"id\":1697419590927761409,\"name\":\"1\",\"params\":{},\"tenantId\":106}', NULL, 1, 'com.ruoyi.project.business.mapper.BizFlowParamDetailsTmpMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 2\n; Data truncation: Data too long for column \'component\' at row 2; nested exception is java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 2', '2023-09-01 09:22:25');
INSERT INTO `sys_oper_log` VALUES (1161, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:25:19\",\"creatorId\":1143215441569779712,\"id\":1697420336661626882,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901092514A001.png\",\"shareText\":\"123\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901092518A002.png\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:25:19\",\"creatorId\":1143215441569779712,\"id\":1697420336661626882,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901092514A001.png\",\"shareText\":\"123\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901092518A002.png\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 09:25:19');
INSERT INTO `sys_oper_log` VALUES (1162, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:30:03\",\"creatorId\":1143215441569779712,\"id\":1697421529613860865,\"name\":\"请求\",\"params\":{},\"phoneNumber\":\"去\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"请问\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 09:30:03\",\"creatorId\":1143215441569779712,\"id\":1697421529613860865,\"name\":\"请求\",\"params\":{},\"phoneNumber\":\"去\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"请问\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 09:30:03');
INSERT INTO `sys_oper_log` VALUES (1163, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:31:02\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"1\",\"params\":{}},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"name\":\"2\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"3\",\"params\":{}}],\"id\":1697421773605781505,\"name\":\"1\",\"params\":{},\"tenantId\":106}', NULL, 1, 'com.ruoyi.project.business.mapper.BizFlowParamDetailsTmpMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 2\n; Data truncation: Data too long for column \'component\' at row 2; nested exception is java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 2', '2023-09-01 09:31:02');
INSERT INTO `sys_oper_log` VALUES (1164, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:31:10\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"1\",\"params\":{}},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"name\":\"2\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"3\",\"params\":{}}],\"id\":1697421809852956674,\"name\":\"1\",\"params\":{},\"tenantId\":106}', NULL, 1, 'com.ruoyi.project.business.mapper.BizFlowParamDetailsTmpMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 2\n; Data truncation: Data too long for column \'component\' at row 2; nested exception is java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 2', '2023-09-01 09:31:10');
INSERT INTO `sys_oper_log` VALUES (1165, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:33:44\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"1\",\"params\":{}},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"name\":\"2\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"3\",\"params\":{}}],\"id\":1697422456585273345,\"name\":\"1\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:33:44');
INSERT INTO `sys_oper_log` VALUES (1166, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-08-31 23:47:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697274879939768322,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-01 09:49:40\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:49:41');
INSERT INTO `sys_oper_log` VALUES (1167, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"auditName\":\"桑原电机(大连)有限公司\",\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-08-31 23:47:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697274879939768322,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":2,\"tenantId\":151,\"updateTime\":\"2023-09-01 09:50:19\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:50:20');
INSERT INTO `sys_oper_log` VALUES (1168, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"auditName\":\"桑原电机(大连)有限公司\",\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-08-31 23:47:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697274879939768322,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-01 09:50:20\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:50:21');
INSERT INTO `sys_oper_log` VALUES (1169, '企业加入申请记录', 3, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/1697274879939768322', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:52:00');
INSERT INTO `sys_oper_log` VALUES (1170, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 09:52:44\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"name\":\"234\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"43\",\"params\":{}}],\"id\":1697427237806546946,\"name\":\"3\",\"params\":{},\"remark\":\"32\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:52:44');
INSERT INTO `sys_oper_log` VALUES (1171, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 09:25:45\",\"updaterId\":1,\"version\":28,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 09:58:26');
INSERT INTO `sys_oper_log` VALUES (1172, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"id\":1697429094968164354,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"tenantId\":106,\"type\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"id\":1697429094968164354,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"tenantId\":106,\"type\":1}}', 0, NULL, '2023-09-01 10:00:07');
INSERT INTO `sys_oper_log` VALUES (1173, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":1,\"updateTime\":\"2023-09-01 10:01:06\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":1,\"updateTime\":\"2023-09-01 10:01:06\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-01 10:01:06');
INSERT INTO `sys_oper_log` VALUES (1174, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-01 09:58:25\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697428665864302594,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-01 10:07:51\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:07:52');
INSERT INTO `sys_oper_log` VALUES (1175, '企业加入申请记录', 3, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/1697428665864302594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:08:14');
INSERT INTO `sys_oper_log` VALUES (1176, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 09:25:45\",\"updaterId\":1,\"version\":28,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:08:20');
INSERT INTO `sys_oper_log` VALUES (1177, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-01 10:08:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697431157629005825,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":2,\"tenantId\":151,\"updateTime\":\"2023-09-01 10:08:25\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:08:26');
INSERT INTO `sys_oper_log` VALUES (1178, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":1,\"updateTime\":\"2023-09-01 10:09:34\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":1,\"updateTime\":\"2023-09-01 10:09:34\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-01 10:09:34');
INSERT INTO `sys_oper_log` VALUES (1179, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:14:36\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:14:36\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-01 10:14:36');
INSERT INTO `sys_oper_log` VALUES (1180, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:18:32\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:18:32\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-01 10:18:32');
INSERT INTO `sys_oper_log` VALUES (1181, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"applyId\":1697431157629005825,\"applyStatus\":2,\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 09:25:45\",\"updaterId\":1,\"version\":28,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:20:00');
INSERT INTO `sys_oper_log` VALUES (1182, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:21:01\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:21:01\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-01 10:21:01');
INSERT INTO `sys_oper_log` VALUES (1183, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:24:25\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:24:25\",\"updaterId\":1143215441569779712,\"version\":6}}', 0, NULL, '2023-09-01 10:24:25');
INSERT INTO `sys_oper_log` VALUES (1184, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143215441569779712,\"id\":1697431157629005825,\"params\":{},\"status\":0,\"updateTime\":\"2023-09-01 10:24:25\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:24:26');
INSERT INTO `sys_oper_log` VALUES (1185, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"auditName\":\"18640822691\",\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-01 10:08:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697431157629005825,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-01 10:24:45\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:24:46');
INSERT INTO `sys_oper_log` VALUES (1186, '企业加入申请记录', 3, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/1697431157629005825', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:24:52');
INSERT INTO `sys_oper_log` VALUES (1187, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 09:25:45\",\"updaterId\":1,\"version\":28,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:31:13');
INSERT INTO `sys_oper_log` VALUES (1188, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":0,\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-01 10:31:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697436917872283650,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updaterId\":0,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:31:20');
INSERT INTO `sys_oper_log` VALUES (1189, '加入申请', 1, 'com.ruoyi.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143207234667417600,\"auditName\":\"桑原电机(大连)有限公司\",\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-01 10:31:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1697436917872283650,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-01 10:31:19\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 10:33:44');
INSERT INTO `sys_oper_log` VALUES (1190, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:45:24\",\"updaterId\":1143215441569779712,\"version\":7}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:45:24\",\"updaterId\":1143215441569779712,\"version\":7}}', 0, NULL, '2023-09-01 10:45:24');
INSERT INTO `sys_oper_log` VALUES (1191, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:49:55\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:49:55\",\"updaterId\":1143215441569779712,\"version\":8}}', 0, NULL, '2023-09-01 10:49:56');
INSERT INTO `sys_oper_log` VALUES (1192, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:56:29\",\"updaterId\":1143215441569779712,\"version\":9}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:56:29\",\"updaterId\":1143215441569779712,\"version\":9}}', 0, NULL, '2023-09-01 10:56:29');
INSERT INTO `sys_oper_log` VALUES (1193, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:57:54\",\"updaterId\":1143215441569779712,\"version\":10}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 10:00:07\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697429094968164354,\"latitude\":0,\"longitude\":0,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/01/logo_20230901100002A001.png\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901100006A002.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-01 10:57:54\",\"updaterId\":1143215441569779712,\"version\":10}}', 0, NULL, '2023-09-01 10:57:54');
INSERT INTO `sys_oper_log` VALUES (1194, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"屯留区\",\"areaCode\":\"140405\",\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-01 11:01:46\",\"creatorId\":1143215441569779712,\"id\":1697444609828651010,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"请问\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"shareText\":\"1\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"屯留区\",\"areaCode\":\"140405\",\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-01 11:01:46\",\"creatorId\":1143215441569779712,\"id\":1697444609828651010,\"name\":\"测试123\",\"params\":{},\"phoneNumber\":\"请问\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"shareText\":\"1\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-01 11:01:46');
INSERT INTO `sys_oper_log` VALUES (1195, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 11:03:31\",\"creatorId\":1143215441569779712,\"id\":1697445051702771714,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"112\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"1\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901110330A001.jpg\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 11:03:31\",\"creatorId\":1143215441569779712,\"id\":1697445051702771714,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"112\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"1\",\"storeBackground\":\"/profile/upload/2023/09/01/营业执照_20230901110330A001.jpg\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-01 11:03:32');
INSERT INTO `sys_oper_log` VALUES (1196, '切换租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 11:13:20\",\"updaterId\":1143215441569779712,\"version\":29,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 11:13:21');
INSERT INTO `sys_oper_log` VALUES (1197, '切换租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 11:13:20\",\"updaterId\":1143215441569779712,\"version\":29,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 11:22:34');
INSERT INTO `sys_oper_log` VALUES (1198, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_batch_flow_param_details,biz_flow_param_details\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 11:30:42');
INSERT INTO `sys_oper_log` VALUES (1199, '切换租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 11:13:20\",\"updaterId\":1143215441569779712,\"version\":29,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 11:52:43');
INSERT INTO `sys_oper_log` VALUES (1200, '切换租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 11:53:43');
INSERT INTO `sys_oper_log` VALUES (1201, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"啦啦啦\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 12:48:44\",\"creatorId\":1143207234667417600,\"customerService\":\"/profile/upload/2023/09/01/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230901124837A004.png\",\"id\":1697471527964471298,\"name\":\"桑原小店\",\"params\":{},\"phoneNumber\":\"13029467003\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"sharePicture\":\"/profile/upload/2023/09/01/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230901124828A001.png\",\"shareText\":\"分享文字\",\"storeBackground\":\"/profile/upload/2023/09/01/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230901124832A002.png\",\"storeLogo\":\"/profile/upload/2023/09/01/f67d4635f652b040e4fd131cdabf4231_6016050421279324369_20230901124834A003.png\",\"tenantId\":151,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"啦啦啦\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-01 12:48:44\",\"creatorId\":1143207234667417600,\"customerService\":\"/profile/upload/2023/09/01/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230901124837A004.png\",\"id\":1697471527964471298,\"name\":\"桑原小店\",\"params\":{},\"phoneNumber\":\"13029467003\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"sharePicture\":\"/profile/upload/2023/09/01/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230901124828A001.png\",\"shareText\":\"分享文字\",\"storeBackground\":\"/profile/upload/2023/09/01/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230901124832A002.png\",\"storeLogo\":\"/profile/upload/2023/09/01/f67d4635f652b040e4fd131cdabf4231_6016050421279324369_20230901124834A003.png\",\"tenantId\":151,\"type\":\"1\"}}', 0, NULL, '2023-09-01 12:48:45');
INSERT INTO `sys_oper_log` VALUES (1202, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2039,\"menuName\":\"商品证书新增\",\"menuType\":\"F\",\"orderNum\":8,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:productCategory:add\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 12:55:47');
INSERT INTO `sys_oper_log` VALUES (1203, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2038,\"menuName\":\"商品证书查询\",\"menuType\":\"F\",\"orderNum\":7,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:productCategory:query\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 12:55:54');
INSERT INTO `sys_oper_log` VALUES (1204, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2040,\"menuName\":\"商品证书修改\",\"menuType\":\"F\",\"orderNum\":9,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:productCategory:edit\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 12:56:01');
INSERT INTO `sys_oper_log` VALUES (1205, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2041,\"menuName\":\"商品证书删除\",\"menuType\":\"F\",\"orderNum\":10,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:productCategory:remove\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 12:56:07');
INSERT INTO `sys_oper_log` VALUES (1206, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-08-22 16:15:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2042,\"menuName\":\"商品证书导出\",\"menuType\":\"F\",\"orderNum\":11,\"params\":{},\"parentId\":2031,\"path\":\"#\",\"perms\":\"business:productCategory:export\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 12:56:12');
INSERT INTO `sys_oper_log` VALUES (1207, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 13:21:38\",\"creatorId\":1143215441569779712,\"id\":1697479805953171457,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"12\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901132135A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 13:21:38\",\"creatorId\":1143215441569779712,\"id\":1697479805953171457,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"12\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901132135A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-01 13:21:38');
INSERT INTO `sys_oper_log` VALUES (1208, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_flow,biz_flow_param\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:21:57');
INSERT INTO `sys_oper_log` VALUES (1209, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"flow\",\"className\":\"BizFlow\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1162,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":74,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程名称\",\"columnId\":1163,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":74,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Content\",\"columnComment\":\"流程内容\",\"columnId\":1164,\"columnName\":\"content\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"editor\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"content\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":74,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1165,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"que', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:23:04');
INSERT INTO `sys_oper_log` VALUES (1210, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"flowParam\",\"className\":\"BizFlowParam\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1150,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:56\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":73,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1151,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:56\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":73,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数名称\",\"columnId\":1152,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:56\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":73,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1153,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 13:21:56\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:24:57');
INSERT INTO `sys_oper_log` VALUES (1211, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"flowParamDetails\",\"className\":\"BizFlowParamDetails\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1136,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 11:30:41\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":72,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowParamId\",\"columnComment\":\"主表id\",\"columnId\":1137,\"columnName\":\"flow_param_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 11:30:41\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowParamId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":72,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1138,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 11:30:41\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":72,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"流程参数明细名称\",\"columnId\":1139,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 11:30:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryTy', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:25:21');
INSERT INTO `sys_oper_log` VALUES (1212, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow\"}', NULL, 0, NULL, '2023-09-01 13:25:46');
INSERT INTO `sys_oper_log` VALUES (1213, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"id\":1697484248199286785,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"12\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"id\":1697484248199286785,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"12\",\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-01 13:39:17');
INSERT INTO `sys_oper_log` VALUES (1214, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"购买链接\",\"dictType\":\"purchase_link\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:39:59');
INSERT INTO `sys_oper_log` VALUES (1215, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"淘宝\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"淘宝\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:40:20');
INSERT INTO `sys_oper_log` VALUES (1216, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"京东\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"京东\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:40:29');
INSERT INTO `sys_oper_log` VALUES (1217, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"美团\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"美团\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:40:42');
INSERT INTO `sys_oper_log` VALUES (1218, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"拼多多\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"拼多多\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:48:29');
INSERT INTO `sys_oper_log` VALUES (1219, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"小红书\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"小红书\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:48:41');
INSERT INTO `sys_oper_log` VALUES (1220, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"抖音\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"抖音\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:49:07');
INSERT INTO `sys_oper_log` VALUES (1221, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"快手\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"快手\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:49:20');
INSERT INTO `sys_oper_log` VALUES (1222, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"唯品会\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"唯品会\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:49:47');
INSERT INTO `sys_oper_log` VALUES (1223, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"苏宁易购\",\"dictSort\":0,\"dictType\":\"purchase_link\",\"dictValue\":\"苏宁易购\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 13:50:01');
INSERT INTO `sys_oper_log` VALUES (1224, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-01 13:51:34\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-01 13:51:34\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-01 13:51:34');
INSERT INTO `sys_oper_log` VALUES (1225, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-01 13:52:54\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-01 13:52:54\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-01 13:52:54');
INSERT INTO `sys_oper_log` VALUES (1226, '代码生成', 6, 'com.ruoyi.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_link\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 14:10:58');
INSERT INTO `sys_oper_log` VALUES (1227, '代码生成', 2, 'com.ruoyi.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productLink\",\"className\":\"BizProductLink\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"模板id\",\"columnId\":1174,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 14:10:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":75,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1175,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 14:10:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":75,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"购买链接名\",\"columnId\":1176,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 14:10:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":75,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Link\",\"columnComment\":\"购买链接\",\"columnId\":1177,\"columnName\":\"link\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-01 14:10:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"link\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 14:11:28');
INSERT INTO `sys_oper_log` VALUES (1228, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_link\"}', NULL, 0, NULL, '2023-09-01 14:11:31');
INSERT INTO `sys_oper_log` VALUES (1229, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_link\"}', NULL, 0, NULL, '2023-09-01 14:11:46');
INSERT INTO `sys_oper_log` VALUES (1230, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:12\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":7},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:12\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":7}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:12\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":7},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:12\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":7},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:12\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":7},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:12\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":7}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 14:52:13');
INSERT INTO `sys_oper_log` VALUES (1231, '商品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:25\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":8},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:25\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":8}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:25\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":8},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:25\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":8},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:25\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":8},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 14:52:25\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":8}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 14:52:26');
INSERT INTO `sys_oper_log` VALUES (1232, '商品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"createTime\":\"2023-09-01 14:54:00\",\"creatorId\":1143215441569779712,\"id\":1697503053756243969,\"linkList\":[{\"createTime\":\"2023-09-01 14:54:01\",\"creatorId\":1143215441569779712,\"id\":1697503054926454785,\"link\":\"11\",\"name\":\"抖音\",\"params\":{},\"productId\":1697503053756243969,\"tenantId\":106}],\"name\":\"1\",\"params\":{},\"price\":2,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 14:54:01');
INSERT INTO `sys_oper_log` VALUES (1233, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flow/index\",\"createTime\":\"2023-09-01 13:26:30\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2249,\"menuName\":\"流程\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flow\",\"perms\":\"business:flow:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 14:58:48');
INSERT INTO `sys_oper_log` VALUES (1234, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2210,2229,2230,2231,2232,2233,2234,2235,2236,2237,2238,2239,2240,2249,2250,2251,2252,2253,2254,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:01:05');
INSERT INTO `sys_oper_log` VALUES (1235, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:01:21');
INSERT INTO `sys_oper_log` VALUES (1236, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-01 15:06:01');
INSERT INTO `sys_oper_log` VALUES (1237, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-01 15:06:17');
INSERT INTO `sys_oper_log` VALUES (1238, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:06:24');
INSERT INTO `sys_oper_log` VALUES (1239, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-31 14:51:52\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2210,\"menuName\":\"溯源管理\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"flow\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:10:20');
INSERT INTO `sys_oper_log` VALUES (1240, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamTmp/index\",\"createTime\":\"2023-08-31 15:43:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2229,\"menuName\":\"流程参数模板\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParamTmp\",\"perms\":\"business:flowParamTmp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:16:14');
INSERT INTO `sys_oper_log` VALUES (1241, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flow/index\",\"createTime\":\"2023-09-01 13:26:30\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2249,\"menuName\":\"流程管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flow\",\"perms\":\"business:flow:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:16:37');
INSERT INTO `sys_oper_log` VALUES (1242, '菜单管理', 3, 'com.ruoyi.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/2235', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"存在子菜单,不允许删除\",\"code\":601}', 0, NULL, '2023-09-01 15:17:06');
INSERT INTO `sys_oper_log` VALUES (1243, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"时间选择框\",\"dictSort\":0,\"dictType\":\"el_component\",\"dictValue\":\"el-date-picker\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:17:08');
INSERT INTO `sys_oper_log` VALUES (1244, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"记录人\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"附件\",\"params\":{}}],\"id\":1697508955360075778,\"name\":\"原产地\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:17:28');
INSERT INTO `sys_oper_log` VALUES (1245, '流程参数(模板)', 2, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697508955699814401,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697508955699814402,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"name\":\"记录时间\",\"params\":{}}],\"id\":1697508955360075778,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 15:17:53\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:17:54');
INSERT INTO `sys_oper_log` VALUES (1246, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697509272420098049,\"name\":\"海外物流\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:18:43');
INSERT INTO `sys_oper_log` VALUES (1247, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:18:56\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697509326648254465,\"name\":\" 国内物流\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:18:56');
INSERT INTO `sys_oper_log` VALUES (1248, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:19:03\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697509357115678721,\"name\":\" 实验室感官检查\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:19:04');
INSERT INTO `sys_oper_log` VALUES (1249, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:19:13\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697509397720735746,\"name\":\"理化及微生物指标\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:19:13');
INSERT INTO `sys_oper_log` VALUES (1250, '流程参数(模板)', 3, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flowParamTmp/1697422456585273345', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:21:58');
INSERT INTO `sys_oper_log` VALUES (1251, '流程参数(模板)', 3, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flowParamTmp/1697427237806546946', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 15:22:00');
INSERT INTO `sys_oper_log` VALUES (1252, '流程参数(模板)', 2, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"记录人\",\"params\":{}},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"描述\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"附件\",\"params\":{}}],\"id\":1697508955360075778,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 16:46:53\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:46:54');
INSERT INTO `sys_oper_log` VALUES (1253, '流程参数(模板)', 2, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697508955699814401,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697508955699814402,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"描述\",\"params\":{}}],\"id\":1697508955360075778,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 16:50:07\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:50:08');
INSERT INTO `sys_oper_log` VALUES (1254, '流程参数(模板)', 2, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697508955699814401,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697508955699814402,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"描述\",\"params\":{}}],\"id\":1697508955360075778,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 16:51:04\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-01 16:51:05');
INSERT INTO `sys_oper_log` VALUES (1255, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 16:51:27\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697532610332860417,\"name\":\"工艺-杀青\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:51:28');
INSERT INTO `sys_oper_log` VALUES (1256, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 16:51:38\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697532654922506241,\"name\":\" 工艺-揉捻\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:51:39');
INSERT INTO `sys_oper_log` VALUES (1257, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 16:51:46\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697532690767028226,\"name\":\" 工艺-干燥\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:51:47');
INSERT INTO `sys_oper_log` VALUES (1258, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 16:51:58\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697532741929148417,\"name\":\"产地\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:51:59');
INSERT INTO `sys_oper_log` VALUES (1259, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 16:52:42\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[],\"id\":1697532925153124353,\"name\":\"原料仓储\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:52:43');
INSERT INTO `sys_oper_log` VALUES (1260, '流程参数(模板)', 3, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flowParamTmp/1697532741929148417', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:55:32');
INSERT INTO `sys_oper_log` VALUES (1261, '流程参数(模板)', 1, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"记录人\",\"params\":{}},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"name\":\"描述\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"name\":\"附件\",\"params\":{}}],\"id\":1697533872046612481,\"name\":\"产地\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 16:56:29');
INSERT INTO `sys_oper_log` VALUES (1262, '流程参数(模板)', 2, 'com.ruoyi.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:51:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697532514878889986,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:51:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697532514878889989,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 16:51:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697532514878889987,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 16:51:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697532514878889988,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1697508955360075778,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-01 17:28:24');
INSERT INTO `sys_oper_log` VALUES (1263, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 10:12:43');
INSERT INTO `sys_oper_log` VALUES (1264, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 10:23:35');
INSERT INTO `sys_oper_log` VALUES (1265, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 10:43:34');
INSERT INTO `sys_oper_log` VALUES (1266, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 10:57:22');
INSERT INTO `sys_oper_log` VALUES (1267, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 11:03:29');
INSERT INTO `sys_oper_log` VALUES (1268, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-01 14:54:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503053756243969,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-01 14:54:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503054926454785,\"link\":\"11\",\"name\":\"抖音\",\"params\":{},\"productId\":1697503053756243969,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:24\",\"updaterId\":1143215441569779712,\"version\":1}],\"mainPicture\":\"/profile/upload/2023/09/04/3_20230904111922A001.jpeg\",\"manualId\":0,\"name\":\"1\",\"onShow\":0,\"params\":{},\"price\":2,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:24\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 11:19:24');
INSERT INTO `sys_oper_log` VALUES (1269, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:48\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":9},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:48\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":9}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:48\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":9},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:48\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":9},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:48\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":9},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 11:19:48\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":9}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 11:19:48');
INSERT INTO `sys_oper_log` VALUES (1270, '产品', 1, 'com.ruoyi.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-04 11:32:22\",\"creatorId\":1143215441569779712,\"id\":1698539472725483521,\"name\":\"13\",\"params\":{},\"productId\":1698539469055467522,\"tenantId\":106}],\"categoryId\":1696778762374991873,\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-04 11:32:21\",\"creatorId\":1143215441569779712,\"id\":1698539469055467522,\"linkList\":[],\"name\":\"i\",\"params\":{},\"price\":1,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 11:32:22');
INSERT INTO `sys_oper_log` VALUES (1271, '营销网点', 1, 'com.ruoyi.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/31/企业微信截图_1692944241477_20230831142408A010.png\",\"onShow\":0,\"params\":{},\"price\":222,\"productId\":1697133026171527170,\"productName\":\"1\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:09:52\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1696450555120779266,\"categoryName\":\"麻辣小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1698539469055467522,\"productName\":\"i\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:09:52\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1696450555120779266,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:09:52\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/08/31/企业微信截图_1692944241477_20230831142408A010.png\",\"onShow\":0,\"params\":{},\"price\":222,\"productId\":1697133026171527170,\"productName\":\"1\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:09:52\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1696450555120779266,\"categoryName\":\"麻辣小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1698539469055467522,\"productName\":\"i\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:09:52\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1696450555120779266,\"latitude\":0,\"longitude\":0,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:09:52\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-04 13:09:53');
INSERT INTO `sys_oper_log` VALUES (1272, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 13:16:45\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 13:16:45\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-04 13:16:45');
INSERT INTO `sys_oper_log` VALUES (1273, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:29:27\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":10},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:29:27\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":10}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:29:28\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":10},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:29:28\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":10},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:29:28\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":10},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:29:28\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":10}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:29:28');
INSERT INTO `sys_oper_log` VALUES (1274, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:32:34\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":11},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:32:34\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":11}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:32:34\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":11},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:32:34\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":11},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:32:34\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":11},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:32:34\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":11}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:32:35');
INSERT INTO `sys_oper_log` VALUES (1275, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:00\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":12},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:00\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":12}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:00\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":12},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:00\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":12},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:00\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":12},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:00\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":12}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:01');
INSERT INTO `sys_oper_log` VALUES (1276, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":13},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:28\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:28\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":13},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:28\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":13},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:28\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":13},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:28\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":13}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:28');
INSERT INTO `sys_oper_log` VALUES (1277, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:31\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":14},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:31\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":14}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:31\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":14},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:31\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":14},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:31\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":14},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:31\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":14}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:31');
INSERT INTO `sys_oper_log` VALUES (1278, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:32\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":15},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:32\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":15}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:33\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":15},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:33\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":15},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:33\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":15},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:33\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":15}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:33');
INSERT INTO `sys_oper_log` VALUES (1279, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:34\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":16},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:34\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":16}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:34\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":16},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:34\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":16},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:34\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":16},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:34\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":16}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:34');
INSERT INTO `sys_oper_log` VALUES (1280, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":17},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:40\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:40\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":17},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:40\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":17},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:40\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":17},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:40\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":17}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:40');
INSERT INTO `sys_oper_log` VALUES (1281, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":18},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:42\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":18}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:42\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":18},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:42\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":18},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:42\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":18},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:35:42\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":18}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:35:42');
INSERT INTO `sys_oper_log` VALUES (1282, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"产品上下架\",\"dictType\":\"product_onshow\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:36:59');
INSERT INTO `sys_oper_log` VALUES (1283, '字典类型', 1, 'com.ruoyi.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"产品推荐状态\",\"dictType\":\"product_suggest\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:37:24');
INSERT INTO `sys_oper_log` VALUES (1284, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"上架\",\"dictSort\":0,\"dictType\":\"product_onshow\",\"dictValue\":\"1\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:37:45');
INSERT INTO `sys_oper_log` VALUES (1285, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 13:37:46\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 13:37:46\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-04 13:37:46');
INSERT INTO `sys_oper_log` VALUES (1286, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 13:37:50\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-01 13:39:17\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1697484248199286785,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"12\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"12\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/01/logo_20230901133915A001.png\",\"storeLogo\":\"\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 13:37:50\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-04 13:37:50');
INSERT INTO `sys_oper_log` VALUES (1287, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"下架\",\"dictSort\":0,\"dictType\":\"product_onshow\",\"dictValue\":\"0\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:37:56');
INSERT INTO `sys_oper_log` VALUES (1288, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"推荐\",\"dictSort\":0,\"dictType\":\"product_suggest\",\"dictValue\":\"1\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:38:12');
INSERT INTO `sys_oper_log` VALUES (1289, '字典数据', 1, 'com.ruoyi.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"不推荐\",\"dictSort\":2,\"dictType\":\"product_suggest\",\"dictValue\":\"0\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:38:31');
INSERT INTO `sys_oper_log` VALUES (1290, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:09\",\"default\":false,\"dictCode\":116,\"dictLabel\":\"上架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:40:47');
INSERT INTO `sys_oper_log` VALUES (1291, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:17\",\"default\":false,\"dictCode\":117,\"dictLabel\":\"下架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:40:51');
INSERT INTO `sys_oper_log` VALUES (1292, '字典类型', 3, 'com.ruoyi.project.system.controller.SysDictTypeController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/113,114', '113.227.221.134', 'XX XX', '{}', NULL, 1, '产品上下架已分配,不能删除', '2023-09-04 13:41:07');
INSERT INTO `sys_oper_log` VALUES (1293, '字典类型', 3, 'com.ruoyi.project.system.controller.SysDictDataController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dict/data/137,138', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:41:15');
INSERT INTO `sys_oper_log` VALUES (1294, '字典类型', 3, 'com.ruoyi.project.system.controller.SysDictDataController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dict/data/135,136', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:41:22');
INSERT INTO `sys_oper_log` VALUES (1295, '字典类型', 3, 'com.ruoyi.project.system.controller.SysDictTypeController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/113,114', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:41:26');
INSERT INTO `sys_oper_log` VALUES (1296, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:09\",\"default\":false,\"dictCode\":116,\"dictLabel\":\"上架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:42:01');
INSERT INTO `sys_oper_log` VALUES (1297, '字典数据', 2, 'com.ruoyi.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 11:31:17\",\"default\":false,\"dictCode\":117,\"dictLabel\":\"下架\",\"dictSort\":0,\"dictType\":\"on_show\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:42:06');
INSERT INTO `sys_oper_log` VALUES (1298, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param\"}', NULL, 0, NULL, '2023-09-04 13:42:55');
INSERT INTO `sys_oper_log` VALUES (1299, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":19},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:05\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":19}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:05\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":19},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:05\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":19},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:05\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":19},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:05\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":19}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:43:05');
INSERT INTO `sys_oper_log` VALUES (1300, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744385,\"name\":\"222\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:11\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/08/31/6_20230831142350A009.jpeg\",\"version\":20},{\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133028809744386,\"name\":\"333\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:11\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":20}],\"bizProductParamList\":[{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623554,\"name\":\"11\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:11\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":20},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623555,\"name\":\"大小\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:11\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":20},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623556,\"name\":\"保质期\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:11\",\"updaterId\":1143215441569779712,\"value\":\"1\",\"version\":20},{\"createTime\":\"2023-08-31 14:23:40\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697133029929623557,\"name\":\"123\",\"params\":{},\"productId\":1697133026171527170,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:11\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":20}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-08-31 14:23:39\",\"creatorId\":1143215', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:43:11');
INSERT INTO `sys_oper_log` VALUES (1301, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-01 14:54:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503053756243969,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-01 14:54:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503054926454785,\"link\":\"11\",\"name\":\"抖音\",\"params\":{},\"productId\":1697503053756243969,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:38\",\"updaterId\":1143215441569779712,\"version\":2}],\"mainPicture\":\"/profile/upload/2023/09/04/3_20230904111922A001.jpeg\",\"manualId\":0,\"name\":\"1\",\"onShow\":1,\"params\":{},\"price\":2,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:37\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:43:37');
INSERT INTO `sys_oper_log` VALUES (1302, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-01 14:54:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503053756243969,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-01 14:54:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503054926454785,\"link\":\"11\",\"name\":\"抖音\",\"params\":{},\"productId\":1697503053756243969,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:40\",\"updaterId\":1143215441569779712,\"version\":3}],\"mainPicture\":\"/profile/upload/2023/09/04/3_20230904111922A001.jpeg\",\"manualId\":0,\"name\":\"1\",\"onShow\":0,\"params\":{},\"price\":2,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:40\",\"updaterId\":1143215441569779712,\"version\":3,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:43:40');
INSERT INTO `sys_oper_log` VALUES (1303, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-01 14:54:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503053756243969,\"identifications\":\"\",\"isSuggest\":1,\"linkList\":[{\"createTime\":\"2023-09-01 14:54:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503054926454785,\"link\":\"11\",\"name\":\"抖音\",\"params\":{},\"productId\":1697503053756243969,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:42\",\"updaterId\":1143215441569779712,\"version\":4}],\"mainPicture\":\"/profile/upload/2023/09/04/3_20230904111922A001.jpeg\",\"manualId\":0,\"name\":\"1\",\"onShow\":0,\"params\":{},\"price\":2,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:42\",\"updaterId\":1143215441569779712,\"version\":4,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:43:42');
INSERT INTO `sys_oper_log` VALUES (1304, '产品', 2, 'com.ruoyi.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-01 14:54:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503053756243969,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-01 14:54:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697503054926454785,\"link\":\"11\",\"name\":\"抖音\",\"params\":{},\"productId\":1697503053756243969,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:44\",\"updaterId\":1143215441569779712,\"version\":5}],\"mainPicture\":\"/profile/upload/2023/09/04/3_20230904111922A001.jpeg\",\"manualId\":0,\"name\":\"1\",\"onShow\":0,\"params\":{},\"price\":2,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-04 13:43:43\",\"updaterId\":1143215441569779712,\"version\":5,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:43:43');
INSERT INTO `sys_oper_log` VALUES (1305, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParam/index\",\"createTime\":\"2023-09-04 13:43:26\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2261,\"menuName\":\"流程参数\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParam\",\"perms\":\"business:flowParam:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:45:07');
INSERT INTO `sys_oper_log` VALUES (1306, '代码生成', 8, 'com.ruoyi.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flow_param_details\"}', NULL, 0, NULL, '2023-09-04 13:45:42');
INSERT INTO `sys_oper_log` VALUES (1307, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamDetails/index\",\"createTime\":\"2023-09-04 13:46:05\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2267,\"menuName\":\"流程参数明细\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParamDetails\",\"perms\":\"business:flowParamDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:46:26');
INSERT INTO `sys_oper_log` VALUES (1308, '角色管理', 2, 'com.ruoyi.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2026,2027,2028,2029,2030,2079,2080,2081,2082,2083,2084,2085,2086,2087,2088,2089,2090,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2204,2205,2206,2207,2208,2209,2043,2044,2045,2046,2047,2048,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2210,2229,2230,2231,2232,2233,2234,2249,2250,2251,2252,2253,2254,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 13:49:15');
INSERT INTO `sys_oper_log` VALUES (1309, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-22 14:29:05\",\"icon\":\"lock\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2030,\"menuName\":\"企业展台\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":2200,\"path\":\"storeManagement\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:08:12');
INSERT INTO `sys_oper_log` VALUES (1310, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-08-22 14:29:05\",\"icon\":\"lock\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2030,\"menuName\":\"产品管理\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"storeManagement\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:08:51');
INSERT INTO `sys_oper_log` VALUES (1311, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/store/index\",\"createTime\":\"2023-08-31 08:47:57\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2204,\"menuName\":\"企业展台\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2200,\"path\":\"store\",\"perms\":\"business:store:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:09:25');
INSERT INTO `sys_oper_log` VALUES (1312, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/store/index\",\"createTime\":\"2023-08-31 08:47:57\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2204,\"menuName\":\"企业展台\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2200,\"path\":\"store\",\"perms\":\"business:store:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:10:19');
INSERT INTO `sys_oper_log` VALUES (1313, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/store/index\",\"createTime\":\"2023-08-31 08:47:57\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2204,\"menuName\":\"企业展厅\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2200,\"path\":\"store\",\"perms\":\"business:store:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:10:53');
INSERT INTO `sys_oper_log` VALUES (1314, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"产品分类\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:11:43');
INSERT INTO `sys_oper_log` VALUES (1315, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product/index\",\"createTime\":\"2023-08-22 17:16:43\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"产品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2030,\"path\":\"product\",\"perms\":\"business:product:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:11:47');
INSERT INTO `sys_oper_log` VALUES (1316, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/review/index\",\"createTime\":\"2023-08-25 11:12:01\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2085,\"menuName\":\"产品评论\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2030,\"path\":\"review\",\"perms\":\"business:review:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:12:03');
INSERT INTO `sys_oper_log` VALUES (1317, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParam/index\",\"createTime\":\"2023-09-04 13:43:26\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2261,\"menuName\":\"流程参数\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParam\",\"perms\":\"business:flowParam:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:13:09');
INSERT INTO `sys_oper_log` VALUES (1318, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamDetails/index\",\"createTime\":\"2023-09-04 13:46:05\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2267,\"menuName\":\"流程参数明细\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flowParamDetails\",\"perms\":\"business:flowParamDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:13:17');
INSERT INTO `sys_oper_log` VALUES (1319, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParam/index\",\"createTime\":\"2023-09-04 13:43:26\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2261,\"menuName\":\"流程参数\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2249,\"path\":\"flowParam\",\"perms\":\"business:flowParam:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:13:47');
INSERT INTO `sys_oper_log` VALUES (1320, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamDetails/index\",\"createTime\":\"2023-09-04 13:46:05\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2267,\"menuName\":\"流程参数明细\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2249,\"path\":\"flowParamDetails\",\"perms\":\"business:flowParamDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:13:57');
INSERT INTO `sys_oper_log` VALUES (1321, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamTmp/index\",\"createTime\":\"2023-08-31 15:43:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2229,\"menuName\":\"流程参数模板\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2210,\"path\":\"flowParamTmp\",\"perms\":\"business:flowParamTmp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:14:05');
INSERT INTO `sys_oper_log` VALUES (1322, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flow/index\",\"createTime\":\"2023-09-01 13:26:30\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2249,\"menuName\":\"流程管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2210,\"path\":\"flow\",\"perms\":\"business:flow:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:14:47');
INSERT INTO `sys_oper_log` VALUES (1323, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/flowParamTmp/index\",\"createTime\":\"2023-08-31 15:43:55\",\"icon\":\"row\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2229,\"menuName\":\"流程参数模板\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2210,\"path\":\"flowParamTmp\",\"perms\":\"business:flowParamTmp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:14:56');
INSERT INTO `sys_oper_log` VALUES (1324, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productDirectory/index\",\"createTime\":\"2023-08-23 17:01:27\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2079,\"menuName\":\"产品类目\",\"menuType\":\"C\",\"orderNum\":99,\"params\":{},\"parentId\":2030,\"path\":\"productDirectory\",\"perms\":\"business:product_directory:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:15:51');
INSERT INTO `sys_oper_log` VALUES (1325, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productManual/index\",\"createTime\":\"2023-08-28 16:29:00\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2140,\"menuName\":\"模板路径\",\"menuType\":\"C\",\"orderNum\":99,\"params\":{},\"parentId\":2030,\"path\":\"productManual\",\"perms\":\"business:productManual:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:15:57');
INSERT INTO `sys_oper_log` VALUES (1326, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCommodity/index\",\"createTime\":\"2023-08-29 13:07:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2170,\"menuName\":\"产品目录\",\"menuType\":\"C\",\"orderNum\":99,\"params\":{},\"parentId\":2030,\"path\":\"productCommodity\",\"perms\":\"business:productCommodity:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:16:02');
INSERT INTO `sys_oper_log` VALUES (1327, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/param/index\",\"createTime\":\"2023-08-29 15:17:08\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2194,\"menuName\":\"产品参数\",\"menuType\":\"C\",\"orderNum\":99,\"params\":{},\"parentId\":2030,\"path\":\"param\",\"perms\":\"business:param:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:16:07');
INSERT INTO `sys_oper_log` VALUES (1328, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productLink/index\",\"createTime\":\"2023-09-01 14:12:28\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2255,\"menuName\":\"产品购买链接\",\"menuType\":\"C\",\"orderNum\":99,\"params\":{},\"parentId\":2030,\"path\":\"productLink\",\"perms\":\"business:productLink:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:16:11');
INSERT INTO `sys_oper_log` VALUES (1329, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"tree-table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"产品分类\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:16:34');
INSERT INTO `sys_oper_log` VALUES (1330, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/product/index\",\"createTime\":\"2023-08-22 17:16:43\",\"icon\":\"tab\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"产品管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2030,\"path\":\"product\",\"perms\":\"business:product:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:17:24');
INSERT INTO `sys_oper_log` VALUES (1331, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/review/index\",\"createTime\":\"2023-08-25 11:12:01\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2085,\"menuName\":\"产品评论\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2030,\"path\":\"review\",\"perms\":\"business:review:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:17:49');
INSERT INTO `sys_oper_log` VALUES (1332, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/manual/index\",\"createTime\":\"2023-08-25 15:55:46\",\"icon\":\"education\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2127,\"menuName\":\"产品手册模板\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2030,\"path\":\"manual\",\"perms\":\"business:manual:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:17:56');
INSERT INTO `sys_oper_log` VALUES (1333, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/branch/index\",\"createTime\":\"2023-08-25 14:04:57\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2115,\"menuName\":\"营销网点\",\"menuType\":\"C\",\"orderNum\":6,\"params\":{},\"parentId\":2030,\"path\":\"branch\",\"perms\":\"business:branch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:18:20');
INSERT INTO `sys_oper_log` VALUES (1334, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/0ae327c18f1548c09357abf599d9337d_20230829134857A003.jpeg\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:21:23');
INSERT INTO `sys_oper_log` VALUES (1335, '企业租户', 2, 'com.ruoyi.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/pro', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 14:21:34');
INSERT INTO `sys_oper_log` VALUES (1336, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-04 15:03:06\",\"creatorId\":1143215441569779712,\"id\":1698592504581799937,\"name\":\"1\",\"params\":{},\"phoneNumber\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"sharePicture\":\"/profile/upload/2023/09/04/logo_20230904150303A001.png\",\"shareText\":\"1\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-04 15:03:06\",\"creatorId\":1143215441569779712,\"id\":1698592504581799937,\"name\":\"1\",\"params\":{},\"phoneNumber\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"sharePicture\":\"/profile/upload/2023/09/04/logo_20230904150303A001.png\",\"shareText\":\"1\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 15:03:06');
INSERT INTO `sys_oper_log` VALUES (1337, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-04 15:14:04\",\"creatorId\":1143215441569779712,\"id\":1698595264274448386,\"name\":\"1\",\"params\":{},\"phoneNumber\":\"1\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/04/logo_20230904151402A002.png\",\"shareText\":\"1\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-04 15:14:04\",\"creatorId\":1143215441569779712,\"id\":1698595264274448386,\"name\":\"1\",\"params\":{},\"phoneNumber\":\"1\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"sharePicture\":\"/profile/upload/2023/09/04/logo_20230904151402A002.png\",\"shareText\":\"1\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 15:14:04');
INSERT INTO `sys_oper_log` VALUES (1338, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-04 15:44:43\",\"creatorId\":1143215441569779712,\"id\":1698602981357600769,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"屯留区\",\"areaCode\":\"140405\",\"areaList\":[\"140000\",\"140400\",\"140405\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-04 15:44:43\",\"creatorId\":1143215441569779712,\"id\":1698602981357600769,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 15:44:44');
INSERT INTO `sys_oper_log` VALUES (1339, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-04 16:22:42\",\"creatorId\":1143215441569779712,\"id\":1698612539829096450,\"name\":\"1\",\"params\":{},\"tenantId\":106}', NULL, 1, '', '2023-09-04 16:22:42');
INSERT INTO `sys_oper_log` VALUES (1340, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-04 16:24:19\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":', NULL, 1, 'com.ruoyi.project.business.mapper.BizFlowParamDetailsMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 4\n; Data truncation: Data too long for column \'component\' at row 4; nested exception is java.sql.BatchUpdateException: Data truncation: Data too long for column \'component\' at row 4', '2023-09-04 16:24:30');
INSERT INTO `sys_oper_log` VALUES (1341, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-04 16:25:26\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 16:25:30');
INSERT INTO `sys_oper_log` VALUES (1342, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-04 16:37:23\",\"creatorId\":1143215441569779712,\"id\":1698616234469036034,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-04 16:37:23\",\"creatorId\":1143215441569779712,\"id\":1698616234469036034,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 16:37:24');
INSERT INTO `sys_oper_log` VALUES (1343, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"22\",\"createTime\":\"2023-09-04 16:54:10\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"statu', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 16:54:44');
INSERT INTO `sys_oper_log` VALUES (1344, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"qw\",\"createTime\":\"2023-09-04 17:04:02\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:04:01');
INSERT INTO `sys_oper_log` VALUES (1345, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"qw\",\"createTime\":\"2023-09-04 17:04:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remar', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:05:21');
INSERT INTO `sys_oper_log` VALUES (1346, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-04 17:09:02\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:09:02');
INSERT INTO `sys_oper_log` VALUES (1347, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-04 17:09:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698624199486722050,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698624199486722051,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698624199486722052,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698624199486722053,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698624199289589761,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698624199805489153,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:09:16');
INSERT INTO `sys_oper_log` VALUES (1348, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"22\",\"createTime\":\"2023-09-04 17:12:09\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:12:09');
INSERT INTO `sys_oper_log` VALUES (1349, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-04 17:20:58\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:20:58');
INSERT INTO `sys_oper_log` VALUES (1350, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productCategory/index\",\"createTime\":\"2023-08-22 15:45:40\",\"icon\":\"tree-table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"产品分类\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:43:12');
INSERT INTO `sys_oper_log` VALUES (1351, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-04 17:43:44\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 17:43:43');
INSERT INTO `sys_oper_log` VALUES (1352, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/information/List\",\"createTime\":\"2023-08-17 20:14:03\",\"icon\":\"excel\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2027,\"menuName\":\"访客记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"VisitorInformation\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:21:24');
INSERT INTO `sys_oper_log` VALUES (1353, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/appointment/List\",\"createTime\":\"2023-08-17 20:15:24\",\"icon\":\"row\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2028,\"menuName\":\"访客预约\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"VisitorAppointment\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:21:35');
INSERT INTO `sys_oper_log` VALUES (1354, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/config/List\",\"createTime\":\"2023-08-17 20:16:24\",\"icon\":\"log\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"功能设置\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"VisitorConfig\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:21:45');
INSERT INTO `sys_oper_log` VALUES (1355, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"createTime\":\"2023-08-17 20:12:25\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2026,\"menuName\":\"访客管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"visitor\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:22:40');
INSERT INTO `sys_oper_log` VALUES (1356, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/config/List\",\"createTime\":\"2023-08-17 20:16:24\",\"icon\":\"log\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"功能设置\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"VisitorConfig\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:25:27');
INSERT INTO `sys_oper_log` VALUES (1357, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"createTime\":\"2023-08-17 20:12:25\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2026,\"menuName\":\"访客管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"visitor\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:25:35');
INSERT INTO `sys_oper_log` VALUES (1358, '菜单管理', 2, 'com.ruoyi.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"business/visitor/user/List\",\"createTime\":\"2023-08-17 20:12:25\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2026,\"menuName\":\"访客管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"VisitorUser\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-04 18:27:51');
INSERT INTO `sys_oper_log` VALUES (1359, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"createTime\":\"2023-09-04 22:29:19\",\"creatorId\":1143215441569779712,\"id\":1698704802331758593,\"latitude\":123.61816540360451,\"longitude\":41.73852846935917,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"createTime\":\"2023-09-04 22:29:19\",\"creatorId\":1143215441569779712,\"id\":1698704802331758593,\"latitude\":123.61816540360451,\"longitude\":41.73852846935917,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 22:29:20');
INSERT INTO `sys_oper_log` VALUES (1360, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-04 22:29:19\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698704802331758593,\"latitude\":113.81836071610451,\"longitude\":43.26120563647885,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"1\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 22:32:06\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"开鲁县\",\"areaCode\":\"150523\",\"areaList\":[\"150000\",\"150500\",\"150523\"],\"city\":\"通辽市\",\"cityCode\":\"150500\",\"createTime\":\"2023-09-04 22:29:19\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698704802331758593,\"latitude\":113.81836071610451,\"longitude\":43.26120563647885,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"1\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-04 22:32:06\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-04 22:32:06');
INSERT INTO `sys_oper_log` VALUES (1361, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"createTime\":\"2023-09-04 22:35:58\",\"creatorId\":1143215441569779712,\"id\":1698706475355738114,\"latitude\":116.38607025670353,\"longitude\":39.91658293581713,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"shareText\":\"2\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"createTime\":\"2023-09-04 22:35:58\",\"creatorId\":1143215441569779712,\"id\":1698706475355738114,\"latitude\":116.38607025670353,\"longitude\":39.91658293581713,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"shareText\":\"2\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 22:35:59');
INSERT INTO `sys_oper_log` VALUES (1362, '店铺装修', 1, 'com.ruoyi.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-04 22:38:53\",\"creatorId\":1143215441569779712,\"id\":1698707209983889410,\"latitude\":116.39722824620549,\"longitude\":39.925666925109766,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"23\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-04 22:38:53\",\"creatorId\":1143215441569779712,\"id\":1698707209983889410,\"latitude\":116.39722824620549,\"longitude\":39.925666925109766,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"23\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-04 22:38:54');
INSERT INTO `sys_oper_log` VALUES (1363, '流程', 3, 'com.ruoyi.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1698632929427062785', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 08:32:07');
INSERT INTO `sys_oper_log` VALUES (1364, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"weq\",\"createTime\":\"2023-09-05 08:33:13\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 08:33:12');
INSERT INTO `sys_oper_log` VALUES (1365, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"weq\",\"createTime\":\"2023-09-05 08:33:13\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698856776743100417,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698856776743100418,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698856776743100419,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698856776743100420,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698856776390778882,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698856777133170690,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 08:58:27');
INSERT INTO `sys_oper_log` VALUES (1366, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-05 09:00:49\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:00:49');
INSERT INTO `sys_oper_log` VALUES (1367, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 09:00:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698863724582502401,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698863724582502402,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698863724582502403,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698863724582502404,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698863724326649857,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698863724905463809,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:01:02');
INSERT INTO `sys_oper_log` VALUES (1368, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"qw\",\"createTime\":\"2023-09-05 09:07:38\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:07:37');
INSERT INTO `sys_oper_log` VALUES (1369, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"qw\",\"createTime\":\"2023-09-05 09:07:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698865437926354945,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698865437926354946,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698865437926354947,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698865437926354948,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698865436550623233,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698865438312230913,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:09:08');
INSERT INTO `sys_oper_log` VALUES (1370, '流程', 1, 'com.ruoyi.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-05 09:10:20\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:10:19');
INSERT INTO `sys_oper_log` VALUES (1371, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925825,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925826,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925827,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925828,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698866117130878978,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698866117713887233,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:10:33');
INSERT INTO `sys_oper_log` VALUES (1372, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925825,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925826,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925827,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925828,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698866117130878978,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698866117713887233,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:13:18');
INSERT INTO `sys_oper_log` VALUES (1373, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925825,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925826,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925827,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925828,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698866117130878978,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698866117713887233,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-05 09:18:37');
INSERT INTO `sys_oper_log` VALUES (1374, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925825,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925826,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925827,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925828,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698866117130878978,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698866117713887233,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 09:20:22');
INSERT INTO `sys_oper_log` VALUES (1375, '流程', 2, 'com.ruoyi.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925825,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925826,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925827,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698866117390925828,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698866117130878978,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698866117713887233,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 10:11:15');
INSERT INTO `sys_oper_log` VALUES (1376, '代码生成', 3, 'com.ezhizao.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/49,50,51,60,61,62,63,64,65,66', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 10:17:44');
INSERT INTO `sys_oper_log` VALUES (1377, '代码生成', 3, 'com.ezhizao.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/67,68,69,70,71,72,73,74,75', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 10:17:48');
INSERT INTO `sys_oper_log` VALUES (1378, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.221.134', 'XX XX', '\"biz_flow_param_details\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 10:17:53');
INSERT INTO `sys_oper_log` VALUES (1379, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1698866116979884034', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:10:14');
INSERT INTO `sys_oper_log` VALUES (1380, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1698866116979884034', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:20:11');
INSERT INTO `sys_oper_log` VALUES (1381, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:25:16');
INSERT INTO `sys_oper_log` VALUES (1382, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:26:58');
INSERT INTO `sys_oper_log` VALUES (1383, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-05 11:30:55');
INSERT INTO `sys_oper_log` VALUES (1384, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-05 11:36:47');
INSERT INTO `sys_oper_log` VALUES (1385, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-05 11:37:47');
INSERT INTO `sys_oper_log` VALUES (1386, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-05 11:37:57');
INSERT INTO `sys_oper_log` VALUES (1387, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:38:02');
INSERT INTO `sys_oper_log` VALUES (1388, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1698539469055467522', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:38:22');
INSERT INTO `sys_oper_log` VALUES (1389, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1697503053756243969', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:38:25');
INSERT INTO `sys_oper_log` VALUES (1390, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1697133026171527170', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:38:28');
INSERT INTO `sys_oper_log` VALUES (1391, '产品', 1, 'com.ezhizao.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480386,\"manualId\":1697150302253850625,\"name\":\"净重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480387,\"manualId\":1697150302253850625,\"name\":\"毛重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480388,\"manualId\":1697150302253850625,\"name\":\"含水量\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"id\":1698904673773756417,\"name\":\"净重\",\"params\":{},\"productId\":1698904673090084866,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/5_20230905114057A007.jpeg\"},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"id\":1698904673773756418,\"name\":\"毛重\",\"params\":{},\"productId\":1698904673090084866,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/6_20230905114059A008.jpeg\"},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"id\":1698904673773756419,\"name\":\"含水量\",\"params\":{},\"productId\":1698904673090084866,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/5_20230905114102A009.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"content\":\"<p>认证型号</p><p>YOGAPRO 14S IRH8</p><p>型号</p><p>YOGA Pro14s</p><p><br></p><h2>操作系统</h2><p>操作系统</p><p>Windows 11 家庭中文版</p><p><br></p><h2>处理器</h2><p>CPU</p><p>第13代智能英特尔 &reg; 酷睿&trade; i9</p><p>CPU型号</p><p>i9-13900H</p><p>最高睿频</p><p>5.4GHz</p><p>核心数</p><p>14核</p><p><br></p><h2>接口</h2><p>视频接口</p><p>HDMI</p><p>音频接口</p><p>3.5mm二合一音频接口</p><p>Type-C 接口</p><p>1个</p><p>ThunderBolt4.0</p><p>1个</p><p>其他接口</p><p>USB A 3.2 Gen1X1</p><p><br></p><h2>屏幕</h2><p>屏幕尺寸</p><p>14.5英寸</p><p>物理分辨率</p><p>3072X1920</p><p>屏幕类型</p><p>3K ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:43:32');
INSERT INTO `sys_oper_log` VALUES (1392, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-05 11:44:48\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:44:48');
INSERT INTO `sys_oper_log` VALUES (1393, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 11:44:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698904990712143873,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698904990712143874,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698904990712143875,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698904990712143876,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698904990439514113,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1698904991043493890,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 11:45:00');
INSERT INTO `sys_oper_log` VALUES (1394, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756417,\"name\":\"净重\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:43:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905114057A007.jpeg\",\"version\":1},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756418,\"name\":\"毛重\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:43:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905114059A008.jpeg\",\"version\":1},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756419,\"name\":\"含水量\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:43:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905114102A009.jpeg\",\"version\":1}],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p>认证型号</p><p>YOGAPRO 14S IRH8</p><p>型号</p><p>YOGA Pro14s</p><p><br></p><h2>操作系统</h2><p>操作系统</p><p>Windows 11 家庭中文版</p><p><br></p><h2>处理器</h2><p>CPU</p><p>第13代智能英特尔 &reg; 酷睿&trade; i9</p><p>CPU型号</p><p>i9-13900H</p><p>最高睿频</p><p>5.4GHz</p><p>核心数</p><p>14核</p><p><br></p><h2>接口</h2><p>视频接口</p><p>HDMI</p><p>音频接口</p><p>3.5mm二合一音频接口</p><p>Type-C 接口</p><p>1个</p><p>ThunderBolt4.0</p><p>1个</p><p>其他接口</p><p>USB A 3.2 Gen1X1</p><p><br></p><h2>屏幕</h2><p>屏幕尺寸</p><p>14.5英寸</p><p>物理分辨率</p><p>3072X1920</p><p>屏幕类型</p><p>3K 120Hz高刷 100%P3广色域 IPS镜面触控屏</p><p>触控屏</p><p>有</p><p><br></p><h2>内存</h2><p>内存容量</p><p>32GB</p><p>内存类型</p><p>LPDDR5</p><p><br></p><h2>硬盘</h2><p>硬盘容量</p><p>1T</p><p>硬盘类型</p><p>SSD固态硬盘</p><p><br></p><h2>显卡</h2><p>显卡类型</p><p>集成显卡</p><p><br></p><h2>光驱</h2><p>光驱类型</p><p>无光驱</p><p><br></p><h2>网络通信</h2><p>无线网卡</p><', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 13:43:18');
INSERT INTO `sys_oper_log` VALUES (1395, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756417,\"name\":\"净重\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:49:29\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905114057A007.jpeg\",\"version\":2},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756418,\"name\":\"毛重\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:49:29\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905114059A008.jpeg\",\"version\":2},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756419,\"name\":\"含水量\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:49:29\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905114102A009.jpeg\",\"version\":2}],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p>认证型号</p><p>YOGAPRO 14S IRH8</p><p>型号</p><p>YOGA Pro14s</p><p><br></p><h2>操作系统</h2><p>操作系统</p><p>Windows 11 家庭中文版</p><p><br></p><h2>处理器</h2><p>CPU</p><p>第13代智能英特尔 &reg; 酷睿&trade; i9</p><p>CPU型号</p><p>i9-13900H</p><p>最高睿频</p><p>5.4GHz</p><p>核心数</p><p>14核</p><p><br></p><h2>接口</h2><p>视频接口</p><p>HDMI</p><p>音频接口</p><p>3.5mm二合一音频接口</p><p>Type-C 接口</p><p>1个</p><p>ThunderBolt4.0</p><p>1个</p><p>其他接口</p><p>USB A 3.2 Gen1X1</p><p><br></p><h2>屏幕</h2><p>屏幕尺寸</p><p>14.5英寸</p><p>物理分辨率</p><p>3072X1920</p><p>屏幕类型</p><p>3K 120Hz高刷 100%P3广色域 IPS镜面触控屏</p><p>触控屏</p><p>有</p><p><br></p><h2>内存</h2><p>内存容量</p><p>32GB</p><p>内存类型</p><p>LPDDR5</p><p><br></p><h2>硬盘</h2><p>硬盘容量</p><p>1T</p><p>硬盘类型</p><p>SSD固态硬盘</p><p><br></p><h2>显卡</h2><p>显卡类型</p><p>集成显卡</p><p><br></p><h2>光驱</h2><p>光驱类型</p><p>无光驱</p><p><br></p><h2>网络通信</h2><p>无线网卡</p><', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 13:49:29');
INSERT INTO `sys_oper_log` VALUES (1396, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.edit()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756417,\"name\":\"净重\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:50:24\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905114057A007.jpeg\",\"version\":3},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756418,\"name\":\"毛重\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:50:24\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905114059A008.jpeg\",\"version\":3},{\"createTime\":\"2023-09-05 11:43:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698904673773756419,\"name\":\"含水量\",\"params\":{},\"productId\":1698904673090084866,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 13:50:24\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905114102A009.jpeg\",\"version\":3}],\"bizProductParamList\":[],\"categoryId\":1694216991000870913,\"categoryName\":\"家用电器\",\"certificate\":\"\",\"content\":\"<p>认证型号</p><p>YOGAPRO 14S IRH8</p><p>型号</p><p>YOGA Pro14s</p><p><br></p><h2>操作系统</h2><p>操作系统</p><p>Windows 11 家庭中文版</p><p><br></p><h2>处理器</h2><p>CPU</p><p>第13代智能英特尔 &reg; 酷睿&trade; i9</p><p>CPU型号</p><p>i9-13900H</p><p>最高睿频</p><p>5.4GHz</p><p>核心数</p><p>14核</p><p><br></p><h2>接口</h2><p>视频接口</p><p>HDMI</p><p>音频接口</p><p>3.5mm二合一音频接口</p><p>Type-C 接口</p><p>1个</p><p>ThunderBolt4.0</p><p>1个</p><p>其他接口</p><p>USB A 3.2 Gen1X1</p><p><br></p><h2>屏幕</h2><p>屏幕尺寸</p><p>14.5英寸</p><p>物理分辨率</p><p>3072X1920</p><p>屏幕类型</p><p>3K 120Hz高刷 100%P3广色域 IPS镜面触控屏</p><p>触控屏</p><p>有</p><p><br></p><h2>内存</h2><p>内存容量</p><p>32GB</p><p>内存类型</p><p>LPDDR5</p><p><br></p><h2>硬盘</h2><p>硬盘容量</p><p>1T</p><p>硬盘类型</p><p>SSD固态硬盘</p><p><br></p><h2>显卡</h2><p>显卡类型</p><p>集成显卡</p><p><br></p><h2>光驱</h2><p>光驱类型</p><p>无光驱</p><p><br></p><h2>网络通信</h2><p>无线网卡</p><', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 13:50:24');
INSERT INTO `sys_oper_log` VALUES (1397, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:14:33\",\"creatorId\":1143215441569779712,\"id\":1698942677099040770,\"latitude\":121.57814027974382,\"longitude\":38.976492485539396,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:14:33\",\"creatorId\":1143215441569779712,\"id\":1698942677099040770,\"latitude\":121.57814027974382,\"longitude\":38.976492485539396,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"1\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-05 14:14:33');
INSERT INTO `sys_oper_log` VALUES (1398, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:22:31\",\"creatorId\":1143215441569779712,\"id\":1698944679489130497,\"latitude\":116.39551163243596,\"longitude\":39.91658293581713,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"去\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:22:31\",\"creatorId\":1143215441569779712,\"id\":1698944679489130497,\"latitude\":116.39551163243596,\"longitude\":39.91658293581713,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"去\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\"}}', 0, NULL, '2023-09-05 14:22:31');
INSERT INTO `sys_oper_log` VALUES (1399, '产品', 1, 'com.ezhizao.project.business.controller.BizProductController.add()', 'POST', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375617,\"manualId\":1696005529308499969,\"name\":\"222\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-30 09:45:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696700547067375618,\"manualId\":1696005529308499969,\"name\":\"333\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945431964749826,\"name\":\"222\",\"params\":{},\"productId\":1698945431255912449,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/5_20230905142525A002.jpeg\"},{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945431964749827,\"name\":\"333\",\"params\":{},\"productId\":1698945431255912449,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/4_20230905142528A003.jpeg\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945432090578946,\"name\":\"个数\",\"params\":{},\"productId\":1698945431255912449,\"tenantId\":106,\"value\":\"323\"},{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945432157687809,\"name\":\"111\",\"params\":{},\"productId\":1698945431255912449,\"tenantId\":106,\"value\":\"asd\"}],\"categoryId\":1693904097549828098,\"content\":\"<p>qwersd1</p>\",\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945431255912449,\"linkList\":[{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945432354820097,\"link\":\"231\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698945431255912449,\"tenantId\":106},{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"id\":1698945432354820098,\"link\":\"weq\",\"name\":\"京东\",\"params\":{},\"productId\":1698945431255912449,\"tenantId\":106}],\"mainPicture\":\"/profile/upload/2023/09/05/企业微信截图_16929443367144_20230905142446A001.png\",\"manualId\":1696005529308499969,\"name\":\"12\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:25:30');
INSERT INTO `sys_oper_log` VALUES (1400, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698945431964749826,\"name\":\"222\",\"params\":{},\"productId\":1698945431255912449,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:31:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/5_20230905142525A002.jpeg\",\"version\":1},{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698945431964749827,\"name\":\"333\",\"params\":{},\"productId\":1698945431255912449,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:31:39\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1698945432090578946,\"name\":\"个数\",\"params\":{},\"productId\":1698945431255912449,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:31:39\",\"updaterId\":1143215441569779712,\"value\":\"323\",\"version\":1},{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1698945432157687809,\"name\":\"111\",\"params\":{},\"productId\":1698945431255912449,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:31:39\",\"updaterId\":1143215441569779712,\"value\":\"asd111\",\"version\":1}],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"content\":\"<p>qwersd1</p>\",\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698945431255912449,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1698945432354820097,\"link\":\"231\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698945431255912449,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:31:39\",\"updaterId\":1143215441569779712,\"version\":1},{\"createTime\":\"2023-09-05 14:25:30\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1698945432354820098,\"link\":\"weq\",\"name\":\"京东\",\"params\":{},\"productId\":1698945431255912449,\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:31:39');
INSERT INTO `sys_oper_log` VALUES (1401, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480386,\"manualId\":1697150302253850625,\"name\":\"净重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480387,\"manualId\":1697150302253850625,\"name\":\"毛重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480388,\"manualId\":1697150302253850625,\"name\":\"含水量\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:32:37\",\"creatorId\":1143215441569779712,\"id\":1698947224325066754,\"name\":\"净重\",\"params\":{},\"productId\":1698947206205673474,\"tenantId\":0,\"url\":\"/profile/upload/2023/09/05/1_20230905143209A005.jpg\"},{\"createTime\":\"2023-09-05 14:32:37\",\"creatorId\":1143215441569779712,\"id\":1698947224325066755,\"name\":\"毛重\",\"params\":{},\"productId\":1698947206205673474,\"tenantId\":0,\"url\":\"/profile/upload/2023/09/05/4_20230905143206A004.jpeg\"},{\"createTime\":\"2023-09-05 14:32:37\",\"creatorId\":1143215441569779712,\"id\":1698947224325066756,\"name\":\"含水量\",\"params\":{},\"productId\":1698947206205673474,\"tenantId\":0,\"url\":\"/profile/upload/2023/09/05/2_20230905143212A006.jpeg\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:32:37\",\"creatorId\":1143215441569779712,\"id\":1698947224522199042,\"name\":\"232\",\"params\":{},\"productId\":1698947206205673474,\"tenantId\":0,\"value\":\"ww\"},{\"createTime\":\"2023-09-05 14:32:37\",\"creatorId\":1143215441569779712,\"id\":1698947224522199043,\"name\":\"ccc\",\"params\":{},\"productId\":1698947206205673474,\"tenantId\":0,\"value\":\"sa\"}],\"categoryId\":1694216939675172865,\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:32:33\",\"creatorId\":1143215441569779712,\"id\":1698947206205673474,\"linkList\":[{\"createTime\":\"2023-09-05 14:32:37\",\"creatorId\":11', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:32:37');
INSERT INTO `sys_oper_log` VALUES (1402, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\"},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/05/3_20230905143932A003.jpeg\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106,\"value\":\"qwe\"}],\"categoryId\":1694216939675172865,\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"id\":1698949094879846402,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1143215441569779712,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1143215441569779712,\"id\":1698949117294206979,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1143215441569779712,\"id\":1698949117294206980,\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"params\":{},\"price\":123,\"tenantId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:09');
INSERT INTO `sys_oper_log` VALUES (1403, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797058,\"manualId\":1696045891964170241,\"name\":\"23\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-29 11:24:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696363164490797059,\"manualId\":1696045891964170241,\"name\":\"无视对方\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:29\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":1},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:29\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:29\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":1}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:29\",\"updaterId\":1143215441569779712,\"version\":1},{\"createTime\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:29');
INSERT INTO `sys_oper_log` VALUES (1404, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":2},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:36\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":2}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:36\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":2}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:36\",\"updaterId\":1143215441569779712,\"version\":2},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:36\",\"updaterId\":1143215441569779712,\"version\":2}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"\",\"remark\":\"789\",\"sharePicture\":\"\",\"sourceView\":0,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:36');
INSERT INTO `sys_oper_log` VALUES (1405, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:37\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":3},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:37\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":3}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:37\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":3}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":1,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:38\",\"updaterId\":1143215441569779712,\"version\":3},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:38\",\"updaterId\":1143215441569779712,\"version\":3}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"\",\"remark\":\"789\",\"sharePicture\":\"\",\"sourceView\":0,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:38');
INSERT INTO `sys_oper_log` VALUES (1406, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":4},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:39\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":4}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:39\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":4}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":1,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:39\",\"updaterId\":1143215441569779712,\"version\":4},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:39\",\"updaterId\":1143215441569779712,\"version\":4}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"\",\"remark\":\"789\",\"sharePicture\":\"\",\"sourceView\":0,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:39');
INSERT INTO `sys_oper_log` VALUES (1407, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:46\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":5},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:46\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":5}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:46\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":5}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":1,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:46\",\"updaterId\":1143215441569779712,\"version\":5},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:46\",\"updaterId\":1143215441569779712,\"version\":5}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"\",\"remark\":\"789\",\"sharePicture\":\"\",\"sourceView\":0,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:46');
INSERT INTO `sys_oper_log` VALUES (1408, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:49\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":6},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:49\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":6}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:49\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":6}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":1,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:49\",\"updaterId\":1143215441569779712,\"version\":6},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:49\",\"updaterId\":1143215441569779712,\"version\":6}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"\",\"remark\":\"789\",\"sharePicture\":\"\",\"sourceView\":0,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:49');
INSERT INTO `sys_oper_log` VALUES (1409, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:51\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":7},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:51\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":7}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:51\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":7}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:51\",\"updaterId\":1143215441569779712,\"version\":7},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-05 14:40:51\",\"updaterId\":1143215441569779712,\"version\":7}],\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"manualId\":1696045891964170241,\"name\":\"qw\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"\",\"remark\":\"789\",\"sharePicture\":\"\",\"sourceView\":0,\"s', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 14:40:51');
INSERT INTO `sys_oper_log` VALUES (1410, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"id\":1698953159067389953,\"latitude\":116.5484619140625,\"longitude\":39.869234540941044,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"111\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"id\":1698953159067389953,\"latitude\":116.5484619140625,\"longitude\":39.869234540941044,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"111\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\"}}', 0, NULL, '2023-09-05 14:56:12');
INSERT INTO `sys_oper_log` VALUES (1411, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.55961990356445,\"longitude\":39.86534775471508,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:05:41\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.55961990356445,\"longitude\":39.86534775471508,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:05:41\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-05 15:05:41');
INSERT INTO `sys_oper_log` VALUES (1412, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.56768798828125,\"longitude\":39.85836415985191,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:05:59\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.56768798828125,\"longitude\":39.85836415985191,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:05:59\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-05 15:05:59');
INSERT INTO `sys_oper_log` VALUES (1413, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.53644561767578,\"longitude\":39.85599221392756,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:18:05\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.53644561767578,\"longitude\":39.85599221392756,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:18:05\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-05 15:18:05');
INSERT INTO `sys_oper_log` VALUES (1414, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.72904968785588,\"longitude\":40.19854373079404,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:18:18\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.72904968785588,\"longitude\":40.19854373079404,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 15:18:18\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-05 15:18:18');
INSERT INTO `sys_oper_log` VALUES (1415, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_batch,biz_product_batch_item\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 15:53:28');
INSERT INTO `sys_oper_log` VALUES (1416, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 11:44:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698904990439514113,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:13:48');
INSERT INTO `sys_oper_log` VALUES (1417, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\"辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\"辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-01 12:56:52\",\"updaterId\":1,\"version\":32,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:15:12');
INSERT INTO `sys_oper_log` VALUES (1418, '菜单管理', 1, 'com.ezhizao.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"phone\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"用码管理\",\"menuType\":\"M\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"1\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:21:13');
INSERT INTO `sys_oper_log` VALUES (1419, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-09-05 16:21:13\",\"icon\":\"phone\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2273,\"menuName\":\"用码管理\",\"menuType\":\"M\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"qrCode\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:24:04');
INSERT INTO `sys_oper_log` VALUES (1420, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_batch_flow_param,biz_product_batch_flow_param_details\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:25:59');
INSERT INTO `sys_oper_log` VALUES (1421, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productBatch\",\"className\":\"BizProductBatch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1199,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":77,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1200,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":77,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户 id\",\"columnId\":1201,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":77,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"产品 id\",\"columnId\":1202,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:27\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":4,\"superColumn\":false,\"tab', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:29:22');
INSERT INTO `sys_oper_log` VALUES (1422, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_batch\"}', NULL, 0, NULL, '2023-09-05 16:29:26');
INSERT INTO `sys_oper_log` VALUES (1423, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:30:44');
INSERT INTO `sys_oper_log` VALUES (1424, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:31:05');
INSERT INTO `sys_oper_log` VALUES (1425, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:31:32');
INSERT INTO `sys_oper_log` VALUES (1426, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:31:35');
INSERT INTO `sys_oper_log` VALUES (1427, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatch/index\",\"createTime\":\"2023-09-05 16:30:03\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2274,\"menuName\":\"产品批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatch\",\"perms\":\"business:productBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:33:28');
INSERT INTO `sys_oper_log` VALUES (1428, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatch/index\",\"createTime\":\"2023-09-05 16:30:03\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2274,\"menuName\":\"产品批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatch\",\"perms\":\"business:productBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:33:29');
INSERT INTO `sys_oper_log` VALUES (1429, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:46:28');
INSERT INTO `sys_oper_log` VALUES (1430, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatch/index\",\"createTime\":\"2023-09-05 16:30:03\",\"icon\":\"documentation\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2274,\"menuName\":\"产品批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatch\",\"perms\":\"business:productBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 16:47:32');
INSERT INTO `sys_oper_log` VALUES (1431, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-05 17:16:06\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"id\":1698988363086307329,\"num\":1,\"params\":{},\"remark\":\"1\",\"tenantId\":106}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'product_id\' doesn\'t have a default value\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product_batch  ( id,  tenant_id,  factory_no, batch_no, num,  create_time,  creator_id,    remark )  VALUES  ( ?,  ?,  ?, ?, ?,  ?,  ?,    ? )\r\n### Cause: java.sql.SQLException: Field \'product_id\' doesn\'t have a default value\n; Field \'product_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'product_id\' doesn\'t have a default value', '2023-09-05 17:16:06');
INSERT INTO `sys_oper_log` VALUES (1432, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-05 17:16:46\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"id\":1698988531068182530,\"num\":1,\"params\":{},\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:16:46');
INSERT INTO `sys_oper_log` VALUES (1433, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-05 17:16:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1698988531068182530,\"num\":1,\"params\":{},\"productId\":0,\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-05 17:18:48\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:18:48');
INSERT INTO `sys_oper_log` VALUES (1434, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productBatchFlowParam\",\"className\":\"BizProductBatchFlowParam\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1228,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":79,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1229,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":79,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"产品 id\",\"columnId\":1230,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":79,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BtachId\",\"columnComment\":\"批次 id\",\"columnId\":1231,\"columnName\":\"btach_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"btachId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":4,\"superCol', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:25:19');
INSERT INTO `sys_oper_log` VALUES (1435, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_batch_flow_param\"}', NULL, 0, NULL, '2023-09-05 17:25:28');
INSERT INTO `sys_oper_log` VALUES (1436, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchFlowParam/index\",\"createTime\":\"2023-09-05 17:26:35\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2280,\"menuName\":\"流程参数\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchFlowParam\",\"perms\":\"business:productBatchFlowParam:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:27:02');
INSERT INTO `sys_oper_log` VALUES (1437, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 17:27:05\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-05 17:27:05\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-05 17:27:05');
INSERT INTO `sys_oper_log` VALUES (1438, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:27:16');
INSERT INTO `sys_oper_log` VALUES (1439, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:27:21');
INSERT INTO `sys_oper_log` VALUES (1440, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productBatchFlowParamDetails\",\"className\":\"BizProductBatchFlowParamDetails\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1242,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":80,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1243,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":80,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1244,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":80,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowParamId\",\"columnComment\":\"主表 id\",\"columnId\":1245,\"columnName\":\"flow_param_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 16:25:58\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowParamId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":f', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:32:25');
INSERT INTO `sys_oper_log` VALUES (1441, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_batch_flow_param_details\"}', NULL, 0, NULL, '2023-09-05 17:33:02');
INSERT INTO `sys_oper_log` VALUES (1442, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchFlowParamDetails/index\",\"createTime\":\"2023-09-05 17:34:27\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2286,\"menuName\":\"批次流程详情\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchFlowParamDetails\",\"perms\":\"business:productBatchFlowParamDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:35:40');
INSERT INTO `sys_oper_log` VALUES (1443, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:36:05');
INSERT INTO `sys_oper_log` VALUES (1444, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-05 17:36:09');
INSERT INTO `sys_oper_log` VALUES (1445, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchFlowParam/index\",\"createTime\":\"2023-09-05 17:26:35\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2280,\"menuName\":\"流程参数\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchFlowParam\",\"perms\":\"business:productBatchFlowParam:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 08:42:25');
INSERT INTO `sys_oper_log` VALUES (1446, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchFlowParamDetails/index\",\"createTime\":\"2023-09-05 17:34:27\",\"icon\":\"redis-list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2286,\"menuName\":\"批次流程详情\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchFlowParamDetails\",\"perms\":\"business:productBatchFlowParamDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 08:42:45');
INSERT INTO `sys_oper_log` VALUES (1447, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchFlowParamDetails/index\",\"createTime\":\"2023-09-05 17:34:27\",\"icon\":\"redis-list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2286,\"menuName\":\"批次流程详情\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchFlowParamDetails\",\"perms\":\"business:productBatchFlowParamDetails:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 08:52:01');
INSERT INTO `sys_oper_log` VALUES (1448, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"id\":1699236241235111937,\"name\":\"个数\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106}],\"categoryId\":1693904097549828098,\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"id\":1699236240245256193,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/06/R-C_20230906094101A001.jpg\",\"name\":\"鸡蛋\",\"params\":{},\"price\":12,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 09:41:04');
INSERT INTO `sys_oper_log` VALUES (1449, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-06 09:44:26\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-06 09:44:26\",\"updaterId\":1143215441569779712,\"version\":6}}', 0, NULL, '2023-09-06 09:44:26');
INSERT INTO `sys_oper_log` VALUES (1450, '产品手册模板', 1, 'com.ezhizao.project.business.controller.BizManualController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/manual', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-06 09:46:10\",\"creatorId\":1143207234667417600,\"id\":1699237522878558209,\"manualList\":[\"123\",\"234\"],\"name\":\"1\",\"params\":{},\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 09:46:10');
INSERT INTO `sys_oper_log` VALUES (1451, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"SYDJ13904118911@a\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"updateTime\":\"2023-09-06 09:26:34\",\"updaterId\":1,\"version\":33,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 09:52:11');
INSERT INTO `sys_oper_log` VALUES (1452, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 09:52:33');
INSERT INTO `sys_oper_log` VALUES (1453, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1697437548972462082', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 09:53:15');
INSERT INTO `sys_oper_log` VALUES (1454, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1697437548972462082', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 09:53:26');
INSERT INTO `sys_oper_log` VALUES (1455, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-06 09:54:54\",\"updaterId\":1143215441569779712,\"version\":7}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-06 09:54:54\",\"updaterId\":1143215441569779712,\"version\":7}}', 0, NULL, '2023-09-06 09:54:54');
INSERT INTO `sys_oper_log` VALUES (1456, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', NULL, 1, '', '2023-09-06 10:15:01');
INSERT INTO `sys_oper_log` VALUES (1457, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', NULL, 1, '', '2023-09-06 10:16:01');
INSERT INTO `sys_oper_log` VALUES (1458, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-06 10:31:03\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-06 10:31:03\",\"updaterId\":1143215441569779712,\"version\":8}}', 0, NULL, '2023-09-06 10:31:03');
INSERT INTO `sys_oper_log` VALUES (1459, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', NULL, 1, '', '2023-09-06 10:32:02');
INSERT INTO `sys_oper_log` VALUES (1460, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', NULL, 1, '', '2023-09-06 10:33:30');
INSERT INTO `sys_oper_log` VALUES (1461, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-06 10:50:15\",\"updaterId\":1143215441569779712,\"version\":9}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连大连经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-06 10:50:15\",\"updaterId\":1143215441569779712,\"version\":9}}', 0, NULL, '2023-09-06 10:50:15');
INSERT INTO `sys_oper_log` VALUES (1462, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829132459A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 10:51:41');
INSERT INTO `sys_oper_log` VALUES (1463, '岗位管理', 1, 'com.ezhizao.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '113.227.221.134', 'XX XX', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"1@as中1.23\",\"postId\":6,\"postName\":\"!q啊1-10.25@\",\"postSort\":0,\"status\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 11:41:53');
INSERT INTO `sys_oper_log` VALUES (1464, '岗位管理', 2, 'com.ezhizao.project.system.controller.SysPostController.edit()', 'PUT', 1, '18640822691', NULL, '/system/post', '113.227.221.134', 'XX XX', '{\"createBy\":\"18640822691\",\"createTime\":\"2023-09-06 11:41:53\",\"flag\":false,\"params\":{},\"postCode\":\"1@as中1.23\",\"postId\":6,\"postName\":\"!q啊1-10.25@\",\"postSort\":2,\"status\":\"1\",\"tenantId\":106,\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 11:49:53');
INSERT INTO `sys_oper_log` VALUES (1465, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 11:44:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500418,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500419,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500420,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500421,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698904990439514113,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:08:15');
INSERT INTO `sys_oper_log` VALUES (1466, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 11:44:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500418,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500419,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500420,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500421,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698904990439514113,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:08:50');
INSERT INTO `sys_oper_log` VALUES (1467, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1697437548972462082', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:09:00');
INSERT INTO `sys_oper_log` VALUES (1468, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-05 11:44:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500418,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500419,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500420,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1698972683341500421,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1698904990439514113,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:11:36');
INSERT INTO `sys_oper_log` VALUES (1469, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:12:41\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:12:42');
INSERT INTO `sys_oper_log` VALUES (1470, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:12:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482818,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482819,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482820,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482821,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699289496392630274,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699289496971444226,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:13:51');
INSERT INTO `sys_oper_log` VALUES (1471, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:12:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482818,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482819,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482820,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482821,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699289496392630274,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699289496971444226,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:24:44');
INSERT INTO `sys_oper_log` VALUES (1472, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:12:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482818,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482819,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482820,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482821,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699289496392630274,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699289496971444226,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:32:31');
INSERT INTO `sys_oper_log` VALUES (1473, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:12:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482818,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482819,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482820,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482821,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699289496392630274,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699289496971444226,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-06 13:32:40');
INSERT INTO `sys_oper_log` VALUES (1474, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:12:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482818,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482819,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482820,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699289496648482821,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699289496392630274,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699289496971444226,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:33:03');
INSERT INTO `sys_oper_log` VALUES (1475, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:35:07\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:35:08');
INSERT INTO `sys_oper_log` VALUES (1476, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-06 13:35:07\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699295141917425666,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699295141917425667,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699295141917425668,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699295141917425669,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699295141665767425,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699295142173278209,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:35:18');
INSERT INTO `sys_oper_log` VALUES (1477, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"11\",\"createTime\":\"2023-09-06 13:50:28\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:50:28');
INSERT INTO `sys_oper_log` VALUES (1478, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"11\",\"createTime\":\"2023-09-06 13:50:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219073,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219074,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219075,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219076,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699299002837172226,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699299003491483650,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:50:33');
INSERT INTO `sys_oper_log` VALUES (1479, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"11\",\"createTime\":\"2023-09-06 13:50:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219073,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219074,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219075,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219076,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699299002837172226,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699299003491483650,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:50:46');
INSERT INTO `sys_oper_log` VALUES (1480, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"11\",\"createTime\":\"2023-09-06 13:50:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219073,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219074,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219075,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699299003097219076,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699299002837172226,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699299003491483650,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:50:56');
INSERT INTO `sys_oper_log` VALUES (1481, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:56:34');
INSERT INTO `sys_oper_log` VALUES (1482, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:56:40');
INSERT INTO `sys_oper_log` VALUES (1483, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:56:47');
INSERT INTO `sys_oper_log` VALUES (1484, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 13:57:11');
INSERT INTO `sys_oper_log` VALUES (1485, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-05 17:16:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":1699300535121252353,\"id\":1698988531068182530,\"num\":1,\"params\":{},\"productId\":0,\"remark\":\"1\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 14:50:23\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 14:50:23');
INSERT INTO `sys_oper_log` VALUES (1486, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.221.134', 'XX XX', '{\"ancestors\":\"0,100,1143207234667417601\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"测试\",\"orderNum\":0,\"params\":{},\"parentId\":1143207234667417601,\"status\":\"0\",\"tenantId\":151,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:09:50');
INSERT INTO `sys_oper_log` VALUES (1487, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:39:05\",\"updaterId\":1,\"version\":37,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:39:06');
INSERT INTO `sys_oper_log` VALUES (1488, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:39:56\",\"updaterId\":1,\"version\":38,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:39:56');
INSERT INTO `sys_oper_log` VALUES (1489, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:41:49\",\"updaterId\":1,\"version\":39,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:42:08');
INSERT INTO `sys_oper_log` VALUES (1490, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:42:07\",\"updaterId\":1,\"version\":39,\"vip\":0}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-06 15:42:08');
INSERT INTO `sys_oper_log` VALUES (1491, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:44:16\",\"updaterId\":1,\"version\":40,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:44:17');
INSERT INTO `sys_oper_log` VALUES (1492, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:45:59\",\"updaterId\":1,\"version\":41,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:46:00');
INSERT INTO `sys_oper_log` VALUES (1493, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 15:46:57\",\"updaterId\":1,\"version\":42,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 15:46:58');
INSERT INTO `sys_oper_log` VALUES (1494, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-06 15:54:54\",\"creatorId\":1143215441569779712,\"factoryNo\":\"132132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', NULL, 1, '', '2023-09-06 15:54:55');
INSERT INTO `sys_oper_log` VALUES (1495, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-06 15:57:52\",\"creatorId\":1143215441569779712,\"factoryNo\":\"132132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchFlowParamMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'value\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'value\' in \'field list\'', '2023-09-06 15:57:58');
INSERT INTO `sys_oper_log` VALUES (1496, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-06 16:01:59\",\"creatorId\":1143215441569779712,\"factoryNo\":\"132132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchFlowParamMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Data truncation: Data too long for column \'value\' at row 1\n; Data truncation: Data too long for column \'value\' at row 1; nested exception is java.sql.BatchUpdateException: Data truncation: Data too long for column \'value\' at row 1', '2023-09-06 16:02:07');
INSERT INTO `sys_oper_log` VALUES (1497, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-06 16:05:18\",\"creatorId\":1143215441569779712,\"factoryNo\":\"132132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchFlowParamMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Duplicate entry \'1699332948639694850\' for key \'PRIMARY\'\n; Duplicate entry \'1699332948639694850\' for key \'PRIMARY\'; nested exception is java.sql.BatchUpdateException: Duplicate entry \'1699332948639694850\' for key \'PRIMARY\'', '2023-09-06 16:05:22');
INSERT INTO `sys_oper_log` VALUES (1498, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:05:54');
INSERT INTO `sys_oper_log` VALUES (1499, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:08:53');
INSERT INTO `sys_oper_log` VALUES (1500, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-06 16:10:08\",\"creatorId\":1143215441569779712,\"factoryNo\":\"132132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchFlowParamMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Duplicate entry \'1699334271091163138\' for key \'PRIMARY\'\n; Duplicate entry \'1699334271091163138\' for key \'PRIMARY\'; nested exception is java.sql.BatchUpdateException: Duplicate entry \'1699334271091163138\' for key \'PRIMARY\'', '2023-09-06 16:10:37');
INSERT INTO `sys_oper_log` VALUES (1501, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-06 16:11:51\",\"creatorId\":1143215441569779712,\"factoryNo\":\"132132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:11:55');
INSERT INTO `sys_oper_log` VALUES (1502, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"121\",\"createTime\":\"2023-09-06 16:16:34\",\"creatorId\":1143215441569779712,\"factoryNo\":\"12123\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1699334930473463810\' for key \'PRIMARY\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product_batch  ( id, flow_id, tenant_id, product_id, factory_no, batch_no, num,  create_time,  creator_id,    remark )  VALUES  ( ?, ?, ?, ?, ?, ?, ?,  ?,  ?,    ? )\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1699334930473463810\' for key \'PRIMARY\'\n; Duplicate entry \'1699334930473463810\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1699334930473463810\' for key \'PRIMARY\'', '2023-09-06 16:16:47');
INSERT INTO `sys_oper_log` VALUES (1503, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"121\",\"createTime\":\"2023-09-06 16:18:00\",\"creatorId\":1143215441569779712,\"factoryNo\":\"12123\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1699335780482723841\' for key \'PRIMARY\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_product_batch  ( id, flow_id, tenant_id, product_id, factory_no, batch_no, num,  create_time,  creator_id,    remark )  VALUES  ( ?, ?, ?, ?, ?, ?, ?,  ?,  ?,    ? )\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1699335780482723841\' for key \'PRIMARY\'\n; Duplicate entry \'1699335780482723841\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1699335780482723841\' for key \'PRIMARY\'', '2023-09-06 16:18:00');
INSERT INTO `sys_oper_log` VALUES (1504, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-0.5200670338777118.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_52', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:19:46');
INSERT INTO `sys_oper_log` VALUES (1505, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-0.927229961551523.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 16:19:51\",\"updaterId\":1,\"version\":43,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:19:52');
INSERT INTO `sys_oper_log` VALUES (1506, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"121\",\"createTime\":\"2023-09-06 16:19:33\",\"creatorId\":1143215441569779712,\"factoryNo\":\"12123\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:21:03');
INSERT INTO `sys_oper_log` VALUES (1507, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-0.2831611631169557.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_52', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:22:11');
INSERT INTO `sys_oper_log` VALUES (1508, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-0.34000720344482127.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 16:22:15\",\"updaterId\":1,\"version\":44,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:22:16');
INSERT INTO `sys_oper_log` VALUES (1509, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2201],\"params\":{},\"roleId\":102,\"roleKey\":\"tester\",\"roleName\":\"测试\",\"roleSort\":1,\"status\":\"1\",\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:25:03');
INSERT INTO `sys_oper_log` VALUES (1510, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:25:46');
INSERT INTO `sys_oper_log` VALUES (1511, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 16:25:50\",\"updaterId\":1,\"version\":45,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:25:51');
INSERT INTO `sys_oper_log` VALUES (1512, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<p><img src=\\\"/prod-api/profile/upload/2023/08/29/微信图片_20230201095611_20230829134832A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 585.00px;height: 328.98px;\\\"/></p><p><img src=\\\"/prod-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829134929A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829134929A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529_20230829134929A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/f67d4635f652b040e4fd131cdabf4231_6016050421279324369 (1)_20230829134929A008.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/2184a060b6f3b4e76cf372ca411c07b9_2673345355621231825_20230829134942A009.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><img src=\\\"/dev-api/profile/upload/2023/08/29/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230829132459A006.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/551797cdfd1e941da7c8763cd9072ce9_2172735783492429279_20230829132459A007.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/dev-api/profile/upload/2023/08/29/bc6bba03c6d3b33705050fb7e9682625_5230571252309586529', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:26:58');
INSERT INTO `sys_oper_log` VALUES (1513, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 16:27:07\",\"updaterId\":1,\"version\":46,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:27:08');
INSERT INTO `sys_oper_log` VALUES (1514, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"21\",\"createTime\":\"2023-09-06 16:47:34\",\"creatorId\":1143215441569779712,\"factoryNo\":\"21212\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":11432154415697', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:49:03');
INSERT INTO `sys_oper_log` VALUES (1515, '产品批次', 1, 'com.ezhizao.project.business.controller.BizProductBatchController.add()', 'POST', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"21\",\"createTime\":\"2023-09-06 16:50:40\",\"creatorId\":1143215441569779712,\"factoryNo\":\"21212\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"1111\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"2222\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/06/文档_20230906164714A001.txt\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-18\",\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":16993005351', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 16:51:05');
INSERT INTO `sys_oper_log` VALUES (1516, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699344352360849410,\"createTime\":\"2023-09-06 16:51:05\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699344455381344257,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"1111\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2222\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/06/文档_20230906164714A001.txt\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-18\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699344352360849410,\"createTime\":\"2023-', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:02:56');
INSERT INTO `sys_oper_log` VALUES (1517, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"222\",\"createTime\":\"2023-09-06 17:06:02\",\"creatorId\":1143215441569779712,\"factoryNo\":\"2231\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"zzz\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"zz\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/06/合作课题选题指南入系统(1)_20230906170524A003.xls,/profile/upload/2023/09/06/文档_20230906170528A004.txt\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-27\",\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"c', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:06:17');
INSERT INTO `sys_oper_log` VALUES (1518, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"productBatchItem\",\"className\":\"BizProductBatchItem\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1214,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:28\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":78,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户 id\",\"columnId\":1215,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:28\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":78,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1216,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:28\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":78,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次 id\",\"columnId\":1217,\"columnName\":\"batch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-05 15:53:28\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":4,\"superColumn\":false,\"t', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:31:11');
INSERT INTO `sys_oper_log` VALUES (1519, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_batch_item\"}', NULL, 0, NULL, '2023-09-06 17:31:16');
INSERT INTO `sys_oper_log` VALUES (1520, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchItem/index\",\"createTime\":\"2023-09-06 17:32:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2292,\"menuName\":\"产品批次下 一物一码 实体映射\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchItem\",\"perms\":\"business:productBatchItem:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:32:59');
INSERT INTO `sys_oper_log` VALUES (1521, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:33:18');
INSERT INTO `sys_oper_log` VALUES (1522, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:33:23');
INSERT INTO `sys_oper_log` VALUES (1523, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"121\",\"createTime\":\"2023-09-06 17:40:45\",\"creatorId\":1143215441569779712,\"factoryNo\":\"11212\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"2023-10-05\",\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-06 17:40:45');
INSERT INTO `sys_oper_log` VALUES (1524, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 16:27:07\",\"updaterId\":1,\"version\":46,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:06:41');
INSERT INTO `sys_oper_log` VALUES (1525, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.221.134', 'XX XX', '{\"ancestors\":\"0,100,1143207234667417601,1143215441569779727\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"11\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779727,\"status\":\"0\",\"tenantId\":151,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:08:09');
INSERT INTO `sys_oper_log` VALUES (1526, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":100,\"ids\":[],\"nickName\":\"wangjian\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779715,\"userName\":\"wj\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-07 09:19:43');
INSERT INTO `sys_oper_log` VALUES (1527, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"deptId\":100,\"ids\":[],\"nickName\":\"wangjian\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userName\":\"wj\"}', '{\"msg\":\"新增用户\'wj\'失败，登录账号已存在\",\"code\":500}', 0, NULL, '2023-09-07 09:19:51');
INSERT INTO `sys_oper_log` VALUES (1528, '用户管理', 4, 'com.ezhizao.project.system.controller.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', NULL, '/system/user/authRole', '127.0.0.1', '内网IP', '1143215441569779715 [102]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:20:29');
INSERT INTO `sys_oper_log` VALUES (1529, '用户管理', 4, 'com.ezhizao.project.system.controller.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', NULL, '/system/user/authRole', '127.0.0.1', '内网IP', '1143215441569779715 [101]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:21:12');
INSERT INTO `sys_oper_log` VALUES (1530, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p><img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907092024A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><h3', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:21:15');
INSERT INTO `sys_oper_log` VALUES (1531, '用户管理', 4, 'com.ezhizao.project.system.controller.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', NULL, '/system/user/authRole', '127.0.0.1', '内网IP', '1143215441569779715 [2]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:21:55');
INSERT INTO `sys_oper_log` VALUES (1532, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchItem/index\",\"createTime\":\"2023-09-06 17:32:37\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2292,\"menuName\":\"产品批次下 一物一码 实体映射\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchItem\",\"perms\":\"business:productBatchItem:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 09:26:10');
INSERT INTO `sys_oper_log` VALUES (1533, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p><img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907092024A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><h3', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:03:25');
INSERT INTO `sys_oper_log` VALUES (1534, '岗位管理', 1, 'com.ezhizao.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '113.227.221.134', 'XX XX', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"11\",\"postId\":7,\"postName\":\"234\",\"postSort\":1,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:09:52');
INSERT INTO `sys_oper_log` VALUES (1535, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-06 16:27:07\",\"updaterId\":1,\"version\":46,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:11:51');
INSERT INTO `sys_oper_log` VALUES (1536, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p><img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907092024A005.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p><h3', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:12:06');
INSERT INTO `sys_oper_log` VALUES (1537, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:13:56');
INSERT INTO `sys_oper_log` VALUES (1538, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1697437548972462082', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:20:13');
INSERT INTO `sys_oper_log` VALUES (1539, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1697437548972462082', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:21:27');
INSERT INTO `sys_oper_log` VALUES (1540, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.221.134', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"已退出\",\"dictSort\":0,\"dictType\":\"apply_status\",\"dictValue\":\"3\",\"listClass\":\"info\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:38:17');
INSERT INTO `sys_oper_log` VALUES (1541, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143215441569779712,\"id\":1697436917872283650,\"params\":{},\"status\":0,\"updateTime\":\"2023-09-07 10:41:59\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:42:00');
INSERT INTO `sys_oper_log` VALUES (1542, '企业加入申请记录', 3, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1697436917872283650', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:45:50');
INSERT INTO `sys_oper_log` VALUES (1543, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-07 10:42:51\",\"updaterId\":1,\"version\":48,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:48:08');
INSERT INTO `sys_oper_log` VALUES (1544, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '113.227.221.134', 'XX XX', '{\"auditId\":1143207234667417600,\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-07 10:48:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1699615507460714497,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":2,\"tenantId\":151,\"updateTime\":\"2023-09-07 10:48:38\",\"updaterId\":1143207234667417600,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:48:38');
INSERT INTO `sys_oper_log` VALUES (1545, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:48:45');
INSERT INTO `sys_oper_log` VALUES (1546, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinAudit', '113.227.221.134', 'XX XX', '{\"auditId\":1143215441569779712,\"id\":1699615507460714497,\"params\":{},\"status\":0,\"updateTime\":\"2023-09-07 10:55:53\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 10:55:53');
INSERT INTO `sys_oper_log` VALUES (1547, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"factoryNo\":\"12312\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"123\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"123\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-19\",\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-06 13:57:11\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:14:34');
INSERT INTO `sys_oper_log` VALUES (1548, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinAudit', '113.227.221.134', 'XX XX', '{\"auditId\":1143215441569779712,\"auditName\":\"18640822691\",\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-07 10:48:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1699615507460714497,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-07 10:55:53\",\"updaterId\":1143215441569779712,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:19:41');
INSERT INTO `sys_oper_log` VALUES (1549, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'category_id\' in \'field list\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchItemMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,tenant_id,flow_id,batch_id,product_id,identity,status,category_id,identifications,video,content,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_product_batch_item   WHERE  deleted=0  AND (batch_id = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'category_id\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'category_id\' in \'field list\'', '2023-09-07 11:26:39');
INSERT INTO `sys_oper_log` VALUES (1550, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-07 10:42:51\",\"updaterId\":1,\"version\":48,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:31:40');
INSERT INTO `sys_oper_log` VALUES (1551, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'identifications\' in \'field list\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchItemMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,tenant_id,flow_id,batch_id,product_id,identity,status,identifications,video,content,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_product_batch_item   WHERE  deleted=0  AND (batch_id = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'identifications\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'identifications\' in \'field list\'', '2023-09-07 11:31:43');
INSERT INTO `sys_oper_log` VALUES (1552, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:31:56');
INSERT INTO `sys_oper_log` VALUES (1553, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-07 11:33:23\",\"updaterId\":1,\"version\":49,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:33:24');
INSERT INTO `sys_oper_log` VALUES (1554, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:36:30');
INSERT INTO `sys_oper_log` VALUES (1555, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-07 11:33:23\",\"updaterId\":1,\"version\":49,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:40:17');
INSERT INTO `sys_oper_log` VALUES (1556, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-07 11:53:41');
INSERT INTO `sys_oper_log` VALUES (1557, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-07 11:56:03');
INSERT INTO `sys_oper_log` VALUES (1558, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 11:57:53');
INSERT INTO `sys_oper_log` VALUES (1559, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-07 11:59:25');
INSERT INTO `sys_oper_log` VALUES (1560, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 12:03:21');
INSERT INTO `sys_oper_log` VALUES (1561, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '113.227.221.134', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:22:10');
INSERT INTO `sys_oper_log` VALUES (1562, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:27:25');
INSERT INTO `sys_oper_log` VALUES (1563, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:27:31');
INSERT INTO `sys_oper_log` VALUES (1564, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '113.227.221.134', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:27:43');
INSERT INTO `sys_oper_log` VALUES (1565, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/productBatchFlowParam/index\",\"createTime\":\"2023-09-05 17:26:35\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2280,\"menuName\":\"流程参数\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2273,\"path\":\"productBatchFlowParam\",\"perms\":\"business:productBatchFlowParam:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:30:38');
INSERT INTO `sys_oper_log` VALUES (1566, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:31:03');
INSERT INTO `sys_oper_log` VALUES (1567, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:31:12');
INSERT INTO `sys_oper_log` VALUES (1568, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 13:31:18');
INSERT INTO `sys_oper_log` VALUES (1569, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"ids\":[],\"nickName\":\"tester\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779716,\"userName\":\"huiyuxuan\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-07 13:40:14');
INSERT INTO `sys_oper_log` VALUES (1570, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"ids\":[],\"nickName\":\"tester\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779717,\"userName\":\"huiyuxuan\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-07 13:42:52');
INSERT INTO `sys_oper_log` VALUES (1571, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"ids\":[],\"nickName\":\"tester\",\"params\":{},\"phonenumber\":\"15668631890\",\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779718,\"userName\":\"huiyuxuan\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-07 13:46:58');
INSERT INTO `sys_oper_log` VALUES (1572, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"deptId\":1143215441569779722,\"ids\":[],\"nickName\":\"tester\",\"params\":{},\"phonenumber\":\"15668631890\",\"postIds\":[5],\"remark\":\"1\",\"roleIds\":[101],\"sex\":\"0\",\"status\":\"0\",\"userName\":\"huiyuxuan\"}', '{\"msg\":\"新增用户\'huiyuxuan\'失败，手机号码已存在\",\"code\":500}', 0, NULL, '2023-09-07 13:47:08');
INSERT INTO `sys_oper_log` VALUES (1573, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"ids\":[],\"nickName\":\"tester\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[5],\"remark\":\"1\",\"roleIds\":[101],\"sex\":\"0\",\"status\":\"0\",\"userId\":1143215441569779719,\"userName\":\"huiyuxuan\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-07 13:47:18');
INSERT INTO `sys_oper_log` VALUES (1574, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"1\",\"params\":{},\"phonenumber\":\"15668631890\",\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userName\":\"huiyuxuan\"}', '{\"msg\":\"新增用户\'huiyuxuan\'失败，手机号码已存在\",\"code\":500}', 0, NULL, '2023-09-07 13:51:44');
INSERT INTO `sys_oper_log` VALUES (1575, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"1\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779720,\"userName\":\"huiyuxuan\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-07 13:53:01');
INSERT INTO `sys_oper_log` VALUES (1576, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"ids\":[],\"nickName\":\"1\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779721,\"userName\":\"huiyuxuan\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-07 13:54:09');
INSERT INTO `sys_oper_log` VALUES (1577, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.221.134', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-07 14:00:53');
INSERT INTO `sys_oper_log` VALUES (1578, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:07:41');
INSERT INTO `sys_oper_log` VALUES (1579, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-07 14:08:48');
INSERT INTO `sys_oper_log` VALUES (1580, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:10:09');
INSERT INTO `sys_oper_log` VALUES (1581, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-07 14:40:01');
INSERT INTO `sys_oper_log` VALUES (1582, '用户头像', 2, 'com.ezhizao.project.system.controller.SysProfileController.avatar()', 'POST', 1, '18640822691', NULL, '/system/user/profile/avatar', '113.227.221.134', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"code\":200}', 0, NULL, '2023-09-07 14:41:03');
INSERT INTO `sys_oper_log` VALUES (1583, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[2,101],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:45:44');
INSERT INTO `sys_oper_log` VALUES (1584, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:48:07');
INSERT INTO `sys_oper_log` VALUES (1585, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleKey\":\"tester\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"新增角色\'测试角色\'失败，角色权限已存在\",\"code\":500}', 0, NULL, '2023-09-07 14:50:56');
INSERT INTO `sys_oper_log` VALUES (1586, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleKey\":\"tester\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"新增角色\'测试角色\'失败，角色权限已存在\",\"code\":500}', 0, NULL, '2023-09-07 14:51:02');
INSERT INTO `sys_oper_log` VALUES (1587, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:51:09');
INSERT INTO `sys_oper_log` VALUES (1588, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101,103],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:51:24');
INSERT INTO `sys_oper_log` VALUES (1589, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:51:51');
INSERT INTO `sys_oper_log` VALUES (1590, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101,103,104],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:52:07');
INSERT INTO `sys_oper_log` VALUES (1591, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:52:32');
INSERT INTO `sys_oper_log` VALUES (1592, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101,103,104,105],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:52:38');
INSERT INTO `sys_oper_log` VALUES (1593, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":106,\"roleKey\":\"tester-4\",\"roleName\":\"测试角色-4\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:53:08');
INSERT INTO `sys_oper_log` VALUES (1594, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101,103,104,105,106],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:53:22');
INSERT INTO `sys_oper_log` VALUES (1595, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779722,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101,103,104,105,106],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":106,\"roleKey\":\"tester-4\",\"roleName\":\"测试角色-4\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:53:55');
INSERT INTO `sys_oper_log` VALUES (1596, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.221.134', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptId\":1143215441569779722,\"deptName\":\"营销部门\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-07 14:42:32\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[2,101,103,104,105,106],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":106,\"roleKey\":\"tester-4\",\"roleName\":\"测试角色-4\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 14:54:28');
INSERT INTO `sys_oper_log` VALUES (1597, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1699623444098904066', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 15:31:37');
INSERT INTO `sys_oper_log` VALUES (1598, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-07 16:15:49');
INSERT INTO `sys_oper_log` VALUES (1599, '企业租户', 3, 'com.ezhizao.project.tenant.controller.TenantController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/tenant/1699623444098904066', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 16:28:56');
INSERT INTO `sys_oper_log` VALUES (1600, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1699236241235111937,\"name\":\"个数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:47\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1}],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699236240245256193,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/06/R-C_20230906094101A001.jpg\",\"manualId\":0,\"name\":\"鸡蛋\",\"onShow\":1,\"params\":{},\"price\":12,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:47\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 16:42:48');
INSERT INTO `sys_oper_log` VALUES (1601, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1699236241235111937,\"name\":\"个数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:48\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":2}],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699236240245256193,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/06/R-C_20230906094101A001.jpg\",\"manualId\":0,\"name\":\"鸡蛋\",\"onShow\":0,\"params\":{},\"price\":12,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:48\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 16:42:49');
INSERT INTO `sys_oper_log` VALUES (1602, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1699236241235111937,\"name\":\"个数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:51\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":3}],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699236240245256193,\"identifications\":\"\",\"isSuggest\":1,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/06/R-C_20230906094101A001.jpg\",\"manualId\":0,\"name\":\"鸡蛋\",\"onShow\":0,\"params\":{},\"price\":12,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:51\",\"updaterId\":1143215441569779712,\"version\":3,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 16:42:52');
INSERT INTO `sys_oper_log` VALUES (1603, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1699236241235111937,\"name\":\"个数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:53\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":4}],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699236240245256193,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/06/R-C_20230906094101A001.jpg\",\"manualId\":0,\"name\":\"鸡蛋\",\"onShow\":0,\"params\":{},\"price\":12,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 16:42:52\",\"updaterId\":1143215441569779712,\"version\":4,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 16:42:53');
INSERT INTO `sys_oper_log` VALUES (1604, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName,t2.price as productPrice,t2.views as productViews,t2.view as sourceView,                 t2.is_suggest as isSuggest,t2.on_show as onShow         FROM biz_product_batch_item t1         left join biz_product on t1.product_id = t2.id           WHERE t1.deleted = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'', '2023-09-07 16:55:21');
INSERT INTO `sys_oper_log` VALUES (1605, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.view\' in \'field list\'\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName,t2.price as productPrice,t2.views as productViews,t2.view as sourceView,                 t2.is_suggest as isSuggest,t2.on_show as onShow         FROM biz_product_batch_item t1         left join biz_product t2 on t1.product_id = t2.id           WHERE t1.deleted = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.view\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t2.view\' in \'field list\'', '2023-09-07 16:57:05');
INSERT INTO `sys_oper_log` VALUES (1606, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.view\' in \'field list\'\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName,t2.price as productPrice,t2.views as productViews,t2.view as productViews,                 t2.source_view as sourceView,t2.is_suggest as isSuggest,t2.on_show as onShow         FROM biz_product_batch_item t1         left join biz_product t2 on t1.product_id = t2.id           WHERE t1.deleted = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.view\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t2.view\' in \'field list\'', '2023-09-07 17:03:39');
INSERT INTO `sys_oper_log` VALUES (1607, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"\",\"code\":200}', 0, NULL, '2023-09-07 17:04:58');
INSERT INTO `sys_oper_log` VALUES (1608, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699622154347847682,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-06 13:57:11\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-19\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699622153785810945,\"createTime\":\"2023-09-07 11:14:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":', '{\"msg\":\"\",\"code\":200}', 0, NULL, '2023-09-07 17:06:50');
INSERT INTO `sys_oper_log` VALUES (1609, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"11\",\"createTime\":\"2023-09-07 17:07:35\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1323132\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 13:31:17\",\"updaterId\":1143215441569779712,\"value\":\"wj\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 13:31:17\",\"updaterId\":1143215441569779712,\"value\":\"111\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 13:31:17\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 13:31:17\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-21\",\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 13:31:17\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:07:36');
INSERT INTO `sys_oper_log` VALUES (1610, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699710998686543874,\"createTime\":\"2023-09-07 17:07:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699710999173083138,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 13:31:17\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"wj\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 13:31:17\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"111\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 13:31:17\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 13:31:17\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-21\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699710998686543874,\"createTime\":\"2023-09-07 17:07:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-07 17:07:43');
INSERT INTO `sys_oper_log` VALUES (1611, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"121\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remar', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:16:25');
INSERT INTO `sys_oper_log` VALUES (1612, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"121\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remar', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:16:40');
INSERT INTO `sys_oper_log` VALUES (1613, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-07 17:19:26\",\"creatorId\":1143215441569779712,\"id\":1699713979811688450,\"name\":\"1\",\"params\":{},\"parentId\":0,\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:19:26');
INSERT INTO `sys_oper_log` VALUES (1614, '菜单管理', 1, 'com.ezhizao.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"市场保护\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"marketProtection\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:32:52');
INSERT INTO `sys_oper_log` VALUES (1615, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-07 17:33:52\",\"updaterId\":1143215441569779712,\"version\":10}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"辽宁省\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"金州区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-07 17:33:52\",\"updaterId\":1143215441569779712,\"version\":10}}', 0, NULL, '2023-09-07 17:33:52');
INSERT INTO `sys_oper_log` VALUES (1616, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2298,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:34:31');
INSERT INTO `sys_oper_log` VALUES (1617, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:34:34');
INSERT INTO `sys_oper_log` VALUES (1618, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-07 17:34:50\",\"updaterId\":1143215441569779712,\"version\":11}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-07 17:34:50\",\"updaterId\":1143215441569779712,\"version\":11}}', 0, NULL, '2023-09-07 17:34:50');
INSERT INTO `sys_oper_log` VALUES (1619, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createTime\":\"2023-09-07 17:32:52\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2298,\"menuName\":\"市场保护\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"marketProtection\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:35:05');
INSERT INTO `sys_oper_log` VALUES (1620, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-07 17:40:42\",\"creatorId\":1143215441569779712,\"id\":1699719330736959489,\"name\":\"2\",\"params\":{},\"parentId\":1699713979811688450,\"remark\":\"2\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:40:42');
INSERT INTO `sys_oper_log` VALUES (1621, '产品证书', 3, 'com.ezhizao.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productCategory/1699713979811688450', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-07 17:40:45');
INSERT INTO `sys_oper_log` VALUES (1622, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '113.227.221.134', 'XX XX', '{\"categoryId\":1699719330736959489,\"createTime\":\"2023-09-08 08:53:45\",\"creatorId\":1143215441569779712,\"id\":1699949105816596482,\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 08:53:45');
INSERT INTO `sys_oper_log` VALUES (1623, '产品证书', 3, 'com.ezhizao.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productCategory/1699719330736959489', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 08:53:49');
INSERT INTO `sys_oper_log` VALUES (1624, ' 产品分类参数模板', 5, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.export()', 'POST', 1, '18640822691', NULL, '/business/template/export', '113.227.221.134', 'XX XX', '{\"params\":{},\"tenantId\":106}', NULL, 0, NULL, '2023-09-08 09:13:04');
INSERT INTO `sys_oper_log` VALUES (1625, ' 产品分类参数模板', 3, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/template/1699949105816596482', '113.227.221.134', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 09:18:19');
INSERT INTO `sys_oper_log` VALUES (1626, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '113.227.221.134', 'XX XX', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-08 09:24:10\",\"updaterId\":1143215441569779712,\"version\":12}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.73831940483069,\"longitude\":40.199723784375564,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-08 09:24:10\",\"updaterId\":1143215441569779712,\"version\":12}}', 0, NULL, '2023-09-08 09:24:10');
INSERT INTO `sys_oper_log` VALUES (1627, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"123\",\"createTime\":\"2023-09-08 09:30:38\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1231231\",\"flowId\":1699300535121252353,\"flowParams\":[{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374530,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 17:16:39\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374531,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 17:16:39\",\"updaterId\":1143215441569779712,\"value\":\"12\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374532,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 17:16:39\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/08/文档_20230908092939A001.txt\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"flowParamId\":1699300535297413121,\"id\":1699300535620374533,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 17:16:39\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-12\",\"version\":0}],\"id\":1699300535297413121,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-07 17:16:39\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":169930053512', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 09:30:39');
INSERT INTO `sys_oper_log` VALUES (1628, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1699958391361343490,\"createTime\":\"2023-09-08 09:30:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699300535121252353,\"id\":1699958391692693506,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374530,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 17:16:39\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"12\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374531,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 17:16:39\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"12\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374532,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 17:16:39\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/文档_20230908092939A001.txt\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-06 13:56:33\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699300535121252353,\\\"flowParamId\\\":1699300535297413121,\\\"id\\\":1699300535620374533,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-07 17:16:39\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-12\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1699958391361343490,\"createTime\":\"2023-09-0', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 09:30:48');
INSERT INTO `sys_oper_log` VALUES (1629, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.221.134', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"createTime\":\"2023-09-08 09:32:18\",\"creatorId\":1143215441569779712,\"id\":1699958809204682753,\"linkList\":[],\"name\":\"1\",\"params\":{},\"price\":1,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 09:32:18');
INSERT INTO `sys_oper_log` VALUES (1630, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.221.134', 'XX XX', '{\"address\":\"1\",\"areaList\":[],\"createTime\":\"2023-09-08 09:40:41\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1699960917085712386,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-08 09:40:41');
INSERT INTO `sys_oper_log` VALUES (1631, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.221.134', 'XX XX', '{\"address\":\"1\",\"areaList\":[],\"createTime\":\"2023-09-08 09:40:51\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1699960962216423425,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-08 09:40:51');
INSERT INTO `sys_oper_log` VALUES (1632, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.221.134', 'XX XX', '{\"address\":\"1\",\"areaList\":[],\"createTime\":\"2023-09-08 09:41:10\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1699961039064461313,\"name\":\"1\",\"params\":{},\"phnoe\":\"15668631890\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-08 09:41:10');
INSERT INTO `sys_oper_log` VALUES (1633, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.221.134', 'XX XX', '{\"address\":\"1\",\"areaList\":[],\"createTime\":\"2023-09-08 09:43:45\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1699961692042096641,\"name\":\"1\",\"params\":{},\"phnoe\":\"15668631890\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-08 09:43:45');
INSERT INTO `sys_oper_log` VALUES (1634, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 10:06:37');
INSERT INTO `sys_oper_log` VALUES (1635, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 10:06:49');
INSERT INTO `sys_oper_log` VALUES (1636, '产品手册模板', 1, 'com.ezhizao.project.business.controller.BizManualController.add()', 'POST', 1, '18640822691', NULL, '/business/manual', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-08 10:17:07\",\"creatorId\":1143215441569779712,\"id\":1699970086782169089,\"manualList\":[\"\",\"1\",\"1\",null,null,null,null,null],\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 10:17:07');
INSERT INTO `sys_oper_log` VALUES (1637, '产品手册模板', 2, 'com.ezhizao.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-08 10:17:07\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699970086782169089,\"manualList\":[\"1\",\"1\"],\"name\":\"1\",\"params\":{},\"remark\":\"1\",\"tenantId\":106,\"updateTime\":\"2023-09-08 10:18:00\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 10:18:00');
INSERT INTO `sys_oper_log` VALUES (1638, '产品手册模板', 1, 'com.ezhizao.project.business.controller.BizManualController.add()', 'POST', 1, '18640822691', NULL, '/business/manual', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-08 10:36:12\",\"creatorId\":1143215441569779712,\"id\":1699974891583893505,\"manualList\":[\"检测合格证书\",\"税收证明\"],\"name\":\"农产品\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 10:36:12');
INSERT INTO `sys_oper_log` VALUES (1639, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-08 11:04:11\",\"creatorId\":1143215441569779712,\"id\":1699981931861569537,\"logisticsScore\":0,\"params\":{},\"productScore\":1,\"serveScore\":0,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:04:11');
INSERT INTO `sys_oper_log` VALUES (1640, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '113.227.221.134', 'XX XX', '{\"createTime\":\"2023-09-08 11:04:47\",\"creatorId\":1143215441569779712,\"id\":1699982084114804738,\"logisticsScore\":1,\"params\":{},\"productScore\":0.5,\"serveScore\":3.5,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:04:47');
INSERT INTO `sys_oper_log` VALUES (1641, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:19:20');
INSERT INTO `sys_oper_log` VALUES (1642, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-08 11:20:01\",\"updaterId\":1,\"version\":54,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:20:01');
INSERT INTO `sys_oper_log` VALUES (1643, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"121\",\"createTime\":\"2023-09-06 13:56:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374530,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374531,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374532,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699300535620374533,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699300535297413121,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699300535943335937,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remar', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:21:36');
INSERT INTO `sys_oper_log` VALUES (1644, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:33:20');
INSERT INTO `sys_oper_log` VALUES (1645, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839426,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839427,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839428,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839429,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699989266207707138,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699989266731995137,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:33:54');
INSERT INTO `sys_oper_log` VALUES (1646, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"1\",\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839426,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839427,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839428,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839429,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699989266207707138,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699989266731995137,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:34:06');
INSERT INTO `sys_oper_log` VALUES (1647, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1699958391361343490', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:35:07');
INSERT INTO `sys_oper_log` VALUES (1648, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1699710998686543874', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 11:35:09');
INSERT INTO `sys_oper_log` VALUES (1649, '菜单管理', 1, 'com.ezhizao.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"system/plugin/List\",\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"插件管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"PluginList\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 13:51:49');
INSERT INTO `sys_oper_log` VALUES (1650, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"system/plugin/List\",\"createTime\":\"2023-09-08 13:51:49\",\"icon\":\"clipboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2299,\"menuName\":\"插件管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"PluginList\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:12:58');
INSERT INTO `sys_oper_log` VALUES (1651, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.221.134', 'XX XX', '{\"appKey\":\"ezhizao-plugin-visitor\",\"children\":[],\"component\":\"system/plugin/List\",\"createTime\":\"2023-09-08 13:51:49\",\"icon\":\"clipboard\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2299,\"menuName\":\"插件管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"PluginList\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:16:07');
INSERT INTO `sys_oper_log` VALUES (1652, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.221.134', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2241,2204,2205,2206,2207,2208,2209,2026,2298,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:25:32');
INSERT INTO `sys_oper_log` VALUES (1653, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_wx_message\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:41:52');
INSERT INTO `sys_oper_log` VALUES (1654, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"13123\",\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1231231\",\"flowId\":1699989266077683714,\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"123\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"123\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-13\",\"version\":0}],\"id\":1699989266207707138,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":16999892', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:43:19');
INSERT INTO `sys_oper_log` VALUES (1655, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.updateById (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'flow_name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'flow_name\' in \'field list\'', '2023-09-08 14:44:27');
INSERT INTO `sys_oper_log` VALUES (1656, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"message\",\"className\":\"BizWxMessage\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1257,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":81,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"留言人姓名\",\"columnId\":1258,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Phone\",\"columnComment\":\"留言人电话\",\"columnId\":1259,\"columnName\":\"phone\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"phone\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Email\",\"columnComment\":\"留言人邮件\",\"columnId\":1260,\"columnName\":\"email\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"email\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:45:17');
INSERT INTO `sys_oper_log` VALUES (1657, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_wx_message\"}', NULL, 0, NULL, '2023-09-08 14:45:27');
INSERT INTO `sys_oper_log` VALUES (1658, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.221.134', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:49:09');
INSERT INTO `sys_oper_log` VALUES (1659, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.updateById (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'flow_name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'flow_name\' in \'field list\'', '2023-09-08 14:50:28');
INSERT INTO `sys_oper_log` VALUES (1660, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"message\",\"className\":\"BizWxMessage\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1257,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 14:45:17\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"留言人姓名\",\"columnId\":1258,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 14:45:17\",\"usableColumn\":false},{\"capJavaField\":\"Phone\",\"columnComment\":\"留言人电话\",\"columnId\":1259,\"columnName\":\"phone\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"phone\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 14:45:17\",\"usableColumn\":false},{\"capJavaField\":\"Email\",\"columnComment\":\"留言人邮件\",\"columnId\":1260,\"columnName\":\"email\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuer', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 14:54:55');
INSERT INTO `sys_oper_log` VALUES (1661, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_wx_message\"}', NULL, 0, NULL, '2023-09-08 14:55:16');
INSERT INTO `sys_oper_log` VALUES (1662, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 14:56:14');
INSERT INTO `sys_oper_log` VALUES (1663, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 14:59:42');
INSERT INTO `sys_oper_log` VALUES (1664, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-30 14:55:17\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2200,2030,2300,2301,2302,2303,2304,2305,2204,2205,2206,2207,2208,2209,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199],\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:04:03');
INSERT INTO `sys_oper_log` VALUES (1665, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-30 14:55:17\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2200,2030,2204,2205,2206,2207,2208,2209,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199],\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:04:40');
INSERT INTO `sys_oper_log` VALUES (1666, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2300,2241,2204,2205,2206,2207,2208,2209,2026,2298,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:05:44');
INSERT INTO `sys_oper_log` VALUES (1667, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2300,2301,2302,2303,2304,2305,2241,2204,2205,2206,2207,2208,2209,2026,2298,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:08:08');
INSERT INTO `sys_oper_log` VALUES (1668, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"message\",\"className\":\"BizWxMessage\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1257,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 14:54:55\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"留言人姓名\",\"columnId\":1258,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 14:54:55\",\"usableColumn\":false},{\"capJavaField\":\"Phone\",\"columnComment\":\"留言人电话\",\"columnId\":1259,\"columnName\":\"phone\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"phone\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 14:54:55\",\"usableColumn\":false},{\"capJavaField\":\"Email\",\"columnComment\":\"留言人邮件\",\"columnId\":1260,\"columnName\":\"email\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuer', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:11:23');
INSERT INTO `sys_oper_log` VALUES (1669, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_wx_message\"}', NULL, 0, NULL, '2023-09-08 15:11:27');
INSERT INTO `sys_oper_log` VALUES (1670, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2092,2093,2094,2095,2096,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1016,1017,1018,1019,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2029,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:14:53');
INSERT INTO `sys_oper_log` VALUES (1671, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:15:09');
INSERT INTO `sys_oper_log` VALUES (1672, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/message/index\",\"createTime\":\"2023-09-08 15:13:29\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2306,\"menuName\":\"留言\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2200,\"path\":\"message\",\"perms\":\"business:message:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:17:17');
INSERT INTO `sys_oper_log` VALUES (1673, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.221.134', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"createTime\":\"2023-09-08 15:22:42\",\"creatorId\":1143215441569779712,\"id\":1700046990977593345,\"linkList\":[],\"name\":\"1\",\"params\":{},\"price\":1,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:22:42');
INSERT INTO `sys_oper_log` VALUES (1674, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/message/index\",\"createTime\":\"2023-09-08 15:13:29\",\"icon\":\"email\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2306,\"menuName\":\"留言\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2200,\"path\":\"message\",\"perms\":\"business:message:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 15:50:15');
INSERT INTO `sys_oper_log` VALUES (1675, 'message', 1, 'com.ezhizao.project.business.controller.BizWxMessageController.add()', 'POST', 1, '18640822691', NULL, '/business/message', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-08 16:05:32\",\"creatorId\":1143215441569779712,\"email\":\"3098547589@qq.com\",\"id\":1700057770246193153,\"message\":\"交易日看i时间吗\",\"name\":\"大大\",\"params\":{},\"phone\":\"15487589568\",\"remark\":\"九十九\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:05:31');
INSERT INTO `sys_oper_log` VALUES (1676, 'message', 2, 'com.ezhizao.project.business.controller.BizWxMessageController.edit()', 'PUT', 1, '18640822691', NULL, '/business/message', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-08 16:05:32\",\"creatorId\":1143215441569779712,\"deleted\":0,\"email\":\"3098547589@qq.com\",\"id\":1700057770246193153,\"message\":\"交易日看i时间吗\",\"name\":\"大大哈哈哈\",\"params\":{},\"phone\":\"15487589568\",\"remark\":\"九十九\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 16:06:58\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:06:57');
INSERT INTO `sys_oper_log` VALUES (1677, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"message\",\"className\":\"BizWxMessage\",\"columns\":[{\"capJavaField\":\"Id\",\"columnId\":1257,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 15:11:23\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"留言人姓名\",\"columnId\":1258,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 15:11:23\",\"usableColumn\":false},{\"capJavaField\":\"Phone\",\"columnComment\":\"留言人电话\",\"columnId\":1259,\"columnName\":\"phone\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"phone\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":81,\"updateBy\":\"\",\"updateTime\":\"2023-09-08 15:11:23\",\"usableColumn\":false},{\"capJavaField\":\"Email\",\"columnComment\":\"留言人邮件\",\"columnId\":1260,\"columnName\":\"email\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-08 14:41:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQu', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:10:04');
INSERT INTO `sys_oper_log` VALUES (1678, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_wx_message\"}', NULL, 0, NULL, '2023-09-08 16:10:43');
INSERT INTO `sys_oper_log` VALUES (1679, '留言', 5, 'com.ezhizao.project.business.controller.BizWxMessageController.export()', 'POST', 1, '18640822691', NULL, '/business/message/export', '127.0.0.1', '内网IP', '{\"params\":{},\"tenantId\":106}', NULL, 0, NULL, '2023-09-08 16:13:34');
INSERT INTO `sys_oper_log` VALUES (1680, '留言', 1, 'com.ezhizao.project.business.controller.BizWxMessageController.add()', 'POST', 1, '18640822691', NULL, '/business/message', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-08 16:15:07\",\"creatorId\":1143215441569779712,\"email\":\"86868\",\"id\":1700060183464210433,\"message\":\"3578\",\"name\":\"嘎嘎嘎\",\"params\":{},\"phone\":\"4555\",\"remark\":\"6786787\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:15:06');
INSERT INTO `sys_oper_log` VALUES (1681, '留言', 3, 'com.ezhizao.project.business.controller.BizWxMessageController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/message/1700060183464210433', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:15:13');
INSERT INTO `sys_oper_log` VALUES (1682, '留言', 1, 'com.ezhizao.project.business.controller.BizWxMessageController.add()', 'POST', 1, '18640822691', NULL, '/business/message', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-08 16:15:36\",\"creatorId\":1143215441569779712,\"email\":\"55\",\"id\":1700060304230805505,\"name\":\"555\",\"params\":{},\"phone\":\"55\",\"tenantId\":106}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'remark\' doesn\'t have a default value\r\n### The error may exist in com/ezhizao/project/business/mapper/BizWxMessageMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizWxMessageMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_wx_message  ( id, name, phone, email,  tenant_id,  create_time,  creator_id )  VALUES  ( ?, ?, ?, ?,  ?,  ?,  ? )\r\n### Cause: java.sql.SQLException: Field \'remark\' doesn\'t have a default value\n; Field \'remark\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'remark\' doesn\'t have a default value', '2023-09-08 16:15:35');
INSERT INTO `sys_oper_log` VALUES (1683, '留言', 1, 'com.ezhizao.project.business.controller.BizWxMessageController.add()', 'POST', 1, '18640822691', NULL, '/business/message', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-08 16:15:42\",\"creatorId\":1143215441569779712,\"email\":\"55\",\"id\":1700060327060402177,\"message\":\"55\",\"name\":\"555\",\"params\":{},\"phone\":\"55\",\"remark\":\"55\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:15:41');
INSERT INTO `sys_oper_log` VALUES (1684, '留言', 3, 'com.ezhizao.project.business.controller.BizWxMessageController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/message/1700060327060402177', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:15:54');
INSERT INTO `sys_oper_log` VALUES (1685, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 16:49:22');
INSERT INTO `sys_oper_log` VALUES (1686, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t6.name\' in \'field list\'\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName,t2.price as productPrice,t2.views as productViews,                 t2.source_view as sourceView,t2.is_suggest as isSuggest,t2.on_show as onShow,                t2.category_id as categoryId,t3.name as categoryName,t2.main_picture as mainPicture,                t2.share_picture as sharePicture,t2.product_pictures as productPictures,t2.identifications as identifications,                t2.video as video,t2.content as content,t4.name as flowName,t4.content as flowContent,t6.name as tenantName         FROM biz_product_batch_item t1         left join biz_product t2 on t1.product_id = t2.id         left join biz_product_category t3 on t3.id = t2.category_id         left join biz_flow t4 on t4.id = t1.flow_id         left join biz_product_link t5 on t5.product_id = t2.id         left join biz_tenant t6 on t6.id = t1.tenant_id           WHERE t1.deleted = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t6.name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t6.name\' in \'field list\'', '2023-09-08 16:51:30');
INSERT INTO `sys_oper_log` VALUES (1687, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.updateById (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'tenant_name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'tenant_name\' in \'field list\'', '2023-09-08 16:53:28');
INSERT INTO `sys_oper_log` VALUES (1688, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 16:55:16');
INSERT INTO `sys_oper_log` VALUES (1689, '留言', 3, 'com.ezhizao.project.business.controller.BizWxMessageController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/message/1700057770246193153', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-08 16:57:52');
INSERT INTO `sys_oper_log` VALUES (1690, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:04:30');
INSERT INTO `sys_oper_log` VALUES (1691, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:17:43');
INSERT INTO `sys_oper_log` VALUES (1692, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:25:53');
INSERT INTO `sys_oper_log` VALUES (1693, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:29:08');
INSERT INTO `sys_oper_log` VALUES (1694, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:31:08');
INSERT INTO `sys_oper_log` VALUES (1695, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:34:18');
INSERT INTO `sys_oper_log` VALUES (1696, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:36:47');
INSERT INTO `sys_oper_log` VALUES (1697, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:40:20');
INSERT INTO `sys_oper_log` VALUES (1698, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-08 17:42:43');
INSERT INTO `sys_oper_log` VALUES (1699, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-10 15:54:42\",\"creatorId\":1,\"details\":[],\"id\":1700779817659392001,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-10 15:54:42');
INSERT INTO `sys_oper_log` VALUES (1700, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-10 15:54:50\",\"creatorId\":1,\"details\":[{\"branchId\":1700779852295954433,\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-10 15:54:50\",\"creatorId\":1,\"id\":1700779852820242434,\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"qw\",\"remark\":\"789\",\"tenantId\":0}],\"id\":1700779852295954433,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-10 15:54:50\",\"creatorId\":1,\"details\":[{\"branchId\":1700779852295954433,\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-10 15:54:50\",\"creatorId\":1,\"id\":1700779852820242434,\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"qw\",\"remark\":\"789\",\"tenantId\":0}],\"id\":1700779852295954433,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}}', 0, NULL, '2023-09-10 15:54:50');
INSERT INTO `sys_oper_log` VALUES (1701, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, 'admin', NULL, '/business/branch/1700779852295954433', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-10 15:55:05');
INSERT INTO `sys_oper_log` VALUES (1702, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, 'admin', NULL, '/business/branch/1700779817659392001', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-10 15:55:08');
INSERT INTO `sys_oper_log` VALUES (1703, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"details\":[{\"branchId\":1700780004595326977,\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"id\":1700780004792459266,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"tenantId\":0},{\"branchId\":1700780004595326977,\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"id\":1700780004792459267,\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"qw\",\"remark\":\"789\",\"tenantId\":0}],\"id\":1700780004595326977,\"name\":\"123\",\"params\":{},\"phnoe\":\"12\",\"province\":\"河北省\",\"provinceCode\":\"130000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"details\":[{\"branchId\":1700780004595326977,\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"id\":1700780004792459266,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"tenantId\":0},{\"branchId\":1700780004595326977,\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"id\":1700780004792459267,\"mainPicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"qw\",\"remark\":\"789\",\"tenantId\":0}],\"id\":1700780004595326977,\"name\":\"123\",\"params\":{},\"phnoe\":\"12\",\"province\":\"河北省\",\"provinceCode\":\"130000\"}}', 0, NULL, '2023-09-10 15:55:26');
INSERT INTO `sys_oper_log` VALUES (1704, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, 'admin', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"deleted\":0,\"details\":[{\"branchId\":1700780004595326977,\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"deleted\":0,\"id\":1700780004792459266,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-09-10 15:55:44\",\"updaterId\":1,\"version\":1}],\"id\":1700780004595326977,\"latitude\":0,\"longitude\":0,\"name\":\"123\",\"params\":{},\"phnoe\":\"12\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-09-10 15:55:44\",\"updaterId\":1,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"山海关区\",\"areaCode\":\"130303\",\"areaList\":[\"130000\",\"130300\",\"130303\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"deleted\":0,\"details\":[{\"branchId\":1700780004595326977,\"createTime\":\"2023-09-10 15:55:26\",\"creatorId\":1,\"deleted\":0,\"id\":1700780004792459266,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-09-10 15:55:44\",\"updaterId\":1,\"version\":1}],\"id\":1700780004595326977,\"latitude\":0,\"longitude\":0,\"name\":\"123\",\"params\":{},\"phnoe\":\"12\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":0,\"updateTime\":\"2023-09-10 15:55:44\",\"updaterId\":1,\"version\":1}}', 0, NULL, '2023-09-10 15:55:44');
INSERT INTO `sys_oper_log` VALUES (1705, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, 'admin', NULL, '/system/user/resetPwd', '127.0.0.1', '内网IP', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"admin\",\"userId\":1143215441569779715}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 08:51:44');
INSERT INTO `sys_oper_log` VALUES (1706, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productCategory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-11 09:01:59\",\"creatorId\":1143207234667417600,\"id\":1701038343829712898,\"name\":\"小龙虾\",\"params\":{},\"parentId\":0,\"remark\":\"1\",\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:01:59');
INSERT INTO `sys_oper_log` VALUES (1707, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productCategory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-11 09:02:14\",\"creatorId\":1143207234667417600,\"id\":1701038406517780481,\"name\":\"国产小龙虾\",\"params\":{},\"parentId\":1701038343829712898,\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:02:14');
INSERT INTO `sys_oper_log` VALUES (1708, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701038406517780481,\"createTime\":\"2023-09-11 09:02:40\",\"creatorId\":1143207234667417600,\"id\":1701038513552224258,\"name\":\"小龙虾\",\"params\":{},\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:02:40');
INSERT INTO `sys_oper_log` VALUES (1709, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-11 09:03:02\",\"creatorId\":1143207234667417600,\"id\":1701038606296674306,\"name\":\"小龙虾\",\"params\":{},\"productId\":1701038605264875522,\"tenantId\":151}],\"categoryId\":1701038406517780481,\"createTime\":\"2023-09-11 09:03:01\",\"creatorId\":1143207234667417600,\"id\":1701038605264875522,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/11/3_20230911090256A001.jpeg\",\"name\":\"1\",\"params\":{},\"price\":11,\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:03:02');
INSERT INTO `sys_oper_log` VALUES (1710, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-11 09:03:26\",\"creatorId\":1143207234667417600,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"11\",\"params\":{}},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"mychecked\":false,\"name\":\"22\",\"params\":{}}],\"id\":1701038709484941314,\"mychecked\":false,\"name\":\"模板1\",\"params\":{},\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:03:27');
INSERT INTO `sys_oper_log` VALUES (1711, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/flowParamTmp', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-11 09:04:04\",\"creatorId\":1143207234667417600,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"22\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"33\",\"params\":{}}],\"id\":1701038869644439554,\"mychecked\":false,\"name\":\"22\",\"params\":{},\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:04:05');
INSERT INTO `sys_oper_log` VALUES (1712, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/flow', '127.0.0.1', '内网IP', '{\"content\":\"33\",\"createTime\":\"2023-09-11 09:04:21\",\"creatorId\":1143207234667417600,\"flowParamList\":[{\"createTime\":\"2023-09-11 09:03:26\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-11 09:03:27\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowParamTmpId\":1701038709484941314,\"id\":1701038711426904066,\"mychecked\":true,\"name\":\"11\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"createTime\":\"2023-09-11 09:03:27\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowParamTmpId\":1701038709484941314,\"id\":1701038711426904067,\"mychecked\":true,\"name\":\"22\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"11, 22\",\"id\":1701038709484941314,\"mychecked\":true,\"name\":\"模板1\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-11 09:04:04\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-11 09:04:05\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowParamTmpId\":1701038869644439554,\"id\":1701038869908680706,\"mychecked\":false,\"name\":\"22\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-11 09:04:05\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowParamTmpId\":1701038869644439554,\"id\":1701038869908680707,\"mychecked\":true,\"name\":\"33\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"22, 33\",\"id\":1701038869644439554,\"mychecked\":false,\"name\":\"22\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0}],\"id\":1701038938351333378,\"name\":\"22\",\"params\":{},\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:04:21');
INSERT INTO `sys_oper_log` VALUES (1713, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"flowParams\":[{\"createTime\":\"2023-09-11 09:04:21\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-11 09:04:21\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"flowParamId\":1701038938477162497,\"id\":1701038938670100481,\"name\":\"11\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"223\",\"version\":0},{\"component\":\"el-input-number\",\"createTime\":\"2023-09-11 09:04:21\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"flowParamId\":1701038938477162497,\"id\":1701038938670100482,\"name\":\"22\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"23\",\"version\":0}],\"id\":1701038938477162497,\"name\":\"模板1\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-11 09:04:21\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"flowParamDetails\":[{\"component\":\"el-upload\",\"createTime\":\"2023-09-11 09:04:21\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"flowParamId\":1701038938800123906,\"id\":1701038938993061889,\"name\":\"33\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\",\"version\":0}],\"id\":1701038938800123906,\"name\":\"22\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"version\":0}],\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:04:42');
INSERT INTO `sys_oper_log` VALUES (1714, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:05:44\",\"updaterId\":114320723466741760', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-11 09:05:45');
INSERT INTO `sys_oper_log` VALUES (1715, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:07:35\",\"updaterId\":114320723466741760', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-11 09:07:36');
INSERT INTO `sys_oper_log` VALUES (1716, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:17:22\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:17:48');
INSERT INTO `sys_oper_log` VALUES (1717, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-11 09:03:02\",\"creatorId\":1701038406517780481,\"deleted\":0,\"id\":1701038606296674306,\"name\":\"小龙虾\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:20:04\",\"updaterId\":1143207234667417600,\"value\":\"\",\"version\":1}],\"categoryId\":1701038406517780481,\"categoryName\":\"国产小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-11 09:03:01\",\"creatorId\":1143207234667417600,\"deleted\":0,\"id\":1701038605264875522,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/11/3_20230911090256A001.jpeg\",\"manualId\":0,\"name\":\"国产小龙虾\",\"onShow\":0,\"params\":{},\"price\":11,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:20:04\",\"updaterId\":1143207234667417600,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:20:05');
INSERT INTO `sys_oper_log` VALUES (1718, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:23:24\",\"updaterId\":114320723466741760', '{\"code\":200}', 0, NULL, '2023-09-11 09:23:25');
INSERT INTO `sys_oper_log` VALUES (1719, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:24:01\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:24:02');
INSERT INTO `sys_oper_log` VALUES (1720, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:26:43\",\"updaterId\":114320723466741760', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'tenant_id\' in where clause is ambiguous\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchItemMapper.getList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.name as productName,t2.price as productPrice,t2.views as productViews,                 t2.source_view as sourceView,t2.is_suggest as isSuggest,t2.on_show as onShow,                t2.category_id as categoryId,t3.name as categoryName,t2.main_picture as mainPicture,                t2.share_picture as sharePicture,t2.product_pictures as productPictures,t2.identifications as identifications,                t2.video as video,t2.content as content,t4.name as flowName,t4.content as flowContent,t6.org_name as tenantName         FROM biz_product_batch_item t1         left join biz_product t2 on t1.product_id = t2.id         left join biz_product_category t3 on t3.id = t2.category_id         left join biz_flow t4 on t4.id = t1.flow_id         left join biz_product_link t5 on t5.product_id = t2.id         left join biz_tenant t6 on t6.id = t1.tenant_id           WHERE t1.deleted = 0                                        AND tenant_id = ?\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Column \'tenant_id\' in where clause is ambiguous\n; Column \'tenant_id\' in where clause is ambiguous; nested exception is java.sql.SQLIntegrityConstraintViolationException: Column \'tenant_id\' in where clause is ambiguous', '2023-09-11 09:27:06');
INSERT INTO `sys_oper_log` VALUES (1721, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:28:43\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:28:44');
INSERT INTO `sys_oper_log` VALUES (1722, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:30:03\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:30:04');
INSERT INTO `sys_oper_log` VALUES (1723, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:31:15\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:31:16');
INSERT INTO `sys_oper_log` VALUES (1724, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:32:45\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:32:45');
INSERT INTO `sys_oper_log` VALUES (1725, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:34:02\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:34:03');
INSERT INTO `sys_oper_log` VALUES (1726, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:54:58\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:55:00');
INSERT INTO `sys_oper_log` VALUES (1727, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 09:58:53\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 09:58:54');
INSERT INTO `sys_oper_log` VALUES (1728, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_counterfeiting_rules\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 09:59:17');
INSERT INTO `sys_oper_log` VALUES (1729, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"rules\",\"className\":\"BizCounterfeitingRules\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":1271,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 09:59:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":82,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1272,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 09:59:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":82,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MaxDistance\",\"columnComment\":\"商品移动超过\",\"columnId\":1273,\"columnName\":\"max_distance\",\"columnType\":\"decimal(10,2)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 09:59:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"maxDistance\",\"javaType\":\"BigDecimal\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":82,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MinDistance\",\"columnComment\":\"最小距离\",\"columnId\":1274,\"columnName\":\"min_distance\",\"columnType\":\"decimal(10,2)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 09:59:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"minDistance\",\"javaType\":\"BigDe', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:00:56');
INSERT INTO `sys_oper_log` VALUES (1730, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_counterfeiting_rules\"}', NULL, 0, NULL, '2023-09-11 10:01:02');
INSERT INTO `sys_oper_log` VALUES (1731, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2312,2313,2314,2315,2316,2317,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:04:30');
INSERT INTO `sys_oper_log` VALUES (1732, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:04:38');
INSERT INTO `sys_oper_log` VALUES (1733, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/rules/index\",\"createTime\":\"2023-09-11 10:03:02\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2312,\"menuName\":\"鉴伪规则\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"rules\",\"perms\":\"business:rules:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:04:50');
INSERT INTO `sys_oper_log` VALUES (1734, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:07:57\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:07:58');
INSERT INTO `sys_oper_log` VALUES (1735, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/rules/index\",\"createTime\":\"2023-09-11 10:03:02\",\"icon\":\"drag\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2312,\"menuName\":\"鉴伪规则\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"rules\",\"perms\":\"business:rules:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:10:11');
INSERT INTO `sys_oper_log` VALUES (1736, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-11 09:03:02\",\"creatorId\":1701038406517780481,\"deleted\":0,\"id\":1701038606296674306,\"name\":\"小龙虾\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:10:32\",\"updaterId\":1143207234667417600,\"value\":\"\",\"version\":2}],\"categoryId\":1701038406517780481,\"categoryName\":\"国产小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-11 09:03:01\",\"creatorId\":1143207234667417600,\"deleted\":0,\"id\":1701038605264875522,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/11/3_20230911090256A001.jpeg\",\"manualId\":0,\"name\":\"小龙虾\",\"onShow\":0,\"params\":{},\"price\":11,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:10:32\",\"updaterId\":1143207234667417600,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:10:32');
INSERT INTO `sys_oper_log` VALUES (1737, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:10:42\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:10:43');
INSERT INTO `sys_oper_log` VALUES (1738, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:13:03\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:13:04');
INSERT INTO `sys_oper_log` VALUES (1739, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-11 09:03:02\",\"creatorId\":1701038406517780481,\"deleted\":0,\"id\":1701038606296674306,\"name\":\"小龙虾\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:14:30\",\"updaterId\":1143207234667417600,\"value\":\"\",\"version\":3}],\"categoryId\":1701038406517780481,\"categoryName\":\"国产小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-11 09:03:01\",\"creatorId\":1143207234667417600,\"deleted\":0,\"id\":1701038605264875522,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/11/3_20230911090256A001.jpeg\",\"manualId\":0,\"name\":\"玉鹿给力酒\",\"onShow\":0,\"params\":{},\"price\":11,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:14:30\",\"updaterId\":1143207234667417600,\"version\":3,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:14:31');
INSERT INTO `sys_oper_log` VALUES (1740, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:14:37\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:14:38');
INSERT INTO `sys_oper_log` VALUES (1741, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-11 09:03:02\",\"creatorId\":1701038406517780481,\"deleted\":0,\"id\":1701038606296674306,\"name\":\"小龙虾\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:15:15\",\"updaterId\":1143207234667417600,\"value\":\"\",\"version\":4}],\"categoryId\":1701038406517780481,\"categoryName\":\"国产小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-11 09:03:01\",\"creatorId\":1143207234667417600,\"deleted\":0,\"id\":1701038605264875522,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/11/3_20230911090256A001.jpeg\",\"manualId\":0,\"name\":\"给力酒\",\"onShow\":0,\"params\":{},\"price\":11,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:15:15\",\"updaterId\":1143207234667417600,\"version\":4,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:15:15');
INSERT INTO `sys_oper_log` VALUES (1742, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:15:23\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:15:23');
INSERT INTO `sys_oper_log` VALUES (1743, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:16:50\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:16:51');
INSERT INTO `sys_oper_log` VALUES (1744, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:19:04\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:19:05');
INSERT INTO `sys_oper_log` VALUES (1745, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:22:46\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:22:47');
INSERT INTO `sys_oper_log` VALUES (1746, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:25:05\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:25:06');
INSERT INTO `sys_oper_log` VALUES (1747, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:31:33\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:31:34');
INSERT INTO `sys_oper_log` VALUES (1748, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:33:20\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:33:22');
INSERT INTO `sys_oper_log` VALUES (1749, '字典类型', 1, 'com.ezhizao.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"标识码类型\",\"dictType\":\"code_type\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:34:08');
INSERT INTO `sys_oper_log` VALUES (1750, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"企业码\",\"dictSort\":0,\"dictType\":\"code_type\",\"dictValue\":\"0\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:34:40');
INSERT INTO `sys_oper_log` VALUES (1751, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"产品码\",\"dictSort\":0,\"dictType\":\"code_type\",\"dictValue\":\"1\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:34:50');
INSERT INTO `sys_oper_log` VALUES (1752, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345282,\"name\":\"模板1\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100481,\\\"name\\\":\\\"11\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"223\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938477162497,\\\"id\\\":1701038938670100482,\\\"name\\\":\\\"22\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1701039027329298433,\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"flowId\":1701038938351333378,\"id\":1701039027589345283,\"name\":\"22\",\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":0,\"tenantId\":151,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 09:04:21\\\",\\\"creatorId\\\":1143207234667417600,\\\"deleted\\\":0,\\\"flowId\\\":1701038938351333378,\\\"flowParamId\\\":1701038938800123906,\\\"id\\\":1701038938993061889,\\\"name\\\":\\\"33\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":151,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/11/4_20230911090441A002.jpeg\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"22232\",\"createTime\":\"2023-09-11 09:04:42\",\"creatorId\":1143207234667417600,\"deleted\":0,\"factoryNo\":\"23234\",\"flowId\":1701038938351333378,\"id\":1701039027329298433,\"num\":2,\"params\":{},\"productId\":1701038605264875522,\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updateTime\":\"2023-09-11 10:47:50\",\"updaterId\":114320723466741760', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 10:47:51');
INSERT INTO `sys_oper_log` VALUES (1753, '字典类型', 1, 'com.ezhizao.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"产品鉴伪状态\",\"dictType\":\"identity_status\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:51:30');
INSERT INTO `sys_oper_log` VALUES (1754, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"正品\",\"dictSort\":0,\"dictType\":\"identity_status\",\"dictValue\":\"0\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:51:47');
INSERT INTO `sys_oper_log` VALUES (1755, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"伪品\",\"dictSort\":0,\"dictType\":\"identity_status\",\"dictValue\":\"1\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:52:02');
INSERT INTO `sys_oper_log` VALUES (1756, '代码生成', 3, 'com.ezhizao.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/82', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 10:57:41');
INSERT INTO `sys_oper_log` VALUES (1757, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_identification_rules\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:08:58');
INSERT INTO `sys_oper_log` VALUES (1758, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"rules\",\"className\":\"BizIdentificationRules\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":1287,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 11:08:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":83,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户id\",\"columnId\":1288,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 11:08:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":83,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MaxDistance\",\"columnComment\":\"商品移动超过\",\"columnId\":1289,\"columnName\":\"max_distance\",\"columnType\":\"decimal(10,2)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 11:08:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"maxDistance\",\"javaType\":\"BigDecimal\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":83,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MinDistance\",\"columnComment\":\"最小距离\",\"columnId\":1290,\"columnName\":\"min_distance\",\"columnType\":\"decimal(10,2)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 11:08:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"minDistance\",\"javaType\":\"BigDe', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:11:14');
INSERT INTO `sys_oper_log` VALUES (1759, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_identification_rules\"}', NULL, 0, NULL, '2023-09-11 11:11:18');
INSERT INTO `sys_oper_log` VALUES (1760, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2318,2319,2320,2321,2322,2323,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:36:54');
INSERT INTO `sys_oper_log` VALUES (1761, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:36:59');
INSERT INTO `sys_oper_log` VALUES (1762, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2318,2319,2320,2321,2322,2323,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:40:54');
INSERT INTO `sys_oper_log` VALUES (1763, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:41:04');
INSERT INTO `sys_oper_log` VALUES (1764, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2318,2319,2320,2321,2322,2323,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:45:01');
INSERT INTO `sys_oper_log` VALUES (1765, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/rules/index\",\"createTime\":\"2023-09-11 11:12:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2318,\"menuName\":\"鉴伪规则\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"rules\",\"perms\":\"business:rules:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:46:32');
INSERT INTO `sys_oper_log` VALUES (1766, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/rules/index\",\"createTime\":\"2023-09-11 11:12:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2318,\"menuName\":\"鉴伪规则\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"rules\",\"perms\":\"business:rules:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 11:47:05');
INSERT INTO `sys_oper_log` VALUES (1767, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/business/productCategory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-11 12:03:35\",\"creatorId\":1143207234667417600,\"id\":1701084045091913730,\"name\":\"海鲜\",\"params\":{},\"parentId\":0,\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 12:03:36');
INSERT INTO `sys_oper_log` VALUES (1768, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', NULL, 1, 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 12:58:25');
INSERT INTO `sys_oper_log` VALUES (1769, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 13:15:04');
INSERT INTO `sys_oper_log` VALUES (1770, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 13:21:11');
INSERT INTO `sys_oper_log` VALUES (1771, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '113.227.216.55', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-11 13:22:04');
INSERT INTO `sys_oper_log` VALUES (1772, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 13:22:33');
INSERT INTO `sys_oper_log` VALUES (1773, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 13:31:54');
INSERT INTO `sys_oper_log` VALUES (1774, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1693904097549828098,\"deleted\":0,\"id\":1699236241235111937,\"name\":\"个数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-11 13:32:46\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":5}],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-06 09:41:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699236240245256193,\"identifications\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/06/R-C_20230906094101A001.jpg\",\"manualId\":0,\"name\":\"玉鹿给力酒\",\"onShow\":0,\"params\":{},\"price\":12,\"productPictures\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"remark\":\"\",\"sharePicture\":\"/profile/upload/2023/09/05/3_20230905143923A001.jpeg\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-11 13:32:46\",\"updaterId\":1143215441569779712,\"version\":5,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 13:32:45');
INSERT INTO `sys_oper_log` VALUES (1775, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 13:33:02');
INSERT INTO `sys_oper_log` VALUES (1776, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', NULL, 1, 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 13:33:57');
INSERT INTO `sys_oper_log` VALUES (1777, '留言', 1, 'com.ezhizao.project.business.controller.BizWxMessageController.add()', 'POST', 1, '18640822691', NULL, '/business/message', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-11 13:58:05\",\"creatorId\":1143215441569779712,\"email\":\"ff\",\"id\":1701112860742737921,\"message\":\"ff\",\"name\":\"ff\",\"params\":{},\"phone\":\"ff\",\"remark\":\"ff\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 13:58:06');
INSERT INTO `sys_oper_log` VALUES (1778, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '桑原电机(大连)有限公司', NULL, '/tenant/apply/joinApply', '113.227.216.55', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 14:01:18');
INSERT INTO `sys_oper_log` VALUES (1779, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 14:02:55');
INSERT INTO `sys_oper_log` VALUES (1780, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 14:08:57');
INSERT INTO `sys_oper_log` VALUES (1781, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 14:19:50');
INSERT INTO `sys_oper_log` VALUES (1782, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-11 14:21:33');
INSERT INTO `sys_oper_log` VALUES (1783, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '113.227.216.55', 'XX XX', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.84379362035543,\"longitude\":40.20021543712999,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-11 14:26:17\",\"updaterId\":1143215441569779712,\"version\":13}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.84379362035543,\"longitude\":40.20021543712999,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/04/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230904101242A001.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-11 14:26:17\",\"updaterId\":1143215441569779712,\"version\":13}}', 0, NULL, '2023-09-11 14:26:18');
INSERT INTO `sys_oper_log` VALUES (1784, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"mychecked\":false,\"name\":\"测试模版-1\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"测试模版-2\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"测试模版-3\",\"params\":{}},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"mychecked\":false,\"name\":\"测试模版-4\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"测试模版-5\",\"params\":{}}],\"id\":1701127655529705473,\"mychecked\":false,\"name\":\"模版名称-1\",\"params\":{},\"remark\":\"我是备注\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 14:56:53');
INSERT INTO `sys_oper_log` VALUES (1785, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-11 14:57:33\",\"creatorId\":1143215441569779712,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"测试模版-1\",\"params\":{}}],\"id\":1701127823180230658,\"mychecked\":false,\"name\":\"测试模版\",\"params\":{},\"remark\":\"我是备注\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 14:57:33');
INSERT INTO `sys_oper_log` VALUES (1786, '流程参数(模板)', 2, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701127655651340289,\"mychecked\":false,\"name\":\"测试模版-2\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701127655663923202,\"mychecked\":false,\"name\":\"测试模版-5\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701127655638757378,\"mychecked\":false,\"name\":\"测试模版-1\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701127655655534593,\"mychecked\":false,\"name\":\"测试模版-3\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701127655659728898,\"mychecked\":false,\"name\":\"测试模版-4\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"测试模版-5\",\"params\":{}}],\"id\":1701127655529705473,\"mychecked\":false,\"name\":\"模版名称-1\",\"params\":{},\"remark\":\"我是备注\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-11 15:02:34\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:02:34');
INSERT INTO `sys_oper_log` VALUES (1787, '流程参数(模板)', 2, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flowParamTmp', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-11 14:56:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-11 15:02:34\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701129087670611970,\"mychecked\":false,\"name\":\"测试模版-2\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-11 15:02:34\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701129087674806273,\"mychecked\":false,\"name\":\"测试模版-5\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"createTime\":\"2023-09-11 15:02:34\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701129087679000577,\"mychecked\":false,\"name\":\"测试模版-1\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-11 15:02:34\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701129087683194882,\"mychecked\":false,\"name\":\"测试模版-3\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-11 15:02:34\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701129087691583489,\"mychecked\":false,\"name\":\"测试模版-5\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-11 15:02:34\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1701127655529705473,\"id\":1701129087687389185,\"mychecked\":false,\"name\":\"测试模版-4\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1701127655529705473,\"mychecked\":false,\"name\":\"模版名称-2\",\"params\":{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:04:05');
INSERT INTO `sys_oper_log` VALUES (1788, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_identification_record\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:13:19');
INSERT INTO `sys_oper_log` VALUES (1789, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"record\",\"className\":\"BizIdentificationRecord\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":1303,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:13:18\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":84,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Identity\",\"columnComment\":\"标识码\",\"columnId\":1304,\"columnName\":\"identity\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:13:18\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"identity\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":84,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"产品id 产品数据模板中 存上 product_id 和 批次 batch_id\",\"columnId\":1305,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:13:18\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":84,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":1306,\"columnName\":\"batch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:13:18\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"p', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:14:07');
INSERT INTO `sys_oper_log` VALUES (1790, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_identification_record\"}', NULL, 0, NULL, '2023-09-11 15:14:12');
INSERT INTO `sys_oper_log` VALUES (1791, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:16:26');
INSERT INTO `sys_oper_log` VALUES (1792, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:16:32');
INSERT INTO `sys_oper_log` VALUES (1793, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/record/index\",\"createTime\":\"2023-09-11 15:14:54\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2324,\"menuName\":\"鉴伪数据\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"record\",\"perms\":\"business:record:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:16:48');
INSERT INTO `sys_oper_log` VALUES (1794, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_trace_record\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:19:37');
INSERT INTO `sys_oper_log` VALUES (1795, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"traceRecord\",\"className\":\"BizTraceRecord\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":1329,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:19:36\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":85,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Identity\",\"columnComment\":\"标识码\",\"columnId\":1330,\"columnName\":\"identity\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:19:36\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"identity\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":85,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"产品id 产品数据模板中 存上 product_id 和 批次 batch_id\",\"columnId\":1331,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:19:36\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":85,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":1332,\"columnName\":\"batch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:19:36\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":f', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:21:40');
INSERT INTO `sys_oper_log` VALUES (1796, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_trace_record\"}', NULL, 0, NULL, '2023-09-11 15:21:57');
INSERT INTO `sys_oper_log` VALUES (1797, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:23:53');
INSERT INTO `sys_oper_log` VALUES (1798, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:23:57');
INSERT INTO `sys_oper_log` VALUES (1799, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/traceRecord/index\",\"createTime\":\"2023-09-11 15:22:41\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2330,\"menuName\":\"溯源数据\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"traceRecord\",\"perms\":\"business:traceRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:24:27');
INSERT INTO `sys_oper_log` VALUES (1800, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_wx_scan_record\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:24:43');
INSERT INTO `sys_oper_log` VALUES (1801, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"wxScanRecord\",\"className\":\"BizWxScanRecord\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":1355,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:24:42\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":86,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CodeType\",\"columnComment\":\"扫码类型 对应字典里的 code_type\",\"columnId\":1356,\"columnName\":\"code_type\",\"columnType\":\"tinyint(4)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:24:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"codeType\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":86,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"IdentityName\",\"columnComment\":\"标识主体名称(扫的是企业 就记录企业名称 产品就记录产品名称 以此类推)\",\"columnId\":1357,\"columnName\":\"identity_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:24:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"identityName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":86,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Identity\",\"columnComment\":\"标识码\",\"columnId\":1358,\"columnName\":\"identity\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-11 15:24:42\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isI', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:25:57');
INSERT INTO `sys_oper_log` VALUES (1802, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '113.227.216.55', 'XX XX', '{\"content\":\"这是流程内容\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"sta', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:25:59');
INSERT INTO `sys_oper_log` VALUES (1803, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_wx_scan_record\"}', NULL, 0, NULL, '2023-09-11 15:26:02');
INSERT INTO `sys_oper_log` VALUES (1804, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2027,2049,2050,2051,2052,2053,2028,2200,2133,2306,2307,2308,2309,2310,2311,2241,2204,2205,2206,2207,2208,2209,2026,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2336,2337,2338,2339,2340,2341,2029,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2299,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:27:56');
INSERT INTO `sys_oper_log` VALUES (1805, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:28:01');
INSERT INTO `sys_oper_log` VALUES (1806, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/wxScanRecord/index\",\"createTime\":\"2023-09-11 15:26:59\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2336,\"menuName\":\"微信扫码统计\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"wxScanRecord\",\"perms\":\"business:wxScanRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 15:28:24');
INSERT INTO `sys_oper_log` VALUES (1807, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18640822691', NULL, '/business/flowParamTmp', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-11 16:19:46\",\"creatorId\":1143215441569779712,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input-number\",\"componentName\":\"数字输入框\",\"mychecked\":false,\"name\":\"数字\",\"params\":{}}],\"id\":1701148514906599426,\"mychecked\":false,\"name\":\"数字模版\",\"params\":{},\"remark\":\"备注\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 16:19:46');
INSERT INTO `sys_oper_log` VALUES (1808, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '113.227.216.55', 'XX XX', '{\"content\":\"数字\",\"createTime\":\"2023-09-11 16:20:26\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":false,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":false,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":false,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 16:20:26');
INSERT INTO `sys_oper_log` VALUES (1809, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '113.227.216.55', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', NULL, 1, 'I/O error on DELETE request for \"http://116.204.99.126:8000/snms/api/v5/template\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-11 16:34:05');
INSERT INTO `sys_oper_log` VALUES (1810, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '113.227.216.55', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 16:37:12');
INSERT INTO `sys_oper_log` VALUES (1811, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18640822691', NULL, '/business/tenant', '113.227.216.55', 'XX XX', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\\" target=\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-11 16:37:14');
INSERT INTO `sys_oper_log` VALUES (1812, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":15,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":15,\"tenantId\":106}}', 0, NULL, '2023-09-11 16:57:40');
INSERT INTO `sys_oper_log` VALUES (1813, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":30,\"tenantId\":106,\"updateTime\":\"2023-09-11 16:58:54\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":30,\"tenantId\":106,\"updateTime\":\"2023-09-11 16:58:54\",\"updaterId\":1143215441569779712}}', 0, NULL, '2023-09-11 16:58:55');
INSERT INTO `sys_oper_log` VALUES (1814, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":130,\"tenantId\":106,\"updateTime\":\"2023-09-11 16:59:07\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":130,\"tenantId\":106,\"updateTime\":\"2023-09-11 16:59:07\",\"updaterId\":1143215441569779712}}', 0, NULL, '2023-09-11 16:59:08');
INSERT INTO `sys_oper_log` VALUES (1815, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":230,\"tenantId\":106,\"updateTime\":\"2023-09-11 16:59:32\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 16:57:39\",\"creatorId\":1143215441569779712,\"id\":1701158050317836290,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":230,\"tenantId\":106,\"updateTime\":\"2023-09-11 16:59:32\",\"updaterId\":1143215441569779712}}', 0, NULL, '2023-09-11 16:59:33');
INSERT INTO `sys_oper_log` VALUES (1816, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:00:36\",\"creatorId\":1143215441569779712,\"id\":1701158791291969538,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":30,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:00:36\",\"creatorId\":1143215441569779712,\"id\":1701158791291969538,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":30,\"tenantId\":106}}', 0, NULL, '2023-09-11 17:00:37');
INSERT INTO `sys_oper_log` VALUES (1817, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:01:10\",\"creatorId\":1143215441569779712,\"id\":1701158934162546689,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":3330,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:01:10\",\"creatorId\":1143215441569779712,\"id\":1701158934162546689,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":3330,\"tenantId\":106}}', 0, NULL, '2023-09-11 17:01:11');
INSERT INTO `sys_oper_log` VALUES (1818, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:09:53\",\"creatorId\":1143215441569779712,\"id\":1701161126810460161,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":11130,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:09:53\",\"creatorId\":1143215441569779712,\"id\":1701161126810460161,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":11130,\"tenantId\":106}}', 0, NULL, '2023-09-11 17:09:54');
INSERT INTO `sys_oper_log` VALUES (1819, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:13:13\",\"creatorId\":1143215441569779712,\"id\":1701161965000155137,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":130,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:13:13\",\"creatorId\":1143215441569779712,\"id\":1701161965000155137,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":130,\"tenantId\":106}}', 0, NULL, '2023-09-11 17:13:14');
INSERT INTO `sys_oper_log` VALUES (1820, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:25:09\",\"creatorId\":1143215441569779712,\"id\":1701164969560489986,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":35,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:25:09\",\"creatorId\":1143215441569779712,\"id\":1701164969560489986,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":35,\"tenantId\":106}}', 0, NULL, '2023-09-11 17:25:10');
INSERT INTO `sys_oper_log` VALUES (1821, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":130,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":800,\"params\":{},\"personNum\":130,\"tenantId\":106}}', 0, NULL, '2023-09-11 17:40:59');
INSERT INTO `sys_oper_log` VALUES (1822, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-11 17:41:07\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-11 17:41:07\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-11 17:41:08');
INSERT INTO `sys_oper_log` VALUES (1823, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '113.227.216.55', 'XX XX', '{\"admin\":true,\"ids\":[],\"params\":{},\"status\":\"1\",\"userId\":1}', NULL, 1, '不允许操作超级管理员用户', '2023-09-11 17:46:52');
INSERT INTO `sys_oper_log` VALUES (1824, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 08:41:23\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 08:41:23\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-12 08:41:23');
INSERT INTO `sys_oper_log` VALUES (1825, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 09:10:23');
INSERT INTO `sys_oper_log` VALUES (1826, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-12 09:12:21\",\"creatorId\":1143215441569779712,\"id\":1701403341969960961,\"name\":\"酒水\",\"params\":{},\"parentId\":0,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:12:21');
INSERT INTO `sys_oper_log` VALUES (1827, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-12 09:12:30\",\"creatorId\":1143215441569779712,\"id\":1701403378456211457,\"name\":\"白酒\",\"params\":{},\"parentId\":1701403341969960961,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:12:30');
INSERT INTO `sys_oper_log` VALUES (1828, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403341969960961,\"createTime\":\"2023-09-12 09:12:55\",\"creatorId\":1143215441569779712,\"id\":1701403484765040642,\"name\":\"度数\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:12:55');
INSERT INTO `sys_oper_log` VALUES (1829, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403341969960961,\"createTime\":\"2023-09-12 09:13:01\",\"creatorId\":1143215441569779712,\"id\":1701403509066838017,\"name\":\"年份\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:13:01');
INSERT INTO `sys_oper_log` VALUES (1830, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403341969960961,\"createTime\":\"2023-09-12 09:13:12\",\"creatorId\":1143215441569779712,\"id\":1701403555309039618,\"name\":\"产地\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:13:12');
INSERT INTO `sys_oper_log` VALUES (1831, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403341969960961,\"createTime\":\"2023-09-12 09:13:20\",\"creatorId\":1143215441569779712,\"id\":1701403588494372865,\"name\":\"生产日期\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:13:20');
INSERT INTO `sys_oper_log` VALUES (1832, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403341969960961,\"createTime\":\"2023-09-12 09:13:31\",\"creatorId\":1143215441569779712,\"id\":1701403632148688898,\"name\":\"生产厂家\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:13:30');
INSERT INTO `sys_oper_log` VALUES (1833, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"areaSwitch\":0,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":0,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"personSwitch\":0,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 09:14:30\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"areaSwitch\":0,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":0,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"personSwitch\":0,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 09:14:30\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-12 09:14:30');
INSERT INTO `sys_oper_log` VALUES (1834, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480386,\"manualId\":1697150302253850625,\"name\":\"净重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480387,\"manualId\":1697150302253850625,\"name\":\"毛重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480388,\"manualId\":1697150302253850625,\"name\":\"含水量\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"name\":\"净重\",\"params\":{},\"url\":\"/profile/upload/2023/09/12/5_20230912092055A011.jpeg\"},{\"name\":\"毛重\",\"params\":{},\"url\":\"/profile/upload/2023/09/12/4_20230912092057A012.jpeg\"},{\"name\":\"含水量\",\"params\":{},\"url\":\"/profile/upload/2023/09/12/3_20230912092101A013.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1701403378456211457,\"categoryName\":\"鸡蛋\",\"certificate\":\"/profile/upload/2023/09/12/c93d81188841fc6a2c05ed444c91ccfb_20230912092042A009.jpeg,/profile/upload/2023/09/12/be61a3bf8d207a2d6c2d3e47c3eb1911_20230912092047A010.jpeg\",\"content\":\"<p style=\\\"text-align: start;\\\"><span style=\\\"font-size: 16px;\\\"> 五粮液集团公司（以下简称公司）是一家以酒业为核心，涉及现代制造、现代包装、现代物流、金融投资、健康产业等领域的特大型国有企业集团。</span></p><p style=\\\"text-align: justify;\\\">Wuliangye Group Co., Ltd (the Company) is a mega-size state-owned enterprise (SOE) group with Baijiu as its primary business. The Company is also engaged in the fields of smart manufacturing, food packaging, modern logistics, financial investment, health and wellbeing.</p><p style=\\\"text-align: start;\\\"><img src=\\\"https://www.wuliangye.com.cn/wly_eap/uploads/2022112/1641969639079.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"></p><p style=\\\"text-align: start;\\\"><span style=\\\"font-size: 16px;\\\"> &nbsp; &nbsp; &nbsp; 其主导产品五粮液酒历史悠久，文化底蕴深厚，是中国浓香型白酒的典型代表与', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product  SET tenant_id=?, manual_id=?, price=?, name=?, views=?, source_view=?, status=?, is_suggest=?, on_show=?, category_id=?, main_picture=?, share_picture=?, product_pictures=?, identifications=?, certificate=?, video=?, content=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\n; Data truncation: Data too long for column \'product_pictures\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1', '2023-09-12 09:22:55');
INSERT INTO `sys_oper_log` VALUES (1835, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480386,\"manualId\":1697150302253850625,\"name\":\"净重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480387,\"manualId\":1697150302253850625,\"name\":\"毛重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480388,\"manualId\":1697150302253850625,\"name\":\"含水量\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"name\":\"净重\",\"params\":{},\"url\":\"/profile/upload/2023/09/12/5_20230912092055A011.jpeg\"},{\"name\":\"毛重\",\"params\":{},\"url\":\"/profile/upload/2023/09/12/4_20230912092057A012.jpeg\"},{\"name\":\"含水量\",\"params\":{},\"url\":\"/profile/upload/2023/09/12/3_20230912092101A013.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1701403378456211457,\"categoryName\":\"鸡蛋\",\"certificate\":\"/profile/upload/2023/09/12/c93d81188841fc6a2c05ed444c91ccfb_20230912092042A009.jpeg,/profile/upload/2023/09/12/be61a3bf8d207a2d6c2d3e47c3eb1911_20230912092047A010.jpeg\",\"content\":\"<p style=\\\"text-align: start;\\\"><span style=\\\"font-size: 16px;\\\"> 五粮液集团公司（以下简称公司）是一家以酒业为核心，涉及现代制造、现代包装、现代物流、金融投资、健康产业等领域的特大型国有企业集团。</span></p><p style=\\\"text-align: justify;\\\">Wuliangye Group Co., Ltd (the Company) is a mega-size state-owned enterprise (SOE) group with Baijiu as its primary business. The Company is also engaged in the fields of smart manufacturing, food packaging, modern logistics, financial investment, health and wellbeing.</p><p style=\\\"text-align: start;\\\"><img src=\\\"https://www.wuliangye.com.cn/wly_eap/uploads/2022112/1641969639079.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"></p><p style=\\\"text-align: start;\\\"><span style=\\\"font-size: 16px;\\\"> &nbsp; &nbsp; &nbsp; 其主导产品五粮液酒历史悠久，文化底蕴深厚，是中国浓香型白酒的典型代表与', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product  SET tenant_id=?, manual_id=?, price=?, name=?, views=?, source_view=?, status=?, is_suggest=?, on_show=?, category_id=?, main_picture=?, share_picture=?, product_pictures=?, identifications=?, certificate=?, video=?, content=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\n; Data truncation: Data too long for column \'product_pictures\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1', '2023-09-12 09:23:02');
INSERT INTO `sys_oper_log` VALUES (1836, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480386,\"manualId\":1697150302253850625,\"name\":\"净重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480387,\"manualId\":1697150302253850625,\"name\":\"毛重\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-08-31 15:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697150302526480388,\"manualId\":1697150302253850625,\"name\":\"含水量\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/12/5_20230912092055A011.jpeg\"},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/12/4_20230912092057A012.jpeg\"},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/12/3_20230912092101A013.jpeg\"}],\"bizProductParamList\":[],\"categoryId\":1701403378456211457,\"categoryName\":\"鸡蛋\",\"certificate\":\"/profile/upload/2023/09/12/c93d81188841fc6a2c05ed444c91ccfb_20230912092042A009.jpeg,/profile/upload/2023/09/12/be61a3bf8d207a2d6c2d3e47c3eb1911_20230912092047A010.jpeg\",\"content\":\"<p style=\\\"text-align: start;\\\"><span style=\\\"font-size: 16px;\\\"> 五粮液集团公司（以下简称公司）是一家以酒业为核心，涉及现代制造、现代包装、现代物流、金融投资、健康产业等领域的特大型国有企业集团。</span></p><p style=\\\"text-align: justify;\\\">Wuliangye Group Co., Ltd (the Company) is a mega-size state-owned enterprise (SOE) group with Baijiu as its primary business. The Com', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:23:08');
INSERT INTO `sys_oper_log` VALUES (1837, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403378456211457,\"createTime\":\"2023-09-12 09:24:02\",\"creatorId\":1143215441569779712,\"id\":1701406280096690177,\"name\":\"度数\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:24:02');
INSERT INTO `sys_oper_log` VALUES (1838, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403378456211457,\"createTime\":\"2023-09-12 09:24:11\",\"creatorId\":1143215441569779712,\"id\":1701406317405024257,\"name\":\"年份\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:24:10');
INSERT INTO `sys_oper_log` VALUES (1839, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403378456211457,\"createTime\":\"2023-09-12 09:24:20\",\"creatorId\":1143215441569779712,\"id\":1701406357057974274,\"name\":\"类型\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:24:20');
INSERT INTO `sys_oper_log` VALUES (1840, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403378456211457,\"createTime\":\"2023-09-12 09:24:30\",\"creatorId\":1143215441569779712,\"id\":1701406398241845249,\"name\":\"保质期\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:24:30');
INSERT INTO `sys_oper_log` VALUES (1841, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403378456211457,\"createTime\":\"2023-09-12 09:24:43\",\"creatorId\":1143215441569779712,\"id\":1701406453472440322,\"name\":\"杂质含量\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:24:43');
INSERT INTO `sys_oper_log` VALUES (1842, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1701403378456211457,\"createTime\":\"2023-09-12 09:24:57\",\"creatorId\":1143215441569779712,\"id\":1701406509546090498,\"name\":\"生产年份\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:24:56');
INSERT INTO `sys_oper_log` VALUES (1843, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 09:25:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912092055A011.jpeg\",\"version\":1},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 09:25:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912092057A012.jpeg\",\"version\":1},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 09:25:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/3_20230912092101A013.jpeg\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1143215441569779712,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"value\":\"50度\"},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1143215441569779712,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"value\":\"1990\"},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1143215441569779712,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"value\":\"酱香型\"},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1143215441569779712,\"id\":1701406765692235781,\"name\":\"保质期\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"value\":\"无\"},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1143215441569779712,\"id\":1701406765692235782,\"name\":\"杂质含量\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106,\"value\":\"0.1%\"},{\"crea', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 09:25:58');
INSERT INTO `sys_oper_log` VALUES (1844, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 09:26:44');
INSERT INTO `sys_oper_log` VALUES (1845, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"areaSwitch\":false,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"personSwitch\":false,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 09:38:04\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"areaSwitch\":false,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"personSwitch\":false,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 09:38:04\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-12 09:38:05');
INSERT INTO `sys_oper_log` VALUES (1846, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":100,\"areaSwitch\":true,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 09:38:09\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"areaSwitch\":true,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":130,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 09:38:09\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-12 09:38:10');
INSERT INTO `sys_oper_log` VALUES (1847, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:31:20\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912092055A011.jpeg\",\"version\":2},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:31:20\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912092057A012.jpeg\",\"version\":2},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:31:20\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/3_20230912092101A013.jpeg\",\"version\":2}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:31:20\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":1},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:31:20\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":1},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:31:20\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":1},{\"createTime\":\"2023-09-1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 10:31:20');
INSERT INTO `sys_oper_log` VALUES (1848, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:59:48\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912092055A011.jpeg\",\"version\":3},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:59:48\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912092057A012.jpeg\",\"version\":3},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:59:48\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/3_20230912092101A013.jpeg\",\"version\":3}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:59:48\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":2},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:59:48\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":2},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 10:59:48\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":2},{\"createTime\":\"2023-09-1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 10:59:48');
INSERT INTO `sys_oper_log` VALUES (1849, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:06:50\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":4},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:06:50\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":4},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:06:50\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":4}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:06:50\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":3},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:06:50\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":3},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:06:50\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":3},{\"createTime\":\"2023-09-1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:06:50');
INSERT INTO `sys_oper_log` VALUES (1850, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-12 11:07:30');
INSERT INTO `sys_oper_log` VALUES (1851, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, 'javax.imageio.IIOException: Can\'t read input file!', '2023-09-12 11:07:47');
INSERT INTO `sys_oper_log` VALUES (1852, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '113.227.216.55', 'XX XX', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.84379362035543,\"longitude\":40.20021543712999,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/12/Snipaste_2023-07-17_17-54-41_20230912111006A013.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-12 11:10:20\",\"updaterId\":1143215441569779712,\"version\":14}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.84379362035543,\"longitude\":40.20021543712999,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/12/Snipaste_2023-07-17_17-54-41_20230912111006A013.png\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-12 11:10:20\",\"updaterId\":1143215441569779712,\"version\":14}}', 0, NULL, '2023-09-12 11:10:20');
INSERT INTO `sys_oper_log` VALUES (1853, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.216.55', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/message/index\",\"createTime\":\"2023-09-08 15:13:29\",\"icon\":\"email\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2306,\"menuName\":\"在线留言\",\"menuType\":\"C\",\"orderNum\":9,\"params\":{},\"parentId\":2200,\"path\":\"message\",\"perms\":\"business:message:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:19:12');
INSERT INTO `sys_oper_log` VALUES (1854, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/rules/index\",\"createTime\":\"2023-09-11 11:12:47\",\"icon\":\"drag\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2318,\"menuName\":\"鉴伪规则\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"rules\",\"perms\":\"business:rules:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:21:56');
INSERT INTO `sys_oper_log` VALUES (1855, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/record/index\",\"createTime\":\"2023-09-11 15:14:54\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2324,\"menuName\":\"鉴伪数据\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"record\",\"perms\":\"business:record:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:22:05');
INSERT INTO `sys_oper_log` VALUES (1856, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/traceRecord/index\",\"createTime\":\"2023-09-11 15:22:41\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2330,\"menuName\":\"溯源数据\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"traceRecord\",\"perms\":\"business:traceRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:25:00');
INSERT INTO `sys_oper_log` VALUES (1857, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/wxScanRecord/index\",\"createTime\":\"2023-09-11 15:26:59\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2336,\"menuName\":\"微信扫码统计\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2298,\"path\":\"wxScanRecord\",\"perms\":\"business:wxScanRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:25:24');
INSERT INTO `sys_oper_log` VALUES (1858, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.216.55', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-12 11:19:40\",\"updaterId\":1,\"version\":59,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:33:38');
INSERT INTO `sys_oper_log` VALUES (1859, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-08 09:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699958809204682753,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"manualId\":0,\"name\":\"大力神鸡蛋\",\"onShow\":0,\"params\":{},\"price\":1,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-12 11:53:23\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 11:53:23');
INSERT INTO `sys_oper_log` VALUES (1860, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 11:55:53');
INSERT INTO `sys_oper_log` VALUES (1861, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.216.55', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-12 11:58:42');
INSERT INTO `sys_oper_log` VALUES (1862, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 12:01:21');
INSERT INTO `sys_oper_log` VALUES (1863, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND poduct_id = ?\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'', '2023-09-12 12:03:34');
INSERT INTO `sys_oper_log` VALUES (1864, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND poduct_id = ?\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t2.name\' in \'field list\'', '2023-09-12 12:03:43');
INSERT INTO `sys_oper_log` VALUES (1865, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.user_name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND poduct_id = ?\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'', '2023-09-12 12:51:58');
INSERT INTO `sys_oper_log` VALUES (1866, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.user_name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND poduct_id = ?\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'', '2023-09-12 12:53:24');
INSERT INTO `sys_oper_log` VALUES (1867, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.user_name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND poduct_id = ?\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'', '2023-09-12 12:55:17');
INSERT INTO `sys_oper_log` VALUES (1868, '字典类型', 1, 'com.ezhizao.project.system.controller.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"dictName\":\"批次状态\",\"dictType\":\"batch_status\",\"ids\":[],\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 12:59:19');
INSERT INTO `sys_oper_log` VALUES (1869, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"未绑码\",\"dictSort\":0,\"dictType\":\"batch_status\",\"dictValue\":\"0\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 12:59:45');
INSERT INTO `sys_oper_log` VALUES (1870, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"同步中\",\"dictSort\":1,\"dictType\":\"batch_status\",\"dictValue\":\"1\",\"listClass\":\"warning\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 13:00:12');
INSERT INTO `sys_oper_log` VALUES (1871, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-09-12 12:59:45\",\"default\":false,\"dictCode\":144,\"dictLabel\":\"未绑码\",\"dictSort\":0,\"dictType\":\"batch_status\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"info\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 13:00:17');
INSERT INTO `sys_oper_log` VALUES (1872, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"已绑码\",\"dictSort\":2,\"dictType\":\"batch_status\",\"dictValue\":\"2\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 13:00:43');
INSERT INTO `sys_oper_log` VALUES (1873, '字典数据', 1, 'com.ezhizao.project.system.controller.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '113.227.216.55', 'XX XX', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"同步失败\",\"dictSort\":3,\"dictType\":\"batch_status\",\"dictValue\":\"3\",\"listClass\":\"danger\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 13:01:05');
INSERT INTO `sys_oper_log` VALUES (1874, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.id\' in \'on clause\'\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT t1.*,t2.user_name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND product_id = ?\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'t2.id\' in \'on clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'t2.id\' in \'on clause\'', '2023-09-12 13:19:16');
INSERT INTO `sys_oper_log` VALUES (1875, '用户管理', 6, 'com.ezhizao.project.system.controller.SysUserController.importData()', 'POST', 1, '18640822691', NULL, '/system/user/importData', '113.227.216.55', 'XX XX', 'false', NULL, 1, '很抱歉，导入失败！共 11 条数据格式不正确，错误如下：<br/>1、账号 admin 已存在<br/>2、账号 桑原电机(大连)有限公司 已存在<br/>3、账号 18640822691 已存在<br/>4、账号 zhushan 已存在<br/>5、账号 wj 已存在<br/>6、账号 huiyuxuan 导入失败：nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6<br/>7、账号 huiyuxuan 导入失败：nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6<br/>8、账号 huiyuxuan 导入失败：nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6<br/>9、账号 huiyuxuan 导入失败：nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6<br/>10、账号 huiyuxuan 导入失败：nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6<br/>11、账号 huiyuxuan 导入失败：nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 6', '2023-09-12 13:21:12');
INSERT INTO `sys_oper_log` VALUES (1876, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n### The error may exist in URL [jar:file:/jar/identity.jar!/BOOT-INF/classes!/mybatis/business/BizProductBatchItemMapper.xml]\n### The error may involve defaultParameterMap\n### The error occurred while setting parameters\n### SQL: SELECT t1.*,t2.user_name as userName,t2.avatar as userAvatar FROM biz_product_review t1         left join sys_user t2 on t1.user_id = t2.id         WHERE deleted = 0 AND poduct_id = ?\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'poduct_id\' in \'where clause\'', '2023-09-12 13:36:13');
INSERT INTO `sys_oper_log` VALUES (1877, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 13:36:35');
INSERT INTO `sys_oper_log` VALUES (1878, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 13:51:04');
INSERT INTO `sys_oper_log` VALUES (1879, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 13:59:32');
INSERT INTO `sys_oper_log` VALUES (1880, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.216.55', 'XX XX', '{\"areaNum\":100,\"areaSwitch\":false,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":230,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 14:10:13\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"areaSwitch\":false,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":230,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-12 14:10:13\",\"updaterId\":1143215441569779712,\"version\":6}}', 0, NULL, '2023-09-12 14:10:13');
INSERT INTO `sys_oper_log` VALUES (1881, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:32:07');
INSERT INTO `sys_oper_log` VALUES (1882, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 14:33:33');
INSERT INTO `sys_oper_log` VALUES (1883, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:36:40');
INSERT INTO `sys_oper_log` VALUES (1884, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 14:41:44');
INSERT INTO `sys_oper_log` VALUES (1885, '菜单管理', 1, 'com.ezhizao.project.system.controller.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '113.227.216.55', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"createBy\":\"admin\",\"icon\":\"nested\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"防窜管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"flee\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:46:59');
INSERT INTO `sys_oper_log` VALUES (1886, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2336,2337,2338,2339,2340,2341,2342,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248,2027,2028,2026,2029,2299],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:48:02');
INSERT INTO `sys_oper_log` VALUES (1887, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:56:48');
INSERT INTO `sys_oper_log` VALUES (1888, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'product_name\' in \'field list\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, product_name=?, main_picture=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'product_name\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'product_name\' in \'field list\'', '2023-09-12 14:57:18');
INSERT INTO `sys_oper_log` VALUES (1889, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 14:58:30');
INSERT INTO `sys_oper_log` VALUES (1890, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:58:57');
INSERT INTO `sys_oper_log` VALUES (1891, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 14:59:36');
INSERT INTO `sys_oper_log` VALUES (1892, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 14:59:56');
INSERT INTO `sys_oper_log` VALUES (1893, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:17:49');
INSERT INTO `sys_oper_log` VALUES (1894, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:21:50');
INSERT INTO `sys_oper_log` VALUES (1895, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:22:19');
INSERT INTO `sys_oper_log` VALUES (1896, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:27:58');
INSERT INTO `sys_oper_log` VALUES (1897, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:28:22');
INSERT INTO `sys_oper_log` VALUES (1898, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:32:05');
INSERT INTO `sys_oper_log` VALUES (1899, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:32:38');
INSERT INTO `sys_oper_log` VALUES (1900, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:37:19');
INSERT INTO `sys_oper_log` VALUES (1901, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:38:06');
INSERT INTO `sys_oper_log` VALUES (1902, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:43:03');
INSERT INTO `sys_oper_log` VALUES (1903, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:45:11');
INSERT INTO `sys_oper_log` VALUES (1904, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:45:35');
INSERT INTO `sys_oper_log` VALUES (1905, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:48:11');
INSERT INTO `sys_oper_log` VALUES (1906, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:53:23');
INSERT INTO `sys_oper_log` VALUES (1907, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:54:00');
INSERT INTO `sys_oper_log` VALUES (1908, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:56:12');
INSERT INTO `sys_oper_log` VALUES (1909, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:58:29');
INSERT INTO `sys_oper_log` VALUES (1910, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 15:59:18');
INSERT INTO `sys_oper_log` VALUES (1911, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 15:59:45');
INSERT INTO `sys_oper_log` VALUES (1912, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 16:00:26');
INSERT INTO `sys_oper_log` VALUES (1913, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 16:01:15');
INSERT INTO `sys_oper_log` VALUES (1914, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:15:54');
INSERT INTO `sys_oper_log` VALUES (1915, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1700037074440794113,\"createTime\":\"2023-09-08 14:43:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1700037075011219457,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"123\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/08/3_20230908144312A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1700037074440794113,\"createTime\":\"2023-09', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:16:22');
INSERT INTO `sys_oper_log` VALUES (1916, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1700037074440794113', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:18:55');
INSERT INTO `sys_oper_log` VALUES (1917, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"3123\",\"createTime\":\"2023-09-12 17:19:42\",\"creatorId\":1143215441569779712,\"factoryNo\":\"2312312\",\"flowId\":1699989266077683714,\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"11\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"11\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"2023-08-30\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1699989266207707138,\"id\":1701134979879202818,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"12\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:19:43');
INSERT INTO `sys_oper_log` VALUES (1918, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701525986296328194,\"createTime\":\"2023-09-12 17:19:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701525986690592769,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-30\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:19:48');
INSERT INTO `sys_oper_log` VALUES (1919, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701525986296328194', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:21:10');
INSERT INTO `sys_oper_log` VALUES (1920, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701525986296328194,\"createTime\":\"2023-09-12 17:19:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701525986690592769,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-30\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:22:26');
INSERT INTO `sys_oper_log` VALUES (1921, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701525986296328194', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:36:45');
INSERT INTO `sys_oper_log` VALUES (1922, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701525986296328194,\"createTime\":\"2023-09-12 17:19:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701525986690592769,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-30\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:37:12');
INSERT INTO `sys_oper_log` VALUES (1923, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701525986296328194', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:40:55');
INSERT INTO `sys_oper_log` VALUES (1924, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"232\",\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1242\",\"flowId\":1699989266077683714,\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1699989266207707138,\"id\":1701134979879202818,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:41:39');
INSERT INTO `sys_oper_log` VALUES (1925, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:41:46');
INSERT INTO `sys_oper_log` VALUES (1926, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701531506897936386', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:43:59');
INSERT INTO `sys_oper_log` VALUES (1927, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:44:31');
INSERT INTO `sys_oper_log` VALUES (1928, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 17:47:58');
INSERT INTO `sys_oper_log` VALUES (1929, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701531506897936386', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-12 17:59:13');
INSERT INTO `sys_oper_log` VALUES (1930, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-12 18:00:17');
INSERT INTO `sys_oper_log` VALUES (1931, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_flee_record\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 08:52:51');
INSERT INTO `sys_oper_log` VALUES (1932, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"fleeRecord\",\"className\":\"BizFleeRecord\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"id\",\"columnId\":1378,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 08:52:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":87,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Identity\",\"columnComment\":\"标识码\",\"columnId\":1379,\"columnName\":\"identity\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 08:52:51\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"identity\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":87,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ProductId\",\"columnComment\":\"产品id 产品数据模板中 存上 product_id 和 批次 batch_id\",\"columnId\":1380,\"columnName\":\"product_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 08:52:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"productId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":87,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次id\",\"columnId\":1381,\"columnName\":\"batch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 08:52:51\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":fal', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 08:53:45');
INSERT INTO `sys_oper_log` VALUES (1933, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_flee_record\"}', NULL, 0, NULL, '2023-09-13 08:53:49');
INSERT INTO `sys_oper_log` VALUES (1934, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2336,2337,2338,2339,2340,2341,2342,2343,2344,2345,2346,2347,2348,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248,2027,2028,2026,2029,2299],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 08:56:03');
INSERT INTO `sys_oper_log` VALUES (1935, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 08:56:09');
INSERT INTO `sys_oper_log` VALUES (1936, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/fleeRecord/index\",\"createTime\":\"2023-09-13 08:54:51\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2343,\"menuName\":\"商品窜货记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2342,\"path\":\"fleeRecord\",\"perms\":\"business:fleeRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 08:56:24');
INSERT INTO `sys_oper_log` VALUES (1937, '代码生成', 3, 'com.ezhizao.project.tool.gen.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/76,77,78,79,80,81,83,84,85,86', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:15:46');
INSERT INTO `sys_oper_log` VALUES (1938, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.216.55', 'XX XX', '{\"tables\":\"biz_flee_record\"}', NULL, 0, NULL, '2023-09-13 09:15:52');
INSERT INTO `sys_oper_log` VALUES (1939, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.216.55', 'XX XX', '\"biz_region,biz_region_details,biz_region_batch\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:19:34');
INSERT INTO `sys_oper_log` VALUES (1940, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.216.55', 'XX XX', '{\"businessName\":\"region\",\"className\":\"BizRegion\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1413,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":89,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"区域名称\",\"columnId\":1414,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":89,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":1415,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":89,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":1416,\"columnName\":\"remark\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:20:02');
INSERT INTO `sys_oper_log` VALUES (1941, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.216.55', 'XX XX', '{\"businessName\":\"details\",\"className\":\"BizRegionDetails\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1423,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":90,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RegionId\",\"columnComment\":\"区域配置 id\",\"columnId\":1424,\"columnName\":\"region_id\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"regionId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":90,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"AreaCode\",\"columnComment\":\"地区编码\",\"columnId\":1425,\"columnName\":\"area_code\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"areaCode\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":90,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":1426,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":true', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:20:38');
INSERT INTO `sys_oper_log` VALUES (1942, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"name\":\"11\",\"params\":{}},{\"name\":\"大小\",\"params\":{}},{\"name\":\"保质期\",\"params\":{}},{\"name\":\"123\",\"params\":{}}],\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-13 09:20:38\",\"creatorId\":1143215441569779712,\"id\":1701767812238864385,\"linkList\":[],\"name\":\"2\",\"params\":{},\"price\":2,\"productPictures\":\"/profile/upload/2023/09/13/3432943ddf7b8e5e1d54a67b24de2168_20230913090433A001.jpeg,/profile/upload/2023/09/13/9a8e1d8d509f41cf0f828509469644fa_20230913090436A002.jpg,/profile/upload/2023/09/13/370caa3be4ed7dd27ebeb0b6f4eb5947_20230913090441A003.jpg,/profile/upload/2023/09/13/9a8e1d8d509f41cf0f828509469644fa_20230913090446A004.jpg,/profile/upload/2023/09/13/370caa3be4ed7dd27ebeb0b6f4eb5947_20230913090450A005.jpg\",\"tenantId\":106}', NULL, 1, '\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\n### The error may exist in com/ezhizao/project/business/mapper/BizProductMapper.java (best guess)\n### The error may involve com.ezhizao.project.business.mapper.BizProductMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_product  ( id, tenant_id,  price, name,         product_pictures,    content, create_time,  creator_id )  VALUES  ( ?, ?,  ?, ?,         ?,    ?, ?,  ? )\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\n; Data truncation: Data too long for column \'product_pictures\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1', '2023-09-13 09:20:38');
INSERT INTO `sys_oper_log` VALUES (1943, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.216.55', 'XX XX', '{\"businessName\":\"batch\",\"className\":\"BizRegionBatch\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1402,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":88,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RegionId\",\"columnComment\":\"区域配置主键\",\"columnId\":1403,\"columnName\":\"region_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"regionId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":88,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次主键\",\"columnId\":1404,\"columnName\":\"batch_id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":88,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":1405,\"columnName\":\"status\",\"columnType\":\"tinyint(4) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-13 09:19:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:21:01');
INSERT INTO `sys_oper_log` VALUES (1944, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.216.55', 'XX XX', '{\"tables\":\"biz_region\"}', NULL, 0, NULL, '2023-09-13 09:21:06');
INSERT INTO `sys_oper_log` VALUES (1945, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.216.55', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/fleeRecord/index\",\"createTime\":\"2023-09-13 08:54:51\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2343,\"menuName\":\"窜货记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2342,\"path\":\"fleeRecord\",\"perms\":\"business:fleeRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:22:29');
INSERT INTO `sys_oper_log` VALUES (1946, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.216.55', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/region/index\",\"createTime\":\"2023-09-13 09:21:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2349,\"menuName\":\"区域配置\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2342,\"path\":\"region\",\"perms\":\"business:region:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:22:34');
INSERT INTO `sys_oper_log` VALUES (1947, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.216.55', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/region/index\",\"createTime\":\"2023-09-13 09:21:55\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2349,\"menuName\":\"区域配置\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2342,\"path\":\"region\",\"perms\":\"business:region:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:22:55');
INSERT INTO `sys_oper_log` VALUES (1948, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '113.227.216.55', 'XX XX', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/fleeRecord/index\",\"createTime\":\"2023-09-13 08:54:51\",\"icon\":\"log\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2343,\"menuName\":\"窜货记录\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2342,\"path\":\"fleeRecord\",\"perms\":\"business:fleeRecord:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:23:05');
INSERT INTO `sys_oper_log` VALUES (1949, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"name\":\"11\",\"params\":{},\"value\":\"11111111111111111111111111111\"},{\"name\":\"大小\",\"params\":{},\"value\":\"111111111111111111111111111111\"},{\"name\":\"保质期\",\"params\":{},\"value\":\"11111111111111111111111111111111\"},{\"name\":\"123\",\"params\":{},\"value\":\"111111111111111111111111111111\"}],\"content\":\"<p>111111</p>\",\"createTime\":\"2023-09-13 09:24:18\",\"creatorId\":1143215441569779712,\"id\":1701768733945556994,\"linkList\":[],\"name\":\"2\",\"params\":{},\"price\":2,\"productPictures\":\"/profile/upload/2023/09/13/3432943ddf7b8e5e1d54a67b24de2168_20230913090433A001.jpeg,/profile/upload/2023/09/13/9a8e1d8d509f41cf0f828509469644fa_20230913090436A002.jpg,/profile/upload/2023/09/13/370caa3be4ed7dd27ebeb0b6f4eb5947_20230913090441A003.jpg,/profile/upload/2023/09/13/9a8e1d8d509f41cf0f828509469644fa_20230913090446A004.jpg,/profile/upload/2023/09/13/370caa3be4ed7dd27ebeb0b6f4eb5947_20230913090450A005.jpg\",\"tenantId\":106}', NULL, 1, '\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\n### The error may exist in com/ezhizao/project/business/mapper/BizProductMapper.java (best guess)\n### The error may involve com.ezhizao.project.business.mapper.BizProductMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_product  ( id, tenant_id,  price, name,         product_pictures,    content, create_time,  creator_id )  VALUES  ( ?, ?,  ?, ?,         ?,    ?, ?,  ? )\n### Cause: com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1\n; Data truncation: Data too long for column \'product_pictures\' at row 1; nested exception is com.mysql.cj.jdbc.exceptions.MysqlDataTruncation: Data truncation: Data too long for column \'product_pictures\' at row 1', '2023-09-13 09:24:18');
INSERT INTO `sys_oper_log` VALUES (1950, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.216.55', 'XX XX', '{\"tables\":\"biz_region_batch,biz_region,biz_region_details\"}', NULL, 0, NULL, '2023-09-13 09:25:16');
INSERT INTO `sys_oper_log` VALUES (1951, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2336,2337,2338,2339,2340,2341,2342,2343,2344,2345,2346,2347,2348,2349,2350,2351,2352,2353,2354,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248,2027,2028,2026,2029,2299],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:27:54');
INSERT INTO `sys_oper_log` VALUES (1952, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.add()', 'POST', 1, '18640822691', NULL, '/business/region', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 09:43:22\",\"creatorId\":1143215441569779712,\"id\":1701773533529059329,\"name\":\"测试区域1\",\"params\":{},\"remark\":\"1\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:43:23');
INSERT INTO `sys_oper_log` VALUES (1953, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_region\"}', NULL, 0, NULL, '2023-09-13 09:46:43');
INSERT INTO `sys_oper_log` VALUES (1954, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_region_details\"}', NULL, 0, NULL, '2023-09-13 09:46:59');
INSERT INTO `sys_oper_log` VALUES (1955, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_region_details\"}', NULL, 0, NULL, '2023-09-13 09:47:35');
INSERT INTO `sys_oper_log` VALUES (1956, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_region_details\"}', NULL, 0, NULL, '2023-09-13 09:48:56');
INSERT INTO `sys_oper_log` VALUES (1957, '区域配置', 2, 'com.ezhizao.project.business.controller.BizRegionController.edit()', 'PUT', 1, '18640822691', NULL, '/business/region', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 09:43:22\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701773533529059329,\"name\":\"测试区域1\",\"params\":{},\"remark\":\"12\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 09:49:47\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 09:49:48');
INSERT INTO `sys_oper_log` VALUES (1958, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701531506897936386', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 10:02:09');
INSERT INTO `sys_oper_log` VALUES (1959, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 10:02:47');
INSERT INTO `sys_oper_log` VALUES (1960, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 0, NULL, '2023-09-13 10:20:12');
INSERT INTO `sys_oper_log` VALUES (1961, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"测试批次2\",\"createTime\":\"2023-09-13 10:22:49\",\"creatorId\":1143215441569779712,\"factoryNo\":\"23243\",\"flowId\":1699989266077683714,\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1699989266207707138,\"id\":1701134979879202818,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 10:22:49');
INSERT INTO `sys_oper_log` VALUES (1962, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701783461842927617,\"createTime\":\"2023-09-13 10:22:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701783462363021313,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 10:22:53');
INSERT INTO `sys_oper_log` VALUES (1963, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701783461842927617\"}', NULL, 0, NULL, '2023-09-13 10:23:18');
INSERT INTO `sys_oper_log` VALUES (1964, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701531506897936386,1701783461842927617', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 10:47:57');
INSERT INTO `sys_oper_log` VALUES (1965, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 10:50:41');
INSERT INTO `sys_oper_log` VALUES (1966, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701783461842927617,\"createTime\":\"2023-09-13 10:22:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701783462363021313,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 10:50:49');
INSERT INTO `sys_oper_log` VALUES (1967, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701783461842927617\"}', NULL, 0, NULL, '2023-09-13 10:50:55');
INSERT INTO `sys_oper_log` VALUES (1968, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 0, NULL, '2023-09-13 10:50:57');
INSERT INTO `sys_oper_log` VALUES (1969, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"13\",\"createTime\":\"2023-09-13 11:41:57\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1323\",\"flowId\":1701134979770150913,\"flowParams\":[{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[],\"id\":1701134979812093953,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[],\"id\":1701134979916951554,\"name\":\"海外物流\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980021809154,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980026003457,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980030197762,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980034392065,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1701134979988254721,\"name\":\" 国内物流\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 11:41:57');
INSERT INTO `sys_oper_log` VALUES (1970, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701803377207894017', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 11:42:10');
INSERT INTO `sys_oper_log` VALUES (1971, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":5},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":5},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":5}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:38\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":4},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:38\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":4},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:38\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":4},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":17', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 12:00:38');
INSERT INTO `sys_oper_log` VALUES (1972, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":6},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":6},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":6}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:39\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":5},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:39\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":5},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:00:39\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":5},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":17', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 12:00:39');
INSERT INTO `sys_oper_log` VALUES (1973, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:01:21\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":8},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:01:21\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":8}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 12:01:21\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":8}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-13 12:01:21\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-13 12:01:21\",\"updaterId\":1143215441569779712,\"version\":8}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictu', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 12:01:21');
INSERT INTO `sys_oper_log` VALUES (1974, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701531506897936386', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 12:01:42');
INSERT INTO `sys_oper_log` VALUES (1975, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701783461842927617', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 12:01:44');
INSERT INTO `sys_oper_log` VALUES (1976, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 12:02:32');
INSERT INTO `sys_oper_log` VALUES (1977, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701783461842927617,\"createTime\":\"2023-09-13 10:22:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701783462363021313,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 12:03:07');
INSERT INTO `sys_oper_log` VALUES (1978, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701783461842927617\"}', NULL, 0, NULL, '2023-09-13 12:03:17');
INSERT INTO `sys_oper_log` VALUES (1979, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701783461842927617\"}', NULL, 0, NULL, '2023-09-13 12:03:29');
INSERT INTO `sys_oper_log` VALUES (1980, '区域配置', 2, 'com.ezhizao.project.business.controller.BizRegionController.edit()', 'PUT', 1, '18640822691', NULL, '/business/region', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 12:52:09');
INSERT INTO `sys_oper_log` VALUES (1981, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701531506897936386', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 13:34:38');
INSERT INTO `sys_oper_log` VALUES (1982, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701531506897936386,\"createTime\":\"2023-09-12 17:41:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701531507183149057,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":170113', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 13:35:38');
INSERT INTO `sys_oper_log` VALUES (1983, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701803377207894017,\"createTime\":\"2023-09-13 11:41:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1701803377761542146,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1701803377207894017,\"createTime\":\"2023-09-13 11:41:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1701803377761542147,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1701803377207894017,\"createTime\":\"2023-09-13 11:41:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1701803377761542148,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":17011349797701', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 13:36:40');
INSERT INTO `sys_oper_log` VALUES (1984, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701803377207894017\"}', NULL, 0, NULL, '2023-09-13 13:36:59');
INSERT INTO `sys_oper_log` VALUES (1985, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701803377207894017\"}', NULL, 0, NULL, '2023-09-13 13:57:21');
INSERT INTO `sys_oper_log` VALUES (1986, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:25:13');
INSERT INTO `sys_oper_log` VALUES (1987, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:28:24');
INSERT INTO `sys_oper_log` VALUES (1988, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:29:04');
INSERT INTO `sys_oper_log` VALUES (1989, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:31:11');
INSERT INTO `sys_oper_log` VALUES (1990, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:33:25');
INSERT INTO `sys_oper_log` VALUES (1991, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:33:49');
INSERT INTO `sys_oper_log` VALUES (1992, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701531506897936386\"}', NULL, 1, '', '2023-09-13 14:34:11');
INSERT INTO `sys_oper_log` VALUES (1993, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1701773533529059329\' for key \'PRIMARY\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizRegionMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizRegionMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_region  ( id, name, tenant_id, status, create_time, updater_id, creator_id, deleted, version, update_time, remark )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ? )\r\n### Cause: java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1701773533529059329\' for key \'PRIMARY\'\n; Duplicate entry \'1701773533529059329\' for key \'PRIMARY\'; nested exception is java.sql.SQLIntegrityConstraintViolationException: Duplicate entry \'1701773533529059329\' for key \'PRIMARY\'', '2023-09-13 15:18:12');
INSERT INTO `sys_oper_log` VALUES (1994, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'regionId\' in \'where clause\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizRegionBatchMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,region_id,tenant_id,batch_id,status,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_region_batch   WHERE  deleted=0  AND (regionId = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'regionId\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'regionId\' in \'where clause\'', '2023-09-13 15:19:33');
INSERT INTO `sys_oper_log` VALUES (1995, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:20:23');
INSERT INTO `sys_oper_log` VALUES (1996, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:31:58');
INSERT INTO `sys_oper_log` VALUES (1997, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:32:08');
INSERT INTO `sys_oper_log` VALUES (1998, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:32:21');
INSERT INTO `sys_oper_log` VALUES (1999, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:35:31');
INSERT INTO `sys_oper_log` VALUES (2000, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:36:09');
INSERT INTO `sys_oper_log` VALUES (2001, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:37:54');
INSERT INTO `sys_oper_log` VALUES (2002, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:38:32');
INSERT INTO `sys_oper_log` VALUES (2003, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:44:51');
INSERT INTO `sys_oper_log` VALUES (2004, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-13 15:44:58');
INSERT INTO `sys_oper_log` VALUES (2005, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"234\",\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"factoryNo\":\"12312\",\"flowId\":1701148681542103042,\"flowParams\":[{\"createTime\":\"2023-09-11 16:20:26\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701148681542103042,\"flowParamDetails\":[{\"component\":\"el-input-number\",\"createTime\":\"2023-09-11 16:20:26\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701148681542103042,\"flowParamId\":1701148681558880258,\"id\":1701148681592434689,\"name\":\"数字\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1701148681558880258,\"name\":\"数字模版\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1701878712171495425,\"num\":2,\"params\":{},\"productId\":1700046990977593345,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 16:41:19');
INSERT INTO `sys_oper_log` VALUES (2006, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701878712171495425,\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701148681542103042,\"id\":1701878713777913857,\"name\":\"数字模版\",\"params\":{},\"productId\":1700046990977593345,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 16:20:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701148681542103042,\\\"flowParamId\\\":1701148681558880258,\\\"id\\\":1701148681592434689,\\\"name\\\":\\\"数字\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"234\",\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"12312\",\"flowId\":1701148681542103042,\"id\":1701878712171495425,\"mainPicture\":\"\",\"num\":2,\"params\":{},\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-13 16:41:34\",\"updaterId\":1143215441569779712,\"version\":1}', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'product_id\' in \'where clause\'\r\n### The error may exist in file [E:\\project1\\ezhizao_identity_api\\target\\classes\\mybatis\\business\\BizProductBatchItemMapper.xml]\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT * FROM biz_flow_param         WHERE deleted = 0 AND product_id = ?\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'product_id\' in \'where clause\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'product_id\' in \'where clause\'', '2023-09-13 16:41:34');
INSERT INTO `sys_oper_log` VALUES (2007, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701878712171495425,\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701148681542103042,\"id\":1701878713777913857,\"name\":\"数字模版\",\"params\":{},\"productId\":1700046990977593345,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 16:20:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701148681542103042,\\\"flowParamId\\\":1701148681558880258,\\\"id\\\":1701148681592434689,\\\"name\\\":\\\"数字\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"234\",\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"12312\",\"flowId\":1701148681542103042,\"id\":1701878712171495425,\"mainPicture\":\"\",\"num\":2,\"params\":{},\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-13 16:43:45\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 16:43:47');
INSERT INTO `sys_oper_log` VALUES (2008, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701878712171495425', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 16:44:45');
INSERT INTO `sys_oper_log` VALUES (2009, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701878712171495425,\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701148681542103042,\"id\":1701878713777913857,\"name\":\"数字模版\",\"params\":{},\"productId\":1700046990977593345,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input-number\\\",\\\"createTime\\\":\\\"2023-09-11 16:20:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701148681542103042,\\\"flowParamId\\\":1701148681558880258,\\\"id\\\":1701148681592434689,\\\"name\\\":\\\"数字\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"234\",\"createTime\":\"2023-09-13 16:41:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"12312\",\"flowId\":1701148681542103042,\"id\":1701878712171495425,\"mainPicture\":\"\",\"num\":2,\"params\":{},\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-13 16:45:52\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 16:46:23');
INSERT INTO `sys_oper_log` VALUES (2010, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701878712171495425', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 16:53:38');
INSERT INTO `sys_oper_log` VALUES (2011, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"231\",\"createTime\":\"2023-09-13 16:55:09\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1321\",\"flowId\":1699989266077683714,\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"请问\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"请问\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-08 11:34:05\",\"updaterId\":1143215441569779712,\"value\":\"2023-08-31\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1699989266207707138,\"id\":1701134979879202818,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"valu', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 16:55:10');
INSERT INTO `sys_oper_log` VALUES (2012, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 16:55:21');
INSERT INTO `sys_oper_log` VALUES (2013, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 16:58:32');
INSERT INTO `sys_oper_log` VALUES (2014, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 17:02:44');
INSERT INTO `sys_oper_log` VALUES (2015, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:02:53');
INSERT INTO `sys_oper_log` VALUES (2016, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 17:08:43');
INSERT INTO `sys_oper_log` VALUES (2017, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-13 17:08:58');
INSERT INTO `sys_oper_log` VALUES (2018, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 17:30:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":7},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 17:30:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":7},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 17:30:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":7}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 17:30:17\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":6},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 17:30:17\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":6},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-13 17:30:17\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":6},{\"createTime\":\"2023-09-1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:30:18');
INSERT INTO `sys_oper_log` VALUES (2019, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:36\",\"creatorId\":1143215441569779712,\"id\":1701891116087402497,\"logisticsScore\":3.5,\"params\":{},\"productId\":1699236240245256193,\"productScore\":4,\"remark\":\"3243\",\"serveScore\":3.5,\"tenantId\":106,\"userId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:30:36');
INSERT INTO `sys_oper_log` VALUES (2020, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:46\",\"creatorId\":1143215441569779712,\"id\":1701891160169537537,\"logisticsScore\":3,\"params\":{},\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"423\",\"serveScore\":4,\"tenantId\":106,\"userId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:30:47');
INSERT INTO `sys_oper_log` VALUES (2021, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:54\",\"creatorId\":1143215441569779712,\"id\":1701891192427929601,\"logisticsScore\":4,\"params\":{},\"productId\":1699236240245256193,\"productScore\":3,\"serveScore\":5,\"tenantId\":106,\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:30:55');
INSERT INTO `sys_oper_log` VALUES (2022, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 17:32:52');
INSERT INTO `sys_oper_log` VALUES (2023, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:38:45');
INSERT INTO `sys_oper_log` VALUES (2024, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 17:39:21');
INSERT INTO `sys_oper_log` VALUES (2025, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:40:35');
INSERT INTO `sys_oper_log` VALUES (2026, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 17:41:19');
INSERT INTO `sys_oper_log` VALUES (2027, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-13 17:44:01');
INSERT INTO `sys_oper_log` VALUES (2028, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-13 17:44:34');
INSERT INTO `sys_oper_log` VALUES (2029, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 08:41:27');
INSERT INTO `sys_oper_log` VALUES (2030, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 08:44:51');
INSERT INTO `sys_oper_log` VALUES (2031, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 08:44:56');
INSERT INTO `sys_oper_log` VALUES (2032, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 08:45:46');
INSERT INTO `sys_oper_log` VALUES (2033, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 08:47:39');
INSERT INTO `sys_oper_log` VALUES (2034, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 08:50:17');
INSERT INTO `sys_oper_log` VALUES (2035, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 08:50:24');
INSERT INTO `sys_oper_log` VALUES (2036, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 08:57:02');
INSERT INTO `sys_oper_log` VALUES (2037, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 08:57:31');
INSERT INTO `sys_oper_log` VALUES (2038, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 08:57:38');
INSERT INTO `sys_oper_log` VALUES (2039, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"222\",\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"factoryNo\":\"2342\",\"flowId\":1701134979770150913,\"flowParams\":[{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[],\"id\":1701134979812093953,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[],\"id\":1701134979916951554,\"name\":\"海外物流\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980021809154,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"23\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980026003457,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"发\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980030197762,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979988254721,\"id\":1701134980034392065,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"2023-09-14\",\"versi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:12:21');
INSERT INTO `sys_oper_log` VALUES (2040, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 09:12:40');
INSERT INTO `sys_oper_log` VALUES (2041, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:13:31');
INSERT INTO `sys_oper_log` VALUES (2042, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1699982084114804738', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:54:35');
INSERT INTO `sys_oper_log` VALUES (2043, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1699981931861569537', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:54:39');
INSERT INTO `sys_oper_log` VALUES (2044, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1696411597000007682', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:54:44');
INSERT INTO `sys_oper_log` VALUES (2045, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-14 09:55:27\",\"creatorId\":1143215441569779712,\"id\":1702138960887160833,\"logisticsScore\":0,\"params\":{},\"productScore\":0,\"serveScore\":0,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:55:27');
INSERT INTO `sys_oper_log` VALUES (2046, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1702138960887160833', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 09:55:32');
INSERT INTO `sys_oper_log` VALUES (2047, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-14 10:06:37\",\"creatorId\":1143215441569779712,\"id\":1702141772564013057,\"logisticsScore\":0,\"params\":{},\"productScore\":0,\"serveScore\":0,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:06:38');
INSERT INTO `sys_oper_log` VALUES (2048, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1702141772564013057', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:06:41');
INSERT INTO `sys_oper_log` VALUES (2049, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-14 10:08:53\",\"creatorId\":1143215441569779712,\"id\":1702142344373477377,\"logisticsScore\":0,\"params\":{},\"productScore\":0,\"remark\":\"1\",\"serveScore\":0,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:08:54');
INSERT INTO `sys_oper_log` VALUES (2050, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1702142344373477377', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:08:57');
INSERT INTO `sys_oper_log` VALUES (2051, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-14 10:12:35\",\"creatorId\":1143215441569779712,\"id\":1702143273248235521,\"logisticsScore\":3,\"params\":{},\"productId\":1698949094879846402,\"productScore\":3,\"remark\":\"还行\",\"serveScore\":4,\"tenantId\":106,\"userId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:12:36');
INSERT INTO `sys_oper_log` VALUES (2052, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"456\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 10:28:48\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702147356166778882,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 10:28:48\",\"creatorId\":1143215441569779712,\"id\":1702147356271636482,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702147356166778882,\"name\":\"123\",\"params\":{},\"phnoe\":\"123\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"456\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 10:28:48\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702147356166778882,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 10:28:48\",\"creatorId\":1143215441569779712,\"id\":1702147356271636482,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702147356166778882,\"name\":\"123\",\"params\":{},\"phnoe\":\"123\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-09-14 10:28:48');
INSERT INTO `sys_oper_log` VALUES (2053, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"下次\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-14 10:32:32\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702148293375619073,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 10:32:32\",\"creatorId\":1143215441569779712,\"id\":1702148293421756418,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702148293375619073,\"name\":\"阿斯顿\",\"params\":{},\"phnoe\":\"阿三写成\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"下次\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-14 10:32:32\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702148293375619073,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 10:32:32\",\"creatorId\":1143215441569779712,\"id\":1702148293421756418,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702148293375619073,\"name\":\"阿斯顿\",\"params\":{},\"phnoe\":\"阿三写成\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-14 10:32:32');
INSERT INTO `sys_oper_log` VALUES (2054, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702148293375619073', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:32:58');
INSERT INTO `sys_oper_log` VALUES (2055, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702147356166778882', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:33:01');
INSERT INTO `sys_oper_log` VALUES (2056, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 10:35:32\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":8},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 10:35:32\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":8},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 10:35:32\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":8}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 10:35:32\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":7},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 10:35:32\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":7},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 10:35:32\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":7},{\"createTime\":\"2023-09-1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:35:32');
INSERT INTO `sys_oper_log` VALUES (2057, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 10:49:04');
INSERT INTO `sys_oper_log` VALUES (2058, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:49:23');
INSERT INTO `sys_oper_log` VALUES (2059, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 10:53:50');
INSERT INTO `sys_oper_log` VALUES (2060, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:58:24');
INSERT INTO `sys_oper_log` VALUES (2061, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 10:59:34');
INSERT INTO `sys_oper_log` VALUES (2062, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 10:59:46');
INSERT INTO `sys_oper_log` VALUES (2063, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,034 milliseconds ago. The last packet sent successfully to the server was 10,073 milliseconds ago.\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,034 milliseconds ago. The last packet sent successfully to the server was 10,073 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,034 milliseconds ago. The last packet sent successfully to the server was 10,073 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,034 milliseconds ago. The last packet sent successfully to the server was 10,073 milliseconds ago.', '2023-09-14 11:01:12');
INSERT INTO `sys_oper_log` VALUES (2064, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,015 milliseconds ago. The last packet sent successfully to the server was 10,056 milliseconds ago.\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,015 milliseconds ago. The last packet sent successfully to the server was 10,056 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,015 milliseconds ago. The last packet sent successfully to the server was 10,056 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,015 milliseconds ago. The last packet sent successfully to the server was 10,056 milliseconds ago.', '2023-09-14 11:02:53');
INSERT INTO `sys_oper_log` VALUES (2065, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, 'I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Connection reset by peer: socket write error; nested exception is java.net.SocketException: Connection reset by peer: socket write error', '2023-09-14 11:05:23');
INSERT INTO `sys_oper_log` VALUES (2066, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 11:08:05');
INSERT INTO `sys_oper_log` VALUES (2067, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1702128110776430594\"}', NULL, 0, NULL, '2023-09-14 11:09:25');
INSERT INTO `sys_oper_log` VALUES (2068, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:09:45');
INSERT INTO `sys_oper_log` VALUES (2069, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 11:25:29');
INSERT INTO `sys_oper_log` VALUES (2070, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":1693904097549828098,\"categoryName\":\"鸡蛋\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-08 09:32:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699958809204682753,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"manualId\":0,\"name\":\"大力神鸡蛋\",\"onShow\":1,\"params\":{},\"price\":1,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:45:37\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:45:38');
INSERT INTO `sys_oper_log` VALUES (2071, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:45:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":9},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:45:42\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":9}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:45:43\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":9}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:45:43\",\"updaterId\":1143215441569779712,\"version\":9},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:45:43\",\"updaterId\":1143215441569779712,\"version\":9}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload/2023', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:45:43');
INSERT INTO `sys_oper_log` VALUES (2072, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:24\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":9},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:24\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":9},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:24\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":9}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:25\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":8},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:25\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":8},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:25\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":8},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":17', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:48:26');
INSERT INTO `sys_oper_log` VALUES (2073, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:27\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":10},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:27\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":10},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:27\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":10}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:27\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":9},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:27\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":9},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:27\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":9},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:48:28');
INSERT INTO `sys_oper_log` VALUES (2074, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":10},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:53\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":10}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:53\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":10}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:53\",\"updaterId\":1143215441569779712,\"version\":10},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:53\",\"updaterId\":1143215441569779712,\"version\":10}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:48:54');
INSERT INTO `sys_oper_log` VALUES (2075, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":11},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:56\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":11}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:56\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":11}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:56\",\"updaterId\":1143215441569779712,\"version\":11},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:48:56\",\"updaterId\":1143215441569779712,\"version\":11}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:48:57');
INSERT INTO `sys_oper_log` VALUES (2076, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:49:25\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":12},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:49:25\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":12}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 11:49:25\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":12}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:49:25\",\"updaterId\":1143215441569779712,\"version\":12},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 11:49:25\",\"updaterId\":1143215441569779712,\"version\":12}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 11:49:26');
INSERT INTO `sys_oper_log` VALUES (2077, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:04:34');
INSERT INTO `sys_oper_log` VALUES (2078, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:04:59');
INSERT INTO `sys_oper_log` VALUES (2079, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:07:24');
INSERT INTO `sys_oper_log` VALUES (2080, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:08:46');
INSERT INTO `sys_oper_log` VALUES (2081, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:11:11');
INSERT INTO `sys_oper_log` VALUES (2082, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:11:49');
INSERT INTO `sys_oper_log` VALUES (2083, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:12:25');
INSERT INTO `sys_oper_log` VALUES (2084, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:12:37');
INSERT INTO `sys_oper_log` VALUES (2085, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:12:45');
INSERT INTO `sys_oper_log` VALUES (2086, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:15:43');
INSERT INTO `sys_oper_log` VALUES (2087, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:16:00');
INSERT INTO `sys_oper_log` VALUES (2088, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:16:10');
INSERT INTO `sys_oper_log` VALUES (2089, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:17:04');
INSERT INTO `sys_oper_log` VALUES (2090, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:19:27');
INSERT INTO `sys_oper_log` VALUES (2091, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:19:36');
INSERT INTO `sys_oper_log` VALUES (2092, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:19:59');
INSERT INTO `sys_oper_log` VALUES (2093, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:20:10');
INSERT INTO `sys_oper_log` VALUES (2094, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:20:25');
INSERT INTO `sys_oper_log` VALUES (2095, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:20:56');
INSERT INTO `sys_oper_log` VALUES (2096, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 13:22:17');
INSERT INTO `sys_oper_log` VALUES (2097, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:24:37');
INSERT INTO `sys_oper_log` VALUES (2098, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:24:45');
INSERT INTO `sys_oper_log` VALUES (2099, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-14 13:25:00');
INSERT INTO `sys_oper_log` VALUES (2100, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"createTime\":\"2023-09-08 15:22:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1700046990977593345,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"\",\"manualId\":0,\"name\":\"1\",\"onShow\":1,\"params\":{},\"price\":1,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:27:10\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 13:27:11');
INSERT INTO `sys_oper_log` VALUES (2101, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"createTime\":\"2023-09-08 15:22:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1700046990977593345,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"\",\"manualId\":0,\"name\":\"1\",\"onShow\":0,\"params\":{},\"price\":1,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:27:12\",\"updaterId\":1143215441569779712,\"version\":2,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 13:27:13');
INSERT INTO `sys_oper_log` VALUES (2102, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:22\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":13},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:22\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:22\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":13}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:22\",\"updaterId\":1143215441569779712,\"version\":13},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:22\",\"updaterId\":1143215441569779712,\"version\":13}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 13:45:22');
INSERT INTO `sys_oper_log` VALUES (2103, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:23\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":14},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:23\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":14}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:24\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":14}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:24\",\"updaterId\":1143215441569779712,\"version\":14},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-14 13:45:24\",\"updaterId\":1143215441569779712,\"version\":14}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upload', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 13:45:24');
INSERT INTO `sys_oper_log` VALUES (2104, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"123\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-14 14:08:31\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702202647385776130,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:08:31\",\"creatorId\":1143215441569779712,\"id\":1702202647620657153,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702202647385776130,\"name\":\"123\",\"params\":{},\"phnoe\":\"2131\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"123\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-14 14:08:31\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702202647385776130,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:08:31\",\"creatorId\":1143215441569779712,\"id\":1702202647620657153,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702202647385776130,\"name\":\"123\",\"params\":{},\"phnoe\":\"2131\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-14 14:08:32');
INSERT INTO `sys_oper_log` VALUES (2105, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"3213\",\"area\":\"海港区\",\"areaCode\":\"130302\",\"areaList\":[\"130000\",\"130300\",\"130302\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-14 14:09:29\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702202893369667586,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:09:29\",\"creatorId\":1143215441569779712,\"id\":1702202893487108097,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702202893369667586,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-14 14:09:29\",\"creatorId\":1143215441569779712,\"id\":1702202893499691009,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":0,\"params\":{},\"price\":122,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702202893369667586,\"name\":\"123\",\"params\":{},\"phnoe\":\"3123\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"3213\",\"area\":\"海港区\",\"areaCode\":\"130302\",\"areaList\":[\"130000\",\"130300\",\"130302\"],\"city\":\"秦皇岛市\",\"cityCode\":\"130300\",\"createTime\":\"2023-09-14 14:09:29\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702202893369667586,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:09:29\",\"creatorId\":1143215441569779712,\"id\":1702202893487108097,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702202893369667586,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-14 14:09:29\",\"creatorId\":1143215441569779712,\"id\":1702202893499691009,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":0,\"params\":{},\"price\":122,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702202893369667586,\"name\":\"123\",\"params\":{},\"phnoe\":\"3123\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}}', 0, NULL, '2023-09-14 14:09:29');
INSERT INTO `sys_oper_log` VALUES (2106, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"12\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 14:10:49\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702203227940909057,\"name\":\"撒擦的\",\"params\":{},\"phnoe\":\"重叠时\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-14 14:10:49');
INSERT INTO `sys_oper_log` VALUES (2107, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"12\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 14:10:56\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702203256701251585,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:10:56\",\"creatorId\":1143215441569779712,\"id\":1702203256755777538,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702203256701251585,\"name\":\"撒擦的\",\"params\":{},\"phnoe\":\"重叠时\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 14:10:56\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702203256701251585,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:10:56\",\"creatorId\":1143215441569779712,\"id\":1702203256755777538,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702203256701251585,\"name\":\"撒擦的\",\"params\":{},\"phnoe\":\"重叠时\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-09-14 14:10:56');
INSERT INTO `sys_oper_log` VALUES (2108, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"456\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 14:11:25\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702203376821923842,\"createTime\":\"2023-09-14 14:11:25\",\"creatorId\":1143215441569779712,\"id\":1702203376872255489,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702203376821923842,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:11:25\",\"creatorId\":1143215441569779712,\"id\":1702203376880644097,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702203376821923842,\"name\":\"123\",\"params\":{},\"phnoe\":\"12312\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"456\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-14 14:11:25\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702203376821923842,\"createTime\":\"2023-09-14 14:11:25\",\"creatorId\":1143215441569779712,\"id\":1702203376872255489,\"mainPicture\":\"\",\"onShow\":0,\"params\":{},\"price\":1,\"productId\":1700046990977593345,\"productName\":\"1\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702203376821923842,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-14 14:11:25\",\"creatorId\":1143215441569779712,\"id\":1702203376880644097,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702203376821923842,\"name\":\"123\",\"params\":{},\"phnoe\":\"12312\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-09-14 14:11:25');
INSERT INTO `sys_oper_log` VALUES (2109, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 14:45:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":11},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 14:45:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":11},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 14:45:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":11}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 14:45:53\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":10},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 14:45:53\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":10},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 14:45:53\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":10},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 14:45:55');
INSERT INTO `sys_oper_log` VALUES (2110, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 14:47:53');
INSERT INTO `sys_oper_log` VALUES (2111, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 14:48:01');
INSERT INTO `sys_oper_log` VALUES (2112, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,011 milliseconds ago. The last packet sent successfully to the server was 10,104 milliseconds ago.\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,011 milliseconds ago. The last packet sent successfully to the server was 10,104 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,011 milliseconds ago. The last packet sent successfully to the server was 10,104 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,011 milliseconds ago. The last packet sent successfully to the server was 10,104 milliseconds ago.', '2023-09-14 14:51:11');
INSERT INTO `sys_oper_log` VALUES (2113, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, 'I/O error on POST request for \"http://116.204.99.126:8000/identityv2/data/batchCreate\": Connection reset by peer: socket write error; nested exception is java.net.SocketException: Connection reset by peer: socket write error', '2023-09-14 14:54:04');
INSERT INTO `sys_oper_log` VALUES (2114, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,009 milliseconds ago. The last packet sent successfully to the server was 10,074 milliseconds ago.\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,009 milliseconds ago. The last packet sent successfully to the server was 10,074 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,009 milliseconds ago. The last packet sent successfully to the server was 10,074 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,009 milliseconds ago. The last packet sent successfully to the server was 10,074 milliseconds ago.', '2023-09-14 14:54:56');
INSERT INTO `sys_oper_log` VALUES (2115, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 14:56:15');
INSERT INTO `sys_oper_log` VALUES (2116, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 14:57:14');
INSERT INTO `sys_oper_log` VALUES (2117, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,014 milliseconds ago. The last packet sent successfully to the server was 10,050 milliseconds ago.\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,014 milliseconds ago. The last packet sent successfully to the server was 10,050 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,014 milliseconds ago. The last packet sent successfully to the server was 10,050 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,014 milliseconds ago. The last packet sent successfully to the server was 10,050 milliseconds ago.', '2023-09-14 14:57:51');
INSERT INTO `sys_oper_log` VALUES (2118, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 14:57:54');
INSERT INTO `sys_oper_log` VALUES (2119, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 14:58:54');
INSERT INTO `sys_oper_log` VALUES (2120, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 14:59:20');
INSERT INTO `sys_oper_log` VALUES (2121, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 14:59:34');
INSERT INTO `sys_oper_log` VALUES (2122, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 15:00:14');
INSERT INTO `sys_oper_log` VALUES (2123, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 15:04:00');
INSERT INTO `sys_oper_log` VALUES (2124, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 15:08:34');
INSERT INTO `sys_oper_log` VALUES (2125, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 15:08:38');
INSERT INTO `sys_oper_log` VALUES (2126, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 15:09:47');
INSERT INTO `sys_oper_log` VALUES (2127, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 15:26:22');
INSERT INTO `sys_oper_log` VALUES (2128, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 15:26:45');
INSERT INTO `sys_oper_log` VALUES (2129, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 15:36:51');
INSERT INTO `sys_oper_log` VALUES (2130, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 15:39:22');
INSERT INTO `sys_oper_log` VALUES (2131, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 15:40:38');
INSERT INTO `sys_oper_log` VALUES (2132, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 15:41:44');
INSERT INTO `sys_oper_log` VALUES (2133, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:01:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":12},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:01:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":12},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:01:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":12}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:01:40\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":11},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:01:40\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":11},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:01:40\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":11},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:01:42');
INSERT INTO `sys_oper_log` VALUES (2134, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:16:32');
INSERT INTO `sys_oper_log` VALUES (2135, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 16:18:09');
INSERT INTO `sys_oper_log` VALUES (2136, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586306,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586307,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 09:12:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702128111103586308,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809154,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003457,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197762,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:20:46');
INSERT INTO `sys_oper_log` VALUES (2137, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.216.55', 'XX XX', '{\"content\":\"1\",\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839426,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839427,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839428,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839429,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699989266207707138,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699989266731995137,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:24:19');
INSERT INTO `sys_oper_log` VALUES (2138, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779393,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779394,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779395,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 16:30:56');
INSERT INTO `sys_oper_log` VALUES (2139, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1702128110776430594\"}', NULL, 0, NULL, '2023-09-14 16:31:11');
INSERT INTO `sys_oper_log` VALUES (2140, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:31:26');
INSERT INTO `sys_oper_log` VALUES (2141, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779393,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779394,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779395,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 16:32:06');
INSERT INTO `sys_oper_log` VALUES (2142, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:32:11');
INSERT INTO `sys_oper_log` VALUES (2143, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779393,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779394,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:20:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702235926526779395,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:32:30');
INSERT INTO `sys_oper_log` VALUES (2144, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867393,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867394,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867395,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 16:33:36');
INSERT INTO `sys_oper_log` VALUES (2145, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 16:33:41');
INSERT INTO `sys_oper_log` VALUES (2146, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-14 16:33:47');
INSERT INTO `sys_oper_log` VALUES (2147, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867393,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867394,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867395,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 16:37:03');
INSERT INTO `sys_oper_log` VALUES (2148, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867393,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867394,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:32:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702238881111867395,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:39:58');
INSERT INTO `sys_oper_log` VALUES (2149, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758641795073,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758666960898,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758666960899,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 16:45:01');
INSERT INTO `sys_oper_log` VALUES (2150, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758641795073,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758666960898,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758666960899,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 16:45:24');
INSERT INTO `sys_oper_log` VALUES (2151, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758641795073,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758666960898,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:39:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702240758666960899,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:45:36');
INSERT INTO `sys_oper_log` VALUES (2152, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587522,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587523,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587524,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-14 16:45:50');
INSERT INTO `sys_oper_log` VALUES (2153, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.216.55', 'XX XX', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-14 16:52:18\",\"creatorId\":1143215441569779712,\"factoryNo\":\"kdjdhioclm58888\",\"flowId\":1699989266077683714,\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"张三\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"张三测试\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/14/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230914165057A001.jpg,/profile/upload/2023/09/14/Snipaste_2023-07-17_17-54-41_20230914165101A002.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-14\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":169', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 16:52:18');
INSERT INTO `sys_oper_log` VALUES (2154, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1702243866560753665,\"createTime\":\"2023-09-14 16:52:18\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702243866623668225,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"张三\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"张三测试\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/14/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230914165057A001.jpg,/profile/upload/2023/09/14/Snipaste_2023-07-17_17-54-41_20230914165101A002.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":11432154415697', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 16:52:22');
INSERT INTO `sys_oper_log` VALUES (2155, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702243866560753665\"}', NULL, 0, NULL, '2023-09-14 16:52:28');
INSERT INTO `sys_oper_log` VALUES (2156, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.216.55', 'XX XX', '{\"batchNo\":\"qq\",\"createTime\":\"2023-09-14 17:27:13\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1111\",\"flowParams\":[{\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839426,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"ssss\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839427,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"sss\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839428,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"/profile/upload/2023/09/14/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230914172652A006.jpg\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-08 11:33:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"flowParamId\":1699989266207707138,\"id\":1699989266404839429,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-14 16:24:19\",\"updaterId\":1143215441569779712,\"value\":\"2023-09-07\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1699989266207707138,\"id\":1701134979879202818,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 17:27:13');
INSERT INTO `sys_oper_log` VALUES (2157, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1702252654999171073,\"createTime\":\"2023-09-14 17:27:13\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702252655045308417,\"name\":\"原产地\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"ssss\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"sss\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/14/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230914172652A006.jpg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-09-07\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"cr', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 17:27:17');
INSERT INTO `sys_oper_log` VALUES (2158, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702252654999171073\"}', NULL, 0, NULL, '2023-09-14 17:27:24');
INSERT INTO `sys_oper_log` VALUES (2159, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587522,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587523,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587524,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 17:30:56');
INSERT INTO `sys_oper_log` VALUES (2160, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1702128110776430594\"}', NULL, 0, NULL, '2023-09-14 17:31:39');
INSERT INTO `sys_oper_log` VALUES (2161, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 17:31:57');
INSERT INTO `sys_oper_log` VALUES (2162, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587522,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587523,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587524,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-14 17:33:49');
INSERT INTO `sys_oper_log` VALUES (2163, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-14 17:38:02');
INSERT INTO `sys_oper_log` VALUES (2164, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 08:51:30');
INSERT INTO `sys_oper_log` VALUES (2165, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587522,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587523,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-14 16:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702242175108587524,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 08:55:05');
INSERT INTO `sys_oper_log` VALUES (2166, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-15 08:55:05\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702486157726056450,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-15 08:55:05\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702486157726056451,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[]\",\"version\":0},{\"batchId\":1702128110776430594,\"createTime\":\"2023-09-15 08:55:05\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1702486157726056452,\"name\":\" 国内物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980021809200,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"23\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980026003500,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"发\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979988254721,\\\"id\\\":1701134980030197800,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/14/3_20230914091156A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 08:55:23');
INSERT INTO `sys_oper_log` VALUES (2167, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702128110776430594', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 08:56:48');
INSERT INTO `sys_oper_log` VALUES (2168, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 08:57:57');
INSERT INTO `sys_oper_log` VALUES (2169, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 08:58:10');
INSERT INTO `sys_oper_log` VALUES (2170, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 09:45:38');
INSERT INTO `sys_oper_log` VALUES (2171, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 09:51:13');
INSERT INTO `sys_oper_log` VALUES (2172, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 10:03:02');
INSERT INTO `sys_oper_log` VALUES (2173, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:03:24');
INSERT INTO `sys_oper_log` VALUES (2174, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.216.55', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-15 10:12:54');
INSERT INTO `sys_oper_log` VALUES (2175, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1700046990977593345', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:13:03');
INSERT INTO `sys_oper_log` VALUES (2176, '产品手册模板', 2, 'com.ezhizao.project.business.controller.BizManualController.edit()', 'PUT', 1, '18640822691', NULL, '/business/manual', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-08-28 11:43:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696005529308499969,\"manualList\":[\"222\",\"333\",\"444\"],\"name\":\"鸡蛋\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-15 10:14:57\",\"updaterId\":1143215441569779712,\"version\":14}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:14:57');
INSERT INTO `sys_oper_log` VALUES (2177, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702252654999171073\"}', NULL, 0, NULL, '2023-09-15 10:15:41');
INSERT INTO `sys_oper_log` VALUES (2178, '产品评论', 3, 'com.ezhizao.project.business.controller.BizProductReviewController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/review/1694957904853569537', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:21:05');
INSERT INTO `sys_oper_log` VALUES (2179, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 10:25:01');
INSERT INTO `sys_oper_log` VALUES (2180, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 10:25:29');
INSERT INTO `sys_oper_log` VALUES (2181, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:27:04');
INSERT INTO `sys_oper_log` VALUES (2182, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:28:56');
INSERT INTO `sys_oper_log` VALUES (2183, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:30:18');
INSERT INTO `sys_oper_log` VALUES (2184, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 10:32:23');
INSERT INTO `sys_oper_log` VALUES (2185, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:42\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:42\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:42\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":12},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:33:44');
INSERT INTO `sys_oper_log` VALUES (2186, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:53\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:54\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:54\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:33:54\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":12},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:33:55');
INSERT INTO `sys_oper_log` VALUES (2187, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:34:14\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:34:14\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:34:14\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:34:14\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:34:14\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:34:14\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":12},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:34:15');
INSERT INTO `sys_oper_log` VALUES (2188, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:36:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:36:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:36:56\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:36:56\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:36:56\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:36:56\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":12},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:37:42');
INSERT INTO `sys_oper_log` VALUES (2189, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '113.227.216.55', 'XX XX', '\"biz_wx_user\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:38:57');
INSERT INTO `sys_oper_log` VALUES (2190, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '113.227.216.55', 'XX XX', '{\"businessName\":\"user\",\"className\":\"BizWxUser\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1434,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":91,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UnionId\",\"columnComment\":\"unioinid\",\"columnId\":1435,\"columnName\":\"union_id\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"unionId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":91,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"WxUsserName\",\"columnComment\":\"微信用户名\",\"columnId\":1436,\"columnName\":\"wx_usser_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"wxUsserName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":91,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PhoneNumber\",\"columnComment\":\"用户电话\",\"columnId\":1437,\"columnName\":\"phone_number\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"phoneNumber\",\"java', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:40:42');
INSERT INTO `sys_oper_log` VALUES (2191, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '113.227.216.55', 'XX XX', '{\"tables\":\"biz_wx_user\"}', NULL, 0, NULL, '2023-09-15 10:40:48');
INSERT INTO `sys_oper_log` VALUES (2192, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:41:35\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:41:35\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":13},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:41:35\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":13}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:41:35\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:41:35\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":12},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:41:35\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":12},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:41:40');
INSERT INTO `sys_oper_log` VALUES (2193, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:42:46\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":14},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:42:46\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":14},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:42:46\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":14}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:42:46\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":13},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:42:46\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":13},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:42:46\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":13},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:42:48');
INSERT INTO `sys_oper_log` VALUES (2194, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:43:11');
INSERT INTO `sys_oper_log` VALUES (2195, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:44:14');
INSERT INTO `sys_oper_log` VALUES (2196, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-13 16:55:10\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1701882197625548802,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839426,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839427,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839428,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839429,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-08 11:34:05\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:45:36');
INSERT INTO `sys_oper_log` VALUES (2197, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702513966603403265,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 10:45:43');
INSERT INTO `sys_oper_log` VALUES (2198, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:46:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":15},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:46:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":15},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:46:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":15}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:46:06\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":14},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:46:06\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":14},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:46:06\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":14},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:46:56');
INSERT INTO `sys_oper_log` VALUES (2199, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:47:18');
INSERT INTO `sys_oper_log` VALUES (2200, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702203227940909057', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:47:30');
INSERT INTO `sys_oper_log` VALUES (2201, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:45:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702513966603403265,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:47:44');
INSERT INTO `sys_oper_log` VALUES (2202, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702203256701251585,1702202893369667586,1702202647385776130,1699961692042096641,1699961039064461313,1699960962216423425,1699960917085712386,1696454875602067457', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:47:44');
INSERT INTO `sys_oper_log` VALUES (2203, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 10:47:51');
INSERT INTO `sys_oper_log` VALUES (2204, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:48:19\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":16},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:48:19\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":16},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:48:19\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":16}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:48:19\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":15},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:48:19\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":15},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:48:19\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":15},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:48:22');
INSERT INTO `sys_oper_log` VALUES (2205, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 10:51:42');
INSERT INTO `sys_oper_log` VALUES (2206, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 10:52:11');
INSERT INTO `sys_oper_log` VALUES (2207, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:52:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:52:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:52:58\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:52:58\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:52:58\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:52:58\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:53:05');
INSERT INTO `sys_oper_log` VALUES (2208, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:54:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:54:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:54:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:54:39\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:54:39\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 10:54:39\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 10:54:45');
INSERT INTO `sys_oper_log` VALUES (2209, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:03:15\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:03:15\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:03:15\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:03:15\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:03:15\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:03:15\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 11:03:20');
INSERT INTO `sys_oper_log` VALUES (2210, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:21\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:21\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:21\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:21\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:21\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:21\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 11:05:28');
INSERT INTO `sys_oper_log` VALUES (2211, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:33\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:33\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:33\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:33\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:33\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:05:33\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 11:07:20');
INSERT INTO `sys_oper_log` VALUES (2212, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:17\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:17\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:17\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:17\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 11:14:22');
INSERT INTO `sys_oper_log` VALUES (2213, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:45\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:45\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:45\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:45\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:45\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:14:45\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 11:15:33');
INSERT INTO `sys_oper_log` VALUES (2214, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:16:41\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:16:41\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":17},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:16:41\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:16:41\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:16:41\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":16},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:16:41\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":16},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:16:46');
INSERT INTO `sys_oper_log` VALUES (2215, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 11:19:31');
INSERT INTO `sys_oper_log` VALUES (2216, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:22:40');
INSERT INTO `sys_oper_log` VALUES (2217, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 11:26:57');
INSERT INTO `sys_oper_log` VALUES (2218, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:27:13\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":18},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:27:13\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":18},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:27:13\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":18}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:27:14\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":17},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:27:14\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":17},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:27:14\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":17},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:27:19');
INSERT INTO `sys_oper_log` VALUES (2219, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 11:27:38');
INSERT INTO `sys_oper_log` VALUES (2220, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:28:22');
INSERT INTO `sys_oper_log` VALUES (2221, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 11:28:43');
INSERT INTO `sys_oper_log` VALUES (2222, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":19},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":19},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":19}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":18},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":18},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":18},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:29:07');
INSERT INTO `sys_oper_log` VALUES (2223, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:32:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":20},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:32:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":20},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:32:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":20}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:32:38\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":19},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:32:38\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":19},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:32:38\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":19},{\"createTime\":\"2023-09-12 09:25:58\",\"creator', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:32:40');
INSERT INTO `sys_oper_log` VALUES (2224, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":19},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":19},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":19}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":18},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":18},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:29:05\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":18},{\"createTime\":\"202', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-15 11:32:44');
INSERT INTO `sys_oper_log` VALUES (2225, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:33:01\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":21},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:33:01\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":21},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:33:01\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":21}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:33:01\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":20},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:33:01\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":20},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:33:01\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":20},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:33:06');
INSERT INTO `sys_oper_log` VALUES (2226, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:35:22');
INSERT INTO `sys_oper_log` VALUES (2227, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 11:35:55');
INSERT INTO `sys_oper_log` VALUES (2228, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:36:10\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":22},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:36:10\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":22},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:36:10\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":22}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:36:10\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":21},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:36:10\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":21},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:36:10\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":21},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:36:41');
INSERT INTO `sys_oper_log` VALUES (2229, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:40:26');
INSERT INTO `sys_oper_log` VALUES (2230, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 11:41:20');
INSERT INTO `sys_oper_log` VALUES (2231, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:41:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":23},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:41:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":23},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:41:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":23}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:41:52\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":22},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:41:52\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":22},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:41:52\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":22},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:42:21');
INSERT INTO `sys_oper_log` VALUES (2232, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:43:32');
INSERT INTO `sys_oper_log` VALUES (2233, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"洒出\",\"areaList\":[\"all\"],\"createTime\":\"2023-09-15 11:44:06\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702528691885322242,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:44:06\",\"creatorId\":1143215441569779712,\"id\":1702528692191506433,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702528691885322242,\"name\":\"洒出\",\"params\":{},\"phnoe\":\"按市场\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"洒出\",\"areaList\":[\"all\"],\"createTime\":\"2023-09-15 11:44:06\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702528691885322242,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:44:06\",\"creatorId\":1143215441569779712,\"id\":1702528692191506433,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702528691885322242,\"name\":\"洒出\",\"params\":{},\"phnoe\":\"按市场\",\"tenantId\":106}}', 0, NULL, '2023-09-15 11:44:06');
INSERT INTO `sys_oper_log` VALUES (2234, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 11:44:13');
INSERT INTO `sys_oper_log` VALUES (2235, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702528691885322242', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:44:15');
INSERT INTO `sys_oper_log` VALUES (2236, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:44:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":24},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:44:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":24},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:44:52\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":24}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:44:52\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":23},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:44:52\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":23},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:44:52\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":23},{\"createTime\":\"202', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-15 11:45:01');
INSERT INTO `sys_oper_log` VALUES (2237, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"测试\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702529169801097217,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"id\":1702529170056949762,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702529169801097217,\"name\":\"测试\",\"params\":{},\"phnoe\":\"测试\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702529169801097217,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"id\":1702529170056949762,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702529169801097217,\"name\":\"测试\",\"params\":{},\"phnoe\":\"测试\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 11:46:00');
INSERT INTO `sys_oper_log` VALUES (2238, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"测试\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702529169801097217,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702529170056949762,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:17\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702529169801097217,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 11:46:17\",\"creatorId\":1143215441569779712,\"id\":1702529243889283073,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒1\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702529169801097217,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"测试\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:17\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702529169801097217,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702529170056949762,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:17\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702529169801097217,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 11:46:17\",\"creatorId\":1143215441569779712,\"id\":1702529243889283073,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒1\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702529169801097217,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"测试\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:17\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-15 11:46:17');
INSERT INTO `sys_oper_log` VALUES (2239, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"测试\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702529169801097217,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702529170056949762,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:37\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1702529169801097217,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 11:46:17\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702529243889283073,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒1\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:37\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702529169801097217,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 11:46:37\",\"creatorId\":1143215441569779712,\"id\":1702529324365393921,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702529169801097217,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"测试\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:36\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702529169801097217,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 11:46:00\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702529170056949762,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:37\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1702529169801097217,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 11:46:17\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702529243889283073,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒1\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:37\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702529169801097217,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 11:46:37\",\"creatorId\":1143215441569779712,\"id\":1702529324365393921,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702529169801097217,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"测试\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:46:36\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-15 11:46:37');
INSERT INTO `sys_oper_log` VALUES (2240, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:47:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":24},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:47:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":24},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:47:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":24}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:47:28\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":23},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:47:28\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":23},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:47:28\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":23},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:47:56');
INSERT INTO `sys_oper_log` VALUES (2241, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:48:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":25},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:48:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":25},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:48:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":25}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:48:42\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":24},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:48:42\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":24},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:48:42\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":24},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:49:28');
INSERT INTO `sys_oper_log` VALUES (2242, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:53:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":26},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:53:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":26},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:53:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":26}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:53:40\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":25},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:53:40\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":25},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:53:40\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":25},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:54:06');
INSERT INTO `sys_oper_log` VALUES (2243, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:54:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":27},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:54:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":27},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:54:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":27}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:54:36\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":26},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:54:36\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":26},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:54:36\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":26},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:55:08');
INSERT INTO `sys_oper_log` VALUES (2244, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:56:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":28},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:56:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":28},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:56:39\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":28}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:56:39\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":27},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:56:39\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":27},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 11:56:39\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":27},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 11:57:10');
INSERT INTO `sys_oper_log` VALUES (2245, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 11:58:24');
INSERT INTO `sys_oper_log` VALUES (2246, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702252654999171073\"}', NULL, 0, NULL, '2023-09-15 12:54:19');
INSERT INTO `sys_oper_log` VALUES (2247, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702243866560753665\"}', NULL, 0, NULL, '2023-09-15 12:55:00');
INSERT INTO `sys_oper_log` VALUES (2248, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702252654999171073\"}', NULL, 0, NULL, '2023-09-15 12:55:34');
INSERT INTO `sys_oper_log` VALUES (2249, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:02\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":15},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:02\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":15}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:02\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":15}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:02\",\"updaterId\":1143215441569779712,\"version\":15},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:02\",\"updaterId\":1143215441569779712,\"version\":15}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾222\",\"onShow\":0,\"params\":{},\"price\":123,\"prod', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 13:07:02');
INSERT INTO `sys_oper_log` VALUES (2250, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:25\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":29},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:25\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":29},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:25\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":29}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:25\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":28},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:25\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":28},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:07:25\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":28},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 13:07:27');
INSERT INTO `sys_oper_log` VALUES (2251, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 13:12:37');
INSERT INTO `sys_oper_log` VALUES (2252, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 13:13:13');
INSERT INTO `sys_oper_log` VALUES (2253, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'scan_num\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'scan_num\' in \'field list\'', '2023-09-15 13:14:33');
INSERT INTO `sys_oper_log` VALUES (2254, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Unknown column \'scan_num\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.BatchUpdateException: Unknown column \'scan_num\' in \'field list\'', '2023-09-15 13:14:38');
INSERT INTO `sys_oper_log` VALUES (2255, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.216.55', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-15 13:20:55');
INSERT INTO `sys_oper_log` VALUES (2256, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"params\":{},\"productId\":1697133026171527170,\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:25:18\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"params\":{},\"productId\":1698539469055467522,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:25:18\",\"updaterId\":1143215441569779712,\"version\":3}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:25:18\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"params\":{},\"productId\":1697133026171527170,\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:25:18\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"params\":{},\"productId\":1698539469055467522,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:25:18\",\"updaterId\":1143215441569779712,\"version\":3}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:25:18\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-15 13:25:18');
INSERT INTO `sys_oper_log` VALUES (2257, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.216.55', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-15 13:26:17');
INSERT INTO `sys_oper_log` VALUES (2258, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:26:39\",\"updaterId\":1143215441569779712,\"version\":4},{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"params\":{},\"productId\":1698539469055467522,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:26:39\",\"updaterId\":1143215441569779712,\"version\":4}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:26:39\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:26:39\",\"updaterId\":1143215441569779712,\"version\":4},{\"branchId\":1696450555120779266,\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"params\":{},\"productId\":1698539469055467522,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:26:39\",\"updaterId\":1143215441569779712,\"version\":4}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:26:39\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-15 13:26:39');
INSERT INTO `sys_oper_log` VALUES (2259, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:27:02\",\"updaterId\":1143215441569779712,\"version\":5},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:27:02\",\"updaterId\":1143215441569779712,\"version\":5},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:27:02\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:27:02\",\"updaterId\":1143215441569779712,\"version\":5},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:27:02\",\"updaterId\":1143215441569779712,\"version\":5},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 13:27:02\",\"updaterId\":1143215441569779712,\"version\":6}}', 0, NULL, '2023-09-15 13:27:02');
INSERT INTO `sys_oper_log` VALUES (2260, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":6},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":6},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":7}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":6},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":6},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1696450555120779266,\"latitude\":101,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:31:06\",\"updaterId\":1143215441569779712,\"version\":7}}', 0, NULL, '2023-09-15 14:31:06');
INSERT INTO `sys_oper_log` VALUES (2261, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.216.55', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-15 14:31:15');
INSERT INTO `sys_oper_log` VALUES (2262, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.216.55', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-15 14:31:33');
INSERT INTO `sys_oper_log` VALUES (2263, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.216.55', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-15 14:31:55');
INSERT INTO `sys_oper_log` VALUES (2264, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":7},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":7},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1696450555120779266,\"latitude\":121,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":7},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":7},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1696450555120779266,\"latitude\":121,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:32:17\",\"updaterId\":1143215441569779712,\"version\":8}}', 0, NULL, '2023-09-15 14:32:17');
INSERT INTO `sys_oper_log` VALUES (2265, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.81224912405014,\"longitude\":40.19933042879484,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-15 14:34:16\",\"updaterId\":1143215441569779712,\"version\":15}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.81224912405014,\"longitude\":40.19933042879484,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-15 14:34:16\",\"updaterId\":1143215441569779712,\"version\":15}}', 0, NULL, '2023-09-15 14:34:16');
INSERT INTO `sys_oper_log` VALUES (2266, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.81224912405014,\"longitude\":40.19933042879484,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-15 14:34:21\",\"updaterId\":1143215441569779712,\"version\":16}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.81224912405014,\"longitude\":40.19933042879484,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-15 14:34:21\",\"updaterId\":1143215441569779712,\"version\":16}}', 0, NULL, '2023-09-15 14:34:21');
INSERT INTO `sys_oper_log` VALUES (2267, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.79296672344208,\"longitude\":40.199854889057676,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-15 14:41:24\",\"updaterId\":1143215441569779712,\"version\":17}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.79296672344208,\"longitude\":40.199854889057676,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/06/微信图片_20230201095530_20230906105138A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-15 14:41:24\",\"updaterId\":1143215441569779712,\"version\":17}}', 0, NULL, '2023-09-15 14:41:23');
INSERT INTO `sys_oper_log` VALUES (2268, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":8},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":8},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":3}],\"id\":1696450555120779266,\"latitude\":121,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":9}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"1\",\"area\":\"河东区\",\"areaCode\":\"120102\",\"areaList\":[\"120000\",\"120100\",\"120102\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1696450555120779266,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626753,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"fd\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":8},{\"branchId\":1696450555120779266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-08-29 17:11:45\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1696450555527626754,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":8},{\"branchId\":1696450555120779266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 13:27:02\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702554597802651649,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":3}],\"id\":1696450555120779266,\"latitude\":121,\"longitude\":38,\"name\":\"1\",\"params\":{},\"phnoe\":\"1\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:46:44\",\"updaterId\":1143215441569779712,\"version\":9}}', 0, NULL, '2023-09-15 14:46:43');
INSERT INTO `sys_oper_log` VALUES (2269, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:50:17\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702575549328404481,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:50:18\",\"creatorId\":1143215441569779712,\"id\":1702575550561529857,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702575549328404481,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:50:18\",\"creatorId\":1143215441569779712,\"id\":1702575550561529858,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702575549328404481,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:50:18\",\"creatorId\":1143215441569779712,\"id\":1702575550561529859,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702575549328404481,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:50:17\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702575549328404481,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:50:18\",\"creatorId\":1143215441569779712,\"id\":1702575550561529857,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702575549328404481,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:50:18\",\"creatorId\":1143215441569779712,\"id\":1702575550561529858,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702575549328404481,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:50:18\",\"creatorId\":1143215441569779712,\"id\":1702575550561529859,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702575549328404481,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 14:50:17');
INSERT INTO `sys_oper_log` VALUES (2270, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:51:55\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702575957916528642,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-15 14:51:55');
INSERT INTO `sys_oper_log` VALUES (2271, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702575994352447490,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"id\":1702575994545385474,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702575994352447490,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"id\":1702575994545385475,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702575994352447490,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"id\":1702575994545385476,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702575994352447490,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702575994352447490,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"id\":1702575994545385474,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702575994352447490,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"id\":1702575994545385475,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702575994352447490,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:52:04\",\"creatorId\":1143215441569779712,\"id\":1702575994545385476,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702575994352447490,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 14:52:03');
INSERT INTO `sys_oper_log` VALUES (2272, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:54:18\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702576556749893634,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-15 14:54:17');
INSERT INTO `sys_oper_log` VALUES (2273, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702576628027895810,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"id\":1702576628287942658,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702576628027895810,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"id\":1702576628287942659,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702576628027895810,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"id\":1702576628287942660,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702576628027895810,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702576628027895810,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"id\":1702576628287942658,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702576628027895810,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"id\":1702576628287942659,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702576628027895810,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:54:35\",\"creatorId\":1143215441569779712,\"id\":1702576628287942660,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702576628027895810,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 14:54:34');
INSERT INTO `sys_oper_log` VALUES (2274, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702576556749893634', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 14:54:44');
INSERT INTO `sys_oper_log` VALUES (2275, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1702576628027895810', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 14:54:46');
INSERT INTO `sys_oper_log` VALUES (2276, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702576798782205954,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"id\":1702576798975143938,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702576798782205954,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"id\":1702576798975143939,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702576798782205954,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"id\":1702576798975143940,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702576798782205954,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702576798782205954,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"id\":1702576798975143938,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702576798782205954,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"id\":1702576798975143939,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702576798782205954,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:55:15\",\"creatorId\":1143215441569779712,\"id\":1702576798975143940,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702576798782205954,\"latitude\":116,\"longitude\":39,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 14:55:15');
INSERT INTO `sys_oper_log` VALUES (2277, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702577451055296514,\"latitude\":116.3616943359375,\"longitude\":39.91658293581713,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702577451055296514,\"latitude\":116.3616943359375,\"longitude\":39.91658293581713,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 14:57:51');
INSERT INTO `sys_oper_log` VALUES (2278, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 14:58:32\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-15 14:58:32');
INSERT INTO `sys_oper_log` VALUES (2279, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"22\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:00:36\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702578142771523585,\"latitude\":116.38967514038086,\"longitude\":39.92790482439277,\"name\":\"22\",\"params\":{},\"phnoe\":\"22\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-15 15:00:36');
INSERT INTO `sys_oper_log` VALUES (2280, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"22\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:00:43\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702578173452857345,\"latitude\":116.38967514038086,\"longitude\":39.92790482439277,\"name\":\"22\",\"params\":{},\"phnoe\":\"22\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-15 15:00:43');
INSERT INTO `sys_oper_log` VALUES (2281, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"22\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702578392739459073,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"id\":1702578392999505922,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702578392739459073,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"id\":1702578392999505923,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702578392739459073,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"id\":1702578392999505924,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702578392739459073,\"latitude\":116.38967514038086,\"longitude\":39.92790482439277,\"name\":\"22\",\"params\":{},\"phnoe\":\"22\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"22\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1702578392739459073,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"id\":1702578392999505922,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":0,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1702578392739459073,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"id\":1702578392999505923,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1702578392739459073,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 15:01:35\",\"creatorId\":1143215441569779712,\"id\":1702578392999505924,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1702578392739459073,\"latitude\":116.38967514038086,\"longitude\":39.92790482439277,\"name\":\"22\",\"params\":{},\"phnoe\":\"22\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 15:01:35');
INSERT INTO `sys_oper_log` VALUES (2282, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 10:47:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702514504908767233,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 15:01:55');
INSERT INTO `sys_oper_log` VALUES (2283, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'flee_num\' doesn\'t have a default value\n; Field \'flee_num\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'flee_num\' doesn\'t have a default value', '2023-09-15 15:01:57');
INSERT INTO `sys_oper_log` VALUES (2284, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value\n; Field \'last_latitude\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value', '2023-09-15 15:02:33');
INSERT INTO `sys_oper_log` VALUES (2285, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value\n; Field \'last_latitude\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value', '2023-09-15 15:03:11');
INSERT INTO `sys_oper_log` VALUES (2286, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702579050762817537,\"latitude\":116.40666961669922,\"longitude\":39.92224411411874,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1702579050762817537,\"latitude\":116.40666961669922,\"longitude\":39.92224411411874,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-15 15:04:12');
INSERT INTO `sys_oper_log` VALUES (2287, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value\n; Field \'last_latitude\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value', '2023-09-15 15:04:58');
INSERT INTO `sys_oper_log` VALUES (2288, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', NULL, 1, 'com.ezhizao.project.business.mapper.BizProductBatchItemMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value\n; Field \'last_latitude\' doesn\'t have a default value; nested exception is java.sql.BatchUpdateException: Field \'last_latitude\' doesn\'t have a default value', '2023-09-15 15:05:03');
INSERT INTO `sys_oper_log` VALUES (2289, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 15:10:30');
INSERT INTO `sys_oper_log` VALUES (2290, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 15:10:44');
INSERT INTO `sys_oper_log` VALUES (2291, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', NULL, 1, '\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'area_code_list\' in \'field list\'\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchItemMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT  id,tenant_id,flow_id,batch_id,product_id,identity,identity_qc_code,status,scan_num,identification_num,trace_num,flee_num,first_latitude,first_longitude,last_latitude,last_longitude,area_code_list,create_time,updater_id,creator_id,deleted,version,update_time,remark  FROM biz_product_batch_item   WHERE  deleted=0  AND (batch_id = ?)\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'area_code_list\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'area_code_list\' in \'field list\'', '2023-09-15 15:10:51');
INSERT INTO `sys_oper_log` VALUES (2292, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 15:12:14');
INSERT INTO `sys_oper_log` VALUES (2293, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 15:17:34');
INSERT INTO `sys_oper_log` VALUES (2294, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 15:17:49');
INSERT INTO `sys_oper_log` VALUES (2295, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1702243866560753665\"}', NULL, 0, NULL, '2023-09-15 15:20:27');
INSERT INTO `sys_oper_log` VALUES (2296, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 15:20:59');
INSERT INTO `sys_oper_log` VALUES (2297, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 1, '', '2023-09-15 15:21:51');
INSERT INTO `sys_oper_log` VALUES (2298, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 15:22:19');
INSERT INTO `sys_oper_log` VALUES (2299, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-15 15:22:55');
INSERT INTO `sys_oper_log` VALUES (2300, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 15:31:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":30},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 15:31:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":30},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 15:31:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":30}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 15:31:36\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":29},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 15:31:36\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":29},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-15 15:31:36\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":29},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 15:31:36');
INSERT INTO `sys_oper_log` VALUES (2301, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.216.55', 'XX XX', '{\"content\":\"1\",\"createTime\":\"2023-09-08 11:33:19\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839426,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839427,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839428,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1699989266404839429,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1699989266207707138,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1699989266731995137,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 15:32:48');
INSERT INTO `sys_oper_log` VALUES (2302, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-15 15:35:18');
INSERT INTO `sys_oper_log` VALUES (2303, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.216.55', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1701882196497281026,\"createTime\":\"2023-09-15 15:01:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1699989266077683714,\"id\":1702578465100271617,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"请问\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"/profile/upload/2023/09/13/4_20230913165452A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-08 11:33:20\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1699989266077683714,\\\"flowParamId\\\":1699989266207707138,\\\"id\\\":1699989266404839400,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-14 16:24:19\\\",\\\"updaterId\\\":1143215441569779712,\\\"value\\\":\\\"2023-08-31\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-11 15:25:59\\\",\\\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-15 15:45:55');
INSERT INTO `sys_oper_log` VALUES (2304, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1701882196497281026\"}', NULL, 1, '', '2023-09-15 17:09:54');
INSERT INTO `sys_oper_log` VALUES (2305, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:33\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":31},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:33\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":31},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:33\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":31}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:33\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":30},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:33\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":30},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:33\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":30},{\"createTime\":\"2023-09-12 09:25:58\",\"creator', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 09:17:33');
INSERT INTO `sys_oper_log` VALUES (2306, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:35\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":32},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:35\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":32},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:35\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":32}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:35\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":31},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:35\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":31},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:35\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":31},{\"createTime\":\"2023-09-12 09:25:58\",\"creator', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 09:17:35');
INSERT INTO `sys_oper_log` VALUES (2307, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:38\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":16},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:38\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":16}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:38\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":16}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:38\",\"updaterId\":1143215441569779712,\"version\":16},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:38\",\"updaterId\":1143215441569779712,\"version\":16}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾222\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upl', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 09:17:38');
INSERT INTO `sys_oper_log` VALUES (2308, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:40\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":17},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:40\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":17}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:40\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":17}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:40\",\"updaterId\":1143215441569779712,\"version\":17},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:40\",\"updaterId\":1143215441569779712,\"version\":17}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾222\",\"onShow\":0,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upl', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 09:17:40');
INSERT INTO `sys_oper_log` VALUES (2309, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.216.55', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115054448641,\"name\":\"23\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:42\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/05/6_20230905143929A002.jpeg\",\"version\":18},{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949115121557506,\"name\":\"无视对方\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:42\",\"updaterId\":1143215441569779712,\"url\":\"\",\"version\":18}],\"bizProductParamList\":[{\"createTime\":\"2023-09-05 14:40:08\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949115989778433,\"name\":\"132\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:42\",\"updaterId\":1143215441569779712,\"value\":\"qwe\",\"version\":18}],\"categoryId\":1693904050275827713,\"categoryName\":\"小龙虾\",\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-05 14:40:03\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1698949094879846402,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206978,\"link\":\"123\",\"name\":\"淘宝\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:42\",\"updaterId\":1143215441569779712,\"version\":18},{\"createTime\":\"2023-09-05 14:40:09\",\"creatorId\":1693904050275827713,\"deleted\":0,\"id\":1698949117294206980,\"link\":\"\",\"name\":\"拼多多\",\"params\":{},\"productId\":1698949094879846402,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:17:42\",\"updaterId\":1143215441569779712,\"version\":18}],\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"manualId\":1696045891964170241,\"name\":\"麻辣小龙虾222\",\"onShow\":1,\"params\":{},\"price\":123,\"productPictures\":\"/profile/upl', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 09:17:42');
INSERT INTO `sys_oper_log` VALUES (2310, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.216.55', 'XX XX', '{\"areaNum\":100,\"areaSwitch\":false,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":230,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:21:14\",\"updaterId\":1143215441569779712,\"version\":7}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"areaSwitch\":false,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":230,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:21:14\",\"updaterId\":1143215441569779712,\"version\":7}}', 0, NULL, '2023-09-18 09:21:14');
INSERT INTO `sys_oper_log` VALUES (2311, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.216.55', 'XX XX', '{\"areaNum\":100,\"areaSwitch\":true,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":230,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:31:09\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":100,\"areaSwitch\":true,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distanceSwitch\":true,\"id\":1701168948675706881,\"maxDistance\":1000,\"minDistance\":700,\"params\":{},\"personNum\":230,\"personSwitch\":true,\"remark\":\"\",\"tenantId\":106,\"updateTime\":\"2023-09-18 09:31:09\",\"updaterId\":1143215441569779712,\"version\":8}}', 0, NULL, '2023-09-18 09:31:09');
INSERT INTO `sys_oper_log` VALUES (2312, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:25\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-18 10:19:25');
INSERT INTO `sys_oper_log` VALUES (2313, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110465,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:35\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-18 10:19:35');
INSERT INTO `sys_oper_log` VALUES (2314, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:49\",\"updaterId\":1143215441569779712,\"version\":4},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:49\",\"updaterId\":1143215441569779712,\"version\":4}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:49\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:49\",\"updaterId\":1143215441569779712,\"version\":4},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:49\",\"updaterId\":1143215441569779712,\"version\":4}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:19:49\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-18 10:19:49');
INSERT INTO `sys_oper_log` VALUES (2315, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:00\",\"updaterId\":1143215441569779712,\"version\":5},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:00\",\"updaterId\":1143215441569779712,\"version\":5}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:00\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:00\",\"updaterId\":1143215441569779712,\"version\":5},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:00\",\"updaterId\":1143215441569779712,\"version\":5}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:00\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-18 10:25:00');
INSERT INTO `sys_oper_log` VALUES (2316, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:11\",\"updaterId\":1143215441569779712,\"version\":6},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:11\",\"updaterId\":1143215441569779712,\"version\":6}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:11\",\"updaterId\":1143215441569779712,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"12\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702577451055296514,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110466,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:11\",\"updaterId\":1143215441569779712,\"version\":6},{\"branchId\":1702577451055296514,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-15 14:57:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702577451634110467,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:11\",\"updaterId\":1143215441569779712,\"version\":6}],\"id\":1702577451055296514,\"latitude\":116.40718460083008,\"longitude\":39.921980813878044,\"name\":\"12\",\"params\":{},\"phnoe\":\"12\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:25:11\",\"updaterId\":1143215441569779712,\"version\":6}}', 0, NULL, '2023-09-18 10:25:11');
INSERT INTO `sys_oper_log` VALUES (2317, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702579050762817537,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 10:43:41\",\"creatorId\":1143215441569779712,\"id\":1703600650295226370,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702579050762817537,\"latitude\":116.40666961669922,\"longitude\":39.92224411411874,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:43:41\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702579050762817537,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 10:43:41\",\"creatorId\":1143215441569779712,\"id\":1703600650295226370,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1702579050762817537,\"latitude\":116.40666961669922,\"longitude\":39.92224411411874,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:43:41\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-18 10:43:41');
INSERT INTO `sys_oper_log` VALUES (2318, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[],\"id\":1702579050762817537,\"latitude\":116.40666961669922,\"longitude\":39.92224411411874,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:43:48\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[],\"id\":1702579050762817537,\"latitude\":116.40666961669922,\"longitude\":39.92224411411874,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 10:43:48\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-18 10:43:48');
INSERT INTO `sys_oper_log` VALUES (2319, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.216.55', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-18 11:13:16');
INSERT INTO `sys_oper_log` VALUES (2320, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"email\":\"1204865203@qq.com\",\"ids\":[],\"nickName\":\"test\",\"params\":{},\"phonenumber\":\"13333333333\",\"postIds\":[],\"roleIds\":[],\"sex\":\"2\",\"status\":\"0\",\"userId\":1143215441569779722,\"userName\":\"test\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-18 11:13:17');
INSERT INTO `sys_oper_log` VALUES (2321, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"deptId\":1143215441569779722,\"email\":\"1204865203@qq.com\",\"ids\":[],\"nickName\":\"测试1\",\"params\":{},\"phonenumber\":\"13998596750\",\"postIds\":[],\"roleIds\":[],\"sex\":\"1\",\"status\":\"0\",\"userName\":\"测试1\"}', '{\"msg\":\"新增用户\'测试1\'失败，邮箱账号已存在\",\"code\":500}', 0, NULL, '2023-09-18 11:14:50');
INSERT INTO `sys_oper_log` VALUES (2322, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"email\":\"12048@qq.com\",\"ids\":[],\"nickName\":\"测试1\",\"params\":{},\"phonenumber\":\"13998596750\",\"postIds\":[],\"roleIds\":[],\"sex\":\"1\",\"status\":\"0\",\"userId\":1143215441569779723,\"userName\":\"测试1\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-18 11:15:06');
INSERT INTO `sys_oper_log` VALUES (2323, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"deptId\":1143215441569779722,\"email\":\"12048@qq.com\",\"ids\":[],\"nickName\":\"测试1\",\"params\":{},\"phonenumber\":\"13998596750\",\"postIds\":[],\"roleIds\":[],\"sex\":\"1\",\"status\":\"0\",\"userName\":\"测试1\"}', '{\"msg\":\"新增用户\'测试1\'失败，手机号码已存在\",\"code\":500}', 0, NULL, '2023-09-18 11:15:32');
INSERT INTO `sys_oper_log` VALUES (2324, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779722,\"email\":\"120468@qq.com\",\"ids\":[],\"nickName\":\"测试1\",\"params\":{},\"phonenumber\":\"13998596751\",\"postIds\":[5],\"roleIds\":[103],\"sex\":\"1\",\"status\":\"0\",\"userId\":1143215441569779724,\"userName\":\"测试1\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-18 11:16:07');
INSERT INTO `sys_oper_log` VALUES (2325, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"deptId\":1143215441569779722,\"email\":\"120468@qq.com\",\"ids\":[],\"nickName\":\"测试1\",\"params\":{},\"phonenumber\":\"13998596751\",\"postIds\":[5],\"roleIds\":[103],\"sex\":\"1\",\"status\":\"0\",\"userName\":\"测试1\"}', '{\"msg\":\"新增用户\'测试1\'失败，手机号码已存在\",\"code\":500}', 0, NULL, '2023-09-18 11:17:48');
INSERT INTO `sys_oper_log` VALUES (2326, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-18 11:11:21\",\"loginIp\":\"113.227.216.55\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[101,103,104,105,106],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":106,\"roleKey\":\"tester-4\",\"roleName\":\"测试角色-4\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:20:02');
INSERT INTO `sys_oper_log` VALUES (2327, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.216.55', 'XX XX', '{\"admin\":false,\"avatar\":\"/profile/avatar/2023/09/07/blob_20230907144103A001.png\",\"createBy\":\"\",\"createTime\":\"2023-08-21 16:10:03\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":1143215441569779713,\"deptName\":\"大连真材实料科技有限公司\",\"orderNum\":0,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginDate\":\"2023-09-18 11:11:21\",\"loginIp\":\"113.227.216.55\",\"nickName\":\"大连真材实料科技有限公司\",\"params\":{},\"phonenumber\":\"18640822691\",\"postIds\":[],\"roleIds\":[101,103,104,105,106,2],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"slae\",\"roleName\":\"营销部长\",\"roleSort\":1,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":103,\"roleKey\":\"tester-1\",\"roleName\":\"测试角色\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":106,\"roleKey\":\"tester-4\",\"roleName\":\"测试角色-4\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":630,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"userType\":\"01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:20:14');
INSERT INTO `sys_oper_log` VALUES (2328, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.216.55', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-18 11:23:05');
INSERT INTO `sys_oper_log` VALUES (2329, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2049,2050,2051,2052,2053,2298,2330,2331,2332,2333,2334,2335,2324,2325,2326,2327,2328,2329,2336,2337,2338,2339,2340,2341,2318,2319,2320,2321,2322,2323,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2342,2349,2350,2351,2352,2353,2354,2343,2344,2345,2346,2347,2348,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2210,2249,2267,2268,2269,2270,2271,2272,2250,2261,2262,2263,2264,2265,2266,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2286,2287,2288,2289,2290,2291,2274,2275,2276,2277,2278,2279,2292,2293,2294,2295,2296,2297,2280,2281,2282,2283,2284,2285,2201,2202,2203,2242,2244,2243,2245,2246,2247,2248],\"params\":{},\"roleKey\":\"tester\",\"roleName\":\"测试leader\",\"roleSort\":2,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"新增角色\'测试leader\'失败，角色权限已存在\",\"code\":500}', 0, NULL, '2023-09-18 11:30:12');
INSERT INTO `sys_oper_log` VALUES (2330, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2049,2050,2051,2052,2053,2298,2330,2331,2332,2333,2334,2335,2324,2325,2326,2327,2328,2329,2336,2337,2338,2339,2340,2341,2318,2319,2320,2321,2322,2323,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2342,2349,2350,2351,2352,2353,2354,2343,2344,2345,2346,2347,2348,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2210,2249,2267,2268,2269,2270,2271,2272,2250,2261,2262,2263,2264,2265,2266,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2286,2287,2288,2289,2290,2291,2274,2275,2276,2277,2278,2279,2292,2293,2294,2295,2296,2297,2280,2281,2282,2283,2284,2285,2201,2202,2203,2242,2244,2243,2245,2246,2247,2248],\"params\":{},\"roleKey\":\"tester\",\"roleName\":\"测试leader\",\"roleSort\":2,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"新增角色\'测试leader\'失败，角色权限已存在\",\"code\":500}', 0, NULL, '2023-09-18 11:30:32');
INSERT INTO `sys_oper_log` VALUES (2331, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2049,2050,2051,2052,2053,2298,2330,2331,2332,2333,2334,2335,2324,2325,2326,2327,2328,2329,2336,2337,2338,2339,2340,2341,2318,2319,2320,2321,2322,2323,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2342,2349,2350,2351,2352,2353,2354,2343,2344,2345,2346,2347,2348,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2210,2249,2267,2268,2269,2270,2271,2272,2250,2261,2262,2263,2264,2265,2266,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2286,2287,2288,2289,2290,2291,2274,2275,2276,2277,2278,2279,2292,2293,2294,2295,2296,2297,2280,2281,2282,2283,2284,2285,2201,2202,2203,2242,2244,2243,2245,2246,2247,2248],\"params\":{},\"roleKey\":\"tester-4\",\"roleName\":\"测试leader\",\"roleSort\":2,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"新增角色\'测试leader\'失败，角色权限已存在\",\"code\":500}', 0, NULL, '2023-09-18 11:30:45');
INSERT INTO `sys_oper_log` VALUES (2332, '角色管理', 1, 'com.ezhizao.project.system.controller.SysRoleController.add()', 'POST', 1, '18640822691', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2049,2050,2051,2052,2053,2298,2330,2331,2332,2333,2334,2335,2324,2325,2326,2327,2328,2329,2336,2337,2338,2339,2340,2341,2318,2319,2320,2321,2322,2323,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2342,2349,2350,2351,2352,2353,2354,2343,2344,2345,2346,2347,2348,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2210,2249,2267,2268,2269,2270,2271,2272,2250,2261,2262,2263,2264,2265,2266,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2286,2287,2288,2289,2290,2291,2274,2275,2276,2277,2278,2279,2292,2293,2294,2295,2296,2297,2280,2281,2282,2283,2284,2285,2201,2202,2203,2242,2244,2243,2245,2246,2247,2248],\"params\":{},\"roleId\":107,\"roleKey\":\"tester-6\",\"roleName\":\"测试leader\",\"roleSort\":2,\"status\":\"0\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:31:09');
INSERT INTO `sys_oper_log` VALUES (2333, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, '18640822691', NULL, '/system/role', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-09-18 11:31:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[2049,2050,2051,2052,2053,2298,2330,2331,2332,2333,2334,2335,2324,2325,2326,2327,2328,2329,2336,2337,2338,2339,2340,2341,2318,2319,2320,2321,2322,2323,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2030,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2210,2249,2267,2268,2269,2270,2271,2272,2250,2261,2262,2263,2264,2265,2266,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2286,2287,2288,2289,2290,2291,2274,2275,2276,2277,2278,2279,2292,2293,2294,2295,2296,2297,2280,2281,2282,2283,2284,2285,2201,2202,2203,2242,2244,2243,2245,2246,2247,2248],\"params\":{},\"roleId\":107,\"roleKey\":\"tester-7\",\"roleName\":\"测试leader\",\"roleSort\":0,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:32:10');
INSERT INTO `sys_oper_log` VALUES (2334, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, '18640822691', NULL, '/system/role/dataScope', '113.227.216.55', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-09-18 11:31:09\",\"dataScope\":\"5\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":107,\"roleKey\":\"tester-7\",\"roleName\":\"测试leader\",\"roleSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:32:39');
INSERT INTO `sys_oper_log` VALUES (2335, '角色管理', 4, 'com.ezhizao.project.system.controller.SysRoleController.selectAuthUserAll()', 'PUT', 1, '18640822691', NULL, '/system/role/authUser/selectAll', '113.227.216.55', 'XX XX', '107 [1143215441569779723]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:33:08');
INSERT INTO `sys_oper_log` VALUES (2336, '角色管理', 4, 'com.ezhizao.project.system.controller.SysRoleController.cancelAuthUser()', 'PUT', 1, '18640822691', NULL, '/system/role/authUser/cancel', '113.227.216.55', 'XX XX', '{\"roleId\":107,\"userId\":1143215441569779723}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:33:35');
INSERT INTO `sys_oper_log` VALUES (2337, '角色管理', 4, 'com.ezhizao.project.system.controller.SysRoleController.selectAuthUserAll()', 'PUT', 1, '18640822691', NULL, '/system/role/authUser/selectAll', '113.227.216.55', 'XX XX', '107 [1143215441569779723,1143215441569779724]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:33:41');
INSERT INTO `sys_oper_log` VALUES (2338, '角色管理', 4, 'com.ezhizao.project.system.controller.SysRoleController.cancelAuthUserAll()', 'PUT', 1, '18640822691', NULL, '/system/role/authUser/cancelAll', '113.227.216.55', 'XX XX', '107 [1143215441569779723,1143215441569779724]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:33:46');
INSERT INTO `sys_oper_log` VALUES (2339, '角色管理', 4, 'com.ezhizao.project.system.controller.SysRoleController.selectAuthUserAll()', 'PUT', 1, '18640822691', NULL, '/system/role/authUser/selectAll', '113.227.216.55', 'XX XX', '107 [1143215441569779723,1143215441569779724]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:33:50');
INSERT INTO `sys_oper_log` VALUES (2340, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.216.55', 'XX XX', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"测试部门\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:35:07');
INSERT INTO `sys_oper_log` VALUES (2341, '部门管理', 2, 'com.ezhizao.project.system.controller.SysDeptController.edit()', 'PUT', 1, '18640822691', NULL, '/system/dept', '113.227.216.55', 'XX XX', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptCode\":\"\",\"deptId\":1143215441569779729,\"deptName\":\"测试部门\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"parentName\":\"大连真材实料科技有限公司\",\"status\":\"0\",\"type\":\"0\",\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:35:13');
INSERT INTO `sys_oper_log` VALUES (2342, '岗位管理', 1, 'com.ezhizao.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '113.227.216.55', 'XX XX', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"8\",\"postId\":8,\"postName\":\"会计\",\"postSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:36:12');
INSERT INTO `sys_oper_log` VALUES (2343, '岗位管理', 2, 'com.ezhizao.project.system.controller.SysPostController.edit()', 'PUT', 1, '18640822691', NULL, '/system/post', '113.227.216.55', 'XX XX', '{\"createBy\":\"18640822691\",\"createTime\":\"2023-09-18 11:36:12\",\"flag\":false,\"params\":{},\"postCode\":\"kj\",\"postId\":8,\"postName\":\"会计\",\"postSort\":0,\"status\":\"0\",\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:36:29');
INSERT INTO `sys_oper_log` VALUES (2344, '岗位管理', 3, 'com.ezhizao.project.system.controller.SysPostController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/post/8', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:36:36');
INSERT INTO `sys_oper_log` VALUES (2345, '岗位管理', 1, 'com.ezhizao.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '113.227.216.55', 'XX XX', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"kj\",\"postId\":9,\"postName\":\"会计\",\"postSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:36:47');
INSERT INTO `sys_oper_log` VALUES (2346, '岗位管理', 1, 'com.ezhizao.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '113.227.216.55', 'XX XX', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"fw\",\"postId\":10,\"postName\":\"法务\",\"postSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:37:04');
INSERT INTO `sys_oper_log` VALUES (2347, '岗位管理', 1, 'com.ezhizao.project.system.controller.SysPostController.add()', 'POST', 1, '18640822691', NULL, '/system/post', '113.227.216.55', 'XX XX', '{\"createBy\":\"18640822691\",\"flag\":false,\"params\":{},\"postCode\":\"zj\",\"postId\":11,\"postName\":\"项目总监\",\"postSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:37:45');
INSERT INTO `sys_oper_log` VALUES (2348, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.216.55', 'XX XX', '{\"areaNum\":2,\"createTime\":\"2023-09-18 11:44:00\",\"creatorId\":1143215441569779712,\"distance\":20,\"id\":1703615830924242946,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":2,\"speed\":25}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'speed\' in \'field list\'\n### The error may exist in com/ezhizao/project/business/mapper/BizIdentificationRulesMapper.java (best guess)\n### The error may involve com.ezhizao.project.business.mapper.BizIdentificationRulesMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_identification_rules  ( id,  speed, distance, area_num, person_num, is_speed, is_area, is_person, create_time,  creator_id )  VALUES  ( ?,  ?, ?, ?, ?, ?, ?, ?, ?,  ? )\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'speed\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'speed\' in \'field list\'', '2023-09-18 11:44:00');
INSERT INTO `sys_oper_log` VALUES (2349, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-18 11:46:51\",\"creatorId\":1143215441569779712,\"id\":1703616549131694082,\"name\":\"蒜香小龙虾\",\"params\":{},\"parentId\":1693904050275827713}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:46:51');
INSERT INTO `sys_oper_log` VALUES (2350, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '113.227.216.55', 'XX XX', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-09-18 11:47:38\",\"creatorId\":1143215441569779712,\"id\":1703616747367084033,\"name\":\"生产日期\",\"params\":{},\"remark\":\"记录生产日期\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:47:38');
INSERT INTO `sys_oper_log` VALUES (2351, ' 产品分类参数模板', 2, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '113.227.216.55', 'XX XX', '{\"categoryId\":1696778762374991873,\"createTime\":\"2023-09-18 11:47:38\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703616747367084033,\"name\":\"生产日期\",\"params\":{},\"remark\":\"记录生产日期\",\"status\":0,\"updateTime\":\"2023-09-18 11:47:49\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:47:49');
INSERT INTO `sys_oper_log` VALUES (2352, ' 产品分类参数模板', 5, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.export()', 'POST', 1, '18640822691', NULL, '/business/template/export', '113.227.216.55', 'XX XX', '{\"categoryId\":1693904050275827713,\"params\":{}}', NULL, 0, NULL, '2023-09-18 11:48:39');
INSERT INTO `sys_oper_log` VALUES (2353, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-18 11:49:04\",\"creatorId\":1143215441569779712,\"id\":1703617105682280450,\"name\":\"500g\",\"params\":{},\"parentId\":1696778762374991873}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:49:04');
INSERT INTO `sys_oper_log` VALUES (2354, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.216.55', 'XX XX', '{\"createTime\":\"2023-09-18 11:49:10\",\"creatorId\":1143215441569779712,\"id\":1703617132794261506,\"name\":\"1000g\",\"params\":{},\"parentId\":1696778762374991873}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:49:10');
INSERT INTO `sys_oper_log` VALUES (2355, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702579050762817537,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 10:43:41\",\"creatorId\":1143215441569779712,\"deleted\":1,\"id\":1703600650295226370,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:49:27\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1702579050762817537,\"latitude\":116.42606735229492,\"longitude\":39.92922120156275,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:49:27\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702579050762817537,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 10:43:41\",\"creatorId\":1143215441569779712,\"deleted\":1,\"id\":1703600650295226370,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:49:27\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1702579050762817537,\"latitude\":116.42606735229492,\"longitude\":39.92922120156275,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:49:27\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-18 11:49:27');
INSERT INTO `sys_oper_log` VALUES (2356, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '113.227.216.55', 'XX XX', '{\"categoryId\":1703617105682280450,\"createTime\":\"2023-09-18 11:49:53\",\"creatorId\":1143215441569779712,\"id\":1703617311610023938,\"name\":\"kg\",\"params\":{},\"remark\":\"重量\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:49:53');
INSERT INTO `sys_oper_log` VALUES (2357, ' 产品分类参数模板', 2, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '113.227.216.55', 'XX XX', '{\"categoryId\":1703617105682280450,\"createTime\":\"2023-09-18 11:49:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703617311610023938,\"name\":\"kg\",\"params\":{},\"remark\":\"重量统计\",\"status\":0,\"updateTime\":\"2023-09-18 11:50:05\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:50:05');
INSERT INTO `sys_oper_log` VALUES (2358, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '113.227.216.55', 'XX XX', '{\"categoryId\":1703617105682280450,\"createTime\":\"2023-09-18 11:50:21\",\"creatorId\":1143215441569779712,\"id\":1703617429381885954,\"name\":\"g\",\"params\":{},\"remark\":\"重量统计\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:50:21');
INSERT INTO `sys_oper_log` VALUES (2359, ' 产品分类参数模板', 3, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/template/1703617429381885954', '113.227.216.55', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 11:50:25');
INSERT INTO `sys_oper_log` VALUES (2360, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.216.55', 'XX XX', '{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702579050762817537,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 10:43:41\",\"creatorId\":1143215441569779712,\"deleted\":1,\"id\":1703600650295226370,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:52:57\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1702579050762817537,\"latitude\":116.45808219909668,\"longitude\":39.93810608534143,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:52:57\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"34\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-15 15:04:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1702579050762817537,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 10:43:41\",\"creatorId\":1143215441569779712,\"deleted\":1,\"id\":1703600650295226370,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:52:57\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1702579050762817537,\"latitude\":116.45808219909668,\"longitude\":39.93810608534143,\"name\":\"345\",\"params\":{},\"phnoe\":\"4\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 11:52:57\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-18 11:52:57');
INSERT INTO `sys_oper_log` VALUES (2361, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"测试\",\"area\":\"丰台区\",\"areaCode\":\"110106\",\"areaList\":[\"110000\",\"110100\",\"110106\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-18 13:05:01\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703636218743926786,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:05:01\",\"creatorId\":1143215441569779712,\"id\":1703636219494707201,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703636218743926786,\"name\":\"北京网点\",\"params\":{},\"phnoe\":\"1212\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"丰台区\",\"areaCode\":\"110106\",\"areaList\":[\"110000\",\"110100\",\"110106\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-18 13:05:01\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703636218743926786,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:05:01\",\"creatorId\":1143215441569779712,\"id\":1703636219494707201,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703636218743926786,\"name\":\"北京网点\",\"params\":{},\"phnoe\":\"1212\",\"province\":\"北京市\",\"provinceCode\":\"110000\"}}', 0, NULL, '2023-09-18 13:05:01');
INSERT INTO `sys_oper_log` VALUES (2362, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1143215441569779722', '113.227.213.234', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:11:31');
INSERT INTO `sys_oper_log` VALUES (2363, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1143215441569779723', '113.227.213.234', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:11:37');
INSERT INTO `sys_oper_log` VALUES (2364, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.213.234', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779729,\"ids\":[],\"nickName\":\"测试2\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779725,\"userName\":\"test1\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-18 13:12:57');
INSERT INTO `sys_oper_log` VALUES (2365, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.213.234', 'XX XX', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-09-18 13:12:57\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptId\":1143215441569779729,\"deptName\":\"测试部门\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\"},\"deptId\":1143215441569779713,\"email\":\"\",\"ids\":[],\"loginIp\":\"\",\"nickName\":\"测试2\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[],\"roles\":[],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"updateBy\":\"18640822691\",\"userId\":1143215441569779725,\"userName\":\"test1\",\"userType\":\"02\"}', NULL, 1, 'nested exception is org.apache.ibatis.builder.BuilderException: Error evaluating expression \'et[\'userId\'] != null\'. Cause: org.apache.ibatis.ognl.OgnlException: source is null for getProperty(null, \"userId\")', '2023-09-18 13:14:14');
INSERT INTO `sys_oper_log` VALUES (2366, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1143215441569779725', '113.227.213.234', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:14:24');
INSERT INTO `sys_oper_log` VALUES (2367, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.213.234', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"测试\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779726,\"userName\":\"测试人员\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-18 13:14:59');
INSERT INTO `sys_oper_log` VALUES (2368, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.213.234', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-18 13:16:39');
INSERT INTO `sys_oper_log` VALUES (2369, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.213.234', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-18 13:17:27');
INSERT INTO `sys_oper_log` VALUES (2370, '用户管理', 6, 'com.ezhizao.project.system.controller.SysUserController.importData()', 'POST', 1, '18640822691', NULL, '/system/user/importData', '113.227.213.234', 'XX XX', 'false', NULL, 1, '很抱歉，导入失败！共 1 条数据格式不正确，错误如下：<br/>1、账号 测试2 导入失败：没有权限访问用户数据！', '2023-09-18 13:19:40');
INSERT INTO `sys_oper_log` VALUES (2371, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1143215441569779726', '113.227.213.234', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:20:01');
INSERT INTO `sys_oper_log` VALUES (2372, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":106}}', 0, NULL, '2023-09-18 13:22:43');
INSERT INTO `sys_oper_log` VALUES (2373, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.213.234', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-18 13:26:15');
INSERT INTO `sys_oper_log` VALUES (2374, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.213.234', 'XX XX', '{\"admin\":false,\"deptId\":1143215441569779713,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-18 13:29:08');
INSERT INTO `sys_oper_log` VALUES (2375, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '113.227.213.234', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-18 13:27:59\",\"updaterId\":1,\"version\":67,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:30:21');
INSERT INTO `sys_oper_log` VALUES (2376, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.213.234', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"测试3\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779727,\"userName\":\"测试3\",\"userType\":\"02\"}', NULL, 1, '\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\n### The error occurred while setting parameters\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-18 13:31:15');
INSERT INTO `sys_oper_log` VALUES (2377, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.213.234', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-18 13:31:24');
INSERT INTO `sys_oper_log` VALUES (2378, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.213.234', 'XX XX', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptId\":1143215441569779722,\"deptName\":\"营销部门\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\"},\"deptId\":1143215441569779722,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-09-07 14:41:13\",\"loginIp\":\"113.227.221.134\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[107],\"roles\":[],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:33:13');
INSERT INTO `sys_oper_log` VALUES (2379, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.changeStatus()', 'PUT', 1, '18640822691', NULL, '/system/role/changeStatus', '113.227.213.234', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":107,\"status\":\"1\",\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 13:33:19');
INSERT INTO `sys_oper_log` VALUES (2380, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.213.234', 'XX XX', '{\"children\":[],\"deptName\":\"测试部门\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779713,\"phone\":\"\",\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"新增部门\'测试部门\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2023-09-18 13:35:33');
INSERT INTO `sys_oper_log` VALUES (2381, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:38:23\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:38:23\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:38:23\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:38:23\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-18 13:38:23');
INSERT INTO `sys_oper_log` VALUES (2382, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:47:50\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:47:50\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:47:50\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 13:47:50\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-18 13:47:50');
INSERT INTO `sys_oper_log` VALUES (2383, '留言', 5, 'com.ezhizao.project.business.controller.BizWxMessageController.export()', 'POST', 1, '18640822691', NULL, '/business/message/export', '113.227.213.234', 'XX XX', '{\"params\":{},\"tenantId\":106}', NULL, 0, NULL, '2023-09-18 14:01:18');
INSERT INTO `sys_oper_log` VALUES (2384, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '113.227.213.234', 'XX XX', '{\"createTime\":\"2023-09-18 14:06:29\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:06:29');
INSERT INTO `sys_oper_log` VALUES (2385, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.213.234', 'XX XX', '{\"content\":\"原产地流程\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1701134979812093953,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:08:26');
INSERT INTO `sys_oper_log` VALUES (2386, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.213.234', 'XX XX', '{\"content\":\"原产地流程\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178955644930,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839234,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839235,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178964033538,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1701134979812093953,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"ten', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:08:38');
INSERT INTO `sys_oper_log` VALUES (2387, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.213.234', 'XX XX', '{\"content\":\"原产地流程\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178955644930,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839234,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839235,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178964033538,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1701134979812093953,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"ten', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:09:06');
INSERT INTO `sys_oper_log` VALUES (2388, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.213.234', 'XX XX', '{\"content\":\"原产地流程\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178955644930,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839234,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839235,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178964033538,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1701134979812093953,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"ten', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:10:51');
INSERT INTO `sys_oper_log` VALUES (2389, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.213.234', 'XX XX', '{\"content\":\"原产地流程\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178955644930,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839234,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839235,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178964033538,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1701134979812093953,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"ten', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:11:24');
INSERT INTO `sys_oper_log` VALUES (2390, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.213.234', 'XX XX', '{\"batchNo\":\"2023-09-18\",\"createTime\":\"2023-09-18 14:12:57\",\"creatorId\":1143215441569779712,\"factoryNo\":\"123\",\"flowParams\":[],\"id\":1703653314261463041,\"num\":500,\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:12:57');
INSERT INTO `sys_oper_log` VALUES (2391, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.213.234', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"2023-09-18\",\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 14:12:57\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"123\",\"flowId\":0,\"id\":1703653314261463041,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"num\":500,\"params\":{},\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:13:03\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-18 14:13:06');
INSERT INTO `sys_oper_log` VALUES (2392, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.213.234', 'XX XX', '{\"batchId\":\"1703653314261463041\"}', NULL, 0, NULL, '2023-09-18 14:13:45');
INSERT INTO `sys_oper_log` VALUES (2393, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.213.234', 'XX XX', '{\"batchId\":\"1703653314261463041\"}', NULL, 0, NULL, '2023-09-18 14:13:49');
INSERT INTO `sys_oper_log` VALUES (2394, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.213.234', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-18 14:14:03');
INSERT INTO `sys_oper_log` VALUES (2395, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.213.234', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:01\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":33},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:01\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":33},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:01\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":33}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:01\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":32},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:01\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":32},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:01\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":32},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:17:01');
INSERT INTO `sys_oper_log` VALUES (2396, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:46\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1703640672151056385,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 14:17:46\",\"creatorId\":1143215441569779712,\"id\":1703654528306950146,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:46\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:46\",\"updaterId\":1143215441569779712,\"version\":3},{\"branchId\":1703640672151056385,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 14:17:46\",\"creatorId\":1143215441569779712,\"id\":1703654528306950146,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒q\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:17:46\",\"updaterId\":1143215441569779712,\"version\":3}}', 0, NULL, '2023-09-18 14:17:46');
INSERT INTO `sys_oper_log` VALUES (2397, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:18:12\",\"updaterId\":1143215441569779712,\"version\":4}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:18:12\",\"updaterId\":1143215441569779712,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:18:12\",\"updaterId\":1143215441569779712,\"version\":4}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:18:12\",\"updaterId\":1143215441569779712,\"version\":4}}', 0, NULL, '2023-09-18 14:18:12');
INSERT INTO `sys_oper_log` VALUES (2398, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '113.227.213.234', 'XX XX', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.79296672344208,\"longitude\":40.199854889057676,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/18/1_20230918141826A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-18 14:18:30\",\"updaterId\":1143215441569779712,\"version\":18}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.79296672344208,\"longitude\":40.199854889057676,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/18/1_20230918141826A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-18 14:18:30\",\"updaterId\":1143215441569779712,\"version\":18}}', 0, NULL, '2023-09-18 14:18:30');
INSERT INTO `sys_oper_log` VALUES (2399, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.213.234', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-18 14:27:24');
INSERT INTO `sys_oper_log` VALUES (2400, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.213.234', 'XX XX', '{\"areas\":[],\"checkedKeys\":[1224,1229,1234,1230,1663,1673,1665],\"createTime\":\"2023-09-18 14:28:01\",\"creatorId\":1143215441569779712,\"id\":1703657107594194945,\"name\":\"东北地区-小龙虾\",\"params\":{},\"regionAreas\":[],\"regionBatches\":[],\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[],\"checkedKeys\":[1224,1229,1234,1230,1663,1673,1665],\"createTime\":\"2023-09-18 14:28:01\",\"creatorId\":1143215441569779712,\"id\":1703657107594194945,\"name\":\"东北地区-小龙虾\",\"params\":{},\"regionAreas\":[],\"regionBatches\":[],\"tenantId\":106}}', 0, NULL, '2023-09-18 14:28:01');
INSERT INTO `sys_oper_log` VALUES (2401, '区域配置', 3, 'com.ezhizao.project.business.controller.BizRegionController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/region/1703657107594194945', '113.227.213.234', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 14:29:02');
INSERT INTO `sys_oper_log` VALUES (2402, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.213.234', 'XX XX', '{\"areas\":[],\"checkedKeys\":[1224,1229,1234,1230,1663,1673,1665],\"createTime\":\"2023-09-18 14:29:20\",\"creatorId\":1143215441569779712,\"id\":1703657438323453954,\"name\":\"东北地区\",\"params\":{},\"regionAreas\":[],\"regionBatches\":[],\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[],\"checkedKeys\":[1224,1229,1234,1230,1663,1673,1665],\"createTime\":\"2023-09-18 14:29:20\",\"creatorId\":1143215441569779712,\"id\":1703657438323453954,\"name\":\"东北地区\",\"params\":{},\"regionAreas\":[],\"regionBatches\":[],\"tenantId\":106}}', 0, NULL, '2023-09-18 14:29:20');
INSERT INTO `sys_oper_log` VALUES (2403, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.213.234', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-18 14:30:55');
INSERT INTO `sys_oper_log` VALUES (2404, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:30:56\",\"updaterId\":1143215441569779712,\"version\":5}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:30:56\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"呼和浩特经济技术开发区\",\"areaCode\":\"150172\",\"areaList\":[\"150000\",\"150100\",\"150172\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703640672151056385,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 13:22:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703640672268496898,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:30:56\",\"updaterId\":1143215441569779712,\"version\":5}],\"id\":1703640672151056385,\"latitude\":121.65624618530273,\"longitude\":38.928767949368094,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322248795\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:30:56\",\"updaterId\":1143215441569779712,\"version\":5}}', 0, NULL, '2023-09-18 14:30:56');
INSERT INTO `sys_oper_log` VALUES (2405, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '113.227.213.234', 'XX XX', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-18 14:31:16');
INSERT INTO `sys_oper_log` VALUES (2406, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"918\",\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"factoryNo\":\"21\",\"flowId\":1701134979770150913,\"flowParams\":[{\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-18 14:08:26\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979812093953,\"id\":1703652178955644930,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:11:24\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-18 14:08:26\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979812093953,\"id\":1703652178959839234,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:11:24\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-18 14:08:26\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979812093953,\"id\":1703652178959839235,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:11:24\",\"updaterId\":1143215441569779712,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-18 14:08:26\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"flowParamId\":1701134979812093953,\"id\":1703652178964033538,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:11:24\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1701134979812093953,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 14:11:24\",\"updaterId\":1143215441569779712,\"version\":0}],\"id\":1703666787839234050,\"num\":2,\"params\":{},\"productId\":1699236240245256193,\"remark\":\"12\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 15:06:30');
INSERT INTO `sys_oper_log` VALUES (2407, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1703666787839234050,\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1703666788606791682,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178955644930,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839234,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839235,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178964033538,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"918\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"21\",\"flowId\":1701134979770150913,\"id\":1703666787839', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-18 15:06:43');
INSERT INTO `sys_oper_log` VALUES (2408, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1703666787839234050\"}', NULL, 0, NULL, '2023-09-18 15:06:46');
INSERT INTO `sys_oper_log` VALUES (2409, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703666787839234050', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 15:10:30');
INSERT INTO `sys_oper_log` VALUES (2410, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1703666787839234050,\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1703666788606791682,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178955644930,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839234,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839235,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178964033538,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"918\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"21\",\"flowId\":1701134979770150913,\"id\":1703666787839', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-18 15:10:45');
INSERT INTO `sys_oper_log` VALUES (2411, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1703666787839234050\"}', NULL, 0, NULL, '2023-09-18 15:11:00');
INSERT INTO `sys_oper_log` VALUES (2412, '营销网点', 5, 'com.ezhizao.project.business.controller.BizBranchController.export()', 'POST', 1, '18640822691', NULL, '/business/branch/export', '113.227.213.234', 'XX XX', '{\"areaList\":[],\"details\":[],\"params\":{},\"tenantId\":106}', NULL, 0, NULL, '2023-09-18 15:44:24');
INSERT INTO `sys_oper_log` VALUES (2413, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703666787839234050', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 15:50:02');
INSERT INTO `sys_oper_log` VALUES (2414, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1703666787839234050,\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1703666788606791682,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178955644930,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839234,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839235,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178964033538,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"918\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"21\",\"flowId\":1701134979770150913,\"id\":1703666787839', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-18 15:50:34');
INSERT INTO `sys_oper_log` VALUES (2415, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1703666787839234050\"}', NULL, 0, NULL, '2023-09-18 15:50:38');
INSERT INTO `sys_oper_log` VALUES (2416, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"大连市高新园区凌水路35号\",\"areaList\":[\"all\"],\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703678358958157826,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"大连市高新园区凌水路35号\",\"areaList\":[\"all\"],\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703678358958157826,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"tenantId\":106}}', 0, NULL, '2023-09-18 15:52:28');
INSERT INTO `sys_oper_log` VALUES (2417, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703666787839234050', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-18 15:53:14');
INSERT INTO `sys_oper_log` VALUES (2418, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"大连市高新园区凌水路35号\",\"area\":\"\",\"areaCode\":\"\",\"areaList\":[\"\",\"\",\"\"],\"city\":\"\",\"cityCode\":\"\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:32\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1703678358958157826,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:53:32\",\"creatorId\":1143215441569779712,\"id\":1703678629491081217,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703678358958157826,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"province\":\"\",\"provinceCode\":\"\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:32\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"大连市高新园区凌水路35号\",\"area\":\"\",\"areaCode\":\"\",\"areaList\":[\"\",\"\",\"\"],\"city\":\"\",\"cityCode\":\"\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:32\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1703678358958157826,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:53:32\",\"creatorId\":1143215441569779712,\"id\":1703678629491081217,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703678358958157826,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"province\":\"\",\"provinceCode\":\"\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:32\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-18 15:53:32');
INSERT INTO `sys_oper_log` VALUES (2419, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"大连市高新园区凌水路35号\",\"area\":\"\",\"areaCode\":\"\",\"areaList\":[\"\",\"\",\"\"],\"city\":\"\",\"cityCode\":\"\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:41\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1703678358958157826,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"province\":\"\",\"provinceCode\":\"\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:41\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"大连市高新园区凌水路35号\",\"area\":\"\",\"areaCode\":\"\",\"areaList\":[\"\",\"\",\"\"],\"city\":\"\",\"cityCode\":\"\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:41\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1703678358958157826,\"latitude\":0,\"longitude\":0,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"province\":\"\",\"provinceCode\":\"\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:41\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-18 15:53:41');
INSERT INTO `sys_oper_log` VALUES (2420, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"大连市高新园区凌水路35号\",\"area\":\"甘井子区\",\"areaCode\":\"210211\",\"areaList\":[\"210000\",\"210200\",\"210211\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1703678358958157826,\"latitude\":0.020170211791992188,\"longitude\":0.00746726987633305,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:48\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"大连市高新园区凌水路35号\",\"area\":\"甘井子区\",\"areaCode\":\"210211\",\"areaList\":[\"210000\",\"210200\",\"210211\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703678358958157826,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 15:52:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703678359910264834,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1703678358958157826,\"latitude\":0.020170211791992188,\"longitude\":0.00746726987633305,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13345644564\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 15:53:48\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-18 15:53:48');
INSERT INTO `sys_oper_log` VALUES (2421, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1703666787839234050,\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1703666788606791682,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178955644930,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839234,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839235,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178964033538,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"918\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"21\",\"flowId\":1701134979770150913,\"id\":1703666787839', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-18 15:55:10');
INSERT INTO `sys_oper_log` VALUES (2422, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1703666787839234050\"}', NULL, 0, NULL, '2023-09-18 15:55:34');
INSERT INTO `sys_oper_log` VALUES (2423, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703681578099060738,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"id\":1703681578250055682,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1703681578099060738,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"id\":1703681578262638593,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703681578099060738,\"latitude\":121.6746997833252,\"longitude\":38.93077102332432,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322212521\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703681578099060738,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"id\":1703681578250055682,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1703681578099060738,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"id\":1703681578262638593,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703681578099060738,\"latitude\":121.6746997833252,\"longitude\":38.93077102332432,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322212521\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":106}}', 0, NULL, '2023-09-18 16:05:15');
INSERT INTO `sys_oper_log` VALUES (2424, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703681578099060738,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703681578250055682,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:07:37\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1703681578099060738,\"latitude\":121.6746997833252,\"longitude\":38.93077102332432,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322212521\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:07:37\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703681578099060738,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703681578250055682,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:07:37\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1703681578099060738,\"latitude\":121.6746997833252,\"longitude\":38.93077102332432,\"name\":\"测试\",\"params\":{},\"phnoe\":\"13322212521\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:07:37\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-18 16:07:37');
INSERT INTO `sys_oper_log` VALUES (2425, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"港弯桥\",\"area\":\"路南区\",\"areaCode\":\"130202\",\"areaList\":[\"130000\",\"130200\",\"130202\"],\"city\":\"唐山市\",\"cityCode\":\"130200\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703681578099060738,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703681578250055682,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:27:53\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1703681578099060738,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 16:27:53\",\"creatorId\":1143215441569779712,\"id\":1703687272814653442,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703681578099060738,\"latitude\":121.6746997833252,\"longitude\":38.93077102332432,\"name\":\"测试修改\",\"params\":{},\"phnoe\":\"13322212521\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:27:53\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港弯桥\",\"area\":\"路南区\",\"areaCode\":\"130202\",\"areaList\":[\"130000\",\"130200\",\"130202\"],\"city\":\"唐山市\",\"cityCode\":\"130200\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703681578099060738,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:05:15\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703681578250055682,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:27:53\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1703681578099060738,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 16:27:53\",\"creatorId\":1143215441569779712,\"id\":1703687272814653442,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703681578099060738,\"latitude\":121.6746997833252,\"longitude\":38.93077102332432,\"name\":\"测试修改\",\"params\":{},\"phnoe\":\"13322212521\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-18 16:27:53\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-18 16:27:53');
INSERT INTO `sys_oper_log` VALUES (2426, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.213.234', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-18 16:29:33');
INSERT INTO `sys_oper_log` VALUES (2427, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.213.234', 'XX XX', '{\"address\":\"45区\",\"area\":\"路南区\",\"areaCode\":\"130202\",\"areaList\":[\"130000\",\"130200\",\"130202\"],\"city\":\"唐山市\",\"cityCode\":\"130200\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703687927922995202,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"id\":1703687927981715458,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1703687927922995202,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"id\":1703687927985909761,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1703687927922995202,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"id\":1703687927990104065,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703687927922995202,\"latitude\":121.64680480957031,\"longitude\":38.9256296864431,\"name\":\"测试2\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"45区\",\"area\":\"路南区\",\"areaCode\":\"130202\",\"areaList\":[\"130000\",\"130200\",\"130202\"],\"city\":\"唐山市\",\"cityCode\":\"130200\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703687927922995202,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"id\":1703687927981715458,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1703687927922995202,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"id\":1703687927985909761,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1703687927922995202,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-18 16:30:29\",\"creatorId\":1143215441569779712,\"id\":1703687927990104065,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703687927922995202,\"latitude\":121.64680480957031,\"longitude\":38.9256296864431,\"name\":\"测试2\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"河北省\",\"provinceCode\":\"130000\",\"tenantId\":106}}', 0, NULL, '2023-09-18 16:30:29');
INSERT INTO `sys_oper_log` VALUES (2428, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-18 17:05:17');
INSERT INTO `sys_oper_log` VALUES (2429, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.213.234', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-18 17:18:26');
INSERT INTO `sys_oper_log` VALUES (2430, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-19 08:45:07\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1703933201367232513,\"latitude\":116.36375427246094,\"longitude\":39.92421883365043,\"name\":\"测试3\",\"params\":{},\"phnoe\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-19 08:45:07\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1703933201367232513,\"latitude\":116.36375427246094,\"longitude\":39.92421883365043,\"name\":\"测试3\",\"params\":{},\"phnoe\":\"123\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-19 08:45:07');
INSERT INTO `sys_oper_log` VALUES (2431, '营销网点', 3, 'com.ezhizao.project.business.controller.BizBranchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/branch/1703933201367232513', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 08:47:39');
INSERT INTO `sys_oper_log` VALUES (2432, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":0.1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:08:51\",\"updaterId\":1143215441569779712,\"version\":9}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":0.1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:08:51\",\"updaterId\":1143215441569779712,\"version\":9}}', 0, NULL, '2023-09-19 09:08:52');
INSERT INTO `sys_oper_log` VALUES (2433, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":2,\"createTime\":\"2023-09-19 09:09:37\",\"creatorId\":1143215441569779712,\"distance\":1,\"id\":1703939369039671298,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"speed\":120,\"tenantId\":151}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":2,\"createTime\":\"2023-09-19 09:09:37\",\"creatorId\":1143215441569779712,\"distance\":1,\"id\":1703939369039671298,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"speed\":120,\"tenantId\":151}}', 0, NULL, '2023-09-19 09:09:38');
INSERT INTO `sys_oper_log` VALUES (2434, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"港湾街\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703939548900798466,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"id\":1703939549022433281,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703939548900798466,\"latitude\":121.64937973022461,\"longitude\":38.92536259382612,\"name\":\"测试1\",\"params\":{},\"phnoe\":\"13322215214\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港湾街\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703939548900798466,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"id\":1703939549022433281,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1703939548900798466,\"latitude\":121.64937973022461,\"longitude\":38.92536259382612,\"name\":\"测试1\",\"params\":{},\"phnoe\":\"13322215214\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":106}}', 0, NULL, '2023-09-19 09:10:20');
INSERT INTO `sys_oper_log` VALUES (2435, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"港湾街18\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703939548900798466,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703939549022433281,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:10:40\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1703939548900798466,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-19 09:10:40\",\"creatorId\":1143215441569779712,\"id\":1703939632493277186,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703939548900798466,\"latitude\":121.64937973022461,\"longitude\":38.92536259382612,\"name\":\"测试1\",\"params\":{},\"phnoe\":\"13322215214\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:10:40\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"港湾街18\",\"area\":\"中山区\",\"areaCode\":\"210202\",\"areaList\":[\"210000\",\"210200\",\"210202\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703939548900798466,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 09:10:20\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703939549022433281,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:10:40\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1703939548900798466,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-19 09:10:40\",\"creatorId\":1143215441569779712,\"id\":1703939632493277186,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703939548900798466,\"latitude\":121.64937973022461,\"longitude\":38.92536259382612,\"name\":\"测试1\",\"params\":{},\"phnoe\":\"13322215214\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:10:40\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-19 09:10:40');
INSERT INTO `sys_oper_log` VALUES (2436, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"测试\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703939764173451266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"id\":1703939765083615234,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1703939764173451266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"id\":1703939765087809538,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703939764173451266,\"name\":\"500\",\"params\":{},\"phnoe\":\"100\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1703939764173451266,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"id\":1703939765083615234,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1703939764173451266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"id\":1703939765087809538,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1703939764173451266,\"name\":\"500\",\"params\":{},\"phnoe\":\"100\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-09-19 09:11:12');
INSERT INTO `sys_oper_log` VALUES (2437, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"测试\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703939764173451266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703939765087809538,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:20\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1703939764173451266,\"latitude\":0,\"longitude\":0,\"name\":\"500\",\"params\":{},\"phnoe\":\"100\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:20\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703939764173451266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703939765087809538,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:20\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1703939764173451266,\"latitude\":0,\"longitude\":0,\"name\":\"500\",\"params\":{},\"phnoe\":\"100\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:20\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-19 09:11:20');
INSERT INTO `sys_oper_log` VALUES (2438, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"测试\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703939764173451266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703939765087809538,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:43\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1703939764173451266,\"latitude\":121.64817810058594,\"longitude\":38.92616386866036,\"name\":\"500\",\"params\":{},\"phnoe\":\"100\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:43\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"测试\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1703939764173451266,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 09:11:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703939765087809538,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:43\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1703939764173451266,\"latitude\":121.64817810058594,\"longitude\":38.92616386866036,\"name\":\"500\",\"params\":{},\"phnoe\":\"100\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 09:11:43\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-19 09:11:43');
INSERT INTO `sys_oper_log` VALUES (2439, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143207234667417601,\"ids\":[],\"nickName\":\"李四\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779728,\"userName\":\"lisi\",\"userType\":\"02\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\r\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\r\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-19 09:19:33');
INSERT INTO `sys_oper_log` VALUES (2440, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143207234667417601,\"ids\":[],\"nickName\":\"李四\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779729,\"userName\":\"lisi\",\"userType\":\"02\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\r\n### The error may exist in com/ezhizao/project/tenant/mapper/BizUserTenantMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.tenant.mapper.BizUserTenantMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO biz_user_tenant  ( id, user_id, tenant_id,    create_time,  creator_id )  VALUES  ( ?, ?, ?,    ?,  ? )\r\n### Cause: java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value\n; Field \'dept_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'dept_id\' doesn\'t have a default value', '2023-09-19 09:21:03');
INSERT INTO `sys_oper_log` VALUES (2441, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143207234667417601,\"ids\":[],\"nickName\":\"李四\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1143215441569779730,\"userName\":\"lisi\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 09:26:23');
INSERT INTO `sys_oper_log` VALUES (2442, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 09:26:30');
INSERT INTO `sys_oper_log` VALUES (2443, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1694216991000870913,\"createTime\":\"2023-09-19 10:11:01\",\"creatorId\":1143215441569779712,\"id\":1703954818374651906,\"name\":\"12\",\"params\":{},\"remark\":\"12\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 10:11:01');
INSERT INTO `sys_oper_log` VALUES (2444, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18640822691', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"categoryId\":1694216991000870913,\"createTime\":\"2023-09-19 10:11:05\",\"creatorId\":1143215441569779712,\"id\":1703954835298668546,\"name\":\"33\",\"params\":{},\"remark\":\"23\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 10:11:05');
INSERT INTO `sys_oper_log` VALUES (2445, '产品证书', 3, 'com.ezhizao.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productCategory/1694216991000870913', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 10:26:21');
INSERT INTO `sys_oper_log` VALUES (2446, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '127.0.0.1', '内网IP', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:04:14');
INSERT INTO `sys_oper_log` VALUES (2447, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-19 09:09:13\",\"updaterId\":1,\"version\":71,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:06:28');
INSERT INTO `sys_oper_log` VALUES (2448, ' 产品分类参数模板', 2, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '113.227.219.45', 'XX XX', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 11:25:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697088113425821698,\"name\":\" \",\"params\":{},\"remark\":\"31\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 11:26:42\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:26:42');
INSERT INTO `sys_oper_log` VALUES (2449, ' 产品分类参数模板', 2, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '113.227.219.45', 'XX XX', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 11:25:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697088113425821698,\"name\":\" \",\"params\":{},\"remark\":\"31\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 11:26:57\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:26:57');
INSERT INTO `sys_oper_log` VALUES (2450, ' 产品分类参数模板', 2, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.edit()', 'PUT', 1, '18640822691', NULL, '/business/template', '113.227.219.45', 'XX XX', '{\"categoryId\":1693904050275827713,\"createTime\":\"2023-08-31 11:25:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1697088113425821698,\"name\":\" 生产日期\",\"params\":{},\"remark\":\"31\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 11:27:12\",\"updaterId\":1143215441569779712,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:27:12');
INSERT INTO `sys_oper_log` VALUES (2451, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-19 09:09:13\",\"updaterId\":1,\"version\":71,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:30:36');
INSERT INTO `sys_oper_log` VALUES (2452, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-27 08:09:27\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"18640822691@163.com\",\"contactName\":\"乔云\",\"contactPhone\":\"18640822691\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 16:10:01\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60012\",\"id\":106,\"identity\":\"88.472.60012/106\",\"identityQcCode\":\"/profile/identity/company/106-s.png\",\"industryCategory\":\"M\",\"industryCategoryStr\":\"科学研究和技术服务业\",\"industrySpecific\":\"75\",\"industrySpecificStr\":\"科技推广和应用服务业\",\"introduction\":\"<h3>身份背景</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;其身为御建鸣神主尊大御所大人，许稻妻人民以亘古不变之“永恒”。自降生之刻起，人类便会对世界抱有强烈的憧憬与好奇。此乃认知世界的锚点，构筑理智的根基。稻妻人民的世界亦是如此。那里很早就有了风雨和雷电，有了天光与大海……有了“雷电将军”。</p><p> &nbsp; &nbsp; &nbsp; &nbsp;士兵奔赴战线，口中高喊的是“常道恢弘，鸣神永恒”。百姓安居乐业，心中感怀的是将军及其麾下尽忠职守的三奉行。“雷电将军”的威名，早已超脱生命桎梏，化作了稻妻永世传承的信仰。在这份威名与力量下，人们有理由相信，他们的后代也会目睹相同的风景，以相同的信仰构建心中世界，并将这份传承延续下去。此即为——将军大人许诺人民的恒常乐土<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [46]</sup></span><a href=\\\"\\\" target=\\\"\\\"> </a> 。</p><p style=\\\"text-align: center;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img src=\\\"/prod-api/profile/upload/2023/09/07/image_20230907091934A004.png\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"width: 483.00px;height: 271.69px;\\\"></p><p><span style=\\\"color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-size: 12px;\\\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;“此身即为尘世最为殊胜尊贵之身，应持天下之大权。此身应许臣民一梦，既是千世万代不变不移的永恒。”</span></p><p><br></p><h3>相貌衣着</h3><p> &nbsp; &nbsp; &nbsp; &nbsp;巴尔泽布的暗紫色长发扎成麻花辫垂于身后，越接近末梢，发色越浅。有着浅紫色的双眼，右眼角有一颗泪痣。头上戴着龙胆花和姐姐的折扇的装饰。左肩戴着黑金色的肩铠，穿着一件紫色的和服，上面纹有龙胆花。相较于传统的和服，这件和服的本衿并未束紧，而是向肩部分开，同时下摆变短，仅够到大腿。两边振袖各不相同，左振袖和影武者时期一样在手臂处截止，右振袖则和姐姐一样垂到手踝。和服由红色腰带固定，紫色的腰绳系着一个印有雷之三重巴纹样的装饰，一金一紫两串流苏自然垂下。双腿穿有黑色的长筒袜，鞋子是褐色的人字高跟鞋<span style=\\\"color: rgb(51, 102, 204); font-size: 12px;\\\"><sup> [1]</sup></span><a href=\\\"\\', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:32:30');
INSERT INTO `sys_oper_log` VALUES (2453, '切换租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.change()', 'POST', 1, '18640822691', NULL, '/business/tenant/changeTenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-19 09:09:13\",\"updaterId\":1,\"version\":71,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:34:26');
INSERT INTO `sys_oper_log` VALUES (2454, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"wxUser\",\"className\":\"BizWxUser\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1434,\"columnName\":\"id\",\"columnType\":\"bigint(20) unsigned\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":91,\"updateBy\":\"\",\"updateTime\":\"2023-09-15 10:40:41\",\"usableColumn\":false},{\"capJavaField\":\"UnionId\",\"columnComment\":\"unioinid\",\"columnId\":1435,\"columnName\":\"union_id\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"unionId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":91,\"updateBy\":\"\",\"updateTime\":\"2023-09-15 10:40:41\",\"usableColumn\":false},{\"capJavaField\":\"WxUsserName\",\"columnComment\":\"微信用户名\",\"columnId\":1436,\"columnName\":\"wx_usser_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"wxUsserName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":91,\"updateBy\":\"\",\"updateTime\":\"2023-09-15 10:40:41\",\"usableColumn\":false},{\"capJavaField\":\"PhoneNumber\",\"columnComment\":\"用户电话\",\"columnId\":1437,\"columnName\":\"phone_number\",\"columnType\":\"varchar(11)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-15 10:38:57\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:35:31');
INSERT INTO `sys_oper_log` VALUES (2455, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_wx_user\"}', NULL, 0, NULL, '2023-09-19 11:35:35');
INSERT INTO `sys_oper_log` VALUES (2456, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-19 11:35:59\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":false,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":false,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":false,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":false,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"ten', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:35:59');
INSERT INTO `sys_oper_log` VALUES (2457, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinAudit', '127.0.0.1', '内网IP', '{\"auditId\":1143215441569779712,\"id\":1699615507460714497,\"params\":{},\"status\":0,\"updateTime\":\"2023-09-19 11:36:18\",\"updaterId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:36:18');
INSERT INTO `sys_oper_log` VALUES (2458, '企业加入申请记录', 3, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1699615507460714497', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:40:47');
INSERT INTO `sys_oper_log` VALUES (2459, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-19 09:09:13\",\"updaterId\":1,\"version\":71,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:40:56');
INSERT INTO `sys_oper_log` VALUES (2460, '企业加入申请记录', 3, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1703977443723382786', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:40:57');
INSERT INTO `sys_oper_log` VALUES (2461, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-19 09:09:13\",\"updaterId\":1,\"version\":71,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:44:38');
INSERT INTO `sys_oper_log` VALUES (2462, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.219.45', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:35:27\",\"default\":false,\"dictCode\":120,\"dictLabel\":\"创建者\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:45:33');
INSERT INTO `sys_oper_log` VALUES (2463, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.219.45', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:37:17\",\"default\":false,\"dictCode\":121,\"dictLabel\":\"成员\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:45:38');
INSERT INTO `sys_oper_log` VALUES (2464, '字典类型', 9, 'com.ezhizao.project.system.controller.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:45:56');
INSERT INTO `sys_oper_log` VALUES (2465, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.219.45', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:35:27\",\"default\":false,\"dictCode\":120,\"dictLabel\":\"创建者\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"true\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:46:56');
INSERT INTO `sys_oper_log` VALUES (2466, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.219.45', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:37:17\",\"default\":false,\"dictCode\":121,\"dictLabel\":\"成员\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"false\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:47:01');
INSERT INTO `sys_oper_log` VALUES (2467, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.219.45', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:35:27\",\"default\":false,\"dictCode\":120,\"dictLabel\":\"创建者\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"success\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:53:39');
INSERT INTO `sys_oper_log` VALUES (2468, '字典数据', 2, 'com.ezhizao.project.system.controller.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '113.227.219.45', 'XX XX', '{\"createBy\":\"admin\",\"createTime\":\"2023-08-31 15:37:17\",\"default\":false,\"dictCode\":121,\"dictLabel\":\"成员\",\"dictSort\":1,\"dictType\":\"user_tenant\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"primary\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:53:44');
INSERT INTO `sys_oper_log` VALUES (2469, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/wxUser/index\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2355,\"menuName\":\"流量用户\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"wxUser\",\"perms\":\"business:wxUser:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:55:12');
INSERT INTO `sys_oper_log` VALUES (2470, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:55:27');
INSERT INTO `sys_oper_log` VALUES (2471, '企业加入申请记录', 3, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1703978379939196929', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:55:36');
INSERT INTO `sys_oper_log` VALUES (2472, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"menuIds\":[1,2030,2091,2092,2093,2094,2095,2096,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,2049,2050,2051,2052,2053,2200,2133,2241,2204,2205,2206,2207,2208,2209,2306,2307,2308,2309,2310,2311,2298,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2336,2337,2338,2339,2340,2341,2342,2343,2344,2345,2346,2347,2348,2349,2350,2351,2352,2353,2354,2355,2356,2357,2358,2359,2360,2031,2032,2033,2034,2035,2036,2037,2038,2039,2040,2041,2042,2043,2044,2045,2046,2047,2048,2085,2086,2087,2088,2089,2090,2127,2128,2129,2130,2131,2132,2135,2136,2137,2138,2139,2134,2115,2116,2117,2118,2119,2120,2079,2080,2081,2082,2083,2084,2140,2141,2142,2143,2144,2145,2170,2171,2172,2173,2174,2175,2194,2195,2196,2197,2198,2199,2210,2249,2250,2261,2262,2263,2264,2265,2266,2267,2268,2269,2270,2271,2272,2251,2252,2253,2254,2229,2230,2231,2232,2233,2234,2273,2274,2275,2276,2277,2278,2279,2280,2281,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2201,2202,2203,2242,2243,2244,2245,2246,2247,2248,2027,2028,2026,2029,2299],\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:55:37');
INSERT INTO `sys_oper_log` VALUES (2473, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":0,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"/profile/upload/2023/08/29/ruoyi_20230829135043A014.jpg\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ezhizao.cn123\",\"snmsUserName\":\"18640822691\",\"status\":2,\"updateTime\":\"2023-09-19 09:09:13\",\"updaterId\":1,\"version\":71,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:55:38');
INSERT INTO `sys_oper_log` VALUES (2474, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:57:18');
INSERT INTO `sys_oper_log` VALUES (2475, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/user/index\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2355,\"menuName\":\"流量用户\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"wxUser\",\"perms\":\"business:wxUser:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:58:28');
INSERT INTO `sys_oper_log` VALUES (2476, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2356,\"menuName\":\"流量用户查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2355,\"path\":\"#\",\"perms\":\"business:user:query\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:58:37');
INSERT INTO `sys_oper_log` VALUES (2477, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2357,\"menuName\":\"流量用户新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2355,\"path\":\"#\",\"perms\":\"business:user:add\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:58:48');
INSERT INTO `sys_oper_log` VALUES (2478, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2358,\"menuName\":\"流量用户修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2355,\"path\":\"#\",\"perms\":\"business:user:edit\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:58:56');
INSERT INTO `sys_oper_log` VALUES (2479, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2359,\"menuName\":\"流量用户删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2355,\"path\":\"#\",\"perms\":\"business:user:remove\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:59:03');
INSERT INTO `sys_oper_log` VALUES (2480, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2360,\"menuName\":\"流量用户导出\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2355,\"path\":\"#\",\"perms\":\"business:user:export\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:59:10');
INSERT INTO `sys_oper_log` VALUES (2481, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/user/index\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2355,\"menuName\":\"流量用户\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"wxUser\",\"perms\":\"business:user:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:59:25');
INSERT INTO `sys_oper_log` VALUES (2482, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2023-08-21 15:41:07\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":false,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"remark\":\"企业管理员\",\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 11:59:39');
INSERT INTO `sys_oper_log` VALUES (2483, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-19 13:05:25');
INSERT INTO `sys_oper_log` VALUES (2484, '区域配置', 3, 'com.ezhizao.project.business.controller.BizRegionController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/region/0', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:06:16');
INSERT INTO `sys_oper_log` VALUES (2485, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-19 13:07:49\",\"creatorId\":1143215441569779712,\"id\":1703999312071610369,\"logisticsScore\":5,\"params\":{},\"productId\":1698949094879846402,\"productScore\":5,\"remark\":\"123412\",\"serveScore\":5,\"tenantId\":106,\"userId\":1698949094879846402}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:07:50');
INSERT INTO `sys_oper_log` VALUES (2486, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694949775218581506,\"logisticsScore\":5,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"24\",\"serveScore\":4.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 13:07:58\",\"updaterId\":1143215441569779712,\"userId\":1698949094879846402,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:08:00');
INSERT INTO `sys_oper_log` VALUES (2487, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891116087402497,\"logisticsScore\":3.5,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4,\"remark\":\"3243\",\"serveScore\":3.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 13:08:05\",\"updaterId\":1143215441569779712,\"userId\":1703640302146334722,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:08:07');
INSERT INTO `sys_oper_log` VALUES (2488, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-14 10:12:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702143273248235521,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1698949094879846402,\"productScore\":3,\"remark\":\"还行\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 13:08:17\",\"updaterId\":1143215441569779712,\"userId\":1703640302146334722,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:08:18');
INSERT INTO `sys_oper_log` VALUES (2489, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891192427929601,\"logisticsScore\":4,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":3,\"remark\":\"234\",\"serveScore\":5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 13:08:26\",\"updaterId\":1143215441569779712,\"userId\":1700046990977593345,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:08:27');
INSERT INTO `sys_oper_log` VALUES (2490, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891160169537537,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"423\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 13:08:33\",\"updaterId\":1143215441569779712,\"userId\":1703682078172487681,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:08:34');
INSERT INTO `sys_oper_log` VALUES (2491, '区域配置', 1, 'com.ezhizao.project.business.controller.BizRegionController.save()', 'POST', 1, '18640822691', NULL, '/business/region/save', '127.0.0.1', '内网IP', '{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{\"id\":2946,\"label\":\"滦州市\"}],\"id\":3', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areas\":[{\"children\":[{\"children\":[{\"id\":3710,\"label\":\"东城区\"},{\"id\":3716,\"label\":\"西城区\"},{\"id\":3711,\"label\":\"朝阳区\"},{\"id\":3715,\"label\":\"丰台区\"},{\"id\":3713,\"label\":\"石景山区\"},{\"id\":3712,\"label\":\"海淀区\"},{\"id\":3706,\"label\":\"门头沟区\"},{\"id\":3714,\"label\":\"房山区\"},{\"id\":3718,\"label\":\"通州区\"},{\"id\":3707,\"label\":\"顺义区\"},{\"id\":3709,\"label\":\"昌平区\"},{\"id\":3717,\"label\":\"大兴区\"},{\"id\":3705,\"label\":\"怀柔区\"},{\"id\":3708,\"label\":\"平谷区\"},{\"id\":3719,\"label\":\"密云区\"},{\"id\":3704,\"label\":\"延庆区\"}],\"id\":428,\"label\":\"北京\"}],\"id\":34,\"label\":\"北京\"},{\"children\":[{\"children\":[{\"id\":3444,\"label\":\"和平区\"},{\"id\":3442,\"label\":\"河东区\"},{\"id\":3453,\"label\":\"河西区\"},{\"id\":3452,\"label\":\"南开区\"},{\"id\":3443,\"label\":\"河北区\"},{\"id\":3455,\"label\":\"红桥区\"},{\"id\":3446,\"label\":\"东丽区\"},{\"id\":3457,\"label\":\"西青区\"},{\"id\":3447,\"label\":\"津南区\"},{\"id\":3456,\"label\":\"北辰区\"},{\"id\":3451,\"label\":\"武清区\"},{\"id\":3445,\"label\":\"宝坻区\"},{\"id\":3448,\"label\":\"滨海新区\"},{\"id\":3454,\"label\":\"宁河区\"},{\"id\":3449,\"label\":\"静海区\"},{\"id\":3450,\"label\":\"蓟州区\"}],\"id\":400,\"label\":\"天津\"}],\"id\":31,\"label\":\"天津\"},{\"children\":[{\"children\":[{\"id\":3051,\"label\":\"长安区\"},{\"id\":3048,\"label\":\"桥西区\"},{\"id\":3057,\"label\":\"新华区\"},{\"id\":3054,\"label\":\"井陉矿区\"},{\"id\":3050,\"label\":\"裕华区\"},{\"id\":3041,\"label\":\"藁城区\"},{\"id\":3049,\"label\":\"鹿泉区\"},{\"id\":3060,\"label\":\"栾城区\"},{\"id\":3053,\"label\":\"井陉县\"},{\"id\":3040,\"label\":\"正定县\"},{\"id\":3061,\"label\":\"行唐县\"},{\"id\":3043,\"label\":\"灵寿县\"},{\"id\":3045,\"label\":\"高邑县\"},{\"id\":3058,\"label\":\"深泽县\"},{\"id\":3047,\"label\":\"赞皇县\"},{\"id\":3044,\"label\":\"无极县\"},{\"id\":3042,\"label\":\"平山县\"},{\"id\":3046,\"label\":\"元氏县\"},{\"id\":3059,\"label\":\"赵县\"},{\"id\":3055,\"label\":\"辛集市\"},{\"id\":3052,\"label\":\"晋州市\"},{\"id\":3056,\"label\":\"新乐市\"}],\"id\":326,\"label\":\"石家庄市\"},{\"children\":[{\"id\":2949,\"label\":\"路南区\"},{\"id\":2951,\"label\":\"路北区\"},{\"id\":2953,\"label\":\"古冶区\"},{\"id\":2954,\"label\":\"开平区\"},{\"id\":2950,\"label\":\"丰南区\"},{\"id\":2952,\"label\":\"丰润区\"},{\"id\":2945,\"label\":\"曹妃甸区\"},{\"id\":2944,\"label\":\"滦南县\"},{\"id\":2947,\"label\":\"乐亭县\"},{\"id\":2942,\"label\":\"迁西县\"},{\"id\":2948,\"label\":\"玉田县\"},{\"id\":2941,\"label\":\"遵化市\"},{\"id\":2943,\"label\":\"迁安市\"},{', 0, NULL, '2023-09-19 13:09:34');
INSERT INTO `sys_oper_log` VALUES (2492, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1703976202113953794', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:29:56');
INSERT INTO `sys_oper_log` VALUES (2493, '菜单管理', 2, 'com.ezhizao.project.system.controller.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"appKey\":\"ezhizao-identity-tenant\",\"children\":[],\"component\":\"business/user/index\",\"createTime\":\"2023-09-19 11:54:47\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2355,\"menuName\":\"流量用户\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2030,\"path\":\"wxUser\",\"perms\":\"business:user:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:42:34');
INSERT INTO `sys_oper_log` VALUES (2494, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.219.45', 'XX XX', '{\"ancestors\":\"0,100,1143215441569779713,1143215441569779722\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"测试\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779722,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:58:50');
INSERT INTO `sys_oper_log` VALUES (2495, '部门管理', 3, 'com.ezhizao.project.system.controller.SysDeptController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/dept/1143215441569779730', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 13:58:56');
INSERT INTO `sys_oper_log` VALUES (2496, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, '18640822691', NULL, '/system/role/dataScope', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-09-07 14:51:51\",\"dataScope\":\"5\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:01:45');
INSERT INTO `sys_oper_log` VALUES (2497, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, '18640822691', NULL, '/system/role/dataScope', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-09-07 14:51:51\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":104,\"roleKey\":\"tester-2\",\"roleName\":\"测试角色-2\",\"roleSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:01:52');
INSERT INTO `sys_oper_log` VALUES (2498, '用户管理', 4, 'com.ezhizao.project.system.controller.SysUserController.insertAuthRole()', 'PUT', 1, '18640822691', NULL, '/system/user/authRole', '113.227.219.45', 'XX XX', '1143215441569779714 [107]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:02:45');
INSERT INTO `sys_oper_log` VALUES (2499, '用户管理', 4, 'com.ezhizao.project.system.controller.SysUserController.insertAuthRole()', 'PUT', 1, '18640822691', NULL, '/system/user/authRole', '113.227.219.45', 'XX XX', '1143215441569779714 [107,2]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:02:58');
INSERT INTO `sys_oper_log` VALUES (2500, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinAudit()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinAudit', '113.227.219.45', 'XX XX', '{\"auditId\":0,\"city\":\"大连市\",\"county\":\"金州区\",\"createTime\":\"2023-09-19 11:55:37\",\"creatorId\":1143215441569779712,\"deleted\":0,\"entPrefix\":\"88.472.60042\",\"id\":1703981143246352385,\"legalName\":\" 辜国权\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgCrtCode\":\"91210242582041194H\",\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":\"2\",\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"status\":1,\"tenantId\":151,\"updaterId\":0,\"userId\":1143215441569779712,\"userName\":\"18640822691\",\"version\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:14:36');
INSERT INTO `sys_oper_log` VALUES (2501, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694949775218581506,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/19/4_20230919141710A001.jpeg,/profile/upload/2023/09/19/5_20230919141713A002.jpeg\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"24\",\"serveScore\":4.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:17:14\",\"updaterId\":1143215441569779712,\"userId\":1698949094879846402,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:17:14');
INSERT INTO `sys_oper_log` VALUES (2502, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.219.45', 'XX XX', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"策划部门\",\"orderNum\":0,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:18:03');
INSERT INTO `sys_oper_log` VALUES (2503, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-03-23 15:28:13\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"上海\",\"contactEmail\":\"646851930@qq.com\",\"contactName\":\"侯昕朋\",\"contactPhone\":\"15940844449\",\"county\":\"虹口区\",\"createTime\":\"2023-09-19 14:15:41\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":148,\"entPrefix\":\"88.472.60041\",\"id\":148,\"identity\":\"\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"legalName\":\"侯昕朋\",\"logo\":\"\",\"orgAddr\":\"上海市虹口区宝隆一方大厦507室\",\"orgAddrCity\":\"310100\",\"orgAddrCounty\":\"310109\",\"orgAddrProvince\":\"310000\",\"orgCrtCode\":\"91310230MA1JUJC242\",\"orgCrtType\":1,\"orgName\":\"上海君戎机电商行\",\"orgNature\":2,\"params\":{},\"province\":\"上海\",\"remark\":\"\",\"snmsPassword\":\"\",\"snmsUserName\":\"\",\"status\":2,\"updaterId\":0,\"version\":0,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:27:25');
INSERT INTO `sys_oper_log` VALUES (2504, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-03-23 16:20:55\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"sydj_027@163.com\",\"contactName\":\"辜国权\",\"contactPhone\":\"13500722625\",\"county\":\"金州区\",\"createTime\":\"2023-09-19 14:16:09\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":153,\"entPrefix\":\"88.472.60044\",\"id\":153,\"identity\":\"\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"legalName\":\"辜国权\",\"logo\":\"\",\"orgAddr\":\"辽宁省大连保税区慧能大厦649\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"9121024255982115X5\",\"orgCrtType\":1,\"orgName\":\"东方成套设备（大连）有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"\",\"snmsUserName\":\"\",\"status\":2,\"updaterId\":0,\"version\":0,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:27:28');
INSERT INTO `sys_oper_log` VALUES (2505, '企业加入申请记录', 3, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1703981143246352385', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:28:39');
INSERT INTO `sys_oper_log` VALUES (2506, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-13 17:30:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891116087402497,\"logisticsScore\":3.5,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4,\"remark\":\"3243\",\"serveScore\":3.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:42:32\",\"updaterId\":1143215441569779712,\"userId\":1704014513321992193,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:42:32');
INSERT INTO `sys_oper_log` VALUES (2507, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-13 17:30:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891160169537537,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"423\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:42:38\",\"updaterId\":1143215441569779712,\"userId\":1704014513321992193,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:42:38');
INSERT INTO `sys_oper_log` VALUES (2508, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.dataScope()', 'PUT', 1, '18640822691', NULL, '/system/role/dataScope', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createTime\":\"2023-09-07 14:52:32\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"ids\":[],\"menuCheckStrictly\":true,\"params\":{},\"roleId\":105,\"roleKey\":\"tester0-3\",\"roleName\":\"测试角色-3\",\"roleSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:49:14');
INSERT INTO `sys_oper_log` VALUES (2509, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694949775218581506,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/19/4_20230919141710A001.jpeg,/profile/upload/2023/09/19/5_20230919141713A002.jpeg\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":4.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:52:19\",\"updaterId\":1143215441569779712,\"userId\":1698949094879846402,\"version\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:52:19');
INSERT INTO `sys_oper_log` VALUES (2510, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-13 17:30:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891116087402497,\"logisticsScore\":3.5,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":3.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:52:22\",\"updaterId\":1143215441569779712,\"userId\":1704014513321992193,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:52:22');
INSERT INTO `sys_oper_log` VALUES (2511, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-13 17:30:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891160169537537,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:52:25\",\"updaterId\":1143215441569779712,\"userId\":1704014513321992193,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:52:25');
INSERT INTO `sys_oper_log` VALUES (2512, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-13 17:30:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891192427929601,\"logisticsScore\":4,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":3,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:52:28\",\"updaterId\":1143215441569779712,\"userId\":1700046990977593345,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:52:28');
INSERT INTO `sys_oper_log` VALUES (2513, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-14 10:12:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702143273248235521,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1698949094879846402,\"productScore\":3,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:52:30\",\"updaterId\":1143215441569779712,\"userId\":1703640302146334722,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:52:30');
INSERT INTO `sys_oper_log` VALUES (2514, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-19 13:07:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703999312071610369,\"logisticsScore\":5,\"params\":{},\"photos\":\"\",\"productId\":1698949094879846402,\"productScore\":5,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 14:52:34\",\"updaterId\":1143215441569779712,\"userId\":1698949094879846402,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 14:52:34');
INSERT INTO `sys_oper_log` VALUES (2515, '加入申请', 1, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.joinApply()', 'POST', 1, '18640822691', NULL, '/tenant/apply/joinApply', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-05-25 16:05:49\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"15134229920@139.com\",\"contactName\":\"孙桂秋 \",\"contactPhone\":\"15134229920\",\"county\":\"金州区\",\"createTime\":\"2023-09-19 14:48:13\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":231,\"entPrefix\":\"88.472.66166\",\"id\":231,\"identity\":\"\",\"industryCategory\":\"O\",\"industryCategoryStr\":\"居民服务、修理和其他服务业\",\"industrySpecific\":\"80\",\"industrySpecificStr\":\"居民服务业\",\"legalName\":\"孙桂秋\",\"logo\":\"\",\"orgAddr\":\"辽宁省大连经济技术开发区鹏运家园62栋-1-1号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210213MA11F1HU8K\",\"orgCrtType\":1,\"orgName\":\"大连金普新区孙氏溯源推拿养生坊\",\"orgNature\":5,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"\",\"snmsUserName\":\"\",\"status\":2,\"updaterId\":0,\"version\":0,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:00:36');
INSERT INTO `sys_oper_log` VALUES (2516, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-19 15:17:52');
INSERT INTO `sys_oper_log` VALUES (2517, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891116087402497,\"logisticsScore\":3.5,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":3.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 15:21:28\",\"updaterId\":1143215441569779712,\"userId\":1704031592741801985,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:21:29');
INSERT INTO `sys_oper_log` VALUES (2518, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-13 17:30:46\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891160169537537,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 15:21:34\",\"updaterId\":1143215441569779712,\"userId\":1704031592741801985,\"version\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:21:35');
INSERT INTO `sys_oper_log` VALUES (2519, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '127.0.0.1', '内网IP', '{\"createTime\":\"2023-09-14 10:12:35\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1702143273248235521,\"logisticsScore\":3,\"params\":{},\"photos\":\"\",\"productId\":1698949094879846402,\"productScore\":3,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":4,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 15:21:41\",\"updaterId\":1143215441569779712,\"userId\":1704031592741801985,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:21:42');
INSERT INTO `sys_oper_log` VALUES (2520, '部门管理', 1, 'com.ezhizao.project.system.controller.SysDeptController.add()', 'POST', 1, '18640822691', NULL, '/system/dept', '113.227.219.45', 'XX XX', '{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"createBy\":\"18640822691\",\"deptName\":\"质管部门\",\"orderNum\":2,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\",\"tenantId\":106,\"type\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:34:57');
INSERT INTO `sys_oper_log` VALUES (2521, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '113.227.219.45', 'XX XX', '{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.79296672344208,\"longitude\":40.199854889057676,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/18/1_20230918141826A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-19 15:47:19\",\"updaterId\":1143215441569779712,\"version\":19}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区数字三路26-1号1-4层\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/12/ditu_20230912111009A014.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":116.79296672344208,\"longitude\":40.199854889057676,\"name\":\"大连真材实料科技有限公司\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"111\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/18/1_20230918141826A001.jpg\",\"tenantId\":106,\"type\":\"2\",\"updateTime\":\"2023-09-19 15:47:19\",\"updaterId\":1143215441569779712,\"version\":19}}', 0, NULL, '2023-09-19 15:47:19');
INSERT INTO `sys_oper_log` VALUES (2522, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"东城区123号\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-19 15:50:23\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704040221898223618,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 15:50:23\",\"creatorId\":1143215441569779712,\"id\":1704040222065995778,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1704040221898223618,\"name\":\"小龙虾北京销售网点\",\"params\":{},\"phnoe\":\"13333333333\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"东城区123号\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-19 15:50:23\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704040221898223618,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 15:50:23\",\"creatorId\":1143215441569779712,\"id\":1704040222065995778,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1704040221898223618,\"name\":\"小龙虾北京销售网点\",\"params\":{},\"phnoe\":\"13333333333\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-19 15:50:23');
INSERT INTO `sys_oper_log` VALUES (2523, '角色管理', 2, 'com.ezhizao.project.system.controller.SysRoleController.changeStatus()', 'PUT', 1, '18640822691', NULL, '/system/role/changeStatus', '113.227.219.45', 'XX XX', '{\"admin\":false,\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":107,\"status\":\"0\",\"updateBy\":\"18640822691\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:53:21');
INSERT INTO `sys_oper_log` VALUES (2524, '角色管理', 4, 'com.ezhizao.project.system.controller.SysRoleController.cancelAuthUser()', 'PUT', 1, '18640822691', NULL, '/system/role/authUser/cancel', '113.227.219.45', 'XX XX', '{\"roleId\":107,\"userId\":1143215441569779714}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:53:31');
INSERT INTO `sys_oper_log` VALUES (2525, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptId\":1143215441569779722,\"deptName\":\"营销部门\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\"},\"deptId\":1143215441569779722,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-09-19 11:04:36\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[2,107],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:53:45');
INSERT INTO `sys_oper_log` VALUES (2526, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.edit()', 'PUT', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"18640822691\",\"createTime\":\"2023-08-22 16:22:36\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,1143215441569779713\",\"children\":[],\"deptId\":1143215441569779722,\"deptName\":\"营销部门\",\"leader\":\"张三\",\"orderNum\":1,\"params\":{},\"parentId\":1143215441569779713,\"status\":\"0\"},\"deptId\":1143215441569779722,\"email\":\"1334958565@qq.com\",\"ids\":[],\"loginDate\":\"2023-09-19 11:04:36\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"朱汕\",\"params\":{},\"phonenumber\":\"13029467004\",\"postIds\":[5],\"roleIds\":[2,107,103],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"company\",\"roleName\":\"企业管理员\",\"roleSort\":2,\"status\":\"0\"},{\"admin\":false,\"dataScope\":\"5\",\"deptCheckStrictly\":false,\"flag\":false,\"ids\":[],\"menuCheckStrictly\":false,\"params\":{},\"roleId\":107,\"roleKey\":\"tester-7\",\"roleName\":\"测试leader\",\"roleSort\":0,\"status\":\"0\"}],\"sex\":\"0\",\"snmsUserId\":0,\"status\":\"0\",\"tenantId\":106,\"updateBy\":\"18640822691\",\"userId\":1143215441569779714,\"userName\":\"zhushan\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:54:18');
INSERT INTO `sys_oper_log` VALUES (2527, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"  \",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1153718594580910081,\"userName\":\"123\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:55:19');
INSERT INTO `sys_oper_log` VALUES (2528, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '113.227.219.45', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1153718594580910081}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:55:42');
INSERT INTO `sys_oper_log` VALUES (2529, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1153718594580910081', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:56:22');
INSERT INTO `sys_oper_log` VALUES (2530, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"   \",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1153718594580910082,\"userName\":\"12\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:56:37');
INSERT INTO `sys_oper_log` VALUES (2531, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '113.227.219.45', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1143215441569779712}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 15:57:16');
INSERT INTO `sys_oper_log` VALUES (2532, '用户头像', 2, 'com.ezhizao.project.system.controller.SysProfileController.avatar()', 'POST', 1, '18640822691', NULL, '/system/user/profile/avatar', '113.227.219.45', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2023/09/19/blob_20230919155947A001.png\",\"code\":200}', 0, NULL, '2023-09-19 15:59:47');
INSERT INTO `sys_oper_log` VALUES (2533, '用户管理', 4, 'com.ezhizao.project.system.controller.SysUserController.insertAuthRole()', 'PUT', 1, '18640822691', NULL, '/system/user/authRole', '113.227.219.45', 'XX XX', '1143215441569779712 [103,104,105,106,101,2,107,102]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:01:24');
INSERT INTO `sys_oper_log` VALUES (2534, '企业加入申请记录', 3, 'com.ezhizao.project.tenant.controller.BizTenantApplyController.remove()', 'DELETE', 1, '18640822691', NULL, '/tenant/apply/1704019343894425601', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:04:52');
INSERT INTO `sys_oper_log` VALUES (2535, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-08-25 13:48:11\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1694949775218581506,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/19/4_20230919141710A001.jpeg,/profile/upload/2023/09/19/5_20230919141713A002.jpeg\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":4.5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 16:21:58\",\"updaterId\":1143215441569779712,\"userId\":1704031592741801985,\"version\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:21:58');
INSERT INTO `sys_oper_log` VALUES (2536, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-13 17:30:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701891192427929601,\"logisticsScore\":4,\"params\":{},\"photos\":\"\",\"productId\":1699236240245256193,\"productScore\":3,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 16:22:04\",\"updaterId\":1143215441569779712,\"userId\":1704031592741801985,\"version\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:22:04');
INSERT INTO `sys_oper_log` VALUES (2537, '产品评论', 2, 'com.ezhizao.project.business.controller.BizProductReviewController.edit()', 'PUT', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-19 13:07:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1703999312071610369,\"logisticsScore\":5,\"params\":{},\"photos\":\"\",\"productId\":1698949094879846402,\"productScore\":5,\"remark\":\"非常不错！非常不错！非常不错！非常不错！非常不错！\",\"serveScore\":5,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-19 16:22:09\",\"updaterId\":1143215441569779712,\"userId\":1704031592741801985,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:22:09');
INSERT INTO `sys_oper_log` VALUES (2538, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"   \",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1153727768681385985,\"userName\":\"jdhj\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:32:49');
INSERT INTO `sys_oper_log` VALUES (2539, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1153727768681385985', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:32:52');
INSERT INTO `sys_oper_log` VALUES (2540, '用户管理', 5, 'com.ezhizao.project.system.controller.SysUserController.export()', 'POST', 1, '18640822691', NULL, '/system/user/export', '113.227.219.45', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{\"dataScope\":\"\"}}', NULL, 0, NULL, '2023-09-19 16:44:20');
INSERT INTO `sys_oper_log` VALUES (2541, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1143215441569779713,\"ids\":[],\"nickName\":\"  \",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1153727768681385986,\"userName\":\"123\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:46:03');
INSERT INTO `sys_oper_log` VALUES (2542, '用户管理', 3, 'com.ezhizao.project.system.controller.SysUserController.remove()', 'DELETE', 1, '18640822691', NULL, '/system/user/1153727768681385986', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:46:06');
INSERT INTO `sys_oper_log` VALUES (2543, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1701882196497281026\"}', NULL, 0, NULL, '2023-09-19 16:52:41');
INSERT INTO `sys_oper_log` VALUES (2544, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-03-23 10:35:23\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"15840658606@163.com\",\"contactName\":\"于德恩\",\"contactPhone\":\"15840658606\",\"county\":\"甘井子区\",\"createTime\":\"2023-09-19 16:05:40\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":137,\"entPrefix\":\"88.472.20004\",\"id\":137,\"identity\":\"88.472.20004/137\",\"industryCategory\":\"C\",\"industryCategoryStr\":\"制造业\",\"industrySpecific\":\"43\",\"industrySpecificStr\":\"金属制品、机械和设备修理业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"于德恩\",\"logo\":\"\",\"orgAddr\":\"辽宁省大连市甘井子区大连湾街道港北小区9号楼4号仓库\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210211\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210211MA0UDL1E3M\",\"orgCrtType\":1,\"orgName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"YDE@15840658606a\",\"snmsUserName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"status\":2,\"tenantId\":137,\"updateTime\":\"2023-09-19 16:57:11\",\"updaterId\":1,\"version\":3,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:57:11');
INSERT INTO `sys_oper_log` VALUES (2545, '用户头像', 2, 'com.ezhizao.project.system.controller.SysProfileController.avatar()', 'POST', 1, 'admin', NULL, '/system/user/profile/avatar', '113.227.219.45', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2023/09/19/blob_20230919165810A001.png\",\"code\":200}', 0, NULL, '2023-09-19 16:58:10');
INSERT INTO `sys_oper_log` VALUES (2546, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-03-23 10:35:23\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"15840658606@163.com\",\"contactName\":\"于德恩\",\"contactPhone\":\"15840658606\",\"county\":\"甘井子区\",\"createTime\":\"2023-09-19 16:05:40\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":137,\"entPrefix\":\"88.472.20004\",\"id\":137,\"identity\":\"88.472.20004/137\",\"industryCategory\":\"C\",\"industryCategoryStr\":\"制造业\",\"industrySpecific\":\"43\",\"industrySpecificStr\":\"金属制品、机械和设备修理业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"于德恩\",\"logo\":\"\",\"orgAddr\":\"辽宁省大连市甘井子区大连湾街道港北小区9号楼4号仓库\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210211\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210211MA0UDL1E3M\",\"orgCrtType\":1,\"orgName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"YDE@15840658606a\",\"snmsUserName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"status\":2,\"tenantId\":137,\"updateTime\":\"2023-09-19 16:59:43\",\"updaterId\":1,\"version\":4,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 16:59:43');
INSERT INTO `sys_oper_log` VALUES (2547, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 10:35:23\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"15840658606@163.com\",\"contactName\":\"于德恩\",\"contactPhone\":\"15840658606\",\"county\":\"甘井子区\",\"createTime\":\"2023-09-19 16:05:40\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":137,\"entPrefix\":\"88.472.20004\",\"id\":137,\"identity\":\"88.472.20004/137\",\"industryCategory\":\"C\",\"industryCategoryStr\":\"制造业\",\"industrySpecific\":\"43\",\"industrySpecificStr\":\"金属制品、机械和设备修理业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"于德恩\",\"logo\":\"\",\"orgAddr\":\"辽宁省大连市甘井子区大连湾街道港北小区9号楼4号仓库\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210211\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210211MA0UDL1E3M\",\"orgCrtType\":1,\"orgName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"YDE@15840658606a\",\"snmsUserName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"status\":2,\"tenantId\":137,\"updateTime\":\"2023-09-19 17:01:21\",\"updaterId\":1,\"version\":5,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:01:21');
INSERT INTO `sys_oper_log` VALUES (2548, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"  \",\"createTime\":\"2023-09-19 17:06:53\",\"creatorId\":1143215441569779712,\"factoryNo\":\"  \",\"flowParams\":[],\"id\":1704059476836397057,\"num\":21,\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:06:53');
INSERT INTO `sys_oper_log` VALUES (2549, '用户管理', 1, 'com.ezhizao.project.system.controller.SysUserController.add()', 'POST', 1, '18640822691', NULL, '/system/user', '113.227.219.45', 'XX XX', '{\"admin\":false,\"createBy\":\"18640822691\",\"deptId\":1153696229432102914,\"ids\":[],\"nickName\":\"测试\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":1153727768681385987,\"userName\":\"user\",\"userType\":\"02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:12:21');
INSERT INTO `sys_oper_log` VALUES (2550, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.changeStatus()', 'PUT', 1, '18640822691', NULL, '/system/user/changeStatus', '113.227.219.45', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{},\"status\":\"1\",\"updateBy\":\"18640822691\",\"userId\":1153727768681385987}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:12:55');
INSERT INTO `sys_oper_log` VALUES (2551, '流程', 2, 'com.ezhizao.project.business.controller.BizFlowController.edit()', 'PUT', 1, '18640822691', NULL, '/business/flow', '113.227.219.45', 'XX XX', '{\"content\":\"原产地流程\",\"createTime\":\"2023-09-11 15:25:59\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178955644930,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839234,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178959839235,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1703652178964033538,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1701134979812093953,\"mychecked\":false,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenan', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:14:51');
INSERT INTO `sys_oper_log` VALUES (2552, '字典类型', 9, 'com.ezhizao.project.system.controller.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:28:15');
INSERT INTO `sys_oper_log` VALUES (2553, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-23 10:35:23\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"15840658606@163.com\",\"contactName\":\"于德恩\",\"contactPhone\":\"15840658606\",\"county\":\"甘井子区\",\"createTime\":\"2023-09-19 16:05:40\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":137,\"entPrefix\":\"88.472.20004\",\"id\":137,\"identity\":\"88.472.20004/137\",\"identityQcCode\":\"/profile/identity/company/137-s.png\",\"industryCategory\":\"C\",\"industryCategoryStr\":\"制造业\",\"industrySpecific\":\"43\",\"industrySpecificStr\":\"金属制品、机械和设备修理业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"于德恩\",\"logo\":\"\",\"orgAddr\":\"辽宁省大连市甘井子区大连湾街道港北小区9号楼4号仓库\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210211\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210211MA0UDL1E3M\",\"orgCrtType\":1,\"orgName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"YDE@15840658606a\",\"snmsUserName\":\"大连市甘井子区大连湾街道弘日电子技术服务部\",\"status\":2,\"tenantId\":137,\"updateTime\":\"2023-09-19 17:29:55\",\"updaterId\":1,\"version\":6,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-19 17:29:55');
INSERT INTO `sys_oper_log` VALUES (2554, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"5555555555555\",\"area\":\"西城区\",\"areaCode\":\"110102\",\"areaList\":[\"110000\",\"110100\",\"110102\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704065700063653890,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"id\":1704065700185288706,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1704065700063653890,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"id\":1704065700193677313,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1704065700063653890,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"id\":1704065700197871618,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1704065700063653890,\"latitude\":116.37834548950195,\"longitude\":39.92066429748714,\"name\":\"555\",\"params\":{},\"phnoe\":\"13889444525\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"5555555555555\",\"area\":\"西城区\",\"areaCode\":\"110102\",\"areaList\":[\"110000\",\"110100\",\"110102\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704065700063653890,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"id\":1704065700185288706,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1704065700063653890,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"id\":1704065700193677313,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106},{\"branchId\":1704065700063653890,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-19 17:31:37\",\"creatorId\":1143215441569779712,\"id\":1704065700197871618,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"\",\"tenantId\":106}],\"id\":1704065700063653890,\"latitude\":116.37834548950195,\"longitude\":39.92066429748714,\"name\":\"555\",\"params\":{},\"phnoe\":\"13889444525\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-19 17:31:37');
INSERT INTO `sys_oper_log` VALUES (2555, '用户管理', 2, 'com.ezhizao.project.system.controller.SysUserController.resetPwd()', 'PUT', 1, '18640822691', NULL, '/system/user/resetPwd', '113.227.219.45', 'XX XX', '{\"admin\":false,\"ids\":[],\"params\":{},\"updateBy\":\"18640822691\",\"userId\":1153718594580910082}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 08:23:16');
INSERT INTO `sys_oper_log` VALUES (2556, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"天津之眼\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704294020890296321,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"id\":1704294021154537473,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1704294020890296321,\"latitude\":116.36409759521484,\"longitude\":39.92395554100352,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"天津之眼\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704294020890296321,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"id\":1704294021154537473,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1704294020890296321,\"latitude\":116.36409759521484,\"longitude\":39.92395554100352,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-09-20 08:38:54');
INSERT INTO `sys_oper_log` VALUES (2557, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"白塔寺\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 08:40:45\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704294489578319873,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 08:40:45\",\"creatorId\":1143215441569779712,\"id\":1704294489624457218,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1704294489578319873,\"latitude\":116.36358261108398,\"longitude\":39.92356060013468,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"白塔寺\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 08:40:45\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704294489578319873,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 08:40:45\",\"creatorId\":1143215441569779712,\"id\":1704294489624457218,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"tenantId\":106}],\"id\":1704294489578319873,\"latitude\":116.36358261108398,\"longitude\":39.92356060013468,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-20 08:40:45');
INSERT INTO `sys_oper_log` VALUES (2558, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-20 08:47:32\",\"creatorId\":1143215441569779712,\"id\":1704296199826747394,\"name\":\"  \",\"params\":{},\"parentId\":0,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 08:47:33');
INSERT INTO `sys_oper_log` VALUES (2559, '产品证书', 3, 'com.ezhizao.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productCategory/1704296199826747394', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 08:47:36');
INSERT INTO `sys_oper_log` VALUES (2560, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":0,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 08:47:48\",\"updaterId\":1143215441569779712,\"version\":10}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":0,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 08:47:48\",\"updaterId\":1143215441569779712,\"version\":10}}', 0, NULL, '2023-09-20 08:47:49');
INSERT INTO `sys_oper_log` VALUES (2561, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18640822691', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-20 08:48:01\",\"creatorId\":1143215441569779712,\"id\":1704296317875433473,\"name\":\"     葡萄酒\",\"params\":{},\"parentId\":1701403341969960961,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 08:48:01');
INSERT INTO `sys_oper_log` VALUES (2562, '产品证书', 3, 'com.ezhizao.project.business.controller.BizProductCategoryController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productCategory/1704296317875433473', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 08:48:17');
INSERT INTO `sys_oper_log` VALUES (2563, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 08:48:27\",\"updaterId\":1143215441569779712,\"version\":11}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 08:48:27\",\"updaterId\":1143215441569779712,\"version\":11}}', 0, NULL, '2023-09-20 08:48:29');
INSERT INTO `sys_oper_log` VALUES (2564, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1703651687408381954', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:09:23');
INSERT INTO `sys_oper_log` VALUES (2565, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1701148681542103042', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:09:26');
INSERT INTO `sys_oper_log` VALUES (2566, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1701134979770150913', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:09:28');
INSERT INTO `sys_oper_log` VALUES (2567, '流程', 3, 'com.ezhizao.project.business.controller.BizFlowController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/flow/1699989266077683714', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:09:31');
INSERT INTO `sys_oper_log` VALUES (2568, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"createTime\":\"2023-09-20 09:13:04\",\"creatorId\":1143215441569779712,\"id\":1704302621487529986,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"name\":\"电脑\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:13:05');
INSERT INTO `sys_oper_log` VALUES (2569, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"createTime\":\"2023-09-20 09:13:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704302621487529986,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"manualId\":0,\"name\":\"电脑\",\"onShow\":1,\"params\":{},\"price\":0,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 09:13:08\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:13:09');
INSERT INTO `sys_oper_log` VALUES (2570, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-20 09:13:36\",\"creatorId\":1143215441569779712,\"factoryNo\":\"124324\",\"flowParams\":[],\"id\":1704302757814992898,\"num\":12,\"params\":{},\"productId\":1704302621487529986,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:13:38');
INSERT INTO `sys_oper_log` VALUES (2571, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"1\",\"createTime\":\"2023-09-20 09:13:36\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"124324\",\"flowId\":0,\"id\":1704302757814992898,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"num\":12,\"params\":{},\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 09:13:42\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 09:13:44');
INSERT INTO `sys_oper_log` VALUES (2572, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1704302757814992898\"}', NULL, 0, NULL, '2023-09-20 09:13:54');
INSERT INTO `sys_oper_log` VALUES (2573, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1701882196497281026', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:14:50');
INSERT INTO `sys_oper_log` VALUES (2574, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702243866560753665', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:14:52');
INSERT INTO `sys_oper_log` VALUES (2575, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1702252654999171073', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:14:55');
INSERT INTO `sys_oper_log` VALUES (2576, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703653314261463041', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:14:59');
INSERT INTO `sys_oper_log` VALUES (2577, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"  \",\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-19 17:06:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"  \",\"flowId\":0,\"id\":1704059476836397057,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"num\":21,\"params\":{},\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 09:15:00\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 09:15:03');
INSERT INTO `sys_oper_log` VALUES (2578, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704059476836397057', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:15:08');
INSERT INTO `sys_oper_log` VALUES (2579, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704302757814992898', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:15:13');
INSERT INTO `sys_oper_log` VALUES (2580, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"23421\",\"createTime\":\"2023-09-20 09:19:33\",\"creatorId\":1143215441569779712,\"factoryNo\":\"345\",\"flowParams\":[],\"id\":1704304254081609730,\"num\":100000,\"params\":{},\"productId\":1704302621487529986,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:19:33');
INSERT INTO `sys_oper_log` VALUES (2581, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"23421\",\"createTime\":\"2023-09-20 09:19:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"345\",\"flowId\":0,\"id\":1704304254081609730,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"num\":100000,\"params\":{},\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}', NULL, 1, '\n### Error flushing statements.  Cause: java.sql.SQLException: No operations allowed after statement closed.\n### Cause: java.sql.SQLException: No operations allowed after statement closed.\n; No operations allowed after statement closed.; nested exception is java.sql.SQLException: No operations allowed after statement closed.', '2023-09-20 09:20:15');
INSERT INTO `sys_oper_log` VALUES (2582, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"23421\",\"createTime\":\"2023-09-20 09:19:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"345\",\"flowId\":0,\"id\":1704304254081609730,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"num\":100000,\"params\":{},\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 09:20:41\",\"updaterId\":1143215441569779712,\"version\":1}', NULL, 1, '\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,002 milliseconds ago. The last packet sent successfully to the server was 10,042 milliseconds ago.\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\n### The error occurred while setting parameters\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,002 milliseconds ago. The last packet sent successfully to the server was 10,042 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,002 milliseconds ago. The last packet sent successfully to the server was 10,042 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,002 milliseconds ago. The last packet sent successfully to the server was 10,042 milliseconds ago.', '2023-09-20 09:20:51');
INSERT INTO `sys_oper_log` VALUES (2583, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"23421\",\"createTime\":\"2023-09-20 09:19:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"345\",\"flowId\":0,\"id\":1704304254081609730,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"num\":100000,\"params\":{},\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 09:21:20\",\"updaterId\":1143215441569779712,\"version\":1}', NULL, 1, '\r\n### Error updating database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,058 milliseconds ago. The last packet sent successfully to the server was 10,152 milliseconds ago.\r\n### The error may exist in com/ezhizao/project/business/mapper/BizProductBatchMapper.java (best guess)\r\n### The error may involve com.ezhizao.project.business.mapper.BizProductBatchMapper.updateById-Inline\r\n### The error occurred while setting parameters\r\n### SQL: UPDATE biz_product_batch  SET flow_id=?, tenant_id=?, product_id=?, factory_no=?, batch_no=?, num=?, status=?, create_time=?, updater_id=?, creator_id=?, version=?, update_time=?, remark=?  WHERE id=?   AND version=?  AND deleted=0\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,058 milliseconds ago. The last packet sent successfully to the server was 10,152 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 10,058 milliseconds ago. The last packet sent successfully to the server was 10,152 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 10,058 milliseconds ago. The last packet sent successfully to the server was 10,152 milliseconds ago.', '2023-09-20 09:21:32');
INSERT INTO `sys_oper_log` VALUES (2584, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"23421\",\"createTime\":\"2023-09-20 09:19:33\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"345\",\"flowId\":0,\"id\":1704304254081609730,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"num\":10000,\"params\":{},\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"status\":3,\"tenantId\":106,\"updateTime\":\"2023-09-20 09:27:53\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"code\":200}', 0, NULL, '2023-09-20 09:28:02');
INSERT INTO `sys_oper_log` VALUES (2585, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"打车\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-20 09:34:09\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1704307930896896001,\"latitude\":39.92540363803169,\"longitude\":116.39688491821289,\"name\":\"测试123\",\"params\":{},\"phnoe\":\"123\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"打车\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-20 09:34:09\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1704307930896896001,\"latitude\":39.92540363803169,\"longitude\":116.39688491821289,\"name\":\"测试123\",\"params\":{},\"phnoe\":\"123\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"tenantId\":106}}', 0, NULL, '2023-09-20 09:34:10');
INSERT INTO `sys_oper_log` VALUES (2586, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '127.0.0.1', '内网IP', '{\"address\":\"经济技术开发区\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/20/图片2_20230920094515A003.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":40.206934705538174,\"longitude\":116.76601588726044,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"888\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/20/图片1_20230920094500A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/20/图片1_20230920094507A002.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-20 09:45:36\",\"updaterId\":1143215441569779712,\"version\":20}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/20/图片2_20230920094515A003.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":40.206934705538174,\"longitude\":116.76601588726044,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"888\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/20/图片1_20230920094500A001.jpg\",\"storeLogo\":\"/profile/upload/2023/09/20/图片1_20230920094507A002.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-20 09:45:36\",\"updaterId\":1143215441569779712,\"version\":20}}', 0, NULL, '2023-09-20 09:45:37');
INSERT INTO `sys_oper_log` VALUES (2587, '留言', 3, 'com.ezhizao.project.business.controller.BizWxMessageController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/message/1701112860742737921,1701118966395273218,1701121806945714178,1701123840721780737,1701442162126446593,1703615374856597505,1702567467050659842', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:58:19');
INSERT INTO `sys_oper_log` VALUES (2588, '留言', 3, 'com.ezhizao.project.business.controller.BizWxMessageController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/message/170005777024619315', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 09:58:22');
INSERT INTO `sys_oper_log` VALUES (2589, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"天津之眼\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1704294020890296321,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704294021154537473,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:07:53\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1704294020890296321,\"createTime\":\"2023-09-20 10:07:54\",\"creatorId\":1143215441569779712,\"id\":1704316420621176834,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"onShow\":1,\"params\":{},\"price\":0,\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"tenantId\":106}],\"id\":1704294020890296321,\"latitude\":116.36409759521484,\"longitude\":39.92395554100352,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:07:53\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"天津之眼\",\"area\":\"和平区\",\"areaCode\":\"120101\",\"areaList\":[\"120000\",\"120100\",\"120101\"],\"city\":\"市辖区\",\"cityCode\":\"120100\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1704294020890296321,\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 08:38:53\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704294021154537473,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"onShow\":1,\"params\":{},\"price\":123,\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:07:53\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1704294020890296321,\"createTime\":\"2023-09-20 10:07:54\",\"creatorId\":1143215441569779712,\"id\":1704316420621176834,\"mainPicture\":\"/profile/upload/2023/09/20/企业微信截图_16929442733611_20230920091301A001.png\",\"onShow\":1,\"params\":{},\"price\":0,\"productId\":1704302621487529986,\"productName\":\"电脑\",\"remark\":\"\",\"tenantId\":106}],\"id\":1704294020890296321,\"latitude\":116.36409759521484,\"longitude\":39.92395554100352,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678910\",\"province\":\"天津市\",\"provinceCode\":\"120000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:07:53\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-20 10:07:54');
INSERT INTO `sys_oper_log` VALUES (2590, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704317668267233281,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"id\":1704317668464365569,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1704317668267233281,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"id\":1704317668464365570,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1704317668267233281,\"latitude\":39.921980813878044,\"longitude\":116.40718460083008,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678971\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"details\":[{\"branchId\":1704317668267233281,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"id\":1704317668464365569,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"大力神鸡蛋\",\"remark\":\"789\",\"tenantId\":106},{\"branchId\":1704317668267233281,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"id\":1704317668464365570,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"tenantId\":106}],\"id\":1704317668267233281,\"latitude\":39.921980813878044,\"longitude\":116.40718460083008,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678971\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":106}}', 0, NULL, '2023-09-20 10:12:51');
INSERT INTO `sys_oper_log` VALUES (2591, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '127.0.0.1', '内网IP', '{\"address\":\"爱吃\",\"area\":\"上党区\",\"areaCode\":\"140404\",\"areaList\":[\"140000\",\"140400\",\"140404\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-20 10:23:35\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1704320371588435970,\"name\":\"山地车\",\"params\":{},\"phnoe\":\"145221452\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"爱吃\",\"area\":\"上党区\",\"areaCode\":\"140404\",\"areaList\":[\"140000\",\"140400\",\"140404\"],\"city\":\"长治市\",\"cityCode\":\"140400\",\"createTime\":\"2023-09-20 10:23:35\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1704320371588435970,\"name\":\"山地车\",\"params\":{},\"phnoe\":\"145221452\",\"province\":\"山西省\",\"provinceCode\":\"140000\",\"tenantId\":106}}', 0, NULL, '2023-09-20 10:23:36');
INSERT INTO `sys_oper_log` VALUES (2592, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:31:47\",\"updaterId\":1143215441569779712,\"version\":12}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:31:47\",\"updaterId\":1143215441569779712,\"version\":12}}', 0, NULL, '2023-09-20 10:31:48');
INSERT INTO `sys_oper_log` VALUES (2593, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '127.0.0.1', '内网IP', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":false,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:31:55\",\"updaterId\":1143215441569779712,\"version\":13}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":false,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 10:31:55\",\"updaterId\":1143215441569779712,\"version\":13}}', 0, NULL, '2023-09-20 10:31:55');
INSERT INTO `sys_oper_log` VALUES (2594, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704304254081609730', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 11:02:03');
INSERT INTO `sys_oper_log` VALUES (2595, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704304254081609730', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 11:03:31');
INSERT INTO `sys_oper_log` VALUES (2596, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 11:06:50');
INSERT INTO `sys_oper_log` VALUES (2597, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704304254081609731', '127.0.0.1', '内网IP', '{}', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-20 11:14:33');
INSERT INTO `sys_oper_log` VALUES (2598, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704304254081609730', '127.0.0.1', '内网IP', '{}', NULL, 1, '413 Request Entity Too Large: \"{\"status\": -2, \"message\": \"Request Entity Too Large\", \"data\": null}\"', '2023-09-20 11:15:16');
INSERT INTO `sys_oper_log` VALUES (2599, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704304254081609730', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 11:21:25');
INSERT INTO `sys_oper_log` VALUES (2600, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704304254081609731', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 11:22:47');
INSERT INTO `sys_oper_log` VALUES (2601, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703666787839234050', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 11:58:51');
INSERT INTO `sys_oper_log` VALUES (2602, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703666787839234050', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 12:00:40');
INSERT INTO `sys_oper_log` VALUES (2603, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1703666787839234050,\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1701134979770150913,\"id\":1703666788606791682,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178955644930,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839234,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178959839235,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-18 14:08:26\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1701134979770150913,\\\"flowParamId\\\":1701134979812093953,\\\"id\\\":1703652178964033538,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updateTime\\\":\\\"2023-09-18 14:11:24\\\",\\\"updaterId\\\":1143215441569779712,\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"918\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-18 15:06:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"21\",\"flowId\":1701134979770150913,\"id\":1703666787839', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 12:02:11');
INSERT INTO `sys_oper_log` VALUES (2604, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1703666787839234050\"}', NULL, 0, NULL, '2023-09-20 12:02:17');
INSERT INTO `sys_oper_log` VALUES (2605, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-20 13:03:54\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1111\",\"flowParams\":[],\"id\":1704360714148818945,\"num\":1,\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:03:54');
INSERT INTO `sys_oper_log` VALUES (2606, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1703666787839234050', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:04:14');
INSERT INTO `sys_oper_log` VALUES (2607, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"1\",\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 13:03:54\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1111\",\"flowId\":0,\"id\":1704360714148818945,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"num\":1,\"params\":{},\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 13:04:25\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:04:26');
INSERT INTO `sys_oper_log` VALUES (2608, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704360714148818945\"}', NULL, 0, NULL, '2023-09-20 13:04:35');
INSERT INTO `sys_oper_log` VALUES (2609, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704360714148818945', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:05:46');
INSERT INTO `sys_oper_log` VALUES (2610, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"11\",\"createTime\":\"2023-09-20 13:06:01\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1234\",\"flowParams\":[],\"id\":1704361247014170626,\"num\":2,\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:06:01');
INSERT INTO `sys_oper_log` VALUES (2611, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"11\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 13:06:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1234\",\"flowId\":0,\"id\":1704361247014170626,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":2,\"params\":{},\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 13:06:12\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:06:13');
INSERT INTO `sys_oper_log` VALUES (2612, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704361247014170626\"}', NULL, 0, NULL, '2023-09-20 13:06:17');
INSERT INTO `sys_oper_log` VALUES (2613, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704361247014170626\"}', NULL, 0, NULL, '2023-09-20 13:06:49');
INSERT INTO `sys_oper_log` VALUES (2614, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704361247014170626', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:07:00');
INSERT INTO `sys_oper_log` VALUES (2615, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-20 13:08:25\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowParams\":[],\"id\":1704361852696834050,\"num\":1,\"params\":{},\"productId\":1698949094879846402,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:08:25');
INSERT INTO `sys_oper_log` VALUES (2616, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"1\",\"categoryName\":\"小龙虾\",\"createTime\":\"2023-09-20 13:08:25\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1704361852696834050,\"mainPicture\":\"/profile/upload/2023/09/11/9a8e1d8d509f41cf0f828509469644fa_20230911142615A001.jpg\",\"num\":1,\"params\":{},\"productId\":1698949094879846402,\"productName\":\"麻辣小龙虾222\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 13:08:32\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:08:32');
INSERT INTO `sys_oper_log` VALUES (2617, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704361852696834050\"}', NULL, 0, NULL, '2023-09-20 13:08:38');
INSERT INTO `sys_oper_log` VALUES (2618, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704361852696834050\"}', NULL, 0, NULL, '2023-09-20 13:08:45');
INSERT INTO `sys_oper_log` VALUES (2619, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"23\",\"createTime\":\"2023-09-20 13:09:49\",\"creatorId\":1143215441569779712,\"factoryNo\":\"223\",\"flowParams\":[],\"id\":1704362203941511169,\"num\":2,\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:09:51');
INSERT INTO `sys_oper_log` VALUES (2620, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"23\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 13:09:49\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"223\",\"flowId\":0,\"id\":1704362203941511169,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":2,\"params\":{},\"productName\":\"玉鹿给力酒qq\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-20 13:10:17\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:10:31');
INSERT INTO `sys_oper_log` VALUES (2621, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1704362203941511169\"}', NULL, 0, NULL, '2023-09-20 13:10:37');
INSERT INTO `sys_oper_log` VALUES (2622, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1231\",\"createTime\":\"2023-09-20 13:21:56\",\"creatorId\":1143215441569779712,\"factoryNo\":\"2312\",\"flowParams\":[],\"id\":1704365251526955010,\"num\":11,\"params\":{},\"productId\":1699236240245256193,\"remark\":\"2\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:21:57');
INSERT INTO `sys_oper_log` VALUES (2623, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"1231\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 13:21:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"2312\",\"flowId\":0,\"id\":1704365251526955010,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":11,\"params\":{},\"productName\":\"玉鹿给力酒qq\",\"remark\":\"2\",\"status\":1,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-20 13:22:05\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:23:08');
INSERT INTO `sys_oper_log` VALUES (2624, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704365251526955010', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:24:09');
INSERT INTO `sys_oper_log` VALUES (2625, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"1231\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 13:21:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"2312\",\"flowId\":0,\"id\":1704365251526955010,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":11,\"params\":{},\"productName\":\"玉鹿给力酒qq\",\"remark\":\"2\",\"status\":1,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-20 13:24:59\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:25:02');
INSERT INTO `sys_oper_log` VALUES (2626, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704365251526955010', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 13:25:31');
INSERT INTO `sys_oper_log` VALUES (2627, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"1231\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 13:21:56\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"2312\",\"flowId\":0,\"id\":1704365251526955010,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":11,\"params\":{},\"productId\":1699236240245256193,\"productName\":\"玉鹿给力酒qq\",\"remark\":\"2\",\"status\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 13:25:53\",\"updaterId\":1143215441569779712,\"version\":8}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 13:25:54');
INSERT INTO `sys_oper_log` VALUES (2628, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-20 13:25:59');
INSERT INTO `sys_oper_log` VALUES (2629, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704362203941511169\"}', NULL, 1, '', '2023-09-20 13:27:16');
INSERT INTO `sys_oper_log` VALUES (2630, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-20 13:27:22');
INSERT INTO `sys_oper_log` VALUES (2631, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.219.45', 'XX XX', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 13:51:52\",\"updaterId\":1143215441569779712,\"version\":14}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":true,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-20 13:51:52\",\"updaterId\":1143215441569779712,\"version\":14}}', 0, NULL, '2023-09-20 13:51:52');
INSERT INTO `sys_oper_log` VALUES (2632, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-20 14:18:19');
INSERT INTO `sys_oper_log` VALUES (2633, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * 1-2 * * ? 2024-2025\",\"invokeTarget\":\"ryTask.buildProduct\",\"jobId\":100,\"jobName\":\"构建产品批次信息\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-01-01 01:00:00\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:13:46');
INSERT INTO `sys_oper_log` VALUES (2634, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:13:57');
INSERT INTO `sys_oper_log` VALUES (2635, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-20 16:15:19\",\"creatorId\":1143215441569779712,\"id\":1704408884895592450,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/20/Snipaste_2023-07-17_17-54-41_20230920161517A001.png\",\"productId\":1699236240245256193,\"productScore\":4.5,\"remark\":\"c产品很好\",\"serveScore\":5,\"tenantId\":106,\"userId\":1704031592741801985}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:15:19');
INSERT INTO `sys_oper_log` VALUES (2636, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:16:23');
INSERT INTO `sys_oper_log` VALUES (2637, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:18:56');
INSERT INTO `sys_oper_log` VALUES (2638, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:20:43');
INSERT INTO `sys_oper_log` VALUES (2639, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:21:04');
INSERT INTO `sys_oper_log` VALUES (2640, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:21:10');
INSERT INTO `sys_oper_log` VALUES (2641, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:22:18');
INSERT INTO `sys_oper_log` VALUES (2642, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:23:25');
INSERT INTO `sys_oper_log` VALUES (2643, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:23:31');
INSERT INTO `sys_oper_log` VALUES (2644, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:23:36');
INSERT INTO `sys_oper_log` VALUES (2645, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:24:55');
INSERT INTO `sys_oper_log` VALUES (2646, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:25:43');
INSERT INTO `sys_oper_log` VALUES (2647, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:26:25');
INSERT INTO `sys_oper_log` VALUES (2648, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":100,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:31:08');
INSERT INTO `sys_oper_log` VALUES (2649, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/100', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:31:25');
INSERT INTO `sys_oper_log` VALUES (2650, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:33:17');
INSERT INTO `sys_oper_log` VALUES (2651, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 16:34:43');
INSERT INTO `sys_oper_log` VALUES (2652, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-20 17:13:14');
INSERT INTO `sys_oper_log` VALUES (2653, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-20 17:13:53');
INSERT INTO `sys_oper_log` VALUES (2654, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-20 17:15:07\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowParams\":[],\"id\":1704423934628769793,\"num\":1,\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:15:07');
INSERT INTO `sys_oper_log` VALUES (2655, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"1\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 17:15:07\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1704423934628769793,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":1,\"params\":{},\"productName\":\"戴尔笔记本\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-20 17:15:24\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 17:15:24');
INSERT INTO `sys_oper_log` VALUES (2656, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704423934628769793\"}', NULL, 0, NULL, '2023-09-20 17:15:30');
INSERT INTO `sys_oper_log` VALUES (2657, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704423934628769793', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:17:44');
INSERT INTO `sys_oper_log` VALUES (2658, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:19:06\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":34},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:19:06\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":34},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:19:06\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":34}],\"bizProductParamList\":[{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235778,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:19:06\",\"updaterId\":1143215441569779712,\"value\":\"50度\",\"version\":33},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235779,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:19:06\",\"updaterId\":1143215441569779712,\"value\":\"1990\",\"version\":33},{\"createTime\":\"2023-09-12 09:25:58\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1701406765692235780,\"name\":\"类型\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:19:06\",\"updaterId\":1143215441569779712,\"value\":\"酱香型\",\"version\":33},{\"createTime\":\"202', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:19:07');
INSERT INTO `sys_oper_log` VALUES (2659, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"111\",\"createTime\":\"2023-09-20 17:22:22\",\"creatorId\":1143215441569779712,\"factoryNo\":\"34\",\"flowParams\":[],\"id\":1704425761348825090,\"num\":1,\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:22:22');
INSERT INTO `sys_oper_log` VALUES (2660, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"111\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 17:22:22\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"34\",\"flowId\":0,\"id\":1704425761348825090,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":1,\"params\":{},\"productName\":\"戴尔笔记本1\",\"remark\":\"\",\"status\":1,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-20 17:22:34\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-20 17:22:34');
INSERT INTO `sys_oper_log` VALUES (2661, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704425761348825090\"}', NULL, 0, NULL, '2023-09-20 17:22:40');
INSERT INTO `sys_oper_log` VALUES (2662, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:30:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":35},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:30:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":35},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:30:28\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":35}],\"bizProductParamList\":[{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1143215441569779712,\"id\":1704427799524716546,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1143215441569779712,\"id\":1704427799528910849,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1143215441569779712,\"id\":1704427799533105153,\"name\":\"产地\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1143215441569779712,\"id\":1704427799533105154,\"name\":\"生产日期\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1143215441569779712,\"id\":1704427799533105155,\"name\":\"生产厂家\",\"params\":{},\"productId\":1699236240245256193,\"tenantId\":106}],\"categoryId\":1701403341969960961,\"categoryName\":\"酒水\",\"certificate\":\"/pr', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:30:28');
INSERT INTO `sys_oper_log` VALUES (2663, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704425761348825090', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:30:53');
INSERT INTO `sys_oper_log` VALUES (2664, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:31:04\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":36},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:31:04\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":36},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:31:04\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":36}],\"bizProductParamList\":[{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799524716546,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:31:04\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799528910849,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:31:04\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799533105153,\"name\":\"产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-20 17:31:04\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":1},{\"createTime\":\"2023-09-20 17:30', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-20 17:31:04');
INSERT INTO `sys_oper_log` VALUES (2665, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-20 17:31:21');
INSERT INTO `sys_oper_log` VALUES (2666, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-21 08:45:20');
INSERT INTO `sys_oper_log` VALUES (2667, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-09-08 10:36:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699974891642613762,\"manualId\":1699974891583893505,\"name\":\"检测合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-09-08 10:36:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699974891646808066,\"manualId\":1699974891583893505,\"name\":\"税收证明\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\"},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106,\"value\":\"金丹期\"},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106,\"value\":\"混沌体\"},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106,\"value\":\"阴阳属性\"},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983709478914,\"name\":\"功法级别\",\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106,\"value\":\"神级顶级功法\"}],\"categoryId\":1694216939675172865,\"certificate\":\"/profile/upload/2023/09/21/productjwT_20230921085313A008.png\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"id\":1704660983160025090,\"identifications\":\"/profile/up', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 08:57:04');
INSERT INTO `sys_oper_log` VALUES (2668, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-09-08 10:36:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699974891642613762,\"manualId\":1699974891583893505,\"name\":\"检测合格证书\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-09-08 10:36:12\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1699974891646808066,\"manualId\":1699974891583893505,\"name\":\"税收证明\",\"params\":{},\"remark\":\"\",\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:16\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\",\"version\":1},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:16\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:16\",\"updaterId\":1143215441569779712,\"value\":\"金丹期\",\"version\":1},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:16\",\"updaterId\":1143215441569779712,\"value\":\"混沌体\",\"version\":1},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"rem', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 08:58:16');
INSERT INTO `sys_oper_log` VALUES (2669, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:32\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\",\"version\":2},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:32\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\",\"version\":2}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:32\",\"updaterId\":1143215441569779712,\"value\":\"金丹期\",\"version\":2},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:32\",\"updaterId\":1143215441569779712,\"value\":\"混沌体\",\"version\":2},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:32\",\"updaterId\":1143215441569779712,\"value\":\"阴阳属性\",\"version\":2},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983709478914,\"name\":\"功法级别\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 08:58:32\",\"updaterId\":1143215441569779712,\"value\":\"神级顶级功法\",\"version\":2}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 08:58:33');
INSERT INTO `sys_oper_log` VALUES (2670, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18640822691', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-21 08:59:59\",\"creatorId\":1143215441569779712,\"id\":1704661717498769409,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/21/visitor_20230921085943A011.png,/profile/upload/2023/09/21/8613594fdad9fda655d060903b6d89c2_20230921085951A012.png,/profile/upload/2023/09/21/dea3a48ad48d883c577a36ae30e25d83_20230921085956A013.png\",\"productId\":1704660983160025090,\"productScore\":5,\"remark\":\"顶级功法，非绝顶天才，无法修炼\",\"serveScore\":5,\"tenantId\":106,\"userId\":1704058318748135426}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 08:59:59');
INSERT INTO `sys_oper_log` VALUES (2671, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '18640822691', NULL, '/business/flow', '113.227.219.45', 'XX XX', '{\"content\":\"蘖聂镍\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"flowParamList\":[{\"createTime\":\"2023-09-01 15:17:27\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626370,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626371,\"mychecked\":true,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626372,\"mychecked\":true,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-01 17:28:23\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697508955360075778,\"id\":1697541906013626373,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 描述, 附件, 记录时间\",\"id\":1697508955360075778,\"mychecked\":true,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-01 17:28:23\",\"updaterId\":1143215441569779712,\"version\":8},{\"createTime\":\"2023-09-01 15:18:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-01 16:56:28\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowParamTmpId\":1697509272420098049,\"id\":1697533872462848678,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:02:48');
INSERT INTO `sys_oper_log` VALUES (2672, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"12\",\"createTime\":\"2023-09-21 09:06:14\",\"creatorId\":1143215441569779712,\"factoryNo\":\"2563\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"李艳\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"反弹格局\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/21/bc57ee6d339089d3a3154a09a7ee4c94_20230921090432A014.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"2023-09-21\",\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"para', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:06:14');
INSERT INTO `sys_oper_log` VALUES (2673, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1704663292216651777,\"createTime\":\"2023-09-21 09:06:14\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704663292313120769,\"name\":\"原产地\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"李艳\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"反弹格局\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/21/bc57ee6d339089d3a3154a09a7ee4c94_20230921090432A014.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-21\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704663292216651777,\"createTime\":\"2023-09-21 09:06:14\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704663292317315074,\"name\":\"海外物流\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tena', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 09:06:19');
INSERT INTO `sys_oper_log` VALUES (2674, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704663292216651777\"}', NULL, 0, NULL, '2023-09-21 09:06:27');
INSERT INTO `sys_oper_log` VALUES (2675, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"1234\",\"createTime\":\"2023-09-21 09:18:04\",\"creatorId\":1143215441569779712,\"factoryNo\":\"23\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"34\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"3\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"2023-09-14\",\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"13\",\"version\":0},{\"component', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:18:04');
INSERT INTO `sys_oper_log` VALUES (2676, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1704666268645765121,\"createTime\":\"2023-09-21 09:18:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704666268729651202,\"name\":\"原产地\",\"params\":{},\"productId\":1699958809204682753,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"34\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"3\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-14\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704666268645765121,\"createTime\":\"2023-09-21 09:18:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704666268733845505,\"name\":\"海外物流\",\"params\":{},\"productId\":1699958809204682753,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\"', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 09:20:51');
INSERT INTO `sys_oper_log` VALUES (2677, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704666268645765121', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:21:34');
INSERT INTO `sys_oper_log` VALUES (2678, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1704666268645765121,\"createTime\":\"2023-09-21 09:18:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704666268729651202,\"name\":\"原产地\",\"params\":{},\"productId\":1699958809204682753,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"34\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"3\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-14\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704666268645765121,\"createTime\":\"2023-09-21 09:18:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704666268733845505,\"name\":\"海外物流\",\"params\":{},\"productId\":1699958809204682753,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\"', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 09:23:09');
INSERT INTO `sys_oper_log` VALUES (2679, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-21 09:48:28\",\"creatorId\":1143215441569779712,\"factoryNo\":\"23\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"gg\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:48:29');
INSERT INTO `sys_oper_log` VALUES (2680, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"createTime\":\"2023-09-21 09:49:17\",\"creatorId\":1143215441569779712,\"id\":1704674127346511873,\"linkList\":[],\"name\":\"榴莲酥\",\"params\":{},\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:49:19');
INSERT INTO `sys_oper_log` VALUES (2681, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[],\"categoryId\":0,\"certificate\":\"\",\"content\":\"<p><br></p>\",\"createTime\":\"2023-09-21 09:49:17\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704674127346511873,\"identifications\":\"\",\"isSuggest\":0,\"linkList\":[],\"mainPicture\":\"/profile/upload/2023/09/21/s_20230921095033A001.jpeg\",\"manualId\":0,\"name\":\"榴莲酥\",\"onShow\":0,\"params\":{},\"price\":0,\"productPictures\":\"\",\"remark\":\"\",\"sharePicture\":\"\",\"sourceView\":0,\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 09:50:34\",\"updaterId\":1143215441569779712,\"version\":1,\"video\":\"\",\"views\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:50:36');
INSERT INTO `sys_oper_log` VALUES (2682, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1704673921852919809,\"createTime\":\"2023-09-21 09:48:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704673922129743874,\"name\":\"原产地\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"gg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704673921852919809,\"createTime\":\"2023-09-21 09:48:29\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704673922129743875,\"name\":\"海外物流\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"dele', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 09:52:31');
INSERT INTO `sys_oper_log` VALUES (2683, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1704673921852919809\"}', NULL, 0, NULL, '2023-09-21 09:53:14');
INSERT INTO `sys_oper_log` VALUES (2684, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704673921852919809', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:55:06');
INSERT INTO `sys_oper_log` VALUES (2685, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"测试\",\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"factoryNo\":\"2312\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 09:55:52');
INSERT INTO `sys_oper_log` VALUES (2686, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704675778807574529\"}', NULL, 1, '', '2023-09-21 10:01:25');
INSERT INTO `sys_oper_log` VALUES (2687, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704675778807574529\"}', NULL, 1, '', '2023-09-21 10:01:36');
INSERT INTO `sys_oper_log` VALUES (2688, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704663292216651777\"}', NULL, 0, NULL, '2023-09-21 10:01:43');
INSERT INTO `sys_oper_log` VALUES (2689, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704675778807574529\"}', NULL, 1, '', '2023-09-21 10:01:51');
INSERT INTO `sys_oper_log` VALUES (2690, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704666268645765121\"}', NULL, 1, '', '2023-09-21 10:01:54');
INSERT INTO `sys_oper_log` VALUES (2691, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1704675778807574529\"}', NULL, 1, 'Cannot read the array length because \"data\" is null', '2023-09-21 10:02:23');
INSERT INTO `sys_oper_log` VALUES (2692, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704675778807574529', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:02:47');
INSERT INTO `sys_oper_log` VALUES (2693, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"55\",\"createTime\":\"2023-09-21 10:03:41\",\"creatorId\":1143215441569779712,\"factoryNo\":\"111\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"11\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/21/图层 9@3x_20230921100337A017.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"ve', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:03:41');
INSERT INTO `sys_oper_log` VALUES (2694, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1704677749181427713,\"createTime\":\"2023-09-21 10:03:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704677749223370754,\"name\":\"原产地\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"11\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/21/图层 9@3x_20230921100337A017.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704677749181427713,\"createTime\":\"2023-09-21 10:03:41\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704677749227565057,\"name\":\"海外物流\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"creat', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 10:03:54');
INSERT INTO `sys_oper_log` VALUES (2695, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704677749181427713\"}', NULL, 0, NULL, '2023-09-21 10:04:01');
INSERT INTO `sys_oper_log` VALUES (2696, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341633,\"name\":\"原产地\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341634,\"name\":\"海外物流\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 10:04:23');
INSERT INTO `sys_oper_log` VALUES (2697, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704677749181427713', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:04:57');
INSERT INTO `sys_oper_log` VALUES (2698, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704675778807574529', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:05:16');
INSERT INTO `sys_oper_log` VALUES (2699, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341633,\"name\":\"原产地\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341634,\"name\":\"海外物流\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 10:06:13');
INSERT INTO `sys_oper_log` VALUES (2700, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704675778807574529', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:06:32');
INSERT INTO `sys_oper_log` VALUES (2701, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704663292216651777', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:06:37');
INSERT INTO `sys_oper_log` VALUES (2702, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341633,\"name\":\"原产地\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341634,\"name\":\"海外物流\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 10:08:21');
INSERT INTO `sys_oper_log` VALUES (2703, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704675778807574529', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:17:04');
INSERT INTO `sys_oper_log` VALUES (2704, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341633,\"name\":\"原产地\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341634,\"name\":\"海外物流\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 10:17:30');
INSERT INTO `sys_oper_log` VALUES (2705, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704675778807574529', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:17:51');
INSERT INTO `sys_oper_log` VALUES (2706, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"65\",\"createTime\":\"2023-09-21 10:18:58\",\"creatorId\":1143215441569779712,\"factoryNo\":\"256\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"liyan\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"的翻译哦\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/21/图层 9@3x_20230921101816A018.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"2023-09-06\",\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"sta', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:18:58');
INSERT INTO `sys_oper_log` VALUES (2707, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1704681593651113986,\"createTime\":\"2023-09-21 10:18:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704681593688862721,\"name\":\"原产地\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"liyan\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"的翻译哦\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/21/图层 9@3x_20230921101816A018.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-06\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704681593651113986,\"createTime\":\"2023-09-21 10:18:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704681593693057026,\"name\":\"海外物流\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 10:19:02');
INSERT INTO `sys_oper_log` VALUES (2708, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704681593651113986\"}', NULL, 0, NULL, '2023-09-21 10:19:11');
INSERT INTO `sys_oper_log` VALUES (2709, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704681593651113986', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:25:50');
INSERT INTO `sys_oper_log` VALUES (2710, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 10:28:22\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\",\"version\":3},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 10:28:22\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\",\"version\":3}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 10:28:22\",\"updaterId\":1143215441569779712,\"value\":\"金丹期\",\"version\":3},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 10:28:22\",\"updaterId\":1143215441569779712,\"value\":\"混沌体\",\"version\":3},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 10:28:22\",\"updaterId\":1143215441569779712,\"value\":\"阴阳属性\",\"version\":3},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983709478914,\"name\":\"功法级别\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 10:28:22\",\"updaterId\":1143215441569779712,\"value\":\"神级顶级功法\",\"version\":3}],\"categoryId\":1694216939675172865,\"c', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:28:23');
INSERT INTO `sys_oper_log` VALUES (2711, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"56\",\"createTime\":\"2023-09-21 10:29:30\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowParams\":[],\"id\":1704684245713727490,\"num\":1,\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:29:30');
INSERT INTO `sys_oper_log` VALUES (2712, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"56\",\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-21 10:29:30\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1704684245713727490,\"mainPicture\":\"/profile/upload/2023/09/21/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230921085152A001.jpg\",\"num\":1,\"params\":{},\"productName\":\"偷天炼神诀\",\"remark\":\"\",\"status\":4,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-21 10:31:28\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 10:31:29');
INSERT INTO `sys_oper_log` VALUES (2713, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:43:05');
INSERT INTO `sys_oper_log` VALUES (2714, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(472)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:44:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:44:19');
INSERT INTO `sys_oper_log` VALUES (2715, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:44:24');
INSERT INTO `sys_oper_log` VALUES (2716, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(\'472\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:44:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:44:39');
INSERT INTO `sys_oper_log` VALUES (2717, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:44:42');
INSERT INTO `sys_oper_log` VALUES (2718, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":2,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:45:28');
INSERT INTO `sys_oper_log` VALUES (2719, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(472l)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:46:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:46:17');
INSERT INTO `sys_oper_log` VALUES (2720, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:46:19');
INSERT INTO `sys_oper_log` VALUES (2721, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:47:10');
INSERT INTO `sys_oper_log` VALUES (2722, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(472)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:47:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:47:16');
INSERT INTO `sys_oper_log` VALUES (2723, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:47:18');
INSERT INTO `sys_oper_log` VALUES (2724, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams()\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:48:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:48:21');
INSERT INTO `sys_oper_log` VALUES (2725, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:48:24');
INSERT INTO `sys_oper_log` VALUES (2726, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:49:14');
INSERT INTO `sys_oper_log` VALUES (2727, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704666268645765121\"}', NULL, 1, '', '2023-09-21 10:49:47');
INSERT INTO `sys_oper_log` VALUES (2728, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704365251526955010\"}', NULL, 0, NULL, '2023-09-21 10:49:55');
INSERT INTO `sys_oper_log` VALUES (2729, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(472)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:51:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:51:06');
INSERT INTO `sys_oper_log` VALUES (2730, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:51:10');
INSERT INTO `sys_oper_log` VALUES (2731, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:53:29');
INSERT INTO `sys_oper_log` VALUES (2732, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(472L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 10:54:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:53:52');
INSERT INTO `sys_oper_log` VALUES (2733, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:54:00');
INSERT INTO `sys_oper_log` VALUES (2734, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:56:37');
INSERT INTO `sys_oper_log` VALUES (2735, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:57:01');
INSERT INTO `sys_oper_log` VALUES (2736, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:57:08');
INSERT INTO `sys_oper_log` VALUES (2737, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:58:02');
INSERT INTO `sys_oper_log` VALUES (2738, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 10:59:35');
INSERT INTO `sys_oper_log` VALUES (2739, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:01:50');
INSERT INTO `sys_oper_log` VALUES (2740, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:02:51');
INSERT INTO `sys_oper_log` VALUES (2741, ' 产品分类参数模板', 5, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.export()', 'POST', 1, '18640822691', NULL, '/business/template/export', '127.0.0.1', '内网IP', '{\"params\":{},\"tenantId\":106}', NULL, 0, NULL, '2023-09-21 11:03:35');
INSERT INTO `sys_oper_log` VALUES (2742, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:06:55');
INSERT INTO `sys_oper_log` VALUES (2743, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:08:02');
INSERT INTO `sys_oper_log` VALUES (2744, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:08:46');
INSERT INTO `sys_oper_log` VALUES (2745, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:09:52');
INSERT INTO `sys_oper_log` VALUES (2746, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341633,\"name\":\"原产地\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704675778807574529,\"createTime\":\"2023-09-21 09:55:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704675779126341634,\"name\":\"海外物流\",\"params\":{},\"productId\":1704674127346511873,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 11:12:03');
INSERT INTO `sys_oper_log` VALUES (2747, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704675778807574529\"}', NULL, 0, NULL, '2023-09-21 11:12:14');
INSERT INTO `sys_oper_log` VALUES (2748, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704684245713727490', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:13:24');
INSERT INTO `sys_oper_log` VALUES (2749, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"111\",\"createTime\":\"2023-09-21 11:13:47\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1111\",\"flowParams\":[],\"id\":1704695391460044802,\"num\":1,\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:13:47');
INSERT INTO `sys_oper_log` VALUES (2750, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"111\",\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-21 11:13:47\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1111\",\"flowId\":0,\"id\":1704695391460044802,\"mainPicture\":\"/profile/upload/2023/09/21/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230921085152A001.jpg\",\"num\":1,\"params\":{},\"productName\":\"偷天炼神诀\",\"remark\":\"\",\"status\":4,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-21 11:13:51\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 11:13:51');
INSERT INTO `sys_oper_log` VALUES (2751, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704695391460044802\"}', NULL, 0, NULL, '2023-09-21 11:13:57');
INSERT INTO `sys_oper_log` VALUES (2752, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704695391460044802', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:15:06');
INSERT INTO `sys_oper_log` VALUES (2753, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"111\",\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 17:22:22\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"34\",\"flowId\":0,\"id\":1704425761348825090,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"num\":1,\"params\":{},\"productName\":\"戴尔笔记本\",\"remark\":\"\",\"status\":4,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-21 11:17:00\",\"updaterId\":1143215441569779712,\"version\":5}', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 11:17:01');
INSERT INTO `sys_oper_log` VALUES (2754, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704425761348825090\"}', NULL, 0, NULL, '2023-09-21 11:17:07');
INSERT INTO `sys_oper_log` VALUES (2755, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"11\",\"createTime\":\"2023-09-21 11:19:42\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowParams\":[],\"id\":1704696878574841858,\"num\":1,\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:19:42');
INSERT INTO `sys_oper_log` VALUES (2756, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:23:09');
INSERT INTO `sys_oper_log` VALUES (2757, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:23:26');
INSERT INTO `sys_oper_log` VALUES (2758, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:24:39');
INSERT INTO `sys_oper_log` VALUES (2759, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"11\",\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-21 11:19:42\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1704696878574841858,\"mainPicture\":\"/profile/upload/2023/09/21/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230921085152A001.jpg\",\"num\":1,\"params\":{},\"productName\":\"偷天炼神诀\",\"remark\":\"\",\"status\":4,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-21 11:22:22\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 11:24:40');
INSERT INTO `sys_oper_log` VALUES (2760, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1704696878574841858\"}', NULL, 0, NULL, '2023-09-21 11:24:55');
INSERT INTO `sys_oper_log` VALUES (2761, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.219.45', 'XX XX', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":false,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:29:16\",\"updaterId\":1143215441569779712,\"version\":15}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":false,\"isSpeed\":true,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:29:16\",\"updaterId\":1143215441569779712,\"version\":15}}', 0, NULL, '2023-09-21 11:29:17');
INSERT INTO `sys_oper_log` VALUES (2762, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18640822691', NULL, '/business/store', '113.227.219.45', 'XX XX', '{\"address\":\"经济技术开发区\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/21/logo_20230921113147A003.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":40.206934705538174,\"longitude\":116.76601588726044,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"888\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/21/logo_20230921113129A001.png\",\"storeLogo\":\"/profile/upload/2023/09/21/logo_20230921113140A002.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-21 11:32:10\",\"updaterId\":1143215441569779712,\"version\":21}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"经济技术开发区\",\"area\":\"金州区\",\"areaCode\":\"210213\",\"areaList\":[\"210000\",\"210200\",\"210213\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-05 14:56:12\",\"creatorId\":1143215441569779712,\"customerService\":\"/profile/upload/2023/09/21/logo_20230921113147A003.png\",\"deleted\":0,\"id\":1698953159067389953,\"latitude\":40.206934705538174,\"longitude\":116.76601588726044,\"name\":\"测试\",\"params\":{},\"phoneNumber\":\"18640822691\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"remark\":\"\",\"sharePicture\":\"\",\"shareText\":\"888\",\"status\":0,\"storeBackground\":\"/profile/upload/2023/09/21/logo_20230921113129A001.png\",\"storeLogo\":\"/profile/upload/2023/09/21/logo_20230921113140A002.png\",\"tenantId\":106,\"type\":\"1\",\"updateTime\":\"2023-09-21 11:32:10\",\"updaterId\":1143215441569779712,\"version\":21}}', 0, NULL, '2023-09-21 11:32:10');
INSERT INTO `sys_oper_log` VALUES (2763, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(493L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 11:33:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:33:01');
INSERT INTO `sys_oper_log` VALUES (2764, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704696878574841858', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:33:33');
INSERT INTO `sys_oper_log` VALUES (2765, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-21 11:33:43\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowParams\":[],\"id\":1704700405883842562,\"num\":1,\"params\":{},\"productId\":1704660983160025090,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:33:43');
INSERT INTO `sys_oper_log` VALUES (2766, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:35:00');
INSERT INTO `sys_oper_log` VALUES (2767, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"1\",\"categoryName\":\"生活用品\",\"createTime\":\"2023-09-21 11:33:43\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1704700405883842562,\"mainPicture\":\"/profile/upload/2023/09/21/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230921085152A001.jpg\",\"num\":1,\"params\":{},\"productName\":\"偷天炼神诀\",\"remark\":\"\",\"status\":4,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-21 11:33:46\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 11:35:04');
INSERT INTO `sys_oper_log` VALUES (2768, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704700405883842562', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:35:14');
INSERT INTO `sys_oper_log` VALUES (2769, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(495L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 11:37:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:37:02');
INSERT INTO `sys_oper_log` VALUES (2770, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:37:05');
INSERT INTO `sys_oper_log` VALUES (2771, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 11:37:39\",\"creatorId\":1143215441569779712,\"id\":1704701398608490497,\"name\":\"个数\",\"params\":{},\"productId\":1704701397685743618,\"tenantId\":106,\"value\":\"杀杀杀\"},{\"createTime\":\"2023-09-21 11:37:39\",\"creatorId\":1143215441569779712,\"id\":1704701398608490498,\"name\":\"方法\",\"params\":{},\"productId\":1704701397685743618,\"tenantId\":106,\"value\":\"日日日\"}],\"categoryId\":1693904097549828098,\"certificate\":\"/profile/upload/2023/09/21/application_20230921113709A005.png\",\"content\":\"<p>顶顶顶顶而发热</p>\",\"createTime\":\"2023-09-21 11:37:39\",\"creatorId\":1143215441569779712,\"id\":1704701397685743618,\"identifications\":\"/profile/upload/2023/09/21/记录 (3)_20230921113704A003.png,/profile/upload/2023/09/21/loginbg_20230921113707A004.png\",\"linkList\":[{\"createTime\":\"2023-09-21 11:37:39\",\"creatorId\":1143215441569779712,\"id\":1704701398935646209,\"link\":\"杀杀杀\",\"name\":\"美团\",\"params\":{},\"productId\":1704701397685743618,\"tenantId\":106}],\"mainPicture\":\"/profile/upload/2023/09/21/application_20230921113658A001.png\",\"name\":\"测试\",\"params\":{},\"productPictures\":\"/profile/upload/2023/09/21/productjwT_20230921113701A002.png\",\"sharePicture\":\"/profile/upload/2023/09/21/loginbg_20230921113714A006.png\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:37:40');
INSERT INTO `sys_oper_log` VALUES (2772, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-21 11:37:55\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowParams\":[],\"id\":1704701462043144193,\"num\":1,\"params\":{},\"productId\":1704701397685743618,\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:37:55');
INSERT INTO `sys_oper_log` VALUES (2773, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[],\"batchNo\":\"1\",\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-21 11:37:55\",\"creatorId\":1143215441569779712,\"deleted\":0,\"factoryNo\":\"1\",\"flowId\":0,\"id\":1704701462043144193,\"mainPicture\":\"/profile/upload/2023/09/21/application_20230921113658A001.png\",\"num\":1,\"params\":{},\"productName\":\"测试\",\"remark\":\"\",\"status\":2,\"tenantId\":106,\"tenantName\":\"大连真材实料科技有限公司\",\"updateTime\":\"2023-09-21 11:38:46\",\"updaterId\":1,\"version\":3}', '{\"msg\":\"无效的token\",\"code\":200}', 0, NULL, '2023-09-21 11:39:00');
INSERT INTO `sys_oper_log` VALUES (2774, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1704701462043144193\"}', NULL, 0, NULL, '2023-09-21 11:39:14');
INSERT INTO `sys_oper_log` VALUES (2775, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1704701462043144193', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:40:55');
INSERT INTO `sys_oper_log` VALUES (2776, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1704701397685743618', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:41:04');
INSERT INTO `sys_oper_log` VALUES (2777, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:09\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\",\"version\":4},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:09\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\",\"version\":4}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:09\",\"updaterId\":1143215441569779712,\"value\":\"金丹期\",\"version\":4},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:09\",\"updaterId\":1143215441569779712,\"value\":\"混沌体\",\"version\":4},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:09\",\"updaterId\":1143215441569779712,\"value\":\"阴阳属性\",\"version\":4},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983709478914,\"name\":\"功法级别\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:09\",\"updaterId\":1143215441569779712,\"value\":\"神级顶级功法\",\"version\":4}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:41:10');
INSERT INTO `sys_oper_log` VALUES (2778, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:13\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\",\"version\":5},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:13\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\",\"version\":5}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:13\",\"updaterId\":1143215441569779712,\"value\":\"金丹期\",\"version\":5},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:13\",\"updaterId\":1143215441569779712,\"value\":\"混沌体\",\"version\":5},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:13\",\"updaterId\":1143215441569779712,\"value\":\"阴阳属性\",\"version\":5},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983709478914,\"name\":\"功法级别\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 11:41:13\",\"updaterId\":1143215441569779712,\"value\":\"神级顶级功法\",\"version\":5}],\"categoryId\":1694216939675172865,\"categoryName\":\"生活用品\",\"certi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:41:13');
INSERT INTO `sys_oper_log` VALUES (2779, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams()\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 11:42:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:42:46');
INSERT INTO `sys_oper_log` VALUES (2780, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:42:49');
INSERT INTO `sys_oper_log` VALUES (2781, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:43:09');
INSERT INTO `sys_oper_log` VALUES (2782, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:47:36');
INSERT INTO `sys_oper_log` VALUES (2783, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:48:55');
INSERT INTO `sys_oper_log` VALUES (2784, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:49:07');
INSERT INTO `sys_oper_log` VALUES (2785, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:49:21');
INSERT INTO `sys_oper_log` VALUES (2786, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:49:42');
INSERT INTO `sys_oper_log` VALUES (2787, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams()\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 11:51:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:51:30');
INSERT INTO `sys_oper_log` VALUES (2788, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:51:37');
INSERT INTO `sys_oper_log` VALUES (2789, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:52:07');
INSERT INTO `sys_oper_log` VALUES (2790, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:53:34');
INSERT INTO `sys_oper_log` VALUES (2791, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:55:32');
INSERT INTO `sys_oper_log` VALUES (2792, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 11:56:44');
INSERT INTO `sys_oper_log` VALUES (2793, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 12:52:59');
INSERT INTO `sys_oper_log` VALUES (2794, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"111\",\"createTime\":\"2023-09-21 13:05:01\",\"creatorId\":1143215441569779712,\"factoryNo\":\"1\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:05:01');
INSERT INTO `sys_oper_log` VALUES (2795, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1704723382806294530,\"createTime\":\"2023-09-21 13:05:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704723382869209090,\"name\":\"原产地\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1704723382806294530,\"createTime\":\"2023-09-21 13:05:01\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1704723382873403393,\"name\":\"海外物流\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-21 13:05:05');
INSERT INTO `sys_oper_log` VALUES (2796, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1704723382806294530\"}', NULL, 0, NULL, '2023-09-21 13:05:11');
INSERT INTO `sys_oper_log` VALUES (2797, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams([472l,293l,495l])\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:26:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:26:40');
INSERT INTO `sys_oper_log` VALUES (2798, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:26:43');
INSERT INTO `sys_oper_log` VALUES (2799, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams([472l,293l,495l])\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:27:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:27:00');
INSERT INTO `sys_oper_log` VALUES (2800, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:27:03');
INSERT INTO `sys_oper_log` VALUES (2801, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams([472,493,495])\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:27:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:27:32');
INSERT INTO `sys_oper_log` VALUES (2802, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:27:35');
INSERT INTO `sys_oper_log` VALUES (2803, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams([472L,493L,495L])\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:27:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:27:50');
INSERT INTO `sys_oper_log` VALUES (2804, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:27:52');
INSERT INTO `sys_oper_log` VALUES (2805, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:28:01');
INSERT INTO `sys_oper_log` VALUES (2806, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:28:22');
INSERT INTO `sys_oper_log` VALUES (2807, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:28:54');
INSERT INTO `sys_oper_log` VALUES (2808, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(’[472L,493L,495L]‘)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:31:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:06');
INSERT INTO `sys_oper_log` VALUES (2809, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:10');
INSERT INTO `sys_oper_log` VALUES (2810, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(\'[472L,493L,495L]\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:31:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:16');
INSERT INTO `sys_oper_log` VALUES (2811, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:18');
INSERT INTO `sys_oper_log` VALUES (2812, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:29');
INSERT INTO `sys_oper_log` VALUES (2813, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(\\\"472L,493L,495L\\\")\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:31:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:48');
INSERT INTO `sys_oper_log` VALUES (2814, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:31:50');
INSERT INTO `sys_oper_log` VALUES (2815, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(’472,475‘)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:33:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:33:31');
INSERT INTO `sys_oper_log` VALUES (2816, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(’472,475‘)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:34:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:33:56');
INSERT INTO `sys_oper_log` VALUES (2817, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:34:01');
INSERT INTO `sys_oper_log` VALUES (2818, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(472)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:35:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:34:54');
INSERT INTO `sys_oper_log` VALUES (2819, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:34:59');
INSERT INTO `sys_oper_log` VALUES (2820, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:35:39');
INSERT INTO `sys_oper_log` VALUES (2821, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:36:01');
INSERT INTO `sys_oper_log` VALUES (2822, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.ryNoParams(\'472,478\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:38:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:38:09');
INSERT INTO `sys_oper_log` VALUES (2823, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:39:21');
INSERT INTO `sys_oper_log` VALUES (2824, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:41:26');
INSERT INTO `sys_oper_log` VALUES (2825, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.huaweiyun(\'472,478\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"系统默认（无参）\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:45:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:45:29');
INSERT INTO `sys_oper_log` VALUES (2826, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.huaweiyun(\'472,478\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"华为云服务器刷点\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 13:46:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:46:36');
INSERT INTO `sys_oper_log` VALUES (2827, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.ｚｈｕｓｈａｎ(\'472,478\')\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 13:49:02\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:49:01');
INSERT INTO `sys_oper_log` VALUES (2828, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'472,478\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 13:49:28\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:49:28');
INSERT INTO `sys_oper_log` VALUES (2829, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/2,3', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:49:36');
INSERT INTO `sys_oper_log` VALUES (2830, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'106,136\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 13:57:41\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:57:41');
INSERT INTO `sys_oper_log` VALUES (2831, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:57:44');
INSERT INTO `sys_oper_log` VALUES (2832, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'106,136\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 13:59:13\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:59:12');
INSERT INTO `sys_oper_log` VALUES (2833, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 13:59:18');
INSERT INTO `sys_oper_log` VALUES (2834, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'106,136\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:00:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:00:10');
INSERT INTO `sys_oper_log` VALUES (2835, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.zhuzeyu(\'472,478\')\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:00:45\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:00:44');
INSERT INTO `sys_oper_log` VALUES (2836, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'472,478\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:00:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:00:53');
INSERT INTO `sys_oper_log` VALUES (2837, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'220,221\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:01:33\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:01:32');
INSERT INTO `sys_oper_log` VALUES (2838, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:01:42');
INSERT INTO `sys_oper_log` VALUES (2839, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:01:44');
INSERT INTO `sys_oper_log` VALUES (2840, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'261,262\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:04:08\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:04:07');
INSERT INTO `sys_oper_log` VALUES (2841, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'220,221\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:04:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:04:19');
INSERT INTO `sys_oper_log` VALUES (2842, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:05:14');
INSERT INTO `sys_oper_log` VALUES (2843, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '113.227.219.45', 'XX XX', '{\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:06:30');
INSERT INTO `sys_oper_log` VALUES (2844, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'220\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:06:50\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:06:49');
INSERT INTO `sys_oper_log` VALUES (2845, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:06:56');
INSERT INTO `sys_oper_log` VALUES (2846, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:07:38');
INSERT INTO `sys_oper_log` VALUES (2847, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'261\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:07:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:07:39');
INSERT INTO `sys_oper_log` VALUES (2848, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '113.227.219.45', 'XX XX', '{\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:07:42');
INSERT INTO `sys_oper_log` VALUES (2849, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:07:48');
INSERT INTO `sys_oper_log` VALUES (2850, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:08:36');
INSERT INTO `sys_oper_log` VALUES (2851, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:08:46');
INSERT INTO `sys_oper_log` VALUES (2852, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:16:20');
INSERT INTO `sys_oper_log` VALUES (2853, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', NULL, 1, 'JDBC commit; Communications link failure\n\nThe last packet successfully received from the server was 13,634 milliseconds ago. The last packet sent successfully to the server was 13,659 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 13,634 milliseconds ago. The last packet sent successfully to the server was 13,659 milliseconds ago.', '2023-09-21 14:16:38');
INSERT INTO `sys_oper_log` VALUES (2854, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:16:38');
INSERT INTO `sys_oper_log` VALUES (2855, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:18:28');
INSERT INTO `sys_oper_log` VALUES (2856, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(‘136’)\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:18:42\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:18:41');
INSERT INTO `sys_oper_log` VALUES (2857, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:18:52');
INSERT INTO `sys_oper_log` VALUES (2858, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'136\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:19:17\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:19:16');
INSERT INTO `sys_oper_log` VALUES (2859, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:19:22');
INSERT INTO `sys_oper_log` VALUES (2860, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'137\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:19:55\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:19:54');
INSERT INTO `sys_oper_log` VALUES (2861, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:19:57');
INSERT INTO `sys_oper_log` VALUES (2862, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'173\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:20:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:20:30');
INSERT INTO `sys_oper_log` VALUES (2863, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:20:36');
INSERT INTO `sys_oper_log` VALUES (2864, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:21:22');
INSERT INTO `sys_oper_log` VALUES (2865, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:21:38');
INSERT INTO `sys_oper_log` VALUES (2866, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:21:44');
INSERT INTO `sys_oper_log` VALUES (2867, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:24:00');
INSERT INTO `sys_oper_log` VALUES (2868, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'222\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:31:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:31:20');
INSERT INTO `sys_oper_log` VALUES (2869, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:31:34');
INSERT INTO `sys_oper_log` VALUES (2870, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '', '{\"msg\":\"新增任务\'王建\'失败，Cron表达式不正确\",\"code\":500}', 0, NULL, '2023-09-21 14:31:59');
INSERT INTO `sys_oper_log` VALUES (2871, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"1\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"王建\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:32:10\",\"params\":{},\"status\":\"0\"}', NULL, 1, 'No bean named \'1\' available', '2023-09-21 14:32:10');
INSERT INTO `sys_oper_log` VALUES (2872, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"1\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"王建\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:32:20\",\"params\":{},\"status\":\"0\"}', NULL, 1, 'No bean named \'1\' available', '2023-09-21 14:32:20');
INSERT INTO `sys_oper_log` VALUES (2873, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"adsd\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"王建\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:32:22\",\"params\":{},\"status\":\"0\"}', NULL, 1, 'No bean named \'adsd\' available', '2023-09-21 14:32:23');
INSERT INTO `sys_oper_log` VALUES (2874, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.zhushan(\'261\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:32:40\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:32:40');
INSERT INTO `sys_oper_log` VALUES (2875, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'261\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:33:02\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:33:02');
INSERT INTO `sys_oper_log` VALUES (2876, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:34:04');
INSERT INTO `sys_oper_log` VALUES (2877, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'261\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:34:28\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:34:27');
INSERT INTO `sys_oper_log` VALUES (2878, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:34:31');
INSERT INTO `sys_oper_log` VALUES (2879, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'183,184,185\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:34:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:34:39');
INSERT INTO `sys_oper_log` VALUES (2880, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:34:46');
INSERT INTO `sys_oper_log` VALUES (2881, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:34:54');
INSERT INTO `sys_oper_log` VALUES (2882, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'222\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:37:45\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:37:44');
INSERT INTO `sys_oper_log` VALUES (2883, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'337\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:38:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:38:18');
INSERT INTO `sys_oper_log` VALUES (2884, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:38:52');
INSERT INTO `sys_oper_log` VALUES (2885, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'220\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:39:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:39:40');
INSERT INTO `sys_oper_log` VALUES (2886, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:39:49');
INSERT INTO `sys_oper_log` VALUES (2887, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'338\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:42:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:42:20');
INSERT INTO `sys_oper_log` VALUES (2888, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:43:15\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:43:15');
INSERT INTO `sys_oper_log` VALUES (2889, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'338\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:43:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:43:18');
INSERT INTO `sys_oper_log` VALUES (2890, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"任务不存在或已过期！\",\"code\":500}', 0, NULL, '2023-09-21 14:43:22');
INSERT INTO `sys_oper_log` VALUES (2891, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:43:36');
INSERT INTO `sys_oper_log` VALUES (2892, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'300\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:43:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:43:48');
INSERT INTO `sys_oper_log` VALUES (2893, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:44:00');
INSERT INTO `sys_oper_log` VALUES (2894, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:45:08');
INSERT INTO `sys_oper_log` VALUES (2895, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'339\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:50:12\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:50:11');
INSERT INTO `sys_oper_log` VALUES (2896, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:50:25');
INSERT INTO `sys_oper_log` VALUES (2897, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:52:05');
INSERT INTO `sys_oper_log` VALUES (2898, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'340\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:55:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:55:21');
INSERT INTO `sys_oper_log` VALUES (2899, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:55:32');
INSERT INTO `sys_oper_log` VALUES (2900, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'183\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:56:06\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:56:06');
INSERT INTO `sys_oper_log` VALUES (2901, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:56:09');
INSERT INTO `sys_oper_log` VALUES (2902, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'172\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:57:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:57:44');
INSERT INTO `sys_oper_log` VALUES (2903, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:58:00');
INSERT INTO `sys_oper_log` VALUES (2904, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'341\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:58:13\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:58:12');
INSERT INTO `sys_oper_log` VALUES (2905, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:58:23');
INSERT INTO `sys_oper_log` VALUES (2906, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'184\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 14:58:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:58:40');
INSERT INTO `sys_oper_log` VALUES (2907, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 14:58:56');
INSERT INTO `sys_oper_log` VALUES (2908, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'342\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:01:27\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:01:26');
INSERT INTO `sys_oper_log` VALUES (2909, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'342\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:01:27\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:01:27');
INSERT INTO `sys_oper_log` VALUES (2910, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'342\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:01:27\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:01:27');
INSERT INTO `sys_oper_log` VALUES (2911, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'185\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:07:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:07:19');
INSERT INTO `sys_oper_log` VALUES (2912, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:07:23');
INSERT INTO `sys_oper_log` VALUES (2913, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:07:26');
INSERT INTO `sys_oper_log` VALUES (2914, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'262\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":107,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:08:34\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:08:33');
INSERT INTO `sys_oper_log` VALUES (2915, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":107,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:08:41');
INSERT INTO `sys_oper_log` VALUES (2916, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'186\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:13:08\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:13:08');
INSERT INTO `sys_oper_log` VALUES (2917, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:13:12');
INSERT INTO `sys_oper_log` VALUES (2918, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'343\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:14:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:14:53');
INSERT INTO `sys_oper_log` VALUES (2919, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:15:00');
INSERT INTO `sys_oper_log` VALUES (2920, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.huaweiyun(\'171\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"华为云服务器刷点\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 15:15:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:15:22');
INSERT INTO `sys_oper_log` VALUES (2921, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:15:28');
INSERT INTO `sys_oper_log` VALUES (2922, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'221\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:18:33\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:18:33');
INSERT INTO `sys_oper_log` VALUES (2923, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:18:43');
INSERT INTO `sys_oper_log` VALUES (2924, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'344\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:21:07\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:21:06');
INSERT INTO `sys_oper_log` VALUES (2925, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:21:10');
INSERT INTO `sys_oper_log` VALUES (2926, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'\')\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:23:32\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:23:30');
INSERT INTO `sys_oper_log` VALUES (2927, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'404\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:24:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:24:23');
INSERT INTO `sys_oper_log` VALUES (2928, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:24:31');
INSERT INTO `sys_oper_log` VALUES (2929, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'187,188,189,190\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:26:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:26:14');
INSERT INTO `sys_oper_log` VALUES (2930, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:26:22');
INSERT INTO `sys_oper_log` VALUES (2931, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'170\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:27:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:27:35');
INSERT INTO `sys_oper_log` VALUES (2932, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:28:14');
INSERT INTO `sys_oper_log` VALUES (2933, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'345\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:28:55\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:28:54');
INSERT INTO `sys_oper_log` VALUES (2934, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:29:00');
INSERT INTO `sys_oper_log` VALUES (2935, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'346\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:33:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:33:57');
INSERT INTO `sys_oper_log` VALUES (2936, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'188\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:34:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:34:01');
INSERT INTO `sys_oper_log` VALUES (2937, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:34:05');
INSERT INTO `sys_oper_log` VALUES (2938, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:34:08');
INSERT INTO `sys_oper_log` VALUES (2939, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'347\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:36:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:36:22');
INSERT INTO `sys_oper_log` VALUES (2940, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:36:27');
INSERT INTO `sys_oper_log` VALUES (2941, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'\')\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:40:58\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:40:58');
INSERT INTO `sys_oper_log` VALUES (2942, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'519\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:43:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:43:48');
INSERT INTO `sys_oper_log` VALUES (2943, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:44:05');
INSERT INTO `sys_oper_log` VALUES (2944, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'348\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:45:02\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:45:02');
INSERT INTO `sys_oper_log` VALUES (2945, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:45:09');
INSERT INTO `sys_oper_log` VALUES (2946, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'520\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:46:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:46:30');
INSERT INTO `sys_oper_log` VALUES (2947, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:46:36');
INSERT INTO `sys_oper_log` VALUES (2948, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'301\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:46:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:46:39');
INSERT INTO `sys_oper_log` VALUES (2949, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:47:09');
INSERT INTO `sys_oper_log` VALUES (2950, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'169\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:49:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:49:50');
INSERT INTO `sys_oper_log` VALUES (2951, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:49:53');
INSERT INTO `sys_oper_log` VALUES (2952, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\" * * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'263\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":110,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:50:36\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:50:35');
INSERT INTO `sys_oper_log` VALUES (2953, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'349\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:50:57\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:50:57');
INSERT INTO `sys_oper_log` VALUES (2954, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'411\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:51:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:50:58');
INSERT INTO `sys_oper_log` VALUES (2955, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:51:04');
INSERT INTO `sys_oper_log` VALUES (2956, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'263\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":111,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:51:07\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:51:06');
INSERT INTO `sys_oper_log` VALUES (2957, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'263\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:51:59\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:51:58');
INSERT INTO `sys_oper_log` VALUES (2958, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:52:05');
INSERT INTO `sys_oper_log` VALUES (2959, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:52:32');
INSERT INTO `sys_oper_log` VALUES (2960, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:53:36');
INSERT INTO `sys_oper_log` VALUES (2961, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/107', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:54:19');
INSERT INTO `sys_oper_log` VALUES (2962, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'416\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:54:34\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:54:32');
INSERT INTO `sys_oper_log` VALUES (2963, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/110', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:54:33');
INSERT INTO `sys_oper_log` VALUES (2964, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/111', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:54:52');
INSERT INTO `sys_oper_log` VALUES (2965, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:54:55');
INSERT INTO `sys_oper_log` VALUES (2966, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:55:00');
INSERT INTO `sys_oper_log` VALUES (2967, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'263\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:55:56\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:55:55');
INSERT INTO `sys_oper_log` VALUES (2968, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:56:04');
INSERT INTO `sys_oper_log` VALUES (2969, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'425\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:56:49\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:56:47');
INSERT INTO `sys_oper_log` VALUES (2970, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:56:49');
INSERT INTO `sys_oper_log` VALUES (2971, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:58:31');
INSERT INTO `sys_oper_log` VALUES (2972, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'426\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 15:59:38\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:59:36');
INSERT INTO `sys_oper_log` VALUES (2973, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 15:59:48');
INSERT INTO `sys_oper_log` VALUES (2974, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'428\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:01:08\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:01:06');
INSERT INTO `sys_oper_log` VALUES (2975, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:01:18');
INSERT INTO `sys_oper_log` VALUES (2976, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:01:40');
INSERT INTO `sys_oper_log` VALUES (2977, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:04:03');
INSERT INTO `sys_oper_log` VALUES (2978, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:05:23');
INSERT INTO `sys_oper_log` VALUES (2979, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'189\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:06:08\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:06:08');
INSERT INTO `sys_oper_log` VALUES (2980, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:06:13');
INSERT INTO `sys_oper_log` VALUES (2981, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:06:55');
INSERT INTO `sys_oper_log` VALUES (2982, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:10:12');
INSERT INTO `sys_oper_log` VALUES (2983, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'350\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:11:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:11:19');
INSERT INTO `sys_oper_log` VALUES (2984, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:11:24');
INSERT INTO `sys_oper_log` VALUES (2985, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:11:53');
INSERT INTO `sys_oper_log` VALUES (2986, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'438\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:12:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:12:38');
INSERT INTO `sys_oper_log` VALUES (2987, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'264\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:12:41\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:12:40');
INSERT INTO `sys_oper_log` VALUES (2988, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:12:44');
INSERT INTO `sys_oper_log` VALUES (2989, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:12:48');
INSERT INTO `sys_oper_log` VALUES (2990, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'413\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:13:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:13:48');
INSERT INTO `sys_oper_log` VALUES (2991, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:14:09');
INSERT INTO `sys_oper_log` VALUES (2992, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:14:24');
INSERT INTO `sys_oper_log` VALUES (2993, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'416\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:15:07\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:15:05');
INSERT INTO `sys_oper_log` VALUES (2994, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:15:14');
INSERT INTO `sys_oper_log` VALUES (2995, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'351\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:15:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:15:30');
INSERT INTO `sys_oper_log` VALUES (2996, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'521\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:15:34\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:15:34');
INSERT INTO `sys_oper_log` VALUES (2997, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:15:35');
INSERT INTO `sys_oper_log` VALUES (2998, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'426\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:16:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:16:44');
INSERT INTO `sys_oper_log` VALUES (2999, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:16:55');
INSERT INTO `sys_oper_log` VALUES (3000, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'521\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:17:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:17:14');
INSERT INTO `sys_oper_log` VALUES (3001, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:17:17');
INSERT INTO `sys_oper_log` VALUES (3002, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.wangjian(\'184\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:17:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:17:39');
INSERT INTO `sys_oper_log` VALUES (3003, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:17:46');
INSERT INTO `sys_oper_log` VALUES (3004, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'425\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:17:55\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:17:53');
INSERT INTO `sys_oper_log` VALUES (3005, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:18:03');
INSERT INTO `sys_oper_log` VALUES (3006, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'168\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:18:32\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:18:32');
INSERT INTO `sys_oper_log` VALUES (3007, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:18:37');
INSERT INTO `sys_oper_log` VALUES (3008, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'439\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:18:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:18:53');
INSERT INTO `sys_oper_log` VALUES (3009, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:19:02');
INSERT INTO `sys_oper_log` VALUES (3010, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'522\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:19:17\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:19:17');
INSERT INTO `sys_oper_log` VALUES (3011, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:19:22');
INSERT INTO `sys_oper_log` VALUES (3012, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:19:23');
INSERT INTO `sys_oper_log` VALUES (3013, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:19:56');
INSERT INTO `sys_oper_log` VALUES (3014, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'523\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:20:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:20:46');
INSERT INTO `sys_oper_log` VALUES (3015, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:20:59');
INSERT INTO `sys_oper_log` VALUES (3016, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:21:01');
INSERT INTO `sys_oper_log` VALUES (3017, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:22:02');
INSERT INTO `sys_oper_log` VALUES (3018, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:22:15');
INSERT INTO `sys_oper_log` VALUES (3019, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'524\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:22:51\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:22:51');
INSERT INTO `sys_oper_log` VALUES (3020, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:22:54');
INSERT INTO `sys_oper_log` VALUES (3021, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:23:09');
INSERT INTO `sys_oper_log` VALUES (3022, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'528\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:23:18\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:23:18');
INSERT INTO `sys_oper_log` VALUES (3023, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:23:21');
INSERT INTO `sys_oper_log` VALUES (3024, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'529\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:23:38\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:23:38');
INSERT INTO `sys_oper_log` VALUES (3025, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:23:41');
INSERT INTO `sys_oper_log` VALUES (3026, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:23:43');
INSERT INTO `sys_oper_log` VALUES (3027, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'545\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:24:04\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:24:04');
INSERT INTO `sys_oper_log` VALUES (3028, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'425\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:24:09\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:24:07');
INSERT INTO `sys_oper_log` VALUES (3029, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:24:08');
INSERT INTO `sys_oper_log` VALUES (3030, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:24:11');
INSERT INTO `sys_oper_log` VALUES (3031, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:24:21');
INSERT INTO `sys_oper_log` VALUES (3032, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'426\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:24:59\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:24:57');
INSERT INTO `sys_oper_log` VALUES (3033, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:25:01');
INSERT INTO `sys_oper_log` VALUES (3034, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'546\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:25:47\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:25:46');
INSERT INTO `sys_oper_log` VALUES (3035, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:25:50');
INSERT INTO `sys_oper_log` VALUES (3036, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:26:18');
INSERT INTO `sys_oper_log` VALUES (3037, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'440\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:26:32\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:26:30');
INSERT INTO `sys_oper_log` VALUES (3038, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:26:35');
INSERT INTO `sys_oper_log` VALUES (3039, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:27:34');
INSERT INTO `sys_oper_log` VALUES (3040, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'441\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:27:43\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:27:41');
INSERT INTO `sys_oper_log` VALUES (3041, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:27:45');
INSERT INTO `sys_oper_log` VALUES (3042, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'582\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:27:53\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:27:53');
INSERT INTO `sys_oper_log` VALUES (3043, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:27:56');
INSERT INTO `sys_oper_log` VALUES (3044, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:28:07');
INSERT INTO `sys_oper_log` VALUES (3045, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:28:12');
INSERT INTO `sys_oper_log` VALUES (3046, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'302\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:29:13\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:13');
INSERT INTO `sys_oper_log` VALUES (3047, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'265\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:29:15\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:14');
INSERT INTO `sys_oper_log` VALUES (3048, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'453\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:29:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:18');
INSERT INTO `sys_oper_log` VALUES (3049, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:21');
INSERT INTO `sys_oper_log` VALUES (3050, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:22');
INSERT INTO `sys_oper_log` VALUES (3051, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'455\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:29:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:45');
INSERT INTO `sys_oper_log` VALUES (3052, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:49');
INSERT INTO `sys_oper_log` VALUES (3053, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:29:55');
INSERT INTO `sys_oper_log` VALUES (3054, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:30:07');
INSERT INTO `sys_oper_log` VALUES (3055, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1704317668267233281,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365569,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"戴尔笔记本\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:30:10\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1704317668267233281,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365570,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"戴尔笔记本\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:30:10\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1704317668267233281,\"latitude\":39.921980813878044,\"longitude\":116.40718460083008,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678971\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:30:10\",\"updaterId\":1143215441569779712,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1704317668267233281,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365569,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"戴尔笔记本\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:30:10\",\"updaterId\":1143215441569779712,\"version\":1},{\"branchId\":1704317668267233281,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365570,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"戴尔笔记本\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:30:10\",\"updaterId\":1143215441569779712,\"version\":1}],\"id\":1704317668267233281,\"latitude\":39.921980813878044,\"longitude\":116.40718460083008,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678971\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:30:10\",\"updaterId\":1143215441569779712,\"version\":1}}', 0, NULL, '2023-09-21 16:30:10');
INSERT INTO `sys_oper_log` VALUES (3056, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'352\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:31:07\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:31:07');
INSERT INTO `sys_oper_log` VALUES (3057, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:31:12');
INSERT INTO `sys_oper_log` VALUES (3058, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'465\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:31:33\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:31:31');
INSERT INTO `sys_oper_log` VALUES (3059, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:31:35');
INSERT INTO `sys_oper_log` VALUES (3060, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'372\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:31:41\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:31:41');
INSERT INTO `sys_oper_log` VALUES (3061, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:31:44');
INSERT INTO `sys_oper_log` VALUES (3062, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:32:08');
INSERT INTO `sys_oper_log` VALUES (3063, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'466\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:32:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:32:28');
INSERT INTO `sys_oper_log` VALUES (3064, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:32:32');
INSERT INTO `sys_oper_log` VALUES (3065, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:23');
INSERT INTO `sys_oper_log` VALUES (3066, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'470\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:33:36\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:34');
INSERT INTO `sys_oper_log` VALUES (3067, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:39');
INSERT INTO `sys_oper_log` VALUES (3068, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'167\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:33:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:50');
INSERT INTO `sys_oper_log` VALUES (3069, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'373\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:33:51\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:51');
INSERT INTO `sys_oper_log` VALUES (3070, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:54');
INSERT INTO `sys_oper_log` VALUES (3071, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:33:54');
INSERT INTO `sys_oper_log` VALUES (3072, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'353\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:34:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:34:21');
INSERT INTO `sys_oper_log` VALUES (3073, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:34:25');
INSERT INTO `sys_oper_log` VALUES (3074, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'224\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:34:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:34:35');
INSERT INTO `sys_oper_log` VALUES (3075, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'472\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:34:45\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:34:43');
INSERT INTO `sys_oper_log` VALUES (3076, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:34:46');
INSERT INTO `sys_oper_log` VALUES (3077, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:34:47');
INSERT INTO `sys_oper_log` VALUES (3078, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:35:20');
INSERT INTO `sys_oper_log` VALUES (3079, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'473\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:35:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:35:33');
INSERT INTO `sys_oper_log` VALUES (3080, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:35:38');
INSERT INTO `sys_oper_log` VALUES (3081, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'266\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:35:45\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:35:45');
INSERT INTO `sys_oper_log` VALUES (3082, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:35:49');
INSERT INTO `sys_oper_log` VALUES (3083, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'488\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:36:37\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:36:36');
INSERT INTO `sys_oper_log` VALUES (3084, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:36:39');
INSERT INTO `sys_oper_log` VALUES (3085, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:36:55');
INSERT INTO `sys_oper_log` VALUES (3086, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'354\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:37:11\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:37:11');
INSERT INTO `sys_oper_log` VALUES (3087, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:37:16');
INSERT INTO `sys_oper_log` VALUES (3088, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'490\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:37:49\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:37:48');
INSERT INTO `sys_oper_log` VALUES (3089, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:37:48');
INSERT INTO `sys_oper_log` VALUES (3090, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:37:51');
INSERT INTO `sys_oper_log` VALUES (3091, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'492\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:39:01\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:38:59');
INSERT INTO `sys_oper_log` VALUES (3092, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:39:03');
INSERT INTO `sys_oper_log` VALUES (3093, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:39:08');
INSERT INTO `sys_oper_log` VALUES (3094, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'493\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:39:56\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:39:55');
INSERT INTO `sys_oper_log` VALUES (3095, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:39:59');
INSERT INTO `sys_oper_log` VALUES (3096, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'355\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:40:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:40:00');
INSERT INTO `sys_oper_log` VALUES (3097, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:40:07');
INSERT INTO `sys_oper_log` VALUES (3098, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'385\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:40:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:40:44');
INSERT INTO `sys_oper_log` VALUES (3099, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'494\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:40:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:40:44');
INSERT INTO `sys_oper_log` VALUES (3100, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:40:48');
INSERT INTO `sys_oper_log` VALUES (3101, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:40:48');
INSERT INTO `sys_oper_log` VALUES (3102, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:41:21');
INSERT INTO `sys_oper_log` VALUES (3103, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'495\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:41:47\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:41:45');
INSERT INTO `sys_oper_log` VALUES (3104, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:41:49');
INSERT INTO `sys_oper_log` VALUES (3105, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'267\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:41:55\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:41:54');
INSERT INTO `sys_oper_log` VALUES (3106, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:42:00');
INSERT INTO `sys_oper_log` VALUES (3107, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:42:23');
INSERT INTO `sys_oper_log` VALUES (3108, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'496\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:42:42\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:42:40');
INSERT INTO `sys_oper_log` VALUES (3109, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:42:45');
INSERT INTO `sys_oper_log` VALUES (3110, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'386\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:43:13\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:13');
INSERT INTO `sys_oper_log` VALUES (3111, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:16');
INSERT INTO `sys_oper_log` VALUES (3112, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:23');
INSERT INTO `sys_oper_log` VALUES (3113, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:30');
INSERT INTO `sys_oper_log` VALUES (3114, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:54');
INSERT INTO `sys_oper_log` VALUES (3115, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'497\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:43:56\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:55');
INSERT INTO `sys_oper_log` VALUES (3116, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:43:59');
INSERT INTO `sys_oper_log` VALUES (3117, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'498\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:44:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:44:42');
INSERT INTO `sys_oper_log` VALUES (3118, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:44:45');
INSERT INTO `sys_oper_log` VALUES (3119, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:44:45');
INSERT INTO `sys_oper_log` VALUES (3120, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'303\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:45:12\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:45:12');
INSERT INTO `sys_oper_log` VALUES (3121, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'499\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:45:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:45:29');
INSERT INTO `sys_oper_log` VALUES (3122, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:45:33');
INSERT INTO `sys_oper_log` VALUES (3123, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:45:33');
INSERT INTO `sys_oper_log` VALUES (3124, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'502\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:46:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:46:18');
INSERT INTO `sys_oper_log` VALUES (3125, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'388\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:46:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:46:21');
INSERT INTO `sys_oper_log` VALUES (3126, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:46:21');
INSERT INTO `sys_oper_log` VALUES (3127, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:46:25');
INSERT INTO `sys_oper_log` VALUES (3128, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:47:07');
INSERT INTO `sys_oper_log` VALUES (3129, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'506\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:47:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:47:08');
INSERT INTO `sys_oper_log` VALUES (3130, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:47:12');
INSERT INTO `sys_oper_log` VALUES (3131, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'509\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:47:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:47:53');
INSERT INTO `sys_oper_log` VALUES (3132, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:47:56');
INSERT INTO `sys_oper_log` VALUES (3133, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'304\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:48:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:48:40');
INSERT INTO `sys_oper_log` VALUES (3134, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:08');
INSERT INTO `sys_oper_log` VALUES (3135, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'511\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:49:11\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:10');
INSERT INTO `sys_oper_log` VALUES (3136, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:15');
INSERT INTO `sys_oper_log` VALUES (3137, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'389\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:49:17\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:17');
INSERT INTO `sys_oper_log` VALUES (3138, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:22');
INSERT INTO `sys_oper_log` VALUES (3139, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'357\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:49:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:29');
INSERT INTO `sys_oper_log` VALUES (3140, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '113.227.219.45', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'166\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:49:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:34');
INSERT INTO `sys_oper_log` VALUES (3141, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:36');
INSERT INTO `sys_oper_log` VALUES (3142, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:39');
INSERT INTO `sys_oper_log` VALUES (3143, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:49:51');
INSERT INTO `sys_oper_log` VALUES (3144, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:50:03');
INSERT INTO `sys_oper_log` VALUES (3145, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'165\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:50:17\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:50:16');
INSERT INTO `sys_oper_log` VALUES (3146, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:50:20');
INSERT INTO `sys_oper_log` VALUES (3147, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'426\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:50:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:50:45');
INSERT INTO `sys_oper_log` VALUES (3148, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:50:49');
INSERT INTO `sys_oper_log` VALUES (3149, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'397\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:51:33\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:51:33');
INSERT INTO `sys_oper_log` VALUES (3150, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:51:37');
INSERT INTO `sys_oper_log` VALUES (3151, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1704317668267233281,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365569,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"戴尔笔记本\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:51:52\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1704317668267233281,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365570,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"戴尔笔记本\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:51:52\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1704317668267233281,\"latitude\":39.931195719854664,\"longitude\":116.44855499267578,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678971\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:51:52\",\"updaterId\":1143215441569779712,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"请问\",\"area\":\"东城区\",\"areaCode\":\"110101\",\"areaList\":[\"110000\",\"110100\",\"110101\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"details\":[{\"branchId\":1704317668267233281,\"categoryName\":\"鸡蛋\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365569,\"mainPicture\":\"/profile/upload/2023/09/12/f3f42e4f-5e9d-4208-9d0f-11c21d8b8444_20230912115317A001.jpg\",\"onShow\":1,\"params\":{},\"price\":1,\"productId\":1699958809204682753,\"productName\":\"戴尔笔记本\",\"remark\":\"789\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:51:52\",\"updaterId\":1143215441569779712,\"version\":2},{\"branchId\":1704317668267233281,\"categoryName\":\"酒水\",\"createTime\":\"2023-09-20 10:12:51\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704317668464365570,\"mainPicture\":\"/profile/upload/2023/09/12/f7afe88b5c21009933764ee6adbe37b1_20230912105946A001.jpeg\",\"onShow\":1,\"params\":{},\"price\":1221,\"productId\":1699236240245256193,\"productName\":\"戴尔笔记本\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:51:52\",\"updaterId\":1143215441569779712,\"version\":2}],\"id\":1704317668267233281,\"latitude\":39.931195719854664,\"longitude\":116.44855499267578,\"name\":\"测试\",\"params\":{},\"phnoe\":\"12345678971\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-21 16:51:52\",\"updaterId\":1143215441569779712,\"version\":2}}', 0, NULL, '2023-09-21 16:51:53');
INSERT INTO `sys_oper_log` VALUES (3152, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'440\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:52:12\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:52:10');
INSERT INTO `sys_oper_log` VALUES (3153, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:52:17');
INSERT INTO `sys_oper_log` VALUES (3154, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'358\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:52:24\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:52:23');
INSERT INTO `sys_oper_log` VALUES (3155, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:52:29');
INSERT INTO `sys_oper_log` VALUES (3156, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'268\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:53:59\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:53:58');
INSERT INTO `sys_oper_log` VALUES (3157, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:54:07');
INSERT INTO `sys_oper_log` VALUES (3158, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'305\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:54:51\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:54:51');
INSERT INTO `sys_oper_log` VALUES (3159, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:54:55');
INSERT INTO `sys_oper_log` VALUES (3160, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'291\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:54:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:54:56');
INSERT INTO `sys_oper_log` VALUES (3161, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:55:00');
INSERT INTO `sys_oper_log` VALUES (3162, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:07');
INSERT INTO `sys_oper_log` VALUES (3163, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:15');
INSERT INTO `sys_oper_log` VALUES (3164, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'359\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:59:26\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:25');
INSERT INTO `sys_oper_log` VALUES (3165, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:31');
INSERT INTO `sys_oper_log` VALUES (3166, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:39');
INSERT INTO `sys_oper_log` VALUES (3167, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'404\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 16:59:42\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:42');
INSERT INTO `sys_oper_log` VALUES (3168, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 16:59:48');
INSERT INTO `sys_oper_log` VALUES (3169, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:00:48');
INSERT INTO `sys_oper_log` VALUES (3170, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:01:28');
INSERT INTO `sys_oper_log` VALUES (3171, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'164\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:01:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:01:44');
INSERT INTO `sys_oper_log` VALUES (3172, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:01:47');
INSERT INTO `sys_oper_log` VALUES (3173, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'360\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:03:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:03:24');
INSERT INTO `sys_oper_log` VALUES (3174, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'269\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:03:26\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:03:25');
INSERT INTO `sys_oper_log` VALUES (3175, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:03:29');
INSERT INTO `sys_oper_log` VALUES (3176, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:03:34');
INSERT INTO `sys_oper_log` VALUES (3177, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'306\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:03:57\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:03:57');
INSERT INTO `sys_oper_log` VALUES (3178, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:01');
INSERT INTO `sys_oper_log` VALUES (3179, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'411\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:04:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:35');
INSERT INTO `sys_oper_log` VALUES (3180, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:38');
INSERT INTO `sys_oper_log` VALUES (3181, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'361\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:04:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:38');
INSERT INTO `sys_oper_log` VALUES (3182, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:42');
INSERT INTO `sys_oper_log` VALUES (3183, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:51');
INSERT INTO `sys_oper_log` VALUES (3184, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'307\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:04:52\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:52');
INSERT INTO `sys_oper_log` VALUES (3185, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:04:55');
INSERT INTO `sys_oper_log` VALUES (3186, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:05:13');
INSERT INTO `sys_oper_log` VALUES (3187, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'270\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:05:43\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:05:42');
INSERT INTO `sys_oper_log` VALUES (3188, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:05:51');
INSERT INTO `sys_oper_log` VALUES (3189, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:05:53');
INSERT INTO `sys_oper_log` VALUES (3190, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'252\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:06:05\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:05');
INSERT INTO `sys_oper_log` VALUES (3191, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:10');
INSERT INTO `sys_oper_log` VALUES (3192, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'308\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:06:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:25');
INSERT INTO `sys_oper_log` VALUES (3193, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:32');
INSERT INTO `sys_oper_log` VALUES (3194, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:41');
INSERT INTO `sys_oper_log` VALUES (3195, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'362\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:06:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:44');
INSERT INTO `sys_oper_log` VALUES (3196, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:06:48');
INSERT INTO `sys_oper_log` VALUES (3197, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'271\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:07:24\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:07:23');
INSERT INTO `sys_oper_log` VALUES (3198, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'245\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:07:26\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:07:26');
INSERT INTO `sys_oper_log` VALUES (3199, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:07:29');
INSERT INTO `sys_oper_log` VALUES (3200, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:07:33');
INSERT INTO `sys_oper_log` VALUES (3201, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:09:10');
INSERT INTO `sys_oper_log` VALUES (3202, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:10:38');
INSERT INTO `sys_oper_log` VALUES (3203, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'413\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:11:03\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:02');
INSERT INTO `sys_oper_log` VALUES (3204, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:05');
INSERT INTO `sys_oper_log` VALUES (3205, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'246\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:11:29\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:29');
INSERT INTO `sys_oper_log` VALUES (3206, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:33');
INSERT INTO `sys_oper_log` VALUES (3207, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'363\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:11:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:50');
INSERT INTO `sys_oper_log` VALUES (3208, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:53');
INSERT INTO `sys_oper_log` VALUES (3209, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'416\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:12:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:11:58');
INSERT INTO `sys_oper_log` VALUES (3210, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:12:02');
INSERT INTO `sys_oper_log` VALUES (3211, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:12:02');
INSERT INTO `sys_oper_log` VALUES (3212, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'425\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:12:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:12:28');
INSERT INTO `sys_oper_log` VALUES (3213, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:12:33');
INSERT INTO `sys_oper_log` VALUES (3214, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:13:13');
INSERT INTO `sys_oper_log` VALUES (3215, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'426\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:13:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:13:17');
INSERT INTO `sys_oper_log` VALUES (3216, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:13:20');
INSERT INTO `sys_oper_log` VALUES (3217, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'364\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:13:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:13:48');
INSERT INTO `sys_oper_log` VALUES (3218, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:13:51');
INSERT INTO `sys_oper_log` VALUES (3219, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'428\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:14:08\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:06');
INSERT INTO `sys_oper_log` VALUES (3220, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:11');
INSERT INTO `sys_oper_log` VALUES (3221, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'309\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:14:27\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:27');
INSERT INTO `sys_oper_log` VALUES (3222, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:33');
INSERT INTO `sys_oper_log` VALUES (3223, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:38');
INSERT INTO `sys_oper_log` VALUES (3224, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'438\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:14:53\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:51');
INSERT INTO `sys_oper_log` VALUES (3225, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:14:54');
INSERT INTO `sys_oper_log` VALUES (3226, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:15:09');
INSERT INTO `sys_oper_log` VALUES (3227, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'439\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:15:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:15:34');
INSERT INTO `sys_oper_log` VALUES (3228, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:15:38');
INSERT INTO `sys_oper_log` VALUES (3229, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'225\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:15:51\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:15:51');
INSERT INTO `sys_oper_log` VALUES (3230, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'440\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:16:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:16:13');
INSERT INTO `sys_oper_log` VALUES (3231, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:16:16');
INSERT INTO `sys_oper_log` VALUES (3232, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:16:27');
INSERT INTO `sys_oper_log` VALUES (3233, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:16:30');
INSERT INTO `sys_oper_log` VALUES (3234, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'365\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:16:36\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:16:36');
INSERT INTO `sys_oper_log` VALUES (3235, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:16:40');
INSERT INTO `sys_oper_log` VALUES (3236, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'441\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:17:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:17:19');
INSERT INTO `sys_oper_log` VALUES (3237, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:17:23');
INSERT INTO `sys_oper_log` VALUES (3238, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'163\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:17:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:17:30');
INSERT INTO `sys_oper_log` VALUES (3239, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:17:37');
INSERT INTO `sys_oper_log` VALUES (3240, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:17:42');
INSERT INTO `sys_oper_log` VALUES (3241, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'453\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:18:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:18:21');
INSERT INTO `sys_oper_log` VALUES (3242, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:18:30');
INSERT INTO `sys_oper_log` VALUES (3243, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:19:00');
INSERT INTO `sys_oper_log` VALUES (3244, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:19:12');
INSERT INTO `sys_oper_log` VALUES (3245, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'247\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:19:41\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:19:41');
INSERT INTO `sys_oper_log` VALUES (3246, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:19:45');
INSERT INTO `sys_oper_log` VALUES (3247, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:20:04');
INSERT INTO `sys_oper_log` VALUES (3248, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'455\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:20:11\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:20:09');
INSERT INTO `sys_oper_log` VALUES (3249, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:20:13');
INSERT INTO `sys_oper_log` VALUES (3250, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:20:22');
INSERT INTO `sys_oper_log` VALUES (3251, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:20:57');
INSERT INTO `sys_oper_log` VALUES (3252, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:21:08');
INSERT INTO `sys_oper_log` VALUES (3253, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'465\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:21:41\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:21:39');
INSERT INTO `sys_oper_log` VALUES (3254, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:21:43');
INSERT INTO `sys_oper_log` VALUES (3255, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:21:48');
INSERT INTO `sys_oper_log` VALUES (3256, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'466\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:22:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:22:29');
INSERT INTO `sys_oper_log` VALUES (3257, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:22:33');
INSERT INTO `sys_oper_log` VALUES (3258, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'470\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:23:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:23:13');
INSERT INTO `sys_oper_log` VALUES (3259, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:23:17');
INSERT INTO `sys_oper_log` VALUES (3260, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'370\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:23:36\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:23:35');
INSERT INTO `sys_oper_log` VALUES (3261, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'472\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:23:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:23:38');
INSERT INTO `sys_oper_log` VALUES (3262, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:23:41');
INSERT INTO `sys_oper_log` VALUES (3263, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:23:43');
INSERT INTO `sys_oper_log` VALUES (3264, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'473\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:24:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:24:23');
INSERT INTO `sys_oper_log` VALUES (3265, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:24:27');
INSERT INTO `sys_oper_log` VALUES (3266, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:24:43');
INSERT INTO `sys_oper_log` VALUES (3267, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'488\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:24:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:24:48');
INSERT INTO `sys_oper_log` VALUES (3268, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:24:53');
INSERT INTO `sys_oper_log` VALUES (3269, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:25:06');
INSERT INTO `sys_oper_log` VALUES (3270, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'490\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:25:22\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:25:20');
INSERT INTO `sys_oper_log` VALUES (3271, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:25:22');
INSERT INTO `sys_oper_log` VALUES (3272, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:25:24');
INSERT INTO `sys_oper_log` VALUES (3273, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'492\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:25:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:25:57');
INSERT INTO `sys_oper_log` VALUES (3274, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:26:00');
INSERT INTO `sys_oper_log` VALUES (3275, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'162\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:26:27\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:26:26');
INSERT INTO `sys_oper_log` VALUES (3276, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'493\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:26:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:26:29');
INSERT INTO `sys_oper_log` VALUES (3277, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:26:32');
INSERT INTO `sys_oper_log` VALUES (3278, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:26:32');
INSERT INTO `sys_oper_log` VALUES (3279, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'494\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:27:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:27:12');
INSERT INTO `sys_oper_log` VALUES (3280, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:27:15');
INSERT INTO `sys_oper_log` VALUES (3281, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'328\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:27:38\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:27:38');
INSERT INTO `sys_oper_log` VALUES (3282, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:27:42');
INSERT INTO `sys_oper_log` VALUES (3283, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'226\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:27:45\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:27:44');
INSERT INTO `sys_oper_log` VALUES (3284, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:27:57');
INSERT INTO `sys_oper_log` VALUES (3285, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'495\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:28:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:28:12');
INSERT INTO `sys_oper_log` VALUES (3286, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:28:17');
INSERT INTO `sys_oper_log` VALUES (3287, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'272\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:28:45\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:28:44');
INSERT INTO `sys_oper_log` VALUES (3288, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:28:49');
INSERT INTO `sys_oper_log` VALUES (3289, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'496\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:29:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:29:37');
INSERT INTO `sys_oper_log` VALUES (3290, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:29:41');
INSERT INTO `sys_oper_log` VALUES (3291, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'329\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:30:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:30:29');
INSERT INTO `sys_oper_log` VALUES (3292, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:30:31');
INSERT INTO `sys_oper_log` VALUES (3293, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:30:33');
INSERT INTO `sys_oper_log` VALUES (3294, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'330\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:32:27\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:32:26');
INSERT INTO `sys_oper_log` VALUES (3295, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:32:30');
INSERT INTO `sys_oper_log` VALUES (3296, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:33:06');
INSERT INTO `sys_oper_log` VALUES (3297, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:33:28');
INSERT INTO `sys_oper_log` VALUES (3298, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'248\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:33:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:33:48');
INSERT INTO `sys_oper_log` VALUES (3299, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:33:51');
INSERT INTO `sys_oper_log` VALUES (3300, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:34:12');
INSERT INTO `sys_oper_log` VALUES (3301, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:34:49');
INSERT INTO `sys_oper_log` VALUES (3302, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:35:32');
INSERT INTO `sys_oper_log` VALUES (3303, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'260\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:36:09\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:36:09');
INSERT INTO `sys_oper_log` VALUES (3304, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:36:29');
INSERT INTO `sys_oper_log` VALUES (3305, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:36:42');
INSERT INTO `sys_oper_log` VALUES (3306, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:37:45');
INSERT INTO `sys_oper_log` VALUES (3307, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'310\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:38:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:38:58');
INSERT INTO `sys_oper_log` VALUES (3308, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'331\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:39:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:39:00');
INSERT INTO `sys_oper_log` VALUES (3309, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:39:02');
INSERT INTO `sys_oper_log` VALUES (3310, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:39:03');
INSERT INTO `sys_oper_log` VALUES (3311, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:39:17');
INSERT INTO `sys_oper_log` VALUES (3312, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'159\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:39:37\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:39:37');
INSERT INTO `sys_oper_log` VALUES (3313, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:39:43');
INSERT INTO `sys_oper_log` VALUES (3314, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'249\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:40:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:40:00');
INSERT INTO `sys_oper_log` VALUES (3315, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:40:03');
INSERT INTO `sys_oper_log` VALUES (3316, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'311\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:40:24\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:40:24');
INSERT INTO `sys_oper_log` VALUES (3317, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:40:28');
INSERT INTO `sys_oper_log` VALUES (3318, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'332\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:40:36\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:40:35');
INSERT INTO `sys_oper_log` VALUES (3319, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:40:39');
INSERT INTO `sys_oper_log` VALUES (3320, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:41:07');
INSERT INTO `sys_oper_log` VALUES (3321, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:41:17');
INSERT INTO `sys_oper_log` VALUES (3322, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:41:33');
INSERT INTO `sys_oper_log` VALUES (3323, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'312\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:41:55\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:41:55');
INSERT INTO `sys_oper_log` VALUES (3324, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:41:59');
INSERT INTO `sys_oper_log` VALUES (3325, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:42:51');
INSERT INTO `sys_oper_log` VALUES (3326, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuzeyu(\'227\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:43:36\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:43:35');
INSERT INTO `sys_oper_log` VALUES (3327, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:43:36');
INSERT INTO `sys_oper_log` VALUES (3328, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:43:47');
INSERT INTO `sys_oper_log` VALUES (3329, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'333\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:43:52\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:43:51');
INSERT INTO `sys_oper_log` VALUES (3330, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:43:54');
INSERT INTO `sys_oper_log` VALUES (3331, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'334\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:44:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:44:25');
INSERT INTO `sys_oper_log` VALUES (3332, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:44:28');
INSERT INTO `sys_oper_log` VALUES (3333, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:45:33');
INSERT INTO `sys_oper_log` VALUES (3334, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:45:52');
INSERT INTO `sys_oper_log` VALUES (3335, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:46:49');
INSERT INTO `sys_oper_log` VALUES (3336, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:46:52');
INSERT INTO `sys_oper_log` VALUES (3337, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'335\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:47:07\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:47:07');
INSERT INTO `sys_oper_log` VALUES (3338, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:47:11');
INSERT INTO `sys_oper_log` VALUES (3339, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:48:02');
INSERT INTO `sys_oper_log` VALUES (3340, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:49:25');
INSERT INTO `sys_oper_log` VALUES (3341, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'336\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:49:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:49:31');
INSERT INTO `sys_oper_log` VALUES (3342, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:49:40');
INSERT INTO `sys_oper_log` VALUES (3343, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:50:14');
INSERT INTO `sys_oper_log` VALUES (3344, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:50:50');
INSERT INTO `sys_oper_log` VALUES (3345, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:50:56');
INSERT INTO `sys_oper_log` VALUES (3346, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'250\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:51:09\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:51:09');
INSERT INTO `sys_oper_log` VALUES (3347, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:51:16');
INSERT INTO `sys_oper_log` VALUES (3348, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.quyue(\'273\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:51:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:51:20');
INSERT INTO `sys_oper_log` VALUES (3349, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:51:26');
INSERT INTO `sys_oper_log` VALUES (3350, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:51:56');
INSERT INTO `sys_oper_log` VALUES (3351, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:52:27');
INSERT INTO `sys_oper_log` VALUES (3352, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:52:42');
INSERT INTO `sys_oper_log` VALUES (3353, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhushan(\'226\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 17:53:42\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:53:41');
INSERT INTO `sys_oper_log` VALUES (3354, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:53:48');
INSERT INTO `sys_oper_log` VALUES (3355, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:54:23');
INSERT INTO `sys_oper_log` VALUES (3356, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:54:24');
INSERT INTO `sys_oper_log` VALUES (3357, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:55:05');
INSERT INTO `sys_oper_log` VALUES (3358, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:55:37');
INSERT INTO `sys_oper_log` VALUES (3359, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:56:06');
INSERT INTO `sys_oper_log` VALUES (3360, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:57:22');
INSERT INTO `sys_oper_log` VALUES (3361, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:58:34');
INSERT INTO `sys_oper_log` VALUES (3362, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:59:28');
INSERT INTO `sys_oper_log` VALUES (3363, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 17:59:31');
INSERT INTO `sys_oper_log` VALUES (3364, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:00:23');
INSERT INTO `sys_oper_log` VALUES (3365, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:01:40');
INSERT INTO `sys_oper_log` VALUES (3366, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'327\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:02:22\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:02:21');
INSERT INTO `sys_oper_log` VALUES (3367, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:02:25');
INSERT INTO `sys_oper_log` VALUES (3368, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:04:27');
INSERT INTO `sys_oper_log` VALUES (3369, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'497\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:16:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:16:46');
INSERT INTO `sys_oper_log` VALUES (3370, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:16:55');
INSERT INTO `sys_oper_log` VALUES (3371, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'313\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:22:52\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:22:51');
INSERT INTO `sys_oper_log` VALUES (3372, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:22:56');
INSERT INTO `sys_oper_log` VALUES (3373, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'498\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:24:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:24:18');
INSERT INTO `sys_oper_log` VALUES (3374, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:24:22');
INSERT INTO `sys_oper_log` VALUES (3375, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'499\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:29:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:29:22');
INSERT INTO `sys_oper_log` VALUES (3376, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:29:25');
INSERT INTO `sys_oper_log` VALUES (3377, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'502\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:30:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:30:56');
INSERT INTO `sys_oper_log` VALUES (3378, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:31:01');
INSERT INTO `sys_oper_log` VALUES (3379, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'506\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:32:01\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:32:00');
INSERT INTO `sys_oper_log` VALUES (3380, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:32:03');
INSERT INTO `sys_oper_log` VALUES (3381, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.xu(\'326\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:32:49\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:32:48');
INSERT INTO `sys_oper_log` VALUES (3382, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:32:53');
INSERT INTO `sys_oper_log` VALUES (3383, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'509\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:34:26\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:34:24');
INSERT INTO `sys_oper_log` VALUES (3384, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:34:33');
INSERT INTO `sys_oper_log` VALUES (3385, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.guoyujia(\'324\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:35:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:35:34');
INSERT INTO `sys_oper_log` VALUES (3386, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:35:40');
INSERT INTO `sys_oper_log` VALUES (3387, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register()\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"刷标识\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 18:43:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:43:28');
INSERT INTO `sys_oper_log` VALUES (3388, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:43:41');
INSERT INTO `sys_oper_log` VALUES (3389, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.zhuang(\'251\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 18:44:18\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:44:18');
INSERT INTO `sys_oper_log` VALUES (3390, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:44:21');
INSERT INTO `sys_oper_log` VALUES (3391, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:45:46');
INSERT INTO `sys_oper_log` VALUES (3392, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:48:22');
INSERT INTO `sys_oper_log` VALUES (3393, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:52:46');
INSERT INTO `sys_oper_log` VALUES (3394, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:54:27');
INSERT INTO `sys_oper_log` VALUES (3395, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 18:57:25');
INSERT INTO `sys_oper_log` VALUES (3396, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:00:39');
INSERT INTO `sys_oper_log` VALUES (3397, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:02:18');
INSERT INTO `sys_oper_log` VALUES (3398, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:08:39');
INSERT INTO `sys_oper_log` VALUES (3399, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:13:42');
INSERT INTO `sys_oper_log` VALUES (3400, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:19:00');
INSERT INTO `sys_oper_log` VALUES (3401, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:22:05');
INSERT INTO `sys_oper_log` VALUES (3402, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:25:08');
INSERT INTO `sys_oper_log` VALUES (3403, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:30:31');
INSERT INTO `sys_oper_log` VALUES (3404, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(106,210)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"刷标识\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 19:40:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:40:41');
INSERT INTO `sys_oper_log` VALUES (3405, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:41:03');
INSERT INTO `sys_oper_log` VALUES (3406, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:41:44');
INSERT INTO `sys_oper_log` VALUES (3407, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"刷标识\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 19:42:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:42:09');
INSERT INTO `sys_oper_log` VALUES (3408, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:42:23');
INSERT INTO `sys_oper_log` VALUES (3409, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:43:37');
INSERT INTO `sys_oper_log` VALUES (3410, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 13:49:01\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":101,\"jobName\":\"朱汕\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:32\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:32');
INSERT INTO `sys_oper_log` VALUES (3411, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:37\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:36');
INSERT INTO `sys_oper_log` VALUES (3412, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:40');
INSERT INTO `sys_oper_log` VALUES (3413, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:44');
INSERT INTO `sys_oper_log` VALUES (3414, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:49\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:48');
INSERT INTO `sys_oper_log` VALUES (3415, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:54');
INSERT INTO `sys_oper_log` VALUES (3416, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:57:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:57:57');
INSERT INTO `sys_oper_log` VALUES (3417, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 19:58:01\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:58:01');
INSERT INTO `sys_oper_log` VALUES (3418, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(106L,162L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"刷标识\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 19:59:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:59:03');
INSERT INTO `sys_oper_log` VALUES (3419, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/101', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:59:12');
INSERT INTO `sys_oper_log` VALUES (3420, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(106L,162L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 19:59:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:59:23');
INSERT INTO `sys_oper_log` VALUES (3421, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 19:59:30');
INSERT INTO `sys_oper_log` VALUES (3422, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 20:00:02');
INSERT INTO `sys_oper_log` VALUES (3423, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 20:02:45');
INSERT INTO `sys_oper_log` VALUES (3424, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(164L,200L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 20:06:36\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 20:06:36');
INSERT INTO `sys_oper_log` VALUES (3425, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 20:06:56');
INSERT INTO `sys_oper_log` VALUES (3426, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 20:50:50');
INSERT INTO `sys_oper_log` VALUES (3427, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(166L,200L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 21:02:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:02:47');
INSERT INTO `sys_oper_log` VALUES (3428, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:02:51');
INSERT INTO `sys_oper_log` VALUES (3429, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:03:50');
INSERT INTO `sys_oper_log` VALUES (3430, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:08:09');
INSERT INTO `sys_oper_log` VALUES (3431, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:10:18');
INSERT INTO `sys_oper_log` VALUES (3432, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(440L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 21:18:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:18:40');
INSERT INTO `sys_oper_log` VALUES (3433, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:18:44');
INSERT INTO `sys_oper_log` VALUES (3434, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(445L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 21:19:39\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:19:39');
INSERT INTO `sys_oper_log` VALUES (3435, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:19:42');
INSERT INTO `sys_oper_log` VALUES (3436, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:21:46');
INSERT INTO `sys_oper_log` VALUES (3437, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:29:25');
INSERT INTO `sys_oper_log` VALUES (3438, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(208L,210L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 21:33:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:33:19');
INSERT INTO `sys_oper_log` VALUES (3439, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:33:34');
INSERT INTO `sys_oper_log` VALUES (3440, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:35:45');
INSERT INTO `sys_oper_log` VALUES (3441, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:40:11');
INSERT INTO `sys_oper_log` VALUES (3442, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'300\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 21:42:21\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:42:19');
INSERT INTO `sys_oper_log` VALUES (3443, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:42:25');
INSERT INTO `sys_oper_log` VALUES (3444, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:44:23');
INSERT INTO `sys_oper_log` VALUES (3445, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.lishuang(\'300,301\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 21:45:24\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:45:23');
INSERT INTO `sys_oper_log` VALUES (3446, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:45:34');
INSERT INTO `sys_oper_log` VALUES (3447, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:49:50');
INSERT INTO `sys_oper_log` VALUES (3448, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:51:17');
INSERT INTO `sys_oper_log` VALUES (3449, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:53:36');
INSERT INTO `sys_oper_log` VALUES (3450, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:56:45');
INSERT INTO `sys_oper_log` VALUES (3451, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 21:57:30');
INSERT INTO `sys_oper_log` VALUES (3452, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(250L,300L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 22:03:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:03:46');
INSERT INTO `sys_oper_log` VALUES (3453, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:03:55');
INSERT INTO `sys_oper_log` VALUES (3454, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:05:27');
INSERT INTO `sys_oper_log` VALUES (3455, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:09:49');
INSERT INTO `sys_oper_log` VALUES (3456, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(301L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:17:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:17:23');
INSERT INTO `sys_oper_log` VALUES (3457, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:17:26');
INSERT INTO `sys_oper_log` VALUES (3458, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(304L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:28:04\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:28:04');
INSERT INTO `sys_oper_log` VALUES (3459, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:28:07');
INSERT INTO `sys_oper_log` VALUES (3460, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(251L,300L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 22:34:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:33:51');
INSERT INTO `sys_oper_log` VALUES (3461, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:33:58');
INSERT INTO `sys_oper_log` VALUES (3462, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(200L,250L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:37:45\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:37:45');
INSERT INTO `sys_oper_log` VALUES (3463, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:37:52');
INSERT INTO `sys_oper_log` VALUES (3464, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(150L,249L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:40:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:40:22');
INSERT INTO `sys_oper_log` VALUES (3465, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:40:28');
INSERT INTO `sys_oper_log` VALUES (3466, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:40:50');
INSERT INTO `sys_oper_log` VALUES (3467, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:42:13');
INSERT INTO `sys_oper_log` VALUES (3468, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(251L,300L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:44:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:44:13');
INSERT INTO `sys_oper_log` VALUES (3469, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(106L,180L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:45:41\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:45:40');
INSERT INTO `sys_oper_log` VALUES (3470, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:45:51');
INSERT INTO `sys_oper_log` VALUES (3471, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(201L,250L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:55:02\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:55:01');
INSERT INTO `sys_oper_log` VALUES (3472, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:55:06');
INSERT INTO `sys_oper_log` VALUES (3473, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(308L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:55:09\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:55:09');
INSERT INTO `sys_oper_log` VALUES (3474, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:55:20');
INSERT INTO `sys_oper_log` VALUES (3475, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(152L,180L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 22:55:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:55:39');
INSERT INTO `sys_oper_log` VALUES (3476, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 22:55:43');
INSERT INTO `sys_oper_log` VALUES (3477, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(256L,300L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-21 23:03:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:03:23');
INSERT INTO `sys_oper_log` VALUES (3478, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:04:13');
INSERT INTO `sys_oper_log` VALUES (3479, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(480L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:14:33\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:14:32');
INSERT INTO `sys_oper_log` VALUES (3480, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:14:46');
INSERT INTO `sys_oper_log` VALUES (3481, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(400L,480L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:20:04\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:20:04');
INSERT INTO `sys_oper_log` VALUES (3482, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:20:13');
INSERT INTO `sys_oper_log` VALUES (3483, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(311L,400L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:33:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:33:14');
INSERT INTO `sys_oper_log` VALUES (3484, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:33:17');
INSERT INTO `sys_oper_log` VALUES (3485, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(207L,250L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:37:42\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:37:42');
INSERT INTO `sys_oper_log` VALUES (3486, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:37:48');
INSERT INTO `sys_oper_log` VALUES (3487, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(179L,200L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:39:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:39:13');
INSERT INTO `sys_oper_log` VALUES (3488, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:39:19');
INSERT INTO `sys_oper_log` VALUES (3489, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:40:22');
INSERT INTO `sys_oper_log` VALUES (3490, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(512L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:41:06\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:41:04');
INSERT INTO `sys_oper_log` VALUES (3491, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:41:08');
INSERT INTO `sys_oper_log` VALUES (3492, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(312L,400L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:48:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:48:25');
INSERT INTO `sys_oper_log` VALUES (3493, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:48:30');
INSERT INTO `sys_oper_log` VALUES (3494, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(210L,250L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:51:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:51:58');
INSERT INTO `sys_oper_log` VALUES (3495, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:52:02');
INSERT INTO `sys_oper_log` VALUES (3496, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(350L,400L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-21 23:55:04\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:55:04');
INSERT INTO `sys_oper_log` VALUES (3497, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-21 23:55:09');
INSERT INTO `sys_oper_log` VALUES (3498, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 00:30:33\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:30:32');
INSERT INTO `sys_oper_log` VALUES (3499, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:30:36');
INSERT INTO `sys_oper_log` VALUES (3500, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(258L,300L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 00:32:20\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:32:11');
INSERT INTO `sys_oper_log` VALUES (3501, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:32:15');
INSERT INTO `sys_oper_log` VALUES (3502, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(200L,500L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 00:37:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:37:57');
INSERT INTO `sys_oper_log` VALUES (3503, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:38:02');
INSERT INTO `sys_oper_log` VALUES (3504, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,500L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 00:43:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:43:45');
INSERT INTO `sys_oper_log` VALUES (3505, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 00:45:15');
INSERT INTO `sys_oper_log` VALUES (3506, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 01:43:58');
INSERT INTO `sys_oper_log` VALUES (3507, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 01:45:39');
INSERT INTO `sys_oper_log` VALUES (3508, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:20:15');
INSERT INTO `sys_oper_log` VALUES (3509, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:21:35');
INSERT INTO `sys_oper_log` VALUES (3510, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:24:16');
INSERT INTO `sys_oper_log` VALUES (3511, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:25:33');
INSERT INTO `sys_oper_log` VALUES (3512, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(178L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 02:28:05\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:28:07');
INSERT INTO `sys_oper_log` VALUES (3513, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:28:10');
INSERT INTO `sys_oper_log` VALUES (3514, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:35:25');
INSERT INTO `sys_oper_log` VALUES (3515, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:40:05');
INSERT INTO `sys_oper_log` VALUES (3516, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:41:09');
INSERT INTO `sys_oper_log` VALUES (3517, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:41:21');
INSERT INTO `sys_oper_log` VALUES (3518, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(200L,582L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 02:42:22\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:42:23');
INSERT INTO `sys_oper_log` VALUES (3519, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 02:42:27');
INSERT INTO `sys_oper_log` VALUES (3520, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 06:12:03');
INSERT INTO `sys_oper_log` VALUES (3521, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 06:13:30');
INSERT INTO `sys_oper_log` VALUES (3522, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,400L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 07:13:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 07:13:58');
INSERT INTO `sys_oper_log` VALUES (3523, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 07:14:01');
INSERT INTO `sys_oper_log` VALUES (3524, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,550L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 07:15:12\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 07:15:12');
INSERT INTO `sys_oper_log` VALUES (3525, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 07:15:18');
INSERT INTO `sys_oper_log` VALUES (3526, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(1L,550L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 07:16:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 07:16:37');
INSERT INTO `sys_oper_log` VALUES (3527, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 07:16:43');
INSERT INTO `sys_oper_log` VALUES (3528, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '60.21.90.138', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 08:17:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:16:50');
INSERT INTO `sys_oper_log` VALUES (3529, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:16:53');
INSERT INTO `sys_oper_log` VALUES (3530, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:23:30\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"jobName\":\"李爽\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:26:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:26:13');
INSERT INTO `sys_oper_log` VALUES (3531, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:44:29\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:44:29');
INSERT INTO `sys_oper_log` VALUES (3532, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:44:36');
INSERT INTO `sys_oper_log` VALUES (3533, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:44:42\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:44:41');
INSERT INTO `sys_oper_log` VALUES (3534, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:45:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:45:23');
INSERT INTO `sys_oper_log` VALUES (3535, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:45:40');
INSERT INTO `sys_oper_log` VALUES (3536, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:45:42');
INSERT INTO `sys_oper_log` VALUES (3537, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 15:40:58\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"jobName\":\"庄德政\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:47:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:47:35');
INSERT INTO `sys_oper_log` VALUES (3538, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:47:40');
INSERT INTO `sys_oper_log` VALUES (3539, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:51:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:51:52');
INSERT INTO `sys_oper_log` VALUES (3540, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:51:57');
INSERT INTO `sys_oper_log` VALUES (3541, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 08:52:43\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:52:42');
INSERT INTO `sys_oper_log` VALUES (3542, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 08:52:46');
INSERT INTO `sys_oper_log` VALUES (3543, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 09:04:23');
INSERT INTO `sys_oper_log` VALUES (3544, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":108,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 09:05:14');
INSERT INTO `sys_oper_log` VALUES (3545, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 09:14:08');
INSERT INTO `sys_oper_log` VALUES (3546, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:06\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":37},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:06\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":37},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:06\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":37}],\"bizProductParamList\":[{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799524716546,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:06\",\"updaterId\":1143215441569779712,\"value\":\"60\",\"version\":2},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799528910849,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:06\",\"updaterId\":1143215441569779712,\"value\":\"1998\",\"version\":2},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799533105153,\"name\":\"产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:06\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":2},{\"createTime\":\"2023-09-20', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 09:16:07');
INSERT INTO `sys_oper_log` VALUES (3547, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '127.0.0.1', '内网IP', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876801,\"name\":\"净重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/h_20230912110634A010.jpeg\",\"version\":38},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876802,\"name\":\"毛重\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/4_20230912110636A011.jpeg\",\"version\":38},{\"createTime\":\"2023-09-12 09:23:08\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1701406055516876803,\"name\":\"含水量\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:36\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/12/5_20230912110640A012.jpeg\",\"version\":38}],\"bizProductParamList\":[{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799524716546,\"name\":\"度数\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:37\",\"updaterId\":1143215441569779712,\"value\":\"60\",\"version\":3},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799528910849,\"name\":\"年份\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:37\",\"updaterId\":1143215441569779712,\"value\":\"1998\",\"version\":3},{\"createTime\":\"2023-09-20 17:30:28\",\"creatorId\":1701403341969960961,\"deleted\":0,\"id\":1704427799533105153,\"name\":\"产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 09:16:37\",\"updaterId\":1143215441569779712,\"value\":\"\",\"version\":3},{\"createTime\":\"2023-09-20', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 09:16:38');
INSERT INTO `sys_oper_log` VALUES (3548, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '127.0.0.1', '内网IP', '{\"batchNo\":\"测试批次\",\"createTime\":\"2023-09-22 09:17:57\",\"creatorId\":1143215441569779712,\"factoryNo\":\"202322\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"wangj\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"啊手动阀手动阀\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/22/4_20230922091739A001.jpeg\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"2023-09-07\",\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 09:17:58');
INSERT INTO `sys_oper_log` VALUES (3549, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1705028628968374274,\"createTime\":\"2023-09-22 09:17:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1705028630327328769,\"name\":\"原产地\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"wangj\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"啊手动阀手动阀\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/22/4_20230922091739A001.jpeg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-07\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1705028628968374274,\"createTime\":\"2023-09-22 09:17:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1705028630327328770,\"name\":\"海外物流\",\"params\":{},\"productId\":1699236240245256193,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-22 09:19:09');
INSERT INTO `sys_oper_log` VALUES (3550, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1705028628968374274\"}', NULL, 0, NULL, '2023-09-22 09:19:14');
INSERT INTO `sys_oper_log` VALUES (3551, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1705028628968374274\"}', NULL, 1, '', '2023-09-22 11:41:18');
INSERT INTO `sys_oper_log` VALUES (3552, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/productBatch/1705028628968374274', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 11:42:54');
INSERT INTO `sys_oper_log` VALUES (3553, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(220L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 11:54:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 11:53:52');
INSERT INTO `sys_oper_log` VALUES (3554, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 11:53:58');
INSERT INTO `sys_oper_log` VALUES (3555, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:10:52');
INSERT INTO `sys_oper_log` VALUES (3556, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(229L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 12:35:11\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:35:10');
INSERT INTO `sys_oper_log` VALUES (3557, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:35:17');
INSERT INTO `sys_oper_log` VALUES (3558, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '60.21.90.138', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(266LL,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 12:50:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:50:31');
INSERT INTO `sys_oper_log` VALUES (3559, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '60.21.90.138', 'XX XX', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(266L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 12:50:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:50:40');
INSERT INTO `sys_oper_log` VALUES (3560, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:50:44');
INSERT INTO `sys_oper_log` VALUES (3561, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(266L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 12:51:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:50:57');
INSERT INTO `sys_oper_log` VALUES (3562, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(350L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 12:51:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:51:07');
INSERT INTO `sys_oper_log` VALUES (3563, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:51:11');
INSERT INTO `sys_oper_log` VALUES (3564, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 12:58:03\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:58:03');
INSERT INTO `sys_oper_log` VALUES (3565, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 12:58:09');
INSERT INTO `sys_oper_log` VALUES (3566, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:00:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:00:34');
INSERT INTO `sys_oper_log` VALUES (3567, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:00:36');
INSERT INTO `sys_oper_log` VALUES (3568, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(280L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:00:51\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:00:51');
INSERT INTO `sys_oper_log` VALUES (3569, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:00:55');
INSERT INTO `sys_oper_log` VALUES (3570, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:02:04');
INSERT INTO `sys_oper_log` VALUES (3571, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:02:13');
INSERT INTO `sys_oper_log` VALUES (3572, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(220L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:03:06\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:03:06');
INSERT INTO `sys_oper_log` VALUES (3573, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:03:11');
INSERT INTO `sys_oper_log` VALUES (3574, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(280L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:03:18\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:03:18');
INSERT INTO `sys_oper_log` VALUES (3575, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:03:21');
INSERT INTO `sys_oper_log` VALUES (3576, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(228L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:04:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:04:48');
INSERT INTO `sys_oper_log` VALUES (3577, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(228L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:04:53\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:04:53');
INSERT INTO `sys_oper_log` VALUES (3578, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:05:01');
INSERT INTO `sys_oper_log` VALUES (3579, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(328L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:05:07\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:05:07');
INSERT INTO `sys_oper_log` VALUES (3580, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:05:11');
INSERT INTO `sys_oper_log` VALUES (3581, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(239L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:06:54\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:06:53');
INSERT INTO `sys_oper_log` VALUES (3582, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:06:56');
INSERT INTO `sys_oper_log` VALUES (3583, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(350L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:07:09\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:07:08');
INSERT INTO `sys_oper_log` VALUES (3584, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:07:11');
INSERT INTO `sys_oper_log` VALUES (3585, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(189L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 13:13:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:13:50');
INSERT INTO `sys_oper_log` VALUES (3586, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:13:54');
INSERT INTO `sys_oper_log` VALUES (3587, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:16:51');
INSERT INTO `sys_oper_log` VALUES (3588, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(200L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:22:09\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:22:09');
INSERT INTO `sys_oper_log` VALUES (3589, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:22:16');
INSERT INTO `sys_oper_log` VALUES (3590, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(249L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:24:44\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:24:43');
INSERT INTO `sys_oper_log` VALUES (3591, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:25:58');
INSERT INTO `sys_oper_log` VALUES (3592, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(180L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:27:11\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:27:10');
INSERT INTO `sys_oper_log` VALUES (3593, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:27:14');
INSERT INTO `sys_oper_log` VALUES (3594, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:35:55');
INSERT INTO `sys_oper_log` VALUES (3595, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.build()\",\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"jobName\":\"构建产品批次\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:38:42\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:38:41');
INSERT INTO `sys_oper_log` VALUES (3596, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:38:52');
INSERT INTO `sys_oper_log` VALUES (3597, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(300L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:39:52\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:39:51');
INSERT INTO `sys_oper_log` VALUES (3598, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:39:56');
INSERT INTO `sys_oper_log` VALUES (3599, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:41:50');
INSERT INTO `sys_oper_log` VALUES (3600, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 13:38:41\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.build()\",\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"jobName\":\"注册第二批次的企业\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:43:23\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:43:22');
INSERT INTO `sys_oper_log` VALUES (3601, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(301L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 13:43:31\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:43:31');
INSERT INTO `sys_oper_log` VALUES (3602, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:43:35');
INSERT INTO `sys_oper_log` VALUES (3603, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.219.45', 'XX XX', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":false,\"isSpeed\":false,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-22 13:44:25\",\"updaterId\":1143215441569779712,\"version\":16}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":true,\"isPerson\":false,\"isSpeed\":false,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-22 13:44:25\",\"updaterId\":1143215441569779712,\"version\":16}}', 0, NULL, '2023-09-22 13:44:25');
INSERT INTO `sys_oper_log` VALUES (3604, '鉴伪规则', 1, 'com.ezhizao.project.business.controller.BizIdentificationRulesController.save()', 'POST', 1, '18640822691', NULL, '/business/rules', '113.227.219.45', 'XX XX', '{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":false,\"isPerson\":false,\"isSpeed\":false,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-22 13:44:28\",\"updaterId\":1143215441569779712,\"version\":17}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"areaNum\":1,\"createTime\":\"2023-09-11 17:40:58\",\"creatorId\":1143215441569779712,\"deleted\":0,\"distance\":1,\"id\":1701168948675706881,\"isArea\":false,\"isPerson\":false,\"isSpeed\":false,\"params\":{},\"personNum\":1,\"remark\":\"\",\"speed\":1,\"tenantId\":106,\"updateTime\":\"2023-09-22 13:44:28\",\"updaterId\":1143215441569779712,\"version\":17}}', 0, NULL, '2023-09-22 13:44:28');
INSERT INTO `sys_oper_log` VALUES (3605, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:54:18');
INSERT INTO `sys_oper_log` VALUES (3606, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 13:56:33');
INSERT INTO `sys_oper_log` VALUES (3607, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:09:52\",\"updaterId\":1,\"version\":7,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:09:52');
INSERT INTO `sys_oper_log` VALUES (3608, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:10:37\",\"updaterId\":1,\"version\":8,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:10:38');
INSERT INTO `sys_oper_log` VALUES (3609, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:11:06\",\"updaterId\":1,\"version\":9,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:11:06');
INSERT INTO `sys_oper_log` VALUES (3610, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, 'admin', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:11:32\",\"updaterId\":1,\"version\":10,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:11:32');
INSERT INTO `sys_oper_log` VALUES (3611, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '大连电子城明辉电脑商行', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:12:38\",\"updaterId\":1153724105414021120,\"version\":14,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:12:39');
INSERT INTO `sys_oper_log` VALUES (3612, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '大连电子城明辉电脑商行', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:16:01\",\"updaterId\":1153724105414021120,\"version\":15,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:16:02');
INSERT INTO `sys_oper_log` VALUES (3613, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:19:08');
INSERT INTO `sys_oper_log` VALUES (3614, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:30:19');
INSERT INTO `sys_oper_log` VALUES (3615, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:33:53');
INSERT INTO `sys_oper_log` VALUES (3616, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '大连电子城明辉电脑商行', NULL, '/business/tenant', '127.0.0.1', '内网IP', '{\"auditDate\":\"2023-03-29 17:02:50\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"116097080@qq.com\",\"contactName\":\"闫超\",\"contactPhone\":\"13109846939\",\"county\":\"沙河口区\",\"createTime\":\"2023-09-19 16:07:42\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":165,\"entPrefix\":\"88.472.60058\",\"id\":165,\"identity\":\"88.472.60058/165\",\"identityQcCode\":\"/profile/identity/company/165-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"52\",\"industrySpecificStr\":\"零售业\",\"introduction\":\"<p><br></p>\",\"legalName\":\"闫超\",\"logo\":\"/profile/upload/2023/09/22/30e11fcf62ea74356abd0e9007fb44b8_7563162326399114019_20230922140947A001.png\",\"orgAddr\":\"辽宁省大连市沙河口区中长东四街53-6号K区A125号\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210204\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"92210204MA0WQB008K\",\"orgCrtType\":1,\"orgName\":\"大连电子城明辉电脑商行\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"大连电子城明辉电脑商行\",\"status\":2,\"tenantId\":165,\"updateTime\":\"2023-09-22 14:36:47\",\"updaterId\":1153724105414021120,\"version\":16,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:36:48');
INSERT INTO `sys_oper_log` VALUES (3617, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:38:35');
INSERT INTO `sys_oper_log` VALUES (3618, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:41:50');
INSERT INTO `sys_oper_log` VALUES (3619, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(254L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 14:46:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:46:46');
INSERT INTO `sys_oper_log` VALUES (3620, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 14:46:50');
INSERT INTO `sys_oper_log` VALUES (3621, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '13842492400', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:03:12\",\"creatorId\":734434211008512,\"id\":1705115512313786370,\"name\":\"j机械\",\"params\":{},\"parentId\":0,\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:03:12');
INSERT INTO `sys_oper_log` VALUES (3622, '产品证书', 2, 'com.ezhizao.project.business.controller.BizProductCategoryController.edit()', 'PUT', 1, '13842492400', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:03:12\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705115512313786370,\"name\":\"机械\",\"params\":{},\"parentId\":0,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:03:21\",\"updaterId\":734434211008512,\"version\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:03:21');
INSERT INTO `sys_oper_log` VALUES (3623, '产品证书', 2, 'com.ezhizao.project.business.controller.BizProductCategoryController.edit()', 'PUT', 1, '13842492400', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:03:12\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705115512313786370,\"name\":\"机械\",\"params\":{},\"parentId\":0,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:03:21\",\"updaterId\":734434211008512,\"version\":1}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2023-09-22 15:03:22');
INSERT INTO `sys_oper_log` VALUES (3624, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '13842492400', NULL, '/business/template', '113.227.219.45', 'XX XX', '{\"categoryId\":1705115512313786370,\"createTime\":\"2023-09-22 15:04:17\",\"creatorId\":734434211008512,\"id\":1705115785077764098,\"name\":\"设计压力\",\"params\":{},\"remark\":\"≤5.0 MPa.G\",\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:04:17');
INSERT INTO `sys_oper_log` VALUES (3625, '产品证书', 2, 'com.ezhizao.project.business.controller.BizProductCategoryController.edit()', 'PUT', 1, '13842492400', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:03:12\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705115512313786370,\"name\":\"机封冲洗系统\",\"params\":{},\"parentId\":0,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:05:36\",\"updaterId\":734434211008512,\"version\":2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:05:36');
INSERT INTO `sys_oper_log` VALUES (3626, '产品手册模板', 1, 'com.ezhizao.project.business.controller.BizManualController.add()', 'POST', 1, '13842492400', NULL, '/business/manual', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:13:20\",\"creatorId\":734434211008512,\"id\":1705118062580641794,\"manualList\":[\"抗压指数\",\"电压\"],\"name\":\"P53B机封冲洗系统\",\"params\":{},\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:13:20');
INSERT INTO `sys_oper_log` VALUES (3627, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '13842492400', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-09-22 15:13:20\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705118062664527874,\"manualId\":1705118062580641794,\"name\":\"抗压指数\",\"params\":{},\"remark\":\"\",\"tenantId\":595,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-09-22 15:13:20\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705118062668722178,\"manualId\":1705118062580641794,\"name\":\"电压\",\"params\":{},\"remark\":\"\",\"tenantId\":595,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-22 15:18:11\",\"creatorId\":734434211008512,\"id\":1705119285841014785,\"name\":\"抗压指数\",\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595,\"url\":\"/profile/upload/2023/09/22/34926_20230922151804A007.jpg\"},{\"createTime\":\"2023-09-22 15:18:11\",\"creatorId\":734434211008512,\"id\":1705119285845209090,\"name\":\"电压\",\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595,\"url\":\"/profile/upload/2023/09/22/34926_20230922151807A008.jpg\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":734434211008512,\"id\":1705119286038147073,\"name\":\"设计压力\",\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595,\"value\":\"≤5.0 MPa.G\"},{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":734434211008512,\"id\":1705119286042341378,\"name\":\"设计温度\",\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595,\"value\":\"≤250°C\"},{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":734434211008512,\"id\":1705119286042341379,\"name\":\"容积\",\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595,\"value\":\"12L/20L\"},{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":734434211008512,\"id\":1705119286042341380,\"name\":\"标准\",\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595,\"value\":\"API682\"}],\"categoryId\":1705115512313786370,\"certificate\":\"/profile/upload/2023/09/22/34926_20230922151800A006.jpg\",\"content\":\"<p><span style=\\\"color: black; background-color: white;\\\">主要功能： &nbsp;</span></p><p><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">用于离心泵有毒、易燃易爆、对环境有污染介质的冲洗方案，可以隔离介质直接', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:18:12');
INSERT INTO `sys_oper_log` VALUES (3628, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '13842492400', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizProductManualList\":[{\"createTime\":\"2023-09-22 15:18:11\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705119285841014785,\"name\":\"抗压指数\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:18:14\",\"updaterId\":734434211008512,\"url\":\"/profile/upload/2023/09/22/34926_20230922151804A007.jpg\",\"version\":1},{\"createTime\":\"2023-09-22 15:18:11\",\"creatorId\":734434211008512,\"deleted\":0,\"id\":1705119285845209090,\"name\":\"电压\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:18:14\",\"updaterId\":734434211008512,\"url\":\"/profile/upload/2023/09/22/34926_20230922151807A008.jpg\",\"version\":1}],\"bizProductParamList\":[{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":1705115512313786370,\"deleted\":0,\"id\":1705119286038147073,\"name\":\"设计压力\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:18:14\",\"updaterId\":734434211008512,\"value\":\"≤5.0 MPa.G\",\"version\":1},{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":1705115512313786370,\"deleted\":0,\"id\":1705119286042341378,\"name\":\"设计温度\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:18:14\",\"updaterId\":734434211008512,\"value\":\"≤250°C\",\"version\":1},{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":1705115512313786370,\"deleted\":0,\"id\":1705119286042341379,\"name\":\"容积\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:18:14\",\"updaterId\":734434211008512,\"value\":\"12L/20L\",\"version\":1},{\"createTime\":\"2023-09-22 15:18:12\",\"creatorId\":1705115512313786370,\"deleted\":0,\"id\":1705119286042341380,\"name\":\"标准\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updateTime\":\"2023-09-22 15:18:14\",\"updaterId\":734434211008512,\"value\":\"API682\",\"version\":1}],\"categoryId\":1705115512313786370,\"categoryName\":\"机封冲洗系统\",\"certificate\":\"/profile/upload/2023/09/22/34', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:18:14');
INSERT INTO `sys_oper_log` VALUES (3629, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '13842492400', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"翻斗花园\",\"area\":\"甘井子区\",\"areaCode\":\"210211\",\"areaList\":[\"210000\",\"210200\",\"210211\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-22 15:19:53\",\"creatorId\":734434211008512,\"details\":[{\"branchId\":1705119712628224001,\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 15:19:53\",\"creatorId\":734434211008512,\"id\":1705119712703721473,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"onShow\":1,\"params\":{},\"price\":0,\"productId\":1705095084286472196,\"productName\":\"P53B机封冲洗系统\",\"remark\":\"\",\"tenantId\":595}],\"id\":1705119712628224001,\"latitude\":38.90813299596705,\"longitude\":121.49505615234375,\"name\":\" 大连\",\"params\":{},\"phnoe\":\"18892890422\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"翻斗花园\",\"area\":\"甘井子区\",\"areaCode\":\"210211\",\"areaList\":[\"210000\",\"210200\",\"210211\"],\"city\":\"大连市\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-22 15:19:53\",\"creatorId\":734434211008512,\"details\":[{\"branchId\":1705119712628224001,\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 15:19:53\",\"creatorId\":734434211008512,\"id\":1705119712703721473,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"onShow\":1,\"params\":{},\"price\":0,\"productId\":1705095084286472196,\"productName\":\"P53B机封冲洗系统\",\"remark\":\"\",\"tenantId\":595}],\"id\":1705119712628224001,\"latitude\":38.90813299596705,\"longitude\":121.49505615234375,\"name\":\" 大连\",\"params\":{},\"phnoe\":\"18892890422\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"tenantId\":595}}', 0, NULL, '2023-09-22 15:19:53');
INSERT INTO `sys_oper_log` VALUES (3630, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '13842492400', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:20:46\",\"creatorId\":734434211008512,\"id\":1705119932728520706,\"logisticsScore\":4,\"params\":{},\"photos\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922152042A009.png\",\"productId\":1705095084286472196,\"productScore\":3.5,\"remark\":\"挺好的\",\"serveScore\":5,\"tenantId\":595,\"userId\":1704031592741801985}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:20:46');
INSERT INTO `sys_oper_log` VALUES (3631, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '13842492400', NULL, '/business/flowParamTmp', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 15:26:34\",\"creatorId\":734434211008512,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"记录人\",\"params\":{}},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"mychecked\":false,\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"详细描述\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"图片\",\"params\":{}}],\"id\":1705121391914299394,\"mychecked\":false,\"name\":\"产品出货\",\"params\":{},\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:26:34');
INSERT INTO `sys_oper_log` VALUES (3632, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '13842492400', NULL, '/business/flow', '113.227.219.45', 'XX XX', '{\"content\":\"具体流程看参数\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"flowParamList\":[{\"createTime\":\"2023-09-22 15:26:34\",\"creatorId\":734434211008512,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-22 15:26:34\",\"creatorId\":734434211008512,\"deleted\":0,\"flowParamTmpId\":1705121391914299394,\"id\":1705121392056905729,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-22 15:26:34\",\"creatorId\":734434211008512,\"deleted\":0,\"flowParamTmpId\":1705121391914299394,\"id\":1705121392056905731,\"mychecked\":true,\"name\":\"详细描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-22 15:26:34\",\"creatorId\":734434211008512,\"deleted\":0,\"flowParamTmpId\":1705121391914299394,\"id\":1705121392061100034,\"mychecked\":true,\"name\":\"图片\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-22 15:26:34\",\"creatorId\":734434211008512,\"deleted\":0,\"flowParamTmpId\":1705121391914299394,\"id\":1705121392056905730,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 详细描述, 图片, 记录时间\",\"id\":1705121391914299394,\"mychecked\":true,\"name\":\"产品出货\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0}],\"id\":1705121590422319105,\"name\":\"流程1\",\"params\":{},\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:27:21');
INSERT INTO `sys_oper_log` VALUES (3633, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '13842492400', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[],\"batchNo\":\"111\",\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 13:42:07\",\"creatorId\":1,\"deleted\":0,\"entPrefix\":\"88.472.66014\",\"factoryNo\":\"2445\",\"flowId\":1705121590422319105,\"flowParams\":[{\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161538,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"王人美\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161539,\"name\":\"详细描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"好东西\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161540,\"name\":\"图片\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922152911A002.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161541,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"2023-09-13\",\"version\":0}],\"id\":1705121590707531777,\"name\":\"产品出货\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0}],\"id\":1705095106465951747,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"num\":1,\"params\":{},\"productId\":1705095084286472196,\"productName\":\"P53B机封冲洗系统\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"13842492400\",\"status\":0,\"tenantId\":595,\"tenantName\":\"大连启臣机械有限公司\",\"updateTime\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:29:16');
INSERT INTO `sys_oper_log` VALUES (3634, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '113.227.219.45', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:29:40');
INSERT INTO `sys_oper_log` VALUES (3635, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '13842492400', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1705095106465951747,\"createTime\":\"2023-09-22 15:29:16\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"id\":1705122072649838594,\"name\":\"产品出货\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161538,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"王人美\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161539,\\\"name\\\":\\\"详细描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"好东西\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161540,\\\"name\\\":\\\"图片\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922152911A002.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161541,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"111\",\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 13:42:07\",\"creatorId\":1,\"deleted\":0,\"entPrefix\":\"88.472.66014\",\"factoryNo\":\"2445\",\"flowId\":1705121590422319105,\"id\":1705095106465951747,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"num\":1,\"param', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-22 15:39:13');
INSERT INTO `sys_oper_log` VALUES (3636, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '13842492400', NULL, '/business/productBatch/1705095106465951747', '127.0.0.1', '内网IP', '{}', NULL, 1, 'I/O error on DELETE request for \"http://116.204.99.126:8000/identityv2/data/batchDelete\": Read timed out; nested exception is java.net.SocketTimeoutException: Read timed out', '2023-09-22 15:39:23');
INSERT INTO `sys_oper_log` VALUES (3637, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '13842492400', NULL, '/business/productBatch/1705095106465951747', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:39:35');
INSERT INTO `sys_oper_log` VALUES (3638, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '13842492400', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1705095106465951747,\"createTime\":\"2023-09-22 15:29:16\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"id\":1705122072649838594,\"name\":\"产品出货\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161538,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"王人美\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161539,\\\"name\\\":\\\"详细描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"好东西\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161540,\\\"name\\\":\\\"图片\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922152911A002.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161541,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"111\",\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 13:42:07\",\"creatorId\":1,\"deleted\":0,\"entPrefix\":\"88.472.66014\",\"factoryNo\":\"2445\",\"flowId\":1705121590422319105,\"id\":1705095106465951747,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"num\":1,\"param', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-22 15:44:22');
INSERT INTO `sys_oper_log` VALUES (3639, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '13842492400', NULL, '/business/productBatch/1705095106465951747', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:44:29');
INSERT INTO `sys_oper_log` VALUES (3640, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '13842492400', NULL, '/business/productBatch/bindQC', '127.0.0.1', '内网IP', '{\"batchFlowParams\":[{\"batchId\":1705095106465951747,\"createTime\":\"2023-09-22 15:29:16\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"id\":1705122072649838594,\"name\":\"产品出货\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161538,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"王人美\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161539,\\\"name\\\":\\\"详细描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"好东西\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161540,\\\"name\\\":\\\"图片\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922152911A002.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161541,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-13\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"111\",\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 13:42:07\",\"creatorId\":1,\"deleted\":0,\"entPrefix\":\"88.472.66014\",\"factoryNo\":\"2445\",\"flowId\":1705121590422319105,\"id\":1705095106465951747,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"num\":1,\"param', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-22 15:46:15');
INSERT INTO `sys_oper_log` VALUES (3641, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '13842492400', NULL, '/business/productBatch/download', '127.0.0.1', '内网IP', '{\"batchId\":\"1705095106465951747\"}', NULL, 0, NULL, '2023-09-22 15:46:20');
INSERT INTO `sys_oper_log` VALUES (3642, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"朱汕\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-22 15:48:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:48:40');
INSERT INTO `sys_oper_log` VALUES (3643, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 15:48:44');
INSERT INTO `sys_oper_log` VALUES (3644, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(267L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:03:28\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:03:27');
INSERT INTO `sys_oper_log` VALUES (3645, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(267L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:03:35\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:03:34');
INSERT INTO `sys_oper_log` VALUES (3646, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:03:41');
INSERT INTO `sys_oper_log` VALUES (3647, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:04:11\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:04:10');
INSERT INTO `sys_oper_log` VALUES (3648, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:04:13');
INSERT INTO `sys_oper_log` VALUES (3649, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:04:48\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:04:47');
INSERT INTO `sys_oper_log` VALUES (3650, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:04:51');
INSERT INTO `sys_oper_log` VALUES (3651, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:04:07\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(263L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"jobName\":\"曲悦\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:04:59\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:04:58');
INSERT INTO `sys_oper_log` VALUES (3652, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":103,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:05:05');
INSERT INTO `sys_oper_log` VALUES (3653, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:26:28');
INSERT INTO `sys_oper_log` VALUES (3654, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 13:38:41\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerBatch2()\",\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"jobName\":\"注册第二批次的企业\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:26:43\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:26:42');
INSERT INTO `sys_oper_log` VALUES (3655, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:26:46');
INSERT INTO `sys_oper_log` VALUES (3656, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 13:38:41\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerBatch2(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"jobName\":\"注册第二批次的企业\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 16:27:07\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:27:06');
INSERT INTO `sys_oper_log` VALUES (3657, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:27:18');
INSERT INTO `sys_oper_log` VALUES (3658, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:38:46');
INSERT INTO `sys_oper_log` VALUES (3659, '代码生成', 6, 'com.ezhizao.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"biz_product_batch_item_bak\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:39:14');
INSERT INTO `sys_oper_log` VALUES (3660, '代码生成', 2, 'com.ezhizao.project.tool.gen.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"bizProductBatchItemBak\",\"className\":\"BizProductBatchItemBak\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1455,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 16:39:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":true,\"tableId\":92,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TenantId\",\"columnComment\":\"租户 id\",\"columnId\":1456,\"columnName\":\"tenant_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 16:39:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"tenantId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":92,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FlowId\",\"columnComment\":\"流程 id\",\"columnId\":1457,\"columnName\":\"flow_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 16:39:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"flowId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":92,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"BatchId\",\"columnComment\":\"批次 id\",\"columnId\":1458,\"columnName\":\"batch_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 16:39:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":false,\"isIncrement\":\"0\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"batchId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":4,\"superColumn\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:40:08');
INSERT INTO `sys_oper_log` VALUES (3661, '代码生成', 8, 'com.ezhizao.project.tool.gen.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"biz_product_batch_item_bak\"}', NULL, 0, NULL, '2023-09-22 16:40:12');
INSERT INTO `sys_oper_log` VALUES (3662, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:48:07');
INSERT INTO `sys_oper_log` VALUES (3663, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:49:40');
INSERT INTO `sys_oper_log` VALUES (3664, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:56:08');
INSERT INTO `sys_oper_log` VALUES (3665, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '13842492400', NULL, '/business/tenant', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-09-19 13:58:23\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"87626527@qq.com\",\"contactName\":\"郑超\",\"contactPhone\":\"13842492400\",\"county\":\"甘井子区\",\"createTime\":\"2023-09-22 10:20:46\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":595,\"entPrefix\":\"88.472.66014\",\"id\":595,\"identity\":\"88.472.66014/595\",\"identityQcCode\":\"/profile/identity/company/595-s.png\",\"industryCategory\":\"C\",\"industryCategoryStr\":\"制造业\",\"industrySpecific\":\"34\",\"industrySpecificStr\":\"通用设备制造业\",\"introduction\":\"<p>企业全称：</p><p>大连启臣机械有限公司</p><p>统一社会信用编码：</p><p>91210211311419079X</p><p>注册资本：</p><p>-（万元）</p>\",\"legalName\":\"郑恩斌\",\"logo\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165832A005.png\",\"orgAddr\":\"辽宁省大连市甘井子区辛寨子镇大辛村南街\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210211\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210211311419079X\",\"orgCrtType\":1,\"orgName\":\"大连启臣机械有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"rotationChart\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165834A006.png,/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165837A007.png\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"13842492400\",\"status\":2,\"tenantId\":595,\"updateTime\":\"2023-09-22 16:58:59\",\"updaterId\":734434211008512,\"version\":12,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 16:58:59');
INSERT INTO `sys_oper_log` VALUES (3666, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '13842492400', NULL, '/business/store', '113.227.219.45', 'XX XX', '{\"address\":\"辽宁省大连市甘井子区辛寨子镇大辛村南街\",\"area\":\"辽宁省\",\"areaCode\":\"210211\",\"areaList\":[\"210000\",\"210200\",\"210211\"],\"city\":\"甘井子区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-22 17:02:07\",\"creatorId\":734434211008512,\"id\":1705145440015003650,\"name\":\"大连启臣机械有限公司\",\"params\":{},\"phoneNumber\":\"13842492400\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"fff\",\"storeBackground\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922170158A008.png\",\"storeLogo\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165832A005.png\",\"tenantId\":595,\"type\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"辽宁省大连市甘井子区辛寨子镇大辛村南街\",\"area\":\"辽宁省\",\"areaCode\":\"210211\",\"areaList\":[\"210000\",\"210200\",\"210211\"],\"city\":\"甘井子区\",\"cityCode\":\"210200\",\"createTime\":\"2023-09-22 17:02:07\",\"creatorId\":734434211008512,\"id\":1705145440015003650,\"name\":\"大连启臣机械有限公司\",\"params\":{},\"phoneNumber\":\"13842492400\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"fff\",\"storeBackground\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922170158A008.png\",\"storeLogo\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922165832A005.png\",\"tenantId\":595,\"type\":\"1\"}}', 0, NULL, '2023-09-22 17:02:07');
INSERT INTO `sys_oper_log` VALUES (3667, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '13842492400', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"3\",\"createTime\":\"2023-09-22 17:02:39\",\"creatorId\":734434211008512,\"factoryNo\":\"234\",\"flowId\":1705121590422319105,\"flowParams\":[{\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161538,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"333\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161539,\"name\":\"详细描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"4r5t\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161540,\"name\":\"图片\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922170236A009.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-22 15:27:21\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"flowParamId\":1705121590707531777,\"id\":1705121590980161541,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"2023-09-14\",\"version\":0}],\"id\":1705121590707531777,\"name\":\"产品出货\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"version\":0}],\"id\":1705145574857682945,\"num\":1,\"params\":{},\"productId\":1705095084286472196,\"tenantId\":595}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:02:40');
INSERT INTO `sys_oper_log` VALUES (3668, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '13842492400', NULL, '/business/productBatch/bindQC', '113.227.219.45', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1705145574857682945,\"createTime\":\"2023-09-22 17:02:40\",\"creatorId\":734434211008512,\"deleted\":0,\"flowId\":1705121590422319105,\"id\":1705145577130995713,\"name\":\"产品出货\",\"params\":{},\"productId\":1705095084286472196,\"remark\":\"\",\"status\":0,\"tenantId\":595,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161538,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"333\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161539,\\\"name\\\":\\\"详细描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"4r5t\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161540,\\\"name\\\":\\\"图片\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/22/037 大连启臣机械有限公司_20230922170236A009.png\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-22 15:27:21\\\",\\\"creatorId\\\":734434211008512,\\\"deleted\\\":0,\\\"flowId\\\":1705121590422319105,\\\"flowParamId\\\":1705121590707531777,\\\"id\\\":1705121590980161541,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":595,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-14\\\",\\\"version\\\":0}]\",\"version\":0}],\"batchNo\":\"3\",\"categoryName\":\"机封冲洗系统\",\"createTime\":\"2023-09-22 17:02:39\",\"creatorId\":734434211008512,\"deleted\":0,\"entPrefix\":\"88.472.66014\",\"factoryNo\":\"234\",\"flowId\":1705121590422319105,\"id\":1705145574857682945,\"mainPicture\":\"/profile/upload/2023/09/22/11_20230922150716A001.jpg\",\"n', '{\"msg\":\"error\",\"code\":200}', 0, NULL, '2023-09-22 17:02:51');
INSERT INTO `sys_oper_log` VALUES (3669, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '13842492400', NULL, '/business/productBatch/download', '113.227.219.45', 'XX XX', '{\"batchId\":\"1705145574857682945\"}', NULL, 0, NULL, '2023-09-22 17:02:54');
INSERT INTO `sys_oper_log` VALUES (3670, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '13842492400', NULL, '/business/productBatch/1705145574857682945', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:04:09');
INSERT INTO `sys_oper_log` VALUES (3671, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(152L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 17:06:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:06:09');
INSERT INTO `sys_oper_log` VALUES (3672, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '15840675199@163.com', NULL, '/business/tenant', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-09-19 13:37:08\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"大连市\",\"contactEmail\":\"15840675199@163.com\",\"contactName\":\"陈雪华\",\"contactPhone\":\"15840675199\",\"county\":\"金州区\",\"createTime\":\"2023-09-22 10:07:02\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":586,\"entPrefix\":\"88.472.69007\",\"id\":586,\"identity\":\"88.472.69007/586\",\"identityQcCode\":\"/profile/identity/company/586-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p style=\\\"text-align: left;\\\"><strong>ZLS-Di30 ~ 200HP</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>捷豹永磁低压大排量独到设计之处：</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">采用捷豹独创的永磁油冷一体式驱动技术，比常规电机驱动模式，效率提升8%，防护等级高达IP65；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">使用大转子、大轴承、低转速的设计方案，性能更稳定；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">冷却风机采用变频控制，在减少噪音的同时，更能节省3%的能耗；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">永磁IPM电机，采用8极高转速电机，节能效率同比异步电机提高10%。</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">进气阀、油气分离芯及较小压力阀等采用低压专用配件，显著提升整机性能；</span></p><p style=\\\"text-align: left;\\\"><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><strong>低转速永磁变频螺杆机头</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">低转速低磨损大大提升可靠性；专业的高效率螺杆机头造就超大排气量和超低使用成本。超低转速，低至1500转RPM。</span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>油气分离桶: </strong><span style=\\\"color: rgb(68, 68, 68); background-color: whi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:06:26');
INSERT INTO `sys_oper_log` VALUES (3673, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(352L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 17:06:37\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:06:36');
INSERT INTO `sys_oper_log` VALUES (3674, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(452L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 17:06:46\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:06:45');
INSERT INTO `sys_oper_log` VALUES (3675, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:06:48');
INSERT INTO `sys_oper_log` VALUES (3676, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '15840675199@163.com', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:07:09\",\"creatorId\":730984479854592,\"id\":1705146707361705986,\"name\":\"空压机\",\"params\":{},\"parentId\":0,\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:07:09');
INSERT INTO `sys_oper_log` VALUES (3677, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '15840675199@163.com', NULL, '/business/template', '113.227.219.45', 'XX XX', '{\"categoryId\":1705146707361705986,\"createTime\":\"2023-09-22 17:07:33\",\"creatorId\":730984479854592,\"id\":1705146808708673537,\"name\":\"无\",\"params\":{},\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:07:33');
INSERT INTO `sys_oper_log` VALUES (3678, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '15840675199@163.com', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-22 17:11:20\",\"creatorId\":730984479854592,\"id\":1705147759809048578,\"name\":\"无\",\"params\":{},\"productId\":1705095084152254466,\"tenantId\":586}],\"categoryId\":1705146707361705986,\"certificate\":\"/profile/upload/2023/09/22/34926_20230922171029A027.jpg\",\"content\":\"<p style=\\\"text-align: left;\\\"><strong>ZLS-Di30 ~ 200HP</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>捷豹永磁低压大排量独到设计之处：</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">采用捷豹独创的永磁油冷一体式驱动技术，比常规电机驱动模式，效率提升8%，防护等级高达IP65；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">使用大转子、大轴承、低转速的设计方案，性能更稳定；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">冷却风机采用变频控制，在减少噪音的同时，更能节省3%的能耗；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">永磁IPM电机，采用8极高转速电机，节能效率同比异步电机提高10%。</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">进气阀、油气分离芯及较小压力阀等采用低压专用配件，显著提升整机性能；</span></p><p style=\\\"text-align: left;\\\"><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><strong>低转速永磁变频螺杆机头</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">低转速低磨损大大提升可靠性；专业的高效率螺杆机头造就超大排气量和超低使用成本。超低转速，低至1500转RPM。</span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>油气分离桶: </strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">采用针对低压行业设计超大油桶，容积高达两倍，分离效果佳，保证空气超低含油量，在纺织等对含油量要求极高的行业中，能够有效稳定的生产，让用户无后顾之忧。</span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>高稳定性的冷却风扇: </strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">采用高效风扇和风机电机，', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:11:20');
INSERT INTO `sys_oper_log` VALUES (3679, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '15840675199@163.com', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizProductManualList\":[],\"bizProductParamList\":[{\"createTime\":\"2023-09-22 17:11:20\",\"creatorId\":1705146707361705986,\"deleted\":0,\"id\":1705147759809048578,\"name\":\"无\",\"params\":{},\"productId\":1705095084152254466,\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updateTime\":\"2023-09-22 17:11:24\",\"updaterId\":730984479854592,\"value\":\"\",\"version\":1}],\"categoryId\":1705146707361705986,\"categoryName\":\"空压机\",\"certificate\":\"/profile/upload/2023/09/22/34926_20230922171029A027.jpg\",\"content\":\"<p style=\\\"text-align: left;\\\"><strong>ZLS-Di30 ~ 200HP</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>捷豹永磁低压大排量独到设计之处：</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">采用捷豹独创的永磁油冷一体式驱动技术，比常规电机驱动模式，效率提升8%，防护等级高达IP65；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">使用大转子、大轴承、低转速的设计方案，性能更稳定；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">冷却风机采用变频控制，在减少噪音的同时，更能节省3%的能耗；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">永磁IPM电机，采用8极高转速电机，节能效率同比异步电机提高10%。</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">进气阀、油气分离芯及较小压力阀等采用低压专用配件，显著提升整机性能；</span></p><p style=\\\"text-align: left;\\\"><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><strong>低转速永磁变频螺杆机头</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">低转速低磨损大大提升可靠性；专业的高效率螺杆机头造就超大排气量和超低使用成本。超低转速，低至1500转RPM。</span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>油气分离桶: </strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\">采用针对低压行业设计超大油桶，容积高达两倍，分离效果佳，保证空气超低含油量，在纺织等对含油量要求极高的行业中，能够有效稳定的生产，让用户无后顾之忧。</span><span style=\\\"color: rgb(68, 68, 68);', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:11:24');
INSERT INTO `sys_oper_log` VALUES (3680, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '15840675199@163.com', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:11:51\",\"creatorId\":730984479854592,\"id\":1705147889316573186,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/22/未标题-3_20230922171150A028.png\",\"productId\":1705095084152254466,\"productScore\":5,\"remark\":\"好的\",\"serveScore\":5,\"tenantId\":586,\"userId\":1704031592741801985}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:11:51');
INSERT INTO `sys_oper_log` VALUES (3681, '产品手册模板', 1, 'com.ezhizao.project.business.controller.BizManualController.add()', 'POST', 1, '15840675199@163.com', NULL, '/business/manual', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:12:47\",\"creatorId\":730984479854592,\"id\":1705148123891412993,\"manualList\":[\"许可证\",\"卫生正\"],\"name\":\"附件\",\"params\":{},\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:12:47');
INSERT INTO `sys_oper_log` VALUES (3682, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '15840675199@163.com', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-09-22 17:12:47\",\"creatorId\":730984479854592,\"deleted\":0,\"id\":1705148123992076290,\"manualId\":1705148123891412993,\"name\":\"许可证\",\"params\":{},\"remark\":\"\",\"tenantId\":586,\"updaterId\":0,\"version\":0},{\"categoryId\":0,\"createTime\":\"2023-09-22 17:12:47\",\"creatorId\":730984479854592,\"deleted\":0,\"id\":1705148123992076291,\"manualId\":1705148123891412993,\"name\":\"卫生正\",\"params\":{},\"remark\":\"\",\"tenantId\":586,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-22 17:13:10\",\"creatorId\":730984479854592,\"id\":1705148218640740354,\"name\":\"许可证\",\"params\":{},\"productId\":1705095084152254466,\"tenantId\":586,\"url\":\"/profile/upload/2023/09/22/未标题-4_20230922171303A029.png\"},{\"createTime\":\"2023-09-22 17:13:10\",\"creatorId\":730984479854592,\"id\":1705148218640740355,\"name\":\"卫生正\",\"params\":{},\"productId\":1705095084152254466,\"tenantId\":586,\"url\":\"/profile/upload/2023/09/22/未标题-3_20230922171306A030.png\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-22 17:11:20\",\"creatorId\":1705146707361705986,\"deleted\":0,\"id\":1705147759809048578,\"name\":\"无\",\"params\":{},\"productId\":1705095084152254466,\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updateTime\":\"2023-09-22 17:13:10\",\"updaterId\":730984479854592,\"value\":\"\",\"version\":2}],\"categoryId\":1705146707361705986,\"categoryName\":\"空压机\",\"certificate\":\"/profile/upload/2023/09/22/34926_20230922171029A027.jpg\",\"content\":\"<p style=\\\"text-align: left;\\\"><strong>ZLS-Di30 ~ 200HP</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span><span style=\\\"color: rgb(68, 68, 68);\\\"><br> </span><strong>捷豹永磁低压大排量独到设计之处：</strong><span style=\\\"color: rgb(68, 68, 68); background-color: white;\\\"> </span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">采用捷豹独创的永磁油冷一体式驱动技术，比常规电机驱动模式，效率提升8%，防护等级高达IP65；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 68, 68);\\\">使用大转子、大轴承、低转速的设计方案，性能更稳定；</span></p><p style=\\\"text-indent: 21pt;\\\"><span style=\\\"color: rgb(68, 6', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:13:10');
INSERT INTO `sys_oper_log` VALUES (3683, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '15840675199@163.com', NULL, '/business/branch', '113.227.219.45', 'XX XX', '{\"address\":\"荒郊\",\"area\":\"西城区\",\"areaCode\":\"110102\",\"areaList\":[\"110000\",\"110100\",\"110102\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-22 17:14:03\",\"creatorId\":730984479854592,\"details\":[{\"branchId\":1705148441865793538,\"categoryName\":\"空压机\",\"createTime\":\"2023-09-22 17:14:03\",\"creatorId\":730984479854592,\"id\":1705148442687877122,\"mainPicture\":\"/profile/upload/2023/09/22/未标题-1_20230922171007A021.png\",\"onShow\":1,\"params\":{},\"price\":0,\"productId\":1705095084152254466,\"productName\":\"永磁变频低压大排量空压机\",\"remark\":\"\",\"tenantId\":586}],\"id\":1705148441865793538,\"latitude\":39.90552253972854,\"longitude\":115.86868286132812,\"name\":\"北京\",\"params\":{},\"phnoe\":\"18640822691\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"荒郊\",\"area\":\"西城区\",\"areaCode\":\"110102\",\"areaList\":[\"110000\",\"110100\",\"110102\"],\"city\":\"市辖区\",\"cityCode\":\"110100\",\"createTime\":\"2023-09-22 17:14:03\",\"creatorId\":730984479854592,\"details\":[{\"branchId\":1705148441865793538,\"categoryName\":\"空压机\",\"createTime\":\"2023-09-22 17:14:03\",\"creatorId\":730984479854592,\"id\":1705148442687877122,\"mainPicture\":\"/profile/upload/2023/09/22/未标题-1_20230922171007A021.png\",\"onShow\":1,\"params\":{},\"price\":0,\"productId\":1705095084152254466,\"productName\":\"永磁变频低压大排量空压机\",\"remark\":\"\",\"tenantId\":586}],\"id\":1705148441865793538,\"latitude\":39.90552253972854,\"longitude\":115.86868286132812,\"name\":\"北京\",\"params\":{},\"phnoe\":\"18640822691\",\"province\":\"北京市\",\"provinceCode\":\"110000\",\"tenantId\":586}}', 0, NULL, '2023-09-22 17:14:03');
INSERT INTO `sys_oper_log` VALUES (3684, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '15840675199@163.com', NULL, '/business/flowParamTmp', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:14:58\",\"creatorId\":730984479854592,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"记录人\",\"params\":{}},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"mychecked\":false,\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"详情\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"图片\",\"params\":{}}],\"id\":1705148675266228226,\"mychecked\":false,\"name\":\"模板1\",\"params\":{},\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:14:59');
INSERT INTO `sys_oper_log` VALUES (3685, '流程', 1, 'com.ezhizao.project.business.controller.BizFlowController.add()', 'POST', 1, '15840675199@163.com', NULL, '/business/flow', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:16:24\",\"creatorId\":730984479854592,\"flowParamList\":[{\"createTime\":\"2023-09-22 17:14:58\",\"creatorId\":730984479854592,\"deleted\":0,\"flag\":true,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-22 17:14:59\",\"creatorId\":730984479854592,\"deleted\":0,\"flowParamTmpId\":1705148675266228226,\"id\":1705148676365135874,\"mychecked\":true,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"version\":0},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"createTime\":\"2023-09-22 17:14:59\",\"creatorId\":730984479854592,\"deleted\":0,\"flowParamTmpId\":1705148675266228226,\"id\":1705148676369330179,\"mychecked\":true,\"name\":\"详情\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"version\":0},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"createTime\":\"2023-09-22 17:14:59\",\"creatorId\":730984479854592,\"deleted\":0,\"flowParamTmpId\":1705148675266228226,\"id\":1705148676373524481,\"mychecked\":true,\"name\":\"图片\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"version\":0},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"createTime\":\"2023-09-22 17:14:59\",\"creatorId\":730984479854592,\"deleted\":0,\"flowParamTmpId\":1705148675266228226,\"id\":1705148676369330178,\"mychecked\":true,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"version\":0}],\"flowTempDetailsString\":\"记录人, 详情, 图片, 记录时间\",\"id\":1705148675266228226,\"mychecked\":true,\"name\":\"模板1\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"version\":0}],\"id\":1705149034512560130,\"name\":\"产品出货\",\"params\":{},\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:16:24');
INSERT INTO `sys_oper_log` VALUES (3686, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '15840675199@163.com', NULL, '/business/productBatch', '113.227.219.45', 'XX XX', '{\"batchNo\":\"1\",\"createTime\":\"2023-09-22 17:17:34\",\"creatorId\":730984479854592,\"factoryNo\":\"1\",\"flowId\":1705149034512560130,\"flowParams\":[{\"createTime\":\"2023-09-22 17:16:24\",\"creatorId\":730984479854592,\"deleted\":0,\"flowId\":1705149034512560130,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-22 17:16:24\",\"creatorId\":730984479854592,\"deleted\":0,\"flowId\":1705149034512560130,\"flowParamId\":1705149034558697473,\"id\":1705149034671943682,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"value\":\"王\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-22 17:16:24\",\"creatorId\":730984479854592,\"deleted\":0,\"flowId\":1705149034512560130,\"flowParamId\":1705149034558697473,\"id\":1705149034676137986,\"name\":\"详情\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"value\":\"薯片就\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-22 17:16:24\",\"creatorId\":730984479854592,\"deleted\":0,\"flowId\":1705149034512560130,\"flowParamId\":1705149034558697473,\"id\":1705149034676137987,\"name\":\"图片\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/22/未标题-3_20230922171645A031.png\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-22 17:16:24\",\"creatorId\":730984479854592,\"deleted\":0,\"flowId\":1705149034512560130,\"flowParamId\":1705149034558697473,\"id\":1705149034676137988,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"value\":\"2023-09-19\",\"version\":0}],\"id\":1705149034558697473,\"name\":\"模板1\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":586,\"updaterId\":0,\"version\":0}],\"id\":1705149328474550274,\"num\":1,\"params\":{},\"productId\":1705095084152254466,\"tenantId\":586}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:17:34');
INSERT INTO `sys_oper_log` VALUES (3687, '产品批次', 3, 'com.ezhizao.project.business.controller.BizProductBatchController.remove()', 'DELETE', 1, '15840675199@163.com', NULL, '/business/productBatch/1705149328474550274', '113.227.219.45', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:17:40');
INSERT INTO `sys_oper_log` VALUES (3688, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '18842371408', NULL, '/business/tenant', '113.227.219.45', 'XX XX', '{\"auditDate\":\"2023-09-19 13:13:09\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"\",\"city\":\"沈阳市\",\"contactEmail\":\"1012535130@qq.com\",\"contactName\":\"刘冰\",\"contactPhone\":\"18842371408\",\"county\":\"于洪区\",\"createTime\":\"2023-09-22 10:05:43\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":572,\"entPrefix\":\"88.472.20047\",\"id\":572,\"identity\":\"88.472.20047/572\",\"identityQcCode\":\"/profile/identity/company/572-s.png\",\"industryCategory\":\"C\",\"industryCategoryStr\":\"制造业\",\"industrySpecific\":\"30\",\"industrySpecificStr\":\"非金属矿物制品业\",\"introduction\":\"<p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\">复合A级硅质保温板是采用用特种无机不燃矿物纤维制成，防火等级可达A1级，是一种新型A级防火保温材料，可广泛运用于建筑保温，且兼具了“节能”与“防火”，解决了当前市场上无机材料不保温，有机材料不防火的难题。具备防火，防潮，隔音，耐久性强等优势</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 产品用途</span></p>\",\"legalName\":\"刘冰\",\"logo\":\"/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172051A034.png\",\"orgAddr\":\"沈阳市于洪区造化街道闸上村\",\"orgAddrCity\":\"210100\",\"orgAddrCounty\":\"210114\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210114057182466P\",\"orgCrtType\":1,\"orgName\":\"沈阳虹利达建筑材料有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"rotationChart\":\"/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172035A033.png\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"18842371408\",\"status\":2,\"tenantId\":572,\"updateTime\":\"2023-09-22 17:21:11\",\"updaterId\":730648386080768,\"version\":5,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:21:11');
INSERT INTO `sys_oper_log` VALUES (3689, '店铺装修', 1, 'com.ezhizao.project.business.controller.BizStoreController.save()', 'POST', 1, '18842371408', NULL, '/business/store', '113.227.219.45', 'XX XX', '{\"address\":\"沈阳市于洪区造化街道闸上村\",\"area\":\"辽宁省\",\"areaCode\":\"210114\",\"areaList\":[\"210000\",\"210100\",\"210114\"],\"city\":\"于洪区\",\"cityCode\":\"210100\",\"createTime\":\"2023-09-22 17:21:43\",\"creatorId\":730648386080768,\"id\":1705150371597955074,\"name\":\"沈阳虹利达建筑材料有限公司\",\"params\":{},\"phoneNumber\":\"18842371408\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"沈阳虹利达建筑材料有限公司\",\"storeLogo\":\"/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172051A034.png\",\"tenantId\":572,\"type\":\"2\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"沈阳市于洪区造化街道闸上村\",\"area\":\"辽宁省\",\"areaCode\":\"210114\",\"areaList\":[\"210000\",\"210100\",\"210114\"],\"city\":\"于洪区\",\"cityCode\":\"210100\",\"createTime\":\"2023-09-22 17:21:43\",\"creatorId\":730648386080768,\"id\":1705150371597955074,\"name\":\"沈阳虹利达建筑材料有限公司\",\"params\":{},\"phoneNumber\":\"18842371408\",\"province\":\"辽宁省\",\"provinceCode\":\"210000\",\"shareText\":\"沈阳虹利达建筑材料有限公司\",\"storeLogo\":\"/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172051A034.png\",\"tenantId\":572,\"type\":\"2\"}}', 0, NULL, '2023-09-22 17:21:43');
INSERT INTO `sys_oper_log` VALUES (3690, '产品手册模板', 1, 'com.ezhizao.project.business.controller.BizManualController.add()', 'POST', 1, '18842371408', NULL, '/business/manual', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:22:19\",\"creatorId\":730648386080768,\"id\":1705150521271693314,\"manualList\":[\"资料质量\"],\"name\":\"附件\",\"params\":{},\"tenantId\":572}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:22:19');
INSERT INTO `sys_oper_log` VALUES (3691, '产品证书', 1, 'com.ezhizao.project.business.controller.BizProductCategoryController.add()', 'POST', 1, '18842371408', NULL, '/business/productCategory', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:22:35\",\"creatorId\":730648386080768,\"id\":1705150591564034050,\"name\":\"保温板\",\"params\":{},\"parentId\":0,\"tenantId\":572}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:22:35');
INSERT INTO `sys_oper_log` VALUES (3692, ' 产品分类参数模板', 1, 'com.ezhizao.project.business.controller.BizProductParamTemplateController.add()', 'POST', 1, '18842371408', NULL, '/business/template', '113.227.219.45', 'XX XX', '{\"categoryId\":1705150591564034050,\"createTime\":\"2023-09-22 17:22:48\",\"creatorId\":730648386080768,\"id\":1705150644009611266,\"name\":\"无\",\"params\":{},\"tenantId\":572}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:22:48');
INSERT INTO `sys_oper_log` VALUES (3693, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18842371408', NULL, '/business/product', '113.227.219.45', 'XX XX', '{\"bizManualDetailsList\":[{\"categoryId\":0,\"createTime\":\"2023-09-22 17:22:19\",\"creatorId\":730648386080768,\"deleted\":0,\"id\":1705150521342996482,\"manualId\":1705150521271693314,\"name\":\"资料质量\",\"params\":{},\"remark\":\"\",\"tenantId\":572,\"updaterId\":0,\"version\":0}],\"bizProductManualList\":[{\"createTime\":\"2023-09-22 17:24:10\",\"creatorId\":730648386080768,\"id\":1705150989217607681,\"name\":\"资料质量\",\"params\":{},\"productId\":1705095083950927874,\"tenantId\":572,\"url\":\"/profile/upload/2023/09/22/34926_20230922172340A041.jpg\"}],\"bizProductParamList\":[{\"createTime\":\"2023-09-22 17:24:10\",\"creatorId\":730648386080768,\"id\":1705150989259550721,\"name\":\"无\",\"params\":{},\"productId\":1705095083950927874,\"tenantId\":572}],\"categoryId\":1705150591564034050,\"certificate\":\"/profile/upload/2023/09/22/34926_20230922172336A040.jpg\",\"content\":\"<p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\">复合A级硅质保温板是采用用特种无机不燃矿物纤维制成，防火等级可达A1级，是一种新型A级防火保温材料，可广泛运用于建筑保温，且兼具了“节能”与“防火”，解决了当前市场上无机材料不保温，有机材料不防火的难题。具备防火，防潮，隔音，耐久性强等优势</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 产品用途</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 可用于墙体保温、管道保温、炉体保温、钢铁、电力等企业、行业所需的彩钢屋顶保温，做防火隔离带，还可生产通用型材、异型材等。</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 应用优势</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 1.不可燃，该产品是采用特种无机不燃矿物纤维制成，防火等级为A1级。</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 2.耐高温：1300度灼烧一小时，物理性质不发生改变，不变形；化学性质也不发生变化，过火后，依然可以继续使用。</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 3.节能：导热系数为0.048-0.058，拉拔强度在0.2左右，抗压强度在0.47左右，吸水率在8%左右，容重从80公斤到170公斤，根据需要轻重可调，建议在150左右。</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 4.环保：在生产过程中不会产生废料、废水、废气。在大火燃烧时无烟无味，生产过程中产生的边角料还可以重复利用。从业人员不会造成矽肺，而且对周围环境没有危害。</span></p><p><span style=\\\"color: rgb(83, 83, 83); background-color: white;\\\"> 5.易加工生产：生产工艺简单，易学，4小时可以学会，生产效率高，单条生产线一天生产100立方，', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:24:10');
INSERT INTO `sys_oper_log` VALUES (3694, '产品评论', 1, 'com.ezhizao.project.business.controller.BizProductReviewController.add()', 'POST', 1, '18842371408', NULL, '/business/review', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:25:38\",\"creatorId\":730648386080768,\"id\":1705151357334892546,\"logisticsScore\":5,\"params\":{},\"photos\":\"/profile/upload/2023/09/22/060 沈阳虹利达建筑材料有限公司_20230922172525A043.png,/profile/upload/2023/09/22/记录 (3)_20230922172537A044.png\",\"productId\":1705095083950927874,\"productScore\":5,\"remark\":\"sss\",\"serveScore\":5,\"tenantId\":572,\"userId\":1704031592741801985}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:25:38');
INSERT INTO `sys_oper_log` VALUES (3695, '流程参数(模板)', 1, 'com.ezhizao.project.business.controller.BizFlowParamTmpController.add()', 'POST', 1, '18842371408', NULL, '/business/flowParamTmp', '113.227.219.45', 'XX XX', '{\"createTime\":\"2023-09-22 17:28:18\",\"creatorId\":730648386080768,\"flag\":false,\"flowTempDetailsList\":[{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"记录人\",\"params\":{}},{\"component\":\"el-date-picker\",\"componentName\":\"时间选择框\",\"mychecked\":false,\"name\":\"记录时间\",\"params\":{}},{\"component\":\"el-input\",\"componentName\":\"文本输入框\",\"mychecked\":false,\"name\":\"详情\",\"params\":{}},{\"component\":\"el-upload\",\"componentName\":\"文件上传\",\"mychecked\":false,\"name\":\"图片\",\"params\":{}}],\"id\":1705152029967036417,\"mychecked\":false,\"name\":\"模板1\",\"params\":{},\"tenantId\":572}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:28:23');
INSERT INTO `sys_oper_log` VALUES (3696, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:00:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"jobName\":\"朱泽禹\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 17:32:26\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:32:25');
INSERT INTO `sys_oper_log` VALUES (3697, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":102,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 17:32:30');
INSERT INTO `sys_oper_log` VALUES (3698, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":109,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:08:06');
INSERT INTO `sys_oper_log` VALUES (3699, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 20:37:03\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:37:02');
INSERT INTO `sys_oper_log` VALUES (3700, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:37:07');
INSERT INTO `sys_oper_log` VALUES (3701, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:37:44\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(200L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"jobName\":\"郭雨佳\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 20:37:19\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:37:18');
INSERT INTO `sys_oper_log` VALUES (3702, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":105,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:37:23');
INSERT INTO `sys_oper_log` VALUES (3703, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(300L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 20:46:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:46:10');
INSERT INTO `sys_oper_log` VALUES (3704, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:46:16');
INSERT INTO `sys_oper_log` VALUES (3705, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(400L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 20:46:40\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:46:40');
INSERT INTO `sys_oper_log` VALUES (3706, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:46:43');
INSERT INTO `sys_oper_log` VALUES (3707, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:43:15\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.register(100L,300L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"jobName\":\"徐长赫\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 20:47:05\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:47:05');
INSERT INTO `sys_oper_log` VALUES (3708, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":106,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 20:47:10');
INSERT INTO `sys_oper_log` VALUES (3709, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-21 14:32:40\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"ryTask.register(321L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"jobName\":\"wj\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 21:11:49\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 21:11:49');
INSERT INTO `sys_oper_log` VALUES (3710, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":104,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 21:11:52');
INSERT INTO `sys_oper_log` VALUES (3711, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1704674127346511873', '60.21.90.138', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:15:13');
INSERT INTO `sys_oper_log` VALUES (3712, '产品', 3, 'com.ezhizao.project.business.controller.BizProductController.remove()', 'DELETE', 1, '18640822691', NULL, '/business/product/1698949094879846402', '60.21.90.138', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:15:44');
INSERT INTO `sys_oper_log` VALUES (3713, '产品', 2, 'com.ezhizao.project.business.controller.BizProductController.saveOrUpdate()', 'PUT', 1, '18640822691', NULL, '/business/product', '60.21.90.138', 'XX XX', '{\"bizManualDetailsList\":[],\"bizProductManualList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983550095361,\"name\":\"检测合格证书\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 22:16:18\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/application_20230921085327A009.png\",\"version\":6},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1143215441569779712,\"deleted\":0,\"id\":1704660983562678274,\"name\":\"税收证明\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 22:16:18\",\"updaterId\":1143215441569779712,\"url\":\"/profile/upload/2023/09/21/记录 (3)_20230921085335A010.png\",\"version\":6}],\"bizProductParamList\":[{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983692701698,\"name\":\"修炼修为要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 22:16:18\",\"updaterId\":1143215441569779712,\"value\":\"金丹期\",\"version\":6},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983701090305,\"name\":\"修炼体质要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 22:16:18\",\"updaterId\":1143215441569779712,\"value\":\"混沌体\",\"version\":6},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983705284610,\"name\":\"修炼属性要求\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 22:16:18\",\"updaterId\":1143215441569779712,\"value\":\"阴阳属性\",\"version\":6},{\"createTime\":\"2023-09-21 08:57:04\",\"creatorId\":1694216939675172865,\"deleted\":0,\"id\":1704660983709478914,\"name\":\"功法级别\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updateTime\":\"2023-09-22 22:16:18\",\"updaterId\":1143215441569779712,\"value\":\"神级顶级功法\",\"version\":6}],\"categoryId\":1694216939675172865,\"c', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:16:18');
INSERT INTO `sys_oper_log` VALUES (3714, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.edit()', 'PUT', 1, '18640822691', NULL, '/business/productBatch', '60.21.90.138', 'XX XX', '{\"batchNo\":\"批次编号\",\"createTime\":\"2023-09-22 22:18:05\",\"creatorId\":1143215441569779712,\"factoryNo\":\"N1231324354\",\"flowId\":1704662426101264385,\"flowParams\":[{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426344534018,\"name\":\"记录人\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"张三\",\"version\":0},{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426348728322,\"name\":\"描述\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"李四\",\"version\":0},{\"component\":\"el-upload\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922625,\"name\":\"附件\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"/profile/upload/2023/09/22/5922779a761cd_20230922221736A046.jpg\",\"version\":0},{\"component\":\"el-date-picker\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426206121985,\"id\":1704662426352922626,\"name\":\"记录时间\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"2023-09-02\",\"version\":0}],\"id\":1704662426206121985,\"name\":\"原产地\",\"params\":{},\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"version\":0},{\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamDetails\":[{\"component\":\"el-input\",\"createTime\":\"2023-09-21 09:02:48\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"flowParamId\":1704662426420031490,\"id\":1704662426457780226,\"name\":\"记录人\",\"params\":{},\"rema', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:18:05');
INSERT INTO `sys_oper_log` VALUES (3715, '产品批次', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.bindQC()', 'POST', 1, '18640822691', NULL, '/business/productBatch/bindQC', '60.21.90.138', 'XX XX', '{\"batchFlowParams\":[{\"batchId\":1705224956007723010,\"createTime\":\"2023-09-22 22:18:05\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1705224956062248961,\"name\":\"原产地\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\":0,\"value\":\"[{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426344534018,\\\"name\\\":\\\"记录人\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"张三\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-input\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426348728322,\\\"name\\\":\\\"描述\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"李四\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-upload\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922625,\\\"name\\\":\\\"附件\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"/profile/upload/2023/09/22/5922779a761cd_20230922221736A046.jpg\\\",\\\"version\\\":0},{\\\"component\\\":\\\"el-date-picker\\\",\\\"createTime\\\":\\\"2023-09-21 09:02:48\\\",\\\"creatorId\\\":1143215441569779712,\\\"deleted\\\":0,\\\"flowId\\\":1704662426101264385,\\\"flowParamId\\\":1704662426206121985,\\\"id\\\":1704662426352922626,\\\"name\\\":\\\"记录时间\\\",\\\"params\\\":{},\\\"remark\\\":\\\"\\\",\\\"status\\\":0,\\\"tenantId\\\":106,\\\"updaterId\\\":0,\\\"value\\\":\\\"2023-09-02\\\",\\\"version\\\":0}]\",\"version\":0},{\"batchId\":1705224956007723010,\"createTime\":\"2023-09-22 22:18:05\",\"creatorId\":1143215441569779712,\"deleted\":0,\"flowId\":1704662426101264385,\"id\":1705224956062248962,\"name\":\"海外物流\",\"params\":{},\"productId\":1704660983160025090,\"remark\":\"\",\"status\":0,\"tenantId\":106,\"updaterId\"', '{\"msg\":\"success\",\"code\":200}', 0, NULL, '2023-09-22 22:18:20');
INSERT INTO `sys_oper_log` VALUES (3716, '生成二维码zip', 2, 'com.ezhizao.project.business.controller.BizProductBatchController.download()', 'GET', 1, '18640822691', NULL, '/business/productBatch/download', '60.21.90.138', 'XX XX', '{\"batchId\":\"1705224956007723010\"}', NULL, 0, NULL, '2023-09-22 22:18:30');
INSERT INTO `sys_oper_log` VALUES (3717, '定时任务', 1, 'com.ezhizao.project.monitor.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerSingle(1705224956007723010L)\",\"jobId\":113,\"jobName\":\"单刷\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 22:33:25\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:33:25');
INSERT INTO `sys_oper_log` VALUES (3718, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:34:52');
INSERT INTO `sys_oper_log` VALUES (3719, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:40:22');
INSERT INTO `sys_oper_log` VALUES (3720, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:40:51');
INSERT INTO `sys_oper_log` VALUES (3721, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 22:33:25\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerSingle()\",\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"jobName\":\"单刷\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 22:42:06\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:42:05');
INSERT INTO `sys_oper_log` VALUES (3722, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:42:12');
INSERT INTO `sys_oper_log` VALUES (3723, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:43:29');
INSERT INTO `sys_oper_log` VALUES (3724, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 22:48:36');
INSERT INTO `sys_oper_log` VALUES (3725, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 22:33:25\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerSingle(1000000,5000000,106)\",\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"jobName\":\"单刷1000000-8000000/106\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 23:00:49\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:00:48');
INSERT INTO `sys_oper_log` VALUES (3726, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 22:33:25\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerSingle(1000000,5000000,105,\'TL880系列高性能矢量变频器\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"jobName\":\"天恩璐（辽宁）技术有限公司\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 23:16:59\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:16:59');
INSERT INTO `sys_oper_log` VALUES (3727, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:19');
INSERT INTO `sys_oper_log` VALUES (3728, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:24');
INSERT INTO `sys_oper_log` VALUES (3729, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:26');
INSERT INTO `sys_oper_log` VALUES (3730, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:28');
INSERT INTO `sys_oper_log` VALUES (3731, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:30');
INSERT INTO `sys_oper_log` VALUES (3732, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:32');
INSERT INTO `sys_oper_log` VALUES (3733, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:34');
INSERT INTO `sys_oper_log` VALUES (3734, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:36');
INSERT INTO `sys_oper_log` VALUES (3735, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:38');
INSERT INTO `sys_oper_log` VALUES (3736, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:42');
INSERT INTO `sys_oper_log` VALUES (3737, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:44');
INSERT INTO `sys_oper_log` VALUES (3738, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:47');
INSERT INTO `sys_oper_log` VALUES (3739, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:49');
INSERT INTO `sys_oper_log` VALUES (3740, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:34:51');
INSERT INTO `sys_oper_log` VALUES (3741, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '60.21.90.138', 'XX XX', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-09-22 22:33:25\",\"cronExpression\":\"* * * * * ? *\",\"invokeTarget\":\"ryTask.registerSingle(6000000L,9000000L,105L,\'TL880系列高性能矢量变频器\')\",\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"jobName\":\"天恩璐（辽宁）技术有限公司\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2023-09-22 23:52:14\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:52:13');
INSERT INTO `sys_oper_log` VALUES (3742, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:02');
INSERT INTO `sys_oper_log` VALUES (3743, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:07');
INSERT INTO `sys_oper_log` VALUES (3744, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:09');
INSERT INTO `sys_oper_log` VALUES (3745, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:11');
INSERT INTO `sys_oper_log` VALUES (3746, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:14');
INSERT INTO `sys_oper_log` VALUES (3747, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:17');
INSERT INTO `sys_oper_log` VALUES (3748, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:19');
INSERT INTO `sys_oper_log` VALUES (3749, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:22');
INSERT INTO `sys_oper_log` VALUES (3750, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:24');
INSERT INTO `sys_oper_log` VALUES (3751, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:26');
INSERT INTO `sys_oper_log` VALUES (3752, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:28');
INSERT INTO `sys_oper_log` VALUES (3753, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:32');
INSERT INTO `sys_oper_log` VALUES (3754, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:34');
INSERT INTO `sys_oper_log` VALUES (3755, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:54:36');
INSERT INTO `sys_oper_log` VALUES (3756, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:57:14');
INSERT INTO `sys_oper_log` VALUES (3757, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-22 23:58:11');
INSERT INTO `sys_oper_log` VALUES (3758, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:03:37');
INSERT INTO `sys_oper_log` VALUES (3759, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:04:36');
INSERT INTO `sys_oper_log` VALUES (3760, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:04:58');
INSERT INTO `sys_oper_log` VALUES (3761, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:01');
INSERT INTO `sys_oper_log` VALUES (3762, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:03');
INSERT INTO `sys_oper_log` VALUES (3763, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:06');
INSERT INTO `sys_oper_log` VALUES (3764, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:08');
INSERT INTO `sys_oper_log` VALUES (3765, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:10');
INSERT INTO `sys_oper_log` VALUES (3766, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:12');
INSERT INTO `sys_oper_log` VALUES (3767, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:16');
INSERT INTO `sys_oper_log` VALUES (3768, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:18');
INSERT INTO `sys_oper_log` VALUES (3769, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:20');
INSERT INTO `sys_oper_log` VALUES (3770, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:22');
INSERT INTO `sys_oper_log` VALUES (3771, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:26');
INSERT INTO `sys_oper_log` VALUES (3772, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:28');
INSERT INTO `sys_oper_log` VALUES (3773, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:05:30');
INSERT INTO `sys_oper_log` VALUES (3774, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:12');
INSERT INTO `sys_oper_log` VALUES (3775, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:29');
INSERT INTO `sys_oper_log` VALUES (3776, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:31');
INSERT INTO `sys_oper_log` VALUES (3777, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:33');
INSERT INTO `sys_oper_log` VALUES (3778, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:35');
INSERT INTO `sys_oper_log` VALUES (3779, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:38');
INSERT INTO `sys_oper_log` VALUES (3780, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:40');
INSERT INTO `sys_oper_log` VALUES (3781, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:44');
INSERT INTO `sys_oper_log` VALUES (3782, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:46');
INSERT INTO `sys_oper_log` VALUES (3783, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:08:48');
INSERT INTO `sys_oper_log` VALUES (3784, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:09:10');
INSERT INTO `sys_oper_log` VALUES (3785, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '60.21.90.138', 'XX XX', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:09:19');
INSERT INTO `sys_oper_log` VALUES (3786, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:11:42');
INSERT INTO `sys_oper_log` VALUES (3787, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:12:45');
INSERT INTO `sys_oper_log` VALUES (3788, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:12:49');
INSERT INTO `sys_oper_log` VALUES (3789, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:12:51');
INSERT INTO `sys_oper_log` VALUES (3790, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:12:53');
INSERT INTO `sys_oper_log` VALUES (3791, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:12:56');
INSERT INTO `sys_oper_log` VALUES (3792, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:12:59');
INSERT INTO `sys_oper_log` VALUES (3793, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:01');
INSERT INTO `sys_oper_log` VALUES (3794, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:03');
INSERT INTO `sys_oper_log` VALUES (3795, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:04');
INSERT INTO `sys_oper_log` VALUES (3796, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:06');
INSERT INTO `sys_oper_log` VALUES (3797, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:08');
INSERT INTO `sys_oper_log` VALUES (3798, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:12');
INSERT INTO `sys_oper_log` VALUES (3799, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:14');
INSERT INTO `sys_oper_log` VALUES (3800, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 00:13:16');
INSERT INTO `sys_oper_log` VALUES (3801, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:07');
INSERT INTO `sys_oper_log` VALUES (3802, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:12');
INSERT INTO `sys_oper_log` VALUES (3803, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:14');
INSERT INTO `sys_oper_log` VALUES (3804, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:17');
INSERT INTO `sys_oper_log` VALUES (3805, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:20');
INSERT INTO `sys_oper_log` VALUES (3806, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:23');
INSERT INTO `sys_oper_log` VALUES (3807, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:25');
INSERT INTO `sys_oper_log` VALUES (3808, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:28');
INSERT INTO `sys_oper_log` VALUES (3809, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:30');
INSERT INTO `sys_oper_log` VALUES (3810, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:33');
INSERT INTO `sys_oper_log` VALUES (3811, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:36');
INSERT INTO `sys_oper_log` VALUES (3812, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:40');
INSERT INTO `sys_oper_log` VALUES (3813, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:42');
INSERT INTO `sys_oper_log` VALUES (3814, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:21:44');
INSERT INTO `sys_oper_log` VALUES (3815, '定时任务', 3, 'com.ezhizao.project.monitor.controller.SysJobController.remove()', 'DELETE', 1, 'admin', NULL, '/monitor/job/102,103,104,105,106,108,109', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:46:07');
INSERT INTO `sys_oper_log` VALUES (3816, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2023-04-25 16:48:09\",\"cronExpression\":\"0/10 * * * * ?\",\"invokeTarget\":\"ryTask.register(1L,600L)\",\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"jobName\":\"正常全局刷\",\"misfirePolicy\":\"3\",\"nextValidTime\":\"2023-09-23 07:52:10\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 07:52:01');
INSERT INTO `sys_oper_log` VALUES (3817, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:03');
INSERT INTO `sys_oper_log` VALUES (3818, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:07');
INSERT INTO `sys_oper_log` VALUES (3819, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:09');
INSERT INTO `sys_oper_log` VALUES (3820, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:11');
INSERT INTO `sys_oper_log` VALUES (3821, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:14');
INSERT INTO `sys_oper_log` VALUES (3822, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:16');
INSERT INTO `sys_oper_log` VALUES (3823, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:22');
INSERT INTO `sys_oper_log` VALUES (3824, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:24');
INSERT INTO `sys_oper_log` VALUES (3825, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:29');
INSERT INTO `sys_oper_log` VALUES (3826, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:33');
INSERT INTO `sys_oper_log` VALUES (3827, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:34');
INSERT INTO `sys_oper_log` VALUES (3828, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:36');
INSERT INTO `sys_oper_log` VALUES (3829, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:38');
INSERT INTO `sys_oper_log` VALUES (3830, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:17:42');
INSERT INTO `sys_oper_log` VALUES (3831, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:00');
INSERT INTO `sys_oper_log` VALUES (3832, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:03');
INSERT INTO `sys_oper_log` VALUES (3833, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:06');
INSERT INTO `sys_oper_log` VALUES (3834, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:10');
INSERT INTO `sys_oper_log` VALUES (3835, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:14');
INSERT INTO `sys_oper_log` VALUES (3836, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:16');
INSERT INTO `sys_oper_log` VALUES (3837, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:18');
INSERT INTO `sys_oper_log` VALUES (3838, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:21');
INSERT INTO `sys_oper_log` VALUES (3839, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:26');
INSERT INTO `sys_oper_log` VALUES (3840, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:28');
INSERT INTO `sys_oper_log` VALUES (3841, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:32');
INSERT INTO `sys_oper_log` VALUES (3842, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:35');
INSERT INTO `sys_oper_log` VALUES (3843, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:38');
INSERT INTO `sys_oper_log` VALUES (3844, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:22:41');
INSERT INTO `sys_oper_log` VALUES (3845, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:31:55');
INSERT INTO `sys_oper_log` VALUES (3846, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:31:58');
INSERT INTO `sys_oper_log` VALUES (3847, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:01');
INSERT INTO `sys_oper_log` VALUES (3848, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:05');
INSERT INTO `sys_oper_log` VALUES (3849, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:08');
INSERT INTO `sys_oper_log` VALUES (3850, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:12');
INSERT INTO `sys_oper_log` VALUES (3851, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:15');
INSERT INTO `sys_oper_log` VALUES (3852, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:18');
INSERT INTO `sys_oper_log` VALUES (3853, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:22');
INSERT INTO `sys_oper_log` VALUES (3854, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:25');
INSERT INTO `sys_oper_log` VALUES (3855, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:27');
INSERT INTO `sys_oper_log` VALUES (3856, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:31');
INSERT INTO `sys_oper_log` VALUES (3857, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:32');
INSERT INTO `sys_oper_log` VALUES (3858, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:32:34');
INSERT INTO `sys_oper_log` VALUES (3859, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:37');
INSERT INTO `sys_oper_log` VALUES (3860, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:39');
INSERT INTO `sys_oper_log` VALUES (3861, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:41');
INSERT INTO `sys_oper_log` VALUES (3862, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:43');
INSERT INTO `sys_oper_log` VALUES (3863, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:46');
INSERT INTO `sys_oper_log` VALUES (3864, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:49');
INSERT INTO `sys_oper_log` VALUES (3865, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:51');
INSERT INTO `sys_oper_log` VALUES (3866, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:48:54');
INSERT INTO `sys_oper_log` VALUES (3867, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:49:11');
INSERT INTO `sys_oper_log` VALUES (3868, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:49:13');
INSERT INTO `sys_oper_log` VALUES (3869, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:49:16');
INSERT INTO `sys_oper_log` VALUES (3870, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:49:18');
INSERT INTO `sys_oper_log` VALUES (3871, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:49:20');
INSERT INTO `sys_oper_log` VALUES (3872, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:49:23');
INSERT INTO `sys_oper_log` VALUES (3873, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:41');
INSERT INTO `sys_oper_log` VALUES (3874, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:43');
INSERT INTO `sys_oper_log` VALUES (3875, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:46');
INSERT INTO `sys_oper_log` VALUES (3876, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:50');
INSERT INTO `sys_oper_log` VALUES (3877, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:52');
INSERT INTO `sys_oper_log` VALUES (3878, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:55');
INSERT INTO `sys_oper_log` VALUES (3879, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:55:57');
INSERT INTO `sys_oper_log` VALUES (3880, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:00');
INSERT INTO `sys_oper_log` VALUES (3881, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:03');
INSERT INTO `sys_oper_log` VALUES (3882, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:05');
INSERT INTO `sys_oper_log` VALUES (3883, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:07');
INSERT INTO `sys_oper_log` VALUES (3884, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:10');
INSERT INTO `sys_oper_log` VALUES (3885, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:13');
INSERT INTO `sys_oper_log` VALUES (3886, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 08:56:14');
INSERT INTO `sys_oper_log` VALUES (3887, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:20');
INSERT INTO `sys_oper_log` VALUES (3888, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:22');
INSERT INTO `sys_oper_log` VALUES (3889, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:25');
INSERT INTO `sys_oper_log` VALUES (3890, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:27');
INSERT INTO `sys_oper_log` VALUES (3891, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:30');
INSERT INTO `sys_oper_log` VALUES (3892, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:33');
INSERT INTO `sys_oper_log` VALUES (3893, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:36');
INSERT INTO `sys_oper_log` VALUES (3894, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:40');
INSERT INTO `sys_oper_log` VALUES (3895, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:42');
INSERT INTO `sys_oper_log` VALUES (3896, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:55');
INSERT INTO `sys_oper_log` VALUES (3897, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:57');
INSERT INTO `sys_oper_log` VALUES (3898, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:10:59');
INSERT INTO `sys_oper_log` VALUES (3899, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:11:01');
INSERT INTO `sys_oper_log` VALUES (3900, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:11:04');
INSERT INTO `sys_oper_log` VALUES (3901, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:11:06');
INSERT INTO `sys_oper_log` VALUES (3902, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:34');
INSERT INTO `sys_oper_log` VALUES (3903, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:37');
INSERT INTO `sys_oper_log` VALUES (3904, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:39');
INSERT INTO `sys_oper_log` VALUES (3905, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:44');
INSERT INTO `sys_oper_log` VALUES (3906, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:46');
INSERT INTO `sys_oper_log` VALUES (3907, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:51');
INSERT INTO `sys_oper_log` VALUES (3908, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:54');
INSERT INTO `sys_oper_log` VALUES (3909, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":126,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:13:59');
INSERT INTO `sys_oper_log` VALUES (3910, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:14:00');
INSERT INTO `sys_oper_log` VALUES (3911, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":124,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:14:04');
INSERT INTO `sys_oper_log` VALUES (3912, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":125,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:14:05');
INSERT INTO `sys_oper_log` VALUES (3913, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":123,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:14:06');
INSERT INTO `sys_oper_log` VALUES (3914, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":122,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:14:09');
INSERT INTO `sys_oper_log` VALUES (3915, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":121,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 10:14:12');
INSERT INTO `sys_oper_log` VALUES (3916, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:34:29');
INSERT INTO `sys_oper_log` VALUES (3917, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:34:33');
INSERT INTO `sys_oper_log` VALUES (3918, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:34:53');
INSERT INTO `sys_oper_log` VALUES (3919, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:36:11');
INSERT INTO `sys_oper_log` VALUES (3920, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:36:41');
INSERT INTO `sys_oper_log` VALUES (3921, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:36:44');
INSERT INTO `sys_oper_log` VALUES (3922, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:41:25');
INSERT INTO `sys_oper_log` VALUES (3923, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:41:28');
INSERT INTO `sys_oper_log` VALUES (3924, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:41:31');
INSERT INTO `sys_oper_log` VALUES (3925, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 11:41:34');
INSERT INTO `sys_oper_log` VALUES (3926, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":1,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:02');
INSERT INTO `sys_oper_log` VALUES (3927, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":112,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:06');
INSERT INTO `sys_oper_log` VALUES (3928, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":113,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:08');
INSERT INTO `sys_oper_log` VALUES (3929, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":114,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:11');
INSERT INTO `sys_oper_log` VALUES (3930, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":115,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:19');
INSERT INTO `sys_oper_log` VALUES (3931, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":116,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:21');
INSERT INTO `sys_oper_log` VALUES (3932, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":117,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:24');
INSERT INTO `sys_oper_log` VALUES (3933, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":118,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:27');
INSERT INTO `sys_oper_log` VALUES (3934, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":119,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:32');
INSERT INTO `sys_oper_log` VALUES (3935, '定时任务', 2, 'com.ezhizao.project.monitor.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":120,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-09-23 12:19:34');
INSERT INTO `sys_oper_log` VALUES (3936, '企业租户', 2, 'com.ezhizao.project.tenant.controller.TenantController.edit()', 'PUT', 1, '桑原电机(大连)有限公司', NULL, '/business/tenant', '60.21.17.65', 'XX XX', '{\"auditDate\":\"2023-03-23 16:17:28\",\"auditMsg\":\"审核通过\",\"auditUser\":\"admin\",\"businessLicense\":\"/profile/upload/2023/08/29/派蒙1_20230829135022A011.jpg\",\"city\":\"大连市\",\"contactEmail\":\"sydj_022@163.com\",\"contactName\":\" 辜国权\",\"contactPhone\":\"13904118911\",\"county\":\"金州区\",\"createTime\":\"2023-08-21 15:37:24\",\"creatorId\":1,\"databaseName\":\"\",\"dbHost\":\"\",\"dbPassword\":\"\",\"dbUrl\":\"\",\"dbUserName\":\"\",\"deleted\":0,\"entId\":151,\"entPrefix\":\"88.472.60042\",\"id\":151,\"identity\":\"88.472.60042/PROD151\",\"identityQcCode\":\"/profile/identity/company/151-s.png\",\"industryCategory\":\"F\",\"industryCategoryStr\":\"批发和零售业\",\"industrySpecific\":\"51\",\"industrySpecificStr\":\"批发业\",\"introduction\":\"<p><img src=\\\"/dev-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829091309A001.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/><img src=\\\"/prod-api/profile/upload/2023/08/29/蒙娜丽蒙_20230829135028A013.jpg\\\" alt=\\\"\\\" data-href=\\\"\\\" style=\\\"\\\"/></p>\",\"legalName\":\" 辜国权\",\"logo\":\"\",\"orgAddr\":\"保税区市场大厦320F-3\",\"orgAddrCity\":\"210200\",\"orgAddrCounty\":\"210213\",\"orgAddrProvince\":\"210000\",\"orgCrtCode\":\"91210242582041194H\",\"orgCrtType\":1,\"orgName\":\"桑原电机(大连)有限公司\",\"orgNature\":2,\"params\":{},\"province\":\"辽宁省\",\"remark\":\"\",\"snmsPassword\":\"Ymtl618@\",\"snmsUserName\":\"桑原电机(大连)有限公司\",\"status\":2,\"tenantId\":151,\"updateTime\":\"2023-10-10 14:28:08\",\"updaterId\":1143207234667417600,\"version\":80,\"vip\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2023-10-10 14:28:08');
INSERT INTO `sys_oper_log` VALUES (3937, '营销网点', 1, 'com.ezhizao.project.business.controller.BizBranchController.save()', 'POST', 1, '18640822691', NULL, '/business/branch', '60.21.17.65', 'XX XX', '{\"address\":\"内蒙古自治区呼伦贝尔市鄂温克族自治旗鄂伦春旗东乌珠穆沁旗西乌珠穆沁旗阿尔山市科右前旗科右中旗科右后旗\",\"area\":\"回民区\",\"areaCode\":\"150103\",\"areaList\":[\"150000\",\"150100\",\"150103\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-10-10 14:46:39\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1711634329438883841,\"latitude\":50.34896578114507,\"longitude\":123.96174430847168,\"name\":\"小回二号店内蒙古呼和浩特市左旗\",\"params\":{},\"phnoe\":\"15668631890\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"tenantId\":106}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"address\":\"内蒙古自治区呼伦贝尔市鄂温克族自治旗鄂伦春旗东乌珠穆沁旗西乌珠穆沁旗阿尔山市科右前旗科右中旗科右后旗\",\"area\":\"回民区\",\"areaCode\":\"150103\",\"areaList\":[\"150000\",\"150100\",\"150103\"],\"city\":\"呼和浩特市\",\"cityCode\":\"150100\",\"createTime\":\"2023-10-10 14:46:39\",\"creatorId\":1143215441569779712,\"details\":[],\"id\":1711634329438883841,\"latitude\":50.34896578114507,\"longitude\":123.96174430847168,\"name\":\"小回二号店内蒙古呼和浩特市左旗\",\"params\":{},\"phnoe\":\"15668631890\",\"province\":\"内蒙古自治区\",\"provinceCode\":\"150000\",\"tenantId\":106}}', 0, NULL, '2023-10-10 14:46:39');

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `tenant_id` bigint NULL DEFAULT 0 COMMENT '租户 ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 0, 'ceo', '董事长', 1, '0', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 0, 'se', '项目经理', 2, '0', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 0, 'hr', '人力资源', 3, '0', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 0, 'user', '普通员工', 4, '0', 'admin', '2023-04-25 16:48:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (5, 106, '111', '测试岗位', 1, '0', '18640822691', '2023-08-21 17:51:25', '', NULL, '12');
INSERT INTO `sys_post` VALUES (6, 106, '1@as中1.23', '!q啊1-10.25@', 2, '1', '18640822691', '2023-09-06 11:41:53', '18640822691', '2023-09-06 11:49:53', NULL);
INSERT INTO `sys_post` VALUES (7, 106, '11', '234', 1, '0', '18640822691', '2023-09-07 10:09:52', '', NULL, NULL);
INSERT INTO `sys_post` VALUES (9, 0, 'kj', '会计', 0, '0', '18640822691', '2023-09-18 11:36:47', '', NULL, NULL);
INSERT INTO `sys_post` VALUES (10, 0, 'fw', '法务', 0, '0', '18640822691', '2023-09-18 11:37:04', '', NULL, NULL);
INSERT INTO `sys_post` VALUES (11, 0, 'zj', '项目总监', 0, '0', '18640822691', '2023-09-18 11:37:45', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户id',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 108 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, 0, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2023-04-25 16:48:09', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, 0, '企业管理员', 'company', 2, '1', 1, 0, '0', '0', 'admin', '2023-08-21 15:41:07', 'admin', '2023-09-19 11:59:39', '企业管理员');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 2026);
INSERT INTO `sys_role_menu` VALUES (2, 2027);
INSERT INTO `sys_role_menu` VALUES (2, 2028);
INSERT INTO `sys_role_menu` VALUES (2, 2029);
INSERT INTO `sys_role_menu` VALUES (2, 2030);
INSERT INTO `sys_role_menu` VALUES (2, 2031);
INSERT INTO `sys_role_menu` VALUES (2, 2032);
INSERT INTO `sys_role_menu` VALUES (2, 2033);
INSERT INTO `sys_role_menu` VALUES (2, 2034);
INSERT INTO `sys_role_menu` VALUES (2, 2035);
INSERT INTO `sys_role_menu` VALUES (2, 2036);
INSERT INTO `sys_role_menu` VALUES (2, 2037);
INSERT INTO `sys_role_menu` VALUES (2, 2038);
INSERT INTO `sys_role_menu` VALUES (2, 2039);
INSERT INTO `sys_role_menu` VALUES (2, 2040);
INSERT INTO `sys_role_menu` VALUES (2, 2041);
INSERT INTO `sys_role_menu` VALUES (2, 2042);
INSERT INTO `sys_role_menu` VALUES (2, 2043);
INSERT INTO `sys_role_menu` VALUES (2, 2044);
INSERT INTO `sys_role_menu` VALUES (2, 2045);
INSERT INTO `sys_role_menu` VALUES (2, 2046);
INSERT INTO `sys_role_menu` VALUES (2, 2047);
INSERT INTO `sys_role_menu` VALUES (2, 2048);
INSERT INTO `sys_role_menu` VALUES (2, 2049);
INSERT INTO `sys_role_menu` VALUES (2, 2050);
INSERT INTO `sys_role_menu` VALUES (2, 2051);
INSERT INTO `sys_role_menu` VALUES (2, 2052);
INSERT INTO `sys_role_menu` VALUES (2, 2053);
INSERT INTO `sys_role_menu` VALUES (2, 2079);
INSERT INTO `sys_role_menu` VALUES (2, 2080);
INSERT INTO `sys_role_menu` VALUES (2, 2081);
INSERT INTO `sys_role_menu` VALUES (2, 2082);
INSERT INTO `sys_role_menu` VALUES (2, 2083);
INSERT INTO `sys_role_menu` VALUES (2, 2084);
INSERT INTO `sys_role_menu` VALUES (2, 2085);
INSERT INTO `sys_role_menu` VALUES (2, 2086);
INSERT INTO `sys_role_menu` VALUES (2, 2087);
INSERT INTO `sys_role_menu` VALUES (2, 2088);
INSERT INTO `sys_role_menu` VALUES (2, 2089);
INSERT INTO `sys_role_menu` VALUES (2, 2090);
INSERT INTO `sys_role_menu` VALUES (2, 2091);
INSERT INTO `sys_role_menu` VALUES (2, 2092);
INSERT INTO `sys_role_menu` VALUES (2, 2093);
INSERT INTO `sys_role_menu` VALUES (2, 2094);
INSERT INTO `sys_role_menu` VALUES (2, 2095);
INSERT INTO `sys_role_menu` VALUES (2, 2096);
INSERT INTO `sys_role_menu` VALUES (2, 2115);
INSERT INTO `sys_role_menu` VALUES (2, 2116);
INSERT INTO `sys_role_menu` VALUES (2, 2117);
INSERT INTO `sys_role_menu` VALUES (2, 2118);
INSERT INTO `sys_role_menu` VALUES (2, 2119);
INSERT INTO `sys_role_menu` VALUES (2, 2120);
INSERT INTO `sys_role_menu` VALUES (2, 2127);
INSERT INTO `sys_role_menu` VALUES (2, 2128);
INSERT INTO `sys_role_menu` VALUES (2, 2129);
INSERT INTO `sys_role_menu` VALUES (2, 2130);
INSERT INTO `sys_role_menu` VALUES (2, 2131);
INSERT INTO `sys_role_menu` VALUES (2, 2132);
INSERT INTO `sys_role_menu` VALUES (2, 2133);
INSERT INTO `sys_role_menu` VALUES (2, 2134);
INSERT INTO `sys_role_menu` VALUES (2, 2135);
INSERT INTO `sys_role_menu` VALUES (2, 2136);
INSERT INTO `sys_role_menu` VALUES (2, 2137);
INSERT INTO `sys_role_menu` VALUES (2, 2138);
INSERT INTO `sys_role_menu` VALUES (2, 2139);
INSERT INTO `sys_role_menu` VALUES (2, 2140);
INSERT INTO `sys_role_menu` VALUES (2, 2141);
INSERT INTO `sys_role_menu` VALUES (2, 2142);
INSERT INTO `sys_role_menu` VALUES (2, 2143);
INSERT INTO `sys_role_menu` VALUES (2, 2144);
INSERT INTO `sys_role_menu` VALUES (2, 2145);
INSERT INTO `sys_role_menu` VALUES (2, 2170);
INSERT INTO `sys_role_menu` VALUES (2, 2171);
INSERT INTO `sys_role_menu` VALUES (2, 2172);
INSERT INTO `sys_role_menu` VALUES (2, 2173);
INSERT INTO `sys_role_menu` VALUES (2, 2174);
INSERT INTO `sys_role_menu` VALUES (2, 2175);
INSERT INTO `sys_role_menu` VALUES (2, 2194);
INSERT INTO `sys_role_menu` VALUES (2, 2195);
INSERT INTO `sys_role_menu` VALUES (2, 2196);
INSERT INTO `sys_role_menu` VALUES (2, 2197);
INSERT INTO `sys_role_menu` VALUES (2, 2198);
INSERT INTO `sys_role_menu` VALUES (2, 2199);
INSERT INTO `sys_role_menu` VALUES (2, 2200);
INSERT INTO `sys_role_menu` VALUES (2, 2201);
INSERT INTO `sys_role_menu` VALUES (2, 2202);
INSERT INTO `sys_role_menu` VALUES (2, 2203);
INSERT INTO `sys_role_menu` VALUES (2, 2204);
INSERT INTO `sys_role_menu` VALUES (2, 2205);
INSERT INTO `sys_role_menu` VALUES (2, 2206);
INSERT INTO `sys_role_menu` VALUES (2, 2207);
INSERT INTO `sys_role_menu` VALUES (2, 2208);
INSERT INTO `sys_role_menu` VALUES (2, 2209);
INSERT INTO `sys_role_menu` VALUES (2, 2210);
INSERT INTO `sys_role_menu` VALUES (2, 2229);
INSERT INTO `sys_role_menu` VALUES (2, 2230);
INSERT INTO `sys_role_menu` VALUES (2, 2231);
INSERT INTO `sys_role_menu` VALUES (2, 2232);
INSERT INTO `sys_role_menu` VALUES (2, 2233);
INSERT INTO `sys_role_menu` VALUES (2, 2234);
INSERT INTO `sys_role_menu` VALUES (2, 2241);
INSERT INTO `sys_role_menu` VALUES (2, 2242);
INSERT INTO `sys_role_menu` VALUES (2, 2243);
INSERT INTO `sys_role_menu` VALUES (2, 2244);
INSERT INTO `sys_role_menu` VALUES (2, 2245);
INSERT INTO `sys_role_menu` VALUES (2, 2246);
INSERT INTO `sys_role_menu` VALUES (2, 2247);
INSERT INTO `sys_role_menu` VALUES (2, 2248);
INSERT INTO `sys_role_menu` VALUES (2, 2249);
INSERT INTO `sys_role_menu` VALUES (2, 2250);
INSERT INTO `sys_role_menu` VALUES (2, 2251);
INSERT INTO `sys_role_menu` VALUES (2, 2252);
INSERT INTO `sys_role_menu` VALUES (2, 2253);
INSERT INTO `sys_role_menu` VALUES (2, 2254);
INSERT INTO `sys_role_menu` VALUES (2, 2261);
INSERT INTO `sys_role_menu` VALUES (2, 2262);
INSERT INTO `sys_role_menu` VALUES (2, 2263);
INSERT INTO `sys_role_menu` VALUES (2, 2264);
INSERT INTO `sys_role_menu` VALUES (2, 2265);
INSERT INTO `sys_role_menu` VALUES (2, 2266);
INSERT INTO `sys_role_menu` VALUES (2, 2267);
INSERT INTO `sys_role_menu` VALUES (2, 2268);
INSERT INTO `sys_role_menu` VALUES (2, 2269);
INSERT INTO `sys_role_menu` VALUES (2, 2270);
INSERT INTO `sys_role_menu` VALUES (2, 2271);
INSERT INTO `sys_role_menu` VALUES (2, 2272);
INSERT INTO `sys_role_menu` VALUES (2, 2273);
INSERT INTO `sys_role_menu` VALUES (2, 2274);
INSERT INTO `sys_role_menu` VALUES (2, 2275);
INSERT INTO `sys_role_menu` VALUES (2, 2276);
INSERT INTO `sys_role_menu` VALUES (2, 2277);
INSERT INTO `sys_role_menu` VALUES (2, 2278);
INSERT INTO `sys_role_menu` VALUES (2, 2279);
INSERT INTO `sys_role_menu` VALUES (2, 2280);
INSERT INTO `sys_role_menu` VALUES (2, 2281);
INSERT INTO `sys_role_menu` VALUES (2, 2282);
INSERT INTO `sys_role_menu` VALUES (2, 2283);
INSERT INTO `sys_role_menu` VALUES (2, 2284);
INSERT INTO `sys_role_menu` VALUES (2, 2285);
INSERT INTO `sys_role_menu` VALUES (2, 2286);
INSERT INTO `sys_role_menu` VALUES (2, 2287);
INSERT INTO `sys_role_menu` VALUES (2, 2288);
INSERT INTO `sys_role_menu` VALUES (2, 2289);
INSERT INTO `sys_role_menu` VALUES (2, 2290);
INSERT INTO `sys_role_menu` VALUES (2, 2291);
INSERT INTO `sys_role_menu` VALUES (2, 2292);
INSERT INTO `sys_role_menu` VALUES (2, 2293);
INSERT INTO `sys_role_menu` VALUES (2, 2294);
INSERT INTO `sys_role_menu` VALUES (2, 2295);
INSERT INTO `sys_role_menu` VALUES (2, 2296);
INSERT INTO `sys_role_menu` VALUES (2, 2297);
INSERT INTO `sys_role_menu` VALUES (2, 2298);
INSERT INTO `sys_role_menu` VALUES (2, 2299);
INSERT INTO `sys_role_menu` VALUES (2, 2306);
INSERT INTO `sys_role_menu` VALUES (2, 2307);
INSERT INTO `sys_role_menu` VALUES (2, 2308);
INSERT INTO `sys_role_menu` VALUES (2, 2309);
INSERT INTO `sys_role_menu` VALUES (2, 2310);
INSERT INTO `sys_role_menu` VALUES (2, 2311);
INSERT INTO `sys_role_menu` VALUES (2, 2318);
INSERT INTO `sys_role_menu` VALUES (2, 2319);
INSERT INTO `sys_role_menu` VALUES (2, 2320);
INSERT INTO `sys_role_menu` VALUES (2, 2321);
INSERT INTO `sys_role_menu` VALUES (2, 2322);
INSERT INTO `sys_role_menu` VALUES (2, 2323);
INSERT INTO `sys_role_menu` VALUES (2, 2324);
INSERT INTO `sys_role_menu` VALUES (2, 2325);
INSERT INTO `sys_role_menu` VALUES (2, 2326);
INSERT INTO `sys_role_menu` VALUES (2, 2327);
INSERT INTO `sys_role_menu` VALUES (2, 2328);
INSERT INTO `sys_role_menu` VALUES (2, 2329);
INSERT INTO `sys_role_menu` VALUES (2, 2330);
INSERT INTO `sys_role_menu` VALUES (2, 2331);
INSERT INTO `sys_role_menu` VALUES (2, 2332);
INSERT INTO `sys_role_menu` VALUES (2, 2333);
INSERT INTO `sys_role_menu` VALUES (2, 2334);
INSERT INTO `sys_role_menu` VALUES (2, 2335);
INSERT INTO `sys_role_menu` VALUES (2, 2336);
INSERT INTO `sys_role_menu` VALUES (2, 2337);
INSERT INTO `sys_role_menu` VALUES (2, 2338);
INSERT INTO `sys_role_menu` VALUES (2, 2339);
INSERT INTO `sys_role_menu` VALUES (2, 2340);
INSERT INTO `sys_role_menu` VALUES (2, 2341);
INSERT INTO `sys_role_menu` VALUES (2, 2342);
INSERT INTO `sys_role_menu` VALUES (2, 2343);
INSERT INTO `sys_role_menu` VALUES (2, 2344);
INSERT INTO `sys_role_menu` VALUES (2, 2345);
INSERT INTO `sys_role_menu` VALUES (2, 2346);
INSERT INTO `sys_role_menu` VALUES (2, 2347);
INSERT INTO `sys_role_menu` VALUES (2, 2348);
INSERT INTO `sys_role_menu` VALUES (2, 2349);
INSERT INTO `sys_role_menu` VALUES (2, 2350);
INSERT INTO `sys_role_menu` VALUES (2, 2351);
INSERT INTO `sys_role_menu` VALUES (2, 2352);
INSERT INTO `sys_role_menu` VALUES (2, 2353);
INSERT INTO `sys_role_menu` VALUES (2, 2354);
INSERT INTO `sys_role_menu` VALUES (2, 2355);
INSERT INTO `sys_role_menu` VALUES (2, 2356);
INSERT INTO `sys_role_menu` VALUES (2, 2357);
INSERT INTO `sys_role_menu` VALUES (2, 2358);
INSERT INTO `sys_role_menu` VALUES (2, 2359);
INSERT INTO `sys_role_menu` VALUES (2, 2360);
INSERT INTO `sys_role_menu` VALUES (101, 2030);
INSERT INTO `sys_role_menu` VALUES (101, 2031);
INSERT INTO `sys_role_menu` VALUES (101, 2032);
INSERT INTO `sys_role_menu` VALUES (101, 2033);
INSERT INTO `sys_role_menu` VALUES (101, 2034);
INSERT INTO `sys_role_menu` VALUES (101, 2035);
INSERT INTO `sys_role_menu` VALUES (101, 2036);
INSERT INTO `sys_role_menu` VALUES (101, 2037);
INSERT INTO `sys_role_menu` VALUES (101, 2038);
INSERT INTO `sys_role_menu` VALUES (101, 2039);
INSERT INTO `sys_role_menu` VALUES (101, 2040);
INSERT INTO `sys_role_menu` VALUES (101, 2041);
INSERT INTO `sys_role_menu` VALUES (101, 2042);
INSERT INTO `sys_role_menu` VALUES (101, 2043);
INSERT INTO `sys_role_menu` VALUES (101, 2044);
INSERT INTO `sys_role_menu` VALUES (101, 2045);
INSERT INTO `sys_role_menu` VALUES (101, 2046);
INSERT INTO `sys_role_menu` VALUES (101, 2047);
INSERT INTO `sys_role_menu` VALUES (101, 2048);
INSERT INTO `sys_role_menu` VALUES (101, 2079);
INSERT INTO `sys_role_menu` VALUES (101, 2080);
INSERT INTO `sys_role_menu` VALUES (101, 2081);
INSERT INTO `sys_role_menu` VALUES (101, 2082);
INSERT INTO `sys_role_menu` VALUES (101, 2083);
INSERT INTO `sys_role_menu` VALUES (101, 2084);
INSERT INTO `sys_role_menu` VALUES (101, 2085);
INSERT INTO `sys_role_menu` VALUES (101, 2086);
INSERT INTO `sys_role_menu` VALUES (101, 2087);
INSERT INTO `sys_role_menu` VALUES (101, 2088);
INSERT INTO `sys_role_menu` VALUES (101, 2089);
INSERT INTO `sys_role_menu` VALUES (101, 2090);
INSERT INTO `sys_role_menu` VALUES (101, 2115);
INSERT INTO `sys_role_menu` VALUES (101, 2116);
INSERT INTO `sys_role_menu` VALUES (101, 2117);
INSERT INTO `sys_role_menu` VALUES (101, 2118);
INSERT INTO `sys_role_menu` VALUES (101, 2119);
INSERT INTO `sys_role_menu` VALUES (101, 2120);
INSERT INTO `sys_role_menu` VALUES (101, 2127);
INSERT INTO `sys_role_menu` VALUES (101, 2128);
INSERT INTO `sys_role_menu` VALUES (101, 2129);
INSERT INTO `sys_role_menu` VALUES (101, 2130);
INSERT INTO `sys_role_menu` VALUES (101, 2131);
INSERT INTO `sys_role_menu` VALUES (101, 2132);
INSERT INTO `sys_role_menu` VALUES (101, 2134);
INSERT INTO `sys_role_menu` VALUES (101, 2135);
INSERT INTO `sys_role_menu` VALUES (101, 2136);
INSERT INTO `sys_role_menu` VALUES (101, 2137);
INSERT INTO `sys_role_menu` VALUES (101, 2138);
INSERT INTO `sys_role_menu` VALUES (101, 2139);
INSERT INTO `sys_role_menu` VALUES (101, 2140);
INSERT INTO `sys_role_menu` VALUES (101, 2141);
INSERT INTO `sys_role_menu` VALUES (101, 2142);
INSERT INTO `sys_role_menu` VALUES (101, 2143);
INSERT INTO `sys_role_menu` VALUES (101, 2144);
INSERT INTO `sys_role_menu` VALUES (101, 2145);
INSERT INTO `sys_role_menu` VALUES (101, 2170);
INSERT INTO `sys_role_menu` VALUES (101, 2171);
INSERT INTO `sys_role_menu` VALUES (101, 2172);
INSERT INTO `sys_role_menu` VALUES (101, 2173);
INSERT INTO `sys_role_menu` VALUES (101, 2174);
INSERT INTO `sys_role_menu` VALUES (101, 2175);
INSERT INTO `sys_role_menu` VALUES (101, 2194);
INSERT INTO `sys_role_menu` VALUES (101, 2195);
INSERT INTO `sys_role_menu` VALUES (101, 2196);
INSERT INTO `sys_role_menu` VALUES (101, 2197);
INSERT INTO `sys_role_menu` VALUES (101, 2198);
INSERT INTO `sys_role_menu` VALUES (101, 2199);
INSERT INTO `sys_role_menu` VALUES (101, 2200);
INSERT INTO `sys_role_menu` VALUES (101, 2204);
INSERT INTO `sys_role_menu` VALUES (101, 2205);
INSERT INTO `sys_role_menu` VALUES (101, 2206);
INSERT INTO `sys_role_menu` VALUES (101, 2207);
INSERT INTO `sys_role_menu` VALUES (101, 2208);
INSERT INTO `sys_role_menu` VALUES (101, 2209);
INSERT INTO `sys_role_menu` VALUES (102, 2201);
INSERT INTO `sys_role_menu` VALUES (107, 2030);
INSERT INTO `sys_role_menu` VALUES (107, 2031);
INSERT INTO `sys_role_menu` VALUES (107, 2032);
INSERT INTO `sys_role_menu` VALUES (107, 2033);
INSERT INTO `sys_role_menu` VALUES (107, 2034);
INSERT INTO `sys_role_menu` VALUES (107, 2035);
INSERT INTO `sys_role_menu` VALUES (107, 2036);
INSERT INTO `sys_role_menu` VALUES (107, 2037);
INSERT INTO `sys_role_menu` VALUES (107, 2038);
INSERT INTO `sys_role_menu` VALUES (107, 2039);
INSERT INTO `sys_role_menu` VALUES (107, 2040);
INSERT INTO `sys_role_menu` VALUES (107, 2041);
INSERT INTO `sys_role_menu` VALUES (107, 2042);
INSERT INTO `sys_role_menu` VALUES (107, 2043);
INSERT INTO `sys_role_menu` VALUES (107, 2044);
INSERT INTO `sys_role_menu` VALUES (107, 2045);
INSERT INTO `sys_role_menu` VALUES (107, 2046);
INSERT INTO `sys_role_menu` VALUES (107, 2047);
INSERT INTO `sys_role_menu` VALUES (107, 2048);
INSERT INTO `sys_role_menu` VALUES (107, 2049);
INSERT INTO `sys_role_menu` VALUES (107, 2050);
INSERT INTO `sys_role_menu` VALUES (107, 2051);
INSERT INTO `sys_role_menu` VALUES (107, 2052);
INSERT INTO `sys_role_menu` VALUES (107, 2053);
INSERT INTO `sys_role_menu` VALUES (107, 2079);
INSERT INTO `sys_role_menu` VALUES (107, 2080);
INSERT INTO `sys_role_menu` VALUES (107, 2081);
INSERT INTO `sys_role_menu` VALUES (107, 2082);
INSERT INTO `sys_role_menu` VALUES (107, 2083);
INSERT INTO `sys_role_menu` VALUES (107, 2084);
INSERT INTO `sys_role_menu` VALUES (107, 2085);
INSERT INTO `sys_role_menu` VALUES (107, 2086);
INSERT INTO `sys_role_menu` VALUES (107, 2087);
INSERT INTO `sys_role_menu` VALUES (107, 2088);
INSERT INTO `sys_role_menu` VALUES (107, 2089);
INSERT INTO `sys_role_menu` VALUES (107, 2090);
INSERT INTO `sys_role_menu` VALUES (107, 2115);
INSERT INTO `sys_role_menu` VALUES (107, 2116);
INSERT INTO `sys_role_menu` VALUES (107, 2117);
INSERT INTO `sys_role_menu` VALUES (107, 2118);
INSERT INTO `sys_role_menu` VALUES (107, 2119);
INSERT INTO `sys_role_menu` VALUES (107, 2120);
INSERT INTO `sys_role_menu` VALUES (107, 2127);
INSERT INTO `sys_role_menu` VALUES (107, 2128);
INSERT INTO `sys_role_menu` VALUES (107, 2129);
INSERT INTO `sys_role_menu` VALUES (107, 2130);
INSERT INTO `sys_role_menu` VALUES (107, 2131);
INSERT INTO `sys_role_menu` VALUES (107, 2132);
INSERT INTO `sys_role_menu` VALUES (107, 2133);
INSERT INTO `sys_role_menu` VALUES (107, 2134);
INSERT INTO `sys_role_menu` VALUES (107, 2135);
INSERT INTO `sys_role_menu` VALUES (107, 2136);
INSERT INTO `sys_role_menu` VALUES (107, 2137);
INSERT INTO `sys_role_menu` VALUES (107, 2138);
INSERT INTO `sys_role_menu` VALUES (107, 2139);
INSERT INTO `sys_role_menu` VALUES (107, 2140);
INSERT INTO `sys_role_menu` VALUES (107, 2141);
INSERT INTO `sys_role_menu` VALUES (107, 2142);
INSERT INTO `sys_role_menu` VALUES (107, 2143);
INSERT INTO `sys_role_menu` VALUES (107, 2144);
INSERT INTO `sys_role_menu` VALUES (107, 2145);
INSERT INTO `sys_role_menu` VALUES (107, 2170);
INSERT INTO `sys_role_menu` VALUES (107, 2171);
INSERT INTO `sys_role_menu` VALUES (107, 2172);
INSERT INTO `sys_role_menu` VALUES (107, 2173);
INSERT INTO `sys_role_menu` VALUES (107, 2174);
INSERT INTO `sys_role_menu` VALUES (107, 2175);
INSERT INTO `sys_role_menu` VALUES (107, 2194);
INSERT INTO `sys_role_menu` VALUES (107, 2195);
INSERT INTO `sys_role_menu` VALUES (107, 2196);
INSERT INTO `sys_role_menu` VALUES (107, 2197);
INSERT INTO `sys_role_menu` VALUES (107, 2198);
INSERT INTO `sys_role_menu` VALUES (107, 2199);
INSERT INTO `sys_role_menu` VALUES (107, 2200);
INSERT INTO `sys_role_menu` VALUES (107, 2201);
INSERT INTO `sys_role_menu` VALUES (107, 2202);
INSERT INTO `sys_role_menu` VALUES (107, 2203);
INSERT INTO `sys_role_menu` VALUES (107, 2204);
INSERT INTO `sys_role_menu` VALUES (107, 2205);
INSERT INTO `sys_role_menu` VALUES (107, 2206);
INSERT INTO `sys_role_menu` VALUES (107, 2207);
INSERT INTO `sys_role_menu` VALUES (107, 2208);
INSERT INTO `sys_role_menu` VALUES (107, 2209);
INSERT INTO `sys_role_menu` VALUES (107, 2210);
INSERT INTO `sys_role_menu` VALUES (107, 2229);
INSERT INTO `sys_role_menu` VALUES (107, 2230);
INSERT INTO `sys_role_menu` VALUES (107, 2231);
INSERT INTO `sys_role_menu` VALUES (107, 2232);
INSERT INTO `sys_role_menu` VALUES (107, 2233);
INSERT INTO `sys_role_menu` VALUES (107, 2234);
INSERT INTO `sys_role_menu` VALUES (107, 2241);
INSERT INTO `sys_role_menu` VALUES (107, 2242);
INSERT INTO `sys_role_menu` VALUES (107, 2243);
INSERT INTO `sys_role_menu` VALUES (107, 2244);
INSERT INTO `sys_role_menu` VALUES (107, 2245);
INSERT INTO `sys_role_menu` VALUES (107, 2246);
INSERT INTO `sys_role_menu` VALUES (107, 2247);
INSERT INTO `sys_role_menu` VALUES (107, 2248);
INSERT INTO `sys_role_menu` VALUES (107, 2249);
INSERT INTO `sys_role_menu` VALUES (107, 2250);
INSERT INTO `sys_role_menu` VALUES (107, 2251);
INSERT INTO `sys_role_menu` VALUES (107, 2252);
INSERT INTO `sys_role_menu` VALUES (107, 2253);
INSERT INTO `sys_role_menu` VALUES (107, 2254);
INSERT INTO `sys_role_menu` VALUES (107, 2261);
INSERT INTO `sys_role_menu` VALUES (107, 2262);
INSERT INTO `sys_role_menu` VALUES (107, 2263);
INSERT INTO `sys_role_menu` VALUES (107, 2264);
INSERT INTO `sys_role_menu` VALUES (107, 2265);
INSERT INTO `sys_role_menu` VALUES (107, 2266);
INSERT INTO `sys_role_menu` VALUES (107, 2267);
INSERT INTO `sys_role_menu` VALUES (107, 2268);
INSERT INTO `sys_role_menu` VALUES (107, 2269);
INSERT INTO `sys_role_menu` VALUES (107, 2270);
INSERT INTO `sys_role_menu` VALUES (107, 2271);
INSERT INTO `sys_role_menu` VALUES (107, 2272);
INSERT INTO `sys_role_menu` VALUES (107, 2273);
INSERT INTO `sys_role_menu` VALUES (107, 2274);
INSERT INTO `sys_role_menu` VALUES (107, 2275);
INSERT INTO `sys_role_menu` VALUES (107, 2276);
INSERT INTO `sys_role_menu` VALUES (107, 2277);
INSERT INTO `sys_role_menu` VALUES (107, 2278);
INSERT INTO `sys_role_menu` VALUES (107, 2279);
INSERT INTO `sys_role_menu` VALUES (107, 2280);
INSERT INTO `sys_role_menu` VALUES (107, 2281);
INSERT INTO `sys_role_menu` VALUES (107, 2282);
INSERT INTO `sys_role_menu` VALUES (107, 2283);
INSERT INTO `sys_role_menu` VALUES (107, 2284);
INSERT INTO `sys_role_menu` VALUES (107, 2285);
INSERT INTO `sys_role_menu` VALUES (107, 2286);
INSERT INTO `sys_role_menu` VALUES (107, 2287);
INSERT INTO `sys_role_menu` VALUES (107, 2288);
INSERT INTO `sys_role_menu` VALUES (107, 2289);
INSERT INTO `sys_role_menu` VALUES (107, 2290);
INSERT INTO `sys_role_menu` VALUES (107, 2291);
INSERT INTO `sys_role_menu` VALUES (107, 2292);
INSERT INTO `sys_role_menu` VALUES (107, 2293);
INSERT INTO `sys_role_menu` VALUES (107, 2294);
INSERT INTO `sys_role_menu` VALUES (107, 2295);
INSERT INTO `sys_role_menu` VALUES (107, 2296);
INSERT INTO `sys_role_menu` VALUES (107, 2297);
INSERT INTO `sys_role_menu` VALUES (107, 2298);
INSERT INTO `sys_role_menu` VALUES (107, 2306);
INSERT INTO `sys_role_menu` VALUES (107, 2307);
INSERT INTO `sys_role_menu` VALUES (107, 2308);
INSERT INTO `sys_role_menu` VALUES (107, 2309);
INSERT INTO `sys_role_menu` VALUES (107, 2310);
INSERT INTO `sys_role_menu` VALUES (107, 2311);
INSERT INTO `sys_role_menu` VALUES (107, 2318);
INSERT INTO `sys_role_menu` VALUES (107, 2319);
INSERT INTO `sys_role_menu` VALUES (107, 2320);
INSERT INTO `sys_role_menu` VALUES (107, 2321);
INSERT INTO `sys_role_menu` VALUES (107, 2322);
INSERT INTO `sys_role_menu` VALUES (107, 2323);
INSERT INTO `sys_role_menu` VALUES (107, 2324);
INSERT INTO `sys_role_menu` VALUES (107, 2325);
INSERT INTO `sys_role_menu` VALUES (107, 2326);
INSERT INTO `sys_role_menu` VALUES (107, 2327);
INSERT INTO `sys_role_menu` VALUES (107, 2328);
INSERT INTO `sys_role_menu` VALUES (107, 2329);
INSERT INTO `sys_role_menu` VALUES (107, 2330);
INSERT INTO `sys_role_menu` VALUES (107, 2331);
INSERT INTO `sys_role_menu` VALUES (107, 2332);
INSERT INTO `sys_role_menu` VALUES (107, 2333);
INSERT INTO `sys_role_menu` VALUES (107, 2334);
INSERT INTO `sys_role_menu` VALUES (107, 2335);
INSERT INTO `sys_role_menu` VALUES (107, 2336);
INSERT INTO `sys_role_menu` VALUES (107, 2337);
INSERT INTO `sys_role_menu` VALUES (107, 2338);
INSERT INTO `sys_role_menu` VALUES (107, 2339);
INSERT INTO `sys_role_menu` VALUES (107, 2340);
INSERT INTO `sys_role_menu` VALUES (107, 2341);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户 01 租户创建者 02 租户下属员工）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `snms_user_id` bigint NULL DEFAULT 0 COMMENT 'snms_user_id',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1154070496007032833 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 100, 'admin', '管理员', '00', '1334958563@qq.com', '13029467003', '0', '/profile/avatar/2023/09/19/blob_20230919165810A001.png', '$2a$10$t1kzjHyy3ZAV1PxDJJU1tuL60MtU2VYt8vkGosq4ehFJa0/LOBgfW', '0', '0', '60.21.17.65', '2023-10-10 14:26:29', 'admin', '2023-04-25 16:48:09', '', '2023-10-10 14:26:29', '管理员', 0);
INSERT INTO `sys_user` VALUES (726377619918848, 726377619918849, '15104061003@163.com', '大连尚品鲜海产品销售有限公司', '01', '', '', '0', '', '$2a$10$5dPw6.cHj6Oc4jiExwBy.eueiLsBAsXYJVUtNqUFH0/j29YVIn6yC', '0', '0', '113.227.219.45', '2023-09-22 09:48:55', '', '2023-09-22 09:48:43', '', '2023-09-22 09:48:55', NULL, 1139);
INSERT INTO `sys_user` VALUES (726377628307456, 726377628307457, 'dlq19910390521@163.com', '大连取悦科技有限公司', '01', '', '', '0', '', '$2a$10$L6hakBmQk11TsWOloNc1e.Im3gqaT88WTdaI3qYK7dWUfEraCsg3y', '0', '0', '113.227.219.45', '2023-09-22 09:49:38', '', '2023-09-22 09:48:43', '', '2023-09-22 09:49:38', NULL, 918);
INSERT INTO `sys_user` VALUES (726489372954624, 726489372954625, '1217638696@qq.com', '大连锦立德新材料科技有限公司', '01', '', '', '0', '', '$2a$10$9o.R/d0leu5AgqO1blyuvuw8mkhFtphaRkhcwafURR7RPiVprD7hS', '0', '0', '113.227.219.45', '2023-09-22 10:58:26', '', '2023-09-22 09:49:10', '', '2023-09-22 10:58:26', NULL, 988);
INSERT INTO `sys_user` VALUES (726535615156224, 726535615156225, '15140574991', '大连融恒包装制品有限公司', '01', '', '', '0', '', '$2a$10$Av6hMzV8Nswy9RV1J1nWJONSRcuqryFVHKs.Nbq8KAsplfWP8MWy2', '0', '0', '113.227.219.45', '2023-09-22 09:49:33', '', '2023-09-22 09:49:21', '', '2023-09-22 09:49:33', NULL, 635);
INSERT INTO `sys_user` VALUES (726634512650240, 726634512650241, '吉恒', '大连吉恒科技发展有限公司', '01', '', '', '0', '', '$2a$10$iFGvURx0aOSK3LJFBiGKOOko5L/OkA2dQU5IeS9sl/85bptHse5Je', '0', '0', '113.227.219.45', '2023-09-22 09:51:05', '', '2023-09-22 09:49:44', '', '2023-09-22 09:51:05', NULL, 931);
INSERT INTO `sys_user` VALUES (726669669306368, 726669669306369, '大连鑫嘉冠市场管理有限公司', '大连鑫嘉冠市场管理有限公司', '01', '', '', '0', '', '$2a$10$FJUrRlPs66qs4XwFf9V6M./oPbEcSS.x7qz5nfvCat5XB7lg.orZ6', '0', '0', '113.227.219.45', '2023-09-22 09:50:32', '', '2023-09-22 09:49:53', '', '2023-09-22 09:50:32', NULL, 1122);
INSERT INTO `sys_user` VALUES (726693031579648, 726693031579649, '1048411266@qq.com', '大连算网科技有限公司', '01', '', '', '0', '', '$2a$10$S0OFeCdLKMuu5wABd81s5.KoJEsqv23ZdXD8HZyNIS06baon1V27m', '0', '0', '113.227.219.45', '2023-09-22 09:50:12', '', '2023-09-22 09:49:58', '', '2023-09-22 09:50:12', NULL, 987);
INSERT INTO `sys_user` VALUES (726696722567168, 726696722567169, 'dlxxhs1996@163.com', '大连禹霖水产有限公司', '01', '', '', '0', '', '$2a$10$INUG.ZbUukUdd/A2ru6LoeMbChA34WFbcR8kGOwQHF2Rb6lAeN.3O', '0', '0', '113.227.219.45', '2023-09-22 09:50:12', '', '2023-09-22 09:50:00', '', '2023-09-22 09:50:12', NULL, 655);
INSERT INTO `sys_user` VALUES (726778947702784, 726778947702785, '15140584321', '大连爱渥特机器人科技有限公司', '01', '', '', '0', '', '$2a$10$DDw97HzHKD/3LEsPGzClouEpwk0ws0o06DVscf/MlpGKZBemCAGDa', '0', '0', '113.227.219.45', '2023-09-22 09:50:32', '', '2023-09-22 09:50:19', '', '2023-09-22 09:50:32', NULL, 983);
INSERT INTO `sys_user` VALUES (726908186791936, 726908186791937, '15141019559', '沈阳金顺再生资源有限公司', '01', '', '', '0', '', '$2a$10$Cj7yKTMJq2Bx1wML4k9NveNeI/c/A9juekmCvpPDI7tbWminz.sQ.', '0', '0', '113.227.219.45', '2023-09-22 09:50:55', '', '2023-09-22 09:50:49', '', '2023-09-22 09:50:55', NULL, 937);
INSERT INTO `sys_user` VALUES (726918081155072, 726918081155073, 'dongnan211@sina.com', '古鲟（大连）生物科技发展有限公司', '01', '', '', '0', '', '$2a$10$5JJC7GENpZ9ohBFATIwbXu55d/ziCogzinliUXHU69YzksQHvXMs.', '0', '0', '113.227.219.45', '2023-09-22 09:51:01', '', '2023-09-22 09:50:52', '', '2023-09-22 09:51:01', NULL, 680);
INSERT INTO `sys_user` VALUES (726920648069120, 726920648069121, 'dongnan211@sina.com', '古鲟（大连）生物科技发展有限公司', '01', '', '', '0', '', '', '0', '0', '', NULL, '', '2023-09-22 09:50:52', '', NULL, NULL, 680);
INSERT INTO `sys_user` VALUES (726938821988352, 726938821988353, '1103253450@qq.com', '大连宇祝国际贸易有限公司', '01', '', '', '0', '', '$2a$10$sZRt5kJrBViXND.0e7Pobe4Ag0TuYwvWKT0ecBC7bGlWwCJuCjI/u', '0', '0', '113.227.219.45', '2023-09-22 11:40:50', '', '2023-09-22 09:50:57', '', '2023-09-22 11:40:50', NULL, 1036);
INSERT INTO `sys_user` VALUES (726969889198080, 726969889198081, '大连嘉福消费品综合市场有限公司', '大连嘉福消费品综合市场有限公司', '01', '', '', '0', '', '$2a$10$PCIQZde4tf/Z3OpEjpRU1uRF2UjHSdRL72iyRrktNsSjjzRAftmqe', '0', '0', '113.227.219.45', '2023-09-22 09:51:20', '', '2023-09-22 09:51:04', '', '2023-09-22 09:51:20', NULL, 673);
INSERT INTO `sys_user` VALUES (727011094040576, 727011094040577, '15141140983', '大连易智造科技有限公司', '01', '', '', '0', '', '$2a$10$Ry.4CmOVhQ9xT3aeg3tsKe9UfxvaYjUcfPDRnXWTBp2heySs6IH3.', '0', '0', '113.227.219.45', '2023-09-22 09:51:26', '', '2023-09-22 09:51:14', '', '2023-09-22 09:51:26', NULL, 641);
INSERT INTO `sys_user` VALUES (727130086445056, 727130086445057, '15164018003@163.com', '大连环岛人家餐饮服务有限公司', '01', '', '', '0', '', '$2a$10$lRa4N5mL/tHgrdn/zLSPc./GnNbplnSTStXTEIpS7efQhb9GbGO2a', '0', '0', '113.227.219.45', '2023-09-22 09:51:55', '', '2023-09-22 09:51:42', '', '2023-09-22 09:51:55', NULL, 1136);
INSERT INTO `sys_user` VALUES (727139355856896, 727139355856897, '18141122064', '恒信自动化（大连）股份有限公司', '01', '', '', '0', '', '$2a$10$BcOwHouGsxHjwJbqSVYBLuZRdD/hSBZ6Z9m71fkLSmY9A.zB4AvFy', '0', '0', '113.227.219.45', '2023-09-22 09:52:02', '', '2023-09-22 09:51:44', '', '2023-09-22 09:52:02', NULL, 1003);
INSERT INTO `sys_user` VALUES (727192850010112, 727192850010113, 'dyw10@163.com', '中山区珏美办公用品商行', '01', '', '', '0', '', '$2a$10$mek9dH.ZCxEKqlyK1quIR.qBXScRRV8A4wDyasuFWYfRxFljqlT1a', '0', '0', '113.227.219.45', '2023-09-22 09:52:24', '', '2023-09-22 09:51:57', '', '2023-09-22 09:52:24', NULL, 653);
INSERT INTO `sys_user` VALUES (727229139128320, 727229139128321, '1251933545@qq.com', '昌图县铭涵榨油厂', '01', '', '', '0', '', '$2a$10$z7vyTMAMpQAf9LBtrLC2muSpa/Bbo2/yb6Qpq1l7q3JlgpHgc4hCS', '0', '0', '113.227.219.45', '2023-09-22 09:53:02', '', '2023-09-22 09:52:06', '', '2023-09-22 09:53:02', NULL, 996);
INSERT INTO `sys_user` VALUES (727245517885440, 727245517885441, '大连正广经贸有限公司', '大连正广经贸有限公司', '01', '', '', '0', '', '$2a$10$r9mqFNPtaR.svmN74TMazuspcRDLXw4NiE/Ze/WdCcZ/zyZ7.CjyK', '0', '0', '113.227.219.45', '2023-09-22 09:52:18', '', '2023-09-22 09:52:10', '', '2023-09-22 09:52:18', NULL, 1014);
INSERT INTO `sys_user` VALUES (727277411373056, 727277411373057, '15241830555', '沈阳煜鑫包装制品有限公司', '01', '', '', '0', '', '$2a$10$cU/FRbbt905Bk9wBURa02eimLyNGwpxMKYwuPrrtJDSJqcpRFwEIi', '0', '0', '113.227.219.45', '2023-09-22 09:52:25', '', '2023-09-22 09:52:17', '', '2023-09-22 09:52:25', NULL, 959);
INSERT INTO `sys_user` VALUES (727277537202176, 727277537202177, '大连万垚机械有限公司', '大连万垚机械有限公司', '01', '', '', '0', '', '$2a$10$wvQ6KbF2KBp8dYkEoVXvGOCycLFFp04B9J8He6QfJtNGWJWu28kOq', '0', '0', '113.227.219.45', '2023-09-22 09:52:40', '', '2023-09-22 09:52:17', '', '2023-09-22 09:52:40', NULL, 730);
INSERT INTO `sys_user` VALUES (727308910596096, 727308910596097, '马超', '西岗区鑫嘉冠生鲜超市', '01', '', '', '0', '', '$2a$10$jVH2lg.xkNdbbkJlW903UuBoc3s/Owx852.sCu3BViJKyuBzcQwQ2', '0', '0', '113.227.219.45', '2023-09-22 09:52:49', '', '2023-09-22 09:52:25', '', '2023-09-22 09:52:49', NULL, 1101);
INSERT INTO `sys_user` VALUES (727374001999872, 727374001999873, '1532483595@qq.com', '辽宁东方国立电子系统有限公司', '01', '', '', '0', '', '$2a$10$n8gJ2EjLQhNiXXrwpRmQl..CDjLzjZnFyk99.4YRJ.J8vZ41q9/EW', '0', '0', '113.227.219.45', '2023-09-22 09:52:48', '', '2023-09-22 09:52:40', '', '2023-09-22 09:52:48', NULL, 962);
INSERT INTO `sys_user` VALUES (727386903678976, 727386903678977, 'gnin1777@gmail.com', '甘井子区泉水街道博森物资商行', '01', '', '', '0', '', '$2a$10$2K8eWHcoJz5QjBuUhE7.z.X33pcFxA0Rtinz/U9KpIOIM8EBzhWf.', '0', '0', '113.227.219.45', '2023-09-22 09:52:54', '', '2023-09-22 09:52:44', '', '2023-09-22 09:52:54', NULL, 1062);
INSERT INTO `sys_user` VALUES (727438766247936, 727438766247937, '顽乐生活', '辽宁顽乐生活品牌管理有限公司', '01', '', '', '0', '', '$2a$10$F9UALWlEtXhIM8w5vQkZwOhag6TJraVPCMhgk9mhylGORKm7DU2Tu', '0', '0', '113.227.219.45', '2023-09-22 09:53:03', '', '2023-09-22 09:52:56', '', '2023-09-22 09:53:03', NULL, 984);
INSERT INTO `sys_user` VALUES (727496458899456, 727496458899457, '大连阡陌本草中医药有限公司', '大连阡陌本草中医药有限公司', '01', '', '', '0', '', '$2a$10$T5KQKBV5xybK0GHm0co3Ou5p/vBhd53gHklobUE83vc9PwOkgaNbC', '0', '0', '113.227.219.45', '2023-09-22 09:53:28', '', '2023-09-22 09:53:10', '', '2023-09-22 09:53:28', NULL, 1009);
INSERT INTO `sys_user` VALUES (727531854630912, 727531854630913, '15504099110', '大连龙御生态科技有限公司', '01', '', '', '0', '', '$2a$10$SRMdp5thOucargt05nJx8e9C4SbRJlyHyusuzLiO02.mx9kejcMD.', '0', '0', '113.227.219.45', '2023-09-22 09:53:29', '', '2023-09-22 09:53:18', '', '2023-09-22 09:53:29', NULL, 645);
INSERT INTO `sys_user` VALUES (727563639066624, 727563639066625, '13050343532@163.com', '大连星耀餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$e7B1GpXq31gox6YqinEtR.fIEWt3tUzWBeEzVUPDOFl9wC4lOd9Ja', '0', '0', '113.227.219.45', '2023-09-22 09:53:47', '', '2023-09-22 09:53:26', '', '2023-09-22 09:53:47', NULL, 1107);
INSERT INTO `sys_user` VALUES (727652235350016, 727652235350017, '15524387177', '辽宁世鑫工程有限公司   ', '01', '', '', '0', '', '$2a$10$NDWg7U6MGJyLaWLcrOHoPey9AbAtn.9.tMk7khi.s41jefcncUUVu', '0', '0', '113.227.219.45', '2023-09-22 09:53:58', '', '2023-09-22 09:53:47', '', '2023-09-22 09:53:58', NULL, 923);
INSERT INTO `sys_user` VALUES (727738285690880, 727738285690881, 'hemashipin', '赫玛食品（大连）有限公司', '01', '', '', '0', '', '$2a$10$m9ektfY8Pyqf1dEvB91n/evmKDMYtU3sDLNeElb53XiTLe5X72isy', '0', '0', '113.227.219.45', '2023-09-22 09:54:19', '', '2023-09-22 09:54:07', '', '2023-09-22 09:54:19', NULL, 1161);
INSERT INTO `sys_user` VALUES (727745915129856, 727745915129857, '13050513888', '大连圣世达传媒有限公司', '01', '', '', '0', '', '$2a$10$qm5wuTUPf1iQi4WStov6H.7G0iIVGaAkQJnmD/3T9Iga9C8YRZ4om', '0', '0', '113.227.219.45', '2023-09-22 09:54:25', '', '2023-09-22 09:54:09', '', '2023-09-22 09:54:25', NULL, 1046);
INSERT INTO `sys_user` VALUES (727755784327168, 727755784327169, '15524419066', '沈阳晟源包装制品有限公司', '01', '', '', '0', '', '$2a$10$hpfC3M2vAE4xEQvLcACoJuxuXWNvsL5.yF42zAqiJy9jaSaETsOuy', '0', '0', '113.227.219.45', '2023-09-22 09:54:23', '', '2023-09-22 09:54:11', '', '2023-09-22 09:54:23', NULL, 963);
INSERT INTO `sys_user` VALUES (727766609825792, 727766609825793, '18302435351', '辽宁金丰达节能科技有限公司', '01', '', '', '0', '', '$2a$10$hE0T7DYCTO/NxgL0VUZ3ne43ZSbf9le5EJaQFuQzHOZAi3ORaTfZq', '0', '0', '113.227.219.45', '2023-09-22 09:54:27', '', '2023-09-22 09:54:14', '', '2023-09-22 09:54:27', NULL, 935);
INSERT INTO `sys_user` VALUES (727897933484032, 727897933484033, '18525466893', '大连易模软件有限公司', '01', '', '', '0', '', '$2a$10$bl85sG16HKl0OEFjnLWZAeEDfMsZ8OSh4IyFUB.edXgFEPsi0NH9q', '0', '0', '113.227.219.45', '2023-09-22 09:54:52', '', '2023-09-22 09:54:45', '', '2023-09-22 09:54:52', NULL, 642);
INSERT INTO `sys_user` VALUES (727898029953024, 727898029953025, '13050528197', '大连正金建筑劳务分包有限公司', '01', '', '', '0', '', '$2a$10$5zqoiLEbBKuRfK81jDJ32.KhktZ306UHht0k8sEA4/u/LRxEafAUW', '0', '0', '113.227.219.45', '2023-09-22 09:54:54', '', '2023-09-22 09:54:45', '', '2023-09-22 09:54:54', NULL, 648);
INSERT INTO `sys_user` VALUES (727899678314496, 727899678314497, '15524664622@163.com', '大连贤锋科技有限责任公司', '01', '', '', '0', '', '$2a$10$xl2sTIsh4RbHpex/mhaohel9wvehUhyHIw6N9wDZxDK8NXWi883Oe', '0', '0', '113.227.219.45', '2023-09-22 09:54:51', '', '2023-09-22 09:54:46', '', '2023-09-22 09:54:51', NULL, 914);
INSERT INTO `sys_user` VALUES (727960374087680, 727960374087681, '大连永福商贸有限公司', '大连永福商贸有限公司', '01', '', '', '0', '', '$2a$10$94fo9qAldI2H/18ui9pdLOeXr.GrWBFg16Qm9xAB4vS3QR3mSb02K', '0', '0', '113.227.219.45', '2023-09-22 09:55:13', '', '2023-09-22 09:55:00', '', '2023-09-22 09:55:13', NULL, 1017);
INSERT INTO `sys_user` VALUES (727967613456384, 727967613456385, '15524790325@163.com', '大连甄美芭莎企业管理有限公司', '01', '', '', '0', '', '$2a$10$1fezYdGQDOpLJ8uAAZ5ebeBuiQTUfiFhvElKANbjZpl9kH3bNQnbq', '0', '0', '113.227.219.45', '2023-09-22 09:55:15', '', '2023-09-22 09:55:02', '', '2023-09-22 09:55:15', NULL, 1069);
INSERT INTO `sys_user` VALUES (727971522547712, 727971522547713, 'hr@dazzlee.can  ', '大连炫一科技有限公司', '01', '', '', '0', '', '$2a$10$IESb9OaavQGuYeRZtWiXXOht2yQNj2hF25BLRjNZFA3c.4waaE5HC', '0', '0', '113.227.219.45', '2023-09-22 09:55:14', '', '2023-09-22 09:55:03', '', '2023-09-22 09:55:14', NULL, 977);
INSERT INTO `sys_user` VALUES (728004565274624, 728004565274625, '13050578956', '大连百川国际物流有限公司', '01', '', '', '0', '', '$2a$10$A2ayIr0VYCqjs5hwKqG0I.VbhzzGfUCzxP0P.TCDa1yS934cXEXMe', '0', '0', '113.227.219.45', '2023-09-22 09:55:22', '', '2023-09-22 09:55:11', '', '2023-09-22 09:55:22', NULL, 649);
INSERT INTO `sys_user` VALUES (728057900044288, 728057900044289, 'hscw', '大连恒盛财务咨询有限公司', '01', '', '', '0', '', '$2a$10$JuIMLxYUylW1t9.QKEbi4.FCSSXuWCydzPKGZONHE0TlJSTm2wwG6', '0', '0', '113.227.219.45', '2023-09-22 09:55:36', '', '2023-09-22 09:55:23', '', '2023-09-22 09:55:36', NULL, 1117);
INSERT INTO `sys_user` VALUES (728091601276928, 728091601276929, '15524844999', '大连东泽食品商贸有限公司', '01', '', '', '0', '', '$2a$10$B6ju5jFEFeXxrrRq0J3iquPhMNRUxrpLQ87RKlaCYBPJPATA9pmqu', '0', '0', '113.227.219.45', '2023-09-22 09:55:39', '', '2023-09-22 09:55:32', '', '2023-09-22 09:55:39', NULL, 948);
INSERT INTO `sys_user` VALUES (728138132885504, 728138132885505, '13066550142', '喜久（辽宁）矿泉水开发有限公司沈阳分公司', '01', '', '', '0', '', '$2a$10$5h0iIOGqC0Dy7BURGFU6QOlD7wUS3AUuuC5ZpI5seA01i7Gia3Vl.', '0', '0', '113.227.219.45', '2023-09-22 09:55:52', '', '2023-09-22 09:55:43', '', '2023-09-22 09:55:52', NULL, 1074);
INSERT INTO `sys_user` VALUES (728147687510016, 728147687510017, 'huitonganxin', '大连慧通安信企业管理咨询有限公司', '01', '', '', '0', '', '$2a$10$XcbRJzbBViux24CtWKMpx.87hge7/0ytwo3tAPBYjSzwT7MLvFV1.', '0', '0', '113.227.219.45', '2023-09-22 09:55:58', '', '2023-09-22 09:55:45', '', '2023-09-22 09:55:58', NULL, 901);
INSERT INTO `sys_user` VALUES (728187751501824, 728187751501825, '15541914853', '沈阳博赫源机械设备租赁有限公司', '01', '', '', '0', '', '$2a$10$ceulsEeJOLmYey4N8JZkPO9JfRLH1Osm59S9FRJOjUJkZRuA3X/yG', '0', '0', '113.227.219.45', '2023-09-22 09:56:06', '', '2023-09-22 09:55:54', '', '2023-09-22 09:56:06', NULL, 1075);
INSERT INTO `sys_user` VALUES (728223356948480, 728223356948481, '大连顺为远道投资中心（有限合伙）', '大连顺为远道投资中心（有限合伙）', '01', '', '', '0', '', '$2a$10$ODMpXJhbNJNY2PhmaMr6qeF3yLqJRtpVVh7rA4xhVX.C8mp5UF8va', '0', '0', '113.227.219.45', '2023-09-22 09:56:18', '', '2023-09-22 09:56:03', '', '2023-09-22 09:56:18', NULL, 1034);
INSERT INTO `sys_user` VALUES (728271801159680, 728271801159681, '大连太乙企业管理有限公司', '大连太乙企业管理有限公司', '01', '', '', '0', '', '$2a$10$scnshdemlA6VVtq7RKccEOM/ONPeOXD/4VKynStYnH76yF480Jjni', '0', '0', '113.227.219.45', '2023-09-22 09:56:24', '', '2023-09-22 09:56:14', '', '2023-09-22 09:56:24', NULL, 1012);
INSERT INTO `sys_user` VALUES (728277358612480, 728277358612481, '13066632682', '沈阳鸿辉起重设备租赁有限公司', '01', '', '', '0', '', '$2a$10$8/DGPqGH3HLhuXGz1NZFpO.ttCL2EcqvoKdyOlDOUErAxbNWPxfke', '0', '0', '113.227.219.45', '2023-09-22 09:56:29', '', '2023-09-22 09:56:16', '', '2023-09-22 09:56:29', NULL, 1092);
INSERT INTO `sys_user` VALUES (728281603248128, 728281603248129, '186275418@qq.com', '大连嘉信物流货运代理有限公司', '01', '', '', '0', '', '$2a$10$LpHGrp5SX60T0ESqOqt5nOJvUydboPLLpjcq1ROOt/brP1pGVBpkK', '0', '0', '113.227.219.45', '2023-09-22 09:56:25', '', '2023-09-22 09:56:17', '', '2023-09-22 09:56:25', NULL, 1039);
INSERT INTO `sys_user` VALUES (728300263706624, 728300263706625, 'huiwuyou', '大连慧无忧财务管理有限公司', '01', '', '', '0', '', '$2a$10$EXHnTBfdMH9PexmAADWdIuHQojD5ptx7GO4JlaQgd9VjTDoECpteC', '0', '0', '113.227.219.45', '2023-09-22 09:56:29', '', '2023-09-22 09:56:21', '', '2023-09-22 09:56:29', NULL, 894);
INSERT INTO `sys_user` VALUES (728302268583936, 728302268583937, 'huiwuyou', '大连慧无忧财务管理有限公司', '01', '', '', '0', '', '', '0', '0', '', NULL, '', '2023-09-22 09:56:22', '', NULL, NULL, 894);
INSERT INTO `sys_user` VALUES (728303019364352, 728303019364353, '15542344282@163.com', '大连一童体育文化传媒有限公司', '01', '', '', '0', '', '$2a$10$YQT5WGBxNXO4gQmHdohSfOtzupoXeHvmkZTb1IfalfueZeJR7YQuO', '0', '0', '113.227.219.45', '2023-09-22 09:56:29', '', '2023-09-22 09:56:22', '', '2023-09-22 09:56:29', NULL, 1151);
INSERT INTO `sys_user` VALUES (728386385350656, 728386385350657, 'HXY', '大连海星云信息技术有限公司', '01', '', '', '0', '', '$2a$10$jR07QiKP0PsIvbPEaW9fCeOs2Z9sIuvw8CVIQ2Vp0F9oXdqtXq5MC', '0', '0', '113.227.219.45', '2023-09-22 09:56:54', '', '2023-09-22 09:56:42', '', '2023-09-22 09:56:54', NULL, 1159);
INSERT INTO `sys_user` VALUES (728387362623488, 728387362623489, '18640116307', '沈阳联安建材销售有限公司', '01', '', '', '0', '', '$2a$10$CKOS8KDs8Z0GxhWDMbkWPOq.BxltnXRQdwZQiuorZZP0Id.pWt8gW', '0', '0', '113.227.219.45', '2023-09-22 09:56:57', '', '2023-09-22 09:56:42', '', '2023-09-22 09:56:57', NULL, 929);
INSERT INTO `sys_user` VALUES (728403997233152, 728403997233153, '13066665801', '沈阳易怦然贸易有限公司', '01', '', '', '0', '', '$2a$10$NZnO1/mHm9l5dEClHsz4HOwz9nx/XwpkPdPi2EaRDwKWaH4s9Pzsm', '0', '0', '113.227.219.45', '2023-09-22 09:57:01', '', '2023-09-22 09:56:46', '', '2023-09-22 09:57:01', NULL, 1083);
INSERT INTO `sys_user` VALUES (728422829658112, 728422829658113, '15542398981', '大连冠力电机科技有限公司', '01', '', '', '0', '', '$2a$10$KnO0MORcQnbGem9TnKlLKun1D54cNpCjz4ehtP5M857rjtoRg17wW', '0', '0', '113.227.219.45', '2023-09-22 09:57:00', '', '2023-09-22 09:56:50', '', '2023-09-22 09:57:00', NULL, 638);
INSERT INTO `sys_user` VALUES (728461752799232, 728461752799233, 'jiayingqiye', '大连嘉盈企业服务中心', '01', '', '', '0', '', '$2a$10$8Yz6HBaqUDCPfmL6p8Wc4u/iC/n0AM6pRX9SaSxUgy7X9ZrhKwIQq', '0', '0', '113.227.219.45', '2023-09-22 09:57:11', '', '2023-09-22 09:57:00', '', '2023-09-22 09:57:11', NULL, 1135);
INSERT INTO `sys_user` VALUES (728539150290944, 728539150290945, '13081793435', '大连金润福海养老服务有限公司', '01', '', '', '0', '', '$2a$10$HeZsm520AeenFQP8S5gJZ.5FgGC6pKkAi19QesHgnkVz0KLokzYgi', '0', '0', '113.227.219.45', '2023-09-22 09:57:25', '', '2023-09-22 09:57:18', '', '2023-09-22 09:57:25', NULL, 1027);
INSERT INTO `sys_user` VALUES (728544506417152, 728544506417153, '15542495716', '大连恩点食品有限公司', '01', '', '', '0', '', '$2a$10$R.Tv10tqGyottac12rNyGu3FQTRHN2NIJYO0dBU3aOeZ8o.kCcbbi', '0', '0', '113.227.219.45', '2023-09-22 09:57:32', '', '2023-09-22 09:57:19', '', '2023-09-22 09:57:32', NULL, 1160);
INSERT INTO `sys_user` VALUES (728549287923712, 728549287923713, 'jinbaiweimy', '大连金百味面业有限公司', '01', '', '', '0', '', '$2a$10$85BfGjpf61a1s/mUi1gNLeO.j6nYB.DcExQfq7RLidImxpH3lx0Si', '0', '0', '113.227.219.45', '2023-09-22 09:57:31', '', '2023-09-22 09:57:21', '', '2023-09-22 09:57:31', NULL, 1156);
INSERT INTO `sys_user` VALUES (728618091286528, 728618091286529, '大连好省园区管理咨询有限公司', '大连好省园区管理咨询有限公司', '01', '', '', '0', '', '$2a$10$vex1NRyAjHtlj2teTe9jGOoDufG2J1mF8FfyfsQR4o6f5.MgxtGIO', '0', '0', '113.227.219.45', '2023-09-22 09:57:53', '', '2023-09-22 09:57:37', '', '2023-09-22 09:57:53', NULL, 1118);
INSERT INTO `sys_user` VALUES (728635254378496, 728635254378497, 'lihengtechnology@126.com', '大连立珩科技有限公司', '01', '', '', '0', '', '$2a$10$C2S269lw.ggIgYjlbBm.2eWbUVDhjKR35tlp/q7yQkMwxctXSPFYW', '0', '0', '113.227.219.45', '2023-09-22 09:57:45', '', '2023-09-22 09:57:41', '', '2023-09-22 09:57:46', NULL, 646);
INSERT INTO `sys_user` VALUES (728677436493824, 728677436493825, '13084128886@163.com', '平行房地产管理咨询（大连）有限公司', '01', '', '', '0', '', '$2a$10$lZAnOH.SuUBt.ea8xwASAeK195TgpMjRwM7Y/snQjlLqMo/qCSPUm', '0', '0', '113.227.219.45', '2023-09-22 09:58:02', '', '2023-09-22 09:57:52', '', '2023-09-22 09:58:02', NULL, 1125);
INSERT INTO `sys_user` VALUES (728691785207808, 728691785207809, 'Lindseyzhang@shengyaowang.com', '大连达意贸易有限公司', '01', '', '', '0', '', '$2a$10$zUiWlpFluZ47za.rKJAFwuSwbnDuP26B1SB2pDEpijmAaSTxrYQOW', '0', '0', '113.227.219.45', '2023-09-22 09:58:05', '', '2023-09-22 09:57:55', '', '2023-09-22 09:58:05', NULL, 1105);
INSERT INTO `sys_user` VALUES (728713499119616, 728713499119617, '15542657279@163.com', '大连枳新信息科技有限公司', '01', '', '', '0', '', '$2a$10$Gop.tp32zL9DyQNVKwsfnOzizWWeVNmhjB6SuFYVro6F/5hPXTiRm', '0', '0', '113.227.219.45', '2023-09-22 09:58:07', '', '2023-09-22 09:58:00', '', '2023-09-22 09:58:07', NULL, 1153);
INSERT INTO `sys_user` VALUES (728740426551296, 728740426551297, '18640150380', '沈阳奕宸包装制品有限公司', '01', '', '', '0', '', '$2a$10$51lvITvB1VvZpiD2l7Eqr.zKulGeZOvJ6cI6jxOTaAOSYC3bh/Oey', '0', '0', '113.227.219.45', '2023-09-22 09:58:14', '', '2023-09-22 09:58:07', '', '2023-09-22 09:58:14', NULL, 1120);
INSERT INTO `sys_user` VALUES (728760378855424, 728760378855425, 'lj7_203@163.com', '大连北方液压件厂', '01', '', '', '0', '', '$2a$10$hv1AE3Ll8hJfmVrL49fpHOBZYC6XOBr0LAmwSeszw7K6Q/gghBz/2', '0', '0', '113.227.219.45', '2023-09-22 09:58:21', '', '2023-09-22 09:58:11', '', '2023-09-22 09:58:21', NULL, 943);
INSERT INTO `sys_user` VALUES (728788002541568, 728788002541569, '15566666343', '大连意特科技有限公司', '01', '', '', '0', '', '$2a$10$9tdBiycO3zXcsgEDkpFJj.4QuP2mZ3DbGLBgfT2vKp3AYonCTIuNK', '0', '0', '113.227.219.45', '2023-09-22 09:58:27', '', '2023-09-22 09:58:18', '', '2023-09-22 09:58:27', NULL, 910);
INSERT INTO `sys_user` VALUES (728810714697728, 728810714697729, '13125450160@163.com', '大连喆鑫健康理疗有限公司', '01', '', '', '0', '', '$2a$10$WDF6eWyawT/i20FSZT8UvOxoNPj/A9CG6tDhEXsUiFrAUSFOSFxmm', '0', '0', '113.227.219.45', '2023-09-22 09:58:32', '', '2023-09-22 09:58:23', '', '2023-09-22 09:58:32', NULL, 1086);
INSERT INTO `sys_user` VALUES (728838720065536, 728838720065537, 'PJzhenjian', '盘锦振江企业信息咨询有限公司', '01', '', '', '0', '', '$2a$10$q0u8emTSU2/oR09pLYs9pOTH7h8gxwFh.oEx5q.5ZJmuygusPbgXa', '0', '0', '113.227.219.45', '2023-09-22 09:58:37', '', '2023-09-22 09:58:30', '', '2023-09-22 09:58:37', NULL, 1100);
INSERT INTO `sys_user` VALUES (728845770690560, 728845770690561, '大连威尔体系认证有限公司', '大连威尔体系认证有限公司', '01', '', '', '0', '', '$2a$10$2dCuWxATvGj/Zzm3f0EuP.OcmWzP3RNcubLB1mVzVcp9og9n7qrYu', '0', '0', '113.227.219.45', '2023-09-22 09:58:46', '', '2023-09-22 09:58:31', '', '2023-09-22 09:58:46', NULL, 1154);
INSERT INTO `sys_user` VALUES (728913374482432, 728913374482433, '15566849002@163.com', '大连市曦予餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$8Gpkq4fUQ55F34bQ3Qa7se6S27fTqxY2xhFxy4YcmAYsriqC.GLUy', '0', '0', '113.227.219.45', '2023-09-22 09:58:57', '', '2023-09-22 09:58:47', '', '2023-09-22 09:58:57', NULL, 1146);
INSERT INTO `sys_user` VALUES (728946647896064, 728946647896065, '13164551239', '大连正金装饰装修工程有限公司', '01', '', '', '0', '', '$2a$10$3T4oQIYfDX0iQ3k9ZkkLreOq.YkEQNLvhIpQV4Q4CYVxw53QGj0Xi', '0', '0', '113.227.219.45', '2023-09-22 09:59:09', '', '2023-09-22 09:58:56', '', '2023-09-22 09:59:09', NULL, 885);
INSERT INTO `sys_user` VALUES (728997218619392, 728997218619393, '15640193411', '辽宁臻盛新材料科技有限公司', '01', '', '', '0', '', '$2a$10$UhGETpsqt373nvjADCH2SeY5cxPZcpkpfAjim9hPRBNX7yVIH0OOm', '0', '0', '113.227.219.45', '2023-09-22 09:59:14', '', '2023-09-22 09:59:07', '', '2023-09-22 09:59:14', NULL, 960);
INSERT INTO `sys_user` VALUES (728999659704320, 728999659704321, '大连威尔知识产权服务有限公司', '大连威尔知识产权服务有限公司', '01', '', '', '0', '', '$2a$10$YRu7SluKqul5ksl6VqkMou.cJ3SUNRjTwgAO1yEO/X/6KlfVyeSUC', '0', '0', '113.227.219.45', '2023-09-22 09:59:14', '', '2023-09-22 09:59:08', '', '2023-09-22 09:59:14', NULL, 1142);
INSERT INTO `sys_user` VALUES (729033386102784, 729033386102785, 'qingran313@163.com', '天下大酱（大连）食品有限责任公司', '01', '', '', '0', '', '$2a$10$EOQyIVvMhI2Rvkip/hJsZ.fVJOnXNGwtpYImylno3o775VbcIaDEW', '0', '0', '113.227.219.45', '2023-09-22 09:59:23', '', '2023-09-22 09:59:16', '', '2023-09-22 09:59:23', NULL, 974);
INSERT INTO `sys_user` VALUES (729048468819968, 729048468819969, '13234081155', '爱产盛金（大连）国际贸易有限公司', '01', '', '', '0', '', '$2a$10$HWgfXEnUoGiNDO66zGk0JOqBsYuUSuYox2rUBlskA65BGysxF077G', '0', '0', '113.227.219.45', '2023-09-22 09:59:29', '', '2023-09-22 09:59:20', '', '2023-09-22 09:59:30', NULL, 938);
INSERT INTO `sys_user` VALUES (729073940828160, 729073940828161, '15641180711', '大连古鲟时代生物科技有限责任公司', '01', '', '', '0', '', '$2a$10$IKgtGpuc2OMjSSHYe7.Qk.alf48ZT3UASzMkW90l.wlkEtt8yBBxW', '0', '0', '113.227.219.45', '2023-09-22 09:59:35', '', '2023-09-22 09:59:26', '', '2023-09-22 09:59:35', NULL, 679);
INSERT INTO `sys_user` VALUES (729115112116224, 729115112116225, 'qingshibituo', '磬石必拓（辽宁）科技有限公司', '01', '', '', '0', '', '$2a$10$HU.hIFmEioaN91wtfRSxw.6PkDlZSBpICKhAP0FexmNMm6terfvQO', '0', '0', '113.227.219.45', '2023-09-22 09:59:47', '', '2023-09-22 09:59:36', '', '2023-09-22 09:59:47', NULL, 1096);
INSERT INTO `sys_user` VALUES (729140215025664, 729140215025665, '18640915335', '甘井子区周水子街道嘉创建材商行', '01', '', '', '0', '', '$2a$10$c/rtvHbau0uxZmy1yS0pBOIIw62Rp9pRlG5m3ClRl2YQxLr2yIZGy', '0', '0', '113.227.219.45', '2023-09-22 09:59:47', '', '2023-09-22 09:59:42', '', '2023-09-22 09:59:47', NULL, 633);
INSERT INTO `sys_user` VALUES (729166513311744, 729166513311745, '13238259538@163.com', '大连睿瑛托育有限公司', '01', '', '', '0', '', '$2a$10$/h.7jvx/HMgTkrIxXkspR.UIQR3FXoEYqrIOfde4s5kCE8yL02Ky6', '0', '0', '113.227.219.45', '2023-09-22 09:59:55', '', '2023-09-22 09:59:48', '', '2023-09-22 09:59:55', NULL, 1045);
INSERT INTO `sys_user` VALUES (729166743998464, 729166743998465, '15641180711@126.com', '辽宁新纪元水产开发有限公司', '01', '', '', '0', '', '$2a$10$U2Ipcdm1d8H.T7MltWC0FOfDvzuJgPVQV4RVeVFoLRtk7khINuxK.', '0', '0', '113.227.219.45', '2023-09-22 09:59:56', '', '2023-09-22 09:59:48', '', '2023-09-22 09:59:56', NULL, 684);
INSERT INTO `sys_user` VALUES (729206627635200, 729206627635201, 'RZZX', '大连威尔认证咨询服务有限公司', '01', '', '', '0', '', '$2a$10$9HTjvqYnCcG4b5tE/BaS/.vCDYZrMSqJGUIKcCnoAerwPjqmbJZrC', '0', '0', '113.227.219.45', '2023-09-22 10:00:11', '', '2023-09-22 09:59:57', '', '2023-09-22 10:00:11', NULL, 1147);
INSERT INTO `sys_user` VALUES (729291423879168, 729291423879169, 'sajitiyu', '辽宁飒集体育管理集团有限公司', '01', '', '', '0', '', '$2a$10$CsDVUeHEqM7D7C9bJ8wvPuREJwbvjdbPXg/EHUnxa60NAA0dcpBo2', '0', '0', '113.227.219.45', '2023-09-22 10:00:24', '', '2023-09-22 10:00:18', '', '2023-09-22 10:00:24', NULL, 909);
INSERT INTO `sys_user` VALUES (729299476942848, 729299476942849, '18640932533', '大连神州思创科技有限公司', '01', '', '', '0', '', '$2a$10$VDp09wYg.GEEZVRXFlMwdOfEWBdzrI2kKS1dIv0SGHUOZF6HFhBrG', '0', '0', '113.227.219.45', '2023-09-22 10:00:26', '', '2023-09-22 10:00:20', '', '2023-09-22 10:00:26', NULL, 1145);
INSERT INTO `sys_user` VALUES (729303281176576, 729303281176577, '15710570038', '沈阳大昊保温材料有限公司', '01', '', '', '0', '', '$2a$10$qIbl.0BYsr9I9x2lLintpeL.u87dbWxkwUahhDfGrZUDFy07Y5nHW', '0', '0', '113.227.219.45', '2023-09-22 10:00:27', '', '2023-09-22 10:00:20', '', '2023-09-22 10:00:27', NULL, 1084);
INSERT INTO `sys_user` VALUES (729340677591040, 729340677591041, '13332266776', '大连泰琦食品有限公司', '01', '', '', '0', '', '$2a$10$9z6SF0Vs1hg4IoBTKOkA3.lziBDcX.vnc7wms47/REwdUo986ogke', '0', '0', '113.227.219.45', '2023-09-22 10:00:38', '', '2023-09-22 10:00:29', '', '2023-09-22 10:00:38', NULL, 650);
INSERT INTO `sys_user` VALUES (729356754358272, 729356754358273, 'sale03@shanrong-rubber.com', '旅顺金利橡胶厂', '01', '', '', '0', '', '$2a$10$T3T/1h.hOBErt8kAsoO1T..MoH/WzpCL9TTIz6qOBT.tiWkzAzNNS', '0', '0', '113.227.219.45', '2023-09-22 10:00:39', '', '2023-09-22 10:00:33', '', '2023-09-22 10:00:39', NULL, 933);
INSERT INTO `sys_user` VALUES (729374328492032, 729374328492033, '15724529477@163.com', '大连旺香阁餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$YN0m6UDeBN06bnY9GK3Qf.7PWfZWBPUl2u15VWeWMmeUAIew3znlm', '0', '0', '113.227.219.45', '2023-09-22 10:00:47', '', '2023-09-22 10:00:37', '', '2023-09-22 10:00:47', NULL, 1149);
INSERT INTO `sys_user` VALUES (729415336202240, 729415336202241, '18641195273', '轩唐特种电机（辽宁）有限公司', '01', '', '', '0', '', '$2a$10$Ws8QhxLuidhqW.bBvc9pbOdnKayWqTh7fUhRo8tH1vYwlpJwuaWDi', '0', '0', '113.227.219.45', '2023-09-22 10:00:55', '', '2023-09-22 10:00:47', '', '2023-09-22 10:00:55', NULL, 651);
INSERT INTO `sys_user` VALUES (729442532069376, 729442532069377, '13352227791@163.com', '大连先农科技有限公司', '01', '', '', '0', '', '$2a$10$1MAM/JJRq7LL8kU0WVGDbuC/5MDGqEkLmrWmUn8sLneDpyOtux9ru', '0', '0', '113.227.219.45', '2023-09-22 10:08:22', '', '2023-09-22 10:00:54', '', '2023-09-22 10:08:22', NULL, 1040);
INSERT INTO `sys_user` VALUES (729459225399296, 729459225399297, '15840357778', '沈阳玉泽天易贸易有限公司', '01', '', '', '0', '', '$2a$10$to3fSZpIeWN/5AWdUliewezumZV/tdUxGetv3a.HNDcF2PO4wg58G', '0', '0', '113.227.219.45', '2023-09-22 10:01:05', '', '2023-09-22 10:00:58', '', '2023-09-22 10:01:05', NULL, 1082);
INSERT INTO `sys_user` VALUES (729541534420992, 729541534420993, '15840408309', '沈阳健豪机械设备安装有限公司', '01', '', '', '0', '', '$2a$10$rwAvy4clOINhiY.WcIGu8OVnXYTgNboezWY/bvtDRqfgV4MMtgFou', '0', '0', '113.227.219.45', '2023-09-22 10:01:26', '', '2023-09-22 10:01:17', '', '2023-09-22 10:01:26', NULL, 1079);
INSERT INTO `sys_user` VALUES (729548786372608, 729548786372609, '18642694922@163.com', '沈阳百泰鸿福新能源有限公司', '01', '', '', '0', '', '$2a$10$vvRs5wpsByCKch.XOScIDOzbF.RHoaUzUMnSz43aZ3er9ooL5vje2', '0', '0', '113.227.219.45', '2023-09-22 10:01:43', '', '2023-09-22 10:01:19', '', '2023-09-22 10:01:43', NULL, 1155);
INSERT INTO `sys_user` VALUES (729557669908480, 729557669908481, 'xuhangzixun', '大连旭航信息咨询有限公司', '01', '', '', '0', '', '$2a$10$QOEZvrJuCWbmmCmtX0lHKe8yLU5Sa.iBZXtzqKdifvNcE/MuTzdve', '0', '0', '113.227.219.45', '2023-09-22 10:01:39', '', '2023-09-22 10:01:21', '', '2023-09-22 10:01:39', NULL, 965);
INSERT INTO `sys_user` VALUES (729605120069632, 729605120069633, '郑光伟', '大连万亩田园实业有限公司', '01', '', '', '0', '', '$2a$10$dxuAXp0KhHDCsJettLxDv.Sc.GB4mC8o995D4.wI9YgZLumzC8P0y', '0', '0', '113.227.219.45', '2023-09-22 10:02:39', '', '2023-09-22 10:01:32', '', '2023-09-22 10:02:39', NULL, 951);
INSERT INTO `sys_user` VALUES (729639869878272, 729639869878273, '15840607151', '大连三弘金属制品有限公司', '01', '', '', '0', '', '$2a$10$WwTsBg.7u2Tv83QL9iRcfu8lI51HbgWKVZ08RtRiegyI92.lg9xaW', '0', '0', '113.227.219.45', '2023-09-22 10:01:47', '', '2023-09-22 10:01:41', '', '2023-09-22 10:01:47', NULL, 980);
INSERT INTO `sys_user` VALUES (729664603688960, 729664603688961, 'yanrul@dlksas.com     ', '科赛斯（大连）新材料制品有限公司', '01', '', '', '0', '', '$2a$10$mD4fY1JbO6MxrVC1E8zSbe6CWx.nj.AVdF7GfrDQ3aB6UuPog4vq6', '0', '0', '113.227.219.45', '2023-09-22 10:01:53', '', '2023-09-22 10:01:47', '', '2023-09-22 10:01:53', NULL, 900);
INSERT INTO `sys_user` VALUES (729739870474240, 729739870474241, '1584065', '大连市甘井子区华北路嵘杰轴承经销处', '01', '', '', '0', '', '$2a$10$JpF/uSxJxf5EWU4HF4.cxOB.NP.UJGmUJnWJ7PhsVe8hxTDywA9x.', '0', '0', '113.227.219.45', '2023-09-22 10:02:11', '', '2023-09-22 10:02:04', '', '2023-09-22 10:02:11', NULL, 678);
INSERT INTO `sys_user` VALUES (729803145744384, 729803145744385, '15840658', '大连海洋鸿邦印刷有限公司保税区分公司', '01', '', '', '0', '', '$2a$10$1sJTyuvLC3MOTHl.yHu6zeJMGARSCekkuaSR41dw1Yyyrk.u7qsEC', '0', '0', '113.227.219.45', '2023-09-22 10:02:30', '', '2023-09-22 10:02:20', '', '2023-09-22 10:02:30', NULL, 677);
INSERT INTO `sys_user` VALUES (729881881219072, 729881881219073, 'ykb55@163.com', '大连热辊科技有限公司', '01', '', '', '0', '', '$2a$10$wo3lO6LBUYc7LPRfsyH.4eEkxiDqvGE1NbyqjspUbX9u.nqjOprjO', '0', '0', '113.227.219.45', '2023-09-22 10:02:48', '', '2023-09-22 10:02:38', '', '2023-09-22 10:02:48', NULL, 949);
INSERT INTO `sys_user` VALUES (729891230322688, 729891230322689, '158406586', '大连金州区新品伟机电商行', '01', '', '', '0', '', '$2a$10$aSCJhNv6Y10K2wLEX.Ir5OXOvW7LalfChHiOPzNHHq5FOa4P4.2gS', '0', '0', '113.227.219.45', '2023-09-22 10:02:48', '', '2023-09-22 10:02:41', '', '2023-09-22 10:02:48', NULL, 667);
INSERT INTO `sys_user` VALUES (729965880545280, 729965880545281, 'yuhaiyue@tianenlu.net', '天恩璐（大连）航运有限公司', '01', '', '', '0', '', '$2a$10$rJe.8RbUv3xL5J50GFjrZOzYter2xsAm5sLvfBbxnPsUqqdYyE2Pm', '0', '0', '113.227.219.45', '2023-09-22 10:03:05', '', '2023-09-22 10:02:58', '', '2023-09-22 10:03:05', NULL, 636);
INSERT INTO `sys_user` VALUES (729981814706176, 729981814706177, '1584065860', '大连经济技术开发区品伟机电商店', '01', '', '', '0', '', '$2a$10$2PKdpPBOYlEHxZ.R2Oqe7.UTvFjnQEBZS0FV.TMMBwMhaNTe9N3eq', '0', '0', '113.227.219.45', '2023-09-22 10:03:10', '', '2023-09-22 10:03:02', '', '2023-09-22 10:03:10', NULL, 663);
INSERT INTO `sys_user` VALUES (729985979650048, 729985979650049, '18698605902', '大连正元装饰装修工程有限公司', '01', '', '', '0', '', '$2a$10$kVOFLn4U4mDpQVDL8D9HvuLyi5UGKUgvXywpkrQwHmXIRt1O2bQOG', '0', '0', '113.227.219.45', '2023-09-22 10:03:10', '', '2023-09-22 10:03:03', '', '2023-09-22 10:03:10', NULL, 1006);
INSERT INTO `sys_user` VALUES (729990182342656, 729990182342657, '大连仁義盛粮油贸易有限公司', '大连仁義盛粮油贸易有限公司', '01', '', '', '0', '', '$2a$10$w2.BrpqqfGVqVK7deZOnN.FUsCluc7.wCyqiEfCzyUPdVvE7n/CQu', '0', '0', '113.227.219.45', '2023-09-22 10:03:11', '', '2023-09-22 10:03:04', '', '2023-09-22 10:03:11', NULL, 813);
INSERT INTO `sys_user` VALUES (730029780766720, 730029780766721, '大连龙腾液压系统有限责任公司', '大连龙腾液压系统有限责任公司', '01', '', '', '0', '', '$2a$10$2sVTOdTyEzPVhVURAFXsf.WGqXzPPygS/t9ER.2Eyv/zFEb01X6/y', '0', '0', '113.227.219.45', '2023-09-22 10:03:34', '', '2023-09-22 10:03:14', '', '2023-09-22 10:03:34', NULL, 899);
INSERT INTO `sys_user` VALUES (730053004627968, 730053004627969, 'yyy@eltcn.net', '大连伊立特科技有限公司', '01', '', '', '0', '', '$2a$10$7OIopTYexYfMHO5QJ727PunGmE2IRWIYTYv4UpZRY3QoK0FhviL6W', '0', '0', '113.227.219.45', '2023-09-22 10:03:29', '', '2023-09-22 10:03:19', '', '2023-09-22 10:03:29', NULL, 904);
INSERT INTO `sys_user` VALUES (730054619435008, 730054619435009, '15840658606', '大连经济技术开发区成伟五金商行', '01', '', '', '0', '', '$2a$10$ZuQ3Jm8jVDUyLPrn.zO1u.RLdtaY8w.tTEvlYHarK4l5UfGsvI3HC', '0', '0', '113.227.219.45', '2023-09-22 10:03:34', '', '2023-09-22 10:03:20', '', '2023-09-22 10:03:34', NULL, 661);
INSERT INTO `sys_user` VALUES (730089054670848, 730089054670849, '18740063626', '沈阳亿涛土石方工程有限公司', '01', '', '', '0', '', '$2a$10$JYr86kdUlEtNuNOWfSawCOZ3j3.Abc2krMpLt.wKsfz9pEjvD0.j.', '0', '0', '113.227.219.45', '2023-09-22 10:03:39', '', '2023-09-22 10:03:28', '', '2023-09-22 10:03:39', NULL, 1080);
INSERT INTO `sys_user` VALUES (730120977518592, 730120977518593, 'z18341501617@163.com', '中好咨询（大连）有限公司', '01', '', '', '0', '', '$2a$10$npnQL.3GdYujB1nrjI3R/ugdirsNVHLfGATvCEKx.VmM9KxYHI4jS', '0', '0', '113.227.219.45', '2023-09-22 10:03:47', '', '2023-09-22 10:03:35', '', '2023-09-22 10:03:47', NULL, 1124);
INSERT INTO `sys_user` VALUES (730160252981248, 730160252981249, '15840658606@', '甘井子区大连湾街道智恩机电设备经销部', '01', '', '', '0', '', '$2a$10$lq1ByRB89pQdlO1WPK4jMekZU6ofihdg45bHdGlPM3jhxBPc4LeGa', '0', '0', '113.227.219.45', '2023-09-22 10:04:11', '', '2023-09-22 10:03:45', '', '2023-09-22 10:04:11', NULL, 660);
INSERT INTO `sys_user` VALUES (730214657298432, 730214657298433, '18741508157@163.com', '大连汇百味餐饮管理服务有限公司', '01', '', '', '0', '', '$2a$10$bnHfwWSgkB470x2y7CWOtO6JcyOK4QT2T3V0kVvELuemiatSjGT3K', '0', '0', '113.227.219.45', '2023-09-22 10:04:08', '', '2023-09-22 10:03:58', '', '2023-09-22 10:04:08', NULL, 1129);
INSERT INTO `sys_user` VALUES (730233858822144, 730233858822145, 'zczx', '大连智承科技咨询有限公司', '01', '', '', '0', '', '$2a$10$Sa9wHiBSy75bvF1PBZ60A.BBQUsX1nwvZGnCCuM7kl6GYkqAvQ6Nq', '0', '0', '113.227.219.45', '2023-09-22 10:04:11', '', '2023-09-22 10:04:02', '', '2023-09-22 10:04:11', NULL, 1113);
INSERT INTO `sys_user` VALUES (730334715056128, 730334715056129, '18742575120@163.com', '大连易通达科技有限公司', '01', '', '', '0', '', '$2a$10$CAOGjn9jjD1bm92DzN2Bce4fjJbV9OB/wmKqQkmTMl9QInIwJAacC', '0', '0', '113.227.219.45', '2023-09-22 10:04:51', '', '2023-09-22 10:04:26', '', '2023-09-22 10:04:51', NULL, 953);
INSERT INTO `sys_user` VALUES (730350993149952, 730350993149953, '15840658606@1', '甘井子区大连湾街道红光电器配件商行', '01', '', '', '0', '', '$2a$10$Rv6xNV7scxNpjCWkVaytcOSS4w3lqLjUf8OzvB7Ek0fOMM8uMqaIO', '0', '0', '113.227.219.45', '2023-09-22 10:04:38', '', '2023-09-22 10:04:30', '', '2023-09-22 10:04:38', NULL, 656);
INSERT INTO `sys_user` VALUES (730351936868352, 730351936868353, 'zhangying', '辽宁省德美数码科技有限公司', '01', '', '', '0', '', '$2a$10$DoAJWEiYdryP/LLhvt0qIebwRVSHjzHX85/BNF7kwWwemlBjYJ6WG', '0', '0', '113.227.219.45', '2023-09-22 10:04:39', '', '2023-09-22 10:04:30', '', '2023-09-22 10:04:39', NULL, 915);
INSERT INTO `sys_user` VALUES (730439874646016, 730439874646017, '15840658606@163', '大连美荣杰物资经贸有限公司', '01', '', '', '0', '', '$2a$10$rEHTsWNwpOAdCk.Z69JwnOJIShHOp0aOLFkZ/ZK8P6OaqLMq8mYJm', '0', '0', '113.227.219.45', '2023-09-22 10:05:45', '', '2023-09-22 10:04:51', '', '2023-09-22 10:05:45', NULL, 652);
INSERT INTO `sys_user` VALUES (730447785103360, 730447785103361, 'zhao18341501617@163.com', '小兵憨仔餐饮文化管理（大连）有限公司', '01', '', '', '0', '', '$2a$10$Bx1qvLFgTEE.J4oTtj/1re9kMA0CXcjRM6Sim.II7Ve4VFSANpOE2', '0', '0', '113.227.219.45', '2023-09-22 10:05:06', '', '2023-09-22 10:04:53', '', '2023-09-22 10:05:06', NULL, 957);
INSERT INTO `sys_user` VALUES (730480752332800, 730480752332801, '大连山一环保设备有限公司', '大连山一环保设备有限公司', '01', '', '', '0', '', '$2a$10$L2NHNRto9ew7ckEXFL9ZV.wb5LSsfWaJN6NpPGlbfb6F90FjngaH2', '0', '0', '113.227.219.45', '2023-09-22 10:05:08', '', '2023-09-22 10:05:01', '', '2023-09-22 10:05:08', NULL, 912);
INSERT INTO `sys_user` VALUES (730514252238848, 730514252238849, '18841188963', '大连九六三传媒有限公司', '01', '', '', '0', '', '$2a$10$v8.OoM7uOcxT9Mcoc6UemeqI3pC6NL40qJHV9if1/9BUKkUhA6t22', '0', '0', '113.227.219.45', '2023-09-22 10:05:15', '', '2023-09-22 10:05:09', '', '2023-09-22 10:05:15', NULL, 944);
INSERT INTO `sys_user` VALUES (730536654016512, 730536654016513, 'zhaoningecho777@163.com', '沙河口区源美展览展示设计服务部', '01', '', '', '0', '', '$2a$10$P24mutX7vOO/y4mc2sAWSOcvPySZ6JWBR5GjG1Tcz73XtoIAxVu5i', '0', '0', '113.227.219.45', '2023-09-22 10:05:24', '', '2023-09-22 10:05:14', '', '2023-09-22 10:05:24', NULL, 1060);
INSERT INTO `sys_user` VALUES (730573123489792, 730573123489793, '辽宁碧清源环保科技有限公司', '辽宁碧清源环保科技有限公司', '01', '', '', '0', '', '$2a$10$J1SfZvSeALLmcwTerjK9S.9hdDeZMcPl8QYKrjApddlCAPwaUCeX6', '0', '0', '113.227.219.45', '2023-09-22 10:05:33', '', '2023-09-22 10:05:24', '', '2023-09-22 10:05:33', NULL, 1056);
INSERT INTO `sys_user` VALUES (730648386080768, 730648386080769, '18842371408', '沈阳虹利达建筑材料有限公司', '01', '', '', '0', '', '$2a$10$rccywUBdbeIMjASCTuI7Be3a91miqfYvDUoymnrugePpzTNbvDPje', '0', '0', '113.227.219.45', '2023-09-22 17:19:29', '', '2023-09-22 10:05:41', '', '2023-09-22 17:19:29', NULL, 1088);
INSERT INTO `sys_user` VALUES (730681651105792, 730681651105793, 'zhaoyu618@163.com', '万合天宜（大连）传媒科技有限公司', '01', '', '', '0', '', '$2a$10$Je5UM4Dr1v1AceU9Kb3UbOYaq3rIhF9ue8qHnq71FR7uRV88VGoJm', '0', '0', '113.227.219.45', '2023-09-22 10:06:03', '', '2023-09-22 10:05:49', '', '2023-09-22 10:06:03', NULL, 1047);
INSERT INTO `sys_user` VALUES (730681806295040, 730681806295041, '天恩璐（辽宁）技术有限公司', '天恩璐（辽宁）技术有限公司', '01', '', '', '0', '', '$2a$10$Ar/dhXk5xD3CNOWQ1Pj0V.dK9V3tpBDrMlOo5AeqPoGwLES91i.26', '0', '0', '113.227.219.45', '2023-09-22 10:06:06', '', '2023-09-22 10:05:49', '', '2023-09-22 10:06:06', NULL, 629);
INSERT INTO `sys_user` VALUES (730732536401920, 730732536401921, '15840658606@163.co', '大连海洋鸿邦印刷有限公司', '01', '', '', '0', '', '$2a$10$1EZHnSNegt3uRRdX8qe6iekSllXawRE5E.3Fhqnra1F/uYrpSzega', '0', '0', '113.227.219.45', '2023-09-22 10:06:12', '', '2023-09-22 10:06:01', '', '2023-09-22 10:06:12', NULL, 644);
INSERT INTO `sys_user` VALUES (730791873220608, 730791873220609, '18842395012', '沈阳禾瑞源商贸有限公司', '01', '', '', '0', '', '$2a$10$IVeDPoieK6B4HACkSes3uODAb4zb03.11SeYJfABONKGrnYi4K/gS', '0', '0', '113.227.219.45', '2023-09-22 10:06:25', '', '2023-09-22 10:06:15', '', '2023-09-22 10:06:25', NULL, 1077);
INSERT INTO `sys_user` VALUES (730835078746112, 730835078746113, 'zhudongmei@macroluck-dl.com', '大连鸿祥兴电子有限公司', '01', '', '', '0', '', '$2a$10$e3AqoX.USHy8cdy.JEG1cuigPzr8Ew3s.xcvGnfbtWoW1f12FJw3i', '0', '0', '113.227.219.45', '2023-09-22 10:06:33', '', '2023-09-22 10:06:26', '', '2023-09-22 10:06:33', NULL, 1152);
INSERT INTO `sys_user` VALUES (730851449114624, 730851449114625, '15840658606@163.com', '甘井子区大连湾街道瑞杰电器服务部', '01', '', '', '0', '', '$2a$10$Z6.yKV6EzlZJxM8QfBp3AeYrDZIwgdvysjHHtK/lgEjNccpF87YDa', '0', '0', '113.227.219.45', '2023-09-22 10:06:36', '', '2023-09-22 10:06:30', '', '2023-09-22 10:06:36', NULL, 643);
INSERT INTO `sys_user` VALUES (730913268961280, 730913268961281, '18842482341', '沈阳翌申装饰工程有限公司', '01', '', '', '0', '', '$2a$10$2IUEnYNWf93bmV7trbxueO51iKqmdYB6NYLWQDOBgiNatsHWV4hvu', '0', '0', '113.227.219.45', '2023-09-22 10:06:56', '', '2023-09-22 10:06:44', '', '2023-09-22 10:06:56', NULL, 1071);
INSERT INTO `sys_user` VALUES (730955400744960, 730955400744961, 'zhuoqinchengdong', '辽宁卓勤成东财税管理集团有限公司', '01', '', '', '0', '', '$2a$10$W0kRFiSJ2dVxpyfTC8f62uGguDKygCfdwCknv9KNmDeAJBX6rUxUi', '0', '0', '113.227.219.45', '2023-09-22 10:07:04', '', '2023-09-22 10:06:54', '', '2023-09-22 10:07:04', NULL, 903);
INSERT INTO `sys_user` VALUES (730984479854592, 730984479854593, '15840675199@163.com', '大连亿鑫泰机电设备有限公司', '01', '', '', '0', '', '$2a$10$ixSWjVLz3DAwj/qnMtoJQeJafo.yr4rPaixS3kpI7IjO/oQChBEfK', '0', '0', '113.227.219.45', '2023-09-22 17:05:28', '', '2023-09-22 10:07:02', '', '2023-09-22 17:05:28', NULL, 1134);
INSERT INTO `sys_user` VALUES (731063462793216, 731063462793217, '18941110265', '大连臻欣企业服务外包有限公司', '01', '', '', '0', '', '$2a$10$EojUiE5ggkLns9FUsJ0lB.rI6PwegT2nxCvqTHwRCnzFmoTuLee2G', '0', '0', '113.227.219.45', '2023-09-22 10:07:30', '', '2023-09-22 10:07:20', '', '2023-09-22 10:07:30', NULL, 1137);
INSERT INTO `sys_user` VALUES (731124066291712, 731124066291713, '大连利晟隆供应链管理有限公司', '大连利晟隆供应链管理有限公司', '01', '', '', '0', '', '$2a$10$gmHUttp614w1yy3wznY.iu8OjElwWYt2O8UGRiNZ7hzWEdBxFWQmm', '0', '0', '113.227.219.45', '2023-09-22 10:07:42', '', '2023-09-22 10:07:35', '', '2023-09-22 10:07:42', NULL, 1010);
INSERT INTO `sys_user` VALUES (731154642767872, 731154642767873, '15940191907', '大连大鑫卫生护理用品有限公司', '01', '', '', '0', '', '$2a$10$e/9/UfcawmO5zibM00PdCe9Lif6toMeX9a4G3y3FStuDdXBsSCacq', '0', '0', '113.227.219.45', '2023-09-22 10:07:48', '', '2023-09-22 10:07:42', '', '2023-09-22 10:07:48', NULL, 989);
INSERT INTO `sys_user` VALUES (731162930712576, 731162930712577, '安达斯科技', '安达斯科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$FDhPOkdFqgx0XVAM33mmlOiWtSl4V6SlvbGT.AHCGRtiGiTIYwMPa', '0', '0', '113.227.219.45', '2023-09-22 10:08:13', '', '2023-09-22 10:07:44', '', '2023-09-22 10:08:13', NULL, 905);
INSERT INTO `sys_user` VALUES (731165619261440, 731165619261441, '大连市人工智能产业协会', '大连市人工智能产业协会', '01', '', '', '0', '', '$2a$10$yBTumoVw66dD4XQRnxnF3.OYgFEv6At35a8DXOfSwNrvLS908VoPC', '0', '0', '113.227.219.45', '2023-09-22 10:08:01', '', '2023-09-22 10:07:44', '', '2023-09-22 10:08:01', NULL, 920);
INSERT INTO `sys_user` VALUES (731192496361472, 731192496361473, '大连神通模具有限公司', '大连神通模具有限公司 ', '01', '', '', '0', '', '$2a$10$7t9mifj8U/5iuS6E0caaAevUDgspFBy6kVteLcLnK6iwaLAsYm5AK', '0', '0', '113.227.219.45', '2023-09-22 10:08:09', '', '2023-09-22 10:07:51', '', '2023-09-22 10:08:09', NULL, 810);
INSERT INTO `sys_user` VALUES (731209021919232, 731209021919233, 'zhuoqinkuaiji', '大连卓勤会计事务有限公司', '01', '', '', '0', '', '$2a$10$GdRKVNFSetk0n/huhp8BtesbRaS7HVmeIA/X6vq8BwP0TtKSmTvQ2', '0', '0', '113.227.219.45', '2023-09-22 10:08:07', '', '2023-09-22 10:07:55', '', '2023-09-22 10:08:07', NULL, 898);
INSERT INTO `sys_user` VALUES (731247571767296, 731247571767297, '15940845032@163.com', '大连久隆科技有限公司', '01', '', '', '0', '', '$2a$10$2fAdvG7I4dRUCj1jvxC8gOVbn2jXIV0hIcr2DX22gRPyTaaSTC9LK', '0', '0', '113.227.219.45', '2023-09-22 10:08:13', '', '2023-09-22 10:08:04', '', '2023-09-22 10:08:13', NULL, 1001);
INSERT INTO `sys_user` VALUES (731303934824448, 731303934824449, 'zhuoqintouzi', '大连卓勤投资管理有限公司', '01', '', '', '0', '', '$2a$10$w2kjkdeQvfIDRybSy8D.U.DJTMr6FgwU4krBzIlYR6E.covsEp2RG', '0', '0', '113.227.219.45', '2023-09-22 10:08:25', '', '2023-09-22 10:08:17', '', '2023-09-22 10:08:25', NULL, 1103);
INSERT INTO `sys_user` VALUES (731380791250944, 731380791250945, '15940872733', '大连虎鲸智能科技有限公司', '01', '', '', '0', '', '$2a$10$D/iE4ijcQut.ldJGvXOjOeX2HxK48.gG6V2KL54vX3ewnDkAn5PgC', '0', '0', '113.227.219.45', '2023-09-22 10:08:49', '', '2023-09-22 10:08:36', '', '2023-09-22 10:08:49', NULL, 1114);
INSERT INTO `sys_user` VALUES (731390186491904, 731390186491905, '13394114770', '大连骏安机械制造有限公司', '01', '', '', '0', '', '$2a$10$GTOAyoObfVX766UjHCLp0ehEDnPQ2fdVMKA/6zheswdYCExebApcu', '0', '0', '113.227.219.45', '2023-09-22 10:08:49', '', '2023-09-22 10:08:38', '', '2023-09-22 10:08:49', NULL, 955);
INSERT INTO `sys_user` VALUES (731503734689792, 731503734689793, '西岗区喜美顺建材商行', '西岗区嘉美顺建材商行', '01', '', '', '0', '', '$2a$10$aXc2WmyO1HoOjZn3iY7KMOXTPZ8U.MQnzpnCZV23q9y8G.kcknDw.', '0', '0', '113.227.219.45', '2023-09-22 10:09:24', '', '2023-09-22 10:09:06', '', '2023-09-22 10:09:24', NULL, 1093);
INSERT INTO `sys_user` VALUES (731513436114944, 731513436114945, '1345300343@qq.com', '大连盛世营销策划有限公司', '01', '', '', '0', '', '$2a$10$inkParFKlzkq5lvBEbCpieVkoI6W4mW6V6ubQ1Tekh8SPVaQoFMsu', '0', '0', '113.227.219.45', '2023-09-22 10:09:14', '', '2023-09-22 10:09:07', '', '2023-09-22 10:09:14', NULL, 979);
INSERT INTO `sys_user` VALUES (731525620568064, 731525620568065, '15940894077', '那农沐（大连）生物科技有限公司', '01', '', '', '0', '', '$2a$10$X7JC0aMTqMUuuR3nUKCpdugrevMHTHbrfaFilJGJBh4gpxUCLn5Ia', '0', '0', '113.227.219.45', '2023-09-22 10:09:19', '', '2023-09-22 10:09:10', '', '2023-09-22 10:09:19', NULL, 939);
INSERT INTO `sys_user` VALUES (731527101157376, 731527101157377, '大连北弥软枣农业技术服务有限公司', '大连北弥软枣农业技术服务有限公司', '01', '', '', '0', '', '$2a$10$ZWmrN9XkeQV25.76MqLqQ.vYK8Pj3kcTAU9P68IGtn5mXMnf6tvza', '0', '0', '113.227.219.45', '2023-09-22 10:09:19', '', '2023-09-22 10:09:11', '', '2023-09-22 10:09:19', NULL, 1019);
INSERT INTO `sys_user` VALUES (731546856329216, 731546856329217, '2179166544@qq.com', '甘井子区泉水街道亿尚物资商行', '01', '', '', '0', '', '$2a$10$XaIYxGG9C5ivpncFwrArRelGCrHcXs7Cjz8fu9bskRrD6IKeqvoDi', '0', '0', '113.227.219.45', '2023-09-22 10:09:24', '', '2023-09-22 10:09:15', '', '2023-09-22 10:09:24', NULL, 1064);
INSERT INTO `sys_user` VALUES (731590552588288, 731590552588289, '上品科技', '上品科技（大连）有限公司   ', '01', '', '', '0', '', '$2a$10$i5.vjvB3aRHTV3VWyHIXJewN214gJ5ypo5fWn9oGaQuvitxf0C3P2', '0', '0', '113.227.219.45', '2023-09-22 10:09:30', '', '2023-09-22 10:09:26', '', '2023-09-22 10:09:30', NULL, 992);
INSERT INTO `sys_user` VALUES (731630578831360, 731630578831361, '13478416111@139.com', '大连如一食品有限公司', '01', '', '', '0', '', '$2a$10$MFX4IkcXYCnOTiXW7t92EujlWYvuFJVhfbDJQk.rlgnel5.vK8NSS', '0', '0', '113.227.219.45', '2023-09-22 10:10:25', '', '2023-09-22 10:09:35', '', '2023-09-22 10:10:25', NULL, 902);
INSERT INTO `sys_user` VALUES (731632076197888, 731632076197889, '15941176512@163.com', '辽宁茂隆山河科技有限公司', '01', '', '', '0', '', '$2a$10$pqBg4gLPCmnztDJaX./KW.iUP07Elm.FvOaQM7GSVnmVDCkcQO8pq', '0', '0', '113.227.219.45', '2023-09-22 10:09:46', '', '2023-09-22 10:09:36', '', '2023-09-22 10:09:46', NULL, 958);
INSERT INTO `sys_user` VALUES (731759692091392, 731759692091393, '大连华夏远道投资中心（有限合伙）', '大连华夏远道投资中心（有限合伙）', '01', '', '', '0', '', '$2a$10$dm.rF/rAnWei5aru4i/cmedfOvg.hL/PfEwxPq98Cdr6NsCXouGZm', '0', '0', '113.227.219.45', '2023-09-22 10:10:18', '', '2023-09-22 10:10:06', '', '2023-09-22 10:10:18', NULL, 1032);
INSERT INTO `sys_user` VALUES (731771306119168, 731771306119169, '15942677072', '大连圆圈商业管理有限公司', '01', '', '', '0', '', '$2a$10$1nG7K/UVn1B8x0X400iumORPVdQJAccSCYoiqra0CPE53FlFivLYy', '0', '0', '113.227.219.45', '2023-09-22 10:10:24', '', '2023-09-22 10:10:09', '', '2023-09-22 10:10:24', NULL, 945);
INSERT INTO `sys_user` VALUES (731821033787392, 731821033787393, '蓝海融创', '大连蓝海融创科技有限公司', '01', '', '', '0', '', '$2a$10$EWJPHGFaYqyCQYBMqhwKyOk7.2U2HRMKF38FJK.QuyN7B2FL5kBg.', '0', '0', '113.227.219.45', '2023-09-22 10:10:35', '', '2023-09-22 10:10:21', '', '2023-09-22 10:10:35', NULL, 916);
INSERT INTO `sys_user` VALUES (731895977611264, 731895977611265, '15942686777@126.com', '大连兴诺国际贸易有限公司', '01', '', '', '0', '', '$2a$10$Io9sNojzPUtkZZu.KYGRMehl.0xZQCfLP2kvNkxiUTtcoAQPz.LwG', '0', '0', '113.227.219.45', '2023-09-22 10:10:56', '', '2023-09-22 10:10:39', '', '2023-09-22 10:10:56', NULL, 1108);
INSERT INTO `sys_user` VALUES (731921269264384, 731921269264385, '中山区昕辉机电产品经销处', '中山区昕辉机电产品经销处', '01', '', '', '0', '', '$2a$10$ZdfX9mP6/Zt/ZvY0o7I11etWSVCBJZ4amr4eysqylYmRj5fE/5/mW', '0', '0', '113.227.219.45', '2023-09-22 10:10:48', '', '2023-09-22 10:10:45', '', '2023-09-22 10:10:48', NULL, 658);
INSERT INTO `sys_user` VALUES (731933520826368, 731933520826369, '13478590567', '大连食来运转科技有限公司', '01', '', '', '0', '', '$2a$10$I5ZZm3UfTwf1HR3SHqQN4etKJnoYsu.2/rki3m87W6d1.W5FGxt82', '0', '0', '113.227.219.45', '2023-09-22 10:10:55', '', '2023-09-22 10:10:48', '', '2023-09-22 10:10:55', NULL, 1044);
INSERT INTO `sys_user` VALUES (731992283025408, 731992283025409, '大连经济技术开发区海清河氏按摩院', '大连经济技术开发区海青河氏按摩院', '01', '', '', '0', '', '$2a$10$J73gD6hW8zSvB3sStOZSsujEtkyOHGwtJGRtt53k1qypS5XU06vUu', '0', '0', '113.227.219.45', '2023-09-22 10:11:10', '', '2023-09-22 10:11:02', '', '2023-09-22 10:11:10', NULL, 766);
INSERT INTO `sys_user` VALUES (732020552634368, 732020552634369, '英嘉', '大连英嘉贸易有限公司', '01', '', '', '0', '', '$2a$10$A0PimE2vCatbp0/cPo0/2.qcQDhn9WCcytqDSkxdBcLec0G.vo9a.', '0', '0', '113.227.219.45', '2023-09-22 10:11:16', '', '2023-09-22 10:11:08', '', '2023-09-22 10:11:16', NULL, 930);
INSERT INTO `sys_user` VALUES (732028140130304, 732028140130305, '13478727900', '大连路路通达汽车服务有限公司', '01', '', '', '0', '', '$2a$10$UESgF6ChJNKz1wR20nGsKe5PEKPfvutou7IuomUQ/psheipC331Qy', '0', '0', '113.227.219.45', '2023-09-22 10:11:20', '', '2023-09-22 10:11:10', '', '2023-09-22 10:11:20', NULL, 1112);
INSERT INTO `sys_user` VALUES (732120075079680, 732120075079681, '15998605981', ' 大连云晟科技有限公司', '01', '', '', '0', '', '$2a$10$ZtI6qJ6rqgIeXl3l8vP1kuHWP38RMISiqpgQ/.e0/W0lDT1fQakdq', '0', '0', '113.227.219.45', '2023-09-22 10:11:36', '', '2023-09-22 10:11:32', '', '2023-09-22 10:11:36', NULL, 1004);
INSERT INTO `sys_user` VALUES (732132427304960, 732132427304961, '13478969859', '大连拓北成电机有限公司', '01', '', '', '0', '', '$2a$10$YmVfZFJS1i54wn9qZgSq4eYuSV1wWOkpdPQpp9OmaW7TmjGpXny2O', '0', '0', '113.227.219.45', '2023-09-22 10:11:44', '', '2023-09-22 10:11:35', '', '2023-09-22 10:11:44', NULL, 640);
INSERT INTO `sys_user` VALUES (732159761584128, 732159761584129, '大连聚和汽车市场有限公司', '大连聚和汽车市场有限公司', '01', '', '', '0', '', '$2a$10$d1/cfZQYdAQybeAq3fFNde5bMtZfaBwO/oX4dN0K02XeDlP0ldSFG', '0', '0', '113.227.219.45', '2023-09-22 10:11:51', '', '2023-09-22 10:11:41', '', '2023-09-22 10:11:51', NULL, 819);
INSERT INTO `sys_user` VALUES (732189058797568, 732189058797569, '1654303769@qq.com', '甘井子区周水子街道英杰物资商行', '01', '', '', '0', '', '$2a$10$2SSu1rKUi6y1ofkzhUFPn.Ie16LkmeXT6rWw06quidJuz1ZquJ34O', '0', '0', '113.227.219.45', '2023-09-22 10:11:55', '', '2023-09-22 10:11:48', '', '2023-09-22 10:11:55', NULL, 1065);
INSERT INTO `sys_user` VALUES (732236714479616, 732236714479617, '13504032628', '沈阳林峰机械设备安装有限公司', '01', '', '', '0', '', '$2a$10$rzd049Eyk45kE7NVfhpbjee4KDa69CYP07y29Br04u5IW/TEGsnSK', '0', '0', '113.227.219.45', '2023-09-22 10:12:09', '', '2023-09-22 10:12:00', '', '2023-09-22 10:12:09', NULL, 1073);
INSERT INTO `sys_user` VALUES (732280494624768, 732280494624769, '16602441448', '辽宁浩锐土石方工程有限公司', '01', '', '', '0', '', '$2a$10$sYyBQwHeFp9B5OCOzZfL7.HksJH11N.MjZYbJB3PqQFdivZ6MJo8K', '0', '0', '113.227.219.45', '2023-09-22 10:12:17', '', '2023-09-22 10:12:10', '', '2023-09-22 10:12:17', NULL, 1141);
INSERT INTO `sys_user` VALUES (732309372407808, 732309372407809, '亚太中农科技（大连）有限公司', '亚太中农科技(大连)有限公司', '01', '', '', '0', '', '$2a$10$T4NnWfHJexFUmhbKD9rqneZLVuJbLEKd.pPhnrbheCb/wUdOdOCmW', '0', '0', '113.227.219.45', '2023-09-22 10:12:20', '', '2023-09-22 10:12:17', '', '2023-09-22 10:12:20', NULL, 1163);
INSERT INTO `sys_user` VALUES (732358957469696, 732358957469697, '229887272@qq.com', '中胤（大连）空间装饰工程有限公司', '01', '', '', '0', '', '$2a$10$WMAJoqtx1M/yL34VLAQefOn9w/UTl10e5XJMfBAH6Qzi.H5MJ1pky', '0', '0', '113.227.219.45', '2023-09-22 10:12:35', '', '2023-09-22 10:12:29', '', '2023-09-22 10:12:35', NULL, 1119);
INSERT INTO `sys_user` VALUES (732363172745216, 732363172745217, '科技橡胶', '大连科技橡胶密封件有限公司', '01', '', '', '0', '', '$2a$10$8JnDiJyqt/iynEKMGpqzkOpsXO9H67gCyl1Z3akMe2SlHK/ejhDo2', '0', '0', '113.227.219.45', '2023-09-22 10:12:39', '', '2023-09-22 10:12:30', '', '2023-09-22 10:12:39', NULL, 908);
INSERT INTO `sys_user` VALUES (732368528871424, 732368528871425, '13504039983', '沈阳东润包装制品有限公司 ', '01', '', '', '0', '', '$2a$10$u8rI3kexsO.z7I4YNG04GuBqZZBNPUTTAd/rgnHBTO/lzbZAwX/gC', '0', '0', '113.227.219.45', '2023-09-22 10:12:39', '', '2023-09-22 10:12:31', '', '2023-09-22 10:12:39', NULL, 1132);
INSERT INTO `sys_user` VALUES (732378234490880, 732378234490881, '174746459@qq.com', '大连天蓝文化传媒有限公司', '01', '', '', '0', '', '$2a$10$EwwfrsPtwM3QV786nSnoRuDmxfmnbZlRhevvB3CtT1TYfp0flLkdu', '0', '0', '113.227.219.45', '2023-09-22 10:12:40', '', '2023-09-22 10:12:34', '', '2023-09-22 10:12:40', NULL, 986);
INSERT INTO `sys_user` VALUES (732446299656192, 732446299656193, '1351970861@qq.com', '大连指月茶文化有限公司', '01', '', '', '0', '', '$2a$10$SoJmHy0XuU7ekvvCo1DQ/eddEbco3CaMx5PO67Vo7oUMpFGz3V8OO', '0', '0', '113.227.219.45', '2023-09-22 10:12:55', '', '2023-09-22 10:12:50', '', '2023-09-22 10:12:55', NULL, 991);
INSERT INTO `sys_user` VALUES (732458035318784, 732458035318785, '大连市速美达商贸有限公司', '大连市速美达商贸有限公司', '01', '', '', '0', '', '$2a$10$t6zik5zreYcTvHAg5b7gue3Zu.fJ5hWbglXSZPbxujWugJPT5XtmG', '0', '0', '113.227.219.45', '2023-09-22 10:13:04', '', '2023-09-22 10:12:53', '', '2023-09-22 10:13:04', NULL, 1016);
INSERT INTO `sys_user` VALUES (732471389982720, 732471389982721, '2305314996@qq.com', '中山区傅恒物资商行', '01', '', '', '0', '', '$2a$10$SqTckAQR.CFuqoctoy/u9OMTFKFGYQJB15hqXHsWl1SlKw/rnOh8a', '0', '0', '113.227.219.45', '2023-09-22 10:15:26', '', '2023-09-22 10:12:56', '', '2023-09-22 10:15:26', NULL, 1066);
INSERT INTO `sys_user` VALUES (732472174317568, 732472174317569, '1750162138@qq.com', '辽宁睿淼企业管理有限公司', '01', '', '', '0', '', '$2a$10$KtjYa1JaB/pMiqOIKN.BwOflSI.EE2of3nQU3wyhY3ahsSWZM.U2S', '0', '0', '113.227.219.45', '2023-09-22 10:13:06', '', '2023-09-22 10:12:56', '', '2023-09-22 10:13:06', NULL, 925);
INSERT INTO `sys_user` VALUES (732562716758016, 732562716758017, '13591170678', '大连隆兴达机电设备有限公司', '01', '', '', '0', '', '$2a$10$I83VuZ2yfW..md80afYMweRZcTR926vh/jWPspnVZv2yyl4qLcTV.', '0', '0', '113.227.219.45', '2023-09-22 10:13:32', '', '2023-09-22 10:13:18', '', '2023-09-22 10:13:32', NULL, 639);
INSERT INTO `sys_user` VALUES (732591510654976, 732591510654977, '17710575124', '大连欣田房屋修缮工程有限公司', '01', '', '', '0', '', '$2a$10$gxFiUisDxzqmoVCBWdc2/.lBDgcGnejrIJUNcgmDSVU7bqTkuEwTa', '0', '0', '113.227.219.45', '2023-09-22 10:13:33', '', '2023-09-22 10:13:24', '', '2023-09-22 10:13:33', NULL, 1037);
INSERT INTO `sys_user` VALUES (732615204278272, 732615204278273, '何智文', '大连金普新区襄武流体技术中心', '01', '', '', '0', '', '$2a$10$5A/JpbpjL11os5A1O9O.leCBzaXLkLY0gM1PAw/6pKBz/7IOfG8s.', '0', '0', '113.227.219.45', '2023-09-22 10:13:35', '', '2023-09-22 10:13:30', '', '2023-09-22 10:13:35', NULL, 1097);
INSERT INTO `sys_user` VALUES (732685857329152, 732685857329153, '17741175888', '辽宁诚事律师事务所', '01', '', '', '0', '', '$2a$10$5XSNJb5e2aNF0eKppfw5Ouk6cv04synYjaoTuB5TGYDq4JxGB0d4e', '0', '0', '113.227.219.45', '2023-09-22 10:13:57', '', '2023-09-22 10:13:47', '', '2023-09-22 10:13:57', NULL, 947);
INSERT INTO `sys_user` VALUES (732687031734272, 732687031734273, '冯志豪', '大连智捷优创网络科技有限公司', '01', '', '', '0', '', '$2a$10$OUMoKMOyCOmw9tCcyXuBMO3wq1y0Tfjwn3j93NkrqmjQs2OCejKka', '0', '0', '113.227.219.45', '2023-09-22 10:13:59', '', '2023-09-22 10:13:47', '', '2023-09-22 10:13:59', NULL, 932);
INSERT INTO `sys_user` VALUES (732726990868480, 732726990868481, '13591182609', '大连益大精密橡胶制品有限公司', '01', '', '', '0', '', '$2a$10$qmO4aTmRlUXWM1PQWV8hUOZJ65zm6neEzf1tDt8UqF9HUaftfonbu', '0', '0', '113.227.219.45', '2023-09-22 10:14:05', '', '2023-09-22 10:13:57', '', '2023-09-22 10:14:05', NULL, 1051);
INSERT INTO `sys_user` VALUES (732778597584896, 732778597584897, '冯玉涛1', '大连盛阳服装厂', '01', '', '', '0', '', '$2a$10$bw8KpehgCycanQqgel2XAejJuqEjy102rZX1anzZCXfMYGwQSfP2a', '0', '0', '113.227.219.45', '2023-09-22 10:14:17', '', '2023-09-22 10:14:09', '', '2023-09-22 10:14:17', NULL, 921);
INSERT INTO `sys_user` VALUES (732781567152128, 732781567152129, '17742785711', '沈阳嘉易德机械有限公司', '01', '', '', '0', '', '$2a$10$tC/GD4BA0h.1.3Oe7J.LpOZSG8bqCPjuIWugpQbm2EJE4anXmMKSK', '0', '0', '113.227.219.45', '2023-09-22 10:14:17', '', '2023-09-22 10:14:10', '', '2023-09-22 10:14:17', NULL, 1070);
INSERT INTO `sys_user` VALUES (732815071252480, 732815071252481, '13591465419', '沈阳玉隆通风设备有限公司', '01', '', '', '0', '', '$2a$10$klLlGydGDG7pZzrJ44jawOI9krSZ8.kAvrPd9ZtsXyfAr5OPBTu3m', '0', '0', '113.227.219.45', '2023-09-22 10:14:27', '', '2023-09-22 10:14:18', '', '2023-09-22 10:14:27', NULL, 964);
INSERT INTO `sys_user` VALUES (732842569109504, 732842569109505, '冯玉涛2', '大连鲁冠贸易有限公司', '01', '', '', '0', '', '$2a$10$gtSd03F/5e1buAtK9vC5ou9V9TkJlctGaRROWQMYB2an5zRJnCbna', '0', '0', '113.227.219.45', '2023-09-22 10:14:31', '', '2023-09-22 10:14:24', '', '2023-09-22 10:14:31', NULL, 922);
INSERT INTO `sys_user` VALUES (732909938020352, 732909938020353, '冯玉涛3', '大连蒲公英网络科技有限公司', '01', '', '', '0', '', '$2a$10$2W4sWB8.jxLu0AD7rCMAm.tVg4w8P/AZl5gmyEEbp/Bu50u4jpsIC', '0', '0', '113.227.219.45', '2023-09-22 10:14:50', '', '2023-09-22 10:14:40', '', '2023-09-22 10:14:50', NULL, 926);
INSERT INTO `sys_user` VALUES (732924957822976, 732924957822977, '18018997073', '大连康立机电设备有限公司', '01', '', '', '0', '', '$2a$10$Z8D8YQOHrMyXbh7ks4BYUeRTDoC8OFaVlg879c9KS77BkqH9XVAAO', '0', '0', '113.227.219.45', '2023-09-22 10:14:53', '', '2023-09-22 10:14:44', '', '2023-09-22 10:14:53', NULL, 685);
INSERT INTO `sys_user` VALUES (732925360476160, 732925360476161, '13604116115', '大连艺程企业管理有限公司', '01', '', '', '0', '', '$2a$10$MEdz2CA8T3gFmALfruacCeqTaJSxbKs5PvHzed6gX5uhSswkpHUwe', '0', '0', '113.227.219.45', '2023-09-22 10:14:56', '', '2023-09-22 10:14:44', '', '2023-09-22 10:14:56', NULL, 1133);
INSERT INTO `sys_user` VALUES (733009267527680, 733009267527681, '刘凡', '大连云蝶科技有限公司', '01', '', '', '0', '', '$2a$10$WOa4sQJ55kzYu/mzSirtkODVgjEnGi5IqeT0htsYe3AeImAMGBG/2', '0', '0', '113.227.219.45', '2023-09-22 10:15:07', '', '2023-09-22 10:15:04', '', '2023-09-22 10:15:07', NULL, 881);
INSERT INTO `sys_user` VALUES (733037746851840, 733037746851841, '13609854979@163.com', '大连环鼎诚橡胶制品有限公司', '01', '', '', '0', '', '$2a$10$xFdHnWWzSBXZHEoRxF9TreWLFxIWOoufDuTTVL.vztj.RNBv.Iow2', '0', '0', '113.227.219.45', '2023-09-22 10:15:17', '', '2023-09-22 10:15:11', '', '2023-09-22 10:15:17', NULL, 1002);
INSERT INTO `sys_user` VALUES (733142537342976, 733142537342977, '大连嘉实远道投资中心(有限合伙)', '大连嘉实远道投资中心(有限合伙)', '01', '', '', '0', '', '$2a$10$1zLpHqBpXuDYvhD9dAgBc.PJ/yaVVs1H7qcmjJ/yNTL6Rz9P8TPwy', '0', '0', '113.227.219.45', '2023-09-22 10:15:45', '', '2023-09-22 10:15:36', '', '2023-09-22 10:15:45', NULL, 1035);
INSERT INTO `sys_user` VALUES (733146060558336, 733146060558337, '华东人家', '甘井子区华东人家鑫嘉冠生鲜超市', '01', '', '', '0', '', '$2a$10$JMk4BUZNu6Uz6V89kMpV..QuAUTmIvudFtULPPde1wHCA9TM7/tBe', '0', '0', '113.227.219.45', '2023-09-22 10:15:45', '', '2023-09-22 10:15:37', '', '2023-09-22 10:15:45', NULL, 1109);
INSERT INTO `sys_user` VALUES (733149223063552, 733149223063553, '18104095668', '大连保税区迪爱特物流有限公司', '01', '', '', '0', '', '$2a$10$t7kDAmTWljbV1g9JWW41teE46BPhsYdPUrJaWU8L2BsaeDe7zoC2W', '0', '0', '113.227.219.45', '2023-09-22 10:15:47', '', '2023-09-22 10:15:38', '', '2023-09-22 10:15:47', NULL, 1144);
INSERT INTO `sys_user` VALUES (733158777688064, 733158777688065, '13654257133', '大连水一方食品有限公司', '01', '', '', '0', '', '$2a$10$CNPZq1ytcpdaynvo12f5aeI7fsSz0r6AAMPhDJj3Rd87pHg9E7UHW', '0', '0', '113.227.219.45', '2023-09-22 10:15:49', '', '2023-09-22 10:15:40', '', '2023-09-22 10:15:49', NULL, 1162);
INSERT INTO `sys_user` VALUES (733168923709440, 733168923709441, '261603045@qq.com', '大连轩昂科技有限公司', '01', '', '', '0', '', '$2a$10$1uSWcmbLRI19D.6z/nt17uH4CfGJxCaljZoJNkNr2.xfI.OoydWke', '0', '0', '113.227.219.45', '2023-09-22 10:15:49', '', '2023-09-22 10:15:42', '', '2023-09-22 10:15:49', NULL, 1041);
INSERT INTO `sys_user` VALUES (733277199667200, 733277199667201, '3106572961@qq.com', '甘井子区周水子街道云港物资商行', '01', '', '', '0', '', '$2a$10$7UHAHrsHScQ/d6kddy1/2.JorwWqAAVMFwaMod6SCWgWwQYeo4FdG', '0', '0', '113.227.219.45', '2023-09-22 10:16:14', '', '2023-09-22 10:16:08', '', '2023-09-22 10:16:14', NULL, 1063);
INSERT INTO `sys_user` VALUES (733280446058496, 733280446058497, '甘井子区宏君自动化机电经营部', '甘井子区宏君自动化机电经营部', '01', '', '', '0', '', '$2a$10$r84Bgl4c/nParTFdfhEY9eXn/wSBRgpLuXfX9mh89qvvsV02RL.V2', '0', '0', '113.227.219.45', '2023-09-22 10:16:22', '', '2023-09-22 10:16:09', '', '2023-09-22 10:16:22', NULL, 657);
INSERT INTO `sys_user` VALUES (733316307357696, 733316307357697, '大连贺翔电子商务有限公司', '大连贺翔电子商务有限公司', '01', '', '', '0', '', '$2a$10$nYAjaNL7kLX2Xp0DASBkgu4C5Bk7cqlWWelboJvMBWRDV2.DXH1ii', '0', '0', '113.227.219.45', '2023-09-22 10:16:33', '', '2023-09-22 10:16:17', '', '2023-09-22 10:16:33', NULL, 749);
INSERT INTO `sys_user` VALUES (733366483816448, 733366483816449, '314432640@qq.com', '大连古牧源集团有限公司', '01', '', '', '0', '', '$2a$10$iXe6opQoMF0mWchQVPgonOV6Z6fntJVP5ncRg.K0WfGA4mi72Bevi', '0', '0', '113.227.219.45', '2023-09-22 10:16:38', '', '2023-09-22 10:16:29', '', '2023-09-22 10:16:38', NULL, 985);
INSERT INTO `sys_user` VALUES (733443256356864, 733443256356865, '大连软枣猕猴桃贸易有限公司', '大连软枣猕猴桃贸易有限公司', '01', '', '', '0', '', '$2a$10$HKKFY/2wpiv/DNhoxmZ7IOdpbyj4d6u6t8MXqzZ0QvuEuBXq8ZGke', '0', '0', '113.227.219.45', '2023-09-22 10:16:59', '', '2023-09-22 10:16:47', '', '2023-09-22 10:16:59', NULL, 1018);
INSERT INTO `sys_user` VALUES (733459056300032, 733459056300033, '317182018@qq.com', '大连巴索珏网络科技有限公司', '01', '', '', '0', '', '$2a$10$UocKUZEtQC2EVIxXSpB/leVkQ9bED14ARMdQdrXEz8OWYxyEByJdW', '0', '0', '113.227.219.45', '2023-09-22 10:17:05', '', '2023-09-22 10:16:51', '', '2023-09-22 10:17:05', NULL, 687);
INSERT INTO `sys_user` VALUES (733461543522304, 733461543522305, '317182018@qq.com', '大连巴索珏网络科技有限公司', '01', '', '', '0', '', '', '0', '0', '', NULL, '', '2023-09-22 10:16:52', '', NULL, NULL, 687);
INSERT INTO `sys_user` VALUES (733466480218112, 733466480218113, '13700045610', '沈阳昊天电气安装工程有限公司', '01', '', '', '0', '', '$2a$10$PB6xPbLAAc/7Dj2M6Jqe2eU62x5AMrCkLlpanLVupKlTuGOM641gy', '0', '0', '113.227.219.45', '2023-09-22 10:17:03', '', '2023-09-22 10:16:53', '', '2023-09-22 10:17:03', NULL, 1111);
INSERT INTO `sys_user` VALUES (733558104788992, 733558104788993, '13700047032', '辽宁鼎坤建设工程有限公司', '01', '', '', '0', '', '$2a$10$uTBLT4H8gIuy6V9ldz4LSeaEXNFyKz1qM1rIvbqmCKPAaM4Y7xHMe', '0', '0', '113.227.219.45', '2023-09-22 10:17:23', '', '2023-09-22 10:17:15', '', '2023-09-22 10:17:23', NULL, 1106);
INSERT INTO `sys_user` VALUES (733639717556224, 733639717556225, '343804164@qq.com', '大连九八五科技有限公司', '01', '', '', '0', '', '$2a$10$QAcAUV0I3JBOmBkhcQYH2uXS6CndBG6C6bCbX8UHFpZ/FQ7Trxobu', '0', '0', '113.227.219.45', '2023-09-22 10:17:47', '', '2023-09-22 10:17:35', '', '2023-09-22 10:17:47', NULL, 982);
INSERT INTO `sys_user` VALUES (733782583939072, 733782583939073, '1373716863@qq.com', '大连鸣远商贸有限公司', '01', '', '', '0', '', '$2a$10$YTpqydNt/e0AL47jXppbH.WxFWEkw3XfM863.Ch7IApWJs9xx/in2', '0', '0', '113.227.219.45', '2023-09-22 10:18:17', '', '2023-09-22 10:18:09', '', '2023-09-22 10:18:17', NULL, 990);
INSERT INTO `sys_user` VALUES (733799524732928, 733799524732929, '35932650@qq.com', '大连福元科技有限公司', '01', '', '', '0', '', '$2a$10$9TvmpjqVxQ4a1txf6z2RL.ItFgTGSNBvAfgwoI8uI4AYrjgZn6ZZe', '0', '0', '113.227.219.45', '2023-09-22 10:18:21', '', '2023-09-22 10:18:12', '', '2023-09-22 10:18:21', NULL, 1095);
INSERT INTO `sys_user` VALUES (733915685982208, 733915685982209, '396430736@qq.com', '辽宁兰锦汽车配件制造有限公司', '01', '', '', '0', '', '$2a$10$P9wbOuymyoJ3fY1cZisUlOgUvfsXVzgd82gCn83ImE20XcPinzV7u', '0', '0', '113.227.219.45', '2023-09-22 10:18:50', '', '2023-09-22 10:18:40', '', '2023-09-22 10:18:50', NULL, 704);
INSERT INTO `sys_user` VALUES (733932979097600, 733932979097601, '大连迅源文化传媒有限公司', '大连迅源文化传媒有限公司', '01', '', '', '0', '', '$2a$10$V8yfazEy/FfrAPVs.FIWG.OT093GsfCiL9gsWSSh1tD3N6GeFIgTa', '0', '0', '113.227.219.45', '2023-09-22 10:18:55', '', '2023-09-22 10:18:44', '', '2023-09-22 10:18:55', NULL, 1011);
INSERT INTO `sys_user` VALUES (734002025730048, 734002025730049, '13832262777', '沈阳铭豪石材景观工程有限公司', '01', '', '', '0', '', '$2a$10$gpT2K5BVhzIB6pHoaAeJkuVHfF5R/63wpO1/cxxK3xcYImPJz9OQG', '0', '0', '113.227.219.45', '2023-09-22 10:19:13', '', '2023-09-22 10:19:01', '', '2023-09-22 10:19:13', NULL, 1110);
INSERT INTO `sys_user` VALUES (734027673899008, 734027673899009, '410746610@qq.com', '大连瑞航科技发展有限公司', '01', '', '', '0', '', '$2a$10$oTHp9xHcnosKdRVsGhPqM.0b7pJVyLSE/gKaABs8NCw8gVSxtZ9LC', '0', '0', '113.227.219.45', '2023-09-22 10:19:18', '', '2023-09-22 10:19:07', '', '2023-09-22 10:19:18', NULL, 907);
INSERT INTO `sys_user` VALUES (734111480287232, 734111480287233, '13840315188', '沈阳市于洪区华盛石材经销处', '01', '', '', '0', '', '$2a$10$afieREYM66t7RU5Nzro9AeJKn7NwYRNqQRcKAvr8laYmwG0g5MgIC', '0', '0', '113.227.219.45', '2023-09-22 10:19:39', '', '2023-09-22 10:19:27', '', '2023-09-22 10:19:39', NULL, 1104);
INSERT INTO `sys_user` VALUES (734143545741312, 734143545741313, '429892922@qq.com', '大连威科特锐研磨有限公司', '01', '', '', '0', '', '$2a$10$15Ap13KqQlZ1NjPEK9ZBBOeHwk4pQJhEnSS4L1jPAOz5rk4RCdGme', '0', '0', '113.227.219.45', '2023-09-22 10:19:44', '', '2023-09-22 10:19:34', '', '2023-09-22 10:19:44', NULL, 1115);
INSERT INTO `sys_user` VALUES (734196238782464, 734196238782465, '大连通联船舶技术有限公司', '大连通联船舶技术有限公司', '01', '', '', '0', '', '$2a$10$hxQ6POnrRGy6y/YNFBkQlurSSJU06Qqe0UWm5cWXbrpZQDAmXJ3ZC', '0', '0', '113.227.219.45', '2023-09-22 10:19:53', '', '2023-09-22 10:19:47', '', '2023-09-22 10:19:53', NULL, 1015);
INSERT INTO `sys_user` VALUES (734197228638208, 734197228638209, '15102425183@163.com', '大连市冠潼教育咨询有限公司', '01', '', '', '0', '', '$2a$10$hwG97gTR/TiHfBwrECO1xuEh/5Wl1gLSAghVsfpF7wgUo6klbi9Ym', '0', '0', '113.227.219.45', '2023-09-22 10:19:55', '', '2023-09-22 10:19:47', '', '2023-09-22 10:19:55', NULL, 1068);
INSERT INTO `sys_user` VALUES (734201418747904, 734201418747905, '13840926886', '大连大鑫无纺科技有限公司', '01', '', '', '0', '', '$2a$10$SAId7DJeXtywnGjbY7KyEOA8FZJLHsEVOfmS0h8wC/HD5HehoqTMO', '0', '0', '113.227.219.45', '2023-09-22 10:19:56', '', '2023-09-22 10:19:48', '', '2023-09-22 10:19:56', NULL, 975);
INSERT INTO `sys_user` VALUES (734249611300864, 734249611300865, '442444952@qq.com', '大连浩庭科技发展有限公司', '01', '', '', '0', '', '$2a$10$h6PsUCF89ljgWGX4lelBBOHRMaG9j.qmU/wFmAPK2hcmhd08pPw8e', '0', '0', '113.227.219.45', '2023-09-22 10:20:07', '', '2023-09-22 10:20:00', '', '2023-09-22 10:20:07', NULL, 647);
INSERT INTO `sys_user` VALUES (734294691680256, 734294691680257, '15042403133', '大连科力尔玻璃制品有限公司', '01', '', '', '0', '', '$2a$10$QX6oFgwp3.KC.gKnqFigFeSrU66E98YI0.lN5o9PXRExc9D8kGFDy', '0', '0', '113.227.219.45', '2023-09-22 10:20:19', '', '2023-09-22 10:20:10', '', '2023-09-22 10:20:19', NULL, 1081);
INSERT INTO `sys_user` VALUES (734341676273664, 734341676273665, '13842039391', '沈阳恒业电气科技有限公司', '01', '', '', '0', '', '$2a$10$Ipt4w64WpkC4E47Ntlc3iO5SDw7jQ6MgcxbhwcQ3Qub0qe3v8mKbW', '0', '0', '113.227.219.45', '2023-09-22 10:20:29', '', '2023-09-22 10:20:22', '', '2023-09-22 10:20:29', NULL, 1121);
INSERT INTO `sys_user` VALUES (734358197637120, 734358197637121, '大连悦光川服饰有限公司', '大连悦光川服饰有限公司', '01', '', '', '0', '', '$2a$10$iEorPHtBQOGH6qVESeemteUdFHJdqMvtZYi4URmin7mcFvPGALiPK', '0', '0', '113.227.219.45', '2023-09-22 10:20:36', '', '2023-09-22 10:20:26', '', '2023-09-22 10:20:36', NULL, 1013);
INSERT INTO `sys_user` VALUES (734380268064768, 734380268064769, 'dljh858@163.com', '大连开泰隆设备有限公司', '01', '', '', '0', '', '$2a$10$2tuV56OA9JNQyhnyl2ifpO57GwAjk1r1f5ueWlZ9hmKKS1UgsTrjO', '0', '0', '113.227.219.45', '2023-09-22 10:20:38', '', '2023-09-22 10:20:31', '', '2023-09-22 10:20:38', NULL, 972);
INSERT INTO `sys_user` VALUES (734385963929600, 734385963929601, '478833980@qq.com', '大连佳兆业赛博数码广场巴索珏电子产品经销处', '01', '', '', '0', '', '$2a$10$1kR8LHcwEINczvXzht4WgOxZ9/LvLEJtyQ4GZE8v69N5ayKw8MiK.', '0', '0', '113.227.219.45', '2023-09-22 10:20:40', '', '2023-09-22 10:20:32', '', '2023-09-22 10:20:40', NULL, 654);
INSERT INTO `sys_user` VALUES (734390669938688, 734390669938689, '15041516636@163.com', '小米粒（辽宁）食品有限公司', '01', '', '', '0', '', '$2a$10$d1PCVa7TtidSk.f1BKakJ.Nf2IHOX6x.5S0ca3Iy/eDiaCcnMHxpy', '0', '0', '113.227.219.45', '2023-09-22 10:20:41', '', '2023-09-22 10:20:33', '', '2023-09-22 10:20:41', NULL, 1102);
INSERT INTO `sys_user` VALUES (734434211008512, 734434211008513, '13842492400', '大连启臣机械有限公司', '01', '', '', '0', '', '$2a$10$MgT6rY9S4LLI5T3T6T3TOerjVz5Q/6ZRnVpDIUL3NEPsG9waLOMKi', '0', '0', '113.227.219.45', '2023-09-22 16:24:01', '', '2023-09-22 10:20:44', '', '2023-09-22 16:24:01', NULL, 1138);
INSERT INTO `sys_user` VALUES (734460375076864, 734460375076865, 'dlhllius@163.com', '大连宏朗机械工程有限公司', '01', '', '', '0', '', '$2a$10$Og4l/BZHJwtSmx1ZNyJmGuxwtFqmF.9H62FCvc.sv9Vs.IM9KI5vu', '0', '0', '113.227.219.45', '2023-09-22 10:20:58', '', '2023-09-22 10:20:50', '', '2023-09-22 10:20:58', NULL, 631);
INSERT INTO `sys_user` VALUES (734478892929024, 734478892929025, '493021830@qq.com', '益恩喜（大连）生物科技有限公司', '01', '', '', '0', '', '$2a$10$L85Z2XBiZLKuHgvI86qSxOAsYWKHwVdOBrlJBvi2i5u6lCBQ9r//S', '0', '0', '113.227.219.45', '2023-09-22 10:21:05', '', '2023-09-22 10:20:54', '', '2023-09-22 10:21:05', NULL, 632);
INSERT INTO `sys_user` VALUES (734479874396160, 734479874396161, '15034830160', '喜多多（大连）礼品有限公司', '01', '', '', '0', '', '$2a$10$nr9qWpdrFNovUKyjHFEU8Ouq1pj3/P85ks9LXmbWOVcTsTQrgvgsW', '0', '0', '113.227.219.45', '2023-09-22 10:21:03', '', '2023-09-22 10:20:55', '', '2023-09-22 10:21:03', NULL, 1055);
INSERT INTO `sys_user` VALUES (734537764179968, 734537764179969, 'dlhexinmaoyi', '大连合鑫国际贸易有限公司', '01', '', '', '0', '', '$2a$10$l04d4/j2dmCuKF8.XE3miOpgoZeN0KwLPsYKi06MNS3q19zH5Sxze', '0', '0', '113.227.219.45', '2023-09-22 10:21:27', '', '2023-09-22 10:21:08', '', '2023-09-22 10:21:27', NULL, 1067);
INSERT INTO `sys_user` VALUES (734614876459008, 734614876459009, '13889128608', '沈阳市大东区隆昌塑料厂', '01', '', '', '0', '', '$2a$10$W8AjDO2meB1CadprOIAoSuDM4u92VLsvoBqPdgv9ggALGqabion32', '0', '0', '113.227.219.45', '2023-09-22 10:21:36', '', '2023-09-22 10:21:27', '', '2023-09-22 10:21:36', NULL, 1127);
INSERT INTO `sys_user` VALUES (734630403772416, 734630403772417, '50064739@qq.com', '大连德疆网络科技有限公司', '01', '', '', '0', '', '$2a$10$gyzYtX7mp6UyDfaw3zu4bOz4lolB.IbIN9/0wCwOLxtEwuoQmRCu6', '0', '0', '113.227.219.45', '2023-09-22 10:21:42', '', '2023-09-22 10:21:30', '', '2023-09-22 10:21:42', NULL, 997);
INSERT INTO `sys_user` VALUES (734672766242816, 734672766242817, 'dlgyssf@163.com', '大连贵友科技有限公司', '01', '', '', '0', '', '$2a$10$ObfRNS6D9aQX.ktHG4YjuOqpR7oyb5riNqmiLmcFMHc8c357lmVvm', '0', '0', '113.227.219.45', '2023-09-22 10:21:50', '', '2023-09-22 10:21:41', '', '2023-09-22 10:21:50', NULL, 950);
INSERT INTO `sys_user` VALUES (734689476349952, 734689476349953, '15004032411', '沈阳召远橡胶制品有限公司', '01', '', '', '0', '', '$2a$10$tIx0NSk5cGA/Wraizn2gbeGncyeG9GQn/AWJw835L2UNrHUfE9U6a', '0', '0', '113.227.219.45', '2023-09-22 10:21:55', '', '2023-09-22 10:21:45', '', '2023-09-22 10:21:55', NULL, 936);
INSERT INTO `sys_user` VALUES (734728860864512, 734728860864513, '13889190799', '沈阳园峰机械设备有限公司', '01', '', '', '0', '', '$2a$10$g2R1bhlLazSLkCrswh2oOeOXYd2Cp2iT6Doo.hU5I0mMLnoWFDEsK', '0', '0', '113.227.219.45', '2023-09-22 10:21:59', '', '2023-09-22 10:21:54', '', '2023-09-22 10:21:59', NULL, 1091);
INSERT INTO `sys_user` VALUES (734750981623808, 734750981623809, '53775313@qq.com', '大连讷敏贸易有限公司', '01', '', '', '0', '', '$2a$10$t.pSltdEuamzGp8.v6CpbuyjHleumz09luPtAibNoVPKMDMMd5nZS', '0', '0', '113.227.219.45', '2023-09-22 10:22:10', '', '2023-09-22 10:21:59', '', '2023-09-22 10:22:10', NULL, 967);
INSERT INTO `sys_user` VALUES (734760888569856, 734760888569857, 'deantron', '大连鼎创科技开发有限公司', '01', '', '', '0', '', '$2a$10$rg9EffdCmv4lBM0gVb3O7OS/UOXCIr/gQWaPI/TiP1yFFSxu0qhyO', '0', '0', '113.227.219.45', '2023-09-22 10:22:12', '', '2023-09-22 10:22:02', '', '2023-09-22 10:22:12', NULL, 978);
INSERT INTO `sys_user` VALUES (734802697392128, 734802697392129, '13889279013', '沈阳华新环境艺术工程有限公司', '01', '', '', '0', '', '$2a$10$hSNDnWwp68FJvQ8dSpWmtujbDUAPxNL2HUUy7qK8oyflG5dG4/eOC', '0', '0', '113.227.219.45', '2023-09-22 10:22:21', '', '2023-09-22 10:22:12', '', '2023-09-22 10:22:21', NULL, 1087);
INSERT INTO `sys_user` VALUES (734819579465728, 734819579465729, '13998809846', '沈阳永鑫达机械设备租赁有限公司', '01', '', '', '0', '', '$2a$10$VYZjVBBSCm1ieh6HfhAHk.miI3pluOp3uSIXigFqpjs32C81Dgm3S', '0', '0', '113.227.219.45', '2023-09-22 10:22:25', '', '2023-09-22 10:22:16', '', '2023-09-22 10:22:25', NULL, 1076);
INSERT INTO `sys_user` VALUES (734836767723520, 734836767723521, 'daliansaji', '大连飒极体育项目管理有限公司', '01', '', '', '0', '', '$2a$10$GmeuUMG/q2YLUxICYuTYfO7F4DIy2Oy9IlBogUkeSxEx.T1H9AeQ6', '0', '0', '113.227.219.45', '2023-09-22 10:22:25', '', '2023-09-22 10:22:20', '', '2023-09-22 10:22:25', NULL, 1116);
INSERT INTO `sys_user` VALUES (734896653996032, 734896653996033, '13940961625@163.com', '大连老砖坊古建文化发展有限公司', '01', '', '', '0', '', '$2a$10$oPZTib.X11u2FNBthQCKYuZMTbKzt1p4.5HFDN/XYdF7ZGdeL7KSm', '0', '0', '113.227.219.45', '2023-09-22 10:22:43', '', '2023-09-22 10:22:34', '', '2023-09-22 10:22:43', NULL, 1140);
INSERT INTO `sys_user` VALUES (734924843913216, 734924843913217, '13889293499', '沈阳坤淼运输服务有限公司', '01', '', '', '0', '', '$2a$10$weP56oVUpzXLvasq0TpbCOcioMOBiF2p.XNRmk2lDDqsoeteyRLmG', '0', '0', '113.227.219.45', '2023-09-22 10:22:50', '', '2023-09-22 10:22:41', '', '2023-09-22 10:22:50', NULL, 1072);
INSERT INTO `sys_user` VALUES (734945303728128, 734945303728129, '森缘包装', '森缘包装制品（大连）有限公司', '01', '', '', '0', '', '$2a$10$.tNST06m4IIFnVSt6g0Us.oKy09Khnnu257eXuiSD1BxNT8gB12Ey', '0', '0', '113.227.219.45', '2023-09-22 10:23:30', '', '2023-09-22 10:22:46', '', '2023-09-22 10:23:30', NULL, 1126);
INSERT INTO `sys_user` VALUES (734945500860416, 734945500860417, 'dalianmeide_hr@163.com', '大连美德液压气动工程有限公司', '01', '', '', '0', '', '$2a$10$N0xegilAUg.U80aVAfSvfu2LKdWTzujTAK0VGPqQXUwx2sPID45mK', '0', '0', '113.227.219.45', '2023-09-22 10:22:53', '', '2023-09-22 10:22:46', '', '2023-09-22 10:22:53', NULL, 941);
INSERT INTO `sys_user` VALUES (735000362356736, 735000362356737, '541521663@qq.com', '赫尔曼科技服务（大连）有限公司', '01', '', '', '0', '', '$2a$10$zT4DysspBVixWMKMsJUdpemc.2g.W7Os.QxaOsM52ikJHUD3aaXl.', '0', '0', '113.227.219.45', '2023-09-22 10:23:11', '', '2023-09-22 10:22:59', '', '2023-09-22 10:23:11', NULL, 973);
INSERT INTO `sys_user` VALUES (735033145036800, 735033145036801, '13889806168', '辽宁众泰安防科技有限公司 ', '01', '', '', '0', '', '$2a$10$I84bazFjrfdNVySWnXENkulfk398FcfVVIKHVG4UurKmd7PKuNhWm', '0', '0', '113.227.219.45', '2023-09-22 10:24:00', '', '2023-09-22 10:23:07', '', '2023-09-22 10:24:00', NULL, 1089);
INSERT INTO `sys_user` VALUES (735094675476480, 735094675476481, 'clsxg@163.com', '云上智能网络科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$P8TpcilBtjIl7VL03ncmWeyIXExdJUwSjBtL8eePSpWuQ.m78Dw5S', '0', '0', '113.227.219.45', '2023-09-22 10:23:30', '', '2023-09-22 10:23:21', '', '2023-09-22 10:23:30', NULL, 924);
INSERT INTO `sys_user` VALUES (735114644557824, 735114644557825, '13940934336', '大连慧心源养老服务有限公司', '01', '', '', '0', '', '$2a$10$bCBh9TmScCuALKusrHp9seyJS.sb.BMkLJ91hEMt8fObX7E8PsT1K', '0', '0', '113.227.219.45', '2023-09-22 10:23:35', '', '2023-09-22 10:23:26', '', '2023-09-22 10:23:35', NULL, 1128);
INSERT INTO `sys_user` VALUES (735161490739200, 735161490739201, 'caowy@xyjd-dl.com', '大连信源机电设备有限公司', '01', '', '', '0', '', '$2a$10$Z1s5Vt.1ZZsog85gGBAtu.jNZ22VAZu4Y2.KQGIFREeO8UbLGD33G', '0', '0', '113.227.219.45', '2023-09-22 10:23:51', '', '2023-09-22 10:23:37', '', '2023-09-22 10:23:51', NULL, 1085);
INSERT INTO `sys_user` VALUES (735167903830016, 735167903830017, '549633451@qq.com', '大连鬼谷王企业咨询服务有限公司', '01', '', '', '0', '', '$2a$10$J9TA0HmgfMTB1BD2lHQExu3fqnB8.73hqePpU2Gqi4qpf/piaNpeW', '0', '0', '113.227.219.45', '2023-09-22 10:23:50', '', '2023-09-22 10:23:39', '', '2023-09-22 10:23:50', NULL, 1054);
INSERT INTO `sys_user` VALUES (735257997479936, 735257997479937, '13909881779', '沈阳明越包装有限公司', '01', '', '', '0', '', '$2a$10$l3p3QP0Qnai/SO1D4P.M1OhLsUq7THB41CccUTy0jKOCyE5eR91Dq', '0', '0', '113.227.219.45', '2023-09-22 10:24:11', '', '2023-09-22 10:24:00', '', '2023-09-22 10:24:11', NULL, 1090);
INSERT INTO `sys_user` VALUES (735258169446400, 735258169446401, 'baoshijingmi@163.com', '大连鲍氏精密机械有限公司', '01', '', '', '0', '', '$2a$10$gHR4Iz1CIRMDVzekhmOYxekgpei3PvmZEV7r0Mfv7mnpHSqY48CP.', '0', '0', '113.227.219.45', '2023-09-22 10:24:10', '', '2023-09-22 10:24:00', '', '2023-09-22 10:24:10', NULL, 1158);
INSERT INTO `sys_user` VALUES (735320383557632, 735320383557633, '13898657820@163.com', '大连卓信长盈贸易有限公司', '01', '', '', '0', '', '$2a$10$JvU61JjBHbxlDluJxNmeweK7EBvmdqBzCQlRTul4z/hkULKwOVXOe', '0', '0', '113.227.219.45', '2023-09-22 10:24:28', '', '2023-09-22 10:24:15', '', '2023-09-22 10:24:28', NULL, 971);
INSERT INTO `sys_user` VALUES (735348233736192, 735348233736193, '569116105@qq.com', '大连雀龙海参产业发展有限公司  ', '01', '', '', '0', '', '$2a$10$GIfgMgWGIS.sJRFZmPsZtOb7g27IP/zZjDEAhRSDJvmi6p419UF4O', '0', '0', '113.227.219.45', '2023-09-22 10:24:34', '', '2023-09-22 10:24:22', '', '2023-09-22 10:24:34', NULL, 993);
INSERT INTO `sys_user` VALUES (735352281239552, 735352281239553, 'amtkjdl@163.com', '阿美泰科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$51y8bBikptz7FXSIkrCLku.0mOoG98umyzq72ZgxWRljtnbFcgE8G', '0', '0', '113.227.219.45', '2023-09-22 10:24:36', '', '2023-09-22 10:24:23', '', '2023-09-22 10:24:36', NULL, 1123);
INSERT INTO `sys_user` VALUES (735376390098944, 735376390098945, '13904112076', '大连星湾科技有限公司', '01', '', '', '0', '', '$2a$10$/JayqVjjpiheeT4/4wEZjeLPeYKChUIXSjmCy52nqIl3r.YMiBF9q', '0', '0', '113.227.219.45', '2023-09-22 10:24:54', '', '2023-09-22 10:24:28', '', '2023-09-22 10:24:54', NULL, 1005);
INSERT INTO `sys_user` VALUES (735476776570880, 735476776570881, '59397747@qq.com', '青柠（大连）供应链管理有限公司', '01', '', '', '0', '', '$2a$10$ymVh.eU/ldtsVNKglG.vnusVjyW3D6YyCB9St1fktAQSJnY5PFHUi', '0', '0', '113.227.219.45', '2023-09-22 10:25:01', '', '2023-09-22 10:24:52', '', '2023-09-22 10:25:01', NULL, 1050);
INSERT INTO `sys_user` VALUES (735580614955008, 735580614955009, 'aibikang', '大连艾比康贸易有限公司', '01', '', '', '0', '', '$2a$10$m2xZhP15S2hQcPou7kofwOPuOcIzfC3ax27iOCYmQHyZfzYm1iGFK', '0', '0', '113.227.219.45', '2023-09-22 10:25:31', '', '2023-09-22 10:25:17', '', '2023-09-22 10:25:31', NULL, 1130);
INSERT INTO `sys_user` VALUES (735583689379840, 735583689379841, '沈阳彩莹矿业有限公司', '沈阳彩莹矿业有限公司', '01', '', '', '0', '', '$2a$10$rwk9i9Iub/fAcOLT/4WESufU7HuNCsJnzRBg4XtbUKyxSI4shGrle', '0', '0', '113.227.219.45', '2023-09-22 10:25:34', '', '2023-09-22 10:25:18', '', '2023-09-22 10:25:34', NULL, 852);
INSERT INTO `sys_user` VALUES (735699355701248, 735699359895552, '601015146@qq.com', '大连诚屹物流货运代理有限公司', '01', '', '', '0', '', '$2a$10$BjfyrMRkcAYGSBoARMWZDuXpK3rExUZ8L09JSUFjJkMTx.psvmN32', '0', '0', '113.227.219.45', '2023-09-22 10:25:50', '', '2023-09-22 10:25:45', '', '2023-09-22 10:25:50', NULL, 1043);
INSERT INTO `sys_user` VALUES (735702769864704, 735702769864705, '941827230@qq.com', '大连科茂商贸有限公司', '01', '', '', '0', '', '$2a$10$ZOrO8x6zpgqd5wPOMNffeuf9eUOY8hNSVhWrW2oZZQMBKR29gf2/.', '0', '0', '113.227.219.45', '2023-09-22 10:25:58', '', '2023-09-22 10:25:46', '', '2023-09-22 10:25:58', NULL, 1007);
INSERT INTO `sys_user` VALUES (735803470909440, 735803470909441, '727130615@qq.com', '大连万德润贸易有限公司', '01', '', '', '0', '', '$2a$10$oSC3NIukaoZ5yHSQU.crju14Wl4mWFpY6C4W7miXUaSHdIm9Xf9rK', '0', '0', '113.227.219.45', '2023-09-22 10:26:28', '', '2023-09-22 10:26:10', '', '2023-09-22 10:26:28', NULL, 634);
INSERT INTO `sys_user` VALUES (735807694573568, 735807694573569, '928004305@qq.com', '大连豪诺依祥商贸有限公司', '01', '', '', '0', '', '$2a$10$n.3GFSCJtyEPQcATqXRpNuI4zU6m7dPyMMCQUWU63idgPsVvzepVi', '0', '0', '113.227.219.45', '2023-09-22 10:26:27', '', '2023-09-22 10:26:11', '', '2023-09-22 10:26:27', NULL, 1131);
INSERT INTO `sys_user` VALUES (735905283444736, 735905283444737, '913819536@qq.com', '甘井子区泉水街道璐尧五金建材经销处', '01', '', '', '0', '', '$2a$10$Bzp4chdbd0ASWwhok5hfIejJV1kxUQJNCKe6oR0m5z0Lm933nVGs6', '0', '0', '113.227.219.45', '2023-09-22 10:26:44', '', '2023-09-22 10:26:34', '', '2023-09-22 10:26:44', NULL, 1008);
INSERT INTO `sys_user` VALUES (735946895134720, 735946895134721, '大连晟鋆企业管理中心（有限合伙）', '大连晟鋆企业管理中心（有限合伙）', '01', '', '', '0', '', '$2a$10$z6e9VR8IJi8s7MzPqlgyX.i7/45zLaFe60RnfJfgAqiRhljhuvITO', '0', '0', '113.227.219.45', '2023-09-22 10:26:57', '', '2023-09-22 10:26:44', '', '2023-09-22 10:26:57', NULL, 1157);
INSERT INTO `sys_user` VALUES (735948438638592, 735948438638593, '大连晟鋆企业管理中心（有限合伙）', '大连晟鋆企业管理中心（有限合伙）', '01', '', '', '0', '', '', '0', '0', '', NULL, '', '2023-09-22 10:26:45', '', NULL, NULL, 1157);
INSERT INTO `sys_user` VALUES (735962451808256, 735962451808257, '774319817@qq.com', '大连惠无忧汽车科技有限公司', '01', '', '', '0', '', '$2a$10$Kd7FyQH0CY1xQIeq5HOGSOeXQBuvoQoguB/ePl/N6egoHQH4f.miy', '0', '0', '113.227.219.45', '2023-09-22 10:27:01', '', '2023-09-22 10:26:48', '', '2023-09-22 10:27:01', NULL, 928);
INSERT INTO `sys_user` VALUES (736163115700224, 736163115700225, '潘慧妍', '大连好省财税管理有限公司', '01', '', '', '0', '', '$2a$10$21CGdekBDPmfUVJO/TfElOkv3PAABXSUUTBQE9rpCkdeNwFnapmcO', '0', '0', '113.227.219.45', '2023-09-22 10:27:47', '', '2023-09-22 10:27:36', '', '2023-09-22 10:27:47', NULL, 1099);
INSERT INTO `sys_user` VALUES (736542222061568, 736542222061569, '洪峰', '沈阳企商链科技有限公司', '01', '', '', '0', '', '$2a$10$Q7uolRTbU7IgXdjbnJK2geYCCcyxg7ZPPcQotHVn6l5q/zo/QAOT.', '0', '0', '113.227.219.45', '2023-09-22 10:29:16', '', '2023-09-22 10:29:06', '', '2023-09-22 10:29:16', NULL, 906);
INSERT INTO `sys_user` VALUES (1143207234667417600, 1143207234667417601, '桑原电机(大连)有限公司', '桑原电机(大连)有限公司', '01', '', '', '0', '', '$2a$10$wCIBPSVOf0mUDBEJ0CbL7.mJJWrgTnSO1oSaaxMkhOfUMjyWa2c52', '0', '0', '60.21.17.65', '2023-10-10 14:38:32', '', '2023-08-21 15:37:26', '', '2023-10-10 14:38:32', NULL, 675);
INSERT INTO `sys_user` VALUES (1143215441569779712, 1143215441569779713, '18640822691', '大连真材实料科技有限公司', '01', '', '18640822691', '0', '/profile/avatar/2023/09/19/blob_20230919155947A001.png', '$2a$10$UAc66vmlKu0GKW3oOZwNJu7VXf4seZO44hGl9hGmJdWgV4AWBiZ/a', '0', '0', '60.21.17.65', '2023-10-10 14:47:21', '', '2023-08-21 16:10:03', '18640822691', '2023-10-10 14:47:21', NULL, 630);
INSERT INTO `sys_user` VALUES (1143215441569779714, 1143215441569779722, 'zhushan', '朱汕', '02', '1334958565@qq.com', '13029467004', '0', '', '$2a$10$mwQq47ggQ3fso9lJLE06n.uLqw7ZB7np36a2wq3hp.VYuI3T/zpIC', '0', '0', '127.0.0.1', '2023-09-19 11:04:36', '18640822691', '2023-08-22 16:22:36', '18640822691', '2023-09-19 15:54:18', NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779715, 100, 'wj', 'wangjian', '00', '', '', '0', '', '$2a$10$.B7S7OHLVjtokxp3.pki6eZ9RGL/7rdfhOWkXeOgxZJNdlTsIW2gW', '0', '0', '', NULL, 'admin', '2023-09-07 09:19:43', 'admin', '2023-09-11 08:51:44', NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779716, 1143215441569779722, 'huiyuxuan', 'tester', '02', '', '', '0', '', '$2a$10$DX4iMRECGllGd5hmzTFsjeDPKQZzN/FkyRhCBpBSXVUBbR0YJRA4.', '0', '0', '', NULL, '18640822691', '2023-09-07 13:40:14', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779717, 1143215441569779722, 'huiyuxuan', 'tester', '02', '', '', '0', '', '$2a$10$M7CNgs2iLICoUaYYpQdgI.iSU//SbdVW5dj2zwuae7Fjj85vPaxei', '0', '0', '', NULL, '18640822691', '2023-09-07 13:42:52', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779718, 1143215441569779722, 'huiyuxuan', 'tester', '02', '', '15668631890', '0', '', '$2a$10$wEZWn/9NQrbupIT6QeCyWuX/d/GaZ3UOY.nA3JkI/6oDx8xb0ZAXe', '0', '0', '', NULL, '18640822691', '2023-09-07 13:46:58', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779719, 1143215441569779722, 'huiyuxuan', 'tester', '02', '', '', '0', '', '$2a$10$ThSLoLayXg.mZb1OCMWqDeh7rLG3cHc/Hgh63Sf8Y9OfPUXf3Dq7y', '0', '0', '', NULL, '18640822691', '2023-09-07 13:47:18', '', NULL, '1', 0);
INSERT INTO `sys_user` VALUES (1143215441569779720, 1143215441569779713, 'huiyuxuan', '1', '02', '', '', '0', '', '$2a$10$StsbUfEiBz0pD.98q9/g8OBFn.XsoYmXsDjlHk50yQ.nMO4oZeezO', '0', '0', '', NULL, '18640822691', '2023-09-07 13:53:01', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779721, 1143215441569779722, 'huiyuxuan', '1', '02', '', '', '0', '', '$2a$10$W5cF4x5R/PdRHCo7Tamr5Ofz47GVTaogbbFCX0/9vpeDtyW9hDaxK', '0', '0', '', NULL, '18640822691', '2023-09-07 13:54:09', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779722, 1143215441569779722, 'test', 'test', '02', '1204865203@qq.com', '13333333333', '2', '', '$2a$10$8I4T8CaI2hZbtrftdr/RdOgYljP4G0/Fl5wDZ4AOzc6LQNI1vZNpu', '0', '2', '', NULL, '18640822691', '2023-09-18 11:13:17', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779723, 1143215441569779722, '测试1', '测试1', '02', '12048@qq.com', '13998596750', '1', '', '$2a$10$EX/8q5Kh5ar0Es6Pqp.nFu8QjSRakIoS4YzLQkhhjHofSGmCwxvNS', '0', '2', '', NULL, '18640822691', '2023-09-18 11:15:06', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779724, 1143215441569779722, '测试1', '测试1', '02', '120468@qq.com', '13998596751', '1', '', '$2a$10$Xq9CoeOl.WJq1Y0LS0OoOe5wKJgUplXRna0IeXVQv1bs.Vl/C1t1e', '0', '0', '', NULL, '18640822691', '2023-09-18 11:16:07', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779725, 1143215441569779729, 'test1', '测试2', '02', '', '', '0', '', '$2a$10$0YsLZ7P6559CRa4wXC8.o.yVBIrtezz02O9avmZiVg9tD6H732lxm', '0', '2', '', NULL, '18640822691', '2023-09-18 13:12:57', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779726, 1143215441569779713, '测试人员', '测试', '02', '', '', '0', '', '$2a$10$Bdb8dLqw7xoWwgaJSHfn8.R4jNGKMgYoGfxVusy0HEcqvdZKN9vTa', '0', '2', '', NULL, '18640822691', '2023-09-18 13:14:59', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1143215441569779727, 1143215441569779713, '测试3', '测试3', '02', '', '', '0', '', '$2a$10$oDB2Cy1UPnVT15J.EWgxnuqOHixEiYeYFN5lwEc64ZPUvn7zA4JHC', '0', '0', '', NULL, '18640822691', '2023-09-18 13:31:15', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1153692819446173696, 1153692819446173697, '三祥·万力工业设备（大连）有限公司', '三祥·万力工业设备（大连）有限公司', '01', '', '', '0', '', '$2a$10$fDfMNo6zQuTjrStlIOX14OXWIN8aZ0Y/lrjQKCj97J6WpiT38JbDu', '0', '0', '113.227.219.45', '2023-09-22 10:09:16', '', '2023-09-19 14:03:23', '', '2023-09-22 10:09:16', NULL, 872);
INSERT INTO `sys_user` VALUES (1153695917279416320, 1153695917279416321, '上海君戎机电商行', '上海君戎机电商行', '01', '', '', '0', '', '$2a$10$8bSbztT4Agr4QrL3S9hrDeoeTCaeTOK4/aFsT.CaEyLDJTEemiEba', '0', '0', '113.227.219.45', '2023-09-22 10:09:59', '', '2023-09-19 14:15:42', '', '2023-09-22 10:09:59', NULL, 671);
INSERT INTO `sys_user` VALUES (1153696035852390400, 1153696035852390401, '东方成套设备（大连）有限公司', '东方成套设备（大连）有限公司', '01', '', '', '0', '', '$2a$10$XD8luFvSMahFRnyXNLcEiOXzSxWz2vRNlMg6qjL8rzmyt.lFUzpy2', '0', '0', '113.227.219.45', '2023-09-22 10:10:19', '', '2023-09-19 14:16:10', '', '2023-09-22 10:10:19', NULL, 676);
INSERT INTO `sys_user` VALUES (1153696229432102912, 1153696229432102913, '大连优尼沃斯体育文化发展有限公司', '大连优尼沃斯体育文化发展有限公司', '01', '', '', '0', '', '$2a$10$l8QgZNKArEzU4cI97Ifq/.LWcgP/CHBdIysVu0WHBIaw3TynV.4Bm', '0', '0', '113.227.219.45', '2023-09-22 10:04:17', '', '2023-09-19 14:16:56', '', '2023-09-22 10:04:17', NULL, 1030);
INSERT INTO `sys_user` VALUES (1153703980254236672, 1153703980254236673, '大连金益丰文化咨询有限公司', '大连金益丰文化咨询有限公司', '01', '', '', '0', '', '$2a$10$AcS.orV3UVlnejP3jOPp/.1qVDw.8RSpGogIZ3KxKqQoZDVPI3TY2', '0', '0', '113.227.219.45', '2023-09-22 10:24:08', '', '2023-09-19 14:47:44', '', '2023-09-22 10:24:08', NULL, 811);
INSERT INTO `sys_user` VALUES (1153704103952650240, 1153704103952650241, '大连金普新区孙氏溯源推拿养生坊', '大连金普新区孙氏溯源推拿养生坊', '01', '', '', '0', '', '$2a$10$UmItrbvpzoTQm9MQJGeGYeW8zNlI4RT0lKdoL64WniRJFmbLaXnHu', '0', '0', '113.227.219.45', '2023-09-22 10:22:45', '', '2023-09-19 14:48:14', '', '2023-09-22 10:22:45', NULL, 757);
INSERT INTO `sys_user` VALUES (1153704577250496512, 1153704577250496513, '大连金奇机械制造有限公司', '大连金奇机械制造有限公司', '01', '', '', '0', '', '$2a$10$GM69A2Pgv5SQ9f/ynbkCVuh/DVqcdWEgXUem9kxkt55wcWlu2tuaS', '0', '0', '113.227.219.45', '2023-09-22 10:21:35', '', '2023-09-19 14:50:07', '', '2023-09-22 10:21:35', NULL, 877);
INSERT INTO `sys_user` VALUES (1153711847397003264, 1153711847401197568, '锦州滨海新区晓静蔬菜摊床', '锦州滨海新区晓静蔬菜摊床', '01', '', '', '0', '', '$2a$10$SvGnURyuxl/Mqbdn1trlauhgvfyU/QaaRLBjxMJr/Un/9MDsKdL8C', '0', '0', '113.227.219.45', '2023-09-22 09:54:35', '', '2023-09-19 15:18:59', '', '2023-09-22 09:54:35', NULL, 841);
INSERT INTO `sys_user` VALUES (1153712453054500864, 1153712453054500865, '铁岭县健晖建材有限公司', '铁岭县健晖建材有限公司', '01', '', '', '0', '', '$2a$10$XB54bR25Vz/HLM3ODkFMLe6s/ltIKjc6exFHdxyEAOUdJuE/.8ffm', '0', '0', '113.227.219.45', '2023-09-22 09:58:58', '', '2023-09-19 15:21:24', '', '2023-09-22 09:58:58', NULL, 854);
INSERT INTO `sys_user` VALUES (1153712542099574784, 1153712542099574785, '铁岭县新世捷矿业有限公司', '铁岭县新世捷矿业有限公司', '01', '', '', '0', '', '$2a$10$wTZTuOrHNqIVNzsCS6V79OecH3SS.6AKWKHS7b8lLdA5wogdqbADy', '0', '0', '113.227.219.45', '2023-09-22 09:58:04', '', '2023-09-19 15:21:46', '', '2023-09-22 09:58:04', NULL, 853);
INSERT INTO `sys_user` VALUES (1153712863546839040, 1153712864897404928, '金普新区鑫融企业管理中心', '金普新区鑫融企业管理中心', '01', '', '', '0', '', '$2a$10$ockEqQeDvpYkIeVC6V8k2uNrH9cvXx9XzFkKCMtBXj5ea4.JoquhC', '0', '0', '113.227.219.45', '2023-09-22 09:59:48', '', '2023-09-19 15:23:05', '', '2023-09-22 09:59:48', NULL, 882);
INSERT INTO `sys_user` VALUES (1153713621071695872, 1153713622216740864, '盖州市梁屯镇喜羊羊2元超市', '盖州市梁屯镇喜羊羊2元超市', '01', '', '', '0', '', '$2a$10$93jsFfHFE0atGk7sWWBE1ORImPjllNJ31F6m/CoYbRRKh/HQYgfji', '0', '0', '113.227.219.45', '2023-09-22 10:13:32', '', '2023-09-19 15:26:09', '', '2023-09-22 10:13:32', NULL, 927);
INSERT INTO `sys_user` VALUES (1153715568315076608, 1153715568315076609, '沙河口区维京海产品店', '沙河口区维京海产品店', '01', '', '', '0', '', '$2a$10$noeMCByYtAukAkm5/C/0Je.ANdVLb.nbI4Tdoafmi/EFNXMDXhbqe', '0', '0', '113.227.219.45', '2023-09-22 10:29:07', '', '2023-09-19 15:33:47', '', '2023-09-22 10:29:07', NULL, 860);
INSERT INTO `sys_user` VALUES (1153716118414823424, 1153716118414823425, '沙河口区芃新办公家具店', '沙河口区芃新办公家具店', '01', '', '', '0', '', '$2a$10$AzwQCCOX0UyEAvws/a7Nq.T2ydt15ab/iXM86Jbu9R041JB5DN9s6', '0', '0', '113.227.219.45', '2023-09-22 10:29:39', '', '2023-09-19 15:35:57', '', '2023-09-22 10:29:39', NULL, 919);
INSERT INTO `sys_user` VALUES (1153716326456496128, 1153716326456496129, '港丰科技（大连）有限公司', '港丰科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$F0k7uhAADU8FQuN4QZWX4Odh9cRe0jYIKoMeEUQ3wgMwLuY7Zio.y', '0', '0', '113.227.219.45', '2023-09-22 10:28:46', '', '2023-09-19 15:36:48', '', '2023-09-22 10:28:46', NULL, 884);
INSERT INTO `sys_user` VALUES (1153716526810009600, 1153716526810009601, '爱产盛金（大连）硬质合金技术有限公司', '爱产盛金（大连）硬质合金技术有限公司', '01', '', '', '0', '', '$2a$10$uVOK5O2.oJGoHTrVEXOX4eTx2VXWZJPiRNUCDYTIeBi2kwL6stLZC', '0', '0', '113.227.219.45', '2023-09-22 10:28:21', '', '2023-09-19 15:37:36', '', '2023-09-22 10:28:21', NULL, 832);
INSERT INTO `sys_user` VALUES (1153717351582142464, 1153717351582142465, '环嘉德润（大连）再生资源有限公司', '环嘉德润（大连）再生资源有限公司', '01', '', '', '0', '', '$2a$10$P10NtbUMdsX7c0gvHvw6WOMBHKfz.NoCv4p0x3MmV3UMLWNQOGLtS', '0', '0', '113.227.219.45', '2023-09-22 10:29:44', '', '2023-09-19 15:40:52', '', '2023-09-22 10:29:44', NULL, 707);
INSERT INTO `sys_user` VALUES (1153717401578246144, 1153717401578246145, '瓦房店冶金轴承集团有限公司', '瓦房店冶金轴承集团有限公司', '01', '', '', '0', '', '$2a$10$OzAz8OquLdPPmjWt.ZUBLOO/h/AsN1LQgSxnO3LJBdHSXq4I245/y', '0', '0', '113.227.219.45', '2023-09-22 10:30:15', '', '2023-09-19 15:41:04', '', '2023-09-22 10:30:15', NULL, 837);
INSERT INTO `sys_user` VALUES (1153718363793526784, 1153718363793526785, '竹林人家（靖江）食品有限公司', '竹林人家（靖江）食品有限公司', '01', '', '', '0', '', '$2a$10$7teImHTX3PT1vDJN6YUjq.ReybZdhyXbVOkeUgr/Wpb6aX60B3Dz2', '0', '0', '113.227.219.45', '2023-09-22 10:12:14', '', '2023-09-19 15:44:54', '', '2023-09-22 10:12:14', NULL, 828);
INSERT INTO `sys_user` VALUES (1153718594580910080, 1153718594580910081, '甘井子区金三角市场非凡空间经销部', '甘井子区金三角市场非凡空间经销部', '01', '', '', '0', '', '$2a$10$FYXcBS70.Fi9PeS7RbdW0.S9SoE5rEsBgOSfFumyB8SANBQkIp9SK', '0', '0', '113.227.219.45', '2023-09-22 10:14:12', '', '2023-09-19 15:45:49', '', '2023-09-22 10:14:12', NULL, 698);
INSERT INTO `sys_user` VALUES (1153718594580910081, 1143215441569779713, '123', '  ', '02', '', '', '0', '', '$2a$10$eE200D2O5mNu6A4Ymv3pUOfL53YZV6ZjW9xQOKaF2HMnZW/BmYToa', '0', '2', '', NULL, '18640822691', '2023-09-19 15:55:19', '18640822691', '2023-09-19 15:55:42', NULL, 0);
INSERT INTO `sys_user` VALUES (1153718594580910082, 1143215441569779713, '12', '   ', '02', '', '', '0', '', '$2a$10$Ao6ecH6KgWcDTTezTe8EHuPaTodZhvTNMO3YO25nci2TFU0iP1wg6', '0', '0', '', NULL, '18640822691', '2023-09-19 15:56:37', '18640822691', '2023-09-20 08:23:16', NULL, 0);
INSERT INTO `sys_user` VALUES (1153722556608548864, 1153722556608548865, '大连汇平船务有限公司', '大连汇平船务有限公司', '01', '', '', '0', '', '$2a$10$ZCj3Wtqw/TiuiFsH7Gay6.tPJvuB1rCquXBnb6vYZ.i3ovDyIcNsW', '0', '0', '113.227.219.45', '2023-09-22 09:55:38', '', '2023-09-19 16:01:32', '', '2023-09-22 09:55:38', NULL, 844);
INSERT INTO `sys_user` VALUES (1153722618952683520, 1153722618952683521, '大连壹迦科技有限公司', '大连壹迦科技有限公司', '01', '', '', '0', '', '$2a$10$3pg7SkKu9vhauBMX9JG8HOksGmVDGJMlJLVw9yZ0lia.ayYpCwLpW', '0', '0', '113.227.219.45', '2023-09-22 09:55:25', '', '2023-09-19 16:01:47', '', '2023-09-22 09:55:25', NULL, 1029);
INSERT INTO `sys_user` VALUES (1153722707507023872, 1153722707507023873, '大连奇立贸易有限公司', '大连奇立贸易有限公司', '01', '', '', '0', '', '$2a$10$m9XYEIwvjCniPNhsKdTkNeT9HRdXIGFWzbi3tAEDC0cSBj/uMzjBW', '0', '0', '113.227.219.45', '2023-09-22 09:57:17', '', '2023-09-19 16:02:08', '', '2023-09-22 09:57:17', NULL, 825);
INSERT INTO `sys_user` VALUES (1153722887165841408, 1153722887165841409, '大连瀛合餐饮管理有限公司', '大连瀛合餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$ENBWr3LWRiA4MlvictoE2utYTVyeC/Vugqkq57zntVmiW1R6Q9TB.', '0', '0', '113.227.219.45', '2023-09-22 09:57:47', '', '2023-09-19 16:02:51', '', '2023-09-22 09:57:47', NULL, 896);
INSERT INTO `sys_user` VALUES (1153723000579821568, 1153723000579821569, '大连宏源消防机电工程有限公司', '大连宏源消防机电工程有限公司', '01', '', '', '0', '', '$2a$10$4afcg1Zd5SUx1p04he.RbexdHuxNVEHkwWWLO12abuWelaG9g02p.', '0', '0', '113.227.219.45', '2023-09-22 09:59:45', '', '2023-09-19 16:03:18', '', '2023-09-22 09:59:45', NULL, 893);
INSERT INTO `sys_user` VALUES (1153723008964235264, 1153723008964235265, '中好数智管理（大连）有限公司', '中好数智管理（大连）有限公司', '01', '', '', '0', '', '$2a$10$BQyQobu5By1Y0H/HLWfRpu.Ti3c5bDqE20oGplXDDdHvOBVd706eS', '0', '0', '113.227.219.45', '2023-09-22 10:10:38', '', '2023-09-19 16:03:20', '', '2023-09-22 10:10:38', NULL, 892);
INSERT INTO `sys_user` VALUES (1153723018464333824, 1153723018464333825, '大连灿星文化传媒有限公司 ', '大连灿星文化传媒有限公司', '01', '', '', '0', '', '$2a$10$MRJLTBsTizIYSKiNJ4wDnuUqd/AnQo8GIO0cZjLiTz.jHTDVs0Hfi', '0', '0', '113.227.219.45', '2023-09-22 09:58:09', '', '2023-09-19 16:03:22', '', '2023-09-22 09:58:09', NULL, 1098);
INSERT INTO `sys_user` VALUES (1153723031147909120, 1153723031147909121, '大连道和精密机械有限公司', '大连道和精密机械有限公司', '01', '', '', '0', '', '$2a$10$sgsJSnnrEO2qG9CddPcjjup9Or87VkV8qGdrIHHWmnW8vNGvxGJta', '0', '0', '113.227.219.45', '2023-09-22 10:20:38', '', '2023-09-19 16:03:25', '', '2023-09-22 10:20:38', NULL, 727);
INSERT INTO `sys_user` VALUES (1153723062416445440, 1153723062416445441, '大连宝欣贸易有限公司', '大连宝欣贸易有限公司', '01', '', '', '0', '', '$2a$10$/FdVINjso9QoDTgtH2Ydfe5ZQ15s3p9h8tWBMNDo9Jd43dyzp5Ph.', '0', '0', '113.227.219.45', '2023-09-22 10:00:09', '', '2023-09-19 16:03:33', '', '2023-09-22 10:00:09', NULL, 777);
INSERT INTO `sys_user` VALUES (1153723096331587584, 1153723096331587585, '大连壮元海生态苗业股份有限公司', '大连壮元海生态苗业股份有限公司', '01', '', '', '0', '', '$2a$10$pe6WK0nAGFuzISFa52EeS.qpBTLxb66pxQ5eD2K5f5r20jZ7WcKCm', '0', '0', '113.227.219.45', '2023-09-22 09:54:57', '', '2023-09-19 16:03:41', '', '2023-09-22 09:54:57', NULL, 750);
INSERT INTO `sys_user` VALUES (1153723117034672128, 1153723117034672129, '大连家园共育文化发展服务有限公司', '大连家园共育文化发展服务有限公司', '01', '', '', '0', '', '$2a$10$bEZjwp.H.jcD.b7CwRKLS.NYrLMvhn2ViEK.oPiNAEnZmnIFirM7u', '0', '0', '113.227.219.45', '2023-09-22 10:01:25', '', '2023-09-19 16:03:46', '', '2023-09-22 10:01:25', NULL, 666);
INSERT INTO `sys_user` VALUES (1153723217635053568, 1153723217635053569, '大连烨璐物资材料贸易有限公司', '大连烨璐物资材料贸易有限公司', '01', '', '', '0', '', '$2a$10$Im3ElAcf/Iwxcfn1h46DAe6RcgYJh5m.AmOzb0wRq6DfMKg1l9EWy', '0', '0', '113.227.219.45', '2023-09-22 09:58:35', '', '2023-09-19 16:04:10', '', '2023-09-22 09:58:35', NULL, 742);
INSERT INTO `sys_user` VALUES (1153723235209187328, 1153723235209187329, '大连基石云科技有限公司', '大连基石云科技有限公司', '01', '', '', '0', '', '$2a$10$CU51UYqT3s.TNaMhDmAWxeGvG33e.YOHOGOS9mTH0VtjIbA4kGVim', '0', '0', '113.227.219.45', '2023-09-22 09:54:30', '', '2023-09-19 16:04:14', '', '2023-09-22 09:54:30', NULL, 859);
INSERT INTO `sys_user` VALUES (1153723242545025024, 1153723242545025025, '大连富洋璨燃餐饮管理有限公司', '大连富洋璨燃餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$gogCvLD.OkEh7jTCagC5yuYSyLrqynBv9fghsObQnwL.MzQQNhFvm', '0', '0', '113.227.219.45', '2023-09-22 10:01:53', '', '2023-09-19 16:04:16', '', '2023-09-22 10:01:53', NULL, 741);
INSERT INTO `sys_user` VALUES (1153723306608824320, 1153723306608824321, '大连小欢喜文化传播有限公司', '大连小欢喜文化传播有限公司', '01', '', '', '0', '', '$2a$10$mrlaM3PTWiZfCZq4FxzAL.bwtpe6juE5tb2aAAgPXbFqL7thtdMnS', '0', '0', '113.227.219.45', '2023-09-22 10:03:37', '', '2023-09-19 16:04:31', '', '2023-09-22 10:03:37', NULL, 835);
INSERT INTO `sys_user` VALUES (1153723330860290048, 1153723330860290049, '大连焦耐技术设备有限公司', '大连焦耐技术设备有限公司', '01', '', '', '0', '', '$2a$10$QLTB43eMPsiNMGBYaegJoOnkHGQ2NVWtvC405ezu8c3qPoeJnvql.', '0', '0', '113.227.219.45', '2023-09-22 09:59:04', '', '2023-09-19 16:04:37', '', '2023-09-22 09:59:04', NULL, 883);
INSERT INTO `sys_user` VALUES (1153723332009529344, 1153723332009529345, '大连埃斯安泵业有限公司', '大连埃斯安泵业有限公司', '01', '', '', '0', '', '$2a$10$DgUM62K7btDMEL2Tt6W01.ul.Sf1Vo/9kcIUaRM58Omh2.CF1VSnG', '0', '0', '113.227.219.45', '2023-09-22 09:54:01', '', '2023-09-19 16:04:37', '', '2023-09-22 09:54:01', NULL, 875);
INSERT INTO `sys_user` VALUES (1153723362871218176, 1153723362871218177, '大连市沙河口区心航教育培训学校有限公司', '大连市沙河口区心航教育培训学校有限公司', '01', '', '', '0', '', '$2a$10$3bajYrWNs59NrtKltyBktOJscid0XYBbE5geyra4WcItFsSP5qyRe', '0', '0', '113.227.219.45', '2023-09-22 10:08:21', '', '2023-09-19 16:04:44', '', '2023-09-22 10:08:21', NULL, 999);
INSERT INTO `sys_user` VALUES (1153723402318647296, 1153723402318647297, '大连市沙河口区新宏达轮胎经销处', '大连市沙河口区新宏达轮胎经销处', '01', '', '', '0', '', '$2a$10$edEVFIHV.nwfLZjR4ro3Fu1KY.L6oTB4pUcw49zZ4DBdw9ie0u7/S', '0', '0', '113.227.219.45', '2023-09-22 10:08:52', '', '2023-09-19 16:04:54', '', '2023-09-22 10:08:52', NULL, 856);
INSERT INTO `sys_user` VALUES (1153723441237594112, 1153723441237594113, '大连焦耐节能服务有限公司', '大连焦耐节能服务有限公司', '01', '', '', '0', '', '$2a$10$bbf.3xvbiyeGEn2L.5wTtu6Khzq3rgTahkDYQGO3fkLoiyFSjjyzi', '0', '0', '113.227.219.45', '2023-09-22 09:59:37', '', '2023-09-19 16:05:03', '', '2023-09-22 09:59:37', NULL, 849);
INSERT INTO `sys_user` VALUES (1153723454076358656, 1153723454076358657, '大连圣龙投资顾问有限公司', '大连圣龙投资顾问有限公司', '01', '', '', '0', '', '$2a$10$QJlANT1.AgQ45ndlACAGPuhevmJQpyLOXEpj4qxTvovwLrgqFiHI2', '0', '0', '113.227.219.45', '2023-09-22 09:53:37', '', '2023-09-19 16:05:06', '', '2023-09-22 09:53:37', NULL, 847);
INSERT INTO `sys_user` VALUES (1153723458643955712, 1153723458643955713, '大连市沙河口区美丽起点美容养生馆', '大连市沙河口区美丽起点美容养生馆', '01', '', '', '0', '', '$2a$10$T4chK2XrL9nP8rpjX52NlOpJPF/Hznep3dShB8t25pXeavmAguzuC', '0', '0', '113.227.219.45', '2023-09-22 10:09:21', '', '2023-09-19 16:05:07', '', '2023-09-22 10:09:21', NULL, 756);
INSERT INTO `sys_user` VALUES (1153723532526620672, 1153723532526620673, '大连图月贸易有限公司', '大连图月贸易有限公司', '01', '', '', '0', '', '$2a$10$To7wTfcUlBFS6khJcJcUt.0I14jGxu/bwdxOfYKIvRhm6o4VeG7Ym', '0', '0', '113.227.219.45', '2023-09-22 09:53:04', '', '2023-09-19 16:05:25', '', '2023-09-22 09:53:04', NULL, 897);
INSERT INTO `sys_user` VALUES (1153723541460488192, 1153723541460488193, '大连牛乐鲜食品有限公司', '大连牛乐鲜食品有限公司', '01', '', '', '0', '', '$2a$10$Ha6e9Nz7kzsnc6SkWClvc.ig.e/znRbthdTg8iBBOYfEHCD/iQzJK', '0', '0', '113.227.219.45', '2023-09-22 09:59:58', '', '2023-09-19 16:05:27', '', '2023-09-22 09:59:58', NULL, 1028);
INSERT INTO `sys_user` VALUES (1153723541594705920, 1153723541594705921, '大连市甘井子区名仕工商管理培训学校', '大连市甘井子区名仕工商管理培训学校', '01', '', '', '0', '', '$2a$10$T5feXjuxl7gOUBknQnYwRu.3wKzkOiqEA3s3F8ExpOfQQAc4GG6t2', '0', '0', '113.227.219.45', '2023-09-22 10:10:23', '', '2023-09-19 16:05:27', '', '2023-09-22 10:10:23', NULL, 755);
INSERT INTO `sys_user` VALUES (1153723597026627584, 1153723597026627585, '大连市甘井子区大连湾街道弘日电子技术服务部', '大连市甘井子区大连湾街道弘日电子技术服务部', '01', '', '', '0', '', '$2a$10$HP7kBzzKH14JxMW.7xayKeGCBr611SSSWCi3DgnMmDXium1JinnbW', '0', '0', '113.227.219.45', '2023-09-22 10:10:45', '', '2023-09-19 16:05:40', '', '2023-09-22 10:10:45', NULL, 662);
INSERT INTO `sys_user` VALUES (1153723618312720384, 1153723618312720385, '大连嘉辕国际贸易有限公司', '大连嘉辕国际贸易有限公司', '01', '', '', '0', '', '$2a$10$S4UrmUCKg.bffcumJYBmT.x01a78WLPSuC2LKvZoX.eD5xXnWJNMC', '0', '0', '113.227.219.45', '2023-09-22 09:52:33', '', '2023-09-19 16:05:45', '', '2023-09-22 09:52:34', NULL, 701);
INSERT INTO `sys_user` VALUES (1153723625279459328, 1153723625279459329, '大连特大果智能设备科技有限公司', '大连特大果智能设备科技有限公司', '01', '', '', '0', '', '$2a$10$fi1pWhvCKcNYIc52I1zzCOTItYxD6XI.Ihs2VQaj0uttmUQYfGv5K', '0', '0', '113.227.219.45', '2023-09-22 10:00:23', '', '2023-09-19 16:05:47', '', '2023-09-22 10:00:23', NULL, 911);
INSERT INTO `sys_user` VALUES (1153723659337207808, 1153723659337207809, '大连市西岗区泰霖变频器厂', '大连市西岗区泰霖变频器厂', '01', '', '', '0', '', '$2a$10$s0k.2JEPyOpFt51sWQgn0OMJdnINfZucdjPqbyaQky/.AQg./KuRe', '0', '0', '113.227.219.45', '2023-09-22 10:12:16', '', '2023-09-19 16:05:55', '', '2023-09-22 10:12:16', NULL, 830);
INSERT INTO `sys_user` VALUES (1153723693529174016, 1153723693529174017, '大连嘉蕙商贸有限公司', '大连嘉蕙商贸有限公司', '01', '', '', '0', '', '$2a$10$n8oZ0M4kEuGtvxcpKGn2jus7nE8pTph7Uo7AlD2uea3EJrUobMG9C', '0', '0', '113.227.219.45', '2023-09-22 09:51:59', '', '2023-09-19 16:06:03', '', '2023-09-22 09:51:59', NULL, 690);
INSERT INTO `sys_user` VALUES (1153723699208261632, 1153723699208261633, '大连广远船舶技术有限公司', '大连广远船舶技术有限公司', '01', '', '', '0', '', '$2a$10$Cvc78T2aeckVEDbiqUQuIehCWD9LxtbaoRez27UpQGghO/ewm/fdu', '0', '0', '113.227.219.45', '2023-09-22 10:13:33', '', '2023-09-19 16:06:05', '', '2023-09-22 10:13:33', NULL, 1024);
INSERT INTO `sys_user` VALUES (1153723703977185280, 1153723703977185281, '大连玖美嘉穗科技有限公司', '大连玖美嘉穗科技有限公司', '01', '', '', '0', '', '$2a$10$TWgPdjA8msdWkahaF0SkROOQ3Xqbqhs/9QH6Dn0a8jG95UEJbjz7S', '0', '0', '113.227.219.45', '2023-09-22 10:00:54', '', '2023-09-19 16:06:06', '', '2023-09-22 10:00:54', NULL, 716);
INSERT INTO `sys_user` VALUES (1153723760902279168, 1153723760902279169, '大连建洪建筑劳务有限公司', '大连建洪建筑劳务有限公司', '01', '', '', '0', '', '$2a$10$Cjxn9JWPSBkV/OkifG5RbOVk.da9TRvWERHNaebzKr2bbLm3Pxsly', '0', '0', '113.227.219.45', '2023-09-22 10:14:05', '', '2023-09-19 16:06:19', '', '2023-09-22 10:14:05', NULL, 1025);
INSERT INTO `sys_user` VALUES (1153723774219194368, 1153723774219194369, '大连嘉易智造工业有限公司', '大连嘉易智造工业有限公司', '01', '', '', '0', '', '$2a$10$fffc2l215HUKGd.cEmz06O9TgxKcOEqNxfhxGRtXJRKL.FKBsYJ4.', '0', '0', '113.227.219.45', '2023-09-22 09:49:44', '', '2023-09-19 16:06:22', '', '2023-09-22 09:49:44', NULL, 814);
INSERT INTO `sys_user` VALUES (1153723788769234944, 1153723788769234945, '大连珂尼赛格电气有限公司', '大连珂尼赛格电气有限公司', '01', '', '', '0', '', '$2a$10$1aNINgratnk2M5glgo.Zv.NkDribdPjWjGDS7gVN34g3.igCAlhru', '0', '0', '113.227.219.45', '2023-09-22 10:01:26', '', '2023-09-19 16:06:26', '', '2023-09-22 10:01:26', NULL, 702);
INSERT INTO `sys_user` VALUES (1153723810982268928, 1153723810982268929, '大连弗贝电子商务有限公司', '大连弗贝电子商务有限公司', '01', '', '', '0', '', '$2a$10$SeBM.EHfslXPu0XPq08roeJ6E9N72/ZQ5IEiv2eVqxypFC3t3lada', '0', '0', '113.227.219.45', '2023-09-22 10:14:38', '', '2023-09-19 16:06:31', '', '2023-09-22 10:14:38', NULL, 719);
INSERT INTO `sys_user` VALUES (1153723868410679296, 1153723868410679297, '大连嘉忆装饰装修工程有限公司', '大连嘉忆装饰装修工程有限公司', '01', '', '', '0', '', '$2a$10$v1Wj3ZA8wijv1O47lXECFOnZRIoDWBCbbb2kH/MOnQCDRw.Wabb/.', '0', '0', '113.227.219.45', '2023-09-22 10:25:08', '', '2023-09-19 16:06:45', '', '2023-09-22 10:25:09', NULL, 895);
INSERT INTO `sys_user` VALUES (1153723887641563136, 1153723887641563137, '大连强盛贸易有限公司', '大连强盛贸易有限公司', '01', '', '', '0', '', '$2a$10$CWbvxBljVhd1dA4DUoaTkuEqooxqkvI0/yxbBqX/7rFzzedkNEs6y', '0', '0', '113.227.219.45', '2023-09-22 10:15:04', '', '2023-09-19 16:06:49', '', '2023-09-22 10:15:04', NULL, 917);
INSERT INTO `sys_user` VALUES (1153723927743303680, 1153723927743303681, '大连瑞德国际货运代理有限公司', '大连瑞德国际货运代理有限公司', '01', '', '', '0', '', '$2a$10$qTDWrhcBmbptAQYqCU00DOIXLpTt0myfKc3DIksx/IrydcVPWuXum', '0', '0', '113.227.219.45', '2023-09-22 10:02:17', '', '2023-09-19 16:06:59', '', '2023-09-22 10:02:17', NULL, 700);
INSERT INTO `sys_user` VALUES (1153723945594261504, 1153723945594261505, '大连德茂装饰工程有限公司', '大连德茂装饰工程有限公司', '01', '', '', '0', '', '$2a$10$YyAINXTOZx2ob1PlQCnMd.0Jquj6gDlORlVTZalenRbGsy6FdYCTe', '0', '0', '113.227.219.45', '2023-09-22 10:17:05', '', '2023-09-19 16:07:03', '', '2023-09-22 10:17:05', NULL, 862);
INSERT INTO `sys_user` VALUES (1153723955815780352, 1153723955815780353, '大连喜上枝头信息科技有限公司', '大连喜上枝头信息科技有限公司', '01', '', '', '0', '', '$2a$10$SRScbdNQCc4rPeqYOysu6eMv6kuZp9Cq1PFlbDgQ.oisNoeFrbmBC', '0', '0', '113.227.219.45', '2023-09-22 10:15:15', '', '2023-09-19 16:07:06', '', '2023-09-22 10:15:15', NULL, 696);
INSERT INTO `sys_user` VALUES (1153723999147134976, 1153723999147134977, '大连思泰博模具技术有限公司', '大连思泰博模具技术有限公司', '01', '', '', '0', '', '$2a$10$0a/W2bQQsIsPKe22j7d.D.eH7iSbJBJ/7Kv5F1bkKEP.k3H66JHqa', '0', '0', '113.227.219.45', '2023-09-22 10:17:46', '', '2023-09-19 16:07:16', '', '2023-09-22 10:17:46', NULL, 874);
INSERT INTO `sys_user` VALUES (1153724006642356224, 1153724006642356225, '大连瑞新家具有限公司', '大连瑞新家具有限公司', '01', '', '', '0', '', '$2a$10$fI2OxfEKmbXe34kgJOnD8.6xMP48bIGwQxn3llmg3/M191MMMGngK', '0', '0', '113.227.219.45', '2023-09-22 10:03:02', '', '2023-09-19 16:07:18', '', '2023-09-22 10:03:02', NULL, 842);
INSERT INTO `sys_user` VALUES (1153724026619826176, 1153724026619826177, '大连哈斯数控机床有限公司', '大连哈斯数控机床有限公司', '01', '', '', '0', '', '$2a$10$zKCsogMMBTdJnT3vBqxqMes5breSeLNeqCGGEE/7UefmiBR7eWI3m', '0', '0', '113.227.219.45', '2023-09-22 10:14:04', '', '2023-09-19 16:07:23', '', '2023-09-22 10:14:04', NULL, 873);
INSERT INTO `sys_user` VALUES (1153724049394896896, 1153724049394896897, '大连恒盛远科技发展有限公司', '大连恒盛远科技发展有限公司', '01', '', '', '0', '', '$2a$10$jh6QY0WcV7TeFh7s7pdyhex.f6R272wL93To3.XhGbJfbSQlZwdKy', '0', '0', '113.227.219.45', '2023-09-22 10:19:20', '', '2023-09-19 16:07:28', '', '2023-09-22 10:19:20', NULL, 940);
INSERT INTO `sys_user` VALUES (1153724097771999232, 1153724097771999233, '大连成宇科技发展有限公司', '大连成宇科技发展有限公司', '01', '', '', '0', '', '$2a$10$5dW1Lto9WpeLgtv3FzwDGu3yZ4KEHFjvpNF9i1m8yViQevv3hnPPC', '0', '0', '113.227.219.45', '2023-09-22 10:22:49', '', '2023-09-19 16:07:40', '', '2023-09-22 10:22:49', NULL, 691);
INSERT INTO `sys_user` VALUES (1153724105414021120, 1153724105414021121, '大连电子城明辉电脑商行', '大连电子城明辉电脑商行', '01', '', '', '0', '', '$2a$10$piNmX8AJIN7hkVND7pxjUe/o9vZWykvLfZvQckvCqi6IPlrpmJxLC', '0', '0', '127.0.0.1', '2023-09-22 14:12:19', '', '2023-09-19 16:07:41', '', '2023-09-22 14:12:19', NULL, 689);
INSERT INTO `sys_user` VALUES (1153724144622374912, 1153724144622374913, '大连和木生木业有限公司', '大连和木生木业有限公司', '01', '', '', '0', '', '$2a$10$ZYEzzPyI2Bf/w8d5xnwuQuvDN4dpL2e4gUGLoyuATTJ1RqfBH.zpW', '0', '0', '113.227.219.45', '2023-09-22 10:13:41', '', '2023-09-19 16:07:51', '', '2023-09-22 10:13:41', NULL, 1094);
INSERT INTO `sys_user` VALUES (1153724152243425280, 1153724152243425281, '大连成鑫胶辊厂', '大连成鑫胶辊厂', '01', '', '', '0', '', '$2a$10$l7jfRYDy.GIlJKd5fi6f4.yhkCJyb3qayO5xkEOXgkzZ6NLzDDcwG', '0', '0', '113.227.219.45', '2023-09-22 10:24:03', '', '2023-09-19 16:07:53', '', '2023-09-22 10:24:03', NULL, 812);
INSERT INTO `sys_user` VALUES (1153724183570681856, 1153724183570681857, '大连百瀚精密机械有限公司', '大连百瀚精密机械有限公司', '01', '', '', '0', '', '$2a$10$wlMtd40eG22qBbcJUHYerO2fSg48hXFmtcGDr.GDnuaR5YxFeTA/u', '0', '0', '113.227.219.45', '2023-09-22 10:06:02', '', '2023-09-19 16:08:00', '', '2023-09-22 10:06:02', NULL, 834);
INSERT INTO `sys_user` VALUES (1153724204298932224, 1153724204298932225, '大连旅顺滨海船舶修造有限公司', '大连旅顺滨海船舶修造有限公司', '01', '', '', '0', '', '$2a$10$l577IBpn8h49EvRN48s/4.7HiiIU4OMAh8yixAZZ.4Dzn2aqPxgt.', '0', '0', '113.227.219.45', '2023-09-22 10:25:28', '', '2023-09-19 16:08:05', '', '2023-09-22 10:25:28', NULL, 848);
INSERT INTO `sys_user` VALUES (1153724207419494400, 1153724207419494401, '甘井子区凯尚手工皮具坊', '甘井子区凯尚手工皮具坊', '01', '', '', '0', '', '$2a$10$SdQibpkx02cv5uZu/tgM/.YKlNPEGsx6pnkrtWfxAWwQu.RfFAABu', '0', '0', '113.227.219.45', '2023-09-22 10:30:48', '', '2023-09-19 16:08:06', '', '2023-09-22 10:30:48', NULL, 970);
INSERT INTO `sys_user` VALUES (1153724223685005312, 1153724223685005313, '大连启辉精密仪器有限公司', '大连启辉精密仪器有限公司', '01', '', '', '0', '', '$2a$10$3c7xt6aT80UXZNVut8sIiutYiF5CQ00lDgTniyOhct0XZ7Mio9qli', '0', '0', '113.227.219.45', '2023-09-22 10:13:26', '', '2023-09-19 16:08:10', '', '2023-09-22 10:13:26', NULL, 729);
INSERT INTO `sys_user` VALUES (1153724268153016320, 1153724268153016321, '大连日吉精密模具有限公司', '大连日吉精密模具有限公司', '01', '', '', '0', '', '$2a$10$mvrmsxGF2hMaB1HpHPWdsOdZ1.qQFz3sbfgYAkTZ9KEDwBBPc25WG', '0', '0', '113.227.219.45', '2023-09-22 10:26:03', '', '2023-09-19 16:08:20', '', '2023-09-22 10:26:03', NULL, 867);
INSERT INTO `sys_user` VALUES (1153724302038798336, 1153724302038798337, '大连名域海洋科技有限公司', '大连名域海洋科技有限公司', '01', '', '', '0', '', '$2a$10$aco4TjyYjR0FfubF5RfeOO1zEkCQCHhLtuWfOCiPFc/xR9vkXMtam', '0', '0', '113.227.219.45', '2023-09-22 10:12:40', '', '2023-09-19 16:08:28', '', '2023-09-22 10:12:40', NULL, 1026);
INSERT INTO `sys_user` VALUES (1153724308422529024, 1153724308422529025, '甘井子区千山路亨得利眼镜专卖店', '甘井子区千山路亨得利眼镜专卖店', '01', '', '', '0', '', '$2a$10$ZGYvI2S9tlUSmE01Ngp2vug4mfwJHjLGmpDE.K7KYT//85AFJw/o.', '0', '0', '113.227.219.45', '2023-09-22 10:28:22', '', '2023-09-19 16:08:30', '', '2023-09-22 10:28:22', NULL, 699);
INSERT INTO `sys_user` VALUES (1153724311002025984, 1153724311002025985, '大连百禾餐饮管理有限公司', '大连百禾餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$87L8FLmnHGo1UO3uBoCvDuavKQW/N1tJa0Ikp5feNyoADUhTAkeO.', '0', '0', '113.227.219.45', '2023-09-22 10:06:27', '', '2023-09-19 16:08:30', '', '2023-09-22 10:06:27', NULL, 861);
INSERT INTO `sys_user` VALUES (1153724325111664640, 1153724325111664641, '大连鑫莉装饰装修工程有限公司', '大连鑫莉装饰装修工程有限公司', '01', '', '', '0', '', '$2a$10$40u6NGvnD1bcVVcQB6Yvwe0JdyrrMQltzacjJ99ZmdgRK9SmdmlXS', '0', '0', '113.227.219.45', '2023-09-22 09:51:42', '', '2023-09-19 16:08:34', '', '2023-09-22 09:51:42', NULL, 1053);
INSERT INTO `sys_user` VALUES (1153724329784119296, 1153724329784119297, '大连昊通物流有限公司', '大连昊通物流有限公司', '01', '', '', '0', '', '$2a$10$pL2T3d9DOXLv3v09B9gVsu4CIkubJNgXj3jBF8l2GCmSZA.ypKLA.', '0', '0', '113.227.219.45', '2023-09-22 10:26:30', '', '2023-09-19 16:08:35', '', '2023-09-22 10:26:30', NULL, 838);
INSERT INTO `sys_user` VALUES (1153724383706091520, 1153724383706091521, '大连智云汇智能科技有限公司', '大连智云汇智能科技有限公司', '01', '', '', '0', '', '$2a$10$gqmuRKVRDO5vs8ZfwFTNPeXv/SY9.GUOCz6zrjR3EewVo7rAcWDbW', '0', '0', '113.227.219.45', '2023-09-22 10:27:22', '', '2023-09-19 16:08:48', '', '2023-09-22 10:27:22', NULL, 769);
INSERT INTO `sys_user` VALUES (1153724402479796224, 1153724402479796225, '甘井子区营城子农贸市场雪梅灯具店', '甘井子区营城子农贸市场雪梅灯具店', '01', '', '', '0', '', '$2a$10$LLgmWtkl.R6u3aABTw.BaeYl0HGqsZnBYa6pLyjlnsLXo1D2EHL6S', '0', '0', '113.227.219.45', '2023-09-22 10:15:17', '', '2023-09-19 16:08:52', '', '2023-09-22 10:15:17', NULL, 833);
INSERT INTO `sys_user` VALUES (1153724403012472832, 1153724403012472833, '大连益利亚工程机械有限公司', '大连益利亚工程机械有限公司', '01', '', '', '0', '', '$2a$10$PJTlLRRPxNcHOUMDwC3nq.PLJkpoYzCptUgcywwCXsn1PG9kyBBfe', '0', '0', '113.227.219.45', '2023-09-22 10:07:32', '', '2023-09-19 16:08:52', '', '2023-09-22 10:07:32', NULL, 1042);
INSERT INTO `sys_user` VALUES (1153724403494817792, 1153724403494817793, '大连合越供应链管理有限公司', '大连合越供应链管理有限公司', '01', '', '', '0', '', '$2a$10$FZubf3UenL.zOsSSUmoAwOJ87nSuUgD2lq7wQX47n3vpqV9m/SQiW', '0', '0', '113.227.219.45', '2023-09-22 10:12:28', '', '2023-09-19 16:08:52', '', '2023-09-22 10:12:28', NULL, 709);
INSERT INTO `sys_user` VALUES (1153724432561344512, 1153724432561344513, '大连格尔迈斯合成材料有限公司', '大连格尔迈斯合成材料有限公司', '01', '', '', '0', '', '$2a$10$V45.kc7LCl5BOboL3gM/JeIg9W2v92YZuTuWy.kfI7X7X6LU6E04O', '0', '0', '113.227.219.45', '2023-09-22 10:28:07', '', '2023-09-19 16:08:59', '', '2023-09-22 10:28:07', NULL, 822);
INSERT INTO `sys_user` VALUES (1153724479537549312, 1153724479537549313, '大连秀月房地产经纪有限公司', '大连秀月房地产经纪有限公司', '01', '', '', '0', '', '$2a$10$DD72CS50aHdh/4q6aJXCsOB9.YEwv8AM/F8H5ryo0qCsEk7W8r7PS', '0', '0', '113.227.219.45', '2023-09-22 10:09:03', '', '2023-09-19 16:09:11', '', '2023-09-22 10:09:03', NULL, 836);
INSERT INTO `sys_user` VALUES (1153724496650309632, 1153724496650309633, '大连桃源商业批发有限公司', '大连桃源商业批发有限公司', '01', '', '', '0', '', '$2a$10$5q026BAg1d9xE69TxRHgx.XfPUCNcT7IJFElX3XOpFREyKTJaLxy6', '0', '0', '113.227.219.45', '2023-09-22 09:49:47', '', '2023-09-19 16:09:15', '', '2023-09-22 09:49:47', NULL, 758);
INSERT INTO `sys_user` VALUES (1153724530074718208, 1153724530074718209, '大连古源坊酒业有限公司', '大连古源坊酒业有限公司', '01', '', '', '0', '', '$2a$10$C9k.C27foPUXs9JiE1RQfecSkMdct0/sswNHGIYuU.xPS9GPC7MwS', '0', '0', '113.227.219.45', '2023-09-22 10:11:58', '', '2023-09-19 16:09:23', '', '2023-09-22 10:11:58', NULL, 759);
INSERT INTO `sys_user` VALUES (1153724536575889408, 1153724536575889409, '甘井子区辛寨子街道淞景香汤养生馆', '甘井子区辛寨子街道淞景香汤养生馆', '01', '', '', '0', '', '$2a$10$8utl2mVUb1saxl0ZQXzdqe2MCGwh2obaqCvzxtWsJu6h.1VAUtk.W', '0', '0', '113.227.219.45', '2023-09-22 10:14:55', '', '2023-09-19 16:09:24', '', '2023-09-22 10:14:55', NULL, 778);
INSERT INTO `sys_user` VALUES (1153724551746686976, 1153724551746686977, '大连科天新材料有限公司', '大连科天新材料有限公司', '01', '', '', '0', '', '$2a$10$ywlSpgYfPk6f2JcK0a9Y.uUEWwC7/ZNTELcnlUBQjcS3zvaTsB9QS', '0', '0', '113.227.219.45', '2023-09-22 10:09:27', '', '2023-09-19 16:09:28', '', '2023-09-22 10:09:27', NULL, 668);
INSERT INTO `sys_user` VALUES (1153724584671973376, 1153724584671973377, '甘井子区金三角市场宝安居照明器材经销部', '甘井子区金三角市场宝安居照明器材经销部', '01', '', '', '0', '', '$2a$10$jHYi8NA.HFpCcpaIGxeyNeE6Ie58ri3YCKxda.nMUnMJMf134jnCe', '0', '0', '113.227.219.45', '2023-09-22 10:14:30', '', '2023-09-19 16:09:36', '', '2023-09-22 10:14:30', NULL, 682);
INSERT INTO `sys_user` VALUES (1153724618507423744, 1153724618507423745, '大连精一企业管理咨询有限公司', '大连精一企业管理咨询有限公司', '01', '', '', '0', '', '$2a$10$GEp9iF5q.S/6YXQHVsGsSO8JSVvd1/5fK98kfaE0ZsqBVM7yUXcam', '0', '0', '113.227.219.45', '2023-09-22 10:10:16', '', '2023-09-19 16:09:44', '', '2023-09-22 10:10:16', NULL, 858);
INSERT INTO `sys_user` VALUES (1153724654515523584, 1153724654515523585, '大连毅捷船舶技术服务有限公司', '大连毅捷船舶技术服务有限公司', '01', '', '', '0', '', '$2a$10$ZWsCkjCLhZOmHM1ZuEN/tOskws8avMVFEZpiyT8zk8vVptofjJOve', '0', '0', '113.227.219.45', '2023-09-22 09:52:52', '', '2023-09-19 16:09:52', '', '2023-09-22 09:52:52', NULL, 829);
INSERT INTO `sys_user` VALUES (1153724675860336640, 1153724675860336641, '大连鑫辉数字科技有限公司', '大连鑫辉数字科技有限公司', '01', '', '', '0', '', '$2a$10$qSBPVd6vTLcBz.61na.1Ke8LJGLCKRmeOcMFYUB.VMUET1dTl7mtC', '0', '0', '113.227.219.45', '2023-09-22 09:52:43', '', '2023-09-19 16:09:57', '', '2023-09-22 09:52:43', NULL, 714);
INSERT INTO `sys_user` VALUES (1153724695992995840, 1153724695992995841, '大连精一供应链有限公司', '大连精一供应链有限公司', '01', '', '', '0', '', '$2a$10$CvxdiZaOHyig6e9LZc55eO/wl3GDz8s8lQBNi2xbR3SC5z1B9kNqS', '0', '0', '113.227.219.45', '2023-09-22 10:10:45', '', '2023-09-19 16:10:02', '', '2023-09-22 10:10:45', NULL, 886);
INSERT INTO `sys_user` VALUES (1153724702443835392, 1153724702443835393, '大连博斯特科技有限公司', '大连博斯特科技有限公司', '01', '', '', '0', '', '$2a$10$7AdFbkT0QmOSGRgWCNdleOzNUISAuGPYMYoL0i.y7THuzVagWDC8e', '0', '0', '113.227.219.45', '2023-09-22 10:11:21', '', '2023-09-19 16:10:04', '', '2023-09-22 10:11:21', NULL, 732);
INSERT INTO `sys_user` VALUES (1153724721934766080, 1153724721934766081, '大连永晟农业发展有限公司', '大连永晟农业发展有限公司', '01', '', '', '0', '', '$2a$10$e9fOvI1sd8rAFwVBSNI0NOx508G9VQE4y9e0A5rkM3W44ioPCQrnq', '0', '0', '113.227.219.45', '2023-09-22 09:54:43', '', '2023-09-19 16:10:08', '', '2023-09-22 09:54:43', NULL, 843);
INSERT INTO `sys_user` VALUES (1153724770408337408, 1153724770408337409, '大连经济技术开发区海青海鸣信息咨询部', '大连经济技术开发区海青海鸣信息咨询部', '01', '', '', '0', '', '$2a$10$8IIxRWYDZ5KSwcL1K/VaY.YBsh9P8Zfpgl8Acj74w7dqGw9b/mpu6', '0', '0', '113.227.219.45', '2023-09-22 10:11:27', '', '2023-09-19 16:10:20', '', '2023-09-22 10:11:27', NULL, 824);
INSERT INTO `sys_user` VALUES (1153724790004125696, 1153724790004125697, '大连阿来德好利模塑有限公司', '大连阿来德好利模塑有限公司', '01', '', '', '0', '', '$2a$10$aqzIP2geLTymt/g5rcDnsOjF66J5cuKYe8rwoe5YD.g8z4xss1TUu', '0', '0', '113.227.219.45', '2023-09-22 09:54:41', '', '2023-09-19 16:10:25', '', '2023-09-22 09:54:41', NULL, 752);
INSERT INTO `sys_user` VALUES (1153724801328746496, 1153724801328746497, '盘锦恒发商贸有限公司', '盘锦恒发商贸有限公司', '01', '', '', '0', '', '$2a$10$wkQb7ft1QD8Ds.ZF9tRA1Odn1Rt9pzHuDFB.HVaAyVRWxExXEOQu2', '0', '0', '113.227.219.45', '2023-09-22 10:13:00', '', '2023-09-19 16:10:27', '', '2023-09-22 10:13:00', NULL, 855);
INSERT INTO `sys_user` VALUES (1153724808236765184, 1153724808236765185, '大连华昌国际贸易有限公司', '大连华昌国际贸易有限公司', '01', '', '', '0', '', '$2a$10$LHJ1/ZQHS2It5ObGN5egyeRnrRFoAAaRE6.66/Dw8x1ptCCImBmAW', '0', '0', '113.227.219.45', '2023-09-22 10:10:58', '', '2023-09-19 16:10:29', '', '2023-09-22 10:10:58', NULL, 731);
INSERT INTO `sys_user` VALUES (1153724840931364864, 1153724840931364865, '大连自贸区民健国际贸易有限公司', '大连自贸区民健国际贸易有限公司', '01', '', '', '0', '', '$2a$10$bbyiv7ojqDIS5KcbooF5POh2DePiMAOKRzZtXHabH5WoU5pCyCdZW', '0', '0', '113.227.219.45', '2023-09-22 10:12:57', '', '2023-09-19 16:10:37', '', '2023-09-22 10:12:57', NULL, 870);
INSERT INTO `sys_user` VALUES (1153724883692294144, 1153724883692294145, '大连华恒重型机床有限公司', '大连华恒重型机床有限公司', '01', '', '', '0', '', '$2a$10$sogp8hAcwYIG3f/.h/Nd/O8m535zlDjZslbV1G1PjbuCCnhahEmPa', '0', '0', '113.227.219.45', '2023-09-22 10:10:37', '', '2023-09-19 16:10:47', '', '2023-09-22 10:10:37', NULL, 845);
INSERT INTO `sys_user` VALUES (1153724902868652032, 1153724902868652033, '大连青麦田科技有限公司', '大连青麦田科技有限公司', '01', '', '', '0', '', '$2a$10$nal4GBLjjHGa8vs5ppZn2.QMVQU2y8Exe9wk349w/V0.WOaLoAgsq', '0', '0', '113.227.219.45', '2023-09-22 09:55:32', '', '2023-09-19 16:10:52', '', '2023-09-22 09:55:32', NULL, 718);
INSERT INTO `sys_user` VALUES (1153724910267404288, 1153724910267404289, '大连臻谷商贸有限公司', '大连臻谷商贸有限公司', '01', '', '', '0', '', '$2a$10$JcC0VB8nJ.yV8aD1VYMUXudrCDaFJwR1r7Lew0n1TQsnPNq7aP1G.', '0', '0', '113.227.219.45', '2023-09-22 10:13:27', '', '2023-09-19 16:10:53', '', '2023-09-22 10:13:27', NULL, 868);
INSERT INTO `sys_user` VALUES (1153724943914110976, 1153724943914110977, '西岗区仁济宠物医院店', '西岗区仁济宠物医院店', '01', '', '', '0', '', '$2a$10$avjD.uY491dZMfjK7gUN2uh9A.093Bk/OeHwNkvR56wvgAabc5NqG', '0', '0', '113.227.219.45', '2023-09-22 10:09:38', '', '2023-09-19 16:11:01', '', '2023-09-22 10:09:38', NULL, 879);
INSERT INTO `sys_user` VALUES (1153724955708493824, 1153724955708493825, '大连华商天翼管理咨询有限公司', '大连华商天翼管理咨询有限公司', '01', '', '', '0', '', '$2a$10$2i67vaa6tT7idjZ1TvY7iuUQ7CRdwQ6Skj8pKPP/MV0b.yJf23s9W', '0', '0', '113.227.219.45', '2023-09-22 10:09:45', '', '2023-09-19 16:11:04', '', '2023-09-22 10:09:45', NULL, 846);
INSERT INTO `sys_user` VALUES (1153724989158068224, 1153724989158068225, '大连英嘉贸易有限公司', '大连锦莱卓科技有限公司', '01', '', '', '0', '', '$2a$10$qbb0pXPNOYXtrEa66u5ENeHS.tJM5L18q0I2OsLOLEU.cbTKBmoAG', '0', '0', '113.227.219.45', '2023-09-22 10:13:59', '', '2023-09-19 16:11:12', '', '2023-09-22 10:13:59', NULL, 934);
INSERT INTO `sys_user` VALUES (1153725004383391744, 1153725004383391745, '大连顺风顺水货运代理服务有限公司', '大连顺风顺水货运代理服务有限公司', '01', '', '', '0', '', '$2a$10$hC7h.CmyvXDcPXMR3MNcDuMvumD4vtAEp/D3ebolt79BGQODFfJVW', '0', '0', '113.227.219.45', '2023-09-22 09:57:36', '', '2023-09-19 16:11:16', '', '2023-09-22 09:57:36', NULL, 954);
INSERT INTO `sys_user` VALUES (1153725011643731968, 1153725011643731969, '辛宇', '台大实业（大连）有限公司', '01', '', '', '0', '', '$2a$10$E4Jlt6Fqqu9HH.gVp/iGOeevxY6Qb48seO6fE3XoOSuVdgP2D83Le', '0', '0', '113.227.219.45', '2023-09-22 10:08:46', '', '2023-09-19 16:11:17', '', '2023-09-22 10:08:46', NULL, 734);
INSERT INTO `sys_user` VALUES (1153725068174561280, 1153725068174561281, '大连茗惠生物科技有限公司', '大连茗惠生物科技有限公司', '01', '', '', '0', '', '$2a$10$cdQWe5.j0KuWnFxdbdtzXO.mGfkziqr1tI7OFCAOxE25nJIi25/1u', '0', '0', '113.227.219.45', '2023-09-22 10:14:32', '', '2023-09-19 16:11:31', '', '2023-09-22 10:14:32', NULL, 761);
INSERT INTO `sys_user` VALUES (1153725102744014848, 1153725102744014849, '大连北岗汽配城光辉汽车维修服务中心', '大连北岗汽配城光辉汽车维修服务中心', '01', '', '', '0', '', '$2a$10$QRh0.SN1SMM8/QwRLQeT5O6ErG/EKYydVZdLkmyt8mfusbyOXDZG.', '0', '0', '113.227.219.45', '2023-09-22 10:09:01', '', '2023-09-19 16:11:39', '', '2023-09-22 10:09:01', NULL, 683);
INSERT INTO `sys_user` VALUES (1153725105331900416, 1153725105331900417, '辽宁东泰电气设备有限公司', '辽宁东泰电气设备有限公司', '01', '', '', '0', '', '$2a$10$GvjCZ9xQhb0AY55GGWDIX.fx7FLD8hFc.g4nlIfSSwC.fTjqIwky2', '0', '0', '113.227.219.45', '2023-09-22 10:08:34', '', '2023-09-19 16:11:40', '', '2023-09-22 10:08:34', NULL, 712);
INSERT INTO `sys_user` VALUES (1153725116463583232, 1153725116463583233, '大连高新园区航达船舶配件经销处', '大连高新园区航达船舶配件经销处', '01', '', '', '0', '', '$2a$10$2Rc7QxpAYPLRQ5oLRybBUO/t.b2GEHeH3udcZCEExJx.gpggAuSRa', '0', '0', '113.227.219.45', '2023-09-22 09:58:42', '', '2023-09-19 16:11:42', '', '2023-09-22 09:58:42', NULL, 816);
INSERT INTO `sys_user` VALUES (1153725134788497408, 1153725134788497409, '大连菱美自动化有限公司', '大连菱美自动化有限公司', '01', '', '', '0', '', '$2a$10$jRE1SpZTG2dbgOO3VZYyYu4TooyJOFKpgTJABClAq6dd0niKjRQoO', '0', '0', '113.227.219.45', '2023-09-22 10:14:58', '', '2023-09-19 16:11:47', '', '2023-09-22 10:14:58', NULL, 754);
INSERT INTO `sys_user` VALUES (1153725179512360960, 1153725179512360961, '大连六六六船务有限公司', '大连六六六船务有限公司', '01', '', '', '0', '', '$2a$10$TnvHDP99vs5RxWDy598Dmu/P82DsPPdvBkaof6fbKOHw8GB4kFNAm', '0', '0', '113.227.219.45', '2023-09-20 15:01:03', '', '2023-09-19 16:11:57', '', '2023-09-20 15:01:03', NULL, 708);
INSERT INTO `sys_user` VALUES (1153725192040747008, 1153725192040747009, '辽宁天利物资供应有限公司', '辽宁天利物资供应有限公司', '01', '', '', '0', '', '$2a$10$bYBXAOCsFzPX4PynkkxC.OGf66L5OU39hM3Rd/9CxDAk/JXtlyoyy', '0', '0', '113.227.219.45', '2023-09-22 10:07:31', '', '2023-09-19 16:12:00', '', '2023-09-22 10:07:31', NULL, 887);
INSERT INTO `sys_user` VALUES (1153725228094984192, 1153725228094984193, '大连辛源投资顾问有限公司', '大连辛源投资顾问有限公司', '01', '', '', '0', '', '$2a$10$UHzObmd1RGHjkgPUDCMCqu8WR4Zqt0CEKmNUwD/EIgBNxt6TUBdAu', '0', '0', '113.227.219.45', '2023-09-22 10:17:29', '', '2023-09-19 16:12:09', '', '2023-09-22 10:17:29', NULL, 1033);
INSERT INTO `sys_user` VALUES (1153725237158875136, 1153725237158875137, '大连高盛服饰有限公司', '大连高盛服饰有限公司', '01', '', '', '0', '', '$2a$10$tVKCl9RViin.Kycw6MO5/OOPvelPFGyi5Z548gnYvrIsPFero0aQW', '0', '0', '113.227.219.45', '2023-09-22 09:59:37', '', '2023-09-19 16:12:11', '', '2023-09-22 09:59:37', NULL, 946);
INSERT INTO `sys_user` VALUES (1153725250614202368, 1153725250614202369, '大连八八八船务有限公司', '大连八八八船务有限公司', '01', '', '', '0', '', '$2a$10$N/XyX.g2kwg6y6Q3Mf5BGupSFEgbU38d6JRXD7SyRj9gLBeMkBY3y', '0', '0', '113.227.219.45', '2023-09-22 10:07:03', '', '2023-09-19 16:12:14', '', '2023-09-22 10:07:03', NULL, 889);
INSERT INTO `sys_user` VALUES (1153725261330649088, 1153725261330649089, '辽宁康元药业有限公司', '辽宁康元药业有限公司', '01', '', '', '0', '', '$2a$10$5gkUvQ.yzSnug/wbP2kWBu4Z/55l06zWnw.mif2s5IoMzKM5/I9xe', '0', '0', '113.227.219.45', '2023-09-22 10:07:14', '', '2023-09-19 16:12:17', '', '2023-09-22 10:07:14', NULL, 787);
INSERT INTO `sys_user` VALUES (1153725299695947776, 1153725299695947777, '大连达文贸易有限公司', '大连达文贸易有限公司', '01', '', '', '0', '', '$2a$10$aC3qxTJguzEmBqachBZ3VekyJYSUr7Y5lfewJGZcYKcANRNRllb7G', '0', '0', '113.227.219.45', '2023-09-22 10:18:23', '', '2023-09-19 16:12:26', '', '2023-09-22 10:18:23', NULL, 753);
INSERT INTO `sys_user` VALUES (1153725322999500800, 1153725322999500801, '大连元安建筑工程有限公司', '大连元安建筑工程有限公司', '01', '', '', '0', '', '$2a$10$MiLOenhmAGHoHhV24NXkCO2L51dJZN8ka6zZAkpP/nyNGbduAsaSK', '0', '0', '113.227.219.45', '2023-09-22 10:06:30', '', '2023-09-19 16:12:32', '', '2023-09-22 10:06:30', NULL, 1031);
INSERT INTO `sys_user` VALUES (1153725344054906880, 1153725344054906881, '大连魏仙文化发展有限公司', '大连魏仙文化发展有限公司', '01', '', '', '0', '', '$2a$10$u314z7ruXQ3luUF1YjEF5.rmHxdaMm8.xJSNw0dzzzy.97Q.Ftbay', '0', '0', '113.227.219.45', '2023-09-22 10:00:23', '', '2023-09-19 16:12:37', '', '2023-09-22 10:00:23', NULL, 869);
INSERT INTO `sys_user` VALUES (1153725370319638528, 1153725370319638529, '辽宁晨兴物流供应链有限公司', '辽宁晨兴物流供应链有限公司', '01', '', '', '0', '', '$2a$10$oyuYeCfi7gGs1DyVGgZYX.6e9RB4lbnyCOcwbDS.9XbPqf5Su88Ba', '0', '0', '113.227.219.45', '2023-09-22 10:06:26', '', '2023-09-19 16:12:43', '', '2023-09-22 10:06:26', NULL, 815);
INSERT INTO `sys_user` VALUES (1153725395984584704, 1153725395984584705, '大连连源供应链管理有限公司', '大连连源物流国际货运代理有限公司', '01', '', '', '0', '', '$2a$10$ByXv3hpALmSbsVO/7ceTf.PElzYID83GlD6ckY2vWZD8LniZjiUv2', '0', '0', '113.227.219.45', '2023-09-22 10:19:31', '', '2023-09-19 16:12:49', '', '2023-09-22 10:19:31', NULL, 878);
INSERT INTO `sys_user` VALUES (1153725408814960640, 1153725408814960641, '大连佳盛科技有限公司', '大连佳盛科技有限公司', '01', '', '', '0', '', '$2a$10$n06XnN0I.2hu3IJ5uq8GJ.Q4loJeElrJWNYvAlIUTAKeROIhrz2y6', '0', '0', '113.227.219.45', '2023-09-22 10:05:51', '', '2023-09-19 16:12:52', '', '2023-09-22 10:05:51', NULL, 865);
INSERT INTO `sys_user` VALUES (1153725437030043648, 1153725437030043649, '辽宁联泓科技有限公司', '辽宁联泓科技有限公司', '01', '', '', '0', '', '$2a$10$ZeX56DNysq0vBNvaWRCivO.LNz1bHF.I/VWD46e8OPfiFMG6KvK8W', '0', '0', '113.227.219.45', '2023-09-22 10:05:13', '', '2023-09-19 16:12:59', '', '2023-09-22 10:05:13', NULL, 818);
INSERT INTO `sys_user` VALUES (1153725463546433536, 1153725463546433537, '大连逸兴商务咨询有限公司', '大连逸兴商务咨询有限公司', '01', '', '', '0', '', '$2a$10$TaT8iZQsj7tnirA9T6jhLew24ens8DHFmYcpNuRHw0eYsPJAEWayq', '0', '0', '113.227.219.45', '2023-09-22 10:20:14', '', '2023-09-19 16:13:05', '', '2023-09-22 10:20:14', NULL, 739);
INSERT INTO `sys_user` VALUES (1153725465798774784, 1153725465798774785, '大连鸿嘉禾网络科技有限责任公司', '大连鸿嘉禾网络科技有限责任公司', '01', '', '', '0', '', '$2a$10$74AGcGwNW2N0uSouem0B/uyfzsuJDykL/D58STyGGh3KZBpzU2d4q', '0', '0', '113.227.219.45', '2023-09-22 10:01:17', '', '2023-09-19 16:13:06', '', '2023-09-22 10:01:17', NULL, 1052);
INSERT INTO `sys_user` VALUES (1153725475579891712, 1153725475579891713, '大连优政博惠营销企划有限公司', '大连优政博惠营销企划有限公司', '01', '', '', '0', '', '$2a$10$JhUndt4FO5a/DmYye36N6eLe5iPczeHOHMSjS18eyMGMqB0IK5m8e', '0', '0', '113.227.219.45', '2023-09-22 10:05:28', '', '2023-09-19 16:13:08', '', '2023-09-22 10:05:28', NULL, 969);
INSERT INTO `sys_user` VALUES (1153725513198604288, 1153725513198604289, '辽宁锦铄财务咨询有限公司', '辽宁锦铄财务咨询有限公司', '01', '', '', '0', '', '$2a$10$yAnRMbS7vUBryx2bMwJ3W.g6hQWXRn6t0mNy.cNpR05GRb6poghsG', '0', '0', '113.227.219.45', '2023-09-22 10:04:23', '', '2023-09-19 16:13:17', '', '2023-09-22 10:04:23', NULL, 968);
INSERT INTO `sys_user` VALUES (1153725523415928832, 1153725523415928833, '大连龙腾机电设备有限公司', '大连龙腾机电设备有限公司', '01', '', '', '0', '', '$2a$10$a3DaJxctqRwTB0zizBQARuUnComevo5UZ9dVhWsHAKu1jFzbEuNf6', '0', '0', '113.227.219.45', '2023-09-22 10:01:53', '', '2023-09-19 16:13:19', '', '2023-09-22 10:01:53', NULL, 767);
INSERT INTO `sys_user` VALUES (1153725543548588032, 1153725543548588033, '大连优政博惠科技有限公司', '大连优政博惠科技有限公司', '01', '', '', '0', '', '$2a$10$jf.c9jOiborZ.5RXoswG4uhbhI2mg3l4S7gCU7F44Q/l1lfS9GSWy', '0', '0', '113.227.219.45', '2023-09-22 10:05:04', '', '2023-09-19 16:13:24', '', '2023-09-22 10:05:04', NULL, 1058);
INSERT INTO `sys_user` VALUES (1153725575966363648, 1153725575966363649, '中山区正玺经济信息咨询服务中心', '中山区正玺经济信息咨询服务中心', '01', '', '', '0', '', '$2a$10$WkwJQnBTG1qOaqv/3fp.uetbIlL2Yy2kKXkJAAM7/0u9475dBXXh2', '0', '0', '113.227.219.45', '2023-09-22 10:11:08', '', '2023-09-19 16:13:32', '', '2023-09-22 10:11:08', NULL, 827);
INSERT INTO `sys_user` VALUES (1153725588557664256, 1153725588557664257, '心航教育咨询（北京）有限公司大连分公司', '心航教育咨询（北京）有限公司大连分公司', '01', '', '', '0', '', '$2a$10$zze.mPJ6ga65b5uO9df7lOlV12wmv9O.o5wnTG7fRTrxc63imtnIe', '0', '0', '113.227.219.45', '2023-09-22 10:14:04', '', '2023-09-19 16:13:35', '', '2023-09-22 10:14:04', NULL, 1000);
INSERT INTO `sys_user` VALUES (1153725600800837632, 1153725600800837633, '连晟科技（大连）有限公司', '连晟科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$0pQG8k75U78blCyFh8jnquFnGWg3Ig87xhcsyjofbZ/mGXBn2s4We', '0', '0', '113.227.219.45', '2023-09-22 10:03:03', '', '2023-09-19 16:13:38', '', '2023-09-22 10:03:03', NULL, 779);
INSERT INTO `sys_user` VALUES (1153725630282600448, 1153725630282600449, '大连优政博惠商务咨询有限公司', '大连优政博惠商务咨询有限公司', '01', '', '', '0', '', '$2a$10$E1lzT3HeKtBsp0rSkX1ijeUv6o3healVbyTJYFsqMulLF7HZm7FfS', '0', '0', '113.227.219.45', '2023-09-22 10:04:36', '', '2023-09-19 16:13:45', '', '2023-09-22 10:04:36', NULL, 891);
INSERT INTO `sys_user` VALUES (1153725638138531840, 1153725638138531841, '中山区珏美日用品百货超市', '中山区珏美日用百货超市', '01', '', '', '0', '', '$2a$10$pVQhu7WfomGROSOs4fij3.T7uGVFm5/oHujjLz4yIi7v7hcakBOsS', '0', '0', '113.227.219.45', '2023-09-22 10:11:25', '', '2023-09-19 16:13:47', '', '2023-09-22 10:11:25', NULL, 681);
INSERT INTO `sys_user` VALUES (1153725664692670464, 1153725664692670465, '成都众志信法律咨询有限公司大连分公司', '成都众志信法律咨询有限公司大连分公司', '01', '', '', '0', '', '$2a$10$5i/wrYKpAiHlnvuifikCEe0u/jYCJ4DBKybdnsPhqQ4F8.8gmhxdq', '0', '0', '113.227.219.45', '2023-09-22 10:15:00', '', '2023-09-19 16:13:53', '', '2023-09-22 10:15:00', NULL, 688);
INSERT INTO `sys_user` VALUES (1153725682744954880, 1153725682744954881, '金州区登沙河福凤生态观光园', '金州区登沙河福凤生态观光园', '01', '', '', '0', '', '$2a$10$bxsZE/.ZgtAFpBUs.jrj8OgIID9BDy9KaGNaEIZHn229PTPFSIpHa', '0', '0', '113.227.219.45', '2023-09-22 10:01:14', '', '2023-09-19 16:13:57', '', '2023-09-22 10:01:14', NULL, 1049);
INSERT INTO `sys_user` VALUES (1153725734230036480, 1153725734230036481, '中肽生物科技《大连)有限公司', '中肽生物科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$EhHi3GJMhJHkmItpUrD0e.2TpGdbv33BrfHijVLpxriwWekITqCzC', '0', '0', '113.227.219.45', '2023-09-22 10:11:48', '', '2023-09-19 16:14:10', '', '2023-09-22 10:11:48', NULL, 751);
INSERT INTO `sys_user` VALUES (1153725748637470720, 1153725748637470721, '金州区金发地市场粒香香干果商行', '金州区金发地市场粒香香干果商行', '01', '', '', '0', '', '$2a$10$5Rr87LNj9zyVw32M.AThX.vBFhNvp69LZRHZDvSECKzEcQMEdyJnq', '0', '0', '113.227.219.45', '2023-09-19 16:14:19', '', '2023-09-19 16:14:13', '', '2023-09-19 16:14:19', NULL, 831);
INSERT INTO `sys_user` VALUES (1153725750633959424, 1153725750633959425, '技合互联网信息服务（上海）有限公司大连分公司', '技合互联网信息服务（上海）有限公司大连分公司', '01', '', '', '0', '', '$2a$10$pvvWTorvmmkSei8WXnEDu.YnwLv6zudhsXS.3T5iPU6elbZgCkECG', '0', '0', '113.227.219.45', '2023-09-22 10:15:48', '', '2023-09-19 16:14:14', '', '2023-09-22 10:15:48', NULL, 686);
INSERT INTO `sys_user` VALUES (1153725805831000064, 1153725805831000065, '抚顺双宏新材料科技发展有限公司', '抚顺双宏新材料科技发展有限公司', '01', '', '', '0', '', '$2a$10$TqWTpq..DEe2TlxmfgpsF./eo175Iux7Cj0ZN5HvdH4jUc0T0d5.i', '0', '0', '113.227.219.45', '2023-09-22 10:16:37', '', '2023-09-19 16:14:27', '', '2023-09-22 10:16:37', NULL, 809);
INSERT INTO `sys_user` VALUES (1153725815716974592, 1153725815716974593, '金普新区湾里街道樱飞百货超市', '金普新区湾里街道樱飞百货超市', '01', '', '', '0', '', '$2a$10$iyb1GI.kr3jAQUawcHXghe/BdqrsLRYw1IfZFS96yWyaej2ZZeoea', '0', '0', '113.227.219.45', '2023-09-22 10:00:46', '', '2023-09-19 16:14:29', '', '2023-09-22 10:00:46', NULL, 840);
INSERT INTO `sys_user` VALUES (1153725892770533376, 1153725892770533377, '抚顺蜡港网络科技有限公司', '抚顺蜡港网络科技有限公司', '01', '', '', '0', '', '$2a$10$JVpzOgjwlH65dwc.Gjz9SOdFRNTOFZXUVQCFHrycIzlKEhUF/9x8e', '0', '0', '113.227.219.45', '2023-09-22 10:17:12', '', '2023-09-19 16:14:48', '', '2023-09-22 10:17:12', NULL, 817);
INSERT INTO `sys_user` VALUES (1153725916791312384, 1153725916791312385, '金普新区站前街道蚝喜欢泥烧烤店', '金普新区站前街道蚝喜欢泥烧烤店', '01', '', '', '0', '', '$2a$10$fjCNrdCx4xrkkyZRTXvU1O/JkhbQH4kOQvNn8iKejMSAfGsk.sfse', '0', '0', '113.227.219.45', '2023-09-22 10:00:19', '', '2023-09-19 16:14:53', '', '2023-09-22 10:00:19', NULL, 1048);
INSERT INTO `sys_user` VALUES (1153726013805563904, 1153726013805563905, '普兰店区双塔钧磊工程队', '普兰店区双塔钧磊工程队', '01', '', '', '0', '', '$2a$10$r5WNelNmPj8c88TOy5OGY.CfgTj.9rLXLHNeoKFwYeJBMFjZv82YS', '0', '0', '113.227.219.45', '2023-09-22 10:18:27', '', '2023-09-19 16:15:16', '', '2023-09-22 10:18:27', NULL, 821);
INSERT INTO `sys_user` VALUES (1153726079157014528, 1153726079157014529, '朝阳依诺财税咨询服务有限责任公司', '朝阳依诺财税咨询服务有限责任公司', '01', '', '', '0', '', '$2a$10$L4eZmZa6jbFlCiAQQPD4NuvX9jervmNKr/f4JL2AXti2MioSKg1Xa', '0', '0', '113.227.219.45', '2023-09-22 10:19:05', '', '2023-09-19 16:15:32', '', '2023-09-22 10:19:05', NULL, 942);
INSERT INTO `sys_user` VALUES (1153726094881460224, 1153726094881460225, '丰良意现代供应链（大连）有限公司', '丰良意现代供应链（大连）有限公司', '01', '', '', '0', '', '$2a$10$UFtjfC2lpOBDYUNYPJS1DOH9vms5G.Nj6k0S5yRzVpn6fkywsgThq', '0', '0', '113.227.219.45', '2023-09-22 10:12:10', '', '2023-09-19 16:15:36', '', '2023-09-22 10:12:10', NULL, 1023);
INSERT INTO `sys_user` VALUES (1153726132097519616, 1153726132097519617, '朝阳市宏邦家政服务有限公司', '朝阳市宏邦家政服务有限公司', '01', '', '', '0', '', '$2a$10$z2HOxufqYiy26WLIt2ztyOmklT/PqpaRWTjR1bFS4Ar6OB1Zi0AZy', '0', '0', '113.227.219.45', '2023-09-22 10:19:44', '', '2023-09-19 16:15:45', '', '2023-09-22 10:19:44', NULL, 976);
INSERT INTO `sys_user` VALUES (1153726185063190528, 1153726185063190529, '铁岭英诚药品咨询有限公司', '铁岭英诚药品咨询有限公司', '01', '', '', '0', '', '$2a$10$d244iStapmK3bS/htCjrPeFe7Z.Em1/IQahc5OuyXk79wIWqjmVt6', '0', '0', '113.227.219.45', '2023-09-22 09:55:27', '', '2023-09-19 16:15:57', '', '2023-09-22 09:55:27', NULL, 786);
INSERT INTO `sys_user` VALUES (1153726185482620928, 1153726185482620929, '亿朵现代供应链（大连）有限公司', '亿朵现代供应链（大连）有限公司', '01', '', '', '0', '', '$2a$10$LzvNbovgJ/UmW3Zzq36xTuVJfTe4r5qj.EvAT49wbpl86guSSlzIa', '0', '0', '113.227.219.45', '2023-09-22 10:12:53', '', '2023-09-19 16:15:57', '', '2023-09-22 10:12:53', NULL, 1022);
INSERT INTO `sys_user` VALUES (1153726245012377600, 1153726245012377601, '伍佰艺（大连）商贸有限公司', '伍佰艺（大连）商贸有限公司', '01', '', '', '0', '', '$2a$10$LGFjZUmm.bYV5RzWc/vn.OuXn.GoYQBK/k0ud41DaZ07jaPWqtal.', '0', '0', '113.227.219.45', '2023-09-22 10:13:05', '', '2023-09-19 16:16:12', '', '2023-09-22 10:13:05', NULL, 952);
INSERT INTO `sys_user` VALUES (1153726247956779008, 1153726247956779009, '锦州华洋船员服务有限公司', '锦州华洋船员服务有限公司', '01', '', '', '0', '', '$2a$10$qqOCPfJMTN5Ddtj1NijhfuWaZqP8Mrtr3DMined7yS542Q6XT9Ama', '0', '0', '113.227.219.45', '2023-09-22 09:54:49', '', '2023-09-19 16:16:12', '', '2023-09-22 09:54:49', NULL, 851);
INSERT INTO `sys_user` VALUES (1153726255493943296, 1153726255493943297, '江公酒业（大连）有限公司', '江公酒业（大连）有限公司', '01', '', '', '0', '', '$2a$10$RTJ1.uCC21I7ygLxWPQ.Y.qImXp1Zf5QuNy1hwlJHKQjLJxOpR64O', '0', '0', '113.227.219.45', '2023-09-22 10:24:10', '', '2023-09-19 16:16:14', '', '2023-09-22 10:24:10', NULL, 733);
INSERT INTO `sys_user` VALUES (1153726309722099712, 1153726309722099713, '沈阳优政博惠企业管理咨询有限公司', '沈阳优政博惠企业管理咨询有限公司', '01', '', '', '0', '', '$2a$10$KvREjWsSfGKLF0Jx4CJbuuNNIWQruCWruq15URGf8aMVgIXnMFuzC', '0', '0', '113.227.219.45', '2023-09-22 10:24:59', '', '2023-09-19 16:16:27', '', '2023-09-22 10:24:59', NULL, 1057);
INSERT INTO `sys_user` VALUES (1153726320816033792, 1153726320816033793, '北京日臻祥环保科技有限公司', '北京日臻祥环保科技有限公司', '01', '', '', '0', '', '$2a$10$S4ygAAspOePtCeAq8LlctuPVbyykJ9nYanVo4P1FW4H1EXP00OMkW', '0', '0', '113.227.219.45', '2023-09-22 10:15:27', '', '2023-09-19 16:16:30', '', '2023-09-22 10:15:27', NULL, 692);
INSERT INTO `sys_user` VALUES (1153726380467425280, 1153726380467425281, '沈阳永业实业有限公司', '沈阳永业实业有限公司', '01', '', '', '0', '', '$2a$10$NkeRQ6J9A1dptzEWjNRV2uR2Uk3Z4iaz81qm5ENxey7aX/cF9h37y', '0', '0', '113.227.219.45', '2023-09-22 10:26:27', '', '2023-09-19 16:16:44', '', '2023-09-22 10:26:27', NULL, 693);
INSERT INTO `sys_user` VALUES (1153726388025561088, 1153726388025561089, '锦州滨海新区松良蛋禽摊床', '锦州滨海新区松良蛋禽摊床', '01', '', '', '0', '', '$2a$10$ws1ZS1CDtDAcsaGCEbDZGuRKC2lRTmOpcg1z7GDjRpu0aJHYYc6U6', '0', '0', '113.227.219.45', '2023-09-22 09:54:20', '', '2023-09-19 16:16:46', '', '2023-09-22 09:54:20', NULL, 876);
INSERT INTO `sys_user` VALUES (1153726399069163520, 1153726399069163521, '双塔区诚锐建筑施工队', '双塔区诚锐建筑施工队', '01', '', '', '0', '', '$2a$10$.tKEfdhEA22YmUraXgn89.O6QzSWtjLwvVg5Ll88ww6pDW4j8SiVO', '0', '0', '113.227.219.45', '2023-09-22 09:49:18', '', '2023-09-19 16:16:48', '', '2023-09-22 09:49:18', NULL, 981);
INSERT INTO `sys_user` VALUES (1153726437639983104, 1153726437639983105, '沙河口区哪吒生鲜水果店', '沙河口区哪吒生鲜水果店', '01', '', '', '0', '', '$2a$10$KPLA1kyx3437uMqby7sAduaSYZUNrczEOzoIqwEiX1jHhxIqKW5LS', '0', '0', '113.227.219.45', '2023-09-22 10:27:09', '', '2023-09-19 16:16:57', '', '2023-09-22 10:27:09', NULL, 826);
INSERT INTO `sys_user` VALUES (1153726442576678912, 1153726442576678913, '锦州经济技术开发区王家街道艳明猪肉摊床', '锦州经济技术开发区王家街道艳明猪肉摊床', '01', '', '', '0', '', '$2a$10$gzRiSTdiod6hBIOlmOY4XOAmsE94r1ld4UOb/PnZtcGCYaqLNA4yK', '0', '0', '113.227.219.45', '2023-09-22 09:53:56', '', '2023-09-19 16:16:59', '', '2023-09-22 09:53:56', NULL, 888);
INSERT INTO `sys_user` VALUES (1153726476105945088, 1153726476105945089, '圣域隆汽车用品贸易（大连）有限公司', '圣域隆汽车用品贸易（大连）有限公司', '01', '', '', '0', '', '$2a$10$udAR6/rEL6uWFUy0upUZlu3pvAaW1cPp4OoxPmrEp5diHUu7l.9H2', '0', '0', '113.227.219.45', '2023-09-22 09:52:00', '', '2023-09-19 16:17:07', '', '2023-09-22 09:52:00', NULL, 820);
INSERT INTO `sys_user` VALUES (1153726504518160384, 1153726504518160385, '青岛地比图软件科技有限公司', '青岛地比图软件科技有限公司', '01', '', '', '0', '', '$2a$10$nx60dhPg9.1J6aQvgye56uGskmlt37iIXRFWZj5H3anne9Q2W11yG', '0', '0', '113.227.219.45', '2023-09-22 09:53:32', '', '2023-09-19 16:17:13', '', '2023-09-22 09:53:32', NULL, 823);
INSERT INTO `sys_user` VALUES (1153726509895258112, 1153726509895258113, '沙河口区大鱼音乐工作室', '沙河口区大鱼音乐工作室', '01', '', '', '0', '', '$2a$10$ZHQAEw3m5KBhEGl3NKlDIeslRP6bbwKrgaH8kOi.MV7TC/Lw/kdye', '0', '0', '113.227.219.45', '2023-09-22 10:27:46', '', '2023-09-19 16:17:15', '', '2023-09-22 10:27:46', NULL, 880);
INSERT INTO `sys_user` VALUES (1153726564131803136, 1153726564131803137, '齐派艺术书画（大连）有限公司', '齐派艺术书画（大连）有限公司', '01', '', '', '0', '', '$2a$10$9dMZlUrZBX5kqajxwIjtSOcEH0/01ZLjMpFbG9ARGq.9qSugvT1v6', '0', '0', '113.227.219.45', '2023-09-22 09:51:33', '', '2023-09-19 16:17:28', '', '2023-09-22 09:51:33', NULL, 871);
INSERT INTO `sys_user` VALUES (1153726595366785024, 1153726595366785025, '大连万道财税咨询有限公司', '大连万道财税咨询有限公司', '01', '', '', '0', '', '$2a$10$2uhnuKWI6aH8um4Gvg8nm.1M04duMc43LM110hFQCuEf0tp7BkrGC', '0', '0', '113.227.219.45', '2023-09-22 09:53:03', '', '2023-09-19 16:17:35', '', '2023-09-22 09:53:03', NULL, 966);
INSERT INTO `sys_user` VALUES (1153726663138349056, 1153726663138349057, '大连三恩井科技有限公司', '大连三恩井科技有限公司', '01', '', '', '0', '', '$2a$10$jhPZnKIran3274YfiulXGemHG.vBk/vjvxTZr9I0Y7v9SjoHXiXE6', '0', '0', '113.227.219.45', '2023-09-22 09:53:28', '', '2023-09-19 16:17:51', '', '2023-09-22 09:53:28', NULL, 866);
INSERT INTO `sys_user` VALUES (1153726738317053952, 1153726738317053953, '大连上通万联汽车销售服务有限公司', '大连上通万联汽车销售服务有限公司', '01', '', '', '0', '', '$2a$10$DohcA4oH5BC/5n36FCp/ieSiAPtXY7.cBqoHZR1Ypk2j6yAzTN1Lq', '0', '0', '113.227.219.45', '2023-09-22 09:54:14', '', '2023-09-19 16:18:09', '', '2023-09-22 09:54:14', NULL, 1038);
INSERT INTO `sys_user` VALUES (1153726806549991424, 1153726806549991425, '大连东原驱动技术有限公司', '大连东原驱动技术有限公司', '01', '', '', '0', '', '$2a$10$vx.E8qSj5J6yJQiifXLGUOKXNxhaTs2Ja156e1FngBzjXW30ISK5m', '0', '0', '113.227.219.45', '2023-09-22 09:54:50', '', '2023-09-19 16:18:25', '', '2023-09-22 09:54:50', NULL, 674);
INSERT INTO `sys_user` VALUES (1153726897402810368, 1153726897402810369, '大连东应船舶服务有限公司', '大连东应船舶服务有限公司', '01', '', '', '0', '', '$2a$10$.QyGPh3ZyOs9kuueO9nSDubiDSzL6d63vlprAVLH3ujOLfGhb3rXe', '0', '0', '113.227.219.45', '2023-09-22 09:55:17', '', '2023-09-19 16:18:47', '', '2023-09-22 09:55:17', NULL, 664);
INSERT INTO `sys_user` VALUES (1153726954256601088, 1153726954256601089, '大连中振计量检测有限公司', '大连中振计量检测有限公司', '01', '', '', '0', '', '$2a$10$V1VzKTzHqqBoWQau2ul2Wu1fQpRzQ1lYqXEHB6tA9.rbU7Kp8bLVq', '0', '0', '113.227.219.45', '2023-09-22 09:56:01', '', '2023-09-19 16:19:01', '', '2023-09-22 09:56:01', NULL, 728);
INSERT INTO `sys_user` VALUES (1153727017456373760, 1153727017456373761, '大连中祥制业环境工程有限公司', '大连中祥制业环境工程有限公司', '01', '', '', '0', '', '$2a$10$wcD/kzO9nr6FOVjFJ5Ln5OeTaBEIFlSfQOTZzwNQtLiOKwS3IX2FW', '0', '0', '113.227.219.45', '2023-09-22 09:56:25', '', '2023-09-19 16:19:16', '', '2023-09-22 09:56:25', NULL, 863);
INSERT INTO `sys_user` VALUES (1153727089065725952, 1153727089065725953, '大连中科环境有限公司', '大连中科环境有限公司', '01', '', '', '0', '', '$2a$10$kjGWOqFeOH.63wDrAO4PfOzzL5tXQrBIDZx/91QGBJZ/2ETkhbaam', '0', '0', '113.227.219.45', '2023-09-22 09:57:20', '', '2023-09-19 16:19:33', '', '2023-09-22 09:57:20', NULL, 1021);
INSERT INTO `sys_user` VALUES (1153727145856602112, 1153727145856602113, '大连中科达显新能源科技有限公司', '大连中科达显新能源科技有限公司', '01', '', '', '0', '', '$2a$10$L/JP4mwn8EUDjVfugkWbIOSM.dZfXPPI0UjdxgudhNZdq3kJfna2u', '0', '0', '113.227.219.45', '2023-09-19 16:19:51', '', '2023-09-19 16:19:46', '', '2023-09-19 16:19:51', NULL, 857);
INSERT INTO `sys_user` VALUES (1153727220250972160, 1153727220250972161, '大连久久顺船务有限公司', '大连久久顺船务有限公司', '01', '', '', '0', '', '$2a$10$k/9FpsPuFlO0/NkvHfniPuDvWiM0Khi5slTtR01dNFh8IllUyZn46', '0', '0', '113.227.219.45', '2023-09-22 10:00:55', '', '2023-09-19 16:20:04', '', '2023-09-22 10:00:55', NULL, 890);
INSERT INTO `sys_user` VALUES (1153727473406578688, 1153727473406578689, '大连九合科技有限公司', '大连九合科技有限公司', '01', '', '', '0', '', '$2a$10$OjWagFsFN5btbkTrBQvYbuCbOwQNLb6IVI9kKXxlg/ZXa1a8hgQaK', '0', '0', '113.227.219.45', '2023-09-22 10:00:25', '', '2023-09-19 16:21:04', '', '2023-09-22 10:00:25', NULL, 697);
INSERT INTO `sys_user` VALUES (1153727526842011648, 1153727526842011649, '大连云联天翼电子商务有限公司', '大连云联天翼电子商务有限公司', '01', '', '', '0', '', '$2a$10$m.MljFzLRXrdCba1R4rg5eQBv6j2RnJfMTHdBSvHfYkwBLLZIQNnq', '0', '0', '113.227.219.45', '2023-09-22 10:01:49', '', '2023-09-19 16:21:17', '', '2023-09-22 10:01:49', NULL, 850);
INSERT INTO `sys_user` VALUES (1153727593627914240, 1153727593627914241, '大连云蝶科技有限公司', '大连沙河口固齿口腔诊所有限公司', '01', '', '', '0', '', '$2a$10$dwygkk.HLe3ClTx7bdZlo.xBUCNjBmw6Y4vHHZXFCc0TsRMS3j7C6', '0', '0', '113.227.219.45', '2023-09-22 10:02:11', '', '2023-09-19 16:21:33', '', '2023-09-22 10:02:11', NULL, 913);
INSERT INTO `sys_user` VALUES (1153727661680496640, 1153727661680496641, '大连亿权安装工程有限公司', '大连亿权安装工程有限公司', '01', '', '', '0', '', '$2a$10$tCnaOyr54LqoR/S5Ch3cP.AapAa8SdwuJLZbdmDjqreVw0Vi.kYE6', '0', '0', '113.227.219.45', '2023-09-22 10:02:39', '', '2023-09-19 16:21:49', '', '2023-09-22 10:02:39', NULL, 839);
INSERT INTO `sys_user` VALUES (1153727716336472064, 1153727716336472065, '大连众益工业技术有限公司', '大连众益工业技术有限公司', '01', '', '', '0', '', '$2a$10$QmmQ3YWDOL6wyZGxgod96OjdsKSWt6gXoAcoYo3tOKY0KDxyXk2CS', '0', '0', '113.227.219.45', '2023-09-22 10:03:35', '', '2023-09-19 16:22:02', '', '2023-09-22 10:03:35', NULL, 998);
INSERT INTO `sys_user` VALUES (1153727768681385984, 1153727768681385985, '大连众鑫热力发展有限公司', '大连众鑫热力发展有限公司', '01', '', '', '0', '', '$2a$10$dBkybxtcwQU55N9J1uQIw.4B.00afWqHP0Ix.aug3r.t0LbwI0i6.', '0', '0', '113.227.219.45', '2023-09-22 10:03:50', '', '2023-09-19 16:22:15', '', '2023-09-22 10:03:50', NULL, 956);
INSERT INTO `sys_user` VALUES (1153727768681385985, 1143215441569779713, 'jdhj', '   ', '02', '', '', '0', '', '$2a$10$5GX0zw4L52ACJmXFVnAFMOt/jv8558Cd18yJNfxNRC/jmrt5YTKdy', '0', '2', '', NULL, '18640822691', '2023-09-19 16:32:49', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1153727768681385986, 1143215441569779713, '123', '  ', '02', '', '', '0', '', '$2a$10$We5XgnH79WtFIwBnV6VhyO0xCEJhpezSZ0BR1m59QANknx3z92hl2', '0', '2', '', NULL, '18640822691', '2023-09-19 16:46:03', '', NULL, NULL, 0);
INSERT INTO `sys_user` VALUES (1153727768681385987, 1153696229432102914, 'user', '测试', '02', '', '', '0', '', '$2a$10$.R.FdSM71d63VDEtvAEwd.opxhWKxPMBW25qfMXUxtLFbOhM5Rm82', '1', '0', '', NULL, '18640822691', '2023-09-19 17:12:21', '18640822691', '2023-09-19 17:12:55', NULL, 0);
INSERT INTO `sys_user` VALUES (1154066321298821120, 1154066321298821121, '大连琛鑫科技有限公司', '大连琛鑫科技有限公司', '01', '', '', '0', '', '$2a$10$9vRqj77/0xbid4cHLxFjL.GSv7X6UipfsiMTLoldgrcH/AxniUjii', '0', '0', '113.227.219.45', '2023-09-22 10:01:53', '', '2023-09-20 14:47:32', '', '2023-09-22 10:01:53', NULL, 748);
INSERT INTO `sys_user` VALUES (1154066387749179392, 1154066387749179393, '大连恒达程经贸有限公司', '大连恒达程经贸有限公司', '01', '', '', '0', '', '$2a$10$OuAlpA7skiSbdnlbuImmHOOJHOkq.Ofb69Ww9N8l/dQa.sq29PYB.', '0', '0', '113.227.219.45', '2023-09-22 10:20:05', '', '2023-09-20 14:47:48', '', '2023-09-22 10:20:05', NULL, 794);
INSERT INTO `sys_user` VALUES (1154066500705980416, 1154066500705980417, '大连太平防水工程有限公司', '大连太平防水工程有限公司', '01', '', '', '0', '', '$2a$10$8QT6vdmPXJiIVm.NrshDUOfAH.32AR/y/bgJ6zmJFWVjF.0x7nf06', '0', '0', '113.227.219.45', '2023-09-22 09:56:48', '', '2023-09-20 14:48:15', '', '2023-09-22 09:56:48', NULL, 793);
INSERT INTO `sys_user` VALUES (1154066513880289280, 1154066513880289281, '亚太高科（大连）科技有限公司', '亚太高科（大连）科技有限公司', '01', '', '', '0', '', '$2a$10$NfvvzjSnAlLQ/59aXLCAUOECkUUmhRvxCQXMBaqGGm5wChjEpOfWW', '0', '0', '113.227.219.45', '2023-09-22 10:12:37', '', '2023-09-20 14:48:18', '', '2023-09-22 10:12:37', NULL, 747);
INSERT INTO `sys_user` VALUES (1154066598479400960, 1154066598479400961, '大连思瑞乾润滑油有限责任公司', '大连思瑞乾润滑油有限责任公司', '01', '', '', '0', '', '$2a$10$5/u1MgAkxLoTm70ff5/00eiqCosH8mN527Sgktnxty/uLpKg4zpR.', '0', '0', '113.227.219.45', '2023-09-22 10:18:18', '', '2023-09-20 14:48:38', '', '2023-09-22 10:18:18', NULL, 792);
INSERT INTO `sys_user` VALUES (1154066606612156416, 1154066606612156417, '辽宁德润白酒制造有限公司', '辽宁德润白酒制造有限公司', '01', '', '', '0', '', '$2a$10$p2C6WPS74NdJ3dpHW4XUhe1K3RZ1lHv2B4kUTLodpozJPw6D5T./C', '0', '0', '113.227.219.45', '2023-09-22 10:06:54', '', '2023-09-20 14:48:40', '', '2023-09-22 10:06:54', NULL, 746);
INSERT INTO `sys_user` VALUES (1154066618955993088, 1154066618955993089, '大连核力电子有限公司', '大连核力电子有限公司', '01', '', '', '0', '', '$2a$10$dPDB.XwyXeB56xjqvGUFLOWhKbTsZzI322nSKCTRZLeFX8ZO8nWt6', '0', '0', '113.227.219.45', '2023-09-22 10:27:43', '', '2023-09-20 14:48:43', '', '2023-09-22 10:27:43', NULL, 773);
INSERT INTO `sys_user` VALUES (1154066659301003264, 1154066659301003265, '辽宁鲲鹏东北参茸特产有限公司', '辽宁鲲鹏东北参茸特产有限公司', '01', '', '', '0', '', '$2a$10$pY0XfPE36M3Xll2Vdcu/F.2Y9ofXPiXr2fRBdY5HI6hhbiByGAaNi', '0', '0', '113.227.219.45', '2023-09-22 10:03:52', '', '2023-09-20 14:48:53', '', '2023-09-22 10:03:52', NULL, 745);
INSERT INTO `sys_user` VALUES (1154066691257405440, 1154066691261599744, '甘井子区大连湾街道天天兴电子产品经销部', '甘井子区大连湾街道天天兴电子产品经销部', '01', '', '', '0', '', '$2a$10$2YsAte7VEMSeaszF/6QPQOY/sJ7nYdIeInLy0YFh64E7cSEOD556G', '0', '0', '127.0.0.1', '2023-09-20 14:49:03', '', '2023-09-20 14:49:00', '', '2023-09-20 14:49:03', NULL, 791);
INSERT INTO `sys_user` VALUES (1154066707879432192, 1154066707879432193, '铁岭市银州区奕茹干洗衣店', '铁岭市银州区奕茹干洗衣店', '01', '', '', '0', '', '$2a$10$Fx99D9eiMrwU1mVz8dQFiOG8JkdeyBPCWXMUcGlbTfChvhT6GWs8i', '0', '0', '113.227.219.45', '2023-09-22 09:56:14', '', '2023-09-20 14:49:04', '', '2023-09-22 09:56:14', NULL, 744);
INSERT INTO `sys_user` VALUES (1154066760597639168, 1154066760597639169, '铁岭市银州区康保药房', '铁岭市银州区康保药房', '01', '', '', '0', '', '$2a$10$N/mJKmuDOL.4VJpoijCHReS6qr3F3n/5giB3rWlPXoyjY7FiQC93W', '0', '0', '113.227.219.45', '2023-09-22 09:55:55', '', '2023-09-20 14:49:17', '', '2023-09-22 09:55:55', NULL, 743);
INSERT INTO `sys_user` VALUES (1154066810312724480, 1154066810312724481, '大连聚荣和国际物流有限公司', '大连聚荣和国际物流有限公司', '01', '', '', '0', '', '$2a$10$DkV3JappSRVuwsUiIXxUyOkjyHnnYpa6FQ/f2kNCbwbwuRAE1fhBW', '0', '0', '113.227.219.45', '2023-09-22 10:12:36', '', '2023-09-20 14:49:29', '', '2023-09-22 10:12:36', NULL, 736);
INSERT INTO `sys_user` VALUES (1154066839458942976, 1154066839458942977, '甘井子区大连湾街道永力电子产品经销部', '甘井子区大连湾街道永力电子产品经销部', '01', '', '', '0', '', '$2a$10$UC.2Z9xw5htSF7Em8Qe5iORgTwTbnYbmvV7p.dCtfJtoo4aUxnrmS', '0', '0', '113.227.219.45', '2023-09-22 10:26:16', '', '2023-09-20 14:49:36', '', '2023-09-22 10:26:16', NULL, 790);
INSERT INTO `sys_user` VALUES (1154066867585945600, 1154066867585945601, '大连甜梦谷国际贸易有限公司', '大连甜梦谷国际贸易有限公司', '01', '', '', '0', '', '$2a$10$6TV4zHVssoRajOU8Lk.myO6J1vODVHn4DdtUN15QrBcyK.x9p9rm2', '0', '0', '113.227.219.45', '2023-09-22 10:05:01', '', '2023-09-20 14:49:42', '', '2023-09-22 10:05:01', NULL, 737);
INSERT INTO `sys_user` VALUES (1154066880584093696, 1154066880584093697, '大连乾艺建筑装饰有限公司', '大连乾艺建筑装饰有限公司', '01', '', '', '0', '', '$2a$10$fwP8GfXCPxCkjgcF/tciLuCdSZLohUiVjSGltPwRuWUE/E675j9xW', '0', '0', '113.227.219.45', '2023-09-22 10:01:24', '', '2023-09-20 14:49:45', '', '2023-09-22 10:01:24', NULL, 771);
INSERT INTO `sys_user` VALUES (1154066913723289600, 1154066913723289601, '辽宁辰锋物资材料贸易有限公司', '辽宁辰锋物资材料贸易有限公司', '01', '', '', '0', '', '$2a$10$n8AykB85nKsatCbpukDUF.ihvMzux/iTJXs4aaX/2G6k4jtnMdF8W', '0', '0', '113.227.219.45', '2023-09-22 10:04:39', '', '2023-09-20 14:49:53', '', '2023-09-22 10:04:39', NULL, 738);
INSERT INTO `sys_user` VALUES (1154066929183494144, 1154066929183494145, '铁岭辅坤阀门有限公司', '铁岭辅坤阀门有限公司', '01', '', '', '0', '', '$2a$10$itL/GcseH1p1iAa.NJhTnOLAJ8XLbwp0HhX5vP4SAojvGrSLJzuUO', '0', '0', '113.227.219.45', '2023-09-22 09:55:07', '', '2023-09-20 14:49:57', '', '2023-09-22 09:55:07', NULL, 789);
INSERT INTO `sys_user` VALUES (1154066951438471168, 1154066951438471169, '大连禾旭皮具有限公司', '大连禾旭皮具有限公司', '01', '', '', '0', '', '$2a$10$TecToZ.z7RKEH7JH4QieFOu4c33sWzMcM1AZKVLGrLR.ic34Vgj3u', '0', '0', '113.227.219.45', '2023-09-22 10:08:43', '', '2023-09-20 14:50:02', '', '2023-09-22 10:08:43', NULL, 770);
INSERT INTO `sys_user` VALUES (1154067010292944896, 1154067010292944897, '铁岭久安运输有限公司', '铁岭久安运输有限公司', '01', '', '', '0', '', '$2a$10$puNsvi1rcdTvoI0zx94Er.YDBJl.5xusH1lvBnSv.IyvVXJighNYG', '0', '0', '113.227.219.45', '2023-09-22 09:59:15', '', '2023-09-20 14:50:16', '', '2023-09-22 09:59:15', NULL, 788);
INSERT INTO `sys_user` VALUES (1154067032401121280, 1154067032401121281, '大连信德餐饮服务有限公司', '大连信德餐饮服务有限公司', '01', '', '', '0', '', '$2a$10$/DrYAUmJertTaqlvtvlHs.5gOzYZM/xWnfns2jtloJFtHHL7Q4EYq', '0', '0', '113.227.219.45', '2023-09-22 10:06:13', '', '2023-09-20 14:50:22', '', '2023-09-22 10:06:13', NULL, 768);
INSERT INTO `sys_user` VALUES (1154067117738430464, 1154067117738430465, '大连米麟信息技术有限公司', '大连米麟信息技术有限公司', '01', '', '', '0', '', '$2a$10$WnmUyv3Us1Z1eM1pDwjBqeiBCwHpj6RfhyY8l8N6Tu70GsU2qiwwW', '0', '0', '113.227.219.45', '2023-09-22 10:09:51', '', '2023-09-20 14:50:42', '', '2023-09-22 10:09:51', NULL, 740);
INSERT INTO `sys_user` VALUES (1154067126483554304, 1154067126483554305, '大连商通九州知识产权有限公司', '大连商通九州知识产权有限公司', '01', '', '', '0', '', '$2a$10$Fyxbx.Abp/3uUdl0KBmcKe5ePEArnhmHaGpQ3ho9QZj7FG.Xmk80y', '0', '0', '113.227.219.45', '2023-09-22 10:14:26', '', '2023-09-20 14:50:44', '', '2023-09-22 10:14:26', NULL, 772);
INSERT INTO `sys_user` VALUES (1154067170834124800, 1154067170834124801, '大连慢丽江餐饮管理有限公司', '大连慢丽江餐饮管理有限公司', '01', '', '', '0', '', '$2a$10$VpIOotxrWF5jvQFkSN/LkOi.yyQQz6RfvHPz322ThDt79H7Hq7hpa', '0', '0', '113.227.219.45', '2023-09-22 10:22:22', '', '2023-09-20 14:50:55', '', '2023-09-22 10:22:22', NULL, 672);
INSERT INTO `sys_user` VALUES (1154067188513116160, 1154067188513116161, '大连梦威文化传媒有限公司', '大连梦威文化传媒有限公司', '01', '', '', '0', '', '$2a$10$ChUltum6cHbJFIkSqBxj2eRjwM6.CvdKgsn8vTS4s9fKb2xbAdsuC', '0', '0', '113.227.219.45', '2023-09-22 09:51:08', '', '2023-09-20 14:50:59', '', '2023-09-22 09:51:08', NULL, 735);
INSERT INTO `sys_user` VALUES (1154067209581105152, 1154067209581105153, '宸恒冷热节能设备（大连）有限公司', '宸恒冷热节能设备（大连）有限公司', '01', '', '', '0', '', '$2a$10$Si7m8lgDJ/PiunkJ2TjYt.zNAjgaIgC89N3wBCMPdWkV3ghMpXCX2', '0', '0', '113.227.219.45', '2023-09-22 10:13:10', '', '2023-09-20 14:51:04', '', '2023-09-22 10:13:10', NULL, 765);
INSERT INTO `sys_user` VALUES (1154067255030583296, 1154067255030583297, '西丰县西丰镇麦奇乐快餐店（二部）', '西丰县西丰镇麦奇乐快餐店（二部）', '01', '', '', '0', '', '$2a$10$ATum8RWuN2vNoheTFFsjee8xH5cI/7eJlx2OqJoNQEBRHhxV.5Q5y', '0', '0', '113.227.219.45', '2023-09-22 10:09:53', '', '2023-09-20 14:51:15', '', '2023-09-22 10:09:53', NULL, 695);
INSERT INTO `sys_user` VALUES (1154067260642562048, 1154067260642562049, '铁岭洲宇房地产开发有限公司', '铁岭洲宇房地产开发有限公司', '01', '', '', '0', '', '$2a$10$fORRfWnerPO5KFSjfjGNDOUIUkWdytb9Ij1RVjSwSwjc0sL3oKKBC', '0', '0', '113.227.219.45', '2023-09-22 09:55:39', '', '2023-09-20 14:51:16', '', '2023-09-22 09:55:39', NULL, 785);
INSERT INTO `sys_user` VALUES (1154067286940848128, 1154067286940848129, '威尔深（大连）海工科技有限公司', '威尔深（大连）海工科技有限公司', '01', '', '', '0', '', '$2a$10$vGg/Ox2p3YNGv9LVIw8FQ.k.O5dmiQhdq5mFiHANCFm5Fjk502fju', '0', '0', '113.227.219.45', '2023-09-22 10:06:47', '', '2023-09-20 14:51:22', '', '2023-09-22 10:06:47', NULL, 764);
INSERT INTO `sys_user` VALUES (1154067339105406976, 1154067339105406977, '铁岭市兴运管道工程有限公司', '铁岭市兴运管道工程有限公司', '01', '', '', '0', '', '$2a$10$zmPKCYSVQMUwqI7Ud.4Vtuw7j6QOldgNKtwB4zVdYO5s0tJRIYVqG', '0', '0', '113.227.219.45', '2023-09-22 09:56:29', '', '2023-09-20 14:51:35', '', '2023-09-22 09:56:29', NULL, 784);
INSERT INTO `sys_user` VALUES (1154067371502211072, 1154067371502211073, '大连瑞达利机电设备有限公司', '大连瑞达利机电设备有限公司', '01', '', '', '0', '', '$2a$10$zcEQp7DkmnUe.BPDy7/v9e1DuJ70jBqykRqL0cuZoAiupXfIq/zVe', '0', '0', '113.227.219.45', '2023-09-22 10:04:14', '', '2023-09-20 14:51:42', '', '2023-09-22 10:04:14', NULL, 763);
INSERT INTO `sys_user` VALUES (1154067403190177792, 1154067403190177793, '铁岭宇川精密机械制造有限公司', '铁岭宇川精密机械制造有限公司', '01', '', '', '0', '', '$2a$10$YXVq9Sapw0ly.4DLmsFiL.Ft0hguE2Xsz/lTTJyUOoOyPPWxKvgS2', '0', '0', '113.227.219.45', '2023-09-22 09:56:48', '', '2023-09-20 14:51:50', '', '2023-09-22 09:56:48', NULL, 783);
INSERT INTO `sys_user` VALUES (1154067421221490688, 1154067421221490689, '西丰县西丰镇鑫顺源电子商务店', '西丰县西丰镇鑫顺源电子商务店', '01', '', '', '0', '', '$2a$10$WR19RtAAChMr6Qybz2APaOqWd2s0j5K2MhnM6ECRleA1ucL1ElLWq', '0', '0', '113.227.219.45', '2023-09-22 10:10:06', '', '2023-09-20 14:51:54', '', '2023-09-22 10:10:06', NULL, 694);
INSERT INTO `sys_user` VALUES (1154067446227931136, 1154067446227931137, '甘井子区南关岭街道恒德石材销售经营部', '甘井子区南关岭街道恒德石材销售经营部', '01', '', '', '0', '', '$2a$10$iI0XtFgwpjwaKaNaIk.oquPRwnX1Yn2UcL4ENBkD6xkfZKL1aGRzC', '0', '0', '113.227.219.45', '2023-09-20 14:52:07', '', '2023-09-20 14:52:00', '', '2023-09-20 14:52:07', NULL, 762);
INSERT INTO `sys_user` VALUES (1154067450455789568, 1154067450455789569, '铁岭嘉兴物业管理有限公司', '铁岭嘉兴物业管理有限公司', '01', '', '', '0', '', '$2a$10$OpO8v0olRKbJSq4mhyVcXeV068c/2iRpGU.8J8S56.36xsZtgYWee', '0', '0', '113.227.219.45', '2023-09-22 09:57:01', '', '2023-09-20 14:52:01', '', '2023-09-22 09:57:01', NULL, 782);
INSERT INTO `sys_user` VALUES (1154067489827721216, 1154067489827721217, '沙河口区贵珍大众浴池', '沙河口区贵珍大众浴池', '01', '', '', '0', '', '$2a$10$lHxvNgzUCJ/sEknKlwXODO2CjQYqrOSLCSe513m8vgfnWRWf5Hvvy', '0', '0', '113.227.219.45', '2023-09-22 10:30:15', '', '2023-09-20 14:52:11', '', '2023-09-22 10:30:15', NULL, 994);
INSERT INTO `sys_user` VALUES (1154067503761199104, 1154067503761199105, '艾兰 (大连) 生物科技有限公司', '艾兰 (大连) 生物科技有限公司', '01', '', '', '0', '', '$2a$10$.1GaWdCmBu51JEcXqDbPBeLJFwoL22KDq4hQOXnQBJnAh2Gr/4ZtK', '0', '0', '113.227.219.45', '2023-09-22 10:11:33', '', '2023-09-20 14:52:14', '', '2023-09-22 10:11:33', NULL, 726);
INSERT INTO `sys_user` VALUES (1154067508890832896, 1154067508890832897, '铁岭嘉兴房地产开发有限公司', '铁岭嘉兴房地产开发有限公司', '01', '', '', '0', '', '$2a$10$KeP6ENH/v2UciKQhxFN1q.3BZYooYTBmXpvW.Pbku2GmkZ.fw56by', '0', '0', '113.227.219.45', '2023-09-22 09:57:36', '', '2023-09-20 14:52:15', '', '2023-09-22 09:57:36', NULL, 781);
INSERT INTO `sys_user` VALUES (1154067551697899520, 1154067551697899521, '天恩璐（大连）石油化工有限公司', '天恩璐（大连）石油化工有限公司', '01', '', '', '0', '', '$2a$10$s4o1xAk0qU//Loi8cdES9Oedq3cotsWeVW9XGavGeP0OY/ietn13a', '0', '0', '113.227.219.45', '2023-09-22 10:04:25', '', '2023-09-20 14:52:25', '', '2023-09-22 10:04:25', NULL, 995);
INSERT INTO `sys_user` VALUES (1154067568470921216, 1154067568470921217, '铁岭嘉兴源土石方工程有限公司', '铁岭嘉兴源土石方工程有限公司', '01', '', '', '0', '', '$2a$10$.XhSHLA7c3Mv8i2iNXqijOwnV53pVunbeJiKYDOXHfelsSJaONqw2', '0', '0', '113.227.219.45', '2023-09-22 09:57:16', '', '2023-09-20 14:52:30', '', '2023-09-22 09:57:16', NULL, 780);
INSERT INTO `sys_user` VALUES (1154067621780525056, 1154067621780525057, '大连大作为计算机软件有限公司', '大连大作为计算机软件有限公司', '01', '', '', '0', '', '$2a$10$dWXiefRbFBVS25va84hR/.fn/ZbFcYx.it3JvkfdKR9KnGdDvYsLW', '0', '0', '113.227.219.45', '2023-09-22 09:56:00', '', '2023-09-20 14:52:42', '', '2023-09-22 09:56:00', NULL, 725);
INSERT INTO `sys_user` VALUES (1154067674217713664, 1154067674217713665, '大连好贝拓房地产经纪咨询有限公司', '大连好贝拓房地产经纪咨询有限公司', '01', '', '', '0', '', '$2a$10$u2Nq6XKxdBo8uIHHmXOytOeyTYICum6ylmO5m5050cUNvO2A6H7NG', '0', '0', '113.227.219.45', '2023-09-22 09:58:16', '', '2023-09-20 14:52:55', '', '2023-09-22 09:58:16', NULL, 724);
INSERT INTO `sys_user` VALUES (1154067678751756288, 1154067678751756289, '斗善精密部件（大连）有限公司', '斗善精密部件（大连）有限公司', '01', '', '', '0', '', '$2a$10$NCDLT1pOF0BUsJLRJe7NsOwLU77e86WAxg4BtGbpJIW84B36Dsu1m', '0', '0', '113.227.219.45', '2023-09-22 10:17:52', '', '2023-09-20 14:52:56', '', '2023-09-22 10:17:52', NULL, 808);
INSERT INTO `sys_user` VALUES (1154067725086232576, 1154067725086232577, '大连中世富瑞电子商务有限公司', '大连中世富瑞电子商务有限公司', '01', '', '', '0', '', '$2a$10$sUDSN7GPUsN/G/OQIOlrROlTKGF4qpoIkc0sXi4t2S723WrJuyESy', '0', '0', '113.227.219.45', '2023-09-22 09:55:39', '', '2023-09-20 14:53:07', '', '2023-09-22 09:55:39', NULL, 723);
INSERT INTO `sys_user` VALUES (1154067732166217728, 1154067732166217729, '甘井子区花落时节又逢君数据信息科技工作室', '甘井子区花落时节又逢君数据信息科技工作室', '01', '', '', '0', '', '$2a$10$DfORSX7W7bB94cI2TspEU.9j8K55IVAvJMUxtwI1ADbWwIPPB6VOG', '0', '0', '113.227.219.45', '2023-09-22 10:15:33', '', '2023-09-20 14:53:08', '', '2023-09-22 10:15:33', NULL, 807);
INSERT INTO `sys_user` VALUES (1154067756958748672, 1154067756958748673, '大连商通知识产权服务有限公司', '大连商通知识产权服务有限公司', '01', '', '', '0', '', '$2a$10$clKJQgc.zlMWzXghfhrH4ey4x2PtJxWM78ozJYZmv9Ybahhbui6O.', '0', '0', '113.227.219.45', '2023-09-22 10:14:57', '', '2023-09-20 14:53:14', '', '2023-09-22 10:14:57', NULL, 760);
INSERT INTO `sys_user` VALUES (1154067870796353536, 1154067870796353537, '大连市甘井子区惠联冷冻加工厂', '大连市甘井子区惠联冷冻加工厂', '01', '', '', '0', '', '$2a$10$nsa4lMEYR.2jyEGIQpX88eho2rtpA5URsJtiOoaMMHb8ncA//2Z3u', '0', '0', '113.227.219.45', '2023-09-22 10:11:21', '', '2023-09-20 14:53:41', '', '2023-09-22 10:11:21', NULL, 806);
INSERT INTO `sys_user` VALUES (1154067915981590528, 1154067915981590529, '大连辽渔国际水产品市场惠联水产经销部', '大连辽渔国际水产品市场惠联水产经销部', '01', '', '', '0', '', '$2a$10$eT3CHEpIrTw5aKWJ7j9FDeK.H.hXdj5jjKKm87WsU79ssOp1am5k.', '0', '0', '113.227.219.45', '2023-09-22 10:17:57', '', '2023-09-20 14:53:52', '', '2023-09-22 10:17:57', NULL, 805);
INSERT INTO `sys_user` VALUES (1154067918162628608, 1154067918162628609, '甘井子区大连湾街道兴林电子产品商行', '甘井子区大连湾街道兴林电子产品商行', '01', '', '', '0', '', '$2a$10$GZduOkMQWAnxDQDPlVnktOfZzsThAFX75R6KE4YLLHgYzeLNoIcvm', '0', '0', '113.227.219.45', '2023-09-22 10:27:47', '', '2023-09-20 14:53:53', '', '2023-09-22 10:27:47', NULL, 776);
INSERT INTO `sys_user` VALUES (1154067962538364928, 1154067962538364929, '大连惠联水产有限公司', '大连惠联水产有限公司', '01', '', '', '0', '', '$2a$10$uI.2jBOXUD4vNNLPLlXxzOiSlYIr4Np63nsVbqd1.snMQE2XS4MGK', '0', '0', '113.227.219.45', '2023-09-22 10:21:46', '', '2023-09-20 14:54:03', '', '2023-09-22 10:21:46', NULL, 804);
INSERT INTO `sys_user` VALUES (1154067998580019200, 1154067998580019201, '三江泰商贸(大连)有限公司', '三江泰商贸（大连）有限公司', '01', '', '', '0', '', '$2a$10$DdgmgjsCc0atV.PR1B98a.OsYqqhTrcSvuU414qgA5ckaiqev47QO', '0', '0', '113.227.219.45', '2023-09-22 10:08:59', '', '2023-09-20 14:54:12', '', '2023-09-22 10:08:59', NULL, 802);
INSERT INTO `sys_user` VALUES (1154068031555637248, 1154068031555637249, '大连恒爱信工程技术有限公司', '大连恒爱信工程技术有限公司', '01', '', '', '0', '', '$2a$10$J.Bo/EHAq3it2ZtBrMd3pOkg0b9zfXTW.5bwCkisgbBpoQUZ3x0ca', '0', '0', '113.227.219.45', '2023-09-22 10:18:48', '', '2023-09-20 14:54:20', '', '2023-09-22 10:18:48', NULL, 659);
INSERT INTO `sys_user` VALUES (1154068031564025856, 1154068031564025857, '甘井子区大连湾街道明兴电子产品经销部', '甘井子区大连湾街道明兴电子产品经销部', '01', '', '', '0', '', '$2a$10$adj5/Shjgi4Ga6TAbqoPweH9p7UCfkBC5ClJr40gonrxk5vc2jdg6', '0', '0', '113.227.219.45', '2023-09-22 10:26:42', '', '2023-09-20 14:54:20', '', '2023-09-22 10:26:42', NULL, 774);
INSERT INTO `sys_user` VALUES (1154068040967655424, 1154068040967655425, '麻云伴智能科技（大连）有限公司', '麻云伴智能科技（大连）有限公司', '01', '', '', '0', '', '$2a$10$Z3yUGTiPdamTI1inmPnIfOBaS0cYPGrQDkhw01HzpEqrT5ohUOLuC', '0', '0', '113.227.219.45', '2023-09-22 09:52:03', '', '2023-09-20 14:54:22', '', '2023-09-22 09:52:03', NULL, 803);
INSERT INTO `sys_user` VALUES (1154068075792961536, 1154068075792961537, '大连启睿财税代理有限公司', '大连启睿财税代理有限公司', '01', '', '', '0', '', '$2a$10$Y4O6OhRcS2zhJfk2Jh1Hpe1GBAFecdLUxo/NJRrKXFvsWDq69yYsO', '0', '0', '113.227.219.45', '2023-09-22 10:13:05', '', '2023-09-20 14:54:30', '', '2023-09-22 10:13:05', NULL, 801);
INSERT INTO `sys_user` VALUES (1154068086043840512, 1154068086043840513, '甘井子区大连湾街道兴国电子产品经销部', '甘井子区大连湾街道兴国电子产品经销部', '01', '', '', '0', '', '$2a$10$AJRxCzkTOTn3kF8ohD54COxvv4QFomj9oFnIyY/dNQAe.iS.cI6P2', '0', '0', '127.0.0.1', '2023-09-20 14:54:35', '', '2023-09-20 14:54:33', '', '2023-09-20 14:54:35', NULL, 775);
INSERT INTO `sys_user` VALUES (1154068110198837248, 1154068110198837249, '大连博益企业管理咨询有限公司', '大连博益企业管理咨询有限公司', '01', '', '', '0', '', '$2a$10$JKzaydjCR/FoQsCtuyQq9.lW55Qt2QZ3s4H/wIknD2rDyVlO/rEpW', '0', '0', '113.227.219.45', '2023-09-22 10:11:36', '', '2023-09-20 14:54:39', '', '2023-09-22 10:11:36', NULL, 797);
INSERT INTO `sys_user` VALUES (1154068147570085888, 1154068147570085889, '甘井子区大连湾街道泰孚商店', '甘井子区大连湾街道泰孚商店', '01', '', '', '0', '', '$2a$10$Tqao3eP2o21S8WVaOzSmg.fhTbxPIUWps6qVO3SC3kBjP9x57RZde', '0', '0', '113.227.219.45', '2023-09-22 10:25:53', '', '2023-09-20 14:54:47', '', '2023-09-22 10:25:53', NULL, 799);
INSERT INTO `sys_user` VALUES (1154068184832282624, 1154068184832282625, '甘井子区大连湾街道宏泰五金建材商行', '甘井子区大连湾街道宏泰五金建材商行', '01', '', '', '0', '', '$2a$10$EFj4hXFSeJN9iDPXQhOLgeDzuYXmFyBSPrj/KImttxM.DmQgD7qnO', '0', '0', '113.227.219.45', '2023-09-22 10:27:13', '', '2023-09-20 14:54:56', '', '2023-09-22 10:27:13', NULL, 798);
INSERT INTO `sys_user` VALUES (1154068217401053184, 1154068217401053185, '辽宁浩瀚水上运动发展有限公司', '辽宁浩瀚水上运动发展有限公司', '01', '', '', '0', '', '$2a$10$9jM2r/UWwtSJyGLLqv0s6.KlwSj30WJ9Vebr13A2VzYSQESs4vYoe', '0', '0', '113.227.219.45', '2023-09-22 10:05:54', '', '2023-09-20 14:55:04', '', '2023-09-22 10:05:54', NULL, 796);
INSERT INTO `sys_user` VALUES (1154068248090775552, 1154068248090775553, '大连谟钢铸造科技有限公司', '大连谟钢铸造科技有限公司', '01', '', '', '0', '', '$2a$10$83D4fb0oIw9W10nvYGxQIedX2oLgl4nJL8A3A.ufJHmj0ML62Omoq', '0', '0', '113.227.219.45', '2023-09-22 10:15:55', '', '2023-09-20 14:55:11', '', '2023-09-22 10:15:55', NULL, 795);
INSERT INTO `sys_user` VALUES (1154068398423019520, 1154068398423019521, '大连薛阿姨食品有限公司', '大连薛阿姨食品有限公司', '01', '', '', '0', '', '$2a$10$6.TIexCKFPB8lVltcoi9buNeaSgknJuEJPQYs3eulxPa7F6nisl.a', '0', '0', '113.227.219.45', '2023-09-22 10:15:26', '', '2023-09-20 14:55:47', '', '2023-09-22 10:15:26', NULL, 665);
INSERT INTO `sys_user` VALUES (1154068637418655744, 1154068637418655745, '甘井子区翔顺电力电子元器件商行', '甘井子区翔顺电力电子元器件商行', '01', '', '', '0', '', '$2a$10$DIwNoGNq.LifV2PrjNhGj.2Ekq47FkVMitJkkP1KAnoi3v1FlteiW', '0', '0', '113.227.219.45', '2023-09-22 10:15:49', '', '2023-09-20 14:56:44', '', '2023-09-22 10:15:49', NULL, 669);
INSERT INTO `sys_user` VALUES (1154068796881899520, 1154068796881899521, '大连市甘井子区伊休楼梯制造厂', '大连市甘井子区伊休楼梯制造厂', '01', '', '', '0', '', '$2a$10$aFs8TPO41lIoeoWI.FXYK.rnDlI.N1gDzwhh/USbxyP5mXNJB8Owe', '0', '0', '113.227.219.45', '2023-09-22 10:09:51', '', '2023-09-20 14:57:22', '', '2023-09-22 10:09:51', NULL, 670);
INSERT INTO `sys_user` VALUES (1154069624401301504, 1154069624401301505, '大连惠特尔流体工程技术有限公司', '大连惠特尔流体工程技术有限公司', '01', '', '', '0', '', '$2a$10$KFugEMqyDuCfuGBN3R12/.g5d/AvT0oMhJ9G0jjilxCJJ2DFIRl.O', '0', '0', '113.227.219.45', '2023-09-22 10:21:12', '', '2023-09-20 15:00:40', '', '2023-09-22 10:21:12', NULL, 717);
INSERT INTO `sys_user` VALUES (1154069758874882048, 1154069758874882049, '大连中科生态科技有限公司', '大连中科生态科技有限公司', '01', '', '', '0', '', '$2a$10$Saz/hyaVCzXTA202IObP9.k2y.WTUZkrYPoXuD7KhtIkVAdLwjdxW', '0', '0', '113.227.219.45', '2023-09-22 09:58:02', '', '2023-09-20 15:01:12', '', '2023-09-22 09:58:02', NULL, 715);
INSERT INTO `sys_user` VALUES (1154069882564907008, 1154069882564907009, '辽宁赛福特化工有限公司', '辽宁赛福特化工有限公司', '01', '', '', '0', '', '$2a$10$Dn2LoR/7x5.TBpAznd6BQe8g9pntUbdBnwilCFvGWrHCRYhdxauw6', '0', '0', '113.227.219.45', '2023-09-22 10:04:55', '', '2023-09-20 15:01:41', '', '2023-09-22 10:04:55', NULL, 706);
INSERT INTO `sys_user` VALUES (1154069899409231872, 1154069899409231873, '大连方元文化传媒有限公司', '大连方元文化传媒有限公司', '01', '', '', '0', '', '$2a$10$yWKc3E8TfLUvphb5sxmvQ.iTYt0TVLytYXR5.GsZ2OYOpcw8bHdS2', '0', '0', '113.227.219.45', '2023-09-22 10:24:46', '', '2023-09-20 15:01:45', '', '2023-09-22 10:24:46', NULL, 722);
INSERT INTO `sys_user` VALUES (1154069980036337664, 1154069980036337665, '大连盈科精密模具有限公司', '大连盈科精密模具有限公司', '01', '', '', '0', '', '$2a$10$JPy8xIp8zXCi60im1Jvlc.VcY84Bx56xBTVlXJEQflAETPd20GJna', '0', '0', '113.227.219.45', '2023-09-22 10:07:02', '', '2023-09-20 15:02:04', '', '2023-09-22 10:07:02', NULL, 705);
INSERT INTO `sys_user` VALUES (1154069983597301760, 1154069983597301761, '辽宁信航科技有限公司', '辽宁信航科技有限公司', '01', '', '', '0', '', '$2a$10$IJKPssMsIY7PkgnIuTQMO..dkhFE.HGli2KJfjXjotbP9Y3QhfFmS', '0', '0', '113.227.219.45', '2023-09-22 10:08:19', '', '2023-09-20 15:02:05', '', '2023-09-22 10:08:19', NULL, 703);
INSERT INTO `sys_user` VALUES (1154070170910724096, 1154070170910724097, '大连力群科技有限公司', '大连力群科技有限公司', '01', '', '', '0', '', '$2a$10$FWQnrp/wMvUi96binNsym.Q8P4BBM6RYFH4XdKROQcw4Tw1zOkB1a', '0', '0', '113.227.219.45', '2023-09-22 10:08:36', '', '2023-09-20 15:02:50', '', '2023-09-22 10:08:36', NULL, 713);
INSERT INTO `sys_user` VALUES (1154070444719083520, 1154070444719083521, '天恩璐（大连）节能服务有限公司', '天恩璐（大连）节能服务有限公司', '01', '', '', '0', '', '$2a$10$gFNTUu1EAZyhZNkoCf3ag.e5lpRL/Bi.ClEQx5wuXo7INlZNKO/TW', '0', '0', '113.227.219.45', '2023-09-22 10:05:14', '', '2023-09-20 15:03:55', '', '2023-09-22 10:05:14', NULL, 710);
INSERT INTO `sys_user` VALUES (1154070496007032832, 1154070496007032833, '沙河口区梅尔大叔原生态农副产品中心', '沙河口区梅尔大叔原生态农副产品中心', '01', '', '', '0', '', '$2a$10$p6WkHAClQT/KIQK8bxa2yOYTSfE8fAtVsQXodP63OAdEqpnU0zYEe', '0', '0', '113.227.219.45', '2023-09-22 10:28:24', '', '2023-09-20 15:04:07', '', '2023-09-22 10:28:24', NULL, 711);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);
INSERT INTO `sys_user_post` VALUES (1143215441569779714, 5);
INSERT INTO `sys_user_post` VALUES (1143215441569779719, 5);
INSERT INTO `sys_user_post` VALUES (1143215441569779724, 5);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (726377619918848, 2);
INSERT INTO `sys_user_role` VALUES (726377628307456, 2);
INSERT INTO `sys_user_role` VALUES (726489372954624, 2);
INSERT INTO `sys_user_role` VALUES (726535615156224, 2);
INSERT INTO `sys_user_role` VALUES (726634512650240, 2);
INSERT INTO `sys_user_role` VALUES (726669669306368, 2);
INSERT INTO `sys_user_role` VALUES (726693031579648, 2);
INSERT INTO `sys_user_role` VALUES (726696722567168, 2);
INSERT INTO `sys_user_role` VALUES (726778947702784, 2);
INSERT INTO `sys_user_role` VALUES (726908186791936, 2);
INSERT INTO `sys_user_role` VALUES (726918081155072, 2);
INSERT INTO `sys_user_role` VALUES (726938821988352, 2);
INSERT INTO `sys_user_role` VALUES (726969889198080, 2);
INSERT INTO `sys_user_role` VALUES (727011094040576, 2);
INSERT INTO `sys_user_role` VALUES (727130086445056, 2);
INSERT INTO `sys_user_role` VALUES (727139355856896, 2);
INSERT INTO `sys_user_role` VALUES (727192850010112, 2);
INSERT INTO `sys_user_role` VALUES (727229139128320, 2);
INSERT INTO `sys_user_role` VALUES (727245517885440, 2);
INSERT INTO `sys_user_role` VALUES (727277411373056, 2);
INSERT INTO `sys_user_role` VALUES (727277537202176, 2);
INSERT INTO `sys_user_role` VALUES (727308910596096, 2);
INSERT INTO `sys_user_role` VALUES (727374001999872, 2);
INSERT INTO `sys_user_role` VALUES (727386903678976, 2);
INSERT INTO `sys_user_role` VALUES (727438766247936, 2);
INSERT INTO `sys_user_role` VALUES (727496458899456, 2);
INSERT INTO `sys_user_role` VALUES (727531854630912, 2);
INSERT INTO `sys_user_role` VALUES (727563639066624, 2);
INSERT INTO `sys_user_role` VALUES (727652235350016, 2);
INSERT INTO `sys_user_role` VALUES (727738285690880, 2);
INSERT INTO `sys_user_role` VALUES (727745915129856, 2);
INSERT INTO `sys_user_role` VALUES (727755784327168, 2);
INSERT INTO `sys_user_role` VALUES (727766609825792, 2);
INSERT INTO `sys_user_role` VALUES (727897933484032, 2);
INSERT INTO `sys_user_role` VALUES (727898029953024, 2);
INSERT INTO `sys_user_role` VALUES (727899678314496, 2);
INSERT INTO `sys_user_role` VALUES (727960374087680, 2);
INSERT INTO `sys_user_role` VALUES (727967613456384, 2);
INSERT INTO `sys_user_role` VALUES (727971522547712, 2);
INSERT INTO `sys_user_role` VALUES (728004565274624, 2);
INSERT INTO `sys_user_role` VALUES (728057900044288, 2);
INSERT INTO `sys_user_role` VALUES (728091601276928, 2);
INSERT INTO `sys_user_role` VALUES (728138132885504, 2);
INSERT INTO `sys_user_role` VALUES (728147687510016, 2);
INSERT INTO `sys_user_role` VALUES (728187751501824, 2);
INSERT INTO `sys_user_role` VALUES (728223356948480, 2);
INSERT INTO `sys_user_role` VALUES (728271801159680, 2);
INSERT INTO `sys_user_role` VALUES (728277358612480, 2);
INSERT INTO `sys_user_role` VALUES (728281603248128, 2);
INSERT INTO `sys_user_role` VALUES (728300263706624, 2);
INSERT INTO `sys_user_role` VALUES (728303019364352, 2);
INSERT INTO `sys_user_role` VALUES (728386385350656, 2);
INSERT INTO `sys_user_role` VALUES (728387362623488, 2);
INSERT INTO `sys_user_role` VALUES (728403997233152, 2);
INSERT INTO `sys_user_role` VALUES (728422829658112, 2);
INSERT INTO `sys_user_role` VALUES (728461752799232, 2);
INSERT INTO `sys_user_role` VALUES (728539150290944, 2);
INSERT INTO `sys_user_role` VALUES (728544506417152, 2);
INSERT INTO `sys_user_role` VALUES (728549287923712, 2);
INSERT INTO `sys_user_role` VALUES (728618091286528, 2);
INSERT INTO `sys_user_role` VALUES (728635254378496, 2);
INSERT INTO `sys_user_role` VALUES (728677436493824, 2);
INSERT INTO `sys_user_role` VALUES (728691785207808, 2);
INSERT INTO `sys_user_role` VALUES (728713499119616, 2);
INSERT INTO `sys_user_role` VALUES (728740426551296, 2);
INSERT INTO `sys_user_role` VALUES (728760378855424, 2);
INSERT INTO `sys_user_role` VALUES (728788002541568, 2);
INSERT INTO `sys_user_role` VALUES (728810714697728, 2);
INSERT INTO `sys_user_role` VALUES (728838720065536, 2);
INSERT INTO `sys_user_role` VALUES (728845770690560, 2);
INSERT INTO `sys_user_role` VALUES (728913374482432, 2);
INSERT INTO `sys_user_role` VALUES (728946647896064, 2);
INSERT INTO `sys_user_role` VALUES (728997218619392, 2);
INSERT INTO `sys_user_role` VALUES (728999659704320, 2);
INSERT INTO `sys_user_role` VALUES (729033386102784, 2);
INSERT INTO `sys_user_role` VALUES (729048468819968, 2);
INSERT INTO `sys_user_role` VALUES (729073940828160, 2);
INSERT INTO `sys_user_role` VALUES (729115112116224, 2);
INSERT INTO `sys_user_role` VALUES (729140215025664, 2);
INSERT INTO `sys_user_role` VALUES (729166513311744, 2);
INSERT INTO `sys_user_role` VALUES (729166743998464, 2);
INSERT INTO `sys_user_role` VALUES (729206627635200, 2);
INSERT INTO `sys_user_role` VALUES (729291423879168, 2);
INSERT INTO `sys_user_role` VALUES (729299476942848, 2);
INSERT INTO `sys_user_role` VALUES (729303281176576, 2);
INSERT INTO `sys_user_role` VALUES (729340677591040, 2);
INSERT INTO `sys_user_role` VALUES (729356754358272, 2);
INSERT INTO `sys_user_role` VALUES (729374328492032, 2);
INSERT INTO `sys_user_role` VALUES (729415336202240, 2);
INSERT INTO `sys_user_role` VALUES (729442532069376, 2);
INSERT INTO `sys_user_role` VALUES (729459225399296, 2);
INSERT INTO `sys_user_role` VALUES (729541534420992, 2);
INSERT INTO `sys_user_role` VALUES (729548786372608, 2);
INSERT INTO `sys_user_role` VALUES (729557669908480, 2);
INSERT INTO `sys_user_role` VALUES (729605120069632, 2);
INSERT INTO `sys_user_role` VALUES (729639869878272, 2);
INSERT INTO `sys_user_role` VALUES (729664603688960, 2);
INSERT INTO `sys_user_role` VALUES (729739870474240, 2);
INSERT INTO `sys_user_role` VALUES (729803145744384, 2);
INSERT INTO `sys_user_role` VALUES (729881881219072, 2);
INSERT INTO `sys_user_role` VALUES (729891230322688, 2);
INSERT INTO `sys_user_role` VALUES (729965880545280, 2);
INSERT INTO `sys_user_role` VALUES (729981814706176, 2);
INSERT INTO `sys_user_role` VALUES (729985979650048, 2);
INSERT INTO `sys_user_role` VALUES (729990182342656, 2);
INSERT INTO `sys_user_role` VALUES (730029780766720, 2);
INSERT INTO `sys_user_role` VALUES (730053004627968, 2);
INSERT INTO `sys_user_role` VALUES (730054619435008, 2);
INSERT INTO `sys_user_role` VALUES (730089054670848, 2);
INSERT INTO `sys_user_role` VALUES (730120977518592, 2);
INSERT INTO `sys_user_role` VALUES (730160252981248, 2);
INSERT INTO `sys_user_role` VALUES (730214657298432, 2);
INSERT INTO `sys_user_role` VALUES (730233858822144, 2);
INSERT INTO `sys_user_role` VALUES (730334715056128, 2);
INSERT INTO `sys_user_role` VALUES (730350993149952, 2);
INSERT INTO `sys_user_role` VALUES (730351936868352, 2);
INSERT INTO `sys_user_role` VALUES (730439874646016, 2);
INSERT INTO `sys_user_role` VALUES (730447785103360, 2);
INSERT INTO `sys_user_role` VALUES (730480752332800, 2);
INSERT INTO `sys_user_role` VALUES (730514252238848, 2);
INSERT INTO `sys_user_role` VALUES (730536654016512, 2);
INSERT INTO `sys_user_role` VALUES (730573123489792, 2);
INSERT INTO `sys_user_role` VALUES (730648386080768, 2);
INSERT INTO `sys_user_role` VALUES (730681651105792, 2);
INSERT INTO `sys_user_role` VALUES (730681806295040, 2);
INSERT INTO `sys_user_role` VALUES (730732536401920, 2);
INSERT INTO `sys_user_role` VALUES (730791873220608, 2);
INSERT INTO `sys_user_role` VALUES (730835078746112, 2);
INSERT INTO `sys_user_role` VALUES (730851449114624, 2);
INSERT INTO `sys_user_role` VALUES (730913268961280, 2);
INSERT INTO `sys_user_role` VALUES (730955400744960, 2);
INSERT INTO `sys_user_role` VALUES (730984479854592, 2);
INSERT INTO `sys_user_role` VALUES (731063462793216, 2);
INSERT INTO `sys_user_role` VALUES (731124066291712, 2);
INSERT INTO `sys_user_role` VALUES (731154642767872, 2);
INSERT INTO `sys_user_role` VALUES (731162930712576, 2);
INSERT INTO `sys_user_role` VALUES (731165619261440, 2);
INSERT INTO `sys_user_role` VALUES (731192496361472, 2);
INSERT INTO `sys_user_role` VALUES (731209021919232, 2);
INSERT INTO `sys_user_role` VALUES (731247571767296, 2);
INSERT INTO `sys_user_role` VALUES (731303934824448, 2);
INSERT INTO `sys_user_role` VALUES (731380791250944, 2);
INSERT INTO `sys_user_role` VALUES (731390186491904, 2);
INSERT INTO `sys_user_role` VALUES (731503734689792, 2);
INSERT INTO `sys_user_role` VALUES (731513436114944, 2);
INSERT INTO `sys_user_role` VALUES (731525620568064, 2);
INSERT INTO `sys_user_role` VALUES (731527101157376, 2);
INSERT INTO `sys_user_role` VALUES (731546856329216, 2);
INSERT INTO `sys_user_role` VALUES (731590552588288, 2);
INSERT INTO `sys_user_role` VALUES (731630578831360, 2);
INSERT INTO `sys_user_role` VALUES (731632076197888, 2);
INSERT INTO `sys_user_role` VALUES (731759692091392, 2);
INSERT INTO `sys_user_role` VALUES (731771306119168, 2);
INSERT INTO `sys_user_role` VALUES (731821033787392, 2);
INSERT INTO `sys_user_role` VALUES (731895977611264, 2);
INSERT INTO `sys_user_role` VALUES (731921269264384, 2);
INSERT INTO `sys_user_role` VALUES (731933520826368, 2);
INSERT INTO `sys_user_role` VALUES (731992283025408, 2);
INSERT INTO `sys_user_role` VALUES (732020552634368, 2);
INSERT INTO `sys_user_role` VALUES (732028140130304, 2);
INSERT INTO `sys_user_role` VALUES (732120075079680, 2);
INSERT INTO `sys_user_role` VALUES (732132427304960, 2);
INSERT INTO `sys_user_role` VALUES (732159761584128, 2);
INSERT INTO `sys_user_role` VALUES (732189058797568, 2);
INSERT INTO `sys_user_role` VALUES (732236714479616, 2);
INSERT INTO `sys_user_role` VALUES (732280494624768, 2);
INSERT INTO `sys_user_role` VALUES (732309372407808, 2);
INSERT INTO `sys_user_role` VALUES (732358957469696, 2);
INSERT INTO `sys_user_role` VALUES (732363172745216, 2);
INSERT INTO `sys_user_role` VALUES (732368528871424, 2);
INSERT INTO `sys_user_role` VALUES (732378234490880, 2);
INSERT INTO `sys_user_role` VALUES (732446299656192, 2);
INSERT INTO `sys_user_role` VALUES (732458035318784, 2);
INSERT INTO `sys_user_role` VALUES (732471389982720, 2);
INSERT INTO `sys_user_role` VALUES (732472174317568, 2);
INSERT INTO `sys_user_role` VALUES (732562716758016, 2);
INSERT INTO `sys_user_role` VALUES (732591510654976, 2);
INSERT INTO `sys_user_role` VALUES (732615204278272, 2);
INSERT INTO `sys_user_role` VALUES (732685857329152, 2);
INSERT INTO `sys_user_role` VALUES (732687031734272, 2);
INSERT INTO `sys_user_role` VALUES (732726990868480, 2);
INSERT INTO `sys_user_role` VALUES (732778597584896, 2);
INSERT INTO `sys_user_role` VALUES (732781567152128, 2);
INSERT INTO `sys_user_role` VALUES (732815071252480, 2);
INSERT INTO `sys_user_role` VALUES (732842569109504, 2);
INSERT INTO `sys_user_role` VALUES (732909938020352, 2);
INSERT INTO `sys_user_role` VALUES (732924957822976, 2);
INSERT INTO `sys_user_role` VALUES (732925360476160, 2);
INSERT INTO `sys_user_role` VALUES (733009267527680, 2);
INSERT INTO `sys_user_role` VALUES (733037746851840, 2);
INSERT INTO `sys_user_role` VALUES (733142537342976, 2);
INSERT INTO `sys_user_role` VALUES (733146060558336, 2);
INSERT INTO `sys_user_role` VALUES (733149223063552, 2);
INSERT INTO `sys_user_role` VALUES (733158777688064, 2);
INSERT INTO `sys_user_role` VALUES (733168923709440, 2);
INSERT INTO `sys_user_role` VALUES (733277199667200, 2);
INSERT INTO `sys_user_role` VALUES (733280446058496, 2);
INSERT INTO `sys_user_role` VALUES (733316307357696, 2);
INSERT INTO `sys_user_role` VALUES (733366483816448, 2);
INSERT INTO `sys_user_role` VALUES (733443256356864, 2);
INSERT INTO `sys_user_role` VALUES (733459056300032, 2);
INSERT INTO `sys_user_role` VALUES (733466480218112, 2);
INSERT INTO `sys_user_role` VALUES (733558104788992, 2);
INSERT INTO `sys_user_role` VALUES (733639717556224, 2);
INSERT INTO `sys_user_role` VALUES (733782583939072, 2);
INSERT INTO `sys_user_role` VALUES (733799524732928, 2);
INSERT INTO `sys_user_role` VALUES (733915685982208, 2);
INSERT INTO `sys_user_role` VALUES (733932979097600, 2);
INSERT INTO `sys_user_role` VALUES (734002025730048, 2);
INSERT INTO `sys_user_role` VALUES (734027673899008, 2);
INSERT INTO `sys_user_role` VALUES (734111480287232, 2);
INSERT INTO `sys_user_role` VALUES (734143545741312, 2);
INSERT INTO `sys_user_role` VALUES (734196238782464, 2);
INSERT INTO `sys_user_role` VALUES (734197228638208, 2);
INSERT INTO `sys_user_role` VALUES (734201418747904, 2);
INSERT INTO `sys_user_role` VALUES (734249611300864, 2);
INSERT INTO `sys_user_role` VALUES (734294691680256, 2);
INSERT INTO `sys_user_role` VALUES (734341676273664, 2);
INSERT INTO `sys_user_role` VALUES (734358197637120, 2);
INSERT INTO `sys_user_role` VALUES (734380268064768, 2);
INSERT INTO `sys_user_role` VALUES (734385963929600, 2);
INSERT INTO `sys_user_role` VALUES (734390669938688, 2);
INSERT INTO `sys_user_role` VALUES (734434211008512, 2);
INSERT INTO `sys_user_role` VALUES (734460375076864, 2);
INSERT INTO `sys_user_role` VALUES (734478892929024, 2);
INSERT INTO `sys_user_role` VALUES (734479874396160, 2);
INSERT INTO `sys_user_role` VALUES (734537764179968, 2);
INSERT INTO `sys_user_role` VALUES (734614876459008, 2);
INSERT INTO `sys_user_role` VALUES (734630403772416, 2);
INSERT INTO `sys_user_role` VALUES (734672766242816, 2);
INSERT INTO `sys_user_role` VALUES (734689476349952, 2);
INSERT INTO `sys_user_role` VALUES (734728860864512, 2);
INSERT INTO `sys_user_role` VALUES (734750981623808, 2);
INSERT INTO `sys_user_role` VALUES (734760888569856, 2);
INSERT INTO `sys_user_role` VALUES (734802697392128, 2);
INSERT INTO `sys_user_role` VALUES (734819579465728, 2);
INSERT INTO `sys_user_role` VALUES (734836767723520, 2);
INSERT INTO `sys_user_role` VALUES (734896653996032, 2);
INSERT INTO `sys_user_role` VALUES (734924843913216, 2);
INSERT INTO `sys_user_role` VALUES (734945303728128, 2);
INSERT INTO `sys_user_role` VALUES (734945500860416, 2);
INSERT INTO `sys_user_role` VALUES (735000362356736, 2);
INSERT INTO `sys_user_role` VALUES (735033145036800, 2);
INSERT INTO `sys_user_role` VALUES (735094675476480, 2);
INSERT INTO `sys_user_role` VALUES (735114644557824, 2);
INSERT INTO `sys_user_role` VALUES (735161490739200, 2);
INSERT INTO `sys_user_role` VALUES (735167903830016, 2);
INSERT INTO `sys_user_role` VALUES (735257997479936, 2);
INSERT INTO `sys_user_role` VALUES (735258169446400, 2);
INSERT INTO `sys_user_role` VALUES (735320383557632, 2);
INSERT INTO `sys_user_role` VALUES (735348233736192, 2);
INSERT INTO `sys_user_role` VALUES (735352281239552, 2);
INSERT INTO `sys_user_role` VALUES (735376390098944, 2);
INSERT INTO `sys_user_role` VALUES (735476776570880, 2);
INSERT INTO `sys_user_role` VALUES (735580614955008, 2);
INSERT INTO `sys_user_role` VALUES (735583689379840, 2);
INSERT INTO `sys_user_role` VALUES (735699355701248, 2);
INSERT INTO `sys_user_role` VALUES (735702769864704, 2);
INSERT INTO `sys_user_role` VALUES (735803470909440, 2);
INSERT INTO `sys_user_role` VALUES (735807694573568, 2);
INSERT INTO `sys_user_role` VALUES (735905283444736, 2);
INSERT INTO `sys_user_role` VALUES (735946895134720, 2);
INSERT INTO `sys_user_role` VALUES (735962451808256, 2);
INSERT INTO `sys_user_role` VALUES (736163115700224, 2);
INSERT INTO `sys_user_role` VALUES (736542222061568, 2);
INSERT INTO `sys_user_role` VALUES (1143207234667417600, 2);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 2);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 101);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 102);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 103);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 104);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 105);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 106);
INSERT INTO `sys_user_role` VALUES (1143215441569779712, 107);
INSERT INTO `sys_user_role` VALUES (1143215441569779714, 2);
INSERT INTO `sys_user_role` VALUES (1143215441569779714, 103);
INSERT INTO `sys_user_role` VALUES (1143215441569779714, 107);
INSERT INTO `sys_user_role` VALUES (1143215441569779715, 2);
INSERT INTO `sys_user_role` VALUES (1143215441569779719, 101);
INSERT INTO `sys_user_role` VALUES (1143215441569779724, 103);
INSERT INTO `sys_user_role` VALUES (1143215441569779724, 107);
INSERT INTO `sys_user_role` VALUES (1153692819446173696, 2);
INSERT INTO `sys_user_role` VALUES (1153695917279416320, 2);
INSERT INTO `sys_user_role` VALUES (1153696035852390400, 2);
INSERT INTO `sys_user_role` VALUES (1153696229432102912, 2);
INSERT INTO `sys_user_role` VALUES (1153703980254236672, 2);
INSERT INTO `sys_user_role` VALUES (1153704103952650240, 2);
INSERT INTO `sys_user_role` VALUES (1153704577250496512, 2);
INSERT INTO `sys_user_role` VALUES (1153711847397003264, 2);
INSERT INTO `sys_user_role` VALUES (1153712453054500864, 2);
INSERT INTO `sys_user_role` VALUES (1153712542099574784, 2);
INSERT INTO `sys_user_role` VALUES (1153712863546839040, 2);
INSERT INTO `sys_user_role` VALUES (1153713621071695872, 2);
INSERT INTO `sys_user_role` VALUES (1153715568315076608, 2);
INSERT INTO `sys_user_role` VALUES (1153716118414823424, 2);
INSERT INTO `sys_user_role` VALUES (1153716326456496128, 2);
INSERT INTO `sys_user_role` VALUES (1153716526810009600, 2);
INSERT INTO `sys_user_role` VALUES (1153717351582142464, 2);
INSERT INTO `sys_user_role` VALUES (1153717401578246144, 2);
INSERT INTO `sys_user_role` VALUES (1153718363793526784, 2);
INSERT INTO `sys_user_role` VALUES (1153718594580910080, 2);
INSERT INTO `sys_user_role` VALUES (1153722556608548864, 2);
INSERT INTO `sys_user_role` VALUES (1153722618952683520, 2);
INSERT INTO `sys_user_role` VALUES (1153722707507023872, 2);
INSERT INTO `sys_user_role` VALUES (1153722887165841408, 2);
INSERT INTO `sys_user_role` VALUES (1153723000579821568, 2);
INSERT INTO `sys_user_role` VALUES (1153723008964235264, 2);
INSERT INTO `sys_user_role` VALUES (1153723018464333824, 2);
INSERT INTO `sys_user_role` VALUES (1153723031147909120, 2);
INSERT INTO `sys_user_role` VALUES (1153723062416445440, 2);
INSERT INTO `sys_user_role` VALUES (1153723096331587584, 2);
INSERT INTO `sys_user_role` VALUES (1153723117034672128, 2);
INSERT INTO `sys_user_role` VALUES (1153723217635053568, 2);
INSERT INTO `sys_user_role` VALUES (1153723235209187328, 2);
INSERT INTO `sys_user_role` VALUES (1153723242545025024, 2);
INSERT INTO `sys_user_role` VALUES (1153723306608824320, 2);
INSERT INTO `sys_user_role` VALUES (1153723330860290048, 2);
INSERT INTO `sys_user_role` VALUES (1153723332009529344, 2);
INSERT INTO `sys_user_role` VALUES (1153723362871218176, 2);
INSERT INTO `sys_user_role` VALUES (1153723402318647296, 2);
INSERT INTO `sys_user_role` VALUES (1153723441237594112, 2);
INSERT INTO `sys_user_role` VALUES (1153723454076358656, 2);
INSERT INTO `sys_user_role` VALUES (1153723458643955712, 2);
INSERT INTO `sys_user_role` VALUES (1153723532526620672, 2);
INSERT INTO `sys_user_role` VALUES (1153723541460488192, 2);
INSERT INTO `sys_user_role` VALUES (1153723541594705920, 2);
INSERT INTO `sys_user_role` VALUES (1153723597026627584, 2);
INSERT INTO `sys_user_role` VALUES (1153723618312720384, 2);
INSERT INTO `sys_user_role` VALUES (1153723625279459328, 2);
INSERT INTO `sys_user_role` VALUES (1153723659337207808, 2);
INSERT INTO `sys_user_role` VALUES (1153723693529174016, 2);
INSERT INTO `sys_user_role` VALUES (1153723699208261632, 2);
INSERT INTO `sys_user_role` VALUES (1153723703977185280, 2);
INSERT INTO `sys_user_role` VALUES (1153723760902279168, 2);
INSERT INTO `sys_user_role` VALUES (1153723774219194368, 2);
INSERT INTO `sys_user_role` VALUES (1153723788769234944, 2);
INSERT INTO `sys_user_role` VALUES (1153723810982268928, 2);
INSERT INTO `sys_user_role` VALUES (1153723868410679296, 2);
INSERT INTO `sys_user_role` VALUES (1153723887641563136, 2);
INSERT INTO `sys_user_role` VALUES (1153723927743303680, 2);
INSERT INTO `sys_user_role` VALUES (1153723945594261504, 2);
INSERT INTO `sys_user_role` VALUES (1153723955815780352, 2);
INSERT INTO `sys_user_role` VALUES (1153723999147134976, 2);
INSERT INTO `sys_user_role` VALUES (1153724006642356224, 2);
INSERT INTO `sys_user_role` VALUES (1153724026619826176, 2);
INSERT INTO `sys_user_role` VALUES (1153724049394896896, 2);
INSERT INTO `sys_user_role` VALUES (1153724097771999232, 2);
INSERT INTO `sys_user_role` VALUES (1153724105414021120, 2);
INSERT INTO `sys_user_role` VALUES (1153724144622374912, 2);
INSERT INTO `sys_user_role` VALUES (1153724152243425280, 2);
INSERT INTO `sys_user_role` VALUES (1153724183570681856, 2);
INSERT INTO `sys_user_role` VALUES (1153724204298932224, 2);
INSERT INTO `sys_user_role` VALUES (1153724207419494400, 2);
INSERT INTO `sys_user_role` VALUES (1153724223685005312, 2);
INSERT INTO `sys_user_role` VALUES (1153724268153016320, 2);
INSERT INTO `sys_user_role` VALUES (1153724302038798336, 2);
INSERT INTO `sys_user_role` VALUES (1153724308422529024, 2);
INSERT INTO `sys_user_role` VALUES (1153724311002025984, 2);
INSERT INTO `sys_user_role` VALUES (1153724325111664640, 2);
INSERT INTO `sys_user_role` VALUES (1153724329784119296, 2);
INSERT INTO `sys_user_role` VALUES (1153724383706091520, 2);
INSERT INTO `sys_user_role` VALUES (1153724402479796224, 2);
INSERT INTO `sys_user_role` VALUES (1153724403012472832, 2);
INSERT INTO `sys_user_role` VALUES (1153724403494817792, 2);
INSERT INTO `sys_user_role` VALUES (1153724432561344512, 2);
INSERT INTO `sys_user_role` VALUES (1153724479537549312, 2);
INSERT INTO `sys_user_role` VALUES (1153724496650309632, 2);
INSERT INTO `sys_user_role` VALUES (1153724530074718208, 2);
INSERT INTO `sys_user_role` VALUES (1153724536575889408, 2);
INSERT INTO `sys_user_role` VALUES (1153724551746686976, 2);
INSERT INTO `sys_user_role` VALUES (1153724584671973376, 2);
INSERT INTO `sys_user_role` VALUES (1153724618507423744, 2);
INSERT INTO `sys_user_role` VALUES (1153724654515523584, 2);
INSERT INTO `sys_user_role` VALUES (1153724675860336640, 2);
INSERT INTO `sys_user_role` VALUES (1153724695992995840, 2);
INSERT INTO `sys_user_role` VALUES (1153724702443835392, 2);
INSERT INTO `sys_user_role` VALUES (1153724721934766080, 2);
INSERT INTO `sys_user_role` VALUES (1153724770408337408, 2);
INSERT INTO `sys_user_role` VALUES (1153724790004125696, 2);
INSERT INTO `sys_user_role` VALUES (1153724801328746496, 2);
INSERT INTO `sys_user_role` VALUES (1153724808236765184, 2);
INSERT INTO `sys_user_role` VALUES (1153724840931364864, 2);
INSERT INTO `sys_user_role` VALUES (1153724883692294144, 2);
INSERT INTO `sys_user_role` VALUES (1153724902868652032, 2);
INSERT INTO `sys_user_role` VALUES (1153724910267404288, 2);
INSERT INTO `sys_user_role` VALUES (1153724943914110976, 2);
INSERT INTO `sys_user_role` VALUES (1153724955708493824, 2);
INSERT INTO `sys_user_role` VALUES (1153724989158068224, 2);
INSERT INTO `sys_user_role` VALUES (1153725004383391744, 2);
INSERT INTO `sys_user_role` VALUES (1153725011643731968, 2);
INSERT INTO `sys_user_role` VALUES (1153725068174561280, 2);
INSERT INTO `sys_user_role` VALUES (1153725102744014848, 2);
INSERT INTO `sys_user_role` VALUES (1153725105331900416, 2);
INSERT INTO `sys_user_role` VALUES (1153725116463583232, 2);
INSERT INTO `sys_user_role` VALUES (1153725134788497408, 2);
INSERT INTO `sys_user_role` VALUES (1153725179512360960, 2);
INSERT INTO `sys_user_role` VALUES (1153725192040747008, 2);
INSERT INTO `sys_user_role` VALUES (1153725228094984192, 2);
INSERT INTO `sys_user_role` VALUES (1153725237158875136, 2);
INSERT INTO `sys_user_role` VALUES (1153725250614202368, 2);
INSERT INTO `sys_user_role` VALUES (1153725261330649088, 2);
INSERT INTO `sys_user_role` VALUES (1153725299695947776, 2);
INSERT INTO `sys_user_role` VALUES (1153725322999500800, 2);
INSERT INTO `sys_user_role` VALUES (1153725344054906880, 2);
INSERT INTO `sys_user_role` VALUES (1153725370319638528, 2);
INSERT INTO `sys_user_role` VALUES (1153725395984584704, 2);
INSERT INTO `sys_user_role` VALUES (1153725408814960640, 2);
INSERT INTO `sys_user_role` VALUES (1153725437030043648, 2);
INSERT INTO `sys_user_role` VALUES (1153725463546433536, 2);
INSERT INTO `sys_user_role` VALUES (1153725465798774784, 2);
INSERT INTO `sys_user_role` VALUES (1153725475579891712, 2);
INSERT INTO `sys_user_role` VALUES (1153725513198604288, 2);
INSERT INTO `sys_user_role` VALUES (1153725523415928832, 2);
INSERT INTO `sys_user_role` VALUES (1153725543548588032, 2);
INSERT INTO `sys_user_role` VALUES (1153725575966363648, 2);
INSERT INTO `sys_user_role` VALUES (1153725588557664256, 2);
INSERT INTO `sys_user_role` VALUES (1153725600800837632, 2);
INSERT INTO `sys_user_role` VALUES (1153725630282600448, 2);
INSERT INTO `sys_user_role` VALUES (1153725638138531840, 2);
INSERT INTO `sys_user_role` VALUES (1153725664692670464, 2);
INSERT INTO `sys_user_role` VALUES (1153725682744954880, 2);
INSERT INTO `sys_user_role` VALUES (1153725734230036480, 2);
INSERT INTO `sys_user_role` VALUES (1153725748637470720, 2);
INSERT INTO `sys_user_role` VALUES (1153725750633959424, 2);
INSERT INTO `sys_user_role` VALUES (1153725805831000064, 2);
INSERT INTO `sys_user_role` VALUES (1153725815716974592, 2);
INSERT INTO `sys_user_role` VALUES (1153725892770533376, 2);
INSERT INTO `sys_user_role` VALUES (1153725916791312384, 2);
INSERT INTO `sys_user_role` VALUES (1153726013805563904, 2);
INSERT INTO `sys_user_role` VALUES (1153726079157014528, 2);
INSERT INTO `sys_user_role` VALUES (1153726094881460224, 2);
INSERT INTO `sys_user_role` VALUES (1153726132097519616, 2);
INSERT INTO `sys_user_role` VALUES (1153726185063190528, 2);
INSERT INTO `sys_user_role` VALUES (1153726185482620928, 2);
INSERT INTO `sys_user_role` VALUES (1153726245012377600, 2);
INSERT INTO `sys_user_role` VALUES (1153726247956779008, 2);
INSERT INTO `sys_user_role` VALUES (1153726255493943296, 2);
INSERT INTO `sys_user_role` VALUES (1153726309722099712, 2);
INSERT INTO `sys_user_role` VALUES (1153726320816033792, 2);
INSERT INTO `sys_user_role` VALUES (1153726380467425280, 2);
INSERT INTO `sys_user_role` VALUES (1153726388025561088, 2);
INSERT INTO `sys_user_role` VALUES (1153726399069163520, 2);
INSERT INTO `sys_user_role` VALUES (1153726437639983104, 2);
INSERT INTO `sys_user_role` VALUES (1153726442576678912, 2);
INSERT INTO `sys_user_role` VALUES (1153726476105945088, 2);
INSERT INTO `sys_user_role` VALUES (1153726504518160384, 2);
INSERT INTO `sys_user_role` VALUES (1153726509895258112, 2);
INSERT INTO `sys_user_role` VALUES (1153726564131803136, 2);
INSERT INTO `sys_user_role` VALUES (1153726595366785024, 2);
INSERT INTO `sys_user_role` VALUES (1153726663138349056, 2);
INSERT INTO `sys_user_role` VALUES (1153726738317053952, 2);
INSERT INTO `sys_user_role` VALUES (1153726806549991424, 2);
INSERT INTO `sys_user_role` VALUES (1153726897402810368, 2);
INSERT INTO `sys_user_role` VALUES (1153726954256601088, 2);
INSERT INTO `sys_user_role` VALUES (1153727017456373760, 2);
INSERT INTO `sys_user_role` VALUES (1153727089065725952, 2);
INSERT INTO `sys_user_role` VALUES (1153727145856602112, 2);
INSERT INTO `sys_user_role` VALUES (1153727220250972160, 2);
INSERT INTO `sys_user_role` VALUES (1153727473406578688, 2);
INSERT INTO `sys_user_role` VALUES (1153727526842011648, 2);
INSERT INTO `sys_user_role` VALUES (1153727593627914240, 2);
INSERT INTO `sys_user_role` VALUES (1153727661680496640, 2);
INSERT INTO `sys_user_role` VALUES (1153727716336472064, 2);
INSERT INTO `sys_user_role` VALUES (1153727768681385984, 2);
INSERT INTO `sys_user_role` VALUES (1154066321298821120, 2);
INSERT INTO `sys_user_role` VALUES (1154066387749179392, 2);
INSERT INTO `sys_user_role` VALUES (1154066500705980416, 2);
INSERT INTO `sys_user_role` VALUES (1154066513880289280, 2);
INSERT INTO `sys_user_role` VALUES (1154066598479400960, 2);
INSERT INTO `sys_user_role` VALUES (1154066606612156416, 2);
INSERT INTO `sys_user_role` VALUES (1154066618955993088, 2);
INSERT INTO `sys_user_role` VALUES (1154066659301003264, 2);
INSERT INTO `sys_user_role` VALUES (1154066691257405440, 2);
INSERT INTO `sys_user_role` VALUES (1154066707879432192, 2);
INSERT INTO `sys_user_role` VALUES (1154066760597639168, 2);
INSERT INTO `sys_user_role` VALUES (1154066810312724480, 2);
INSERT INTO `sys_user_role` VALUES (1154066839458942976, 2);
INSERT INTO `sys_user_role` VALUES (1154066867585945600, 2);
INSERT INTO `sys_user_role` VALUES (1154066880584093696, 2);
INSERT INTO `sys_user_role` VALUES (1154066913723289600, 2);
INSERT INTO `sys_user_role` VALUES (1154066929183494144, 2);
INSERT INTO `sys_user_role` VALUES (1154066951438471168, 2);
INSERT INTO `sys_user_role` VALUES (1154067010292944896, 2);
INSERT INTO `sys_user_role` VALUES (1154067032401121280, 2);
INSERT INTO `sys_user_role` VALUES (1154067117738430464, 2);
INSERT INTO `sys_user_role` VALUES (1154067126483554304, 2);
INSERT INTO `sys_user_role` VALUES (1154067170834124800, 2);
INSERT INTO `sys_user_role` VALUES (1154067188513116160, 2);
INSERT INTO `sys_user_role` VALUES (1154067209581105152, 2);
INSERT INTO `sys_user_role` VALUES (1154067255030583296, 2);
INSERT INTO `sys_user_role` VALUES (1154067260642562048, 2);
INSERT INTO `sys_user_role` VALUES (1154067286940848128, 2);
INSERT INTO `sys_user_role` VALUES (1154067339105406976, 2);
INSERT INTO `sys_user_role` VALUES (1154067371502211072, 2);
INSERT INTO `sys_user_role` VALUES (1154067403190177792, 2);
INSERT INTO `sys_user_role` VALUES (1154067421221490688, 2);
INSERT INTO `sys_user_role` VALUES (1154067446227931136, 2);
INSERT INTO `sys_user_role` VALUES (1154067450455789568, 2);
INSERT INTO `sys_user_role` VALUES (1154067489827721216, 2);
INSERT INTO `sys_user_role` VALUES (1154067503761199104, 2);
INSERT INTO `sys_user_role` VALUES (1154067508890832896, 2);
INSERT INTO `sys_user_role` VALUES (1154067551697899520, 2);
INSERT INTO `sys_user_role` VALUES (1154067568470921216, 2);
INSERT INTO `sys_user_role` VALUES (1154067621780525056, 2);
INSERT INTO `sys_user_role` VALUES (1154067674217713664, 2);
INSERT INTO `sys_user_role` VALUES (1154067678751756288, 2);
INSERT INTO `sys_user_role` VALUES (1154067725086232576, 2);
INSERT INTO `sys_user_role` VALUES (1154067732166217728, 2);
INSERT INTO `sys_user_role` VALUES (1154067756958748672, 2);
INSERT INTO `sys_user_role` VALUES (1154067870796353536, 2);
INSERT INTO `sys_user_role` VALUES (1154067915981590528, 2);
INSERT INTO `sys_user_role` VALUES (1154067918162628608, 2);
INSERT INTO `sys_user_role` VALUES (1154067962538364928, 2);
INSERT INTO `sys_user_role` VALUES (1154067998580019200, 2);
INSERT INTO `sys_user_role` VALUES (1154068031555637248, 2);
INSERT INTO `sys_user_role` VALUES (1154068031564025856, 2);
INSERT INTO `sys_user_role` VALUES (1154068040967655424, 2);
INSERT INTO `sys_user_role` VALUES (1154068075792961536, 2);
INSERT INTO `sys_user_role` VALUES (1154068086043840512, 2);
INSERT INTO `sys_user_role` VALUES (1154068110198837248, 2);
INSERT INTO `sys_user_role` VALUES (1154068147570085888, 2);
INSERT INTO `sys_user_role` VALUES (1154068184832282624, 2);
INSERT INTO `sys_user_role` VALUES (1154068217401053184, 2);
INSERT INTO `sys_user_role` VALUES (1154068248090775552, 2);
INSERT INTO `sys_user_role` VALUES (1154068398423019520, 2);
INSERT INTO `sys_user_role` VALUES (1154068637418655744, 2);
INSERT INTO `sys_user_role` VALUES (1154068796881899520, 2);
INSERT INTO `sys_user_role` VALUES (1154069624401301504, 2);
INSERT INTO `sys_user_role` VALUES (1154069758874882048, 2);
INSERT INTO `sys_user_role` VALUES (1154069882564907008, 2);
INSERT INTO `sys_user_role` VALUES (1154069899409231872, 2);
INSERT INTO `sys_user_role` VALUES (1154069980036337664, 2);
INSERT INTO `sys_user_role` VALUES (1154069983597301760, 2);
INSERT INTO `sys_user_role` VALUES (1154070170910724096, 2);
INSERT INTO `sys_user_role` VALUES (1154070444719083520, 2);
INSERT INTO `sys_user_role` VALUES (1154070496007032832, 2);

-- ----------------------------
-- Table structure for wei_xin_js_api_ticket
-- ----------------------------
DROP TABLE IF EXISTS `wei_xin_js_api_ticket`;
CREATE TABLE `wei_xin_js_api_ticket`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '数据自增主键',
  `ticket` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '从微信获取的ticket',
  `create_time` datetime NULL DEFAULT current_timestamp COMMENT '数据插入时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wei_xin_js_api_ticket
-- ----------------------------

-- ----------------------------
-- Table structure for wei_xin_token
-- ----------------------------
DROP TABLE IF EXISTS `wei_xin_token`;
CREATE TABLE `wei_xin_token`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '数据自增主键',
  `token` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '从微信获取的token',
  `create_time` datetime NULL DEFAULT current_timestamp COMMENT '数据插入时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wei_xin_token
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
